declare module Telerik.Web {
    export interface Box {
        top: number;
        right: number;
        bottom: number;
        left: number;
        horizontal: number;
        vertical: number;
    }

    export interface Bounds {
        height: number;
        width: number;
        x: number;
        y: number;
    }

    export interface Point {
        x: number;
        y: number;
    }

    export interface Size {
        width: number;
        height: number;
    }
}

declare module Telerik.Web.UI.ClientDataSource {
    class Aggregate   {
        /**
none
@method
@returns 
*/
get_aggregate(): void;
        /**
Telerik.Web.UI.ClientDataSource.AggregateFunction
@method
@returns 
*/
set_aggregate(): void;
    }


    class AggregateCollection  extends Telerik.Web.UI.ClientDataSource.CollectionBase {
        /**

@method
@returns 
*/
add(): void;
    }


    class CollectionBase   {
        /**

@method
@returns 
*/
add(): void;
        /**

@method
@returns 
*/
clear(): void;
        /**

@method
@returns 
*/
forEach(): void;
        /**

@method
@returns 
*/
get_count(): void;
        /**

@method
@returns 
*/
getItem(): void;
        /**

@method
@returns 
*/
indexOf(): void;
        /**

@method
@returns 
*/
insert(): void;
        /**

@method
@returns 
*/
remove(): void;
        /**

@method
@returns 
*/
removeAt(): void;
        /**

@method
@returns 
*/
toList(): void;
    }


    class FilterEntry   {
        /**
none
@method
@returns 
*/
get_operator(): void;
        /**
Telerik.Web.UI.ClientDataSource.FilterOperator
@method
@returns 
*/
get_value(): void;
        /**
Telerik.Web.UI.ClientDataSource.FilterOperator
@method
@returns 
*/
set_operator(): void;
        /**
string
@method
@returns 
*/
set_value(): void;
    }


    class FilterExpression   {
    }


    class FilterExpressionCollection  extends Telerik.Web.UI.ClientDataSource.CollectionBase {
        /**

@method
@returns 
*/
add(): void;
    }


    class GroupExpression   {
        /**
none
@method
@returns 
*/
get_aggregates(): void;
        /**
none
@method
@returns 
*/
get_sortOrder(): void;
        /**
Telerik.Web.UI.ClientDataSource.SortOrder
@method
@returns 
*/
set_sortOrder(): void;
    }


    class GroupExpressionCollection  extends Telerik.Web.UI.ClientDataSource.CollectionBase {
        /**

@method
@returns 
*/
add(): void;
    }


    class SortExpression   {
        /**
none
@method
@returns 
*/
get_sortOrder(): void;
        /**
Telerik.Web.UI.ClientDataSource.SortOrder
@method
@returns 
*/
set_sortOrder(): void;
    }


    class SortExpressionCollection  extends Telerik.Web.UI.ClientDataSource.CollectionBase {
        /**

@method
@returns 
*/
add(): void;
    }


}
declare module Telerik.Web.UI {
    class AjaxLoadingPanelEventArgs  extends Sys.EventArgs {
        /**
Returns the boolean representation of the LoadingPanel default behvaiour
@method
@returns 
*/
get_cancelNativeDisplay(): boolean;
        /**
Gets the DOM element of the RadAjaxLoadingPanel.
@method
@returns 
*/
get_loadingElement(): any;
        /**
Gets the DOM element of the ajax updated control, over which the loading panel is about to be displayed.
@method
@returns 
*/
get_updatedElement(): boolean;
        /**
lets you cancel the default behavior of the RadAjaxLoadingPanel.
@method
@param value - 
@returns 
*/
set_cancelNativeDisplay(value: boolean): void;
    }


    class AjaxRequestEventArgs  extends Sys.EventArgs {
        /**
Retuns a Boolean value indicating if the RadAjax ajax is enabled
@method
@returns 
*/
get_enableAjax(): boolean;
        /**
Gets the string passed in the initial AJAX request.
@method
@returns 
*/
get_eventArgument(): string;
        /**
Gets the UniqueID of the element that had raised the request.
@method
@returns 
*/
get_eventTarget(): any;
        /**
Gets the instance of the client-side object that raised the AJAX request. You can iterate each of the settings and retrieve the initiating control id and yet another array of objects that represent updated controls.
@method
@returns 
*/
get_eventTargetElement(): any;
        /**
Accepts a Boolean value indicating if the RadAjax ajax is enabled
@method
@returns 
*/
set_enableAjax(): boolean;
    }


    class AnimationSettings   {
        /**

@method
@returns 
*/
get_duration(): void;
        /**

@method
@returns 
*/
get_type(): void;
        /**

@method
@returns 
*/
set_duration(): void;
        /**

@method
@returns 
*/
set_type(): void;
    }


    class AppointmentEventArgs  extends Sys.EventArgs {
        /**
Returns the appointment instance.
@method
@returns The appointment instance.
*/
get_appointment(): Telerik.Web.UI.SchedulerAppointment;
    }


    class AttributeCollection   {
        /**

@method
@returns 
*/
get_count(): number;
        /**

@method
@param key - 
@returns 
*/
getAttribute(key: string): any;
        /**

@method
@param key - 
@returns 
*/
removeAttribute(key: string): void;
        /**

@method
@param key - 
@param value - 
@returns 
*/
setAttribute(key: string, value: any): void;
    }


    class AutoCompleteBoxDropDownClosedEventArgs  extends Sys.EventArgs {
    }


    class AutoCompleteBoxDropDownClosingEventArgs  extends Sys.CancelEventArgs {
    }


    class AutoCompleteBoxDropDownOpenedEventArgs  extends Sys.EventArgs {
    }


    class AutoCompleteBoxDropDownOpeningEventArgs  extends Sys.CancelEventArgs {
    }


    class AutoCompleteBoxEntry   {
        /**
Gets the AutoCompleteBoxEntry's index inside the AutoCompleteBoxEntryCollection.
@method
@returns The index of the AutoCompleteBoxEntry.
*/
get_index(): number;
        /**
Returns the parent object of the specified entry.
@method
@returns RadAutoCompleteBox
*/
get_parent(): Telerik.Web.UI.RadAutoCompleteBox;
        /**
Returns the text of the specified entry.
@method
@returns string
*/
get_text(): string;
        /**
Returns a reference to the HTML element representing the specified entry.
@method
@returns DOM object
*/
get_token(): string;
        /**
Returns the value of the specified entry.
@method
@returns string
*/
get_value(): string;
    }


    class AutoCompleteBoxEntryAddedEventArgs  extends Sys.EventArgs {
        /**
Returns the entry which is about to be added into the Entry collection.
@method
@returns 
*/
get_entry(): Telerik.Web.UI.AutoCompleteBoxEntry;
    }


    class AutoCompleteBoxEntryAddingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the entry which is about to be added into the Entry collection.
@method
@returns 
*/
get_entry(): Telerik.Web.UI.AutoCompleteBoxEntry;
    }


    class AutoCompleteBoxEntryCollection   {
        /**
Inserts a AutoCompleteBoxEntry into the AutoCompleteBoxEntryCollection.
@method
@param entry - The AutoCompleteBoxEntry to insert
@returns 
*/
add(entry: Telerik.Web.UI.AutoCompleteBoxEntry): void;
        /**
Clears the Entries collection of RadAutoCompleteBox.
@method
@returns 
*/
clear(): void;
        /**
Returns the number of Entries in the collection.
@method
@returns The number of the Entries.
*/
get_count(): number;
        /**
Gets the Entry from the Entries collection residing at the index specified by the parameter.
@method
@param index - The index of the Entry that should be returned.
@returns AutoCompleteBoxEntry.
*/
getEntry(index: number): Telerik.Web.UI.AutoCompleteBoxEntry;
        /**
Gets the index of an Entry.
@method
@param item - The Entry to get the index of.
@returns int
*/
indexOf(item: Telerik.Web.UI.AutoCompleteBoxEntry): number;
        /**
Inserts an entry into the Entries collection at the position specified by the first (index) parameter.
@method
@param index - The index to insert at.
@param item - The Entry to insert.
@returns 
*/
insert(index: number, item: Telerik.Web.UI.AutoCompleteBoxEntry): void;
        /**
Removes an entry from the Entries collection
@method
@param item - The Entry to remove.
@returns 
*/
remove(item: Telerik.Web.UI.AutoCompleteBoxEntry): void;
    }


    class AutoCompleteBoxEntryRemovedEventArgs  extends Sys.EventArgs {
        /**
Returns the entry which is about to be added into the Entry collection.
@method
@returns 
*/
get_entry(): Telerik.Web.UI.AutoCompleteBoxEntry;
    }


    class AutoCompleteBoxEntryRemovingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the entry which is about to be added into the Entry collection.
@method
@returns 
*/
get_entry(): Telerik.Web.UI.AutoCompleteBoxEntry;
    }


    class AutoCompleteBoxRequestFailedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the error message which contains information about the error that has occurred.
@method
@returns 
*/
get_errorMessage(): string;
    }


    class AutoCompleteBoxRequestedEventArgs  extends Sys.EventArgs {
        /**
Returns an array of the entries in the dropdown.
@method
@returns 
*/
get_data(): any;
        /**
Returns the text currently present in the input area.
@method
@returns 
*/
get_text(): string;
    }


    class AutoCompleteBoxRequestingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns an object representing the context of the request ( only available in web service).
@method
@returns ### get_textReturns the text currently present in the input area( this method does not exists if web service).
*/
get_context(): any;
    }


    class AutoCompleteBoxTextChangedEventArgs  extends Sys.EventArgs {
        /**
Returns the text currently present into the input area.
@method
@returns 
*/
get_text(): string;
    }


    class AutoCompleteDropDownItemDataBoundEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the DataItem (AutoCompleteBoxItemData or any other serializable custom object) that the current drop-down item is bound to.
@method
@returns ### get_itemReturns the text currently present in the input area.
*/
get_data(): any;
    }


    class ButtonCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the value assigned to the RadButton's CommandName property.
@method
@returns 
*/
get_commandName(): string;
        /**
Returns the value assigned to the RadButton's CommandArgument property
@method
@returns 
*/
get_commandArgument(): string;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the boolean value of the Page's Page_IsValid property.
@method
@returns 
*/
get_isPageValid(): boolean;
        /**
Returns a boolean value that indicates whether the split button or the main button is clicked.
@method
@returns 
*/
IsSplitButtonClick(): boolean;
        /**
Sets value to the RadButton's CommandArgument property.
@method
@param value - The command argument that will be assigned to the RadButton's CommandArgument property.
@returns 
*/
set_commandArgument(value: string): void;
        /**
Sets value to the RadButton's CommandName property.
@method
@param value - The command name that will be assigned to the RadButton's CommandName property.
@returns 
*/
set_commandName(value: string): void;
    }


    class ButtonCheckedCancelEventArgs  extends Telerik.Web.UI.ButtonCancelEventArgs {
        /**
Returns the ButtonToggleType of the RadButton.
@method
@returns 
*/
get_toggleType(): Telerik.Web.UI.ButtonToggleType;
        /**
Sets the ButtonToggleType of the RadButton.
@method
@param value - The new ButtonToggleType type.
@returns 
*/
set_toggleType(value: Telerik.Web.UI.ButtonToggleType): void;
    }


    class ButtonCheckedEventArgs  extends Telerik.Web.UI.ButtonEventArgs {
        /**
Returns a boolean value that indicates whether the button is checked.
@method
@returns 
*/
get_checked(): boolean;
        /**
Returns the ButtonToggleType of the RadButton.
@method
@returns 
*/
get_toggleType(): Telerik.Web.UI.ButtonToggleType;
        /**
Gets the string passed in the initial AJAX request.
@method
@param value - Sets a boolean value that indicates whether the button will be checked.
@returns 
*/
set_checked(value: boolean): void;
        /**
Sets the ButtonToggleType of the RadButton.
@method
@param value - The new ButtonToggleType type.
@returns 
*/
set_toggleType(value: Telerik.Web.UI.ButtonToggleType): void;
    }


    class ButtonEventArgs  extends Sys.EventArgs {
        /**
Returns the value assigned to the RadButton's CommandName property.
@method
@returns 
*/
get_commandName(): string;
        /**
Returns the value assigned to the RadButton's CommandArgument property
@method
@returns 
*/
get_commandArgument(): string;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a boolean value that indicates whether the split button is clicked.
@method
@param value - The command argument that will be assigned to the RadButton's CommandArgument property.
@returns ### set_commandArgumentSets value to the RadButton's CommandArgument property.
*/
IsSplitButtonClick(value: string): boolean;
        /**
Sets value to the RadButton's CommandName property.
@method
@param value - The command name that will be assigned to the RadButton's CommandName property.
@returns 
*/
set_commandName(value: string): void;
    }


    class ButtonListCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the current item in the list.
@method
@returns 
*/
get_item(): Telerik.Web.UI.ButtonListItem;
    }


    class ButtonListEventArgs  extends Sys.EventArgs {
        /**
Returns the current item in the list.
@method
@returns 
*/
get_item(): Telerik.Web.UI.ButtonListItem;
    }


    class ButtonListItem   {
        /**
Gets the text of the item.
@method
@returns The text of the item.
*/
get_text(): string;
        /**
Sets the text of the item.
@method
@param value - The text of the item.
@returns 
*/
set_text(value: string): void;
        /**
Gets the value of the item.
@method
@returns The value of the item.
*/
get_value(): string;
        /**
Sets the value of the item.
@method
@param value - The value of the item.
@returns 
*/
set_value(value: string): void;
        /**
Gets the selected state of the item.
@method
@returns The selected state of the item.
*/
get_selected(): boolean;
        /**
Sets the selected state of the item.
@method
@param value - The selected state of the item.
@returns 
*/
set_selected(value: boolean): void;
        /**
Gets whether the item is enabled.
@method
@returns A value showing whether the item is enabled.
*/
get_enabled(): boolean;
        /**
Specifies whether the item is enabled.
@method
@param value - A value that specifies whether the item is enabled.
@returns 
*/
set_enabled(value: boolean): void;
    }


    class ButtonToggleStateCancelEventArgs  extends Telerik.Web.UI.ButtonCheckedCancelEventArgs {
        /**
Returns the current RadButtonToggleState instance applied to the button.
@method
@returns 
*/
get_currentToggleState(): Telerik.Web.UI.RadButtonToggleState;
        /**
Sets a new RadButtonToggleState instance.
@method
@param value - The RadButtonToggleState instance that will be assigned.
@returns 
*/
set_currentToggleState(value: Telerik.Web.UI.RadButtonToggleState): void;
    }


    class ButtonToggleStateEventArgs  extends Telerik.Web.UI.ButtonCheckedEventArgs {
        /**
Returns the current RadButtonToggleState instance applied to the button.
@method
@returns 
*/
get_currentToggleState(): Telerik.Web.UI.RadButtonToggleState;
        /**
Sets a new RadButtonToggleState instance.
@method
@param value - The RadButtonToggleState instance that will be assigned.
@returns 
*/
set_currentToggleState(value: Telerik.Web.UI.RadButtonToggleState): void;
    }


    class CalendarClickEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the DOM element for the column header that was clicked.
@method
@returns 
*/
get_domElement(): HTMLElement;
        /**
Returns the 1-based index of the column that was clicked.
@method
@returns 
*/
get_index(): number;
    }


    class CalendarDateClickEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the DOM event object for the mouse click event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the client-side RenderDay object that represents the day that was just clicked.
@method
@returns 
*/
get_renderDay(): Telerik.Web.UI.Calendar.RenderDay;
    }


    class CalendarDateSelectedEventArgs  extends Sys.EventArgs {
        /**
Returns the client-side RenderDay object for the day that was just selected or unselected.
@method
@returns 
*/
get_renderDay(): Telerik.Web.UI.Calendar.RenderDay;
    }


    class CalendarDateSelectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns true if the day is about to be selected, false  if it is about to be unselected.
@method
@returns 
*/
get_isSelecting(): boolean;
        /**
Returns the client-side RenderDay object that represents the day being selected or unselected.
@method
@returns 
*/
get_renderDay(): Telerik.Web.UI.Calendar.RenderDay;
    }


    class CalendarDayRenderEventArgs  extends Sys.EventArgs {
        /**
Returns object for the cell being rendered.
@method
@returns 
*/
get_cell(): HTMLElement;
        /**
Returns the triplet for the date the cell represents.
@method
@returns 
*/
get_date(): number[];
        /**
Returns the client-side RenderDay object that represents the day being rendered. This value is null if the cell represents a value outside the range specified by RangeMinDate and RangeMaxDate.
@method
@returns 
*/
get_renderDay(): Telerik.Web.UI.Calendar.RenderDay;
    }


    class CalendarViewChangedEventArgs  extends Sys.EventArgs {
        /**
Returns the number of views by which the calendar has changed.
@method
@returns 
*/
get_step(): number;
    }


    class CalendarViewChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the number of views by which the calendar is about to change.
@method
@returns 
*/
get_step(): number;
    }


    class CheckBoxListSelectedIndexChangedEventArgs  extends Sys.EventArgs {
        /**
Returns the index of the selected item.
@method
@returns 
*/
get_newSelectedIndex(): number;
    }


    class ClientDataSourceSchema   {
    }


    class ClientExportManagerImageExportedEventArgs  extends Sys.EventArgs {
    }


    class ClientExportManagerImageExportingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the image dataURI.
@method
@returns the image dataURI.
*/
get_dataURI(): string;
    }


    class ClientExportManagerPdfExportedEventArgs  extends Sys.EventArgs {
    }


    class ClientExportManagerPdfExportingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the PDF document dataURI.
@method
@returns the PDF document dataURI.
*/
get_dataURI(): string;
    }


    class ClientExportManagerSvgExportedEventArgs  extends Sys.EventArgs {
    }


    class ClientExportManagerSvgExportingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the SVG dataURI.
@method
@returns the SVG dataURI.
*/
get_dataURI(): string;
    }


    class CloudUploadCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the created row from the FileListPanel section (<LI> element).
@method
@returns 
*/
get_row(): HTMLElement;
    }


    class CloudUploadEventArgs  extends Sys.EventArgs {
        /**
Returns the created row from the FileListPanel section (<LI> element).
@method
@returns 
*/
get_row(): HTMLElement;
    }


    class CloudUploadFileSelectedArgs  extends Telerik.Web.UI.CloudUploadEventArgs {
        /**
Returns the name of the file selected.
@method
@returns 
*/
get_fileName(): string;
    }


    class CloudUploadFileUploadRemovedEventArgs  extends Sys.CancelEventArgs {
        /**
The name of the file that has been removed from the uploaded files collection.
@method
@returns 
*/
get_fileName(): string;
    }


    class CloudUploadFileUploadRemovingEventArgs  extends Telerik.Web.UI.CloudUploadCancelEventArgs {
        /**
Returns the name of the file that is about to be removed from the uploaded files collection.
@method
@returns 
*/
get_fileName(): string;
        /**
Returns a boolean value, specifying if the file, which is about to be removed had passed the validation.
@method
@returns 
*/
get_isFailed(): boolean;
    }


    class CloudUploadFileUploadedEventArgs  extends Telerik.Web.UI.CloudUploadEventArgs {
        /**
Returns fileInfo object containing information regarding the uploaded file. Essentially, this is the UploadedFileInfo object serialized from the HttpHandler.
@method
@returns 
*/
get_fileInfo(): any;
    }


    class CloudUploadFileUploadingEventArgs  extends Telerik.Web.UI.CloudUploadCancelEventArgs {
        /**
Returns the name of the file selected.
@method
@returns 
*/
get_fileName(): string;
    }


    class CloudUploadFilesSelectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the count of the selected files.
@method
@returns 
*/
get_count(): number;
    }


    class CloudUploadUploadFailedEventArgs  extends Sys.EventArgs {
        /**
Returns the original error message.
@method
@returns 
*/
get_message(): string;
    }


    class CloudUploadValidationFailedEventArgs  extends Sys.EventArgs {
        /**
Returns the name of the file whose validation has failed.
@method
@returns 
*/
get_fileName(): HTMLElement;
        /**
Returns the original message from the localization.
@method
@returns 
*/
get_message(): string;
    }


    class Collection   {
        /**
Add the spe item to the collection.
@method
@param item - 
@returns 
*/
add(item: any): void;
        /**
Clears the collection.
@method
@returns 
*/
clear(): void;
        /**
Iterates through the array.
@method
@param lambda - 
@returns 
*/
forEach(lambda: any): void;
        /**
Returns the number of items in the colletion.
@method
@returns 
*/
get_count(): number;
        /**
Returns the item at the specified index.
@method
@param index - 
@returns 
*/
getItem(index: number): any;
        /**
Returns the index at which the specified item is located.
@method
@param item - 
@returns 
*/
indexOf(item: number): void;
        /**
Insert the item at the specified index.
@method
@param index - 
@param item - 
@returns 
*/
insert(index: number, item: any): void;
        /**
Removes the specified item from the collection.
@method
@param item - 
@returns 
*/
remove(item: any): void;
        /**
Removes the item at the specified index.
@method
@param index - 
@returns 
*/
removeAt(index: number): void;
        /**
Returns the array represenation of the specified collection.
@method
@returns 
*/
toList(): void;
    }


    class ColorPickerColorChangeEventArgs  extends Sys.EventArgs {
        /**
Returns the selected color from just prior to the change.
@method
@returns 
*/
get_oldColor(): string;
    }


    class ColorPickerColorChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the selected color from just prior to the change.
@method
@returns 
*/
get_oldColor(): string;
        /**
Returns the newly selected color.
@method
@returns 
*/
get_newColor(): string;
    }


    class ColorPickerColorPreviewEventArgs  extends Sys.EventArgs {
        /**
Returns the color of the color box where the mouse is hovering.
@method
@returns 
*/
get_color(): string;
    }


    class ComboBoxCheckAllCheckedEventArgs  extends Sys.EventArgs {
        /**
Returns the value of the "Check All" check box after it is checked.
@method
@returns the value of the "Check All" check box after it is checked.
*/
get_checked(): boolean;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ComboBoxCheckAllCheckingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the value of the "Check All" check box before it is checked.
@method
@returns the value of the "Check All" check box before it is checked
*/
get_checked(): boolean;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ControlItem   {
        /**
Searches the ControlItem for a client control with the specified id parameter.
@method
@param id - 
@returns 
*/
findControl(id: string): Sys.UI.Control;
        /**
Gets the arbitrary attributes collection
@method
@returns The arbitrary attributes collection
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Gets he DOM element for the ControlItem
@method
@returns The DOM element for the ControlItem
*/
get_element(): HTMLElement;
        /**
Gets a value indicating whether the ControlItem is enabled or disabled
@method
@returns Value indicating whether the ControlItem is enabled or disabled
*/
get_enabled(): boolean;
        /**
Gets the ControlItem's index inside the ControlItemCollection
@method
@returns The index of the ControlItem
*/
get_index(): number;
        /**
Gets a value indicating whether the ControlItem is the first item in the ControlItemCollection
@method
@returns Value indicating whether the ControlItem is the first item in the ContorolCollection
*/
get_isFirst(): boolean;
        /**
Gets a value indicating whether the ControlItem is the last item in the ControlItemCollection
@method
@returns Value indicating whether the ControlItem is the last item in the ContorolCollection
*/
get_isLast(): boolean;
        /**
Gets the Level of the item in the ControlItemContainer structure.
@method
@returns The level of the ContolItem
*/
get_level(): number;
        /**
Gets an instance of the next sibling of a ControlItem
@method
@returns The next sibling
*/
get_nextSibling(): Telerik.Web.UI.ControlItem;
        /**
The ControlItem's parent
@method
@returns Gets the ControlItem
*/
get_parent(): any;
        /**
Gets an instance of the previous sibling of a ControlItem.
@method
@returns The previous sibling
*/
get_previousSibling(): Telerik.Web.UI.ControlItem;
        /**
Gets the ControlItem's text
@method
@returns The text of the ControlItem
*/
get_text(): string;
        /**
Gets the ControlItem's value
@method
@returns The value of the ControlItem
*/
get_value(): string;
        /**
Gets a value indicating whether the ControlItem is visible or not
@method
@returns Value indicating whether the ControlItem is visible or not
*/
get_visible(): boolean;
        /**
Sets the ControlItem's DOM element
@method
@param value - DOM element
@returns 
*/
set_element(value: HTMLElement): void;
        /**
Enables or disables the ControlItem
@method
@param value - Boolean value indicating whether the ControlItem is enabled or disabled
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the ControlItem's parent
@method
@param value - DOM element
@returns 
*/
set_parent(value: HTMLElement): void;
        /**
Sets the ControlItem's text
@method
@param text - The new ControlItem text
@returns 
*/
set_text(text: string): void;
        /**

@method
@param value - The new ControlItem text
@returns 
*/
set_value(value: string): void;
        /**
Sets the visibility of the COontrolItem
@method
@param value - Boolean value indicating whether the ControlItem is visible or not
@returns 
*/
set_visible(value: boolean): void;
        /**
The JSON representation of the ControlItem
@method
@returns Returns the JSON representation of the ControlItem
*/
toJsonString(): string;
    }


    class ControlItemCollection <TClass extends Telerik.Web.UI.ControlItem>  {
        /**
Adds ControlItem to the ControlItemCollection.
@method
@param item - The ControlItem to be added to the collection.
*/
add(item: TClass): void;
        /**
Clears the Items collection of ControlItemContainer.
@method
@returns 
*/
clear(): void;
        /**
Iterates through the Items collection.
@method
@param lambda - The function to execute on each iteration.
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of items in the Items collection.
@method
@returns The number of the items.
*/
get_count(): number;
        /**
Gets the item from the Items collection residing at the index specified by the parameter.
@method
@param index - The index of the item that should be returned.
@returns Returns ControlItem.
*/
getItem(index: number): TClass;
        /**
Gets the index of an item.
@method
@param item - The item to get the index of.
@returns int
*/
indexOf(item: TClass): number;
        /**
Inserts an item into the Items collection at the position;specified by the first (index) parameter.
@method
@param index - The index to insert at.
@param item - The item to insert.
@returns 
*/
insert(index: number, item: TClass): void;
        /**
Removes an item from the Items collection.
@method
@param item - The item to remove.
@returns 
*/
remove(item: TClass): void;
        /**
Removes the item at the specified index.
@method
@param index - The index to remove at.
@returns 
*/
removeAt(index: number): void;
        /**
Returns the collection represented as array.
@method
@returns 
*/
toArray(): TClass[];
    }


    class ControlItemContainer  extends Telerik.Web.UI.RadWebControl {
        /**
Commits the changes made to the ControlItemContainer that will be preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Returns the collection of arbitrary attributes
@method
@returns The attribute collection
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Boolean value indicating whether the ControlItemCotaniner is enabled or disabled
@method
@returns Returns boolean value indicating whether the ControlItemContainer is enabled or disabled
*/
get_enabled(): boolean;
        /**
Enables the ControlItemContainer
@method
@param value - A boolean value to enable
@returns 
*/
set_enabled(value: boolean): void;
        /**
Starts tracking changes made to the ControlItemContainer that will be preserved over post-backs.
@method
@returns 
*/
trackChanges(): void;
    }


    class DataFormCommandEventArg  extends Sys.CancelEventArgs {
        /**
Returns the name of the initiated command.
@method
@returns 
*/
get_commandName(): string;
        /**
Returns the argument of the initiated command, which will be passed to the server.
@method
@returns 
*/
get_commandArgument(): string;
    }


    class DataPagerPageIndexChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the new page index for the RadDataPager control when paging.
@method
@returns 
*/
get_newPageIndex(): number;
        /**
Returns the old page index for the RadDataPager control when paging.
@method
@returns 
*/
get_oldPageIndex(): number;
        /**
Sets the new page index for the RadDataPager control when paging.
@method
@param index - 
@returns 
*/
set_newPageIndex(index: number): void;
    }


    class DataPagerPageSizeChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the new page size for the RadDataPager control when paging.
@method
@returns 
*/
get_newPageSize(): number;
        /**
Returns the old page size for the RadDataPager control when paging.
@method
@returns 
*/
get_oldPageSize(): number;
        /**
Sets the new page size for the RadDataPager control when paging.
@method
@param size - 
@returns 
*/
set_newPageSize(size: number): void;
    }


    class DataSourceSettings   {
    }


    class DateInputValueChangedEventArgs   {
        /**
Returns the new value of the control as a Date object
@method
@returns 
*/
get_newDate(): Date;
        /**
Returns the new value of the control as a string
@method
@returns 
*/
get_newValue(): string;
        /**
Returns the old value of the control as a Date object
@method
@returns 
*/
get_oldDate(): Date;
        /**
Returns the old value of the control as a string
@method
@returns 
*/
get_oldValue(): string;
    }


    class DatePickerPopupClosingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the client object for the time view or calendar that is about to close.
@method
@returns 
*/
get_popupControl(): Telerik.Web.UI.RadCalendar;
    }


    class DatePickerPopupOpeningEventArgs  extends Sys.CancelEventArgs {
        /**
Lets you prevent the popup control from synchronizing its value to the value in the input area.
@method
@returns 
*/
get_cancelCalendarSynchronization(): boolean;
        /**
Returns the client object for the time view or calendar that is about to be displayed.
@method
@returns 
*/
get_popupControl(): Telerik.Web.UI.RadCalendar;
        /**
Lets you prevent the popup from appearing.
@method
@param value - 
@returns 
*/
set_cancelCalendarSynchronization(value: boolean): void;
    }


    class DialogOpenEventArgs  extends Sys.EventArgs {
        /**
Returns the name of the opened dialog.
@method
@returns 
*/
get_dialogName(): string;
        /**
Returns the client parameters of the dialog.
@method
@returns 
*/
get_parameters(): any;
        /**
Sets new client parameters to the dialog.
@method
@param parameters - 
@returns 
*/
get_parameters(parameters: any): void;
    }


    class DockCloseCommand  extends Telerik.Web.UI.DockCommand {
        /**

@method
@param e - 
@returns 
*/
onCommand(e: Sys.UI.DomEvent): void;
    }


    class DockCommand  extends Sys.UI.Control {
        /**
Performs a post back if the dock has AutoPostBack enabled.
@method
@param parameter - The parameter passed to the server when post back is performed.
@returns 
*/
conditionalPostback(parameter: string): void;
        /**
Gets the bool value indicating whether the command will perform post back.
@method
@returns The bool value indicating whether the command will perform post back.
*/
get_autoPostBack(): boolean;
        /**

@method
@returns 
*/
get_clientTypeName(): string;
        /**
Gets the CSS class of the DockCommand.
@method
@returns The CSS class of the DockCommand.
*/
get_cssClass(): string;
        /**
Gets the name of the command.
@method
@returns The name of the command.
*/
get_name(): string;
        /**
Gets the parent Telerik.Web.UI.RadDock control.
@method
@returns The parent Telerik.Web.UI.RadDock control.
*/
get_radDock(): Telerik.Web.UI.RadDock;
        /**
Gets the text of the command.
@method
@returns The text of the command
*/
get_text(): string;
        /**
The Command item's main method. Override this method to implement custom logic.
@method
@param e - 
@returns 
*/
onCommand(e: Sys.UI.DomEvent): void;
        /**
Raises the OnClientCommand event.
@method
@param args - 
@returns 
*/
raise_command(args: Sys.CancelEventArgs): void;
        /**
Sets a bool value indicating whether the command will perform post back.
@method
@param value - The bool value indicating whether the command will perform post back.
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**

@method
@param value - 
@returns 
*/
set_clientTypeName(value: string): void;
        /**
Sets a CSS class to the DockCommand.
@method
@param value - The CSS class of the DockCommand.
@returns 
*/
set_cssClass(value: string): void;
        /**
Sets a name to the command.
@method
@param value - The name of the command.
@returns 
*/
set_name(value: string): void;
        /**
Sets a parent Telerik.Web.UI.RadDock control.
@method
@param value - The parent Telerik.Web.UI.RadDock control.
@returns 
*/
set_radDock(value: Telerik.Web.UI.RadDock): void;
        /**
Sets a text to the command.
@method
@param value - The text of the command.
@returns 
*/
set_text(value: string): void;
        /**
The command client-side event occurs when the user clicks on a command in the RadDock title bar.
*/
add_command(handler: (sender: Telerik.Web.UI.DockCommand, args: Sys.CancelEventArgs) => void): void;

remove_command(handler: Function): void;
    }


    class DockExpandCollapseCommand  extends Telerik.Web.UI.DockToggleCommand {
        /**

@method
@param e - 
@returns 
*/
onCommand(e: Sys.UI.DomEvent): void;
    }


    class DockPinUnpinCommand  extends Telerik.Web.UI.DockToggleCommand {
        /**

@method
@param e - 
@returns 
*/
onCommand(e: Sys.UI.DomEvent): void;
    }


    class DockToggleCommand  extends Telerik.Web.UI.DockCommand {
        /**
Gets the CSS class that corresponds with the "Alternate" state of the ToggleCommand.
@method
@returns The Alternate CSS class.
*/
get_alternateCssClass(): string;
        /**
Gets the text corresponding to the "Alternate" state of the ToggleCommand.
@method
@returns The alternate text of the command.
*/
get_alternateText(): string;
        /**
Gets the state of the ToggleCommand. It can be Primary(1) or Alternate(2).
@method
@returns The state of the ToggleCommand.
*/
get_state(): number;
        /**
Sets a CSS class that corresponds to the "Alternate" state of the ToggleCommand.
@method
@param value - The Alternate CSS class.
@returns 
*/
set_alternateCssClass(value: string): void;
        /**
Sets a text corresponding to the "Alternate" state of the ToggleCommand.
@method
@param value - The text of the ToggleCommand corresponding to the
@returns 
*/
set_alternateText(value: string): void;
        /**
Sets a state to the ToggleCommand.
@method
@param value - Set 1
@returns 
*/
set_state(value: number): void;
        /**
Updates the state of the DockToggleCommand.
@method
@returns 
*/
updateState(): void;
    }


    class DropDownListIndexChangedEventArgs  extends Sys.EventArgs {
        /**
Returns the index of the item, that has just been selected.
@method
@returns the index of the item, that has just been selected.
*/
get_index(): number;
    }


    class DropDownListItem  extends Telerik.Web.UI.ControlItem {
        /**
Evaluates the template against the DropDownListItem's data item and applies it.
@method
@returns 
*/
bindTemplate(): void;
        /**
Searches the DropDownListItem for a client control with the specified id parameter.
@method
@param id - The id of the control to search for
@returns 
*/
findControl(id: string): Sys.UI.Control;
        /**
Gets the arbitrary attributes collection
@method
@returns The arbitrary attributes collection
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Returns the value of the DropDownListItem's ClientTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Gets the RadDropDownList client-object
@method
@returns Returns the parent RadDropDownList
*/
get_dropDownList(): Telerik.Web.UI.RadDropDownList;
        /**
Returns the img element of the item
@method
@returns HTML element that holds the item
*/
get_imageElement(): HTMLElement;
        /**
Gets the value of the ImageUrl property
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the DropDownListItem's index inside the DropDownListItemCollection
@method
@returns The index of the DropDownListItem
*/
get_index(): number;
        /**
Gets a value indicating whether the ControlItem is the first item in the ControlItemCollection
@method
@returns Value indicating whether the ControlItem is the first item in the ContorolCollection
*/
get_isFirst(): boolean;
        /**
Gets a value indicating whether the DropDownListItem is the last item in the ControlItemCollection
@method
@returns Value indicating whether the ControlItem is the last item in the ContorolCollection
### get_nextSiblingGets an instance of the next sibling of a ControlItem
*/
get_isLast(): boolean;
        /**
The DropDownListItem's parent
@method
@returns Gets the DropDownListItem
*/
get_parent(): HTMLElement;
        /**
Gets an instance of the previous sibling of a ControlItem.
@method
@returns The previous sibling
*/
get_previousSibling(): Telerik.Web.UI.ControlItem;
        /**
Returns whether the item is selected
@method
@returns Value indicating whether the item is selected
*/
get_selected(): boolean;
        /**
Gets the Text of the item
@method
@returns The value of the Text property
*/
get_text(): string;
        /**
Returns the span element of the item
@method
@returns HTML element that holds the item
*/
get_textElement(): HTMLElement;
        /**
Gets th Value of the item
@method
@returns The value of the Value propert
*/
get_value(): string;
        /**
Gets a value indicating whether the DropDownListItem is visible or not
@method
@returns Value indicating whether the DropDownListItem is visible or not
*/
get_visible(): boolean;
        /**
Selects the item (equal to set_selected(true))
@method
@returns 
*/
select(): void;
        /**
Sets the value of the DropDownListItem's ClientTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the item's dom element
@method
@param value - The HTML element of the item
@returns 
*/
set_element(value: HTMLElement): void;
        /**

@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the ImageUrl property of the item
@method
@param value - String value for the ImageUrl property
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the DropDownListItem's parent
@method
@param value - DOM element
@returns 
*/
set_parent(value: HTMLElement): void;
        /**
Selects the item
@method
@param value - Bool value indicating whether the item is selected
@returns 
*/
set_selected(value: boolean): void;
        /**
Sets the DropDownListItem's text
@method
@param text - The new DropDownListItem text
@returns 
*/
set_text(text: string): void;
        /**

@method
@param value - The new DropDownListItem text
@returns 
*/
set_value(value: string): void;
        /**
Sets whether the item is visible
@method
@param value - Indicates whether the item is visible.
@returns 
*/
set_visible(value: boolean): void;
        /**
The JSON representation of the DropDownListItem
@method
@returns Returns the JSON representation of the DropDownListItem
*/
toJsonString(): string;
        /**
Unselects the item (equal to set_selected(false))
@method
@returns 
*/
unselect(): void;
    }


    class DropDownListItemCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.DropDownListItem> {
        /**
Clears the Items collection of RadDropDownList
@method
@returns 
*/
clear(): void;
        /**
Iterates through the Items collection
@method
@param lambda - The function to execute on each iteration
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of items in the Items collection.
@method
@returns The number of the items
*/
get_count(): number;
        /**
Gets the item from the Items collection residing at the index specified by the parameter.
@method
@param index - 
@returns 
*/
getItem(index: any): any;
        /**
Gets the index of an item.
@method
@returns 
*/
indexOf(): any;
        /**
Removes the item at the specified index.
@method
@param index - The index to remove at
@returns 
*/
removeAt(index: number): void;
    }


    class DropDownListItemDataBoundEventArgs  extends Sys.EventArgs {
        /**
Returns the value of the "Check All" check box after it is checked.
@method
@returns the currently evaluated RadDropDownListItem
*/
get_item(): Telerik.Web.UI.DropDownListItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class DropDownListItemSelectedEventArgs  extends Sys.EventArgs {
        /**
Returns the item that has just been selected.
@method
@returns the item that has just been selected.
*/
get_item(): Telerik.Web.UI.DropDownListItem;
    }


    class DropDownListItemSelectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that is about to be selected.
@method
@returns the item that is about to be selected.
*/
get_item(): Telerik.Web.UI.DropDownListItem;
    }


    class DropDownListItemsRequestingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the object that is passed to the server-side code that handles the request for items.
@method
@returns that is passed to the server-side code that handles the request for items.
*/
get_context(): any;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class DropDownTreeEntry   {
        /**
Returns the value of the selected entry
@method
@returns 
*/
get_value(): string;
    }


    class DropDownTreeEntryAddedEventArgs  extends Sys.EventArgs {
        /**
Retrieves a reference to the added node.
@method
@returns ###  get_entryReturns the entry which is about to be added into the Entry collection.
*/
get_node(): Telerik.Web.UI.RadTreeNode;
    }


    class DropDownTreeEntryAddingEventArgs  extends Sys.CancelEventArgs {
        /**
Retrieves a reference to the added node.
@method
@returns ###  get_entryReturns the entry which is about to be added into the Entry collection.
*/
get_node(): Telerik.Web.UI.RadTreeNode;
    }


    class DropDownTreeEntryCollection   {
        /**

@method
@returns 
*/
clear(): void;
        /**

@method
@returns 
*/
get_count(): void;
        /**

@method
@returns 
*/
getEntry(): void;
        /**
The index of the entry passed as parameter.
@method
@param entry - The entry whose index will be searched.
@returns Returns the index of the entry passed as parameter.
*/
indexOf(entry: Telerik.Web.UI.DropDownTreeEntry): Telerik.Web.UI.DropDownTreeEntry;
    }


    class DropDownTreeEntryRemovedEventArgs  extends Sys.EventArgs {
        /**
Returns the entry which is about to be removed from the Entry collection.
@method
@returns 
*/
get_entry(): Telerik.Web.UI.DropDownTreeEntry;
    }


    class DropDownTreeEntryRemovingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the entry which is about to be removed from the Entry collection.
@method
@returns 
*/
get_entry(): Telerik.Web.UI.DropDownTreeEntry;
    }


    class EditorButton  extends Sys.UI.Control {
        /**
Performs a click operation, but does not fire a command.
@method
@returns Indicates whether the DOM event is canceled or not.
*/
click(): boolean;
        /**
Returns the ContentAreaMode value.
@method
@returns 
*/
get_contentAreaMode(): Telerik.Web.UI.EditorContentAreaMode;
        /**
Indicates whether the Aria support is enabled.
@method
@returns 
*/
get_enableAriaSupport(): boolean;
        /**
Indicates whether the tool is enabled.
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns the height of the tool in pixels.
@method
@returns 
*/
get_height(): string;
        /**
Returns the Text value of the tool.
@method
@returns 
*/
get_text(): string;
        /**
Returns the tool-tip text of the decrease button.
@method
@returns 
*/
get_tooltipDecrease(): string;
        /**
Returns the tool-tip text of the increase button.
@method
@returns 
*/
get_tooltipIncrease(): string;
        /**
Returns the width of the tool in pixels.
@method
@returns 
*/
get_width(): string;
        /**
Returns the anchor element of the tool.
@method
@returns 
*/
getAnchorElement(): HTMLElement;
        /**
Returns the span element of the tool.
@method
@returns 
*/
getSpanElement(): HTMLElement;
        /**
Returns a Boolean value upon the state of the tool.
@method
@returns 
*/
isOn(): boolean;
        /**
Determines whether the tool was clicked.
@method
@param evtArgs - The event arguments.
@returns 
*/
isTarget(evtArgs: any): boolean;
        /**
Overrides the ConentAreaMode value.
@method
@param value - 
@returns 
*/
set_contentAreaMode(value: Telerik.Web.UI.EditorContentAreaMode): void;
        /**
Configures the state of the Aria support.
@method
@param value - 
@param role - The role value to be set.
@returns 
*/
set_enableAriaSupport(value: boolean, role: string): void;
        /**
Sets the enable/disable state of the tool.
@method
@param value - Defines whether the tool to be enabled or not.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the height value of the tool.
@method
@param value - 
@returns 
*/
set_height(value: string): void;
        /**
Overrides the Text value of the tool.
@method
@param value - 
@returns 
*/
set_text(value: string): void;
        /**
Sets the tool-tip text of the decrease button.
@method
@param value - 
@returns 
*/
set_tooltipDecrease(value: string): void;
        /**
Sets the tool-tip text of the increase button.
@method
@param value - 
@returns 
*/
set_tooltipIncrease(value: string): void;
        /**
Sets the width value of the tool.
@method
@param value - 
@returns 
*/
set_width(value: string): void;
        /**
Sets the focus on the tool's element.
@method
@returns 
*/
setFocus(): void;
        /**
Enables the tool.
@method
@param value - If set to false, the tool will remain disabled.
@param attribute - 
@returns 
*/
setOn(value: boolean, attribute: any): void;
        /**
Sets the state of the tool.
@method
@param state - 
@returns 
*/
setState(state: Telerik.Web.UI.Editor.CommandStates): void;
        /**
This event is raised when a value is selected.
*/
add_valueSelected(handler: (sender: Telerik.Web.UI.EditorButton, args: Sys.EventArgs) => void): void;

remove_valueSelected(handler: Function): void;
    }


    class EditorCommandEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the command name
@method
@returns 
*/
get_commandName(): string;
        /**
Returns the command name
@method
@returns 
*/
get_name(): string;
        /**
Returns the object instance of the tool fired the command
@method
@returns 
*/
get_tool(): Telerik.Web.UI.EditorButton;
        /**
Returns the value fetched by the tool
@method
@returns 
*/
get_value(): string;
        /**
Sets the value for the command to execute with
@method
@param value - The command value with which the command to be executed
@returns 
*/
set_value(value: string): void;
    }


    class EditorContextMenu  extends Telerik.Web.UI.EditorToolStrip {
        /**
Returns the tag name associated to this context menu.
@method
@returns 
*/
get_tagName(): string;
        /**
Sets the tag name associated to this context menu.
@method
@param value - Tag name.
@returns 
*/
set_tagName(value: string): void;
    }


    class EditorDropDown  extends Telerik.Web.UI.EditorButton {
        /**
Sets the position of the pop-up before show.
@method
@returns 
*/
configurePopupPropertiesBeforeShow(): void;
        /**
Returns the index of the currently selected item.
@method
@returns 
*/
get_activeIndex(): number;
        /**
Returns the item collection populated.
@method
@returns 
*/
get_items(): any;
        /**
Returns the DOM element of the pop-up.
@method
@returns 
*/
get_popupElement(): HTMLElement;
        /**
Returns the index of the selected item.
@method
@returns 
*/
get_selectedIndex(): number;
        /**
Returns the name of the selected item.
@method
@returns 
*/
get_selectedItem(): string;
        /**
Hides the pop-up of the tool.
@method
@returns 
*/
hide(): void;
        /**
Returns a Boolean value indicating whether the pop-up element is expanded or not.
@method
@returns 
*/
isExpanded(): boolean;
        /**
Sets the index of the selected item.
@method
@param value - 
@returns 
*/
set_activeIndex(value: number): void;
        /**
Sets a new item collection.
@method
@param items - 
@returns 
*/
set_items(items: any): void;
        /**
Sets an index of item to select.
@method
@param index - 
@returns 
*/
set_selectedIndex(index: number): void;
        /**
Shows the pop-up of the tool.
@method
@returns 
*/
show(): void;
        /**
This event is raised when the pop-up element is hidden.
*/
add_hide(handler: (sender: Telerik.Web.UI.EditorDropDown, args: Sys.EventArgs) => void): void;

remove_hide(handler: Function): void;
        /**
This event is raised when the pop-up element is shown.
*/
add_show(handler: (sender: Telerik.Web.UI.EditorDropDown, args: Sys.EventArgs) => void): void;

remove_show(handler: Function): void;
    }


    class EditorShortCut   {
        /**
Returns the name of the Shortcut.
@method
@returns 
*/
get_name(): string;
        /**
Returns the key combination of the Shortcut.
@method
@returns 
*/
get_shortCutString(): string;
        /**
Sets new name for the Shortcut.
@method
@param value - 
@returns 
*/
set_name(value: string): void;
        /**
Configures a new key combination for the Shortcut.
@method
@param value - 
@returns 
*/
setShortCut(value: string): void;
    }


    class EditorShortCutManager   {
        /**
Adds a shortcut from collection.
@method
@param shortcutName - Name of the shortcut
@param shortcutString - The key combination of the shortcut
@returns 
*/
addShortCut(shortcutName: string, shortcutString: string): void;
        /**
Returns the ShortCut instance found by its name.
@method
@param shortcutName - The DOM event.
@returns 
*/
findShortCutByName(shortcutName: string): Telerik.Web.UI.EditorShortCut;
        /**
Indicates whether a shortcut is hit.
@method
@param evt - The DOM event.
@returns 
*/
isShortCutHit(evt: any): boolean;
        /**
Removes a shortcut from collection.
@method
@param shortcutName - Name of the the shortcut
@returns 
*/
removeShortCut(shortcutName: string): void;
        /**
Edits an existing ShortCut.
@method
@param shortcutName - Name of the shortcut
@param shortcutString - The key combination of the shortcut
@returns 
*/
setShortCut(shortcutName: string, shortcutString: string): void;
    }


    class EditorSplitButton  extends Telerik.Web.UI.EditorUpdateableDropDown {
    }


    class EditorToolStrip  extends Telerik.Web.UI.EditorSplitButton {
        /**
Returns a collection of tools.
@method
@returns 
*/
get_tools(): any;
        /**
Sets a new collection of tools.
@method
@param tools - 
@returns 
*/
set_tools(tools: any): void;
    }


    class EditorUpdateableDropDown  extends Telerik.Web.UI.EditorDropDown {
        /**
Returns the selected value.
@method
@returns 
*/
get_value(): string;
        /**
Sets the value of the tool.
@method
@param value - 
@returns 
*/
set_value(value: string): void;
        /**
Updates the value of the tool.
@method
@param value - 
@returns 
*/
updateValue(value: string): void;
    }


    class FileExplorerCopyEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the new or updated path of the copied FileExplorerItem.
@method
@returns 
*/
get_newPath(): string;
        /**
Returns the copied FileExplorerItem.
@method
@returns 
*/
get_item(): Telerik.Web.UI.FileExplorerItem;
        /**
Returns the array of the copied FileExplorerItem objects.
@method
@returns 
*/
get_items(): any;
        /**
Returns the current path of the copied FileExplorerItem.
@method
@returns 
*/
get_path(): string;
    }


    class FileExplorerEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the selected/affected FileExplorerItem.
@method
@returns 
*/
get_item(): Telerik.Web.UI.FileExplorerItem;
        /**
Returns whether the current path of the selected/affected FileExplorerItem is changed.
@method
@returns ### get_newPathReturns the new or updated path of the selected/affected FileExplorerItem.
*/
get_isRename(): boolean;
        /**
Returns the current path of the selected/affected FileExplorerItem.
@method
@returns 
*/
get_path(): string;
    }


    class FileExplorerFilterEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the DOM event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the selected filter text.
@method
@returns 
*/
get_text(): void;
        /**
Sets the selected filter text.
@method
@returns 
*/
set_text(): void;
    }


    class FileExplorerItem   {
        /**

@method
@returns 
*/
get_path(): string;
        /**

@method
@returns 
*/
get_url(): string;
        /**
Returns a Boolean value that indicates whether the selected item is a folder or not
@method
@returns 
*/
isDirectory(): boolean;
        /**

@method
@returns 
*/
set_url(): void;
    }


    class FilterMenuShowingEventArgs   {
        /**
Returns the Telerik.Web.UI.RadContextMenu object
#### Parameters
#### Returns
Telerik.Web.UI.RadContextMenu
@method
*/
get_menu(): void;
        /**
Returns the context menu arguments
#### Parameters
#### Returns
Telerik.Web.UI.RadContextMenuShowingEventArgs
@method
*/
get_menuArguments(): void;
    }


    class FilterMenuShownEventArgs   {
        /**
Returns the Telerik.Web.UI.RadContextMenu object
#### Parameters
#### Returns
Telerik.Web.UI.RadContextMenu
@method
*/
get_menu(): void;
        /**
Returns the context menu arguments
#### Parameters
#### Returns
Telerik.Web.UI.RadContextMenuShownEventArgs
@method
*/
get_menuArguments(): void;
    }


    class GanttAssignment   {
        /**
Gets the id of the assignment.
@method
@returns The value of the ID property.
*/
get_id(): string;
        /**
Gets the id of the task.
@method
@returns The value of the TaskID property.
*/
get_taskId(): string;
        /**
Gets the id of the resource.
@method
@returns The value of the ResourceID property.
*/
get_resourceId(): string;
        /**
Gets the assigned units of the corresponding resource.
@method
@returns The value of the Units property.
*/
get_units(): number;
        /**
Sets the assigned units of the corresponding resource.
@method
@param value - The assigned units of the corresponding resource.
@returns 
*/
set_units(value: number): void;
    }


    class GanttAssignmentCollection   {
        /**
Adds an resource assignment to the collection.
@method
@param assignment - The resource assignment to add.
@returns 
*/
add(assignment: Telerik.Web.UI.GanttAssignment): void;
        /**
Removes a resource assignment from the collection.
@method
@param assignment - The resource assignment to remove.
@returns 
*/
remove(assignment: Telerik.Web.UI.GanttAssignment): void;
        /**
Returns the number of resource assignments in the collection.
@method
@returns The number of the resource assignments.
*/
get_count(): number;
        /**
Gets the resource assignment from the collection residing at the index specified by the parameter.
@method
@param index - The index of the resource assignment that should be returned.
@returns The resource assignment at the specified index.
*/
getAssignment(index: number): Telerik.Web.UI.GanttAssignment;
        /**
Gets the index of a resource assignment.
@method
@param assignment - The resource assignment to get the index of.
@returns The index of the resource assignment.
*/
indexOf(assignment: Telerik.Web.UI.GanttAssignment): number;
        /**
Returns the collection represented as an array.
@method
@returns The collection represented as an array.
*/
toArray(): any;
    }


    class GanttCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the current task.
@method
@returns 
*/
get_task(): Telerik.Web.UI.GanttTask;
    }


    class GanttColumnResizedEventArgs  extends Sys.EventArgs {
        /**
Returns the resized column.
@method
@returns 
*/
get_column(): any;
        /**
Returns the new column width.
@method
@returns 
*/
get_newWidth(): number;
        /**
Returns the old column width.
@method
@returns 
*/
get_oldWidth(): number;
    }


    class GanttDependency   {
        /**
Gets the id of the dependency.
@method
@returns The value of the ID property.
*/
get_id(): string;
        /**
Gets the id of the predecessor task.
@method
@returns The value of the PredecessorID property.
*/
get_predecessorId(): string;
        /**
Gets the id of the successor task.
@method
@returns The value of the SuccessorID property.
*/
get_successorId(): string;
        /**
Gets the type of the dependency.
@method
@returns The type of the dependency.
*/
get_type(): Telerik.Web.UI.GanttDependencyType;
    }


    class GanttDependencyCollection   {
        /**
Adds a dependency to the collection.
@method
@param dependency - The dependency to add.
@returns 
*/
add(dependency: Telerik.Web.UI.GanttDependency): void;
        /**
Removes a dependency from the collection.
@method
@param dependency - The dependency to remove.
@returns 
*/
remove(dependency: Telerik.Web.UI.GanttDependency): void;
        /**
Returns the number of dependencies in the collection.
@method
@returns The number of the dependencies.
*/
get_count(): number;
        /**
Gets the dependency from the collection residing at the index specified by the parameter.
@method
@param index - The index of the dependency that should be returned.
@returns The dependency at the specified index.
*/
getDependency(index: number): Telerik.Web.UI.GanttDependency;
        /**
Gets the index of a dependency.
@method
@param dependency - The dependency to get the index of.
@returns The index of the dependency.
*/
indexOf(dependency: Telerik.Web.UI.GanttDependency): number;
        /**
Returns the collection represented as an array.
@method
@returns The collection represented as an array.
*/
toArray(): any;
    }


    class GanttEventArgs  extends Sys.EventArgs {
        /**
Returns the current task.
@method
@returns 
*/
get_task(): Telerik.Web.UI.GanttTask;
    }


    class GanttNavigationCommandEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the name of the selected view.
@method
@returns selected view "day", "week", "month" or "year".
*/
get_view(): string;
    }


    class GanttResource   {
        /**
Gets the id of the resource.
@method
@returns The value of the ID property.
*/
get_id(): string;
        /**
Gets the text of the resource.
@method
@returns The value of the Text property.
*/
get_text(): string;
        /**
Gets the color of the resource.
@method
@returns The value of the Color property.
*/
get_color(): string;
        /**
Gets the format of the resource value.
@method
@returns The value of the Format property.
*/
get_format(): string;
    }


    class GanttResourceCollection   {
        /**
Returns the number of resources in the collection.
@method
@returns The number of the gantt resources.
*/
get_count(): number;
        /**
Gets the resource from the collection residing at the index specified by the parameter.
@method
@param index - The index of the resource that should be returned.
@returns The resource at the specified index.
*/
getResource(index: number): Telerik.Web.UI.GanttResource;
        /**
Gets the index of a resource.
@method
@param resource - The resource to get the index of.
@returns The index of the resource.
*/
indexOf(resource: Telerik.Web.UI.GanttResource): number;
        /**
Returns the collection represented as an array.
@method
@returns The collection represented as an array.
*/
toArray(): any;
    }


    class GanttTask   {
        /**
Gets the id of the task.
@method
@returns The value of the ID property
*/
get_id(): string;
        /**
Gets the parentId of the task.
@method
@returns The value of the ID property
*/
get_parentId(): string;
        /**
Gets the orderId of the task.
@method
@returns The value of the OrderId property
*/
get_orderId(): string;
        /**
Gets the start time of the task.
@method
@returns The value of the Start property
*/
get_start(): Date;
        /**
Gets the end time of the task.
@method
@returns The value of the End property
*/
get_end(): Date;
        /**
Gets the Title of the task.
@method
@returns The value of the Title property
*/
get_title(): string;
        /**
Gets the task percentage of completion.
@method
@returns The value of the PercentComplete property
*/
get_percentComplete(): string;
        /**
Gets a boolean value indicating whether the task has child tasks.
@method
@returns The value of the Summary property
*/
get_summary(): boolean;
        /**
Gets a boolean value indicating whether the task is expanded.
@method
@returns The value of the Expanded property
*/
get_expanded(): boolean;
        /**
Gets a collection with all child tasks.
@method
@returns a collection of tasks
*/
get_tasks(): Telerik.Web.UI.GanttTaskCollection;
        /**
Gets a collection with all task dependencies.
@method
@returns a collection of dependencies
*/
get_dependencies(): Telerik.Web.UI.GanttDependencyCollection;
        /**
Gets a collection with all task predecessors.
@method
@returns a collection of dependencies
*/
get_predecessors(): Telerik.Web.UI.GanttDependencyCollection;
        /**
Gets a collection with all task successors.
@method
@returns a collection of dependencies
*/
get_successors(): Telerik.Web.UI.GanttDependencyCollection;
        /**
Gets the HTMLElement of the task.
@method
@returns the HTMLElement of the task
*/
get_element(): HTMLElement;
        /**
Sets the start date of the task.
@method
@param start - 
@returns 
*/
set_start(start: Date): void;
        /**
Sets the end date of the task.
@method
@param end - 
@returns 
*/
set_end(end: Date): void;
        /**
Sets the title of the task.
@method
@param title - 
@returns 
*/
set_title(title: string): void;
        /**
Sets the task percentage of completion.
@method
@param percentage - 
@returns 
*/
set_percentComplete(percentage: number): void;
        /**
Sets a boolean value indicating whether the task is expanded.
@method
@param expanded - 
@returns 
*/
set_expanded(expanded: boolean): void;
    }


    class GanttTaskCollection   {
        /**
Adds a task to the collection.
@method
@param task - The task to add.
@returns 
*/
add(task: Telerik.Web.UI.GanttTask): void;
        /**
Inserts a task into the collection at the position specified by the first (index) parameter.
@method
@param index - The index to insert at.
@param task - The task to insert.
@returns 
*/
insert(index: number, task: Telerik.Web.UI.GanttTask): void;
        /**
Removes a task from the collection.
@method
@param task - The task to remove.
@returns 
*/
remove(task: Telerik.Web.UI.GanttTask): void;
        /**
Gets the number of tasks in the collection.
@method
@returns The number of tasks
*/
get_count(): number;
        /**
Gets the task from the collection residing at the index specified by the parameter.
@method
@param index - The index of the task that should be returned
@returns The task at the specified index.
*/
getTask(index: number): Telerik.Web.UI.GanttTask;
        /**
Gets the index of a task.
@method
@param task - The task to get the index of
@returns The index of the specified task in the collection
*/
indexOf(task: Telerik.Web.UI.GanttTask): number;
        /**
Returns the collection of tasks represented as array.
@method
@returns array
*/
toArray(): any;
    }


    class GanttTaskMoveEndEventArgs  extends Telerik.Web.UI.GanttCancelEventArgs {
        /**
Returns the current moved task.
@method
@returns 
*/
get_start(): Telerik.Web.UI.GanttTask;
    }


    class GanttTaskMoveStartEventArgs  extends Telerik.Web.UI.GanttCancelEventArgs {
    }


    class GanttTaskMovingEventArgs  extends Telerik.Web.UI.GanttCancelEventArgs {
        /**
Returns the current moved task.
@method
@returns 
*/
get_start(): Telerik.Web.UI.GanttTask;
    }


    class GanttTaskResizeEndEventArgs  extends Telerik.Web.UI.GanttCancelEventArgs {
        /**
Returns the end time of the current task.
@method
@returns ### get_startReturns the start time of the current task.
*/
get_end(): Date;
    }


    class GanttTaskResizeStartEventArgs  extends Telerik.Web.UI.GanttCancelEventArgs {
    }


    class GanttTaskResizingEventArgs  extends Telerik.Web.UI.GanttCancelEventArgs {
        /**
Returns the end time of the current task.
@method
@returns ### get_startReturns the start time of the current task.
*/
get_end(): Date;
    }


    class GridBatchEditCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the currently edited cell.
@method
@returns 
*/
get_cell(): HTMLElement;
        /**
Returns a reference to the currently edited GridColumn object.
@method
@returns 
*/
get_column(): Telerik.Web.UI.GridColumn;
        /**
Returns the UniqueName of the edited column.
@method
@returns 
*/
get_columnUniqueName(): string;
        /**
Returns a reference to the DOM element of the GridDataItem object.
@method
@returns 
*/
get_row(): HTMLElement;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridBatchEditCellValueChangedEventArgs  extends Telerik.Web.UI.GridBatchEditEventArgs {
        /**
Returns the cell value.
@method
@returns 
*/
get_cellValue(): string;
        /**
Returns the cell value.
@method
@returns 
*/
get_editorValue(): string;
    }


    class GridBatchEditCellValueChangingEventArgs  extends Telerik.Web.UI.GridBatchEditCancelEventArgs {
        /**
Returns the cell value.
@method
@returns 
*/
get_cellValue(): string;
        /**
Returns the cell value.
@method
@returns 
*/
get_editorValue(): string;
    }


    class GridBatchEditEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the currently edited cell.
@method
@returns 
*/
get_cell(): HTMLElement;
        /**
Returns a reference to the currently edited GridColumn object.
@method
@returns 
*/
get_column(): Telerik.Web.UI.GridColumn;
        /**
Returns the UniqueName of the edited column.
@method
@returns 
*/
get_columnUniqueName(): string;
        /**
Returns a reference to the DOM element of the GridDataItem object.
@method
@returns 
*/
get_row(): HTMLElement;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridBatchEditValueActionEventArgs  extends Telerik.Web.UI.GridBatchEditCancelEventArgs {
        /**
Returns a reference to the container of the edited cell.
@method
@returns 
*/
get_container(): HTMLElement;
        /**
Returns the cell value.
@method
@returns 
*/
get_value(): string;
        /**
Sets the cell value.
@method
@param value - 
@returns 
*/
set_value(value: string): void;
    }


    class GridCellSelectCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the GridColumn
@method
@returns 
*/
get_column(): Telerik.Web.UI.GridColumn;
        /**
Returns a reference to the GridDataItem object.
@method
@returns 
*/
get_gridDataItem(): Telerik.Web.UI.GridDataItem;
        /**
Returns a reference to the DOM element of the GridDataItem object.
@method
@returns 
*/
get_row(): HTMLElement;
    }


    class GridCellSelectEventArgs  extends Sys.EventArgs {
        /**
Returns the hierarchical item index.
@method
@returns 
*/
get_itemIndexHierarchical(): string;
        /**
Returns a reference to the GridColumn
@method
@returns 
*/
get_column(): Telerik.Web.UI.GridColumn;
        /**
Returns a reference to the GridDataItem object.
@method
@returns 
*/
get_gridDataItem(): Telerik.Web.UI.GridDataItem;
        /**
Returns a reference to the DOM element of the GridDataItem object.
@method
@returns 
*/
get_row(): HTMLElement;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridCellSelection  extends Sys.Component {
        /**

@method
@param element - 
@returns 
*/
current(element: HTMLElement): void;
        /**
Deselects the specified cell.
@method
@param items - Array of cell dom elements.
@returns 
*/
deselect(items: any): void;
        /**
Returns the column to which the cell belong.
@method
@param uniqueName - 
@returns 
*/
get_column(uniqueName: string): Telerik.Web.UI.GridColumn;
        /**
Returns a boolean value that indicates whether the column is selectable.
@method
@returns 
*/
get_columnSelect(): boolean;
        /**
Returns the owner TableView object of the specified element.
@method
@param thElement - 
@returns 
*/
get_currentTableView(thElement: HTMLElement): Telerik.Web.UI.GridTableView;
        /**
Returns a boolean value that indicates whether multiple columns could be selected.
@method
@returns 
*/
get_multiColumnSelect(): boolean;
        /**
Returns boolean value that indicates where the multi-cell selection is enabled.
@method
@returns 
*/
get_multiple(): boolean;
        /**
Returns the owner HTML element.
@method
@returns 
*/
get_owner(): any;
        /**
Returns the parent Table of the specified element.
@method
@param element - 
@returns 
*/
getParentTable(element: HTMLElement): HTMLElement;
        /**
Selects the specified cell.
@method
@param items - Array of cell dom elements.
@returns 
*/
select(items: any): void;
        /**
Sets the column selectable state.
@method
@param value - 
@returns 
*/
set_columnSelect(value: boolean): void;
        /**
Property that indicates whether multiple columns could be selected.
@method
@param value - 
@returns 
*/
set_multiColumnSelect(value: boolean): void;
        /**
Enables or disables the multi-cell selection mode.
@method
@param value - 
@returns 
*/
set_multiple(value: boolean): void;
    }


    class GridColumn  extends Sys.UI.Control {
        /**
Returns the name of the datafield associated with the column
@method
@returns 
*/
get_dataField(): string;
        /**
Returns a value, indicating the data type of the column, for exampe "System.Boolean"
@method
@returns 
*/
get_dataType(): string;
        /**
HTML element
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns a value, specifying the filter delay for the column
@method
@returns 
*/
get_filterDelay(): number;
        /**
Returns a value, indicating the current filter function
@method
@returns 
*/
get_filterFunction(): string;
        /**
Returns the parent element of the GridColumn, the masterTableView instance
@method
@returns 
*/
get_owner(): any;
        /**
Returns a Boolean value, indicating whether a specific column is ReadOnly
@method
@returns 
*/
get_readOnly(): boolean;
        /**
Returns a Boolean Value, indicating whether the column is reorerable.
@method
@returns 
*/
get_reorderable(): boolean;
        /**
Returns a Boolean Value, indicating whether the column is resizable.
@method
@returns 
*/
get_resizable(): boolean;
        /**
Returns the unique name of the column
@method
@returns 
*/
get_uniqueName(): string;
        /**
Boolean
@method
@returns 
*/
get_visible(): void;
        /**
Sets the filter delay for the column
@method
@param value - 
@returns 
*/
set_filterDelay(value: number): void;
        /**
Sets a value, indicating the current filter function
@method
@param value - 
@returns 
*/
set_filterFunction(value: string): void;
        /**
Sets whether the column should be reorderable or not
@method
@param value - 
@returns 
*/
set_reorderable(value: boolean): void;
        /**
Sets whether the column should be resizable or not
@method
@param value - 
@returns 
*/
set_resizable(value: boolean): void;
        /**
Shows the hader menu of a GridColumn
@method
@param e - 
@param offsetLeft - 
@param offsetTop - 
@returns 
*/
showHeaderMenu(e: any, offsetLeft: number, offsetTop: number): void;
    }


    class GridColumnCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the DomEvent that was raised
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a reference to the GridColumn
@method
@returns 
*/
get_gridColumn(): Telerik.Web.UI.GridColumn;
    }


    class GridColumnCreatedEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the GridColumn
@method
@returns 
*/
get_column(): Telerik.Web.UI.GridColumn;
    }


    class GridColumnEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the DomEvent that was raised
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a reference to the GridColumn object
@method
@returns 
*/
get_gridColumn(): Telerik.Web.UI.GridColumn;
    }


    class GridColumnResizer   {
    }


    class GridColumnSwappedEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the source GridColumn
@method
@returns 
*/
get_gridSourceColumn(): Telerik.Web.UI.GridColumn;
        /**
Returns a reference to the target GridColumn
@method
@returns 
*/
get_gridTargetColumn(): Telerik.Web.UI.GridColumn;
    }


    class GridColumnSwappingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the source GridColumn
@method
@returns 
*/
get_gridSourceColumn(): Telerik.Web.UI.GridColumn;
        /**
Returns a reference to the target GridColumn
@method
@returns 
*/
get_gridTargetColumn(): Telerik.Web.UI.GridColumn;
    }


    class GridCommandEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the argument of the initiated command, which will be passed to the server. Returns value of type Number in some cases like Paging commands.
@method
@returns 
*/
get_commandArgument(): string;
        /**
Returns the name of the initiated command.
@method
@returns 
*/
get_commandName(): string;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridDataBindingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the physical location of the web service/page method which retrieves the data for the grid.
@method
@returns 
*/
get_location(): string;
        /**
Returns the arguments that will be passed to the method which gets the data (start row index, maximum rows, sort parameter, filter parameter).
@method
@returns 
*/
get_methodArguments(): any;
        /**
Returns the name of the method which collects the data.
@method
@returns 
*/
get_methodName(): string;
        /**
Sets the physical location of the web service/page method which retrieves the data for the grid.
@method
@param value - 
@returns 
*/
set_location(value: string): void;
        /**
Sets the arguments that will be passed to the method which gets the data (start row index, maximum rows, sort parameter, filter parameter).
@method
@param value - 
@returns 
*/
set_methodArguments(value: any): void;
        /**
Sets the name of the method which collects the data.
@method
@param value - 
@returns 
*/
set_methodName(value: string): void;
    }


    class GridDataBindingFailedEventArgs  extends Sys.EventArgs {
        /**
Returns the type of the generated exception.
@method
@returns 
*/
get_exceptionType(): string;
        /**
Returns the exception message.
@method
@returns 
*/
get_message(): string;
        /**
Returns the stack trace of the generated exception.
@method
@returns 
*/
get_stackTrace(): string;
    }


    class GridDataItem  extends Sys.UI.Control {
        /**
This method takes control id for an argument and returns the corresponding client object of RadControl or ASP.NET AJAX control inside the grid row. Useful to reference client objects of controls inside a grid item cell on the client.
@method
@param id - 
@returns 
*/
findControl(id: string): Sys.UI.Control;
        /**
This method takes control id for an argument and returns the corresponding DOM element of html or rendered server control inside the grid row. Useful to reference html elements of controls inside a grid item cell on the client.
@method
@param id - 
@returns 
*/
findElement(id: string): any;
        /**
Returns a specific cell from a dataItem, given the unique name of a column
@method
@param columnUniqueName - 
@returns 
*/
get_cell(columnUniqueName: string): any;
        /**
This method provides reference to the DataItem object (data container). Useful to obtain data from a particular row cell passing the unique name of the column as an indexer.
@method
@returns 
*/
get_dataItem(): any;
        /**
Returns a value of type Boolean and specifies if the row is visible.
@method
@returns 
*/
get_display(): boolean;
        /**
HTML element
@method
@returns 
*/
get_editFormItem(): void;
        /**
HTML element
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns a Boolean value, indicating whether the element is expanded or not.
@method
@returns 
*/
get_expanded(): boolean;
        /**
Returns a String, representing the client_id for the element.
@method
@returns 
*/
get_id(): string;
        /**
Boolean
@method
@returns 
*/
get_isInEditMode(): void;
        /**
Returns the hierarchical item index of the GridDataItem object.
@method
@returns 
*/
get_itemIndexHierarchical(): any;
        /**
Returns an array, containing the nestedViews of an element. Meaningful when we have a hierarchical structure.
@method
@returns 
*/
get_nestedViews(): any;
        /**
Returns the parent element of the GridColumn, the masterTableView instance
@method
@returns 
*/
get_owner(): any;
        /**
Gets a Boolean value, indicating whether the dataItem is selectable or not.
@method
@param value - 
@returns 
*/
get_selectable(value: boolean): void;
        /**
Returns a Boolean value, indicating whether the dataItem is selected or not.
@method
@returns 
*/
get_selected(): boolean;
        /**
Returns the dataKeyValue, associated with the dataItem.
@method
@param columnName - 
@returns 
*/
getDataKeyValue(columnName: string): string;
        /**
Sets a Boolean value, indicating whether the dataItem is displayed or not.
@method
@param value - 
@returns 
*/
set_display(value: boolean): void;
        /**
Sets a Boolean value, indicating whether the dataItem is expanded or not.
@method
@param value - 
@returns 
*/
set_expanded(value: boolean): void;
        /**
Sets a Boolean value, indicating whether the dataItem is selected or not.
@method
@param value - 
@returns 
*/
set_selected(value: boolean): void;
        /**
The method toggles the visibility of an item on and off. It takes a boolean value indicating whether the item will be visible or not..
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
    }


    class GridDataItemCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the DataKeyValue for the current row. Requires the corresponding field name to be added in the ClientDataKeyNames property of RadGrid.
@method
@param columnName - 
@returns 
*/
getDataKeyValue(columnName: string): string;
        /**
Returns the DOM event that was raised for the current event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a reference to the GridDataItem object.
@method
@returns 
*/
get_gridDataItem(): Telerik.Web.UI.GridDataItem;
        /**
Returns the ID of the row object.
@method
@returns 
*/
get_id(): string;
        /**
Returns the hierarchical item index.
@method
@returns 
*/
get_itemIndexHierarchical(): string;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridDataItemEventArgs  extends Sys.EventArgs {
        /**
Returns the DataKeyValue for the current row. Requires the corresponding field name to be added in the ClientDataKeyNames property of RadGrid.
@method
@param columnName - 
@returns 
*/
getDataKeyValue(columnName: string): string;
        /**
Returns the DOM event that was raised for the current event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a reference to the GridDataItem object.
@method
@returns 
*/
get_gridDataItem(): Telerik.Web.UI.GridDataItem;
        /**
Returns the ID of the row object.
@method
@returns 
*/
get_id(): string;
        /**
Returns a reference to the GridDataItem object.
@method
@returns 
*/
get_item(): Telerik.Web.UI.GridDataItem;
        /**
Returns the hierarchical item index.
@method
@returns 
*/
get_itemIndexHierarchical(): string;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridDataSourceResolvedEventArgs  extends Sys.EventArgs {
        /**
Returns the data retrieved from the page method or web service.
@method
@returns 
*/
get_data(): any;
        /**
Sets the data which the RadGrid instance will be bound to.
@method
@param value - 
@returns 
*/
set_data(value: any): void;
    }


    class GridDragDropCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the DataKeyValue for the current GridDataItem object.
@method
@param columnName - 
@returns 
*/
get_TargetDataKeyValue(columnName: string): string;
        /**
Returns the HTML element which the item was dropped onto.
@method
@returns 
*/
get_destinationHtmlElement(): HTMLElement;
        /**
Returns the DOM event that was raised for the drag operation.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a collection of the dragged GridDataItem objects.
@method
@returns 
*/
get_draggedItems(): any;
        /**
Indicates the position of the drop indicator if the user is dropping over a RadGrid row - "above" or "below" it.
@method
@returns 
*/
get_dropPosition(): string;
        /**
Returns a reference to the dataItem over which the user is dropping. May be null if the dataItem has not been instantiated beforehand.
@method
@returns 
*/
get_targetGridDataItem(): Telerik.Web.UI.GridDataItem;
        /**
Returns the ClientID of the destination GridDataItem object.
@method
@returns 
*/
get_targetItemId(): string;
        /**
Returns the hierarchical item index of the destination GridDataItem object.
@method
@returns 
*/
get_targetItemIndexHierarchical(): string;
        /**
Returns the GridTableView object, which the target GridDataItem belongs to.
@method
@returns 
*/
get_targetItemTableView(): Telerik.Web.UI.GridTableView;
        /**
Returns the RadGrid instance which the item was dropped onto.
@method
@returns 
*/
get_targetRadGrid(): Telerik.Web.UI.RadGrid;
        /**
Sets the HTML element for the item to be dropped onto.
@method
@param value - 
@returns 
*/
set_destinationHtmlElement(value: HTMLElement): void;
    }


    class GridFilterExpression   {
        /**
Returns the data type of the dataservice.
@method
@param value - 
@returns 
*/
getDataServiceValue(value: any): any;
        /**
Returns the unique name of the column.
@method
@returns 
*/
get_columnUniqueName(): string;
        /**
Returns the type name of the data field.
@method
@returns 
*/
get_dataTypeName(): string;
        /**
Returns the field name of the sort expression.
@method
@returns 
*/
get_fieldName(): string;
        /**
Returns the field value.
@method
@returns 
*/
get_fieldValue(): any;
        /**
Returns the current filter function.
@method
@returns 
*/
get_filterFunction(): string;
        /**
Returns the value of the DynamicLinq expression.
@method
@param value - 
@returns 
*/
getDynamicLinqValue(value: Telerik.Web.UI.GridFilterExpressions): string;
        /**
Returns the string represenation of the data type name.
@method
@param value - 
@returns 
*/
getQuotedValue(value: string): string;
        /**
Sets the unique name of the column.
@method
@param parameter - 
@returns 
*/
set_columnUniqueName(parameter: string): void;
        /**
Returns the type name of the data field.
@method
@param parameter - 
@returns 
*/
set_dataTypeName(parameter: string): void;
        /**
Set the field name of the sort expression.
@method
@param parameter - 
@returns 
*/
set_fieldName(parameter: string): void;
        /**
Sets the field value.
@method
@param parameter - 
@returns 
*/
set_fieldValue(parameter: string): void;
        /**
Returns the current filter function.
@method
@param parameter - 
@returns 
*/
set_filterFunction(parameter: string): void;
        /**
Initializes DataService string.
@method
@returns 
*/
toDataService(): string;
        /**
Returns the DynamicLinq represenation of the filter expression.
@method
@param value - 
@returns 
*/
toDynamicLinq(value: Telerik.Web.UI.GridFilterExpressions): string;
        /**
Returns the OQL represenation of the filter expression.
@method
@param parameter - 
@returns 
*/
toOql(parameter: Telerik.Web.UI.GridFilterExpressions): any;
        /**
Returns the string representation of the specified filter expression.
@method
@param parameter - 
@returns 
*/
toString(parameter: string): string;
    }


    class GridFilterExpressions  extends Telerik.Web.UI.Collection {
        /**
Returns the filter expression by a given column unique name.
@method
@param columnUniqueName - 
@returns 
*/
find(columnUniqueName: Telerik.Web.UI.GridColumn): void;
        /**
Initializes DataService string.
@method
@returns 
*/
toDataService(): void;
        /**
Returns the DynamicLinq represenation of the filter expression.
@method
@param value - 
@returns 
*/
toDynamicLinq(value: Telerik.Web.UI.GridFilterExpressions): void;
        /**
Returns the OQL represenation of the filter expression.
@method
@param parameter - 
@returns 
*/
toOql(parameter: any): void;
        /**
Returns the string represenation of the specified parameter.
@method
@param parameter - 
@returns 
*/
toString(parameter: any): void;
    }


    class GridFilterMenuShowingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the GridColumn.
@method
@returns 
*/
get_column(): Telerik.Web.UI.GridColumn;
        /**
Returns the DOM event that was raised for the current event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a reference to the filtering menu instance.
@method
@returns 
*/
get_menu(): Telerik.Web.UI.RadContextMenu;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridGroupCollapsingEventArgs  extends Sys.CancelEventArgs {
    }


    class GridGroupExpandingEventArgs  extends Sys.CancelEventArgs {
    }


    class GridGroupPanel  extends Sys.UI.Control {
    }


    class GridGroupPanelItem  extends Sys.UI.Control {
    }


    class GridHeaderMenuCancelEventArgs  extends Telerik.Web.UI.GridColumnCancelEventArgs {
        /**
Returns a reference to the column's header menu.
@method
@returns 
*/
get_menu(): Telerik.Web.UI.RadContextMenu;
    }


    class GridHierarchyActionEventArgs  extends Telerik.Web.UI.GridDataItemEventArgs {
        /**
Returns a reference to the DOM element of the container.
@method
@returns 
*/
get_nestedViewItem(): HTMLElement;
    }


    class GridItemResizer   {
    }


    class GridKeyPressEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the DOM event that was raised for the current event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Indicates whether the Alt key was held down when the event fired.
@method
@returns 
*/
get_isAltPressed(): boolean;
        /**
Indicates whether the Ctrl key was held down when the event fired.
@method
@returns 
*/
get_isCtrlPressed(): boolean;
        /**
Indicates whether the Shift key was held down when the event fired.
@method
@returns 
*/
get_isShiftPressed(): boolean;
        /**
Returns the key code of the pressed key.
@method
@returns 
*/
get_keyCode(): number;
    }


    class GridPopUpShowingEventArgs  extends Sys.CancelEventArgs {
    }


    class GridRowDataBoundEventArgs   {
        /**
Returns the underlying data item object (equivalent to e.Item.DataItem object inside ItemDataBound on the server).
@method
@returns 
*/
get_dataItem(): any;
        /**
Returns a reference to the GridDataItem object.
@method
@returns 
*/
get_item(): Telerik.Web.UI.GridDataItem;
    }


    class GridScrollEventArgs  extends Sys.EventArgs {
        /**
Returns a Boolean value, indicating whether the scrollable area is scrolled to the bottom.
@method
@returns 
*/
get_isOnBottom(): boolean;
        /**
Returns a Boolean value, indicating whether the scrollable area is scrolled to the top.
@method
@returns 
*/
get_isOnTop(): boolean;
        /**
Returns the gridDataDiv element of the grid
@method
@returns 
*/
get_scrollControl(): HTMLElement;
        /**
Returns the horizontal position of the scroll.
@method
@returns 
*/
get_scrollLeft(): number;
        /**
Returns the vertical position of the scroll.
@method
@returns 
*/
get_scrollTop(): number;
    }


    class GridScrolling  extends Sys.Component {
        /**

@method
@returns 
*/
applyFrozenScroll(): void;
        /**
Sets the height of the data Div element
@method
@returns 
*/
setDataDivHeight(): void;
        /**
Set the width of the header and footer Div elements
@method
@returns 
*/
setHeaderAndFooterDivsWidth(): void;
    }


    class GridSelection  extends Sys.Component {
        /**
Get the owner.
@method
@returns 
*/
get_owner(): Telerik.Web.UI.RadGrid;
        /**
Sets the owner.
@method
@param value - 
@returns 
*/
set_owner(value: Telerik.Web.UI.RadGrid): void;
    }


    class GridSortExpression   {
        /**
Returns the name of the associated field.
@method
@returns 
*/
get_fieldName(): string;
        /**
Returns the sort order. Possible values are: Descending, Ascending, and Natural
@method
@returns 
*/
get_sortOrder(): string;
        /**
Sets the name of the associated field.
@method
@returns 
*/
set_fieldName(): void;
        /**
Sets the sort order. Possible values are: Descending, Ascending, and Natural
@method
@returns 
*/
set_sortOrder(): void;
    }


    class GridSortExpressions  extends Telerik.Web.UI.Collection {
        /**
Finds the data field by given field name.
@method
@param fieldName - 
@returns 
*/
find(fieldName: any): void;
        /**
Returns the string represenation of the GridSortExpressions object.
@method
@returns 
*/
toString(): void;
    }


    class GridTableCreatedEventArgs  extends Sys.EventArgs {
        /**
Returns the created TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
    }


    class GridTableView  extends Sys.UI.Control {
        /**
Cancels the edit mode for all grid items that are switched in edit mode prior to the method call.
@method
@returns 
*/
cancelAll(): void;
        /**
Method which cancels the insert action and switches the grid in regular mode.
@method
@returns 
*/
cancelInsert(): void;
        /**
Method which cancels the update for the edited table row passed as an argument or the row corresponding to the index passed as an argument. If you have several items switched in edit mode, you can cancel the update for all of them with subsequent calls to this method.
@method
@param index - 
@returns 
*/
cancelUpdate(index: number): void;
        /**
Method which clears the selected items for the respective GridTableView client object. This method will clear the selected items from the table's child tables (meaningful in hierarchical grid only).
@method
@returns 
*/
clearSelectedItems(): void;
        /**
Explicitly collapses an item.
@method
@param index - 
@returns 
*/
collapseItem(index: number): void;
        /**
Method which will force client rebind of the grid and will refresh its state when a new data source is assigned using the set_dataSource() method. Meaningful in this scenario only.
@method
@returns 
*/
dataBind(): void;
        /**
Method which deletes the table row passed as an argument or the row corresponding to the index passed as an argument.
@method
@param index - 
@returns 
*/
deleteItem(index: number): void;
        /**
Method which deletes all selected items in the grid.
@method
@returns 
*/
deleteSelectedItems(): void;
        /**
Deselects the table row passed as an argument or the row corresponding to the index passed as an argument.
@method
@param rowElement - 
@returns 
*/
deselectItem(rowElement: any): void;
        /**
Method which switches all GridDataItems in edit mode.
@method
@returns 
*/
editAllItems(): void;
        /**
Method which switches the table row passed as an argument or the row corresponding to the index passed as an argument in edit mode. If you set AllowMultiRowEdit to true, you can switch multiple grid items in edit mode with subsequent calls to this method.
@method
@param index - 
@returns 
*/
editItem(index: number): void;
        /**
Method which switches all selected items in the grid in edit mode.
@method
@returns 
*/
editSelectedItems(): void;
        /**
Explicitly expands an item.
@method
@param index - 
@returns 
*/
expandItem(index: number): void;
        /**
Exports the grid to CSV format (comma-separated values).
@method
@returns 
*/
exportToCsv(): void;
        /**
Exports the grid to MS Excel 2003 or later
@method
@returns 
*/
exportToExcel(): void;
        /**
Exports the grid to PDF format.
@method
@returns 
*/
exportToPdf(): void;
        /**
Exports the grid to a Word document
@method
@returns 
*/
exportToWord(): void;
        /**
Method which extracts the key values (added to the ClientDataKeyNames collection of the master/detail table) from the edited table row passed as an argument or the row corresponding to the index passed as an argument. The values will be fetched purely client-side and the data will be returned in an object array which can be traversed to get each individual data entry.
@method
@param index - 
@returns 
*/
extractKeysFromItem(index: number): any;
        /**
Method which extracts the old values from the edited table row passed as an argument or the row corresponding to the index passed as an argument. The values will be fetched purely client-side and the data will be returned in an object array which can be traversed to get each individual data entry.
@method
@param index - 
@returns 
*/
extractOldValuesFromItem(index: number): any;
        /**
Method which extracts the new values from the edited table row passed as an argument or the row corresponding to the index passed as an argument. The values will be fetched purely client-side and the data will be returned in an object array which can be traversed to get each individual data entry.
@method
@param index - 
@returns 
*/
extractValuesFromItem(index: number): any;
        /**
Method which triggers filter command for the column with UniqueName (set on the server) passed as a first argument. The second argument should be value to compare (or two values separated by [space] for between filter pattern) or an empty string for EqualTo, NoFilter, IsNull, etc. The last third argument has to be a value from the Telerik.Web.UI.GridFilterFunction enumeration which internally recognizes the filter criteria that should be applied. All server-side filtering capabilities of RadGrid are applicable here as well. See the topic describing the fireCommand method for further details.
@method
@param colUniqueName - 
@param valueToCompare - 
@param filterFunction - 
@param shouldUpdateFilterControl - 
@returns 
*/
filter(colUniqueName: string, valueToCompare: string, filterFunction: string, shouldUpdateFilterControl: boolean): void;
        /**
Method which triggers specific command for the grid when executed. The method is called for the GridTableView client instance and its arguments depend on the command which will be processed.
@method
@param comandName - 
@param commandArgument - 
@returns 
*/
fireCommand(comandName: string, commandArgument: string): void;
        /**
Returns a boolean value indicating whether multi-column sorting is enabled for the grid instance
@method
@returns 
*/
get_allowMultiColumnSorting(): boolean;
        /**
Returns a one-dimensional array which holds the key fields set through the ClientDataKeyNames property of GridTableView on the server
@method
@returns 
*/
get_clientDataKeyNames(): any;
        /**
Returns a collection of c
@method
@returns 
*/
get_columns(): any;
        /**
Returns the current page index
@method
@returns 
*/
get_currentPageIndex(): number;
        /**
Retuens a collection of all data items for the respective GridTableView instance.
@method
@returns 
*/
get_dataItems(): any;
        /**
Array
@method
@returns 
*/
get_editItems(): void;
        /**
Returns HTML table which represents the respective table for the GridTableView object rendered on the client.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
A collection of Telerik.Web.UI.GridFilterExpression objects. Represents the filter expressions applied for the grid instance. The toString() javascript method executed over this collection will return SQL string representation of all filter expressions concatenated by "AND" reserved words. While filter expressions toString() method will create SQL syntax representing current grid filtering, you can also take advantage of the toDynamicLinq() method which will create LINQ expression that can be used directly with Dynamic LINQ library. Furthermore, you can also utilize the toList() method in order to pass an array of items (representing the filter expression elements) to the server and operate with them using GridFilterExpression server object.
@method
@returns 
*/
get_filterExpressions(): Telerik.Web.UI.GridFilterExpressions;
        /**
HTML element
@method
@returns 
*/
get_insertItem(): void;
        /**
Returns a Boolean value, specifying whether the filtering item is visible
@method
@returns 
*/
get_isFilterItemVisible(): boolean;
        /**
Returns a Boolean property. Gets a value indicating if the GridTableView is currently in insert mode.
@method
@returns 
*/
get_isItemInserted(): boolean;
        /**
Returns a string which represents the Name property (set on the server) for the corresponding GridTableView client object. Can be used to identify table in grid hierarchy client-side
@method
@returns 
*/
get_name(): string;
        /**
Returns a property which is of type RadGrid and present the parent of the current object.
@method
@returns 
*/
get_owner(): any;
        /**
Returns the page count for the respective GridTableView object, i.e. the number of pages
@method
@returns 
*/
get_pageCount(): number;
        /**
Returns the page size for the respective GridTableView object
@method
@returns 
*/
get_pageSize(): number;
        /**
If called from a nested GridTableView returns the parent item for the current nested hierarchical GridTableView; returns null if called from the MasterTableView.
@method
@returns 
*/
get_parentRow(): any;
        /**
If called from a nested GridTableView returns the parent GridTableView in the grid hierarchy; returns null if called from the MasterTableView.
@method
@returns 
*/
get_parentView(): any;
        /**
Returns a collection of all selected items (of type GridDataItem) for the respective GridTableView instance. This collection will include the selected items from the table's child tables (meaningful in hierarchical grid only).
@method
@returns 
*/
get_selectedItems(): any;
        /**
A collection of Telerik.Web.UI.GridSortExpression objects. Represents the sort expressions applied for the grid instance. The toString() javascript method executed over this collection will return coma separated string of all expressions (in case of AllowMultiColumnSorting) or a single sort expression if multi-column sorting is disabled. You can also utilize the toList() method in order to pass an array of items (representing the sort expressions applied) to the server and operate with them using GridSortExpression server object. Each sort expression (of type Telerik.Web.UI.GridSortExpression) has fieldName and sortOrder properties which hold the DataField of the sorted column and the sort direction (Ascending, Descending or None). To retrieve the values from these properties use the get_fieldName() and get_sortOrder() properties of the corresponding GridSortExpression.
@method
@returns 
*/
get_sortExpressions(): Telerik.Web.UI.GridSortExpressions;
        /**
Returns the table filter row element
@method
@returns 
*/
get_tableFilterRow(): any;
        /**
Gets the virtual item count value for the respective GridTableView object. Applies to client-side RadGrid binding only.
@method
@returns 
*/
get_virtualItemCount(): number;
        /**
Returns a cell specified by a row and a column unique name.
@method
@param rowObject - 
@param uniqueName - 
@returns 
*/
getCellByColumnUniqueName(rowObject: Telerik.Web.UI.GridDataItem, uniqueName: string): any;
        /**
Returns a column, specified by the argument of the function
@method
@param uniqueName - 
@returns 
*/
getColumnByUniqueName(uniqueName: string): Telerik.Web.UI.GridColumn;
        /**
Returns the unique name of the column by given header row and cell index passed as first and second arguments.
@method
@param rowEl - 
@param index - 
@returns 
*/
getColumnUniqueNameByCellIndex(rowEl: any, index: number): any;
        /**
The method will automatically send a result (holding all filter and sort expressions in appropriate format and will apply paging on server using skip and top) to the query method of the ADO.NET Data Service. The resulting value from the getDataServiceQuery(entityName) method will generate an expression that can be recognized by the corresponding data service.
@method
@param entityName - 
@returns 
*/
getDataServiceQuery(entityName: string): any;
        /**
Method which groups the grid by the column with UniqueName specified as an argument. All server grouping capabilities of RadGrid are applicable for this case as well.
@method
@param colUniqueName - 
@returns 
*/
groupColumn(colUniqueName: string): void;
        /**
Explicitly hides a column.
@method
@param index - 
@returns 
*/
hideColumn(index: number): void;
        /**
Hides the filter item for the tableview instance
@method
@returns 
*/
hideFilterItem(): void;
        /**
Explicitly hides an item.
@method
@param index - 
@returns 
*/
hideItem(index: number): void;
        /**
Method which inserts new table row to the grid. The new data will be taken from the insertion form editors fields.
@method
@returns 
*/
insertItem(): void;
        /**
Moves a column one position to the left.
@method
@param columnIndex - 
@returns 
*/
moveColumnToLeft(columnIndex: number): void;
        /**
Moves a column one position to the right.
@method
@param columnIndex - 
@returns 
*/
moveColumnToRight(columnIndex: number): void;
        /**
Method which triggers paging action with page command passed as an argument. All server-side paging capabilities of RadGrid are applicable here as well. See the topic describing the fireCommand method for further details.
@method
@param pageCommand - 
@returns 
*/
page(pageCommand: string): void;
        /**
Forces a rebind of the grid and will refresh its state using internally the fireCommand() client-side method. Will invoke a postback for server-side bound grids.
@method
@returns 
*/
rebind(): void;
        /**
Reorders two columns, specified by the two parameters to the function
@method
@param columnName1 - 
@param columnName2 - 
@returns 
*/
reorderColumns(columnName1: string, columnName2: string): void;
        /**
Resizes a row in the grid to a specified height
@method
@param columnIndex - 
@param columnWidth - 
@returns 
*/
resizeColumn(columnIndex: number, columnWidth: number): void;
        /**
Resizes a row in the grid to a specified height
@method
@param rowIndex - 
@param rowHeight - 
@returns 
*/
resizeItem(rowIndex: number, rowHeight: any): void;
        /**
Selects all items in the GridTableView for which the method is invoked.
@method
@returns 
*/
selectAllItems(): void;
        /**
Selects the table row passed as an argument or the row corresponding to the index passed as an argument.
@method
@param rowElement - 
@returns 
*/
selectItem(rowElement: any): void;
        /**
Sets a boolean value indicating whether multi-column sorting is enabled for the grid instance
@method
@param size - 
@returns 
*/
set_allowMultiColumnSorting(size: boolean): void;
        /**
Sets the current page index
@method
@param index - 
@returns 
*/
set_currentPageIndex(index: number): void;
        /**
Method which can be used to assign data source for the corresponding GridTableView client instance. This data source should be of JSON format which can be serialized by a web service or page method.
@method
@param dataSource - 
@returns 
*/
set_dataSource(dataSource: any): void;
        /**
Sets the page size for the respective GridTableView object
@method
@param size - 
@returns 
*/
set_pageSize(size: number): void;
        /**
Sets the virtual item count value for the respective GridTableView object. Applies to client-side RadGrid binding only.
@method
@param size - 
@returns 
*/
set_virtualItemCount(size: number): void;
        /**
Explicitly shows a column.
@method
@param index - 
@returns 
*/
showColumn(index: number): void;
        /**
Shows the filter item for the tableview instance
@method
@returns 
*/
showFilterItem(): void;
        /**
Method which switches the grid in insert mode and displays the insertion form.
@method
@returns 
*/
showInsertItem(): void;
        /**
Explicitly shows an item.
@method
@param index - 
@returns 
*/
showItem(index: number): void;
        /**
Method which triggers sort command for the column with DataField (set on the server) passed as an argument. If you set AllowMultiColumnSorting to true server-side, each subsequent call to this method will sort the corresponding column. All server-side sorting capabilities of RadGrid are applicable here as well.
@method
@param sortExpression - 
@returns 
*/
sort(sortExpression: string): void;
        /**
Swaps the two columns, the names of which are passed as arguments to the method
@method
@param columnName1 - 
@param columnName2 - 
@returns 
*/
swapColumns(columnName1: string, columnName2: string): void;
        /**
Method which performs ungroup action for the column with UniqueName specified as an argument.
@method
@param colUniqueName - 
@returns 
*/
ungroupColumn(colUniqueName: string): void;
        /**
Method which updates all edited items in the grid. The new data will be taken from the edit form editors.
@method
@returns 
*/
updateEditedItems(): void;
        /**
Method which updates the edited table row passed as an argument or the row corresponding to the index passed as an argument. If you have several items switched in edit mode, you can update all of them with subsequent calls to this method. The updated data will be taken from the edit form editors.
@method
@param index - 
@returns 
*/
updateItem(index: number): void;
    }


    class GridUserActionEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the name of the initiated action.
@method
@returns 
*/
get_actionName(): string;
        /**
Returns the argument of the action. The name of the method depends on the action. For PageSize changing it is called get_newPageSize.
@method
@returns 
*/
get_newPageIndex(): number;
        /**
Returns the owner TableView object.
@method
@returns 
*/
get_tableView(): Telerik.Web.UI.GridTableView;
        /**
Sets the argument of the action. The name of the method depends on the action. For PageSize changing it is called set_newPageSize.
@method
@param value - 
@returns 
*/
set_newPageIndex(value: number): void;
    }


    class ISchedulerModel   {
        /**
Gets the time slot that will contain the specified appointment if it's added to the scheduler.
@method
@param appointment - The appointment for which to find the time slot.
@returns The time slot instance associated with the specified DOM element.
*/
getTimeSlotForAppointment(appointment: Telerik.Web.UI.SchedulerAppointment): Telerik.Web.UI.ISchedulerTimeSlot;
        /**
Gets the last visible date of the current view.
@method
@returns The last visible date of the current view.
*/
get_visibleRangeEnd(): Date;
        /**
Gets the first visible date of the current view.
@method
@returns The first visible date of the current view.
*/
get_visibleRangeStart(): Date;
        /**
Gets the time slot associated with the specified DOM element.
@method
@param domElement - The time slot DOM element
@returns The time slot instance associated with the specified DOM element.
*/
getTimeSlotFromDomElement(domElement: HTMLElement): Telerik.Web.UI.ISchedulerTimeSlot;
    }


    class ISchedulerTimeSlot   {
        /**
Gets the DOM elment of this time slot.
@method
@returns The DOM elment of this time slot.
*/
get_domElement(): HTMLElement;
        /**
Gets the duration of the time slot in milliseconds.
@method
@returns The duration of the time slot in milliseconds.
*/
get_duration(): number;
        /**
Gets the duration of the time slot in minutes.
@method
@returns The duration of the time slot in minutes.
*/
get_durationInMinutes(): number;
        /**
Gets the end time of the time slot.
@method
@returns The end time of the time slot.
*/
get_endTime(): Date;
        /**
Gets the hierarchical index of the time slot.
@method
@returns The hierarchical index of the time slot.
*/
get_index(): string;
        /**
Gets a value indicating if the time slot is an all-day or not.
@method
@returns true if this is an all
*/
get_isAllDay(): boolean;
        /**
Gets the start time of the time slot.
@method
@returns The start time of the time slot.
*/
get_startTime(): Date;
    }


    class ImageEditorShortCut   {
        /**
Gets the shortcut name (keyword) used to identify the shortcut.
@method
@returns 
*/
get_name(): string;
        /**
Gets the keyboard combination for the shortcut.
#### Parameters
@method
@returns 
*/
get_shortCutString(): string;
        /**
Sets the shortcut name (keyword) used to identify the shortcut.
@method
@param value - The new shortcut name.
@returns 
*/
set_name(value: string): void;
        /**
Sets the index of the current operation.
@method
@param value - The keyboard combination for the shortcut.
@returns 
*/
setShortCut(value: string): void;
    }


    class ImageGalleryImageLoadedEventArgs  extends Sys.EventArgs {
        /**
Returns the currently displayed image object.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadImageGalleryItem;
        /**
Returns the image element.
@method
@returns ### get_imageTypeReturns the image type.
*/
get_image(): HTMLElement;
    }


    class ImageGalleryImageLoadingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the currently displayed image object.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadImageGalleryItem;
        /**
Returns the image type.
@method
@returns 
*/
get_imageType(): Telerik.Web.UI.ImageType;
        /**
Set the image URL.
@method
@param value - 
@returns 
*/
set_imageUrl(value: string): void;
    }


    class ImageGalleryNavigatedEventArgs  extends Sys.EventArgs {
        /**
Returns the currently displayed image object.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadImageGalleryItem;
    }


    class ImageGalleryNavigatingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the currently displayed image object.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadImageGalleryItem;
        /**
Returns the currently displayed item index.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class InputButtonClickEventArgs  extends Sys.CancelEventArgs {
        /**
Returns an integer indicating the type of the clicked button
@method
@returns 
*/
get_buttonType(): number;
    }


    class InputErrorEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the value that the user tried to assign to the input control. When RadNumericTextBox detects an invalid character it returns the current value of the numeric text box.
@method
@returns 
*/
get_inputText(): string;
        /**
Returns a value indicating the type of error that was detected. The possible values are: 1 - Parsing error; 2 - Out of range
@method
@returns 
*/
get_reason(): Telerik.Web.UI.InputErrorReason;
    }


    class InputKeyPressEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the DOM event object for the key press.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the character that is about to be entered into the input control in response to the key press.
@method
@returns 
*/
get_keyCharacter(): string;
        /**
Returns the key code for the key that was pressed.
@method
@returns 
*/
get_keyCode(): number;
    }


    class InputManagerErrorEventArgs  extends Telerik.Web.UI.InputErrorEventArgs {
        /**

@method
@returns 
*/
get_targetInput(): HTMLElement;
        /**

@method
@param value - 
@returns 
*/
set_inputText(value: string): void;
    }


    class InputManagerEventArgs  extends Sys.EventArgs {
        /**

@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**

@method
@returns 
*/
get_targetInput(): HTMLElement;
    }


    class InputManagerKeyPressEventArgs  extends Telerik.Web.UI.InputKeyPressEventArgs {
        /**

@method
@returns 
*/
get_targetInput(): HTMLElement;
    }


    class InputManagerValidatingEventArgs  extends Sys.CancelEventArgs {
        /**

@method
@returns 
*/
get_context(): any;
        /**

@method
@returns 
*/
get_input(): HTMLElement;
        /**

@method
@returns 
*/
get_isValid(): boolean;
        /**

@method
@param value - 
@returns 
*/
set_context(value: any): void;
        /**

@method
@param value - 
@returns 
*/
set_isValid(value: boolean): void;
    }


    class InputManagerValueChangedEventArgs  extends Sys.EventArgs {
        /**

@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**

@method
@returns 
*/
get_inputExtender(): HTMLElement;
        /**

@method
@returns 
*/
get_newValue(): string;
        /**

@method
@returns 
*/
get_oldValue(): string;
    }


    class InputValueChangedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the string value that was just assigned to the input control.
@method
@returns 
*/
get_newValue(): string;
        /**
Returns the string value of the input control before the user made any changes.
@method
@returns 
*/
get_oldValue(): string;
    }


    class InputValueChangingEventArgs  extends Telerik.Web.UI.InputValueChangedEventArgs {
        /**
Can be used to change the value that is about to be assigned to the input control.
@method
@param value - 
@returns 
*/
set_newValue(value: string): void;
    }


    class LightBoxNavigatingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the currently displayed item index.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListBoxCheckAllCheckedEventArgs  extends Sys.EventArgs {
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxCheckAllCheckingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxContextMenuEventArgs  extends Sys.EventArgs {
        /**
Returns the item that has been right clicked over.
@method
@returns the item that has been right clicked over.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxDeletedEventArgs  extends Sys.EventArgs {
        /**
Returns the item that is about to be deleted.
@method
@returns the item that is about to be deleted.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns an array of the items selected for deletion
@method
@returns an array of the items selected for deletion.
*/
get_items(): Telerik.Web.UI.RadListBoxItem[];
    }


    class ListBoxDeletingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that is about to be deleted.
@method
@returns the item that is about to be deleted.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns an array of the items selected for deletion
@method
@returns an array of the items selected for deletion.
*/
get_items(): Telerik.Web.UI.RadListBoxItem[];
    }


    class ListBoxDragStartEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the first selected item that is dragged.
@method
@returns the first selected item that is dragged.
*/
get_sourceItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the DOM html element which the item is dropped onto.
@method
@returns the DOM html element which the item is dropped onto.
*/
get_htmlElement(): HTMLElement;
        /**
Returns an array of the selected items that are dragged
@method
@returns an array of the selected items that are dragged
*/
get_sourceItems(): Telerik.Web.UI.RadListBoxItem[];
    }


    class ListBoxDraggingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the first selected item that is dragged.
@method
@returns the first selected item that is dragged.
*/
get_sourceItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the DOM html element which the item is dropped onto.
@method
@returns the DOM html element which the item is dropped onto.
*/
get_htmlElement(): HTMLElement;
        /**
returns an array of the selected items that are dragged
@method
@returns an array of the selected items that are dragged
*/
get_sourceItems(): Telerik.Web.UI.RadListBoxItem[];
    }


    class ListBoxDroppedEventArgs  extends Sys.EventArgs {
        /**
returns the first selected item that is dropped
@method
@returns the first selected item that is dropped
*/
get_sourceItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the destination item
@method
@returns the destination item
*/
get_destinationItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the relative position either 0 (Above) or 1 (Below) toward the destination item.
@method
@returns the relative position either 0 (Above) or 1 (Below) toward the destination item.
*/
get_dropPosition(): number;
        /**
returns the DOM html element which the item is dropped onto.
@method
@returns the DOM html element which the item is dropped onto.
*/
get_htmlElement(): HTMLElement;
        /**
Returns an array of the selected items that are dropped
@method
@returns an array of the selected items that are dropped
*/
get_sourceItems(): Telerik.Web.UI.RadListBoxItem[];
    }


    class ListBoxDroppingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the first selected item that is dropped
@method
@returns the first selected item that is dropped
*/
get_sourceItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the destination item
@method
@returns the destination item
*/
get_destinationItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the relative position either 0 (Above) or 1 (Below) toward the destination item.
@method
@returns the relative position either 0 (Above) or 1 (Below) toward the destination item.
*/
get_dropPosition(): number;
        /**
returns the DOM html element which the item is dropped onto.
@method
@returns the DOM html element which the item is dropped onto.
*/
get_htmlElement(): HTMLElement;
        /**
Returns an array of the selected items that are dropped
@method
@returns an array of the selected items that are dropped
*/
get_sourceItems(): Telerik.Web.UI.RadListBoxItem[];
    }


    class ListBoxItemCheckedEventArgs  extends Sys.EventArgs {
        /**
Returns the item that is checked.
@method
@returns the item that is checked.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxItemCheckingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that is about to be checked.
@method
@returns the item that is about to be checked.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxItemDataBoundEventArgs  extends Sys.EventArgs {
        /**
Returns the currently evaluated RadDropDownListItem.
@method
@returns the currently evaluated RadDropDownListItem
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxItemDoubleClickedEventArgs  extends Sys.EventArgs {
        /**
Returns the double-clicked item
@method
@returns the double-clicked item.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxItemDoubleClickingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the double-clicked item
@method
@returns the double-clicked item
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxItemsRequestFailedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the error message.
@method
@returns returns the error message.
*/
get_errorMessage(): string;
    }


    class ListBoxItemsRequestingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the object that is passed to the server-side code that handles the request for items.
@method
@returns that is passed to the server-side code that handles the request for items.
*/
get_context(): any;
    }


    class ListBoxMouseOutEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the item
@method
@returns a reference to the item.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxMouseOverEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the currently hovered item.
@method
@returns the currently hovered item
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxReorderedEventArgs  extends Sys.EventArgs {
        /**
Returns the item that has been reordered.
@method
@returns the item that has been reordered.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns an array of the items that have been reordered
@method
@returns an array of the items that have been reordered
*/
get_items(): Telerik.Web.UI.RadListBoxItem[];
        /**
Returns -1 if you are moving the item up and 1 if you are moving the item down.
@method
@returns -1 if you are moving the item up and 1 if you are moving the item down.
*/
get_offset(): number;
    }


    class ListBoxReorderingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that is about to be reordered.
@method
@returns the item that is about to be reordered.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns an array of the items selected for reordering
@method
@returns an array of the items selected for reordering.
*/
get_items(): Telerik.Web.UI.RadListBoxItem[];
        /**
Returns -1 if you are moving the item up and 1 if you are moving the item down.
@method
@returns -1 if you are moving the item up and 1 if you are moving the item down.
*/
get_offset(): number;
    }


    class ListBoxSelectedIndexChangedEventArgs  extends Sys.EventArgs {
        /**
Returns the item that is selected.
@method
@returns the item that is selected.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxSelectedIndexChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that is about to be selected.
@method
@returns the item that is about to be selected.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListBoxTransferredEventArgs  extends Sys.EventArgs {
        /**
Returns the item that has been transferred.
@method
@returns the item that has been transferred.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the instance of the destination RadListBox where the item is transferring to.
@method
@returns the instance of the destination RadListBox where the item is transferring to.
*/
get_destinationListBox(): Telerik.Web.UI.RadListBox;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns an array of items that have been transferred.
@method
@returns an array of items that have been transferred.
*/
get_items(): Telerik.Web.UI.RadListBoxItem[];
        /**
Returns the instance of the source RadListBox which the item currently belongs to.
@method
@returns the instance of the source RadListBox which the item currently belongs to.
*/
get_sourceListBox(): Telerik.Web.UI.RadListBox;
    }


    class ListBoxTransferringEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that is about to be transferred.
@method
@returns the item that is about to be transferred.
*/
get_item(): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the instance of the destination RadListBox where the item is transferring to.
@method
@returns the instance of the destination RadListBox where the item is transferring to.
*/
get_destinationListBox(): Telerik.Web.UI.RadListBox;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
returns an array of items that are about to be transferred
@method
@returns an array of items that are about to be transferred
*/
get_items(): Telerik.Web.UI.RadListBoxItem[];
        /**
Returns the instance of the source RadListBox which the item currently belongs to.
@method
@returns the instance of the source RadListBox which the item currently belongs to.
*/
get_sourceListBox(): Telerik.Web.UI.RadListBox;
    }


    class ListViewCommandEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the command arguments.
@method
@returns ### get_commandNameReturns the command name.
*/
get_commandArgument(): any;
    }


    class ListViewDataBindingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns an object holding the settings for the AJAX call to the data service. Available only when automatic client-side data-binding to web services is used.
@method
@returns 
*/
get_ajaxSettings(): any;
        /**
Returns an object holding data service configuration settings. Available only when automatic client-side data-binding to web services is used.
@method
@returns 
*/
get_dataServiceSettings(): any;
        /**
Returns a value indicating whether additional data is appended to the control data source.
@method
@returns 
*/
get_isAppendingData(): boolean;
        /**
Returns a value indicating whether additional data is prepended to the control data source.
@method
@returns 
*/
get_isPrependingData(): boolean;
    }


    class ListViewDataBindingFailedEventArgs  extends Sys.EventArgs {
        /**
Returns an object holding the exception that caused the data-binding failure.
@method
@returns 
*/
get_exception(): any;
        /**
Returns the response text.
@method
@returns 
*/
get_responseText(): string;
    }


    class ListViewDataSourceResolvedEventArgs  extends Sys.EventArgs {
        /**
Returns an array of the items that will be bound to the control.
@method
@returns 
*/
get_data(): any;
        /**
Returns an object holding the data returned from the web service.
@method
@returns 
*/
get_response(): any;
        /**
Set the data source which will be bound to the control.
@method
@param value - The array of items that the RadListView will use for binding.
@returns 
*/
set_data(value: any): void;
    }


    class ListViewItemDeselectedEventArgs  extends Sys.EventArgs {
        /**
Returns the index of the deselected item.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListViewItemDeselectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the index of the item that is being deselected.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListViewItemDragStartedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns an object containing the data key values.
@method
@returns ### get_domEventReturns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_dataKeyValues(): any;
        /**
Returns the index of the currently dragged item.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListViewItemDraggingEventArgs  extends Sys.EventArgs {
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ListViewItemDroppedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns an object holding the data key values.
@method
@returns 
*/
get_dataKeyValues(): any;
        /**
Returns the HTML element over which the drop is performed.
@method
@returns ### get_domEventReturns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_destinationElement(): HTMLElement;
        /**
Returns the index of the dropped item.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListViewItemDroppingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns an object holding the data key values.
@method
@returns 
*/
get_dataKeyValues(): any;
        /**
Returns the HTML element over which the drop is performed.
@method
@returns ### get_domEventReturns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_destinationElement(): HTMLElement;
        /**
Returns the index of the item that is being dropped.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListViewItemSelectedEventArgs  extends Sys.EventArgs {
        /**
Returns the index of the item that is selected.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListViewItemSelectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the index of the item that is about to be selected.
@method
@returns 
*/
get_itemIndex(): number;
    }


    class ListViewTemplateCreatedEventArgs  extends Sys.EventArgs {
        /**
Returns the context object holding the data that will be used for populating the template.
@method
@returns 
*/
get_context(): any;
        /**
Returns the name of the template.
@method
@returns 
*/
get_name(): string;
        /**
Returns the template function that's used to bind the dataItem to the template text.
@method
@returns 
*/
get_template(): Function;
        /**
Sets the function that is used to generate the template.
@method
@param value - The function that is used to render the template.
@returns 
*/
set_template(value: Function): void;
    }


    class ListViewTemplateDataBoundEventArgs  extends Sys.EventArgs {
        /**
Returns the context object holding the data that will be used for populating the template.
@method
@returns 
*/
get_context(): any;
        /**
Returns the template HTML as string.
@method
@returns 
*/
get_html(): string;
        /**
Returns the name of the template.
@method
@returns 
*/
get_name(): string;
        /**
Returns the template function that’s used to bind the dataItem to the template text.
@method
@returns 
*/
get_template(): Function;
        /**
Sets the HTML of the template.
@method
@param value - The HTML value that the template will render.
@returns 
*/
set_html(value: string): void;
    }


    class LiveTileCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the Value property of the LiveTile that will be sent to the service. It could have been changed through the set_value() method.
@method
@returns 
*/
get_value(): any;
        /**
Sets a new string or object that will be passed as an argument to the service.
@method
@param value - The data object to be bound with.
@returns 
*/
set_value(value: any): void;
    }


    class LiveTileDataEventArgs  extends Sys.EventArgs {
        /**
Returns the data object that is received from the service request.
@method
@returns 
*/
get_data(): any;
        /**
Sets a new data object that will be bound to the tile's template. It can be a modification of the original data.
@method
@param data - The data object to be bound with.
@returns 
*/
set_data(data: any): void;
    }


    class LiveTileErrorEventArgs  extends Sys.EventArgs {
        /**
Returns a value that indicates whether the error alert will be shown.
@method
@returns 
*/
get_cancelErrorAlert(): boolean;
        /**
Returns the error message sent from the server. If no such information is available the LiveTile will return "No error data available".
@method
@returns 
*/
get_errorMessage(): string;
        /**
Sets a flag that indicates whether the alert with the server error message will be shown to the user. Defaults to false, so an alert will be shown.
@method
@param value? - 
@returns 
*/
set_cancelErrorAlert(value?: boolean): void;
    }


    class MaskedTextBoxEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the client-side object of the mask part whose value the user is trying to change
@method
@returns 
*/
get_currentPart(): string;
        /**
Returns the new value assigned to the mask part if the change is allowed
@method
@returns 
*/
get_newValue(): string;
        /**
Returns the current value assigned to the mask part, before the change
@method
@returns 
*/
get_oldValue(): string;
    }


    class MediaPlayerVolumeChangedEventArgs  extends Sys.EventArgs {
        /**
Returns the new volume value.
@method
@returns 
*/
Volume(): number;
    }


    class MonthYearPickerDateSelectedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the selected date.
@method
@returns 
*/
get_selectedDate(): Date;
    }


    class MonthYearPickerMonthSelectedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the new date.
@method
@returns 
*/
get_newDate(): Date;
        /**
Returns the previously selected date.
@method
@returns 
*/
get_oldDate(): Date;
        /**
Returns the selected cell.
@method
@returns 
*/
get_selectedCell(): HTMLElement;
    }


    class MonthYearPickerPopupClosingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the month-year picker control.
@method
@returns 
*/
get_pickerControl(): Telerik.Web.UI.RadMonthYearPicker;
    }


    class MonthYearPickerPopupOpeningEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the month-year picker control.
@method
@returns 
*/
get_pickerControl(): Telerik.Web.UI.RadMonthYearPicker;
    }


    class MonthYearPickerViewChangedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the month-year picker control.
@method
@returns 
*/
get_pickerControl(): Telerik.Web.UI.RadMonthYearPicker;
    }


    class MonthYearPickerYearSelectedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the new date.
@method
@returns 
*/
get_newDate(): Date;
        /**
Returns the previously selected date.
@method
@returns 
*/
get_oldDate(): Date;
        /**
Returns the selected cell.
@method
@returns 
*/
get_selectedCell(): HTMLElement;
    }


    class NumberFormat   {
        /**

@method
@returns 
*/
Format(): void;
        /**

@method
@returns 
*/
Pad(): void;
        /**

@method
@returns 
*/
Parse(): void;
        /**

@method
@returns 
*/
ParseExact(): void;
        /**

@method
@returns 
*/
ReplaceN(): void;
        /**

@method
@returns 
*/
ReturnZeroIfEmpty(): void;
        /**

@method
@returns 
*/
Round(): void;
        /**

@method
@returns 
*/
SplitGroup(): void;
        /**

@method
@returns 
*/
ToFixed(): void;
    }


    class NumericInputErrorEventArgs  extends Telerik.Web.UI.InputErrorEventArgs {
        /**

@method
@returns 
*/
get_inputText(): string;
        /**

@method
@returns 
*/
get_keyCharacter(): string;
        /**

@method
@returns 
*/
get_keyCode(): number;
        /**

@method
@returns 
*/
get_reason(): Telerik.Web.UI.InputErrorReason;
    }


    class NumericInputManagerErrorEventArgs  extends Telerik.Web.UI.NumericInputErrorEventArgs {
        /**

@method
@returns 
*/
get_targetInput(): HTMLElement;
    }


    class ODataDataSourceRequestFailedEventArgs  extends Sys.EventArgs {
        /**
Returns the message of the thrown error.
@method
@returns 
*/
get_message(): string;
        /**
Returns the data model name.
@method
@returns 
*/
get_modelName(): string;
        /**
Returns the status of the thrown error.
@method
@returns 
*/
get_statusCode(): number;
    }


    class ODataDataSourceRequestSucceededEventArgs  extends Sys.EventArgs {
        /**
Returns the current context.
@method
@returns 
*/
get_context(): any;
        /**
Returns the total number of data items;
@method
@returns 
*/
get_count(): number;
        /**
Returns array containing the results of the query.
@method
@returns 
*/
get_data(): any;
        /**
Returns the data model name.
@method
@returns 
*/
get_modelName(): string;
    }


    class ODataDataSourceRequestingEventArgs  extends Sys.EventArgs {
        /**
Returns the data model name.
@method
@returns 
*/
get_modelName(): string;
        /**
Returns the parameters object that will be sent to the service.
@method
@returns 
*/
get_options(): any;
        /**
Sets filters for the request.
@method
@param value - 
@returns 
*/
set_filterExpressions(value: any): void;
        /**
Sets the page index.
@method
@param index - 
@returns 
*/
set_pageIndex(index: number): void;
        /**
Sets the page size.
@method
@param size - 
@returns 
*/
set_pageSize(size: number): void;
        /**
Sets sort expressions for the request.
@method
@param value - 
@returns 
*/
set_sortExpressions(value: any): void;
    }


    class OrgChartGroupItem   {
        /**
Returns the ID of the current GroupItem.
@method
@returns string
*/
getID(): string;
    }


    class OrgChartGroupItemCollection   {
    }


    class OrgChartNode   {
        /**
Returns the ID of the current Node.
@method
@returns string
*/
getID(): string;
        /**
Gets he DOM element for the RadComboBoxItem.
@method
@returns The DOM element for the OrgChartNode.
### get_groupItemsReturns a collection of the group items associated with that node
*/
get_element(): HTMLElement;
    }


    class PaneResizedEventArgs  extends Sys.EventArgs {
        /**
Returns the height of the RadPane before the resizing.
@method
@returns ### get_oldWidthReturns the width of the RadPane before the resizing.
*/
get_oldHeight(): number;
    }


    class PaneResizingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the detla between the old and new width (height) of a Pane or SlidingPane.
@method
@returns 
*/
get_delta(): number;
        /**
Returns the direction in which the Pane (SlidingPane) is resized.
@method
@returns 
*/
get_resizeDirection(): number;
    }


    class PasswordStrengthCalculatingEventArgs  extends Sys.EventArgs {
        /**
Returns password entered by the user
#### Parameters
#### Returns
String
@method
*/
get_passwordText(): void;
        /**
Returns calculated password strength
#### Parameters
#### Returns
Number
@method
*/
get_strengthScore(): void;
        /**
Sets the text that will be used in the indicator element instead of the corresponding one from TextStrengthDescriptions.
#### Parameters
##### value String
#### Returns
None 
### set_strengthScore
Sets custom calculated password strength.
#### Parameters
##### value Number
#### Returns
None
@method
*/
set_indicatorText(): void;
    }


    class PivotGridCellEventArgs  extends Sys.EventArgs {
        /**
Returns the DOM element of the cell.
@method
@returns 
*/
get_cell(): HTMLElement;
        /**
Returns the type of the cell.
@method
@returns 
*/
get_cellType(): number;
        /**
Returns the original DOM event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the DOM element of the expand-collapse button.
@method
@returns 
*/
get_expandCollapseButton(): HTMLElement;
        /**
Returns a boolean that indicates whether the cell has an empty value.
@method
@returns 
*/
get_isEmptyCell(): boolean;
        /**
Returns a boolean that indicates whether the cell has an error value.
@method
@returns 
*/
get_isErrorCell(): boolean;
        /**
Returns a boolean that indicates whether the cell shows a grand total value/header for the row/column.
@method
@returns 
*/
get_isGrandTotalCell(): boolean;
        /**
Returns a boolean that indicates whether the cell shows a total value/header for the row/column.
@method
@returns 
*/
get_isTotalCell(): boolean;
        /**
Returns the value of the cell as string.
@method
@returns 
*/
get_text(): string;
    }


    class PivotGridCommandCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the command argument(s) value(s).
@method
@returns 
*/
get_commandArgument(): string;
        /**
Returns the name of the command which is about to be processed.
@method
@returns 
*/
get_commandName(): string;
    }


    class PivotGridConfigurationPanel  extends Sys.UI.Control {
        /**
Gets the html input element which determines if the updates will be made on every operation or only when clicking the Update button.
@method
@returns Gets the html input element which determines if the updates will be made on every operation or only when clicking the Update button.
*/
get_deferLayoutUpdateCheckBox(): any;
        /**
Gets the collection of Telerik.Web.UI.PivotGridField items which are part of the configuration panel.
@method
@returns The collection of Telerik.Web.UI.PivotGridField items which are part of the configuration panel.
*/
get_fields(): any;
        /**
Gets if the defered layout update is enabled which determines if the changes will be applied after every operation or only when clicking the Update button.
@method
@returns The defered layout update determines if the changes will be applied after every operation or only when clicking the Update button.
*/
get_isDeferedLayoutUpdate(): boolean;
        /**
Gets the panel layout which could be altered on the client and its default type could be changed by setting on of the four available values.
@method
@returns The current configuration panel layout type.
*/
get_layoutType(): Telerik.Web.UI.PivotGridConfigurationPanelLayoutType;
        /**
Gets the owner pivot grid.
@method
@returns The owner pivot grid.
*/
get_owner(): Telerik.Web.UI.RadPivotGrid;
        /**

@method
@returns 
*/
get_treeView(): void;
        /**
Gets the html button element which is enabled when get_isDeferedLayoutUpdate returns true and performs postback updating the RadPivotGrid control.
@method
@returns The
*/
get_updateButton(): any;
        /**
Sets a value indicating whether the row header zone of the PivotGrid will be shown.
@method
@param value - The new layout type.
@returns 
*/
set_layoutType(value: Telerik.Web.UI.PivotGridConfigurationPanelLayoutType): void;
        /**
Updates the RadPivotGrid layout after configuration panel operations.
@method
@param forceUpdate - Set to true if update should happen no matter what.
@returns 
*/
update(forceUpdate: boolean): void;
    }


    class PivotGridField  extends Sys.UI.Control {
        /**
Gets the aggregate operator of the field.
@method
@returns The aggregate operator of the field.
*/
get_aggregate(): Telerik.Web.UI.PivotGridAggregate;
        /**
Gets the field positioned after the current field.
@method
@returns Returns the field positioned after the current field.
*/
get_nextField(): Telerik.Web.UI.PivotGridField;
        /**
Gets the owner pivot grid.
@method
@returns The owner pivot grid.
*/
get_owner(): Telerik.Web.UI.RadPivotGrid;
        /**
Gets the field positioned before the current field.
@method
@returns Returns the field positioned before the current field.
*/
get_previousField(): Telerik.Web.UI.PivotGridField;
        /**
Gets the unique name of the field which is assigned dynamically during runtime or set by the user.
@method
@returns The unique name.
*/
get_uniqueName(): string;
        /**
Gets the zone index of the field which determines its position in the same zone.
@method
@returns The zone index of the field which determines its position in the same zone.
*/
get_zoneIndex(): number;
        /**
Gets the zone type of the field which determines in which zone the field is positioned.
@method
@returns The zone type of the field which determines in which zone the field is positioned.
*/
get_zoneType(): Telerik.Web.UI.PivotGridFieldZoneType;
        /**
Performs postback and sets the field IsHidden property to true which excludes the field from the pivot table calculations.
@method
@returns 
*/
hide(): void;
        /**
Performs postback and calls the Show function of the field server-side in order to sets the IsHidden property to false and sets the ZoneIndex so the field will be placed as last in the zone
@method
@returns 
*/
show(): void;
        /**
Tries to reorder the field with new ZoneType and/or new ZoneIndex.
@method
@param zoneType - The new ZoneType for the field
@param zoneIndex - The new ZoneIndex for the field
@returns If the reorder happened or not which could happen if the zoneType and zoneIndex are the same
*/
tryReorder(zoneType: Telerik.Web.UI.PivotGridFieldZoneType, zoneIndex: number): boolean;
    }


    class PivotGridFieldSettings  extends Sys.UI.Control {
        /**
Shows the field settings window.
@method
@returns 
*/
displayFieldSettingsWindow(): void;
        /**
Gets Cancel button element.
@method
@returns Returns Cancel button element.
*/
get_cancelButton(): HTMLElement;
        /**
Gets the RadWindow client-side object for the RadPivotGrid field settings window.
@method
@returns Returns the RadWindow client
*/
get_fieldSettingsWindow(): Telerik.Web.UI.RadWindow;
        /**
Gets the RadListBox client-side object of the aggregates function list box.
@method
@returns RGets the RadListBox client
*/
get_functionsBox(): Telerik.Web.UI.RadListBox;
        /**
Gets OK button element.
@method
@returns Returns OK button element.
*/
get_okButton(): HTMLElement;
        /**
Gets the owner pivot grid.
@method
@returns The owner pivot grid.
*/
get_owner(): Telerik.Web.UI.RadPivotGrid;
    }


    class PivotGridMenuShowingEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the RadContextMenu client-side object.
@method
@returns 
*/
get_menu(): Telerik.Web.UI.RadContextMenu;
        /**
Returns a reference to the RadContextMenuShowingEventArgs event arguments.
@method
@returns 
*/
get_menuArguments(): Telerik.Web.UI.RadContextMenuShowingEventArgs;
    }


    class PivotGridMenuShownEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the RadContextMenu client-side object.
@method
@returns 
*/
get_menu(): Telerik.Web.UI.RadContextMenu;
        /**
Returns a reference to the RadContextMenuShownEventArgs event arguments.
@method
@returns 
*/
get_menuArguments(): Telerik.Web.UI.RadContextMenuShownEventArgs;
    }


    class PivotGridToolTipShowEventArgs  extends Sys.EventArgs {
        /**
Returns the path of the column ancestors for the current cell of the tooltip if available, otherwise undefined. For example: "Column: 1996 - Quarter 3 - Sum of TotalPrice".
@method
@returns 
*/
get_columnsData(): string;
        /**
Returns the row of the toolTip that shows the data value. For row and column header cells which do not have a value the method returns the dataField in the brackets.
@method
@returns 
*/
get_dataValue(): string;
        /**
Returns the internal text generated from the server, which will be used to create the different rows of data shown in the toolTip. 
The text is semicolon separated, for example: Sum of TotalPrice;Value: $21,080.00;Row: Beverages - Cote de Blaye;Column: 1996 - Quarter 3 - Sum of TotalPrice.
@method
@returns 
*/
get_originalText(): string;
        /**
Returns the path of the row ancestors for the current cell of the tooltip if available, otherwise undefined. For example: "Row: Beverages - Cote de Blaye".
@method
@returns 
*/
get_rowsData(): string;
        /**
Returns the client-side object of the toolTip that will be shown.
@method
@returns 
*/
get_toolTip(): Telerik.Web.UI.RadToolTip;
    }


    class ProgressBarCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Sets new progress value to the control. If set to false/undefined, the state of the control becomes indeterminate.
@method
@param value - 
@returns ###  get_valueReturns the current progress value. Returning undefined means the state of the control is indeterminate.
*/
set_value(value: number): void;
    }


    class RadAjaxControl  extends Sys.UI.Control {
        /**
Initiates a generic AJAX request through the RadAjax instance
@method
@param args - The parameters
@returns 
*/
ajaxRequest(args: string): void;
        /**
Simulates a postback/AJAX request send by the control with the specified UniqueID and specified arguments
@method
@param eventTarget - The control which should raise postback event. You should always use the control
@param eventArgument - This is optional argument for the event
@returns 
*/
ajaxRequestWithTarget(eventTarget: string, eventArgument: string): void;
        /**
Returns the RadAjaxManager client-side events handler names. Example: get_clientEvents().OnRequestStart - returns the name of the RadAjax OnRequestStart client-side event handler. get_clientEvents().OnResponseEnd - returns the name of the RadAjax OnResponseEnd client-side event handler.
@method
@returns 
*/
get_clientEvents(): any;
        /**
Retuns a Boolean value indicating if the RadAjax ajax is enabled
@method
@returns 
*/
get_enableAJAX(): boolean;
        /**
Retuns a Boolean value indicating if the RadAjax history is enabled
@method
@returns 
*/
get_enableHistory(): boolean;
        /**
Gets the size of the RadAjax ajax requests queue
@method
@returns 
*/
get_requestQueueSize(): number;
        /**
Sets the RadAjax client-side events handler names.
@method
@param value - 
@returns 
*/
set_clientEvents(value: any): void;
        /**
Accepts a Boolean value indicating if the RadAjax ajax is enabled
@method
@param value - 
@returns 
*/
set_enableAJAX(value: boolean): void;
        /**
Accepts a Boolean value indicating if the RadAjax ajax is enabled
@method
@param value - 
@returns 
*/
set_enableHistory(value: boolean): void;
        /**
Sets the size of the RadAjax ajax requests queue
@method
@param value - 
@returns 
*/
set_requestQueueSize(value: number): void;
    }


    class RadAjaxLoadingPanel  extends Telerik.Web.UI.RadWebControl {
        /**
Clones the loading panel element passed as first parameter and the clone is used to be displayed over the element specified by the second parameter
@method
@param panelElement - The DOM element of the RadAjaxLoadingPanel
@param updatedElementID - The id of the updated element
@returns 
*/
cloneLoadingPanel(panelElement: any, updatedElementID: string): void;
        /**
Displays the loading panel element over the updated element
@method
@param loadingElement - The DOM element of the RadAjaxLoadingPanel
@param updatedElement - The DOM element of the updated control
@returns 
*/
displayLoadingElement(loadingElement: any, updatedElement: any): void;
        /**
Gets the time in milliseconds of the animation duration of the RadAjaxLoadingPanel
@method
@returns 
*/
get_animationDuration(): number;
        /**
Gets the initial delay time of the RadAjaxLoadingPanel
@method
@returns 
*/
get_initialDelayTime(): number;
        /**
Gets the value of the IsSticky property of the RadAjaxLoadingPanel
@method
@returns 
*/
get_isSticky(): boolean;
        /**
Gets the minimum time in milliseconds that the RadAjaxLoadingPanel will last
@method
@returns 
*/
get_minDisplayTime(): number;
        /**
Gets the Transparency value of the RadAjaxLoadingPanel in percentage (values 0-100)
@method
@returns 
*/
get_transparency(): number;
        /**
Gets the unique id of the RadAjaxLoadingPanel
@method
@returns 
*/
get_uniqueID(): string;
        /**
Gets the zIndex of the RadAjaxLoadingPanel
@method
@returns 
*/
get_zIndex(): number;
        /**
Gets the specified as a parameter element position and dimensions. Example: getElementRactangle(element).top - returns the top position of the element; getElementRactangle(element).left - returns the left position of the element; getElementRactangle(element).width - returns the width of the element; getElementRactangle(element).height - returns the height of the element.
@method
@param element - The DOM element which rectangles should be returned
@returns 
*/
getElementRectangle(element: any): any;
        /**
Hides the loading panel which is displayed over the element passed as a parameter
@method
@param updatedElementID - The id of the updated element
@returns 
*/
hide(updatedElementID: string): void;
        /**
Sets the time in milliseconds of the animation duration of the RadAjaxLoadingPanel
@method
@param value - 
@returns 
*/
set_animationDuration(value: number): void;
        /**
Sets the initial delay time of the RadAjaxLoadingPanel
@method
@param value - 
@returns 
*/
set_initialDelayTime(value: number): void;
        /**
Sets the value of the IsSticky property of the RadAjaxLoadingPanel
@method
@param value - 
@returns 
*/
set_isSticky(value: boolean): void;
        /**
Sets the minimum time in milliseconds that the RadAjaxLoadingPanel will last
@method
@param value - 
@returns 
*/
set_minDisplayTime(value: number): void;
        /**
Sets the Transparency value of the RadAjaxLoadingPanel in percentage (values 0-100)
@method
@param value - 
@returns 
*/
set_transparency(value: number): void;
        /**
Sets the unique id of the RadAjaxLoadingPanel
@method
@param value - 
@returns 
*/
set_uniqueID(value: string): void;
        /**
Sets the zIndex of the RadAjaxLoadingPanel
@method
@param value - 
@returns 
*/
set_zIndex(value: number): void;
        /**
Displays the loading panel over the element passed as a parameter
@method
@param updatedElementID - The id of the updated element
@returns 
*/
show(updatedElementID: string): void;
        /**
Fire when the Loading element appears.
*/
add_showing(handler: (sender: Telerik.Web.UI.RadAjaxLoadingPanel, args: Telerik.Web.UI.AjaxLoadingPanelEventArgs) => void): void;

remove_showing(handler: Function): void;
        /**
Fire when the loading element hides.
*/
add_hiding(handler: (sender: Telerik.Web.UI.RadAjaxLoadingPanel, args: Telerik.Web.UI.AjaxLoadingPanelEventArgs) => void): void;

remove_hiding(handler: Function): void;
    }


    class RadAjaxManager  extends Telerik.Web.UI.RadAjaxControl {
        /**
Gets the current ajax settings of the RadAjaxManager
@method
@returns 
*/
get_ajaxSettings(): any;
        /**
Gets the id of the default loading panel of the RadAjaxManager
@method
@returns 
*/
get_defaultLoadingPanelID(): string;
        /**
True
@method
@returns 
*/
get_enableAJAX(): any;
        /**
True
@method
@returns 
*/
get_enableHistory(): any;
        /**
Gets the current update panels render mode of the RadAjaxManager
@method
@returns 
*/
get_updatePanelsRenderMode(): number;
        /**
Sets the current ajax settings of the RadAjaxManager
@method
@param value - 
@returns 
*/
set_ajaxSettings(value: any): void;
        /**
Sets the id of the default loading panel of the RadAjaxManager
@method
@param value - 
@returns 
*/
set_defaultLoadingPanelID(value: string): void;
        /**
true
@method
@param boolean - 
@returns 
*/
set_enableAJAX(boolean: any): any;
        /**
true
@method
@param boolean - 
@returns 
*/
set_enableHistory(boolean: any): any;
        /**
Sets the current update panels render mode of the RadAjaxManager
@method
@param value - 
@returns 
*/
set_updatePanelsRenderMode(value: number): void;
        /**
Shows loading panels over the updated controls from the ajax request initiator specified as a parameter
@method
@param id - The id of the ajax request initiator control
@param ajaxSettings - The RadAjaxManager ajax settings
@returns 
*/
showLoadingPanels(id: string, ajaxSettings: any): void;
        /**
Updates the html of the DOM element with the specified id
@method
@param id - The id of the DOM element to update
@param html - The html which is to be assigned to the specified DOM element
@returns 
*/
updateElement(id: string, html: string): void;
        /**
Fire aftre the ajax request begin.
*/
add_RequestStart(handler: (sender: Telerik.Web.UI.RadAjaxManager, args: Telerik.Web.UI.AjaxRequestEventArgs) => void): void;

remove_RequestStart(handler: Function): void;
        /**
Fire aftre the ajax request ends.
*/
add_ResponseEnd(handler: (sender: Telerik.Web.UI.RadAjaxManager, args: Telerik.Web.UI.AjaxRequestEventArgs) => void): void;

remove_ResponseEnd(handler: Function): void;
    }


    class RadAjaxPanel  extends Telerik.Web.UI.RadAjaxControl {
        /**
True if browser history is enabled during AJAX requests.
@method
@returns 
*/
get_enableHistory(): any;
        /**
Gets the id of the loading panel of the RadAjaxPanel
@method
@returns 
*/
get_loadingPanelID(): string;
        /**
Sets the array of objects representing the AjaxSettings.
@method
@param Array - 
@returns 
*/
set_ajaxSettings(Array: any): any;
        /**
Sets the DefaultLoadingPanelID
@method
@param string - 
@returns 
*/
set_defaultLoadingPanelID(string: any): any;
        /**
Allows or blocks the request to be executed through AJAX. Pass True to allow AJAX, False to have the request fulfilled through a standard postback.
@method
@param boolean - 
@returns 
*/
set_enableAJAX(boolean: any): any;
        /**
Allows browser history during AJAX requests. Pass True to allow browser history during AJAX requests.
@method
@param boolean - 
@returns 
*/
set_enableHistory(boolean: any): any;
        /**
Sets the id of the loading panel of the RadAjaxPanel
@method
@returns 
*/
set_loadingPanelID(): string;
        /**
Fire aftre the ajax request begin.
*/
add_RequestStart(handler: (sender: Telerik.Web.UI.RadAjaxPanel, args: Telerik.Web.UI.AjaxRequestEventArgs) => void): void;

remove_RequestStart(handler: Function): void;
        /**
Fire aftre the ajax request ends.
*/
add_ResponseEnd(handler: (sender: Telerik.Web.UI.RadAjaxPanel, args: Telerik.Web.UI.AjaxRequestEventArgs) => void): void;

remove_ResponseEnd(handler: Function): void;
    }


    class RadAsyncUpload  extends Telerik.Web.UI.RadWebControl {
        /**
Adds a new row to the RadAsyncUpload control.
@method
@returns 
*/
addFileInput(): void;
        /**
Deletes all file inputs.
@method
@returns 
*/
deleteAllFileInputs(): void;
        /**
Deletes the file input at the the specified index
@method
@param index - The index to delete at
@param skipEvent - Specifies whether the onRowDeleting event should be skipped or not
@returns 
*/
deleteFileInputAt(index: number, skipEvent: boolean): void;
        /**

@method
@returns 
*/
get_allowedFileExtensions(): void;
        /**

@method
@returns 
*/
get_dropZones(): void;
        /**
RadAsyncUpload
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets a value indicating whether the RadAsyncUpload is enabled.
@method
@returns True if the RadAsyncUpload is enabled
*/
get_enabled(): boolean;
        /**

@method
@returns 
*/
get_fileFilter(): void;
        /**

@method
@returns 
*/
get_handlerUrl(): void;
        /**
RadAsyncUpload
@method
@returns 
*/
get_initialFileInputsCount(): any;
        /**

@method
@returns 
*/
get_loadedModuleName(): void;
        /**
RadAsyncUpload
@method
@returns 
*/
get_maxFileCount(): any;
        /**

@method
@returns 
*/
get_multipleFileSelectionEnabled(): void;
        /**
RadAsyncUpload
@method
@param string - 
@returns 
*/
getID(string: any): any;
        /**

@method
@returns 
*/
getInvalidFiles(): void;
        /**

@method
@returns a string array of the file names of the uploaded files
*/
getUploadedFiles(): any;
        /**
Gets a value indicating whether the file extension is valid.
@method
@param extension - The extension to check
@returns True if the file extension is valid
*/
isExtensionValid(extension: string): boolean;
        /**
When FileAPI module is used the method pauses the upload. Keep in mind that it stops right after the uploading chunk is uploaded.
@method
@returns 
*/
pauseUpload(): void;
        /**
When FileAPI module is used the method resumes the upload when its paused.
@method
@returns 
*/
resumeUpload(): void;
        /**
Saves the client state to the client state hidden field.
@method
@returns 
*/
saveClientState(): void;
        /**

@method
@returns 
*/
set_allowedFileExtensions(): void;
        /**

@method
@returns 
*/
set_dropZones(): void;
        /**
Sets a boolean value indicating whether the RadAsyncUpload is enabled.
@method
@param enable - enable
@returns 
*/
set_enabled(enable: boolean): void;
        /**
RadAsyncUpload
@method
@param integer - 
@returns 
*/
set_maxFileCount(integer: any): any;
        /**
Starts the upload when ManualUplaod is set and files are selected.
@method
@returns 
*/
startUpload(): void;
        /**
The added event occurs when a new row has just been added to the RadAsyncUpload control.
*/
add_added(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadClientAddedEventArgs) => void): void;

remove_added(handler: Function): void;
        /**
The fileDropped client-side event occurs when file(s) are dropped on some of the drop zones of RadAsyncUpload or on the control itself. If more then one file is dropped the event is fired for each one of them.
*/
add_fileDropped(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadFileDroppedEventArgs) => void): void;

remove_fileDropped(handler: Function): void;
        /**
The fileSelected client-side event occurs when a file is selected in a file input control.
*/
add_fileSelected(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadFileSelectedEventArgs) => void): void;

remove_fileSelected(handler: Function): void;
        /**
The filesSelected client-side event occurs when files(s) are selected. These event can be cancelled, which will erase the selected files collection.
*/
add_filesSelected(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadFilesSelectedEventArgs) => void): void;

remove_filesSelected(handler: Function): void;
        /**
The fileUploaded client-side event occurs after a file has been uploaded.
*/
add_fileUploaded(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadFileUploadedEventArgs) => void): void;

remove_fileUploaded(handler: Function): void;
        /**
The fileUploadFailed client-side event occurs when error uploading the selected files(s) has occured. Common reason for this event firing is Telerik.Web.UI.WebResource.axd handler not being registered in the web.config. Another reason might be server-side error in custom upload handler is being used.
*/
add_fileUploadFailed(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadUploadFailedEventArgs) => void): void;

remove_fileUploadFailed(handler: Function): void;
        /**
The fileUploading client-side event occurs when a file has started uploading.
*/
add_fileUploading(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadFileUploadingEventArgs) => void): void;

remove_fileUploading(handler: Function): void;
        /**
The fileUploadRemoved occurs after the selected file has been removed from the uploaded files collection.
*/
add_fileUploadRemoved(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadFileUploadRemovedEventArgs) => void): void;

remove_fileUploadRemoved(handler: Function): void;
        /**
The progressUpdating occurs each time the inline progress indicator is being updated.
*/
add_progressUpdating(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadProgressUpdatingEventArgs) => void): void;

remove_progressUpdating(handler: Function): void;
        /**
The validationFailed client-side event occurs after a validation for selected file has failed either due to invalid file size or invalid extension.
*/
add_validationFailed(handler: (sender: Telerik.Web.UI.RadAsyncUpload, args: Telerik.Web.UI.RadAsyncUploadValidationFailedEventArgs) => void): void;

remove_validationFailed(handler: Function): void;
    }


    class RadAsyncUploadCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns LI html element of the added row.
@method
@returns 
*/
get_row(): HTMLElement;
    }


    class RadAsyncUploadClientAddedEventArgs  extends Telerik.Web.UI.RadAsyncUploadEventArgs {
        /**
Returns the index of the added row.
@method
@returns 
*/
get_index(): number;
    }


    class RadAsyncUploadEventArgs   {
        /**
Returns the row containing the file input field for the file that was just selected (<LI> element)
@method
@returns <LI> element containing the file input for the selected file.
*/
get_row(): HTMLElement;
    }


    class RadAsyncUploadFileDroppedEventArgs   {
    }


    class RadAsyncUploadFileSelectedEventArgs  extends Telerik.Web.UI.RadAsyncUploadEventArgs {
        /**
Returns the file input field for the file that was just selected.
@method
@returns 
*/
get_fileInputField(): HTMLElement;
        /**
Returns the name of the selected file.
@method
@returns 
*/
get_fileName(): string;
    }


    class RadAsyncUploadFileUploadRemovedEventArgs   {
        /**
Returns the name of the selected file.
@method
@returns 
*/
get_fileName(): string;
    }


    class RadAsyncUploadFileUploadRemovingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the name of the file that is about to be removed from the uploaded files collection.
@method
@returns Object containing infomration about the file that is about to be removed.
*/
get_fileInfo(): any;
        /**
Returns the name of the selected file.
@method
@returns 
*/
get_fileName(): string;
        /**
Returns the index of the row that is about to be removed from the uploaded files collection.
@method
@returns The index of the row.
*/
get_rowIndex(): number;
    }


    class RadAsyncUploadFileUploadedEventArgs  extends Telerik.Web.UI.RadAsyncUploadEventArgs {
        /**
Returns the name of the file that is about to be removed from the uploaded files collection.
@method
@returns Object containing infomration about the file that is about to be removed.
### get_fileNameReturns the name of the selected file.
*/
get_fileInfo(): any;
    }


    class RadAsyncUploadFileUploadingArguments  extends Sys.CancelEventArgs {
        /**

@method
@returns 
*/
get_fileName(): void;
        /**

@method
@returns 
*/
get_queryStringParams(): void;
        /**

@method
@returns 
*/
get_row(): void;
        /**

@method
@returns 
*/
set_queryStringParams(): void;
    }


    class RadAsyncUploadFileUploadingEventArgs  extends Telerik.Web.UI.RadAsyncUploadCancelEventArgs {
        /**
Returns the name of the selected file.
@method
@returns 
*/
get_fileName(): string;
        /**
Returns string parameters to the uploaded file.
@method
@returns 
*/
get_queryStringParams(): any;
        /**
Add string parameters to the uploaded file.
@method
@param value - 
@returns 
*/
set_queryStringParams(value: any): void;
    }


    class RadAsyncUploadFilesSelectedEventArgs   {
    }


    class RadAsyncUploadProgressUpdatingEventArgs   {
        /**
Returns data object containing information regarding the progress. The data object contains the following properties:
- percent - returns the percentage of the uploaded file.
- fileSize - returns the file size in bytes.
- fileName - returns the name of the uploading file.
- uploadedBytes - returns the number of uploaded bytes.
@method
@returns data object containing information regarding the progress.
### get_rowReturns the row containing the file input field for the file that was just selected (<LI> element)
*/
get_data(): any;
    }


    class RadAsyncUploadUploadFailedEventArgs   {
        /**
Allows you to suppress the error message that would be thrown.
@method
@param value - Sets a boolean value that indicates whether the message will be suppressed.
@returns 
*/
set_handled(value: boolean): void;
        /**
Returns whether the error message should be suppressed. The default is true.
@method
@returns 
*/
get_handled(): boolean;
        /**
Returns the original error message.
@method
@returns error message with the HTTP status code.
*/
get_message(): string;
        /**
Returns the name of the currently loaded module. Can be Silverlight/Flash/IFrame.
@method
@returns the name of the currently loaded module.
*/
get_loadedModuleName(): string;
        /**
Returns the upload row for which the event was fired.
@method
@returns <LI> element containing the file input for the selected file.
*/
get_row(): HTMLElement;
    }


    class RadAsyncUploadValidationFailedEventArgs   {
        /**
Returns the name of the selected file.
@method
@returns ### get_rowReturns the row containing the file input field for the file that was just selected (<LI> element)
*/
get_fileName(): string;
    }


    class RadAutoCompleteBox  extends Telerik.Web.UI.RadWebControl {
        /**
Clears the data in control dropdown.
@method
@returns 
*/
clear(): void;
        /**
Commits the changes made to the RadAutoCompleteBox that will be preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Creates a new entry.
@method
@param entryText - A string that contains the text of the entry.
@param entryValue - A string that contains the value of the entry.
@returns 
*/
createEntry(entryText: string, entryValue: string): void;
        /**
Disables the control.
@method
@returns 
*/
disable(): void;
        /**
Enables the control.
@method
@returns 
*/
enable(): void;
        /**
Gets the binding mode.
@method
@returns The binding mode type.
*/
get_bindingMode(): string;
        /**
Gets a the dropDown element.
@method
@returns The dropDown element.
*/
get_dropDownElement(): HTMLElement;
        /**
Gets the empty message text.
@method
@returns 
*/
get_emptyMessage(): void;
        /**
Returns the Entries collection for the RadAutoCompleteBox.
@method
@returns AutoCompleteBoxEntryCollection
*/
get_entries(): Telerik.Web.UI.AutoCompleteBoxEntryCollection;
        /**
Gets a the input element.
@method
@returns The input element.
*/
get_inputElement(): HTMLElement;
        /**
Gets a value indicating whether OData Source is used.
@method
@returns 
*/
get_isUsingODataSource(): void;
        /**
Gets the string used for requesting data
@method
@returns 
*/
get_searchString(): void;
        /**
Gets entries texts.
@method
@returns The entries texts.
*/
get_text(): string;
        /**
Gets an object containing Web Service settings.
@method
@returns 
*/
get_webServiceSettings(): Telerik.Web.UI.WebServiceSettings;
        /**
Sends request to the server against the value passed as an argument.
@method
@param string - 
@returns 
*/
query(string: any): any;
        /**
Starts tracking changes made to the RadAutoCompleteBox that will be preserved over post-backs.
@method
@returns 
*/
trackChanges(): void;
        /**
This event is fired  immediately after the drop-down container is closed.
*/
add_dropDownClosed(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxDropDownClosedEventArgs) => void): void;

remove_dropDownClosed(handler: Function): void;
        /**
This event is fired before the drop-down container is closed.
*/
add_dropDownClosing(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxDropDownClosingEventArgs) => void): void;

remove_dropDownClosing(handler: Function): void;
        /**
This event is fired for each item that is created during a request to a Web service.
*/
add_dropDownItemDataBound(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteDropDownItemDataBoundEventArgs) => void): void;

remove_dropDownItemDataBound(handler: Function): void;
        /**
This event is fired immediately after an item from the drop-down container has been removed from the Entry collection of RadAutoCompleteBox.
*/
add_entryRemoved(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxEntryRemovedEventArgs) => void): void;

remove_entryRemoved(handler: Function): void;
        /**
This event is fired immediately after an item from the drop-down container is added to the Entry collection of RadAutoCompleteBox.
*/
add_entryAdded(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxEntryAddedEventArgs) => void): void;

remove_entryAdded(handler: Function): void;
        /**
This event is fired immediately after the drop-down container is opened.
*/
add_dropDownOpened(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxDropDownOpenedEventArgs) => void): void;

remove_dropDownOpened(handler: Function): void;
        /**
This event is fired in case of error while loading the drop-down items from the data source.
*/
add_requestFailed(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxRequestFailedEventArgs) => void): void;

remove_requestFailed(handler: Function): void;
        /**
This event is fired right before an entry is added to the Entry collection of RadAutoCompleteBox.
*/
add_entryAdding(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxEntryAddingEventArgs) => void): void;

remove_entryAdding(handler: Function): void;
        /**
This event is fired right before an entry is removed from the Entry collection of RadAutoCompleteBox.
*/
add_entryRemoving(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxEntryRemovingEventArgs) => void): void;

remove_entryRemoving(handler: Function): void;
        /**
This event is fired right before RadAutoCompleteBox sends a server-side request to load items into its drop-down container.
*/
add_requesting(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxRequestingEventArgs) => void): void;

remove_requesting(handler: Function): void;
        /**
This event is fired right before the drop-down container of RadAutoCompleteBox is opened.
*/
add_dropDownOpening(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxDropDownOpeningEventArgs) => void): void;

remove_dropDownOpening(handler: Function): void;
        /**
This event is fired when the client RadAutoCompleteBox object is loaded.
*/
add_load(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
This event is fired when the text currently present in the input area is changed and RadAutoComplete has lost its focus.
*/
add_textChanged(handler: (sender: Telerik.Web.UI.RadAutoCompleteBox, args: Telerik.Web.UI.AutoCompleteBoxTextChangedEventArgs) => void): void;

remove_textChanged(handler: Function): void;
    }


    class RadBaseTile   {
        /**
Clears the time interval set by the CloseDelay property of the peek template settings
@method
@returns 
*/
clearPeekHideInterval(): void;
        /**
Clears the time interval set by the ShowInterval property of the peek template settings
@method
@returns 
*/
clearPeekShowInterval(): void;
        /**
Clears both time interval set by the ShowInterval and CloseDelay properties of the peek template settings
@method
@returns 
*/
clearShowHideIntervals(): void;
        /**
Returns if the peek template should be hidden on mouse out
@method
@returns 
*/
get_hidePeekTemplateOnMouseOut(): boolean;
        /**
Returns the Id property of a tile.
@method
@returns 
*/
get_id(): string;
        /**
Returns the Name property of a tile
@method
@returns 
*/
get_name(): string;
        /**
Gets the URL of the page to navigate to, without posting the page back to the server
@method
@returns 
*/
get_navigateUrl(): string;
        /**
Returns the PeekAnimationManager responsible for showing / hiding the peek template
@method
@returns 
*/
get_peekAnimationManager(): Telerik.Web.UI.Tile.PeekAnimationManager;
        /**
Sets the interval after which the peek template is hidden, the interval is in milliseconds.
@method
@returns 
*/
get_peekCloseDelay(): number;
        /**
Returns the interval after which the peek template is shown
@method
@returns Interval in milliseconds
*/
get_peekShowInterval(): number;
        /**
Returns if the tile is selected
@method
@returns 
*/
get_selected(): boolean;
        /**
Returns if the peek template should be shown on mouse over
@method
@returns 
*/
get_showPeekTemplateOnMouseOver(): boolean;
        /**
Gets the target window or frame in which to display the Web page content linked to when the NavigateUrl property when the control is clicked
@method
@returns 
*/
get_target(): string;
        /**
Returns the name of the tile type
@method
@returns The name of the tile type
*/
get_tileType(): string;
        /**
Hides the peek template
@method
@returns 
*/
hidePeekTemplate(): void;
        /**
Sets if the peek template should be hidden on mouse out
@method
@param value - 
@returns 
*/
set_hidePeekTemplateOnMouseOut(value: boolean): void;
        /**
Sets the Name property of a tile
@method
@param value - 
@returns 
*/
set_name(value: string): void;
        /**
Sets the URL of the page to navigate to, without posting the page back to the server
@method
@param value - 
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Sets the interval after which the peek template is hidden
@method
@param value - Interval in milliseconds
@returns 
*/
set_peekCloseDelay(value: number): void;
        /**
Sets the interval after which the peek template is shown
@method
@param value - Interval in milliseconds
@returns 
*/
set_peekShowInterval(value: number): void;
        /**
Sets the selected state of the tile
@method
@param value - 
@param triggerEvents - If false the selecting and selected client events are not fired.
@returns 
*/
set_selected(value: boolean, triggerEvents: boolean): void;
        /**
Sets if the peek template should be shown on mouse over
@method
@returns 
*/
set_showPeekTemplateOnMouseOver(): boolean;
        /**
Sets the target window or frame in which to display the Web page content linked to when the NavigateUrl property when the control is clicked
@method
@param value - 
@returns 
*/
set_target(value: string): void;
        /**
Sets the badgeData.imageUrl property and updates the image in the bottom right corner of the tile.
@method
@param imageUrl - 
@returns 
*/
setBadgeImageUrl(imageUrl: string): void;
        /**
Sets the badgeData.predefinedType property and updates the image in the bottom right corner of the tile.
@method
@param predefindedType - 
@returns 
*/
setBadgePredefinedType(predefindedType: string): void;
        /**
Sets the badgeData.value property and updates the number displayed in the bottom right corner of the tile.
@method
@param value - 
@returns 
*/
setBadgeValue(value: number): void;
        /**
Sets the titleData.imageUrl property and updates the title image in the bottom left corner of the tile.
@method
@param imageUrl - 
@returns 
*/
setTitleImageUrl(imageUrl: string): void;
        /**
Sets the titleData.text property and updates the title text displayed in the bottom left corner of the tile.
@method
@param text - 
@returns 
*/
setTitleText(text: string): void;
        /**
Shows the peek template
@method
@returns 
*/
showPeekTemplate(): void;
        /**
Starts the time interval set by the CloseDelay property of the peek template settings
@method
@returns 
*/
startPeekHideInterval(): void;
        /**
Starts the time interval set by the ShowInterval property of the peek template settings
@method
@returns 
*/
startPeekShowInterval(): void;
        /**
Toggles the selection state of the tile
@method
@returns 
*/
toggleSelection(): void;
        /**
Raised after a Tile is selected.
*/
add_selected(handler: (sender: Telerik.Web.UI.RadBaseTile, args: Telerik.Web.UI.TileEventArgs) => void): void;

remove_selected(handler: Function): void;
        /**
Raised after a Tile is selected.
*/
add_clicked(handler: (sender: Telerik.Web.UI.RadBaseTile, args: Telerik.Web.UI.TileEventArgs) => void): void;

remove_clicked(handler: Function): void;
        /**
Raised just before a Tile is selected. The event can be canceled.
*/
add_selecting(handler: (sender: Telerik.Web.UI.RadBaseTile, args: Telerik.Web.UI.TileCancelEventArgs) => void): void;

remove_selecting(handler: Function): void;
        /**
Raised when the client-side object of the Tile is fully loaded.
*/
add_load(handler: (sender: Telerik.Web.UI.RadBaseTile, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Raised when the client-side object of the Tile is initialized.
*/
add_init(handler: (sender: Telerik.Web.UI.RadBaseTile, args: Sys.EventArgs) => void): void;

remove_init(handler: Function): void;
    }


    class RadButton  extends Telerik.Web.UI.RadWebControl {
        /**
Clears the checked state of the Radio buttons with the specified GroupName.
@method
@param uniqueGroupName - The GroupName of the RadButton controls
@returns 
*/
clearCheckedRadios(uniqueGroupName: string): void;
        /**
Executes programmatic button click.
@method
@param raiseClicking? - Bool value indicating whether the
@returns 
*/
click(raiseClicking?: boolean): void;
        /**
Enables the button and restores the button's text, after it has been disabled by a single click.
@method
@returns 
*/
enableAfterSingleClick(): void;
        /**
Brings the focus to the RadButton control.
@method
@returns 
*/
focus(): void;
        /**
Gets a bool value indicating whether the RadButton control automatically posts back to the server when clicked.
@method
@returns A bool value indicating whether the RadButton control automatically posts back to the server when clicked.
*/
get_autoPostBack(): boolean;
        /**
Gets the type of the button.
@method
@returns 
*/
get_buttonType(): Telerik.Web.UI.RadButtonType;
        /**
Gets a bool value indicating whether the RadButton control is checked.
@method
@returns A bool value
*/
get_checked(): boolean;
        /**
Gets an optional parameter passed to the Command event along with the associated CommandName.
@method
@returns An optional parameter passed to the Command event along with the associated CommandName.
*/
get_commandArgument(): string;
        /**
Gets the command name associated with the RadButton control that is passed to the Command event.
@method
@returns The command name associated with the RadButton control that is passed to the Command event
*/
get_commandName(): string;
        /**
Gets the Cascading Style Sheet (CSS) class rendered by the RadButton control on the client.
@method
@returns The Cascading Style Sheet
*/
get_cssClass(): string;
        /**
Gets the CSS class applied when the control is disabled.
@method
@returns The CSS class applied when the control is disabled.
*/
get_disabledCssClass(): string;
        /**
Returns a value, indicating whether the button control is enabled.
@method
@returns The value of the Enabled property.
*/
get_enabled(): boolean;
        /**
Specifies whether the "Split Button" functionality is Enabled/Disabled.
@method
@returns 
*/
get_enableSplitButton(): boolean;
        /**
Gets the name of the group that the RadButton of ToggleType=Radio, belongs to.
@method
@returns The name of the group that the RadButton of ToggleType
*/
get_groupName(): string;
        /**
Gets the height of the RadButton control.
@method
@returns The height of the RadButton control.
*/
get_height(): number;
        /**
Gets the CSS class applied to the RadButton control when the mouse pointer is over the control.
@method
@returns The CSS class applied to the RadButton control when the mouse pointer is over the control.
*/
get_hoveredCssClass(): string;
        /**
Gets the URL to link to when the RadButton control is clicked.
@method
@returns The URL to link to when the RadButton control is clicked.
*/
get_navigateUrl(): string;
        /**
Gets the CSS class applied to the RadButton control when the control is pressed.
@method
@returns The CSS class applied to the RadButton control when the control is pressed.
*/
get_pressedCssClass(): string;
        /**
Gets a bool value indicating whether the button control is primary.
@method
@returns A bool value
*/
get_primary(): boolean;
        /**
Gets a reference to the HTML element that holds the primary icon.
@method
@returns A reference to the HTML element that holds the primary icon.
*/
get_primaryIconElement(): HTMLElement;
        /**
Returns a value, indicating whether the button control is in read-only mode.
@method
@returns A value
*/
get_readOnly(): boolean;
        /**
Gets a reference to the HTML element that holds the secondary icon.
@method
@returns A reference to the HTML element that holds the secondary icon.
*/
get_secondaryIconElement(): HTMLElement;
        /**
Gets the currently selected ToggleState of the RadButton control when used as a custom toggle button.
@method
@returns The currently selected ToggleState of the RadButton control when used as a custom toggle button.
*/
get_selectedToggleState(): Telerik.Web.UI.RadButtonToggleState;
        /**
Gets the index of the currently selected ToggleState of the RadButton control, when used as a custom toggle button.
@method
@returns The index of the currently selected ToggleState of the RadButton control
*/
get_selectedToggleStateIndex(): number;
        /**
Gets a bool value indicating whether the RadButton control will be immediately disabled after the user has clicks it. (i.e. enables/disables "Single Click" functionality)
@method
@returns 
*/
get_singleClick(): void;
        /**
Gets the text displayed in the RadButton control after the button is being clicked and disabled. (i.e. the text used for the "Single Click" functionality)
@method
@returns 
*/
get_singleClickText(): void;
        /**
Gets the target window or frame in which to display the Web page content linked to when the RadButton control is clicked.
@method
@returns 
*/
get_target(): string;
        /**
Gets the text displayed in the RadButton control.
@method
@returns The text displayed in the RadButton control.
*/
get_text(): string;
        /**
Gets a reference to the HTML element that holds the text of the RadButton control.
@method
@returns A reference to the HTML element that holds the text of the RadButton control.
*/
get_textElement(): HTMLElement;
        /**
Gets a collection of RadButtonToggleState objects that belong to the RadButton control.
@method
@returns A collection of RadButtonToggleState objects that belong to the RadButton control.
*/
get_toggleStates(): any;
        /**
Gets the toggle type of the RadButton when used as a toggle button
@method
@returns 
*/
get_toggleType(): Telerik.Web.UI.ButtonToggleType;
        /**
Gets the text displayed when the mouse pointer hovers over the RadButton control.
@method
@returns The text displayed when the mouse pointer hovers over the RadButton control.
*/
get_toolTip(): string;
        /**
Gets the unique, hierarchically qualified identifier for the RadButton control.
@method
@returns The unique
*/
get_uniqueID(): string;
        /**
Gets the name of ValidationGroup that the button is assigned to.
@method
@returns the name of ValidationGroup that the button is assigned to.
*/
get_validationGroup(): string;
        /**
Gets the Value property of the RadButton control.
@method
@returns The Value property of the RadButton control.
*/
get_value(): string;
        /**
Gets a bool value indicating whether the button is visible.
@method
@returns 
*/
get_visible(): void;
        /**
Gets the width of the RadButton control.
@method
@returns The width of the RadButton control.
*/
get_width(): number;
        /**
Gets a bool value indicating whether the button is an image button
@method
@returns 
*/
IsImageButton(): void;
        /**
Gets a bool value indicating whether the button is a submit button
@method
@returns 
*/
IsInputTypeSubmit(): void;
        /**
Sets or sets a bool value indicating whether the RadButton control automatically posts back to the server when clicked.
@method
@param value - A bool value indicating whether the RadButton control automatically posts back to the server when clicked.
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Sets a bool value indicating whether the RadButton control is checked.
@method
@param value - A bool value indicating whether the RadButton control is checked.
@returns 
*/
set_checked(value: boolean): void;
        /**
Sets an optional parameter passed to the Command event along with the associated CommandName.
@method
@param value - An optional parameter passed to the Command event along with the associated CommandName.
@returns 
*/
set_commandArgument(value: string): void;
        /**
Sets the command name associated with the RadButton control that is passed to the Command event.
@method
@param value - The command name associated with the RadButton control that is passed to the Command event.
@returns 
*/
set_commandName(value: string): void;
        /**
Sets whether the button is enabled.
@method
@param value - The new value for the Enabled property.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the URL to link to when the RadButton control is clicked.
@method
@param value - The URL to link to when the RadButton control is clicked.
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Sets a bool value indicating whether the button control is primary.
@method
@param value - A bool value indicating whether the button control is primary.
@returns 
*/
set_primary(value: boolean): void;
        /**
Sets a value, indicating whether the button control is in read-only mode.
@method
@param value - The new value for the ReadOnly property.
@returns 
*/
set_readOnly(value: boolean): void;
        /**
Sets the index of the currently selected ToggleState of the RadButton control, when used as a custom toggle button.
@method
@param value - The index of the currently selected ToggleState of the RadButton control
@returns 
*/
set_selectedToggleStateIndex(value: number): void;
        /**
Sets the target window or frame in which to display the Web page content linked to when the RadButton control is clicked.
@method
@param value - The target window or frame in which to display the Web page content linked to when the RadButton control is clicked.
@returns 
*/
set_target(value: string): void;
        /**
Sets the text displayed in the RadButton control.
@method
@param value - The text that will be displayed in the RadButton control.
@returns 
*/
set_text(value: string): void;
        /**
Sets the text displayed when the mouse pointer hovers over the RadButton control.
@method
@param value - The text that will be displayed on hover.
@returns 
*/
set_toolTip(value: string): void;
        /**
Sets the validation group to which RadButton should be assigned.
@method
@param value - The name of the validation group to which RadButton should be assigned.
@returns 
*/
set_validationGroup(value: string): void;
        /**
Sets the Value property of the RadButton control.
@method
@param value - The Value property of the RadButton control.
@returns 
*/
set_value(value: string): void;
        /**
Shows/hides the button.
@method
@param value - A bool value indicating whether the RadButton control is visible or not.
@returns 
*/
set_visible(value: boolean): void;
        /**
The toggleStateChanged event is fired after the SelectedToggleState and the SelectedToggleStateIndex properties of the RadButton are changed.
*/
add_toggleStateChanged(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonToggleStateEventArgs) => void): void;

remove_toggleStateChanged(handler: Function): void;
        /**
The toggleStateChanging event is fired before the SelectedToggleState and the SelectedToggleStateIndex properties of the RadButton are changed.
*/
add_toggleStateChanging(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonToggleStateCancelEventArgs) => void): void;

remove_toggleStateChanging(handler: Function): void;
        /**
The checkedChanging event is fired after the Checked property of the RadButton is changed.
*/
add_checkedChanging(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonCheckedCancelEventArgs) => void): void;

remove_checkedChanging(handler: Function): void;
        /**
The clicked event is subsequent to the clicking event, and occurs when the RadButton control is clicked.
*/
add_clicked(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonEventArgs) => void): void;

remove_clicked(handler: Function): void;
        /**
The clicking event occurs when the RadButton control is clicked, immediately after the mouse button is released.
*/
add_clicking(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonCancelEventArgs) => void): void;

remove_clicking(handler: Function): void;
        /**
The load event occurs when the RadButton control loaded on the page.
*/
add_load(handler: (sender: Telerik.Web.UI.RadButton, eventArgs: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The mouseOut event is fired when the user moves the mouse pointer over the control.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
The mouseOver event is fired when the user moves the mouse pointer over the control.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
    }


    class RadButtonList  extends Telerik.Web.UI.RadWebControl {
        /**
Gets the current visibility state of the button list control.
@method
@returns The current visibility state of the button list control.
*/
get_visible(): boolean;
        /**
Sets the current visibility state of the button list control.
@method
@param value - The new visibility state of the button list control.
@returns 
*/
set_visible(value: boolean): void;
        /**
Gets whether the button list control is enabled.
@method
@returns A value that indicates whether the button list control is enabled.
*/
get_enabled(): boolean;
        /**
Specifies if the button list control is enabled.
@method
@param value - A value that determines whether the button list control will be enabled.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Gets the index of the selected item of the button list control.
@method
@returns The selected index.
*/
get_selectedIndex(): number;
        /**
Sets the index of the selected item of the button list control.
@method
@param value - The index of the item that will be selected.
@returns 
*/
set_selectedIndex(value: number): void;
        /**
Gets a collection of the items.
@method
@returns The collection of items.
*/
get_items(): Telerik.Web.UI.ButtonListItem[];
        /**
Gets the text displayed when the mouse pointer hovers over the button list control.
@method
@returns The current text of the tooltip.
*/
get_toolTip(): string;
        /**
Sets the text displayed when the mouse pointer hovers over the button list control.
@method
@param value - The text that will appear in the tooltip.
@returns 
*/
set_toolTip(value: string): void;
        /**
Gets the width of the button list control.
@method
@returns The width of the button list control.
*/
get_width(): number;
        /**
Sets the width of the button list control.
@method
@param value - The width that will be applied to the button list control.
@returns 
*/
set_width(value: number): void;
        /**
Gets the height of the button list control.
@method
@returns The height of the button list control.
*/
get_height(): number;
        /**
Sets the height of the button list control.
@method
@param value - The height that will be applied to the button list control.
@returns 
*/
set_height(value: number): void;
        /**
Gets the name of validation group to which the button list control is assigned.
@method
@returns The current validation group name.
*/
get_validationGroup(): string;
        /**
Sets the name of validation group to which the button list control is assigned.
@method
@param value - The name of the validation group that will be assigned.
@returns 
*/
set_validationGroup(value: string): void;
        /**
The selectedIndexChanging event is fired before the selected item is changed. You can cancel it.
*/
add_selectedIndexChanging(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListCancelEventArgs) => void): void;

remove_selectedIndexChanging(handler: Function): void;
        /**
The selectedIndexChanged event is fired when the selected item is changed. It is subsequent to the selectedIndexChanging event.
*/
add_selectedIndexChanged(handler: (sender: Telerik.Web.UI.RadButtonList, args: Sys.EventArgs) => void): void;

remove_selectedIndexChanged(handler: Function): void;
        /**
The load event is fired when the radio button list is initialized.
*/
add_load(handler: (sender: Telerik.Web.UI.RadButtonList, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The itemCheckedChanging event is fired before selected state of an item is changed. It is cancellable.
*/
add_itemCheckedChanging(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListCancelEventArgs) => void): void;

remove_itemCheckedChanging(handler: Function): void;
        /**
The itemCheckedChanged event is fired when the selected state of an item is changed. It is subsequent to the itemCheckedChanging event.
*/
add_itemCheckedChanged(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListEventArgs) => void): void;

remove_itemCheckedChanged(handler: Function): void;
        /**
The itemClicking event is fired before an item in the list is clicked. It is cancellable.
*/
add_itemClicking(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListCancelEventArgs) => void): void;

remove_itemClicking(handler: Function): void;
        /**
The itemClicked event is fired when an item in the list is clicked. It is subsequent to the itemClicking event.
*/
add_itemClicked(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListEventArgs) => void): void;

remove_itemClicked(handler: Function): void;
        /**
The itemLoad event is fired when an item in the list is initialized.
*/
add_itemLoad(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListEventArgs) => void): void;

remove_itemLoad(handler: Function): void;
        /**
The itemMouseOver event is fired when the mouse hovers over an item in the list.
*/
add_itemMouseOver(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListEventArgs) => void): void;

remove_itemMouseOver(handler: Function): void;
        /**
The itemMouseOut event is fired when the mouse leaves a radio button list item.
*/
add_itemMouseOut(handler: (sender: Telerik.Web.UI.RadButtonList, args: Telerik.Web.UI.ButtonListEventArgs) => void): void;

remove_itemMouseOut(handler: Function): void;
    }


    class RadButtonToggleState   {
        /**
Gets the CSS class applied to the RadButton control.
@method
@returns The CSS class applied to the RadButton control.
*/
get_cssClass(): string;
        /**
Gets the height of the RadButton control.
@method
@returns The height of the RadButton control.
*/
get_height(): number;
        /**
Gets the CSS class applied to the RadButton control when the mouse pointer is over the control.
@method
@returns The CSS class applied to the RadButton control when the mouse pointer is over the control.
*/
get_hoveredCssClass(): string;
        /**
Gets the location of an image to display in the RadButton control, when the mouse pointer is over the control.
@method
@returns The location of an image to display in the RadButton control
*/
get_hoveredImageUrl(): string;
        /**
Gets the location of an image to display in the RadButton control.
@method
@returns The location of an image to display in the RadButton control.
*/
get_imageUrl(): string;
        /**
Gets the 0-based index of the ToggleState object in the ToggleStates collection.
@method
@returns The 0
*/
get_index(): number;
        /**
Gets a bool value indicating how the iImage is used - i.e. as a background image or as an Image Button.
@method
@returns A bool value indicating how the iImage is used
*/
get_isBackgroundImage(): boolean;
        /**
Gets the CSS class applied to the RadButton control when the control is pressed.
@method
@returns The CSS class applied to the RadButton control when the control is pressed.
*/
get_pressedCssClass(): string;
        /**
Gets the location of an image to display in the RadButton control, when the control is pressed.
@method
@returns The location of an image to display in the RadButton control
*/
get_pressedImageUrl(): string;
        /**
Gets the URL to the image showed when the Primary Icon is hovered.
@method
@returns The URL to the image showed when the Primary Icon is hovered.
*/
get_primaryHoveredIconUrl(): string;
        /**
Gets the bottom edge of the Primary Icon, relative to the RadButton control's wrapper element.
@method
@returns the bottom edge of the Primary Icon
*/
get_primaryIconBottom(): number;
        /**
Gets the CSS class applied to the Primary Icon.
@method
@returns The CSS class applied to the Primary Icon.
*/
get_primaryIconCssClass(): string;
        /**
Gets the Height of the Primary Icon.
@method
@returns The Height of the Primary Icon.
*/
get_primaryIconHeight(): number;
        /**
Gets the left edge of the Primary Icon, relative to the RadButton control's wrapper element.
@method
@returns The left edge of the Primary Icon
*/
get_primaryIconLeft(): number;
        /**
Gets the right edge of the Primary Icon, relative to the RadButton control's wrapper element.
@method
@returns The right edge of the Primary Icon
*/
get_primaryIconRight(): number;
        /**
Gets the top edge of the Primary Icon, relative to the RadButton control's wrapper element.
@method
@returns The top edge of the Primary Icon
*/
get_primaryIconTop(): number;
        /**
Gets the URL to the image used as Primary Icon.
@method
@returns The URL to the image used as Primary Icon.
*/
get_primaryIconUrl(): string;
        /**
Gets the Width of the Primary Icon.
@method
@returns The Width of the Primary Icon.
*/
get_primaryIconWidth(): number;
        /**
Gets the URL to the image showed when the Primary Icon is pressed.
@method
@returns The URL to the image showed when the Primary Icon is pressed.
*/
get_primaryPressedIconUrl(): string;
        /**
Gets the URL to the image showed when the Secondary Icon is hovered.
@method
@returns The URL to the image showed when the Secondary Icon is hovered.
*/
get_secondaryHoveredIconUrl(): string;
        /**
Gets the bottom edge of the Secondary Icon, relative to the RadButton control's wrapper element.
@method
@returns The bottom edge of the Secondary Icon
*/
get_secondaryIconBottom(): number;
        /**
Gets the CSS class applied to the Secondary Icon.
@method
@returns The CSS class applied to the Secondary Icon.
*/
get_secondaryIconCssClass(): string;
        /**
Gets the Height of the Secondary Icon.
@method
@returns The Height of the Secondary Icon.
*/
get_secondaryIconHeight(): number;
        /**
Gets the left edge of the Secondary Icon, relative to the RadButton control's wrapper element.
@method
@returns The left edge of the Secondary Icon
*/
get_secondaryIconLeft(): number;
        /**
Gets the right edge of the Secondary Icon, relative to the RadButton control's wrapper element.
@method
@returns The right edge of the Secondary Icon
*/
get_secondaryIconRight(): number;
        /**
Gets the top edge of the Secondary Icon, relative to the RadButton control's wrapper element.
@method
@returns The top edge of the Secondary Icon
*/
get_secondaryIconTop(): number;
        /**
Gets the URL to the image used as Secondary Icon.
@method
@returns The URL to the image used as Secondary Icon.
*/
get_secondaryIconUrl(): string;
        /**
Gets the Width of the Secondary Icon.
@method
@returns The Width of the Secondary Icon.
*/
get_secondaryIconWidth(): number;
        /**
Gets the URL to the image showed when the Secondary Icon is pressed.
@method
@returns The URL to the image showed when the Secondary Icon is pressed.
*/
get_secondaryPressedIconUrl(): string;
        /**
Gets the text displayed in the RadButton control.
@method
@returns The text displayed in the RadButton control.
*/
get_text(): string;
        /**
Gets the Value property applied in the ToggleState object.
@method
@returns The Value property applied in the ToggleState object.
*/
get_value(): string;
        /**
Gets the width of the RadButton control.
@method
@returns The width of the RadButton control.
*/
get_width(): number;
    }


    class RadCalendar  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the triplet for the maximum date that the user can select.
@method
@returns 
*/
get_rangeMaxDate(): any;
        /**
Returns the triplet for the date that is offset by the specified number of days from the current month. If the parameter is positive, the days are offset from the last day of the month. If the parameter is negative, the days are offset from the first day of the month.
@method
@param step - 
@returns 
*/
calculateDateFromStep(step: number): any;
        /**
Returns the value of the AutoPostBack property.
@method
@returns 
*/
get_autoPostBack(): boolean;
        /**
Returns whether the month/year navigation popup is enabled.
@method
@returns 
*/
get_calendarEnableMonthYearFastNavigation(): boolean;
        /**
Returns whether the navigation buttons appear on the title bar.
@method
@returns 
*/
get_calendarEnableNavigation(): boolean;
        /**
Returns the cell date format
@method
@returns 
*/
get_cellDayFormat(): string;
        /**
Returns the RadCalendar culture name.
@method
@returns 
*/
get_culture(): string;
        /**
Returns the separator string that will be put between start and end months in a multi view title.
@method
@returns 
*/
get_dateRangeSeparator(): string;
        /**
Get the format of the date that appears when the user hovers the mouse over a cell in the calendar.
@method
@returns 
*/
get_dayCellToolTipFormat(): string;
        /**
Returns a value indicating whether the Aria support is enabled.
@method
@returns 
*/
get_enableAriaSupport(): boolean;
        /**
Returns true if the control is enabled.
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns true if the calendar allows multiple dates to be selected.
@method
@returns 
*/
get_enableMultiSelect(): boolean;
        /**
Returns true if navigation animation is enabled.
@method
@returns 
*/
get_enableNavigationAnimation(): boolean;
        /**
Returns true if the repeatable days are enabled
@method
@returns 
*/
get_enableRepeatableDaysOnClient(): boolean;
        /**
Returns the number of months by which the view changes when the user clicks the fast navigation buttons.
@method
@returns 
*/
get_fastNavigationStep(): number;
        /**
Returns the triplet that represents the currently focused date. The focused Date is the date that determines which view the calendar displays.
@method
@returns 
*/
get_focusedDate(): any;
        /**
Returns a boolean value indicating whether the navigation controls are hidden.
@method
@returns 
*/
get_hideNavigationControls(): boolean;
        /**
Returns an array with the fast navigation settings. The settings are, in order, TodayButtonCaption, OkButtonCaption, CancelButtonCaption, DateIsOutOfRangeMessage, EnableTodayButtonSelection.
@method
@returns 
*/
get_monthYearNavigationSettings(): any;
        /**
Returns the number of columns when the calendar is in multi-view mode (the number of months in each row).
@method
@returns 
*/
get_multiViewColumns(): number;
        /**
Returns the number of rows when the calendar is in multi-view mode (the number of months in each column).
@method
@returns 
*/
get_multiViewRows(): number;
        /**
Returns 1 if the orientation is "RenderInRows", 2 if it is "RenderInColumns".
@method
@returns 
*/
get_orientation(): number;
        /**
Returns the current presentation type (Interactive - 1, Preview - 2)
@method
@returns 
*/
get_presentationType(): number;
        /**
Returns the triplet for the minimum date that the user can select.
@method
@returns 
*/
get_rangeMinDate(): any;
        /**
Returns last date form the selected range when when RadCalendar's range selection is enabled.
@method
@returns 
*/
get_rangeSelectionEndDate(): Date;
        /**
Returns first date form the selected range when when RadCalendar's range selection is enabled.
@method
@returns 
*/
get_rangeSelectionStartDat(): Date;
        /**
Returns an array of triplets that represent the selected dates in the calendar.
@method
@returns 
*/
get_selectedDates(): any;
        /**
Returns a value indicating whether the day cell tooltips should be shown.
@method
@returns 
*/
get_showDayCellToolTips(): boolean;
        /**
Returns true if the calendar displays days from months other than the focused month.
@method
@returns 
*/
get_showOtherMonthsDays(): boolean;
        /**
Returns the number of columns in each month view.
@method
@returns 
*/
get_singleViewColumns(): number;
        /**
Returns the number of rows in each month view.
@method
@returns 
*/
get_singleViewRows(): number;
        /**
Returns the name of the current skin
@method
@returns 
*/
get_skin(): string;
        /**
Returns an array (0-offset)containing information about the special days that are defined. Each element in the array is an array (1-offset) with the following elements (in order): a triplet for the date, four elements that are not used client-side, an indicator of the repeatable status of the special day, another unused element, the tool tip for the day, and array with the style settings for the special day.
@method
@returns 
*/
get_specialDaysArray(): any;
        /**
Returns an array that specifies the CSS classes, set for the predefined styles. For example: CalendarTableStyle - rcMainTable
@method
@returns 
*/
get_stylesHash(): any;
        /**
Returns the header (title) date format
@method
@returns 
*/
get_titleFormat(): string;
        /**
Returns whether the column selection is enabled.
@method
@returns 
*/
get_useColumnHeadersAsSelectors(): boolean;
        /**
Returns whether the row selection is enabled.
@method
@returns 
*/
get_useRowHeadersAsSelectors(): boolean;
        /**
Causes the calendar to switch to the view containing the specified date.
@method
@param date - 
@returns 
*/
navigateToDate(date: any): void;
        /**
Raises the calendarViewChanged event.
@method
@param handler - 
@returns 
*/
raise_calendarViewChanged(handler: Function): void;
        /**
Raises the calendarViewChanging event.
@method
@param handler - 
@returns 
*/
raise_calendarViewChanging(handler: Function): void;
        /**
Raises the columnHeaderClick event.
@method
@param handler - 
@returns 
*/
raise_columnHeaderClick(handler: Function): void;
        /**
Raises the dateClick event.
@method
@param handler - 
@returns 
*/
raise_dateClick(handler: Function): void;
        /**
Raises the dateSelected event.
@method
@param handler - 
@returns 
*/
raise_dateSelected(handler: Function): void;
        /**
Raises the dateSelecting event.
@method
@param handler - 
@returns 
*/
raise_dateSelecting(handler: Function): void;
        /**
Raises the dayRender event.
@method
@param handler - 
@returns 
*/
raise_dayRender(handler: Function): void;
        /**
Raises the init event.
@method
@param handler - 
@returns 
*/
raise_init(handler: Function): void;
        /**
Raises the load event.
@method
@param handler - 
@returns 
*/
raise_load(handler: Function): void;
        /**
Raises the rowHeaderClick event.
@method
@param handler - 
@returns 
*/
raise_rowHeaderClick(handler: Function): void;
        /**
Raises the viewSelectorClick event.
@method
@param handler - 
@returns 
*/
raise_viewSelectorClick(handler: Function): void;
        /**
Selects the specified date.
@method
@param date - The DateTime object which should be selected.
@param navigate - Boolean value that indicates whether the calendar should navigate to the specified date.
@returns 
*/
selectDate(date: Date, navigate: boolean): void;
        /**
Selects the set of dates in the first parameter, where each date is represented by triplet. If the second parameter is true, the calendar navigates to the view containing the newly selected dates.
@method
@param dates - 
@param navigate - 
@returns 
*/
selectDates(dates: any, navigate: boolean): void;
        /**
Sets the value of the AutoPostBack property.
@method
@param value - 
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Sets whether the month/year navigation popup is enabled.
@method
@param value - 
@returns 
*/
set_calendarEnableMonthYearFastNavigation(value: boolean): void;
        /**
Returns whether the navigation buttons appear on the title bar. NOTE: Setting this property on the client has no effect.
@method
@param value - 
@returns 
*/
set_calendarEnableNavigation(value: boolean): void;
        /**
Sets the cell day format
@method
@param value - 
@returns 
*/
set_cellDayFormat(value: string): void;
        /**
Sets the separator string that will be put between start and end months in a multi view title.
@method
@param value - 
@returns 
*/
set_dateRangeSeparator(value: string): void;
        /**
Selects all dates between startDate and endDate, when RadCalendar's range selection is enabled.
@method
@param startDate - 
@param endDate - 
@returns 
*/
set_datesInRange(startDate: Date, endDate: Date): void;
        /**
Set the format of the date that appears when the user hovers the mouse over a cell in the calendar.
@method
@param value - 
@returns 
*/
set_dayCellToolTipFormat(value: string): void;
        /**
Enables/disables the control
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets whether the calendar allows multiple dates to be selected.
@method
@param value - 
@returns 
*/
set_enableMultiSelect(value: boolean): void;
        /**
If set to true, this causes the RadCalendar control to display animated effects when the user changes the current month using the navigation controls in the title bar:
@method
@param value - 
@returns 
*/
set_enableNavigationAnimation(value: boolean): void;
        /**
Enables/disabled the repeatable days
@method
@param value - 
@returns 
*/
set_enableRepeatableDaysOnClient(value: boolean): void;
        /**
Sets the number of months by which the view changes when the user clicks the fast navigation buttons.
@method
@param value - 
@returns 
*/
set_fastNavigationStep(value: number): void;
        /**
Sets the focused Date - it determines which view the calendar displays.
@method
@param date - 
@returns 
*/
set_focusedDate(date: any): void;
        /**
Sets a value indicating whether the naviagation control should be visible
@method
@param value - 
@returns 
*/
set_hideNavigationControls(value: boolean): void;
        /**
Sets the fast navigation settings. The settings are, in order, TodayButtonCaption, OkButtonCaption, CancelButtonCaption, DateIsOutOfRangeMessage, EnableTodayButtonSelection. Changes you make to these settings have an effect only if you make them before the first time the month/year navigation popup is displayed.
@method
@param value - 
@returns 
*/
set_monthYearNavigationSettings(value: any): void;
        /**
Sets the number of columns when the calendar is in multi-view mode (the number of months in each row).
@method
@param value - 
@returns 
*/
set_multiViewColumns(value: number): void;
        /**
Sets the number of rows when the calendar is in multi-view mode (the number of months in each column).
@method
@param value - 
@returns 
*/
set_multiViewRows(value: number): void;
        /**
Sets the orientation (1 - RenderInRows, 2 - RenderInColumns)
@method
@param value - 
@returns 
*/
set_orientation(value: number): void;
        /**
Sets the current presentation type (Interactive - 1, Preview - 2)
@method
@param value - 
@returns 
*/
set_presentationType(value: number): void;
        /**
Sets the maximum date to the date represented by a triplet.
@method
@param date - 
@returns 
*/
set_rangeMaxDate(date: any): void;
        /**
Sets the minimum date to the date represented by a triplet.
@method
@param date - 
@returns 
*/
set_rangeMinDate(date: any): void;
        /**
Sets a value indication whether the day cell tooltips should be visible.
@method
@param value - 
@returns 
*/
set_showDayCellToolTips(value: boolean): void;
        /**
Sets whether the calendar displays days from months other than the focused month.
@method
@param value - 
@returns 
*/
set_showOtherMonthsDays(value: boolean): void;
        /**
Sets the number of columns in each month view.
@method
@param value - 
@returns 
*/
set_singleViewColumns(value: number): void;
        /**
Sets the number of rows in each month view.
@method
@param value - 
@returns 
*/
set_singleViewRows(value: number): void;
        /**
Changes the current skin
@method
@param value - 
@returns 
*/
set_skin(value: string): void;
        /**
Sets the special days. Each element in the array is an array (1-offset) with the following elements (in order): a triplet for the date, four elements that are not used client-side, an indicator of the repeatable status of the special day, another unused element, the tool tip for the day, and array with the style settings for the special day.
@method
@param value - 
@returns 
*/
set_specialDaysArray(value: any): void;
        /**
Sets the predefined RadCalendar styles.
@method
@param value - 
@returns 
*/
set_stylesHash(value: any): void;
        /**
Sets the headers (title) date format
@method
@param value - 
@returns 
*/
set_titleFormat(value: string): void;
        /**
Enables/disables the column selection
@method
@param value - 
@returns 
*/
set_useColumnHeadersAsSelectors(value: boolean): void;
        /**
Enables/disables the row selection
@method
@param value - 
@returns 
*/
set_useRowHeadersAsSelectors(value: boolean): void;
        /**
Un-selects the date represented by the parameter if it is currently selected.
@method
@param date - 
@returns 
*/
unselectDate(date: any): void;
        /**
Un-selects all the dates represented by triplets in the array if they are currently selected.
@method
@param dates - 
@returns 
*/
unselectDates(dates: any): void;
        /**
The calendarViewChanged event is fired when the calendar navigates to a new view or after the calendar has been updated for the new view, but before it is rendered.
*/
add_calendarViewChanged(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarViewChangedEventArgs) => void): void;

remove_calendarViewChanged(handler: Function): void;
        /**
The calendarViewChanging event is fired when the calendar navigates to a new view, before the viewable area rendered by the calendar is changed.
*/
add_calendarViewChanging(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarViewChangingEventArgs) => void): void;

remove_calendarViewChanging(handler: Function): void;
        /**
The columnHeaderClick event is fired when the user is about to select a column of dates by clicking on a column header. The event occurs only if the ShowColumnHeaders and UseColumnHeadersAsSelectors properties are set to true.
*/
add_columnHeaderClick(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarClickEventArgs) => void): void;

remove_columnHeaderClick(handler: Function): void;
        /**
The dateClick event is fired when the user clicks on a date in the day matrix or presses the ENTER key while a date has focus.
*/
add_dateClick(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarDateClickEventArgs) => void): void;

remove_dateClick(handler: Function): void;
        /**
The dateSelected event is fired immediately after the value of the control's selection has changed.
*/
add_dateSelected(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarDateSelectedEventArgs) => void): void;

remove_dateSelected(handler: Function): void;
        /**
The dateSelecting event is fired immediately before the selected dates collection is updated to reflect the selection or deselection of a date.
*/
add_dateSelecting(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarDateSelectingEventArgs) => void): void;

remove_dateSelecting(handler: Function): void;
        /**
The dayRender event is fired for every calendar day cell when the calendar is rendered as a result of client-side navigation.
*/
add_dayRender(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarDayRenderEventArgs) => void): void;

remove_dayRender(handler: Function): void;
        /**
The init event is fired when the calendar is first constructed.
*/
add_init(handler: (sender: Telerik.Web.UI.RadCalendar, args: Sys.EventArgs) => void): void;

remove_init(handler: Function): void;
        /**
The load event is fired when the calendar is loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadCalendar, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The rowHeaderClick event is fired when the user is about to select a row of dates by clicking on a row header.
*/
add_rowHeaderClick(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarClickEventArgs) => void): void;

remove_rowHeaderClick(handler: Function): void;
        /**
The viewSelectorClick event is fired when the user is about to select an entire view of dates by clicking on the view selector. The event occurs only if the EnableViewSelector property is set to true.
*/
add_viewSelectorClick(handler: (sender: Telerik.Web.UI.RadCalendar, args: Telerik.Web.UI.CalendarClickEventArgs) => void): void;

remove_viewSelectorClick(handler: Function): void;
    }


    class RadCaptcha  extends Telerik.Web.UI.RadWebControl {
    }


    class RadCheckBox  extends Telerik.Web.UI.ButtonBase.CheckableButton {
    }


    class RadCheckBoxList  extends Telerik.Web.UI.RadButtonList {
        /**
Gets an array of the selected checkbox items by indices.
@method
@returns The selected indices.
*/
get_selectedIndices(): number[];
        /**
Gets an array of the selected checkbox items.
@method
@returns The collection of items.
*/
get_selectedItems(): Telerik.Web.UI.ButtonListItem[];
        /**
The selectedIndexChanged event is fired when the selected item is changed. It is subsequent to the selectedIndexChanging event.
*/
add_selectedIndexChanged(handler: (sender: Telerik.Web.UI.RadCheckBoxList, args: Telerik.Web.UI.CheckBoxListSelectedIndexChangedEventArgs) => void): void;

remove_selectedIndexChanged(handler: Function): void;
    }


    class RadClientDataSource  extends Sys.Component {
        /**
Appends a data item to the data source.
@method
@param values - JSON formated values to insert as a new item
@returns 
*/
add(values: any): void;
        /**
A method to returned the calculated aggregate values of the RadClientDataSource
@method
@returns Returns the aggregated values of the RadClientDataSource
*/
aggregates(): any;
        /**
Cancels any pending changes in the data source. Used with batch editing
@method
@returns 
*/
cancelChanges(): void;
        /**
Method which return data from the web service after calling the select method from the transport settings
@method
@param callback - the callback function that will hold the returned data
@returns 
*/
fetch(callback: Function): void;
        /**
Gets the collection of Telerik.Web.UI.ClientDataSourceAggregate in RadClientDataSource.
@method
@returns The collection of Telerik.Web.UI.ClientDataSourceAggregate items which are part of the RadClientDataSource.
*/
get_aggregates(): Telerik.Web.UI.ClientDataSource.AggregateCollection;
        /**
Gets the RadClientDataSource.AllowBatchOperations value.
@method
@returns The RadClientDataSource.AllowBatchOperations value.
*/
get_allowBatchOperations(): boolean;
        /**
Gets the RadClientDataSource.AllowPaging value.
@method
@returns The RadClientDataSource.AllowPaging value.
*/
get_allowPaging(): boolean;
        /**
Gets the RadClientDataSource.CurrentPageIndex value.
@method
@returns The RadClientDataSource.CurrentPageIndex value.
*/
get_currentPageIndex(): number;
        /**
Gets the JSON data of the RadClientDataSource
@method
@returns The data of the RadClientDataSource
*/
get_data(): any;
        /**
Gets the kendoDataSource underlying widget. 
To use the exposed Kendo methods make sure you have the kendo.dataviz.d.ts file and cast the returned object to kendo.data.DataSource.
@method
@returns The Kendo DataSource instance.
*/
get_dataSourceObject(): any;
        /**
Gets the RadClientDataSource.EnableServerAggregates value.
@method
@returns The RadClientDataSource.EnableServerAggregates value.
*/
get_enableServerAggregates(): boolean;
        /**
Gets the RadClientDataSource.EnableServerFiltering value.
@method
@returns The RadClientDataSource.EnableServerFiltering value.
*/
get_enableServerFiltering(): boolean;
        /**
Gets the RadClientDataSource.EnableServerGrouping value.
@method
@returns The RadClientDataSource.EnableServerGrouping value.
*/
get_enableServerGrouping(): boolean;
        /**
Gets the RadClientDataSource.EnableServerPaging value.
@method
@returns The RadClientDataSource.EnableServerPaging value.
*/
get_enableServerPaging(): boolean;
        /**
Gets the RadClientDataSource.EnableServerSorting value.
@method
@returns The RadClientDataSource.EnableServerSorting value.
*/
get_enableServerSorting(): boolean;
        /**
Gets the collection of Telerik.Web.UI.ClientDataSourceFilterExpression in RadClientDataSource.
@method
@returns The collection of Telerik.Web.UI.ClientDataSourceFilterExpression items which are part of the RadClientDataSource.
*/
get_filterExpressions(): Telerik.Web.UI.ClientDataSource.FilterExpressionCollection;
        /**
Gets the collection of Telerik.Web.UI.ClientDataSource.GroupExpression in RadClientDataSource.
@method
@returns The collection of Telerik.Web.UI.ClientDataSource.GroupExpression items which are part of the RadClientDataSource.
*/
get_groupExpressions(): Telerik.Web.UI.ClientDataSource.GroupExpressionCollection;
        /**
Gets the RadClientDataSource.PageSize value.
@method
@returns The RadClientDataSource.PageSize value.
*/
get_pageSize(): number;
        /**
Gets the RadClientDataSource.Schema value.
@method
@returns The RadClientDataSource.Schema value.
*/
get_schema(): Telerik.Web.UI.ClientDataSourceSchema;
        /**
Gets the collection of Telerik.Web.UI.ClientDataSourceSortExpression in RadClientDataSource.
@method
@returns The collection of Telerik.Web.UI.ClientDataSource.SortExpression items which are part of the RadClientDataSource.
*/
get_sortExpressions(): Telerik.Web.UI.ClientDataSource.SortExpressionCollection;
        /**
Gets the total number of items in the RadClientDataSource
@method
@returns The total number of items in the RadClientDataSource.
*/
get_totalItemsCount(): number;
        /**
Gets the total number of pages in the RadClientDataSource
@method
@returns The total number of pages in the RadClientDataSource.
*/
get_totalPagesCount(): number;
        /**
Gets the RadClientDataSource.DataSource.WebServiceDataSourceSettings value.
@method
@returns The RadClientDataSource.DataSource.WebServiceDataSourceSettings value.
*/
get_transport(): Telerik.Web.UI.DataSourceSettings.WebServiceDataSourceSettings;
        /**
Gets the data item with the specified model id.
@method
@returns 
*/
getDataItemById(): void;
        /**
Returns the data item at the specified index.
@method
@returns 
*/
getItemByIndex(): void;
        /**
Checks if the data items have changed.
@method
@returns 
*/
hasChanges(): void;
        /**
Inserts a data item in the data source at the specified index.
@method
@param index - the index at which the item will be inserted
@returns 
*/
insert(index: number): void;
        /**
Parameters
@method
@param Description - 
@returns 
*/
Method(Description: any): void;
        /**
Removes the specified data item from the data source.
@method
@returns 
*/
remove(): void;
        /**
Sets the RadClientDataSource.AllowBatchOperations value.
@method
@returns The RadClientDataSource.AllowBatchOperations value.
*/
set_allowBatchOperations(): boolean;
        /**
Sets the RadClientDataSource.AllowPaging value.
@method
@returns The RadClientDataSource.AllowPaging value.
*/
set_allowPaging(): boolean;
        /**
Sets the RadClientDataSource.CurrentPageIndex value.
@method
@returns The RadClientDataSource.CurrentPageIndex value.
*/
set_currentPageIndex(): number;
        /**
Sets the JSON data of the RadClientDataSource
@method
@returns 
*/
set_data(): void;
        /**
Sets the RadClientDataSource.EnableServerAggregates value.
@method
@returns The RadClientDataSource.EnableServerAggregates value.
*/
set_enableServerAggregates(): boolean;
        /**
Sets the RadClientDataSource.EnableServerFiltering value.
@method
@returns The RadClientDataSource.EnableServerFiltering value.
*/
set_enableServerFiltering(): boolean;
        /**
Sets the RadClientDataSource.EnableServerGrouping value.
@method
@returns The RadClientDataSource.EnableServerGrouping value.
*/
set_enableServerGrouping(): boolean;
        /**
Sets the RadClientDataSource.EnableServerPaging value.
@method
@returns The RadClientDataSource.EnableServerPaging value.
*/
set_enableServerPaging(): boolean;
        /**
Sets the RadClientDataSource.EnableServerSorting value.
@method
@returns The RadClientDataSource.EnableServerSorting value.
*/
set_enableServerSorting(): boolean;
        /**
Sets the RadClientDataSource.PageSize value.
@method
@returns The RadClientDataSource.PageSize value.
*/
set_pageSize(): number;
        /**
Persists any data item changes to the datasource. Calls the respective CRUd methods from the transport
@method
@returns 
*/
sync(): void;
        /**
updates the values of the items with the specified model id
@method
@param newValues - JSON formated values to update in the item
@returns 
*/
update(newValues: any): void;
        /**
Returns the data items which correspond to the current page, filter, sort and group configuration.
@method
@returns 
*/
view(): void;
        /**
Raised after the data has been requested from the service.
*/
add_dataRequested(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_dataRequested(handler: Function): void;
        /**
Raised after the data source saves data item changes. The data source saves the data item changes when the sync method is called.
*/
add_sync(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_sync(handler: Function): void;
        /**
Can be used to additionally parse the response before it is further processed by the control.
*/
add_dataParse(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_dataParse(handler: Function): void;
        /**
Raised when a change in the data is applied.
*/
add_change(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_change(handler: Function): void;
        /**
Raised when a custom mapping of the request parameters can be performed.
*/
add_customParameter(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_customParameter(handler: Function): void;
        /**
Raised when a RadClientDataSource command occurs.
*/
add_command(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.CancelEventArgs) => void): void;

remove_command(handler: Function): void;
        /**
Raised when a RadClientDataSource remote request finished.
*/
add_requestEnd(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_requestEnd(handler: Function): void;
        /**
Raised when a RadClientDataSource remote service or page request is started.
*/
add_requestStart(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_requestStart(handler: Function): void;
        /**
Raised when the remote request has failed.
*/
add_requestFailed(handler: (sender: Telerik.Web.UI.RadClientDataSource, args: Sys.EventArgs) => void): void;

remove_requestFailed(handler: Function): void;
    }


    class RadClientExportManager  extends Telerik.Web.UI.RadWebControl {
        /**
This event is fired when the RadClientExportManager client-side object is loaded.
*/
add_load(handler: (sender: Telerik.Web.UI.RadClientExportManager, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
This event is raised when the image is already exported by RadClientExportManager.
*/
add_imageExported(handler: (sender: Telerik.Web.UI.RadClientExportManager, args: Sys.EventArgs) => void): void;

remove_imageExported(handler: Function): void;
        /**
This event is raised when the PDF file is already exported by RadClientExportManager.
*/
add_pdfExported(handler: (sender: Telerik.Web.UI.RadClientExportManager, args: Sys.EventArgs) => void): void;

remove_pdfExported(handler: Function): void;
        /**
This event is raised when the svg is already exported by RadClientExportManager.
*/
add_svgExported(handler: (sender: Telerik.Web.UI.RadClientExportManager, args: Sys.EventArgs) => void): void;

remove_svgExported(handler: Function): void;
        /**
RadClientExportManager is about to export a PDF document.
*/
add_pdfExporting(handler: (sender: Telerik.Web.UI.RadClientExportManager, args: Telerik.Web.UI.ClientExportManagerPdfExportingEventArgs) => void): void;

remove_pdfExporting(handler: Function): void;
        /**
RadClientExportManager is about to export a svg.
*/
add_svgExporting(handler: (sender: Telerik.Web.UI.RadClientExportManager, args: Telerik.Web.UI.ClientExportManagerSvgExportingEventArgs) => void): void;

remove_svgExporting(handler: Function): void;
        /**
RadClientExportManager is about to export an image.
*/
add_imageExporting(handler: (sender: Telerik.Web.UI.RadClientExportManager, args: Telerik.Web.UI.ClientExportManagerImageExportingEventArgs) => void): void;

remove_imageExporting(handler: Function): void;
    }


    class RadCloudUpload  extends Telerik.Web.UI.RadWebControl {
        /**
Get the control's state.
@method
@returns 
*/
get_enabled(): void;
        /**
Get the name of the loaded upload module.
@method
@returns 
*/
get_loadedModuleName(): void;
        /**
Get the control's localization.
@method
@returns 
*/
get_localization(): void;
        /**
Get the uploaded files.
@method
@returns 
*/
get_uploadedFiles(): void;
        /**
Set the control's state.
@method
@returns 
*/
set_enabled(): void;
    }


    class RadColorPicker  extends Telerik.Web.UI.RadWebControl {
        /**
Returns a value, indicating whether the color picker control is enabled
@method
@returns The current value of the Enabled property
*/
get_enabled(): boolean;
        /**
Gets a value indicating whether the ColorPicker popup will show in the visible viewport of the browser window
@method
@returns The current keep
*/
get_keepInScreenBounds(): boolean;
        /**
Gets a value indicating whether the color picker control will create an overlay element for its palette, in case ShowIcon=true
@method
@returns The current value of the Overlay property
*/
get_overlay(): boolean;
        /**
Gets the value of the PaletteModes property of the color picker control
@method
@returns The current value of the PaletteModes property
*/
get_paletteModes(): Telerik.Web.UI.PaletteModes;
        /**
Gets the selected color of the color picker control
@method
@returns The currently selected color
*/
get_selectedColor(): string;
        /**
Gets the title, associated with the selected color of the color picker control
@method
@returns The title of the selected color
*/
get_selectedColorTitle(): string;
        /**
Returns the element that represents the button of the color picker, in case ShowIcon=true
@method
@returns The element of the color picker
*/
getIconContainer(): any;
        /**
Returns the element of the color picker's palette
@method
@returns The element of the color picker
*/
getPaletteContainer(): any;
        /**
Hides the palette in case ShowIcon=true
@method
@returns 
*/
hidePalette(): void;
        /**
Returns a value indicating whether a palette mode is enabled for the color picker control
@method
@param paletteMode - The palette mode to check
@returns A value
*/
isModeEnabled(paletteMode: Telerik.Web.UI.PaletteModes): boolean;
        /**
Enables or disables the color picker control. This property is not part of the client state of the control and the new value will not be persisted after postback.
@method
@param value - The new value for the Enabled property
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets a value indicating whether the ColorPicker popup will show in the visible viewport of the browser window
@method
@param value - The new keep
@returns 
*/
set_keepInScreenBounds(value: boolean): void;
        /**
Sets a value indicating whether the colorpicker will create an overlay element for its palette, in case ShowIcon=true
@method
@param value - The new value for the Overlay property
@returns 
*/
set_overlay(value: boolean): void;
        /**
Sets the selected color of the color picker control
@method
@param value - The new value for the SelectedColor property
@param skipRefreshView - A value
@returns 
*/
set_selectedColor(value: string, skipRefreshView: boolean): void;
        /**
Shows the palette in case ShowIcon=true
@method
@returns 
*/
showPalette(): void;
        /**
Occurs after the popup palette of RadColorPicker with ShowIcon set to "true" shows.
*/
add_popUpShow(handler: (sender: Telerik.Web.UI.RadColorPicker, args: Sys.EventArgs) => void): void;

remove_popUpShow(handler: Function): void;
        /**
Occurs after the RadColorPicker loads on the page.
*/
add_load(handler: (sender: Telerik.Web.UI.RadColorPicker, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs just before the user selects a color from the palette. Can be cancelled.
*/
add_colorChanging(handler: (sender: Telerik.Web.UI.RadColorPicker, args: Telerik.Web.UI.ColorPickerColorChangingEventArgs) => void): void;

remove_colorChanging(handler: Function): void;
        /**
Occurs when the user selects a color from the RadColorPicker palette.
*/
add_colorChange(handler: (sender: Telerik.Web.UI.RadColorPicker, args: Telerik.Web.UI.ColorPickerColorChangeEventArgs) => void): void;

remove_colorChange(handler: Function): void;
    }


    class RadComboBox  extends Telerik.Web.UI.ControlItemContainer {
        /**
Use it in this scenario: Ajaxified control in ItemTemplate does a full postback.
@method
@returns 
*/
attachDropDown(): void;
        /**
Clears the items cache if EnableItemCaching is True.
@method
@returns 
*/
clearCache(): void;
        /**
Clears all items of the RadComboBox.
@method
@returns 
*/
clearItems(): void;
        /**
Clears the selection.
@method
@returns 
*/
clearSelection(): void;
        /**
Commits the changes made to the RadComboBox that will be preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Disables the RadComboBox.
@method
@returns 
*/
disable(): void;
        /**
Enables the control client-side event emitting. Events are enabled by default.
@method
@returns 
*/
disableEvents(): void;
        /**
Enables the RadComboBox.
@method
@returns 
*/
enable(): void;
        /**
Enables the "CheckAll" checkbox, when multiple selection is enabled.
@method
@returns 
*/
enableCheckAllCheckBox(): void;
        /**
Enables the control client-side event emitting. Events are enabled by default.
@method
@returns 
*/
enableEvents(): void;
        /**
Returns the first RadComboBoxItem object whose Text property equals the passed parameter.
@method
@param text - text
@returns RadComboBoxItem
*/
findFirstMatch(text: string): Telerik.Web.UI.RadComboBoxItem;
        /**
Returns the first RadComboBoxItem object whose;Text property equals to the passed parameter.
@method
@param text - text
@returns 
*/
findItemByText(text: string): Telerik.Web.UI.RadComboBoxItem;
        /**
Returns the first RadComboBoxItem object whose Value property equals the passed parameter.
@method
@param value - value
@returns RadComboBoxItem
*/
findItemByValue(value: string): Telerik.Web.UI.RadComboBoxItem;
        /**
Gets a value indicating whether the RadComboBox" AllowCustomText property is true or false.
@method
@returns true or false
*/
get_allowCustomText(): boolean;
        /**
Returns the collection of arbitrary attributes.
@method
@returns The attribute collection.
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Gets a value indicating whether the RadComboBox causes validation.
@method
@returns true or false
*/
get_causesValidation(): boolean;
        /**
True
@method
@returns 
*/
get_changeText(): boolean;
        /**
Returns the dom element for the check all checkbox.
@method
@returns 
*/
get_checkAllCheckBoxDivElement(): HTMLElement;
        /**
Returns the indices of all checked items
@method
@returns Returns array of Integers
*/
get_checkedIndices(): number[];
        /**
Gets an array of the checked RadComboBoxItem objects.
@method
@returns All checked items
*/
get_checkedItems(): Telerik.Web.UI.RadComboBoxItem[];
        /**
Gets the UL element of the RadComboBox drop down. This element contains the Items of the RadComboBox.
@method
@returns The UL element of the RadComboBox.
*/
get_childListElement(): HTMLElement;
        /**
Gets the scrollable DIV element of the RadComboBox drop down (which contains the UL element with Items).
@method
@returns The scrollable DIV element of the RadComboBox drop down.
*/
get_childListElementWrapper(): HTMLElement;
        /**
Returns the value of the RadComboBox" ClientItemTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Returns an object containing the drop down's collapse animation settings.
@method
@returns 
*/
get_collapseAnimation(): Telerik.Web.UI.AnimationSettings;
        /**
Gets the DIV element of the RadComboBox drop down.
@method
@returns The DIV element of the RadComboBox drop down.
*/
get_dropDownElement(): HTMLElement;
        /**
True
@method
@returns 
*/
get_dropDownVisible(): boolean;
        /**
Gets the EmptyMessage text of the RadComboBox.
@method
@returns string
*/
get_emptyMessage(): string;
        /**
Gets a value indicating whether the RadComboBox is enabled.
@method
@returns True if the RadComboBox is enabled
*/
get_enabled(): boolean;
        /**
Gets a value indicating whether the Item caching is enabled (in Load On Demand scenario).
@method
@returns True if the Item caching is enabled
*/
get_enableItemCaching(): boolean;
        /**
True
@method
@returns 
*/
get_enableTextSelection(): boolean;
        /**
Returns an object containing the drop down's expand animation settings.
@method
@returns 
*/
get_expandAnimation(): Telerik.Web.UI.AnimationSettings;
        /**
Gets the currently highlighted item.
@method
@returns 
*/
get_highlightedItem(): Telerik.Web.UI.RadComboBoxItem;
        /**
Gets a value indicating whether templated Items should be highlighted. (False by default.)
@method
@returns True if the templated Items are highlighted
*/
get_highlightTemplatedItems(): boolean;
        /**
RadComboBox
@method
@returns 
*/
get_id(): any;
        /**
Gets a the image DOM element (drop down toggle image).
@method
@returns The image DOM element.
*/
get_imageDomElement(): HTMLElement;
        /**
Gets a the input DOM element.
@method
@returns The input DOM element.
*/
get_inputDomElement(): HTMLElement;
        /**
Check if the RadComboBox has instantiated template.
@method
@returns 
*/
get_isTemplated(): boolean;
        /**
Returns the Items collection for the RadComboBox.
@method
@returns RadComboBoxItemCollection
*/
get_items(): Telerik.Web.UI.RadComboBoxItemCollection;
        /**
Gets the word after the last separator in the text of the RadComboBox. If a separator is not set, returns the text itself.
@method
@returns string
*/
get_lastWord(): string;
        /**
True if MarkFirstMatch is true; false otherwise.
@method
@returns boolean
*/
get_markFirstMatch(): boolean;
        /**
Gets the MoreResultsBox DOM element.
@method
@returns The MoreResultsBox DOM element.
*/
get_moreResultsBoxElement(): HTMLElement;
        /**
Gets a reference to the MoreResultsBox Message DOM element.
@method
@returns The MoreResultsBox Message DOM element.
*/
get_moreResultsBoxMessageElement(): HTMLElement;
        /**
Gets the text which has been rendered from the server.
@method
@returns The text of the RadComboBox rendered from the server.
*/
get_originalText(): string;
        /**
Gets a value indicating whether the RadComboBox is read-only.
@method
@returns True if the RadComboBox is read
*/
get_readOnly(): boolean;
        /**
Gets the index of the currently selected Item.
@method
@returns The index of the currently selected Item.
*/
get_selectedIndex(): number;
        /**
Gets the currently selected Item.
@method
@returns RadComboBoxItem
*/
get_selectedItem(): Telerik.Web.UI.RadComboBoxItem;
        /**
Gets the DomElement of the DropDown in simple rendering mode.
@method
@returns The DOM element of the DropDown.
*/
get_selectElement(): HTMLElement;
        /**
Checks if the current rendering mode is "Simple rendering mode".
@method
@returns True if simple rendering mode
*/
get_simpleRendering(): boolean;
        /**
Gets the direction of the drop down slide animation.
@method
@returns The direction of the dropdown slide animation
*/
get_slideDirection(): Telerik.Web.UI.jSlideDirection;
        /**
Gets a the RadComboBox table DOM element (containing the input and toggle image).
@method
@returns The RadComboBox table DOM element.
*/
get_tableElement(): HTMLElement;
        /**
Gets the text in the input field.
@method
@returns The text in the input field.
*/
get_text(): string;
        /**
Gets the value of the RadComboBox.
@method
@returns The value of the RadComboBox.
*/
get_value(): string;
        /**
Returns all visible Items.
@method
@returns An array containing all visible Items.
*/
get_visibleItems(): Telerik.Web.UI.RadComboBoxItem[];
        /**
Gets an object containing Web Service settings.
@method
@returns 
*/
get_webServiceSettings(): Telerik.Web.UI.WebServiceSettings;
        /**
Returns the word after the last autocomplete separator of the RadComboBox in the passed text argument.
@method
@param text - text
@returns string
*/
getLastWord(text: string): string;
        /**
Closes the drop down.
@method
@returns 
*/
hideDropDown(): void;
        /**
Filters Items by the passed text argument. The filter criteria is specified by the Filter property.
@method
@param text - text
@returns 
*/
highlightAllMatches(text: string): void;
        /**
Highlights the first visible and enabled Item in the drop down.
@method
@returns 
*/
highlightFirstVisibleEnabledItem(): void;
        /**
Highlights the first Item which starts with the currently typed text if the MarkFirstMatch property is set to true.
@method
@returns 
*/
highlightMatches(): void;
        /**
Highlights the first Item starting with the specified letter and positioned after the currently highlighted one. The method sets the text of the new Item to the input or appends it to the current text if an autocomplete separator is specified.
@method
@param letter - letter
@returns 
*/
highlightNextItem(letter: string): void;
        /**
Highlights the first Item starting with the specified letter and positioned before the currently highlighted one. The method sets the text of the new Item to the input or appends it to the current text if an autocomplete separator is specified.
@method
@returns 
*/
highlightPreviousItem(): void;
        /**
Checks if the IE mode is 8.
@method
@returns True if IE mode is 8
*/
isIEDocumentMode8(): boolean;
        /**
Repaints RadComboBox" "fake input" (IE8 only) and Label.
@method
@returns 
*/
repaint(): void;
        /**
Initiates a load-on-demand callback request with the specified text, causing the ItemsRequested server event to fire or a request to be sent to a WebService. The second bool parameter instructs the combobox to append the new items (true) or clear items (false).
@method
@param text - text
@param appendItems - Indicates whether to append the received items to the current set of items.
@returns 
*/
requestItems(text: string, appendItems: boolean): void;
        /**
Saves the client state to the client state hidden field.
@method
@returns 
*/
saveClientState(): void;
        /**
Selects a text range in the input specified by the startIndex and endIndex parameters.
@method
@returns 
*/
selectText(): void;
        /**
Sets the AllowCustomText property.
@method
@param value - value
@returns 
*/
set_allowCustomText(value: boolean): void;
        /**
Sets a boolean value indicating whether the RadComboBox causes validation.
@method
@param value - value
@returns 
*/
set_causesValidation(value: boolean): void;
        /**
ChangeTextOnKeyBoardNavigation
@method
@param Boolean - 
@returns 
*/
set_changeText(Boolean: boolean): any;
        /**
Sets the value of the RadComboBox" ClientItemTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
showDropDown
@method
@param Boolean - 
@returns 
*/
set_closeDropDownOnBlur(Boolean: boolean): any;
        /**
Sets an object containing RadComboBox" drop down collapse animation settings.
@method
@param value - value
@returns 
*/
set_collapseAnimation(value: Telerik.Web.UI.AnimationSettings): void;
        /**
Sets the EmptyMessage text of the RadComboBox;
@method
@param value - value
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets a boolean value indicating whether the RadComboBox is enabled.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Enables/disables item caching (when Load On Demand is enabled).
@method
@param value - value
@returns 
*/
set_enableItemCaching(value: boolean): void;
        /**
EnableTextSelection
@method
@param boolean - 
@returns 
*/
set_enableTextSelection(boolean: any): any;
        /**
Sets an object containing RadComboBox" drop down expand animation settings.
@method
@param value - value
@returns 
*/
set_expandAnimation(value: Telerik.Web.UI.AnimationSettings): void;
        /**
Sets a boolean value indicating whether templated Items should be highlighted.
@method
@param value - value
@returns 
*/
set_highlightTemplatedItems(value: boolean): void;
        /**
Sets the Items collection for the RadComboBox.
@method
@param value - value
@returns 
*/
set_items(value: Telerik.Web.UI.RadComboBoxItemCollection): void;
        /**
Sets the MarkFirstMatch property.
@method
@param value - value
@returns 
*/
set_markFirstMatch(value: boolean): void;
        /**
Sets the selected Index of the RadComboBox. The method does not actually select an Item.
@method
@param value - value
@returns 
*/
set_selectedIndex(value: number): void;
        /**
Sets the selected Item.
@method
@param value - value
@returns 
*/
set_selectedItem(value: Telerik.Web.UI.RadComboBoxItem): void;
        /**
Sets the direction of the drop down slide animation. It can be Up or Down.
@method
@returns value
*/
set_slideDirection(): Telerik.Web.UI.jSlideDirection;
        /**
Sets the text of the input field to the value of the specified parameter.
@method
@param value - value
@returns 
*/
set_text(value: string): void;
        /**
Sets the value of RadComboBox.
@method
@param value - value
@returns 
*/
set_value(value: string): void;
        /**
Sets an object containing Web Service settings.
@method
@param value - value
@returns 
*/
set_webServiceSettings(value: Telerik.Web.UI.WebServiceSettings): void;
        /**
Sets all items visible / invisible
@method
@param value - value
@returns 
*/
setAllItemsVisible(value: boolean): void;
        /**
Opens the drop down.
@method
@returns 
*/
showDropDown(): void;
        /**
Toggles the drop down visibility.
@method
@returns 
*/
toggleDropDown(): void;
        /**
Starts tracking changes made to the RadComboBox that will be preserved over post-backs.
@method
@returns 
*/
trackChanges(): void;
        /**
Occurs after the "Check All" check box is checked.
*/
add_checkAllChecked(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.ComboBoxCheckAllCheckingEventArgs) => void): void;

remove_checkAllChecked(handler: Function): void;
        /**
Occurs after the drop-down list has been opened.
*/
add_dropDownOpened(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxEventArgs) => void): void;

remove_dropDownOpened(handler: Function): void;
        /**
Occurs after the load-on-demand mechanism has added new items to the RadComboBox.
*/
add_itemsRequested(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxRequestEventArgs) => void): void;

remove_itemsRequested(handler: Function): void;
        /**
Occurs for each item that is created during WebService Load on Demand.
*/
add_itemDataBound(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxItemDataBoundEventArgs) => void): void;

remove_itemDataBound(handler: Function): void;
        /**
Occurs for each item that is created during WebService Load on Demand.
*/
add_templateDataBound(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_templateDataBound(handler: Function): void;
        /**
Occurs immediately after a particular item has been checked. (in CheckBoxes enabled scenario).
*/
add_itemChecked(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxItemEventArgs) => void): void;

remove_itemChecked(handler: Function): void;
        /**
Occurs just before the "Check All" check box is checked.
*/
add_checkAllChecking(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.ComboBoxCheckAllCheckingEventArgs) => void): void;

remove_checkAllChecking(handler: Function): void;
        /**
Occurs just before the drop-down list closes.
*/
add_dropDownClosing(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxCancelEventArgs) => void): void;

remove_dropDownClosing(handler: Function): void;
        /**
Occurs just before the drop-down list gets opened.
*/
add_dropDownOpening(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxCancelEventArgs) => void): void;

remove_dropDownOpening(handler: Function): void;
        /**
Occurs just before the RadComboBox selection is about to be changed to a new item.
*/
add_selectedIndexChanging(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxItemCancelEventArgs) => void): void;

remove_selectedIndexChanging(handler: Function): void;
        /**
Occurs when a particular item is about to be checked (in CheckBoxes enabled scenario).
*/
add_itemChecking(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxItemCancelEventArgs) => void): void;

remove_itemChecking(handler: Function): void;
        /**
Occurs when an error has occurred while loading elements using the load-on-demand mechanism.
*/
add_itemsRequestFailed(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxItemsRequestFailedEventArgs) => void): void;

remove_itemsRequestFailed(handler: Function): void;
        /**
Occurs when EnableLoadOnDemand is enabled and the RadComboBox is about to send a server-side request to load more items.
*/
add_itemsRequesting(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxRequestCancelEventArgs) => void): void;

remove_itemsRequesting(handler: Function): void;
        /**
Occurs when the RadComboBox receives the focus and the user presses a key.
*/
add_keyPressing(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxEventArgs) => void): void;

remove_keyPressing(handler: Function): void;
        /**
Occurs when the RadComboBox receives the input focus.
*/
add_onClientFocus(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxEventArgs) => void): void;

remove_onClientFocus(handler: Function): void;
        /**
Occurs when the RadComboBox selection has just changed to a new item.
*/
add_selectedIndexChanged(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxItemEventArgs) => void): void;

remove_selectedIndexChanged(handler: Function): void;
        /**
Occurs when the user enters custom text in the input field of RadComboBox. Not triggered until the control is blurred or Enter key is pressed.
*/
add_textChange(handler: (sender: Telerik.Web.UI.RadComboBox, args: Telerik.Web.UI.RadComboBoxCancelEventArgs) => void): void;

remove_textChange(handler: Function): void;
    }


    class RadComboBoxCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadComboBoxEventArgs  extends Sys.EventArgs {
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadComboBoxItem  extends Telerik.Web.UI.ControlItem {
        /**
Evaluates the template against the RadComboBox" data item and applies it.
@method
@returns 
*/
bindTemplate(): void;
        /**
Checks the item
@method
@returns 
*/
check(): void;
        /**
Disables the Item.
@method
@returns 
*/
disable(): void;
        /**
Enables the Item.
@method
@returns 
*/
enable(): void;
        /**
Searches the RadComboBoxItem for a client control with the specified id parameter.
@method
@param id - The id of the control to search for.
@returns 
*/
findControl(id: string): Sys.UI.Control;
        /**
Gets the arbitrary attributes collection
@method
@returns The arbitrary attributes collection
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Gets the DOM Element of the checkbox.
@method
@returns DOM Element for the checkbox.
*/
get_checkBoxElement(): HTMLElement;
        /**
Gets the checked state of a RadComboBoxItem. The RadComboBoxItem is checked if get_checked() returns true.
@method
@returns 
*/
get_checked(): boolean;
        /**
Returns the value of the RadComboBoxItem's ClientTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Gets the parent RadComboBox control.
@method
@returns RadComboBox
*/
get_comboBox(): Telerik.Web.UI.RadComboBox;
        /**
Returns the full path to the image of a disabled Item.
@method
@returns string
*/
get_disabledImageUrl(): string;
        /**
Gets he DOM element for the RadComboBoxItem.
@method
@returns The DOM element for the RadComboBoxItem.
*/
get_element(): HTMLElement;
        /**
Gets a value indicating whether the RadComboBoxItem is enabled or disabled.
@method
@returns Value indicating whether the RadComboBoxItem is enabled or disabled.
*/
get_enabled(): boolean;
        /**
Gets a value indicating whether the Item is highlighted. To highlight an Item use the highlight method.
@method
@returns boolean
*/
get_highlighted(): boolean;
        /**
Get the image DOM element of the Item.
@method
@returns The Item image DOM element.
*/
get_imageElement(): HTMLElement;
        /**
Returns the full path to the Item's image.
@method
@returns string
*/
get_imageUrl(): string;
        /**
Gets the RadComboBoxItem's index inside the RadComboBoxItemCollection.
@method
@returns The index of the RadComboBoxItem.
*/
get_index(): number;
        /**
Gets a value indicating whether the RadComboBoxItem is the first item in the RadComboBoxItemCollection
@method
@returns Value indicating whether the RadComboBoxItem is the first item in the RadComboBoxItemCollection
*/
get_isFirst(): boolean;
        /**
Gets a value indicating whether the RadComboBoxItem is the last item in the RadComboBoxItemCollection.
@method
@returns Value indicating whether the RadComboBoxItem is the last item in the RadComboBoxItemCollection.
*/
get_isLast(): boolean;
        /**
Gets a value indicating whether the Item is a Separator.
@method
@returns boolean
*/
get_isSeparator(): boolean;
        /**
The RadComboBoxItem's parent.
@method
@returns Gets the RadComboBoxItem
*/
get_parent(): HTMLElement;
        /**
Gets a value indicating whether the Item is selected.
@method
@returns boolean
*/
get_selected(): boolean;
        /**
Gets the text of the Item.
@method
@returns string
*/
get_text(): string;
        /**
Gets the DOM element containing the text of the Item.
@method
@returns The DOM element containing the text of the Item.
*/
get_textElement(): HTMLElement;
        /**
Gets the value of the Item.
@method
@returns string
*/
get_value(): string;
        /**
Gets a value indicating whether the RadComboBoxItem is visible or not.
@method
@returns Value indicating whether the RadComboBoxItem is visible or not.
*/
get_visible(): boolean;
        /**
Makes the Item invisible, same as set_visible(false).
@method
@returns 
*/
hide(): void;
        /**
Highlights the Item.
@method
@returns 
*/
highlight(): void;
        /**
Highlights the current RadComboBoxItem.
@method
@returns 
*/
highlightText(): void;
        /**
Gets the next Item.
@method
@returns RadComboBoxItem
*/
nextItem(): Telerik.Web.UI.RadComboBoxItem;
        /**
Scrolls the Item into view (if is currently not visible).
@method
@returns 
*/
scrollIntoView(): void;
        /**
Scrolls the Item on the top of the drop down list.
@method
@returns 
*/
scrollOnTop(): void;
        /**
Selects the Item.
@method
@returns 
*/
select(): void;
        /**
Marks or unmarks the checkbox for a RadComboBoxItem.
@method
@param value - Boolean
@returns 
*/
set_checked(value: boolean): void;
        /**
Sets the value of the RadComboBoxItem's ClientTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the DisabledImageUrl property of the Item.
@method
@param value - value
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets the RadComboBoxItem's DOM element
@method
@param value - DOM element
@returns 
*/
set_element(value: HTMLElement): void;
        /**
Sets a value indicating whether the Item is enabled and updates its ImageUrl.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the ImageUrl property of the Item.
@method
@param value - value
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets a value indicating whether the Item is a Separator.
@method
@param value - value
@returns 
*/
set_isSeparator(value: boolean): void;
        /**
Sets the RadComboBoxItem's parent.
@method
@param value - DOM element.
@returns 
*/
set_parent(value: HTMLElement): void;
        /**
Sets a value indicating whether the Item is selected.
@method
@param value - value
@returns 
*/
set_selected(value: boolean): void;
        /**
Sets the RadComboBoxItem's text.
@method
@param text - The new RadComboBoxItem text.
@returns 
*/
set_text(text: string): void;
        /**

@method
@param value - The new RadComboBoxItem text.
@returns 
*/
set_value(value: string): void;
        /**
Sets a value indicating whether the Item is visible.
@method
@param value - value
@returns 
*/
set_visible(value: boolean): void;
        /**
Makes the Item visible, same as set_visible(true).
@method
@returns 
*/
show(): void;
        /**
The JSON representation of the RadComboBoxItem.
@method
@returns Returns the JSON representation of the RadComboBoxItem.
*/
toJsonString(): string;
        /**
Unchecks the item
@method
@returns 
*/
uncheck(): void;
        /**
Unhighlights the Item.
@method
@returns 
*/
unHighlight(): void;
    }


    class RadComboBoxItemCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that is about to be selected/checked from the RadComboBox list.
@method
@returns the the item about to be selected/checked from the RadComboBox list.
*/
get_item(): Telerik.Web.UI.RadComboBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the underlying DOM event from the browser
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Gets a boolean value indicating whether the event is cancelled.
@method
@returns whether the event is cancelled.
*/
get_cancel(): boolean;
        /**
Sets a boolean value that indicates whether the event will be cancelled.
@method
@returns 
*/
set_cancel(): void;
    }


    class RadComboBoxItemCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadComboBoxItem> {
        /**
Adds an item to the Items collection.
@method
@param item - The item that will ba added.
@returns 
*/
add(item: Telerik.Web.UI.RadComboBoxItem): void;
        /**
Clears the Items collection of RadComboBox.
@method
@returns 
*/
clear(): void;
        /**
Iterates through the Items collection
@method
@param lambda - The function to execute on each iteration.
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of Items in the collection.
@method
@returns The number of the Items.
*/
get_count(): number;
        /**
Gets the Item from the Items collection residing at the index specified by the parameter.
@method
@param index - The index of the Item that should be returned.
@returns RadComboBoxItem
*/
getItem(index: number): Telerik.Web.UI.RadComboBoxItem;
        /**
Inserts an item into the Items collection at the position specified by the first (index) parameter.
@method
@param index - The index to insert at.
@param item - The Item to insert.
@returns 
*/
insert(index: number, item: Telerik.Web.UI.RadComboBoxItem): void;
        /**
Removes the RadComboBoxItem at the specified index.
@method
@param index - The index to remove at.
@returns 
*/
removeAt(index: number): void;
    }


    class RadComboBoxItemDataBoundEventArgs  extends Telerik.Web.UI.RadComboBoxCancelEventArgs {
        /**
Returns the an instance of the newly selected RadComboBoxItem.
@method
@returns 
*/
get_datItem(): any;
    }


    class RadComboBoxItemEventArgs  extends Sys.EventArgs {
        /**
Returns the an instance of the newly selected RadComboBoxItem.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadComboBoxItem;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadComboBoxItemsRequestFailedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the text from the input of the RadComboBox.
@method
@returns - the text from the input of the RadComboBox
*/
get_text(): string;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the error message.
@method
@returns returns the error message.
*/
get_errorMessage(): string;
    }


    class RadComboBoxRequestCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the text from the input of the RadComboBox.
@method
@returns the text from the input of the RadComboBox
*/
get_text(): string;
        /**
Returns the object that is passed to the server-side code that handles the request for items.
@method
@returns that is passed to the server-side code that handles the request for items.
*/
get_context(): any;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadComboBoxRequestEventArgs  extends Sys.EventArgs {
        /**
Returns the text from the input of the RadComboBox.
@method
@returns - the text from the input of the RadComboBox
*/
get_text(): string;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadContentTemplateTile  extends Telerik.Web.UI.RadBaseTile {
    }


    class RadContextMenu  extends Telerik.Web.UI.RadMenu {
        /**
The hidden event is fired immediately before the context menu disappears.
*/
add_hiding(handler: (sender: Telerik.Web.UI.RadContextMenu, args: Telerik.Web.UI.RadContextMenuCancelEventArgs) => void): void;

remove_hiding(handler: Function): void;
        /**
The hidden event is fired when the context menu disappears.
*/
add_hidden(handler: (sender: Telerik.Web.UI.RadContextMenu, args: Telerik.Web.UI.RadContextMenuEventArgs) => void): void;

remove_hidden(handler: Function): void;
        /**
The showing event is fired immediately before the context menu appears.
*/
add_showing(handler: (sender: Telerik.Web.UI.RadContextMenu, args: Telerik.Web.UI.RadContextMenuShowingEventArgs) => void): void;

remove_showing(handler: Function): void;
        /**
The shown event is fired immediately after the context menu appears.
*/
add_shown(handler: (sender: Telerik.Web.UI.RadContextMenu, args: Telerik.Web.UI.RadContextMenuShownEventArgs) => void): void;

remove_shown(handler: Function): void;
    }


    class RadContextMenuCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the DOM element that was right-clicked to show the context menu. If the menu appeared in response to a call to the show or showAt method rather than a right-click on one of its targets, get_targetElement returns null.
@method
@returns 
*/
get_targetElement(): HTMLElement;
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadContextMenuEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadContextMenuItemCancelEventArgs  extends Telerik.Web.UI.RadMenuItemCancelEventArgs {
        /**
Returns a reference to the target element attached to the context menu that is responsible for the context menu showing.
@method
@returns 
*/
get_targetElement(): HTMLElement;
    }


    class RadContextMenuItemEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
        /**
Returns a reference to the target element attached to the context menu that is responsible for the context menu showing.
@method
@returns 
*/
get_targetElement(): HTMLElement;
    }


    class RadContextMenuShowingEventArgs  extends Telerik.Web.UI.RadContextMenuCancelEventArgs {
    }


    class RadContextMenuShownEventArgs  extends Sys.EventArgs {
        /**
returns a reference to the DOM element that was right-clicked to show the context menu. If the menu appeared in response to a call to the show or showAt method rather than a right-click on one of its targets, get_targetElement returns null.
@method
@returns 
*/
get_targetElement(): HTMLElement;
        /**
returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadDataForm  extends Telerik.Web.UI.RadWebControl {
        /**
Cancels insert operation and hides RadDataForm's insertion form
@method
@returns 
*/
cancelInsert(): void;
        /**
Cancels RadDataForm item update (with index specified as an argument)
@method
@returns 
*/
cancelUpdate(): void;
        /**
Databinds the DataForm when the client-side data source is set
@method
@returns 
*/
dataBind(): void;
        /**
Deletes RadDataForm item with index specified as an argument
@method
@returns 
*/
deleteItem(): void;
        /**
Switches RadDataForm item into edit mode (with index specified as an argument)
@method
@returns 
*/
editItem(): void;
        /**
Fires command with command name and command argument specified as arguments
@method
@returns 
*/
fireCommand(): void;
        /**
Gets the current client settings applied for RadDataForm
@method
@returns 
*/
get_clientSettings(): void;
        /**
Gets the current page index in case paging for RadDataForm is enabled
@method
@returns 
*/
get_currentPageIndex(): void;
        /**
Gets the data source javascript array of RadDataForm
@method
@returns 
*/
get_dataSource(): void;
        /**
Indicates whether RadDataForm is currently databinding on the client-side
@method
@returns 
*/
get_isDataBinding(): void;
        /**
Gets a value indicating whether the insert form is currently shown
@method
@returns 
*/
get_isItemInserted(): void;
        /**
Gets the page count in RadDataForm
@method
@returns 
*/
get_pageCount(): void;
        /**
Gets the skin set to the RadDataForm's control
@method
@returns 
*/
get_skin(): void;
        /**
Gets the unique id of RadDataForm's container
@method
@returns 
*/
get_uniqueID(): void;
        /**
Gets the total number of items RadDataForm can bind to. This value is used for page calculations.
@method
@returns 
*/
get_virtualItemCount(): void;
        /**
Inserts a new item in RadDataForm with values taken from its insertion form
@method
@returns 
*/
insertItem(): void;
        /**
Navigates RadDataForm to the page specified as an argument. If server-side databinding is used, RadDataPager should be used for page navigation
@method
@returns 
*/
page(): void;
        /**
Rebinds RadDataForm to its given data source
@method
@returns 
*/
rebind(): void;
        /**
Sets the current page index in RadDataForm
@method
@returns 
*/
set_currentPageIndex(): void;
        /**
Sets the data source of RadDataForm
@method
@returns 
*/
set_dataSource(): void;
        /**
Sets the virtual item count in RadDataForm
@method
@returns 
*/
set_virtualItemCount(): void;
        /**
Displays RadDataForm's insertion form
@method
@returns 
*/
showInsertItem(): void;
        /**
Updates RadDataForm item (with index specified as an argument)
@method
@returns 
*/
updateItem(): void;
        /**
Adds a handler for the command event
*/
add_command(handler: (sender: Telerik.Web.UI.RadDataForm, args: Telerik.Web.UI.DataFormCommandEventArg) => void): void;

remove_command(handler: Function): void;
        /**
Adds a handler for the DataFormCreated event
*/
add_DataFormCreated(handler: (sender: Telerik.Web.UI.RadDataForm, args: Sys.EventArgs) => void): void;

remove_DataFormCreated(handler: Function): void;
        /**
Adds a handler for the DataFormCreating event
*/
add_DataFormCreating(handler: (sender: Telerik.Web.UI.RadDataForm, args: Sys.EventArgs) => void): void;

remove_DataFormCreating(handler: Function): void;
        /**
Adds a handler for the DataFormDestroying event
*/
add_DataFormDestroying(handler: (sender: Telerik.Web.UI.RadDataForm, args: Sys.EventArgs) => void): void;

remove_DataFormDestroying(handler: Function): void;
        /**
Raised when values are retrieved from Edit/Insert template. Used with client-side binding.
*/
add_getValues(handler: (sender: Telerik.Web.UI.RadDataForm, args: Sys.CancelEventArgs) => void): void;

remove_getValues(handler: Function): void;
        /**
Raised when values are set in the fields in the ItemTemplate. Used with client-side binding.
*/
add_setValues(handler: (sender: Telerik.Web.UI.RadDataForm, args: Sys.EventArgs) => void): void;

remove_setValues(handler: Function): void;
    }


    class RadDataPager  extends Telerik.Web.UI.RadWebControl {
        /**
Fires command with command name and command argument specified as arguments
@method
@param commandName - The name of the command that will be executed. Possible values are listed below:
* Page
* PageSizeChange
@param commandArgument - The command argument with which the command will be executed. Possible values are:
* "First", "Next", "Prev", "Last" or integer value for page size
@returns 
*/
fireCommand(commandName: string, commandArgument: string): void;
        /**
Gets the current page index for the RadDataPager control.
@method
@returns 
*/
get_currentPageIndex(): number;
        /**
Gets the page count for the RadDatePager control.
@method
@returns 
*/
get_pageCount(): number;
        /**
Gets the page size for the RadDataPager control.
@method
@returns 
*/
get_pageSize(): number;
        /**
Gets the index of the first record that is displayed on a page of data.
@method
@returns 
*/
get_startRowIndex(): number;
        /**
Gets the total number of records that are displayed in the underlying data source.
@method
@returns 
*/
get_totalRowCount(): number;
        /**
Gets the unique id of RadDataPager's container.
@method
@returns 
*/
get_uniqueID(): string;
        /**
Sets the current page index for the RadDataPager control.
@method
@param index - The page index
@returns 
*/
set_currentPageIndex(index: number): void;
        /**
Sets the page size for the RadDataPager control.
@method
@param size - The page size that will be set to the RadDataPager control.
@returns 
*/
set_pageSize(size: number): void;
        /**
The DataPagerCreated event fires after the RadDataPager is created.
*/
add_DataPagerCreated(handler: (sender: Telerik.Web.UI.RadDataPager, args: Sys.EventArgs) => void): void;

remove_DataPagerCreated(handler: Function): void;
        /**
The DataPagerCreating event fires before the RadDataPager is created.
*/
add_DataPagerCreating(handler: (sender: Telerik.Web.UI.RadDataPager, args: Sys.EventArgs) => void): void;

remove_DataPagerCreating(handler: Function): void;
        /**
The DataPagerDestroying event fires before the RadDataPager is destroyed.
*/
add_DataPagerDestroying(handler: (sender: Telerik.Web.UI.RadDataPager, args: Sys.EventArgs) => void): void;

remove_DataPagerDestroying(handler: Function): void;
        /**
The PageSizeChanging event fires when a page index is set on the RadDataPager object.
*/
add_PageIndexChanging(handler: (sender: Telerik.Web.UI.RadDataPager, args: Telerik.Web.UI.DataPagerPageIndexChangingEventArgs) => void): void;

remove_PageIndexChanging(handler: Function): void;
        /**
The PageSizeChanging event fires when a page size is set for the RadDataPager object.
*/
add_PageSizeChanging(handler: (sender: Telerik.Web.UI.RadDataPager, args: Telerik.Web.UI.DataPagerPageSizeChangingEventArgs) => void): void;

remove_PageSizeChanging(handler: Function): void;
    }


    class RadDateInput  extends Telerik.Web.UI.RadInputControl {
        /**
Indicating whether RadInputControl loses focus
@method
@returns 
*/
blur(): void;
        /**
Clears the client instance of RadInputControl
@method
@returns 
*/
clear(): void;
        /**
Disables the client instance of RadInputControl
@method
@returns 
*/
disable(): void;
        /**
Enables the client instance of RadInputControl
@method
@returns 
*/
enable(): void;
        /**
Indicating whether RadInputControl enter focus
@method
@returns 
*/
focus(): void;
        /**
Returns the value of the AutoPostBack property
@method
@returns 
*/
get_autoPostBack(): boolean;
        /**
Returns the current position of the caret.
@method
@returns 
*/
get_caretPosition(): number;
        /**
Returns the format string for the control when it has focus
@method
@returns 
*/
get_dateFormat(): string;
        /**
Returns the Date Format Info object, which includes the settings used to parse date values
@method
@returns 
*/
get_dateFormatInfo(): Telerik.Web.UI.DateParsing.DateTimeFormatInfo;
        /**
Returns the format string for the control when it does not have focus
@method
@returns 
*/
get_displayDateFormat(): string;
        /**
Gets the value of RadInputControl as it is formatted when the input does not have focus
@method
@returns 
*/
get_displayValue(): string;
        /**
Gets the value of RadInputControl as it is formatted when the input has focus
@method
@returns 
*/
get_editValue(): string;
        /**
Returns the message that appears when the input value is an empty string
@method
@returns 
*/
get_emptyMessage(): string;
        /**
Returns true if the input is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns the Increment Settings object, which you can use to change the way the control responds to arrow keys and the mouse wheel
@method
@returns 
*/
get_incrementSettings(): any;
        /**
Gets the invalid style duration of RadInputControl
@method
@returns 
*/
get_invalidStyleDuration(): number;
        /**
Returns the latest valid date value
@method
@returns 
*/
get_maxDate(): Date;
        /**
Returns the latest valid date value as a string
@method
@returns 
*/
get_maxDateStr(): string;
        /**
Returns the earliest valid date value
@method
@returns 
*/
get_minDate(): Date;
        /**
Returns the earliest valid date value as a string
@method
@returns 
*/
get_minDateStr(): string;
        /**
Gets the selected date of the RadDateInput control
@method
@returns 
*/
get_selectedDate(): Date;
        /**
Returns the value of the SelectionOnFocus property
@method
@returns 
*/
get_selectionOnFocus(): Telerik.Web.UI.SelectionOnFocus;
        /**
Returns true if the input has an associated image button
@method
@returns 
*/
get_showButton(): boolean;
        /**
Returns the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@returns 
*/
get_styles(): any;
        /**
Gets the string that the user typed into the input
@method
@returns 
*/
get_textBoxValue(): string;
        /**
Returns the value of the text box
@method
@returns 
*/
get_value(): string;
        /**
Returns whether the input element is rendered as hidden or not. Does not apply if the control is inside another hidden html element
@method
@returns 
*/
get_visible(): boolean;
        /**
Gets the DOM element for the DIV wrapper element
@method
@returns 
*/
get_wrapperElement(): HTMLElement;
        /**
Returns true if the value of the RadInputControl is empty
@method
@returns 
*/
isEmpty(): void;
        /**
Returns true if the value of the RadInputControl is multi line
@method
@returns 
*/
isMultiLine(): void;
        /**
Returns true if the value of the RadInputControl is a negative number
@method
@returns 
*/
isNegative(): void;
        /**
Returns true if the value of the RadInputControl is read only
@method
@returns 
*/
isReadOnly(): void;
        /**
Parses a string using the DateFormatInfo object and returns the resulting date
@method
@param value - 
@param baseDate - 
@returns 
*/
parseDate(value: string, baseDate: Date): void;
        /**
Raises the blur event
@method
@param args - 
@returns 
*/
raise_blur(args: Sys.EventArgs): void;
        /**
Raises the buttonClick event
@method
@param args - 
@returns 
*/
raise_buttonClick(args: Sys.EventArgs): void;
        /**
Raises the handler for the mouseOver event
@method
@param args - 
@returns 
*/
raise_disable(args: Sys.EventArgs): void;
        /**
Raises the enable event
@method
@param args - 
@returns 
*/
raise_enable(args: Sys.EventArgs): void;
        /**
Raises the enumerationChanged event
@method
@param args - 
@returns 
*/
raise_enumerationChanged(args: Sys.EventArgs): void;
        /**
Raises the error event
@method
@param args - 
@returns 
*/
raise_error(args: Sys.EventArgs): void;
        /**
Raises the focus event
@method
@param args - 
@returns 
*/
raise_focus(args: Sys.EventArgs): void;
        /**
Raises the keyPress event
@method
@param args - 
@returns 
*/
raise_keyPress(args: Sys.EventArgs): void;
        /**
Raises the load event
@method
@param args - 
@returns 
*/
raise_load(args: Sys.EventArgs): void;
        /**
Raises the mouseOut event
@method
@param args - 
@returns 
*/
raise_mouseOut(args: Sys.EventArgs): void;
        /**
Raises the mouseOver event
@method
@param args - 
@returns 
*/
raise_mouseOver(args: Sys.EventArgs): void;
        /**
Raises the moveDown event
@method
@param args - 
@returns 
*/
raise_moveDown(args: Sys.EventArgs): void;
        /**
Raises the moveUp event
@method
@param args - 
@returns 
*/
raise_moveUp(args: Sys.EventArgs): void;
        /**
Raises the valueChanged event
@method
@param newValue - 
@param oldValue - 
@returns 
*/
raise_valueChanged(newValue: any, oldValue: any): void;
        /**
Raises the valueChanging event
@method
@param args - 
@returns 
*/
raise_valueChanging(args: Sys.EventArgs): void;
        /**
Raises the postback event of RadInputControl
@method
@returns 
*/
raisePostBackEvent(): void;
        /**
Redraws the client side object on the client
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state of the RadDateInput control
@method
@returns 
*/
saveClientState(): void;
        /**
Selects all text in the RadInputControl
@method
@returns 
*/
selectAllText(): void;
        /**
Selects the text in the specified range of positions. The first parameter is the start of the range and the second is the end of the range
@method
@param start - 
@param end - 
@returns 
*/
selectText(start: number, end: number): void;
        /**
Enables or disables postbacks when the user changes the text in the input
@method
@param value - 
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Sets the position of the caret
@method
@param position - 
@returns 
*/
set_caretPosition(position: number): void;
        /**
Sets the format string for the control when it has focus
@method
@param value - 
@returns 
*/
set_dateFormat(value: string): void;
        /**
Sets the Date Format Info object, which includes the settings used to parse date values
@method
@param value - 
@returns 
*/
set_dateFormatInfo(value: Telerik.Web.UI.DateParsing.DateTimeFormatInfo): void;
        /**
Sets the format string for the control when it does not have focus
@method
@param value - 
@returns 
*/
set_displayDateFormat(value: string): void;
        /**
Sets the message that appears when the input value is an empty string
@method
@param value - 
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets true if the input is enabled
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the Increment Settings object, which you can use to change the way the control responds to arrow keys and the mouse wheel
@method
@param value - 
@returns 
*/
set_incrementSettings(value: any): void;
        /**
Sets the invalid style duration of RadInputControl
@method
@param value - 
@returns 
*/
set_invalidStyleDuration(value: number): void;
        /**
Sets the latest date the user can enter
@method
@param value - 
@returns 
*/
set_maxDate(value: Date): void;
        /**
Sets the earliest date the user can enter
@method
@param value - 
@returns 
*/
set_minDate(value: Date): void;
        /**
Sets the selected date of the RadDateInput control
@method
@param value - 
@returns 
*/
set_selectedDate(value: Date): void;
        /**
Sets the SelectionOnFocus property
@method
@param value - 
@returns 
*/
set_selectionOnFocus(value: Telerik.Web.UI.SelectionOnFocus): void;
        /**
Accepts true if the input has an associated image button
@method
@param value - 
@returns 
*/
set_showButton(value: boolean): void;
        /**
Sets the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@param value - 
@returns 
*/
set_styles(value: any): void;
        /**
Sets the string that the user typed into the input
@method
@param value - 
@returns 
*/
set_textBoxValue(value: string): void;
        /**
Sets the value of the text box
@method
@param newValue - 
@returns 
*/
set_value(newValue: string): void;
        /**
Sets the input element as hidden on the client
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
        /**
Updates the css class of RadInputControl
@method
@returns 
*/
updateCssClass(): void;
        /**
Updates the css text of RadInputControl
@method
@param styleCssText - 
@returns 
*/
updateCssText(styleCssText: string): void;
        /**
Updates the display value of RadInputControl
@method
@returns 
*/
updateDisplayValue(): void;
        /**
Raised after the control loses focus just before a new value has been assigned.
*/
add_valueChanging(handler: (sender: Telerik.Web.UI.RadDateInput, args: Telerik.Web.UI.InputValueChangingEventArgs) => void): void;

remove_valueChanging(handler: Function): void;
        /**
Raised after the control loses focus when a new value has been assigned.
*/
add_valueChanged(handler: (sender: Telerik.Web.UI.RadDateInput, args: Telerik.Web.UI.InputValueChangedEventArgs) => void): void;

remove_valueChanged(handler: Function): void;
        /**
Raised when the control is disabled
*/
add_disable(handler: (sender: Telerik.Web.UI.RadDateInput, args: Sys.EventArgs) => void): void;

remove_disable(handler: Function): void;
        /**
Raised when the control is enabled
*/
add_enable(handler: (sender: Telerik.Web.UI.RadDateInput, args: Sys.EventArgs) => void): void;

remove_enable(handler: Function): void;
        /**
Raised when the control is focused
*/
add_focus(handler: (sender: Telerik.Web.UI.RadDateInput, args: Sys.EventArgs) => void): void;

remove_focus(handler: Function): void;
        /**
Raised when the control is loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadDateInput, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Raised when the mouse enters the input area.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadDateInput, args: Sys.EventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
Raised when the mouse leaves the input area.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadDateInput, args: Sys.EventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
Raised when the RadInputControl loses focus
*/
add_blur(handler: (sender: Telerik.Web.UI.RadDateInput, args: Sys.EventArgs) => void): void;

remove_blur(handler: Function): void;
        /**
Raised when the user clicks on the button that is associated with the input control
*/
add_buttonClick(handler: (sender: Telerik.Web.UI.RadDateInput, args: Telerik.Web.UI.InputButtonClickEventArgs) => void): void;

remove_buttonClick(handler: Function): void;
        /**
Raised when the user decreases the value of an enumeration or numeric range mask part.
*/
add_moveDown(handler: (sender: Telerik.Web.UI.RadDateInput, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveDown(handler: Function): void;
        /**
Raised when the user enters an invalid value
*/
add_error(handler: (sender: Telerik.Web.UI.RadDateInput, args: Telerik.Web.UI.InputErrorEventArgs) => void): void;

remove_error(handler: Function): void;
        /**
Raised when the user increases the value of an enumeration or numeric range mask part.
*/
add_moveUp(handler: (sender: Telerik.Web.UI.RadDateInput, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveUp(handler: Function): void;
        /**
Raised when the user presses a key to enter a value.
*/
add_keyPress(handler: (sender: Telerik.Web.UI.RadDateInput, args: Telerik.Web.UI.InputKeyPressEventArgs) => void): void;

remove_keyPress(handler: Function): void;
    }


    class RadDateInputComponent  extends Sys.Component {
        /**
Returns the format string for the control when it has focus
@method
@returns 
*/
get_dateFormat(): string;
        /**
Returns the Date Format Info object, which includes the settings used to parse date values
@method
@returns 
*/
get_dateFormatInfo(): Telerik.Web.UI.DateParsing.DateTimeFormatInfo;
        /**
Returns the format string for the control when it does not have focus
@method
@returns 
*/
get_displayDateFormat(): string;
        /**
Returns the latest valid date value
@method
@returns 
*/
get_maxDate(): Date;
        /**
Returns the earliest valid date value
@method
@returns 
*/
get_minDate(): Date;
        /**
Gets the selected date
@method
@returns 
*/
get_selectedDate(): Telerik.Web.UI.DateParsing.DateTimeFormatInfo;
        /**
Sets the format string for the control when it has focus
@method
@param value - 
@returns 
*/
set_dateFormat(value: string): void;
        /**
Sets the Date Format Info object, which includes the settings used to parse date values
@method
@param value - 
@returns 
*/
set_dateFormatInfo(value: Telerik.Web.UI.DateParsing.DateTimeFormatInfo): void;
        /**
Sets the format string for the control when it does not have focus
@method
@param value - 
@returns 
*/
set_displayDateFormat(value: string): void;
        /**
Sets the latest valid date value
@method
@param value - 
@returns 
*/
set_maxDate(value: Date): void;
        /**
Sets the earliest valid date value
@method
@param value - 
@returns 
*/
set_minDate(value: Date): void;
        /**
Sets the selected date
@method
@returns 
*/
set_selectedDate(): Telerik.Web.UI.DateParsing.DateTimeFormatInfo;
    }


    class RadDateInputExtender   {
        /**
Returns the format display value of RadDateInputExtender
@method
@param value - 
@returns 
*/
formatDisplayValue(value: any): void;
        /**
Returns the format edit value of RadDateInputExtender
@method
@param value - 
@returns 
*/
formatEditValue(value: any): void;
        /**
Gets the selected date of RadDateInputExtender
@method
@returns 
*/
get_selectedDate(): Date;
        /**
Parses a string using the DateFormatInfo object and returns the resulting date
@method
@param value - 
@param baseDate - 
@returns 
*/
parseDate(value: string, baseDate: Date): void;
        /**
Returns a Boolean value, indicating whether error is raised
@method
@param args - 
@returns 
*/
raise_error(args: boolean): void;
        /**
Returns the validate input value of RadDateInputExtender
@method
@param value - 
@returns 
*/
validateInputValue(value: Date): void;
    }


    class RadDatePicker  extends Telerik.Web.UI.RadWebControl {
        /**
Clears the selection, leaving the value as unassigned.
@method
@returns 
*/
clear(): void;
        /**
Returns a reference to the client object for the popup calendar.
@method
@returns 
*/
get_calendar(): Telerik.Web.UI.RadCalendar;
        /**
Returns a reference to the client object for the input area. For details on using this object, see the RadInput documentation.
@method
@returns 
*/
get_dateInput(): Telerik.Web.UI.RadDateInput;
        /**
Returns true if the control is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns whether the screen boundary detection will be applied.
@method
@returns 
*/
get_enableScreenBoundaryDetection(): boolean;
        /**
Returns the date that determines the view the popup calendar uses when the value of the date picker is not assigned.
@method
@returns 
*/
get_focusedDate(): Date;
        /**
Returns the latest date the user can select.
@method
@returns 
*/
get_maxDate(): Date;
        /**
Returns the latest date the user can select as string.
@method
@returns 
*/
get_maxDateStr(): string;
        /**
Returns the earliest date the user can select.
@method
@returns 
*/
get_minDate(): Date;
        /**
Returns the earliest date the user can select as string.
@method
@returns 
*/
get_minDateStr(): string;
        /**
Returns the DOM element for the calendar popup button.
@method
@returns 
*/
get_popupButton(): any;
        /**
Returns the DOM element for the DIV element that contains the popup calendar.
@method
@returns 
*/
get_popupContainer(): any;
        /**
Set the popup direction
@method
@returns 
*/
get_popupDirection(): string;
        /**
Returns the selected date, or null if no date is selected.
@method
@returns 
*/
get_selectedDate(): Date;
        /**
Returns whether the popup control (Calendar or TimeView) will be displayed when the DateInput textbox is focused.
@method
@returns 
*/
get_showPopupOnFocus(): boolean;
        /**
Returns the DOM element for the text box that implements the input area.
@method
@returns 
*/
get_textBox(): any;
        /**
Returns whether the control is visible
@method
@returns 
*/
get_visible(): boolean;
        /**
Returns the dimensions of the specified child element.
@method
@param element - 
@returns 
*/
getElementDimensions(element: any): any;
        /**
Returns the x and y coordinates of the specified child element.
@method
@param el - 
@returns 
*/
getElementPosition(el: any): any;
        /**
Hides the popup calendar if it is showing.
@method
@returns 
*/
hidePopup(): void;
        /**
Returns true if the value is unassigned.
@method
@returns 
*/
isEmpty(): void;
        /**
Returns whether the popup calendar is visible.
@method
@returns 
*/
isPopupVisible(): void;
        /**
Repaints the control
@method
@returns 
*/
repaint(): void;
        /**

@method
@returns 
*/
set_calendar(): void;
        /**

@method
@returns 
*/
set_dateInput(): void;
        /**
Enables/disables the control
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets whether the screen boundary detection will be applied.
@method
@param value - 
@returns 
*/
set_enableScreenBoundaryDetection(value: boolean): void;
        /**
Sets the date that determines the view the popup calendar uses when the value of the date picker is not assigned.
@method
@param value - 
@returns 
*/
set_focusedDate(value: Date): void;
        /**
Sets the latest date the user can select.
@method
@param value - 
@returns 
*/
set_maxDate(value: Date): void;
        /**
Sets the earliest date the user can select.
@method
@param value - 
@returns 
*/
set_minDate(value: Date): void;
        /**
Returns the popup direction
@method
@param value - 
@returns 
*/
set_popupDirection(value: string): void;
        /**
Assigns the value of the date picker.
@method
@param newDate - 
@returns 
*/
set_selectedDate(newDate: Date): void;
        /**
Sets whether the popup control (Calendar or TimeView) will be displayed when the DateInput textbox is focused.
@method
@param value - 
@returns 
*/
set_showPopupOnFocus(value: boolean): void;
        /**
Shows/hides the control
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
        /**
Displays the popup calendar at the specified coordinates. If the two parameters are omitted, the popup appears below the input area.
@method
@param x - 
@param y - 
@returns 
*/
showPopup(x: number, y: number): void;
        /**
Toggles the visible state of the popup calendar.
@method
@returns 
*/
togglePopup(): void;
        /**
The dateSelected event is fired immediately after the value of the control's selection has changed.
*/
add_dateSelected(handler: (sender: Telerik.Web.UI.RadDatePicker, args: Telerik.Web.UI.DateInputValueChangedEventArgs) => void): void;

remove_dateSelected(handler: Function): void;
        /**
The popupClosing event is fired immediately before a popup calendar or time view is closed.
*/
add_popupClosing(handler: (sender: Telerik.Web.UI.RadDatePicker, args: Telerik.Web.UI.DatePickerPopupClosingEventArgs) => void): void;

remove_popupClosing(handler: Function): void;
    }


    class RadDateTimePicker  extends Telerik.Web.UI.RadDatePicker {
        /**
Returns the DOM element for the DIV element that contains the popup time view.
@method
@returns 
*/
GetTimePopupContainer(): any;
        /**
Gets a value indicating whether a postback to the server automatically occurs when the user changes the list selection.
@method
@returns 
*/
get_autoPostBackControl(): boolean;
        /**
Returns the DOM element for the time popup button.
@method
@returns 
*/
get_timePopupButton(): any;
        /**
Returns the DOM element for the DIV element that contains the popup time view.
@method
@returns 
*/
get_timePopupContainer(): any;
        /**
Returns a reference to the client object for the popup time view.
@method
@returns 
*/
get_timeView(): Telerik.Web.UI.RadTimeView;
        /**
Hides the popup time view if it is showing.
@method
@returns 
*/
hideTimePopup(): void;
        /**
Returns whether the popup time view is visible.
@method
@returns 
*/
isTimePopupVisible(): boolean;
        /**
Sets a value indicating whether a postback to the server automatically occurs when the user changes the list selection.
@method
@param value - 
@returns 
*/
set_autoPostBackControl(value: boolean): void;
        /**
Enables/disabled the control.
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**

@method
@returns 
*/
set_timeView(): void;
        /**
Displays the popup time view at the specified coordinates. If the two parameters are omitted, the popup appears below the input area.
@method
@param x - 
@param y - 
@returns 
*/
showTimePopup(x: number, y: number): void;
        /**
Toggles the visible state of the popup time view.
@method
@returns 
*/
toggleTimePopup(): void;
        /**
The dateSelected event is fired immediately after the value of the control's selection has changed.
*/
add_dateSelected(handler: (sender: Telerik.Web.UI.RadDateTimePicker, args: Telerik.Web.UI.DateInputValueChangedEventArgs) => void): void;

remove_dateSelected(handler: Function): void;
        /**
The popupClosing event is fired immediately before a popup calendar or time view is closed.
*/
add_popupClosing(handler: (sender: Telerik.Web.UI.RadDateTimePicker, args: Telerik.Web.UI.DatePickerPopupClosingEventArgs) => void): void;

remove_popupClosing(handler: Function): void;
    }


    class RadDiagram  extends Telerik.Web.UI.RadWebControl {
        /**
Gets a reference to the Kendo Diagram widget. 
To use the exposed Kendo methods make sure you have the kendo.dataviz.d.ts file and cast the returned object to kendo.dataviz.ui.Diagram.
@method
@returns 
*/
get_kendoWidget(): any;
        /**
Fires when the control's client-side object is created.
*/
add_Load(handler: (sender: Telerik.Web.UI.RadDiagram, args: Sys.EventArgs) => void): void;

remove_Load(handler: Function): void;
    }


    class RadDialogOpener  extends Telerik.Web.UI.RadWebControl {
        /**
Opens a dialog created via DialogDefinitions on the server.
@method
@param dialogName - The name of the dialog to be opened.
@param clientParameters - Parameters to be passed to the dialog.
@param callbackFunction - The callback function.
@returns 
*/
open(dialogName: string, clientParameters: any, callbackFunction: Function): void;
        /**
Opens a light dialog created via DialogDefinitions on the server.
@method
@param dialogName - The name of the dialog to be opened.
@param clientParameters - Parameters to be passed to the dialog.
@param callbackFunction - The callback function.
@returns 
*/
openLight(dialogName: string, clientParameters: any, callbackFunction: Function): void;
        /**
Opens a dialog via the DialogOpener.
@method
@param url - Specifies the URL/Path to the user control to be opened in the dialog.
@param argument - Pass an argument object to be fetched in the dialog.
@param width - The width of the dialog.
@param height - The height of the dialog.
@param callbackFunction - The callback function which will be called on closing the dialog.
@param callbackArgs - 
@param title - The title of the dialog.
@param modal - Specifies whether the dialog to be modal or not.
@param behaviors - The behavior settings of the dialog.
@param showStatusbar - 
@param showTitlebar - 
@param dialogName - Specifies the name of the dialog instance.
@returns 
*/
openUrl(url: string, argument: any, width: number, height: number, callbackFunction: Function, callbackArgs: any, title: string, modal: boolean, behaviors: Telerik.Web.UI.WindowBehaviors, showStatusbar: boolean, showTitlebar: boolean, dialogName: string): void;
        /**
This event is fired when the dialog is opened.
*/
add_open(handler: (sender: Telerik.Web.UI.RadDialogOpener, args: Telerik.Web.UI.DialogOpenEventArgs) => void): void;

remove_open(handler: Function): void;
        /**
This event is fired when the dialog is opened.
*/
add_close(handler: (sender: Telerik.Web.UI.RadDialogOpener, dialog: Telerik.Web.UI.RadWindow) => void): void;

remove_close(handler: Function): void;
    }


    class RadDock  extends Telerik.Web.UI.RadWebControl {
        /**
Clones the current Telerik.Web.UI.RadDock object.
@method
@param id - The string that will be set to the UniqueId of the cloned object.
@returns The cloned Telerik.Web.UI.RadDock object.
*/
clone(id: string): Telerik.Web.UI.RadDock;
        /**
Performs a postback if the dock has AutoPostBack enabled.
@method
@param parameter - The parameter passed to the server when postback is performed.
@returns 
*/
conditionalPostback(parameter: string): void;
        /**
Calls the _doPostBack global function, passing the UniqueID of the control as event target paramenter.
@method
@param parameter - The parameter passed to the server when postback is performed.
@returns 
*/
doPostBack(parameter: string): void;
        /**
Gets an array containing the DockZone UniqueNames where the dock is allowed to dock.
@method
@returns A string array containing the DockZone UniqueNames where the dock is allowed to dock.
*/
get_allowedZones(): any;
        /**
Gets the bool value indicating whether the dock will perform postback.
@method
@returns The bool value indicating whether the dock will perform postback.
*/
get_autoPostBack(): boolean;
        /**
Gets the bool value indicating whether the dock is closed or not.
@method
@returns Bool value indicating whether the dock is closed or not.
*/
get_closed(): boolean;
        /**
Gets the bool value indicating whether the dock is collapsed or not.
@method
@returns Bool value indicating whether the dock is collapsed or not.
*/
get_collapsed(): boolean;
        /**
Gets an object containing all present (enabled) dock commands. A single command can be accessed in the following way: "objCommands.CommandName" or "objCommands["CommandName"]".
@method
@returns 
*/
get_commands(): any;
        /**
Gets a reference to the element container of the dock's commands.
@method
@returns The element containing dock
*/
get_commandsContainer(): any;
        /**
Gets a reference to the element of the dock's content container.
@method
@returns The element of the dock
*/
get_contentContainer(): any;
        /**
Gets the DockMode of the RadDock control. It can be: 1. Floating; 2. Docked; 3. Default;
@method
@returns The Telerik.Web.UI.DockMode of the RadDock control. It can be
*/
get_dockMode(): Telerik.Web.UI.DockMode;
        /**
Gets the parent zone(Telerik.Web.UI.RadDockZone object) to which the dock is docked.
@method
@returns The parent DockZone.
*/
get_dockZone(): Telerik.Web.UI.RadDockZone;
        /**
Gets the ID of the zone where the RadDock control is docked to.
@method
@returns The ID of the zone where the RadDock control is docked to.
*/
get_dockZoneID(): string;
        /**
Returns an array which contains all dock zones.
@method
@returns 
*/
get_dockZones(): any;
        /**
Returns the DOM element for this control.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets the bool value indicating whether the animation is enabled.
@method
@returns The bool value indicating whether the animation is enabled.
*/
get_enableAnimation(): boolean;
        /**
Gets the bool value indicating whether the user can drag the control to a new location.
@method
@returns The bool value indicating whether the user can drag the control to a new location.
*/
get_enableDrag(): boolean;
        /**
Gets an array containing the DockZone UniqueNames where the dock cannot be docked to.
@method
@returns A string array containing the DockZone UniqueNames where the dock cannot docked to.
*/
get_forbiddenZones(): any;
        /**
Gets the current handle by which the dock can be dragged.
@method
@returns The handle by which the dock can be dragged.
*/
get_handle(): any;
        /**
Gets the height of the control.
@method
@returns The height of the control.
*/
get_height(): number;
        /**
Gets the (0-offset) docking position of the control within its parent docking zone.
@method
@returns The
*/
get_index(): number;
        /**
Gets the ID of the Telerik.Web.UI.RadDockLayout that manages the state of the RadDock control.
@method
@returns The ID of the Telerik.Web.UI.RadDockLayout that manages the state of the RadDock control.
*/
get_layoutID(): string;
        /**
Gets the X-coordinate of the dock (relative to the top-left corner of the browser window).
@method
@returns The number indicating the X
*/
get_left(): number;
        /**
If the control is docked, returns the object for the parent docking zone.
@method
@returns 
*/
get_parent(): any;
        /**
Gets the bool value indicating whether the control is pinned.
@method
@returns The bool value indicating whether the control is pinned.
*/
get_pinned(): number;
        /**
Gets the bool value indicating whether the control can be resized.
@method
@returns The bool value indicating whether the control can be resized.
*/
get_resizable(): boolean;
        /**
Gets the currently applied skin to the control.
@method
@returns The control
*/
get_skin(): string;
        /**
Tag
@method
@returns 
*/
get_tag(): any;
        /**
Gets the title text of the dock control.
@method
@returns The text of the dock
*/
get_title(): string;
        /**
Gets a reference to the element of the dock's TitleBar template.
@method
@returns The element of the dock
*/
get_titleBar(): any;
        /**
Gets the element containing the title text of the dock (the EM element).
@method
@returns The element that contains the dock
*/
get_titleElement(): any;
        /**
Gets the Y-coordinate of the dock (relative to the top-left corner of the browser window).
@method
@returns The number indicating the Y
*/
get_top(): number;
        /**
Gets the UniqueID of the control.
@method
@returns The UniqueID of the control.
*/
get_uniqueID(): string;
        /**
Gets the UniqueName of the control.
@method
@returns The UniqueName of the control.
*/
get_uniqueName(): string;
        /**
Gets the width of the control.
@method
@returns The width of the control.
*/
get_width(): number;
        /**
Gets the command by the name specified.
@method
@param name - The name of the command.
@returns The command with the given name.
*/
getCommand(name: string): Telerik.Web.UI.DockCommand;
        /**
Gets the serialized client state of the dock control.
@method
@returns 
*/
saveClientState(): void;
        /**
Sets allowed zones (DockZones where the dock is allowed to dock) to the dock. (Use the AllowedZones property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - A string array containing the DockZone UniqueNames where the dock is allowed to dock.
@returns 
*/
set_allowedZones(value: any): void;
        /**
Sets a bool value indicating whether the dock will perform postback.
@method
@param value - Parameter indicating whether the dock will perform postback.
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Closes/Opens the RadDock control.
@method
@param value - The value indicating whether the dock will be opened or closed.
@param playAnimation - Whether or not animation should be played.
@returns 
*/
set_closed(value: boolean, playAnimation: boolean): void;
        /**
Collapses/Expands the RadDock control.
@method
@param value - The value indicating whether the dock is collapsed or expanded.
@param playAnimation - Whether or not animation should be played.
@returns 
*/
set_collapsed(value: boolean, playAnimation: boolean): void;
        /**
Sets a DockMode to the dock.(Use the DockMode property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - Whether the dock will be
@returns 
*/
set_dockMode(value: Telerik.Web.UI.DockMode): void;
        /**
Enables or disables the dock animations. (Use the EnableAnimation property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - The bool value indicating whether the animation will be enabled
@returns 
*/
set_enableAnimation(value: boolean): void;
        /**
Sets a value enabling or disabling the ability of the user to drag the control to a new location. (Use the EnableDrag property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - The bool value indicating whether the user can drag the control to a new location.
@returns 
*/
set_enableDrag(value: boolean): void;
        /**
Sets forbidden zones (DockZones where the dock cannot be docked to) to the dock. (Use the ForbiddenZones property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - A string array containing the DockZone UniqueNames where the dock cannot docked to.
@returns 
*/
set_forbiddenZones(value: any): void;
        /**
Sets a drag handle to the element passed as a parameter.
@method
@param element - 
@returns 
*/
set_handle(element: any): void;
        /**
Sets a height to the control.
@method
@param value - The height of the control.
@returns 
*/
set_height(value: number): void;
        /**
Sets a X-coordinate to the dock (relative to the top-left corner of the browser window).
@method
@param value - The value set to the X
@returns 
*/
set_left(value: number): void;
        /**
Causes a floating control to become pinned or unpinned. Dock with DockMode="Floating" can be pinned only. (Use the Pinned property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - The bool value indicating whether the control will be pinned
@returns 
*/
set_pinned(value: boolean): void;
        /**
Enables/Disables the resizing of the control.
@method
@param value - The value indicating whether the control can be resized or not.
@returns 
*/
set_resizable(value: boolean): void;
        /**
Sets a title to the control.(Use the Title property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - The text that will be assigned to the control
@returns 
*/
set_title(value: string): void;
        /**
Sets a Y-coordinate to the dock (relative to the top-left corner of the browser window).
@method
@param value - The value set to the Y
@returns 
*/
set_top(value: number): void;
        /**
Sets a width to the control.
@method
@param value - The width of the control.
@returns 
*/
set_width(value: number): void;
        /**
Undocks the RadDock control from its containing zone.
@method
@returns 
*/
undock(): void;
        /**
The command event occurs when the user clicks on a command in the RadDock title bar.
*/
add_command(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.CancelEventArgs) => void): void;

remove_command(handler: Function): void;
        /**
The dockPositionChanged event occurs when the user has just changed the position of a RadDock control by dragging it to a new location.
*/
add_dockPositionChanged(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_dockPositionChanged(handler: Function): void;
        /**
The dockPositionChanging event occurs when the user tries to drop the RadDock control in a new location.
*/
add_dockPositionChanging(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.CancelEventArgs) => void): void;

remove_dockPositionChanging(handler: Function): void;
        /**
The drag event is raised when the user moves the mouse while dragging a RadDock control.
*/
add_drag(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_drag(handler: Function): void;
        /**
The dragEnd event occurs when the user drops a RadDock control after a drag operation.
*/
add_dragEnd(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_dragEnd(handler: Function): void;
        /**
The dragStart event occurs when the user begins to drag the RadDock control from its current position.
*/
add_dragStart(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_dragStart(handler: Function): void;
        /**
The enterZone event is raised when a RadDock is over a RadDockZone.
*/
add_enterZone(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_enterZone(handler: Function): void;
        /**
The event raised when the RadDock is loaded.
*/
add_load(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The resizeEnd event is raised when the RadDock is resized.
*/
add_resizeEnd(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_resizeEnd(handler: Function): void;
        /**
The resizeStart event is raised when the resize of the dock is started.
*/
add_resizeStart(handler: (sender: Telerik.Web.UI.RadDock, args: Sys.EventArgs) => void): void;

remove_resizeStart(handler: Function): void;
    }


    class RadDockZone  extends Telerik.Web.UI.RadWebControl {
        /**
Clones the current Telerik.Web.UI.RadDockZone object.
@method
@param id - The string that will be set to the UniqueId of the cloned object.
@returns The cloned Telerik.Web.UI.RadDockZone object.
*/
clone(id: string): Telerik.Web.UI.RadDockZone;
        /**
Places (docks) the RadDock control in the zone, at the specified (0-offset) position.
@method
@param radDock - The dock control to be docked.
@param index - The
@returns 
*/
dock(radDock: Telerik.Web.UI.RadDock, index: number): void;
        /**
Gets the client ID of the RadDockZone control.
@method
@returns The client ID of the RadDockZone control.
*/
get_clientID(): string;
        /**
Gets the array of all Telerik.Web.UI.RadDock controls placed inside the zone.
@method
@returns The array of all Telerik.Web.UI.RadDock controls placed inside the zone.
*/
get_docks(): any;
        /**
Gets the bool value indicating whether the docks are resized to fit within the zone.
@method
@returns The bool value indicating whether the docks are resized to fit within the zone.
*/
get_fitDocks(): boolean;
        /**
Gets the CSS class that is applied when a dock is over the zone and is about to be docked.
@method
@returns The CSS class that is applied when a dock is over the zone and is about to be docked.
*/
get_highlightedCssClass(): string;
        /**
Gets the value indicating whether the zone has Horizontal orientaion (Orientation can be Horizontal and Vertical).
@method
@returns The value indicating whether the zone has Horizontal orientaion.
*/
get_isHorizontal(): boolean;
        /**
Gets the ID of the Telerik.Web.UI.RadDockLayout that manages the state of the RadDockZone control.
@method
@returns The ID of the DockLayout that manages the state of the RadDockZone control.
*/
get_layoutID(): string;
        /**
Gets the UniqueName of the control.
@method
@returns The UniqueName of the control.
*/
get_uniqueName(): string;
        /**
Sets a bool value indicating whether the docks are resized to fit within the zone. (Use the FitDocks property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - The value indicating whether the docks should be resized to fit within the zone.
@returns 
*/
set_fitDocks(value: boolean): void;
        /**
Sets a CSS class that is applied when a dock is over the zone and is about to be docked. (Use the HighlightedCssClass property in order for the changes to take effect on the server-side and not on the client-side only)
@method
@param value - The CSS class to be applied.
@returns 
*/
set_highlightedCssClass(value: string): void;
    }


    class RadDropDownList  extends Telerik.Web.UI.ControlItemContainer {
        /**
Closes the DropDown
@method
@returns 
*/
closeDropDown(): void;
        /**
Writes the changes to the dropDownList that were made since a previous call to trackChanges, so that they are preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Returns the first DropDownListItem object whose Text property equals to the passed parameter.
@method
@param theText - The text tosearch for
@returns 
*/
findItemByText(theText: string): Telerik.Web.UI.DropDownListItem;
        /**
Returns the first DropDownListItem object whose Value property equals to the passed parameter.
@method
@param theValue - The value to search for
@returns Returns the first DropDownListItem whose Value property matches the passed parameter
*/
findItemByValue(theValue: string): Telerik.Web.UI.DropDownListItem;
        /**
Gets the UL element of the RadDropDownList
@method
@returns The UL element of the RadDropDownList
*/
get_childListElement(): HTMLElement;
        /**
Returns the value of the RadDropDownList's ClientItemTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Returns the value of the RadDropDownList's DefaultMessage property.
@method
@returns 
*/
get_defaultMessage(): void;
        /**
Gets the root DOM element of the RadDropDownList
@method
@returns The root DOM element of the RadDropDownList
*/
get_dropDownElement(): HTMLElement;
        /**
Returns the value of the RadDropDownList's EmptySelectionMessage property.
@method
@returns 
*/
get_emptySelectionMessage(): any;
        /**
Gets a collection with all items
@method
@returns 
*/
get_items(): Telerik.Web.UI.DropDownListItemCollection;
        /**
Gets the selected item.
@method
@returns 
*/
get_selectedItem(): Telerik.Web.UI.DropDownListItem;
        /**
Gets the DOM element of the RadDropDownList where the text of the currently selected item is shown.
@method
@returns DOM element of the RadDropDownList where the text of the currently selected item is shown.
*/
get_textElement(): HTMLElement;
        /**
Gets the item from the Items collection residing at the index specified by the parameter.
@method
@param index - 
@returns 
*/
getItem(index: number): Telerik.Web.UI.DropDownListItem;
        /**
Opens the DropDown
@method
@returns 
*/
openDropDown(): void;
        /**
Refreshes the RadDropDownList UI
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state to the client state hidden field
@method
@returns 
*/
saveClientState(): void;
        /**
Sets the value of the RadDropDownList's ClientItemTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the value of the RadDropDownList's DefaultMessage property.
@method
@param value - value
@returns 
*/
set_defaultMessage(value: string): void;
        /**
Sets the value of the RadDropDownList's EmptySelectionMessage property.
@method
@param String - 
@returns 
*/
set_emptySelectionMessage(String: string): any;
        /**
Enables RadDropDownList
@method
@param value - true if the RadDropDownList should be enabled. False otherwise
@returns 
*/
set_enabled(value: boolean): void;
        /**
Toggles the DropDown state between opened and closed.
@method
@returns 
*/
toggleDropDown(): void;
        /**
Occurs after the drop-down list has been opened.
*/
add_dropDownOpened(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Sys.EventArgs) => void): void;

remove_dropDownOpened(handler: Function): void;
        /**
Occurs after the the portion of items is added to the RadDropDownList (WebService data-binding scenario)
*/
add_itemsRequested(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Sys.EventArgs) => void): void;

remove_itemsRequested(handler: Function): void;
        /**
Occurs before a certain item is about to be selected.
*/
add_itemSelecting(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Telerik.Web.UI.DropDownListItemSelectingEventArgs) => void): void;

remove_itemSelecting(handler: Function): void;
        /**
Occurs before a certain item is about to be selected.
*/
add_itemSelected(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Telerik.Web.UI.DropDownListItemSelectedEventArgs) => void): void;

remove_itemSelected(handler: Function): void;
        /**
Occurs for each item that is created during WebService(including if ODataSource is used).
*/
add_templateDataBound(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_templateDataBound(handler: Function): void;
        /**
Occurs for each item that is created during WebService(including if ODataSource is used).
*/
add_itemDataBound(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Telerik.Web.UI.DropDownListItemDataBoundEventArgs) => void): void;

remove_itemDataBound(handler: Function): void;
        /**
Occurs immediately after the SelectedItem has been changed.
*/
add_selectedIndexChanged(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Telerik.Web.UI.DropDownListIndexChangedEventArgs) => void): void;

remove_selectedIndexChanged(handler: Function): void;
        /**
Occurs just before the drop-down list gets closed.
*/
add_dropDownClosing(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Sys.EventArgs) => void): void;

remove_dropDownClosing(handler: Function): void;
        /**
Occurs just before the drop-down list gets closed.
*/
add_dropDownClosed(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Sys.EventArgs) => void): void;

remove_dropDownClosed(handler: Function): void;
        /**
Occurs just before the drop-down list gets opened.
*/
add_dropDownOpening(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Sys.CancelEventArgs) => void): void;

remove_dropDownOpening(handler: Function): void;
        /**
Occurs when an error has occurred while loading elements using the load-on-demand mechanism.
*/
add_itemsRequestFailed(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Sys.CancelEventArgs) => void): void;

remove_itemsRequestFailed(handler: Function): void;
        /**
Occurs when the RadDropDownList is about to send a server-side request to load its items from the web service.
*/
add_itemsRequesting(handler: (sender: Telerik.Web.UI.RadDropDownList, args: Telerik.Web.UI.DropDownListItemsRequestingEventArgs) => void): void;

remove_itemsRequesting(handler: Function): void;
    }


    class RadDropDownTree  extends Telerik.Web.UI.RadWebControl {
        /**
Closes the drop down of the current instance.
@method
@returns 
*/
closeDropDown(): void;
        /**
Returns  the Default message in the entry area
@method
@returns 
*/
get_defaultMessage(): string;
        /**
Gets the dropDown element.
@method
@returns The dropDown element.
*/
get_dropDownElement(): HTMLElement;
        /**
Gets the embedded tree - the integrated RadTreeView control.
@method
@returns - the integrated RadTreeView control.
*/
get_embeddedTree(): Telerik.Web.UI.RadTreeView;
        /**
Returns true if the RadDropDownTree is enabled and false if the control is disabled
@method
@param Boolean - 
@returns 
*/
get_enabled(Boolean: boolean): boolean;
        /**
Returns the RadDropDownTree Entries collection
@method
@returns 
*/
get_entries(): any;
        /**
Returns the text of an entry(or a collection of entries separated by semicolon) in the entry area
@method
@returns 
*/
get_selectedText(): string;
        /**
Returns the value of an entry (or a collection of entries separated by semicolon) in the entry area
@method
@returns 
*/
get_selectedValue(): string;
        /**
Opens the drop down of the current instance.
@method
@returns 
*/
openDropDown(): void;
        /**
Sets the Default message in the entry area
@method
@param String - 
@returns 
*/
set_defaultMessage(String: string): any;
        /**
Enables the RadDropDownTree control
@method
@param Boolean - 
@returns 
*/
set_enabled(Boolean: boolean): boolean;
        /**
Opens the drop down of the current instance.
@method
@returns 
*/
toggleDropDown(): void;
        /**
The clearButtonClicked client-side event after the Clear button in the entry area of the RadDropDownTree is clicked.
*/
add_clearButtonClicked(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Sys.EventArgs) => void): void;

remove_clearButtonClicked(handler: Function): void;
        /**
The dropDownClosed client-side event that is fired after the dropdown of the RadDropDownTree is closed. The event cannot be cancelled.
*/
add_dropDownClosed(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Sys.EventArgs) => void): void;

remove_dropDownClosed(handler: Function): void;
        /**
The dropDownClosing client-side event that is fired before the dropdown of the RadDropDownTree is closed. The event can be cancelled.
*/
add_dropDownClosing(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Sys.CancelEventArgs) => void): void;

remove_dropDownClosing(handler: Function): void;
        /**
The dropDownOpened client-side event that is fired after the dropdown of the RadDropDownTree is opened. The event cannot be cancelled.
*/
add_dropDownOpened(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Sys.EventArgs) => void): void;

remove_dropDownOpened(handler: Function): void;
        /**
The dropDownOpening client-side event that is fired before the dropdown of RadDropDownTree is opened. The event can be cancelled.
*/
add_dropDownOpening(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Sys.CancelEventArgs) => void): void;

remove_dropDownOpening(handler: Function): void;
        /**
The entryAdded client-side event that is fired when an entry is about to be added to the Entry area. The event cannot be cancelled.
*/
add_entryAdded(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Telerik.Web.UI.DropDownTreeEntryAddedEventArgs) => void): void;

remove_entryAdded(handler: Function): void;
        /**
The entryAdding client-side event is fired when an entry is about to be added to the entry area. The event can be cancelled.
When the CheckBoxes property of the control is set to either the TriState or the CheckChildNodes, the event will fire only for the node that is being checked.
*/
add_entryAdding(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Telerik.Web.UI.DropDownTreeEntryAddingEventArgs) => void): void;

remove_entryAdding(handler: Function): void;
        /**
The entryRemoved client-side event that is fired when an entry is about to be removed from the Entry area. The event cannot be cancelled.
*/
add_entryRemoved(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Telerik.Web.UI.DropDownTreeEntryRemovedEventArgs) => void): void;

remove_entryRemoved(handler: Function): void;
        /**
The entryRemoving client-side event is fired when an entry is about to be removed from the Entry area. The event can be cancelled.
*/
add_entryRemoving(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Telerik.Web.UI.DropDownTreeEntryRemovingEventArgs) => void): void;

remove_entryRemoving(handler: Function): void;
        /**
The load client-side event occurs when the RadDropDownTree is first loaded and fully initialized on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadDropDownTree, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
    }


    class RadEditor  extends Telerik.Web.UI.RadWebControl {
        /**
Adds a custom word to the collection.
@method
@param word - The custom word to be added.
@returns 
*/
addCustomWord(word: string): void;
        /**
Adds shortcut to the RadEditor's ShortCutManager
@method
@param shortcutName - Name of the shortcut
@param shortcutString - The key combination of the shortcut
@returns 
*/
addShortCut(shortcutName: string, shortcutString: string): void;
        /**
Attaches an event to RadEditor
@method
@param eventName - The name of the event to be handled
@param fnRef - The function to be registered to the event
@returns 
*/
attachEventHandler(eventName: string, fnRef: Function): void;
        /**
Creates DOM element and return reference to it
@method
@param tagName - Element
@param styleWidth - Width of the element
@param styleHeight - Height of the element
@param sId - ID of the element
@param sName - Name of the element
@param sValue - Value of the element
@returns 
*/
createElement(tagName: string, styleWidth: string, styleHeight: string, sId: string, sName: string, sValue: string): HTMLElement;
        /**
You can store and restore the exact position of the cursor using createRestorePoint and select method. Use getSelection().getRange()instead of the obsolete createRestorePoint()
@method
@returns 
*/
createRestorePoint(): void;
        /**
Detaches an event handler.
@method
@param eventName - The name of the event to be handled
@param fnRef - The function to be removed from the eventListenerList
@returns 
*/
detachEventHandler(eventName: string, fnRef: Function): void;
        /**
Toggles the state if the content area's CSS file.
@method
@param toEnable? - Indicates whether to disable or enable the style sheet (NOTE: If argument is not available, the state will be switched).
@returns 
*/
disableContentAreaStylesheet(toEnable?: boolean): void;
        /**
Shows the alert to inform the user about reaching the limit of the MaxHtmlLength.
@method
@returns 
*/
displayMaxHtmlLengthErrorMessage(): void;
        /**
Shows the alert to inform the user about reaching the limit of the MaxTextLength.
@method
@returns 
*/
displayMaxTextLengthErrorMessage(): void;
        /**
Ability to programmatically disable/enable editing in editor while retaining its looks
@method
@param enable - Specifies whether enable or disable editing
@param editingOptions - Which editing options to enable
@param optionalIgnoredTools - Array of tool names to enable
@returns 
*/
enableEditing(enable: boolean, editingOptions: Telerik.Web.UI.EditingOptions, optionalIgnoredTools: any): void;
        /**
Executes a RadEditor command.
@method
@param radCommand - The command name.
@param setFocus - Specifies whether to focus the content area or not.
@param addToStack - Specifies whether to add the command in the undo/redo stack.
@returns 
*/
executeCommand(radCommand: string, setFocus: boolean, addToStack: boolean): void;
        /**
Find DOM elements within the content of the Editor control.
@method
@param selector - The selector defining the nodes to find. All kinds of jQuery selectors can be used.
@returns 
*/
findContent(selector: string): any;
        /**
Find DOM elements within the content of the Editor control.
@method
@param selector - The selector defining the nodes to find. Selector is a conditional function (single parameter is node, returns Boolean value). If node matches the condition, then it is added in the result collection.
@returns 
*/
findContent(selector: Function): any;
        /**
Executes a built-in command.
@method
@param comamndName - The name of the tool.
@param args - Command arguments. You can pass either an object of type Telerik.Web.UI.EditorCommandEventArgs or one with a value field - { value: String }.
@returns 
*/
fire(comamndName: string, args: any): void;
        /**
Returns the instance of the AjaxSpellCheck.
@method
@returns 
*/
get_ajaxSpellCheck(): Telerik.Web.UI.Editor.AjaxSpellCheck;
        /**
Returns the CommandsManager instance used by the RadEditor.
@method
@returns 
*/
get_commandsManager(): Telerik.Web.UI.Editor.CommandsManager;
        /**
Returns a reference to the RadEditor's content area's body element
@method
@returns 
*/
get_contentArea(): any;
        /**
Returns a reference to the RadEditor's content area element.
@method
@returns 
*/
get_contentAreaElement(): HTMLElement;
        /**
Returns teh instance to the RadDialogOpener.
@method
@returns 
*/
get_dialogOpener(): Telerik.Web.UI.RadDialogOpener;
        /**
Returns a reference to the RadEditor's content area's document object
@method
@returns 
*/
get_document(): any;
        /**
Returns whether the RadEditor's content area is editable or not
@method
@returns 
*/
get_editable(): boolean;
        /**
Returns a Boolean value that indicates whether immutability is enabled or not.
@method
@returns 
*/
get_enableImmutableElements(): boolean;
        /**
Returns a reference to RadEditor's filters manager
@method
@returns 
*/
get_filtersManager(): Telerik.Web.UI.Editor.FiltersManager;
        /**
Gets the Find/Replace overlay. This overlay currently only exists in the Mobile render mode of the Editor
@method
@returns 
*/
get_findReplaceOverlay(): Telerik.Web.UI.Editor.FindReplaceMobile;
        /**
Returns a reference to the Preview Header Container DOM element (available only for Mobile rendering)
@method
@returns 
*/
get_headerContainer(): HTMLElement;
        /**
Returns a reference to the HeaderTools Container DOM element (available only for Mobile rendering)
@method
@returns 
*/
get_headerToolsContainer(): HTMLElement;
        /**
Returns the editor content as HTML
@method
@param isFiltered? - Indicates whether the content to be returned after processing it with the content filters or not.
@param removeComments? - Indicates whether the content to be returned without inserted comments.
@returns 
*/
get_html(isFiltered?: boolean, removeComments?: Telerik.Web.UI.EditorStripHtmlOptions): string;
        /**
Returns current language
@method
@returns 
*/
get_language(): string;
        /**
Returns an associative array of RadEditor's localization
@method
@returns 
*/
get_localization(): any;
        /**
Return a reference to the RadEditor's wrapping DOM element
@method
@returns 
*/
get_mainTable(): HTMLElement;
        /**
Returns the editor's  EditMode
@method
@returns 
*/
get_mode(): Telerik.Web.UI.EditModes;
        /**
Gets a reference to the modules manager.
@method
@returns 
*/
get_modulesManager(): Telerik.Web.UI.Editor.ModulesManager;
        /**
Returns the qualified name of the skin.
#### Parameters
@method
@returns 
*/
get_qualifiedSkin(): string;
        /**
Returns a reference to the ShortCutManager instance.
@method
@returns 
*/
get_shortCutManager(): Telerik.Web.UI.EditorShortCutManager;
        /**
Returns a reference to the used SpellCheckService
@method
@returns 
*/
get_spellCheckService(): Telerik.Web.UI.SpellCheckService;
        /**
Returns the editor content as plain text (strips down the tags).
@method
@param options - Options for the strip behavior. Example: { trimText: true, removeMultipleSpaces: true }.
@returns 
*/
get_text(options: any): string;
        /**
Returns a reference to the RadEditor's TextArea in Html mode
@method
@returns 
*/
get_textArea(): HTMLElement;
        /**
Gets a reference to the tool adapter.
@method
@returns 
*/
get_toolAdapter(): Telerik.Web.UI.Editor.DefaultToolAdapter;
        /**
Returns a reference to the Toolbar container DOM element
@method
@returns 
*/
get_toolContainer(): HTMLElement;
        /**
Returns the inner HTML of the ToolContainer as string.
@method
@returns 
*/
get_toolHTML(): string;
        /**
Returns the wrapper element of the toolbar.
@method
@returns 
*/
get_TopZone(): HTMLElement;
        /**
Returns whether RadEditor is using RadWindow windows or browser popup windows for its dialogs.
@method
@returns 
*/
get_useClassicDialogs(): boolean;
        /**
Returns a reference to the context menu object
@method
@param tagName - The Tag name of the context menu
@returns Reference to the context menu object
*/
getContextMenuByTagName(tagName: string): Telerik.Web.UI.EditorContextMenu;
        /**
Returns a collection of class names existing in the CSS files added to the Iframe's content area.
@method
@returns 
*/
getCssArray(): any;
        /**
Gets a reference to a DomRange object that represents the current selection in the RadEditor
@method
@returns 
*/
getDomRange(): Telerik.Web.UI.Editor.DomRange;
        /**
Returns the current selection range.
@method
@returns 
*/
getEditorSelectionRange(): any;
        /**
Returns a reference to a specified header tool
@method
@param toolName - The name of the tool
@returns 
*/
getHeaderToolByName(toolName: string): Telerik.Web.UI.EditorButton;
        /**
Returns a reference to the currently selected HTML element in the editor's content area
@method
@returns 
*/
getSelectedElement(): HTMLElement;
        /**
Returns a reference to the current RadEditorSelection object
@method
@returns 
*/
getSelection(): Telerik.Web.UI.Editor.Selection;
        /**
Returns the selected HTML.
@method
@returns 
*/
getSelectionHtml(): string;
        /**
Returns a reference to a specified tool
@method
@param toolName - The name of the tool
@returns 
*/
getToolByName(toolName: string): Telerik.Web.UI.EditorButton;
        /**
Returns current state of a tool
@method
@param toolName - The name of the tool
@param range - The selection range.
@returns The current state of the tool
*/
getToolState(toolName: string, range: any): Telerik.Web.UI.EditingOptions;
        /**
Returns current value of a tool.
@method
@param toolName - The name of the tool.
@param range - The selection range.
@returns 
*/
getToolValue(toolName: string, range: any): string;
        /**
Indicates whether the RadEditor is in full screen mode.
@method
@returns 
*/
isFullScreen(): boolean;
        /**
Returns Boolean value that represents if the Editor is visible on the page
@method
@returns 
*/
isVisible(): void;
        /**
Re-creates the iframe content area of the RadEditor.
@method
@returns 
*/
onParentNodeChanged(): void;
        /**
Pastes HTML content to the cursor position.
@method
@param content - The content to be pasted
@param commandName? - The name of the command using PasteHtml for Undo
@param bSelectText? - Specifies whether to select pasted text
@param bFireSelChanged? - Specifies whether to fire the selection change event
@param bAddUndo? - specifies whether to add the command in the Undo
@returns 
*/
pasteHtml(content: string, commandName?: string, bSelectText?: boolean, bFireSelChanged?: boolean, bAddUndo?: boolean): void;
        /**
Inserts a link element in the editor content.
@method
@param linkElmenet - The DOM element of the link.
@param commandName - The command name fired the method.
@returns 
*/
pasteHyperLink(linkElmenet: HTMLElement, commandName: string): void;
        /**
Raise a RadEditor's event
@method
@param evName - Name of the event to be raised
@param args - Arguments to be sent
@returns 
*/
raiseEvent(evName: string, args: any): void;
        /**
Fire RadEditor's Redo command
@method
@param depth - Number of commands to redo
@returns 
*/
redo(depth: number): void;
        /**
Refreshes the zoomed content. Useful when content is resized outside the RadEditor API.
@method
@returns 
*/
refreshContentZoom(): void;
        /**
Modifies a node from the content to be editable.
@method
@param node - The node element.
@returns 
*/
removeNodeImmutability(node: HTMLElement): void;
        /**
Removes a shortcut from the RadEditor's ShortCutManager
@method
@param shortcutName - Name of the the shortcut
@returns 
*/
removeShortCut(shortcutName: string): void;
        /**
Re-renders the editor on the client. Useful when the editor is in an invisible container that is shown dynamically.
@method
@returns 
*/
repaint(): void;
        /**
Force RadEditor to save current content
@method
@returns 
*/
saveContent(): void;
        /**
Select an element from the content area
@method
@param element - Element to be selected
@param fireEvent? - Specifies whether to raise the selectionChange event
@returns 
*/
selectElement(element: HTMLElement, fireEvent?: boolean): void;
        /**
Sets the AjaxSpellCheck instance to be used by the RadEditor.
@method
@param ajaxSpellCheck - The instance of the AjaxSpellCheck to serve the spell checking service.
@returns 
*/
set_ajaxSpellCheck(ajaxSpellCheck: Telerik.Web.UI.Editor.AjaxSpellCheck): void;
        /**
Sets mode of the RadEditor's content area
@method
@param editable - Specifies whether to enable or disable edit-ability.
@returns 
*/
set_editable(editable: boolean): void;
        /**
Sets a Boolean value that indicates whether immutability to be enabled or not.
@method
@param value - Indicates whether to be enabled or disabled.
@returns 
*/
set_enableImmutableElements(value: boolean): void;
        /**
Replaces the current content with a new one.
@method
@param content - The HTML content to be inserted.
@param title? - The command's title shown in the Undo stack.
@param setFocus? - Specifies whether setFocus to be fired after the command execution
@param raiseSelChanged? - Indicates whether to raise selectioChange event.
@returns 
*/
set_html(content: string, title?: string, setFocus?: boolean, raiseSelChanged?: boolean): void;
        /**
Sets RadEditor in HTML, Preview or Design mode
@method
@param value - The mode to be switched on.
@returns 
*/
set_mode(value: Telerik.Web.UI.EditModes): void;
        /**
Specifies whether RadEditor will use RadWindow instances or browser's windows to open dialogs. If the parameter is set to true the editor will use the browser windows.
@method
@param value - Indicates whether to enable or disable.
@returns 
*/
set_useClassicDialogs(value: boolean): void;
        /**
Sets the RadEditor visible on the client
@method
@param toShow - Indicates whether to be visible or not.
@returns 
*/
set_visible(toShow: boolean): void;
        /**
IE ONLY. Alias of setFocus
@method
@returns 
*/
setActive(): void;
        /**
Sets the focus on RadEditor
@method
@returns 
*/
setFocus(): void;
        /**
Modifies a node from the content to be not editable.
@method
@param node - The node element.
@returns 
*/
setNodeImmutability(node: HTMLElement): void;
        /**
Sets a shortcut. If it does not exist in the ShortCutManager list it will be added as well
@method
@param shortcutName - Name of the shortcut
@param shortcutString - The key combination of the shortcut
@returns 
*/
setShortCut(shortcutName: string, shortcutString: string): void;
        /**
Sets the width and height of the RadEditor (in pixels)
@method
@param width - Width to be set
@param height - Height to be set
@returns 
*/
setSize(width: number, height: number): void;
        /**
Open a light dialog.
@method
@param dialogName - The name of the dialog to be opened.
@param argument - The client parameters to be passed to the dialog
@param callbackFunction - The function to be executed when the dialog is closed. The function syntax is myFunction
@returns 
*/
showDialog(dialogName: string, argument: any, callbackFunction: Function): void;
        /**
Open a dialog, placed in an external page.
@method
@param url - The URL of the ASPX page to open.
@param argument - The client parameters to be passed to the dialog. Optional.
@param width - The width of the RadWindow dialog. Required.
@param height - The height of the RadWindow dialog. Required.
@param callbackFunction - The function to be executed when the dialog is closed. The function syntax is myFunction
@param callbackArgs - The additional parameters to be passed to the callbackFunction when it is executed. Optional.
@param title - The text in the RadWindow title bar. Optional.
@param modal - Specifies whether RadWindow should be modal or not. The default is true. Optional.
@param behaviors - The WindowBehaviors to be enabled for the dialog.
@param showStatusbar - Specifies whether RadWindow displays its statusbar or not. The default is true. Optional.
@param showTitlebar - Specifies whether RadWindow displays its titlebar or not. The default is true. Optional.
@returns 
*/
showExternalDialog(url: string, argument: any, width: number, height: number, callbackFunction: Function, callbackArgs: any, title: string, modal: string, behaviors: Telerik.Web.UI.WindowBehaviors, showStatusbar: boolean, showTitlebar: boolean): void;
        /**
Causes the editor to start the spell checker.
@method
@returns 
*/
startSpellCheck(): void;
        /**
Toggles the full screen mode of RadEditor.
@method
@returns 
*/
toggleScreenMode(): void;
        /**
Fire RadEditor's Undo command
@method
@param depth - Number of commands to undo
@returns 
*/
undo(depth: number): void;
        /**
Returns a Boolean value indicating whether the passed filter is enabled or not.
@method
@param filterName - The name of the tool.
@returns 
*/
usesContentFilter(filterName: string): boolean;
        /**
Validates the current length of the HTML content. Optional String parameter can be added to validate with additional content without inserting it into the HTML.
@method
@param html? - Additional HTML to validate with.
@returns 
*/
validateMaxHtmlLength(html?: string): boolean;
        /**
Validates the current length of the text. Optional String parameter can be added to validate with additional text without inserting it into the content.
@method
@param text? - Additional text to validate with.
@returns 
*/
validateMaxTextLength(text?: string): boolean;
        /**
Zooms the RadEditor content similar to the Zoom command
@method
@param level - The zoom level is in percents with default value of "100%". Optional.
@returns 
*/
zoomContent(level: string): void;
        /**
This event is fired after a command is executed.
*/
add_commandExecuted(handler: (sender: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs) => void): void;

remove_commandExecuted(handler: Function): void;
        /**
This event is fired after a command that modified the DOM is executed.
*/
add_domChange(handler: (sender: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs) => void): void;

remove_domChange(handler: Function): void;
        /**
This event is fired after the content is set in the content area, after the init event and just before the editReady.
*/
add_load(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
This event is fired before the initialization of the editor's content area.
*/
add_init(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_init(handler: Function): void;
        /**
This event is fired before the mode is changed.
*/
add_modeChange(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_modeChange(handler: Function): void;
        /**
This event is fired just before a command is executed.
*/
add_commandExecuting(handler: (sender: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs) => void): void;

remove_commandExecuting(handler: Function): void;
        /**
This event is fired just before the content is submitted to the server.
*/
add_submit(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_submit(handler: Function): void;
        /**
This event is fired when a user has toggled the Full Screen Mode of the RadEditor.
*/
add_toggleScreenMode(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_toggleScreenMode(handler: Function): void;
        /**
This event is fired when the mobile device orientation has changed in Mobile rendering.
*/
add_orientationChange(handler: (sender: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.Editor.OrientationEventArgs) => void): void;

remove_orientationChange(handler: Function): void;
        /**
This event is raise when the spell check is started.
*/
add_spellCheckLoaded(handler: (sender: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs) => void): void;

remove_spellCheckLoaded(handler: Function): void;
        /**
This event is raised when content is inserted either via pasting or via command.
*/
add_pasteHtml(handler: (sender: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs) => void): void;

remove_pasteHtml(handler: Function): void;
        /**
This event is raised when editor is ready to operate with.
*/
add_editReady(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_editReady(handler: Function): void;
        /**
This event is raised when the Editor is rendered on the page for first time.
*/
add_firstShow(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_firstShow(handler: Function): void;
        /**
This event is raised when the selection in the content area is changed.
*/
add_selectionChange(handler: (sender: Telerik.Web.UI.RadEditor, args: Sys.EventArgs) => void): void;

remove_selectionChange(handler: Function): void;
    }


    class RadFileExplorer  extends Telerik.Web.UI.RadWebControl {
        /**
Adds additional characters to the file name invalid characters list. Default list is ["\", "/", ":", "*", "?", """, "<", ">", "|"]
@method
@param char - The char to add to the file name invalid chars list
@returns 
*/
addFileNameInvalidChar(char: string): void;
        /**
Attach/detach the event handlers
@method
@param toAttach - 
@returns 
*/
attachEventHandlers(toAttach: any): any;
        /**
Shortcut method for set_dataSource(data); dataBind().
@method
@param data - 
@returns 
*/
bindToData(data: any): any;
        /**
Bind the data to the underlying bindable control
@method
@param serverData - 
@param pageIndex - 
@returns 
*/
bindToServerData(serverData: any, pageIndex: any): any;
        /**
Clears the copied items from the control state.
@method
@returns 
*/
clearCopyItems(): void;
        /**
Clears the filtering by reseting the filter and clearing the filter text box
@method
@returns 
*/
clearFilter(): any;
        /**
Clears the cached data on the browser
@method
@returns 
*/
clearFolderCache(): void;
        /**
Clear any item selection in the file list
@method
@returns 
*/
clearSelection(): any;
        /**
Filter the file list on the client only. Note that only the items displayed items will be filtered, i.e. paged content will filter only the current page
@method
@param keyWord - 
@returns 
*/
clientFilter(keyWord: any): any;
        /**
Copies the selected items from the specified control.
@method
@param fromControl - The control
@returns 
*/
copy(fromControl: Telerik.Web.UI.FileExplorerControls): void;
        /**
Marks the provided items as copied. Only the provided items will be copied when the paste occurs.
@method
@param items - The items to copy
@returns 
*/
copyItems(items: any): void;
        /**
Marks the provided items as copied and appends them to the previously copied ones.
@method
@param items - The items to copy
@returns 
*/
copyMoreItems(items: any): void;
        /**
Create a FileExplorerItem from the provided path by looking at all file controls (tree or fileList)
@method
@param path - The path of the file
@returns The found item
*/
createItemFromPath(path: string): Telerik.Web.UI.FileExplorerItem;
        /**
Creates a new directory. The path parameter should be a virtual path. In case that the second parameter is not specified a radprompt dialog appears and asks for the new name.
@method
@param path - The virtual path to the item
@param newName - 
@returns 
*/
createNewDirectory(path: string, newName: string): void;
        /**
Bind the already provided data(use set_dataSource(data)) to the underlying bindable control
@method
@returns 
*/
dataBind(): any;
        /**
Deletes an item by its virtual path
@method
@param pathToItem - The virtual path to the item
@param showConfirmDialog - Show or not the confirmation dialog. If
@returns 
*/
deleteItem(pathToItem: string, showConfirmDialog: boolean): void;
        /**
Performs delete operation for all of the currently selected items on the Grid
@method
@param showConfirmDialog - Show or not the confirmation dialog. If
@returns 
*/
deleteSelectedItems(showConfirmDialog: boolean): void;
        /**
Disposes the control. Does not dispose the underlying bindable control
@method
@returns 
*/
dispose(): any;
        /**
Filter the file list by the provided keyword. This method does not raise a filter event
@method
@param keyWord - 
@returns 
*/
doFiltering(keyWord: any): any;
        /**
Filters the items in the currently selected directory.
@method
@returns 
*/
filter(): void;
        /**
Filter the file list by the provided keyword. This method raises a filter event
@method
@param keyWord - 
@returns 
*/
filterList(keyWord: any): any;
        /**
Find a file by its name
@method
@param fileName - 
@returns 
*/
findFileByName(fileName: any): any;
        /**
Find a file by its path
@method
@param path - 
@returns 
*/
findFileByPath(path: any): any;
        /**
Focus the underlying control's DOM element
@method
@returns 
*/
focus(): any;
        /**
Focus the paging control of the file list
@method
@returns 
*/
focusPagerControl(): any;
        /**
Returns the ClientID of the input that shows the currently selected folder. Returns an empty string when the AddressBox is not visible
@method
@returns 
*/
get_addressBox(): string;
        /**
Returns a reference to the embedded RadAjaxLoadingPanel object
@method
@returns 
*/
get_ajaxLoadingPanel(): Telerik.Web.UI.RadAjaxLoadingPanel;
        /**
Returns whether the Grid's paging is enabled
@method
@returns 
*/
get_allowPaging(): boolean;
        /**
Get a reference to the context menu that is utilized by the file list
@method
@returns 
*/
get_contextMenu(): any;
        /**
Get a reference to the underlying bindable control
@method
@returns 
*/
get_control(): any;
        /**
Returns a string value that represents the path to the currently selected directory. The returned path is a virtual path, such as "/RootProjectFolder/SelectedDir"
@method
@returns 
*/
get_currentDirectory(): string;
        /**
Returns the permissions set to the currently selected folder in the TreeView
@method
@returns 
*/
get_currentPermissions(): Telerik.Web.UI.FileExplorerItemPermissions;
        /**
Get the data source provided to the control
@method
@returns 
*/
get_dataSource(): any;
        /**
Gets the DOM element, where the file list resides.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns whether a file can be opened for preview
@method
@returns 
*/
get_enableOpenFile(): boolean;
        /**
Gets the extension of the item - txt for example if it is a text file, ‘null’ when the selected item does not have extension(i.e. if the selected item is a folder)
@method
@returns 
*/
get_extension(): void;
        /**
Get a reference to the RadFileExplorer that used this instance of FileList
@method
@returns 
*/
get_fileExplorer(): any;
        /**
Returns a reference to the FileList object. Returns "null" when the FileList is not visible, i.e. only the RadTreeView is shown
@method
@returns 
*/
get_fileList(): Telerik.Web.UI.FileExplorer.FileList;
        /**
Returns a reference to the embedded RadGrid object. Returns "null" when the embedded Grid is not visible
@method
@returns 
*/
get_grid(): Telerik.Web.UI.RadGrid;
        /**
Returns a reference to a RadMenu object. Returns "null" when the embedded grid is not visible
@method
@returns 
*/
get_gridContextMenu(): Telerik.Web.UI.RadMenu;
        /**
Returns an object of type Telerik.Web.UI.FileExplorerItem
@method
@returns 
*/
get_item(): void;
        /**
Get the items displayed in the file list.
@method
@returns 
*/
get_items(): any;
        /**
Returns a reference to the embedded RadListView object. Returns "null" when the embedded ListView is not visible
@method
@returns 
*/
get_listView(): Telerik.Web.UI.RadListView;
        /**
Returns the name of the item
@method
@returns 
*/
get_name(): void;
        /**
Returns the default text that is shown in the CreateNewFolder dialog
@method
@returns 
*/
get_newFolderDefaultValue(): string;
        /**
When "Rename" is performed returns the new name of the item. When the "Move" is performed returns the new destination of the moved folder (see the OnClientMove example bellow)
@method
@returns 
*/
get_newPath(): void;
        /**
Get the page size as maximum number of items per page
@method
@returns 
*/
get_pageSize(): any;
        /**
Returns the virtual path to the item
@method
@returns 
*/
get_path(): void;
        /**
Returns the symbol used as path separator
@method
@returns 
*/
get_pathSeparator(): string;
        /**
Returns the applied current permissions to the item - enumerable value of type Telerik.Web.UI.FileExplorerItemPermissions
@method
@returns 
*/
get_permissions(): void;
        /**
Returns the first selected item on the Grid. Returns the selected item on the TreeView if there is no selected items in the Grid
@method
@returns 
*/
get_selectedItem(): Telerik.Web.UI.FileExplorerItem;
        /**
Returns an array of the selected items on the Grid. The items are of type Telerik.Web.UI.FileExplorerItem Returns the selected item on the TreeView if there is no selected items in the Grid
@method
@returns 
*/
get_selectedItems(): any;
        /**
Returns the size of the currently selected item. NaN if the selected item is a folder
@method
@returns 
*/
get_size(): void;
        /**
Returns a reference to the embedded RadToolBar object. Returns "null" when the embedded ToolBar is not visible
@method
@returns 
*/
get_toolbar(): Telerik.Web.UI.RadToolBar;
        /**
Returns a reference to the embedded RadTreeView object. Returns "null" when the embedded TreeView is not visible
@method
@returns 
*/
get_tree(): Telerik.Web.UI.RadTreeView;
        /**
Returns the type of the item – one of the enumerable values in the  Telerik.Web.UI.FileExplorerItemType enumerable
@method
@returns 
*/
get_type(): void;
        /**
Has the same functionality as the get_path() function
@method
@returns 
*/
get_url(): void;
        /**
Returns a reference to the embedded RadWindowManager object
@method
@returns 
*/
get_windowManager(): Telerik.Web.UI.RadWindowManager;
        /**
Gets the FileExplorerItem by the passed grid data item object
@method
@param item - A data item from the Grid
@returns 
*/
getFileExplorerItemFromGridDataItem(item: Telerik.Web.UI.GridDataItem): Telerik.Web.UI.FileExplorerItem;
        /**
Gets the FileExplorerItem by the passed TreeNode object
@method
@param node - A node from the TreeView
@returns 
*/
getFileExplorerItemFromNode(node: Telerik.Web.UI.RadTreeNode): Telerik.Web.UI.FileExplorerItem;
        /**
Get the selected files(Telerik.Web.UI.FileExplorerItem) from the file list
@method
@returns 
*/
getSelectedFiles(): any;
        /**
Returns a Boolean value that indicates whether the selected item is a folder or not
@method
@returns 
*/
isDirectory(): void;
        /**
Loads a new folder and sets the focus on it. The second parameter accepts a Boolean value that determines whether the current change of the directory to be stored in the Previous/Next stack
@method
@param path - The path to the folder
@param addToStack - Indicates whether the loaded path to be added to the Back
@returns 
*/
loadFolder(path: string, addToStack: boolean): void;
        /**
Opens a file
@method
@param currentItem - The item that will be opened. If the passed parameter is null then the currently selected item will be opened
@returns 
*/
open(currentItem: Telerik.Web.UI.FileExplorerItem): void;
        /**
Pastes the copied items into the provided destination directory
@method
@param destinationDirectory - 
@returns 
*/
paste(destinationDirectory: Telerik.Web.UI.FileExplorerItem): void;
        /**
Refreshes the current folder
@method
@returns 
*/
refresh(): void;
        /**
Force a server call to collect the content of the folder
@method
@param folderPath - 
@returns 
*/
refreshFileList(folderPath: any): any;
        /**
Removes items from the file name invalid characters list. Default list is ["\", "/", ":", "*", "?", """, "<", ">", "|"]
@method
@param char - The char to remove from the file name invalid chars list
@returns 
*/
removeFileNameInvalidChar(char: string): void;
        /**
Renames the item with the new name
@method
@param item - 
@param newName - 
@returns 
*/
rename(item: Telerik.Web.UI.FileExplorerItem, newName: string): void;
        /**
Try to select a default item from the file list. Usually this is the first item, or none if list is empty
@method
@returns 
*/
selectDefaultFile(): any;
        /**
Select an item from the file list
@method
@param file - 
@returns 
*/
selectFile(file: any): any;
        /**
Select a file item from the file list by the provided name
@method
@param fileName - 
@returns 
*/
selectFileByName(fileName: any): any;
        /**
Select a list of files by their names
@method
@param fileNames - 
@returns 
*/
selectFileList(fileNames: any): any;
        /**
Force the server to do the filtering
@method
@param keyWord - 
@returns 
*/
serverFilter(keyWord: any): any;
        /**
Changes the currently selected directory
@method
@param value - The new path
@param addToStack - Determines whether the current change of the directory to be stored in the Previous ï
@returns 
*/
set_currentDirectory(value: string, addToStack: boolean): void;
        /**
Set the data needed for the data bindable control
@method
@param data - 
@returns 
*/
set_dataSource(data: any): any;
        /**
Sets whether a file can be opened for preview
@method
@param value - 
@returns 
*/
set_enableOpenFile(value: boolean): void;
        /**
Sets the default text that will be shown in the CreateNewFolder dialog
@method
@param newDefaultName - 
@returns 
*/
set_newFolderDefaultValue(newDefaultName: string): void;
        /**
Set the size of the page, i.e. the maximum number of items per page
@method
@param value - 
@returns 
*/
set_pageSize(value: any): any;
        /**
Show the content of a folder. This method takes advantage of a cached folder content, if the folder has already been loaded
@method
@param folderPath - 
@returns 
*/
showFolderFileList(folderPath: any): any;
        /**
Show the content of a particular page
@method
@param startIndex - 
@param pageSize - 
@returns 
*/
showPageContent(startIndex: any, pageSize: any): any;
        /**
Sort the file list
@method
@param sortExpression - 
@returns 
*/
sort(sortExpression: any): any;
        /**
Occurs just after the event handlers for the dependent controls have been attached, but before the binding
*/
add_eventHandlersAttached(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Sys.EventArgs) => void): void;

remove_eventHandlersAttached(handler: Function): void;
        /**
Occurs just before the control loads in the browser.
*/
add_init(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Sys.EventArgs) => void): void;

remove_init(handler: Function): void;
        /**
Occurs when a folder is loaded in the grid.
*/
add_folderLoaded(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerEventArgs) => void): void;

remove_folderLoaded(handler: Function): void;
        /**
Occurs when a new folder is created.
*/
add_createNewFolder(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerEventArgs) => void): void;

remove_createNewFolder(handler: Function): void;
        /**
Occurs when an ajax request is initiated in RadFileExplorer.
*/
add_ajaxRequestStart(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Sys.EventArgs) => void): void;

remove_ajaxRequestStart(handler: Function): void;
        /**
Occurs when an item is double clicked in the grid or in the tree.
*/
add_fileOpen(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerEventArgs) => void): void;

remove_fileOpen(handler: Function): void;
        /**
Occurs when the control loads in the browser.
*/
add_load(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs when the user selects an item in the grid.
*/
add_itemSelected(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerEventArgs) => void): void;

remove_itemSelected(handler: Function): void;
        /**
Occurs when the user selects an item in the grid.
*/
add_folderChange(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerEventArgs) => void): void;

remove_folderChange(handler: Function): void;
        /**
Occurs when the user tries to copy an item.
*/
add_copy(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerCopyEventArgs) => void): void;

remove_copy(handler: Function): void;
        /**
Occurs when the user tries to delete an item(file or folder).
*/
add_delete(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerEventArgs) => void): void;

remove_delete(handler: Function): void;
        /**
Occurs when the user tries to move or rename an item.
*/
add_move(handler: (sender: Telerik.Web.UI.RadFileExplorer, args: Telerik.Web.UI.FileExplorerEventArgs) => void): void;

remove_move(handler: Function): void;
    }


    class RadFilter  extends Telerik.Web.UI.RadWebControl {
        /**
Adds expression for the expression at the specified index.
@method
@param ownerIndex - Index of the expression item.
@returns 
*/
addExpression(ownerIndex: number): void;
        /**
Adds group for the expression at the specified index.
@method
@param ownerIndex - Index of the expression item.
@returns 
*/
addGroup(ownerIndex: number): void;
        /**
Applies the created expressions.
@method
@returns 
*/
applyExpressions(): void;
        /**
Changes the name of the used field in the expression by given index and field name.
@method
@param ownerIndex - Index of the expression item.
@param filterName - The name of the filed to be filtered over.
@returns 
*/
changeExpressionFieldName(ownerIndex: number, filterName: string): void;
        /**
Changes the associated filter function for the expression item with the specified index.
@method
@param ownerIndex - Index of the expression item.
@param filterFunction - The name of the filter function to be used.
@returns 
*/
changeFilterFunction(ownerIndex: number, filterFunction: string): void;
        /**
Changes the group operator for the expression at the specified index.
@method
@param ownerIndex - Index of the expression item.
@param groupOperator - The group operator that should be applied.
@returns 
*/
changeGroupOperator(ownerIndex: number, groupOperator: string): void;
        /**
Fires command with the specified command name and argument.
@method
@param commandName - The command name to be fired.
@param commandArgument - Optional argument to be passed.
@returns 
*/
fireCommand(commandName: string, commandArgument: string): void;
        /**
Returns the client ID of the filter control.
@method
@returns 
*/
get_clientID(): string;
        /**
Returns a reference to the filter context menu.
@method
@returns 
*/
get_contextMenu(): any;
        /**
Returns the unique ID of the filter control.
@method
@returns 
*/
get_uniqueID(): string;
        /**
Repaints the client area of the RadFilter control.
@method
@returns 
*/
repaint(): void;
        /**
This client-side event is fired after the RadFilter is created.
*/
add_FilterCreated(handler: (sender: Telerik.Web.UI.RadFilter, args: Sys.EventArgs) => void): void;

remove_FilterCreated(handler: Function): void;
        /**
This client-side event is fired before the RadFilter is created.
*/
add_FilterCreating(handler: (sender: Telerik.Web.UI.RadFilter, args: Sys.EventArgs) => void): void;

remove_FilterCreating(handler: Function): void;
        /**
This client-side event is fired before the RadFilter.ContextMenu is shown.
*/
add_MenuShowing(handler: (sender: Telerik.Web.UI.RadFilter, args: Telerik.Web.UI.FilterMenuShowingEventArgs) => void): void;

remove_MenuShowing(handler: Function): void;
        /**
This client-side event is fired when RadFilter object is destroyed, i.e. on each window.onunload.
*/
add_FilterDestroying(handler: (sender: Telerik.Web.UI.RadFilter, args: Sys.EventArgs) => void): void;

remove_FilterDestroying(handler: Function): void;
        /**
This client-side event is fired when the RadFilter.ContextMenu is shown.
*/
add_MenuShown(handler: (sender: Telerik.Web.UI.RadFilter, args: Telerik.Web.UI.FilterMenuShownEventArgs) => void): void;

remove_MenuShown(handler: Function): void;
    }


    class RadFormDecorator  extends Telerik.Web.UI.RadWebControl {
        /**
Explicitly decorates the elements
@method
@param rootElement - 
@param addCssClassesToElement - 
@returns 
*/
decorate(rootElement: HTMLElement, addCssClassesToElement: string): void;
        /**
Decorates a single button element, passed as parameter
@method
@param realButton - 
@returns 
*/
decorateButton(realButton: any): void;
        /**
Decorates the buttons inside the passed rootElement. If the passed parameter is null then decorates all buttons on the page
@method
@param rootElement - 
@returns 
*/
decorateButtons(rootElement: any): void;
        /**
Decorates a single input element, passed as parameter
@method
@param input - 
@returns 
*/
decorateInput(input: any): void;
        /**
Decorates a single select element, passed as parameter
@method
@param select - 
@returns 
*/
decorateSelect(select: any): void;
        /**
Decorates the selects inside the passed rootElement. If the passed parameter is null then decorates all selects on the page
@method
@param rootElement - 
@returns 
*/
decorateSelects(rootElement: any): void;
        /**
Decorates the textboxes inside the passed rootElement. If the passed parameter is null then decorates all TextBoxes on the page
@method
@param rootElement - 
@returns 
*/
decorateTextboxes(rootElement: any): void;
        /**
Returns the currently decorated controls (Telerik.Web.UI.FormDecoratorDecoratedControls)
@method
@returns 
*/
get_decoratedControls(): Telerik.Web.UI.FormDecoratorDecoratedControls;
        /**
Returns ID of the element that is set as decoration zone. Returns null if the DecorationZoneID is not set
@method
@returns 
*/
get_decorationZoneID(): string;
        /**
Removes the decoration on the HTML select element
@method
@param select - The already decorated select
@returns 
*/
removeSelectDecoration(select: any): void;
        /**
Sets what controls to be decorated
@method
@param value - 
@returns 
*/
set_decoratedControls(value: Telerik.Web.UI.FormDecoratorDecoratedControls): void;
        /**
Updates the decoration on the HTML select element
@method
@param select - The already decorated select that should be updated
@returns 
*/
updateSelect(select: any): void;
    }


    class RadGantt  extends Telerik.Web.UI.RadWebControl {
        /**
Gets a collection with all root level tasks.
@method
@returns a collection of tasks
*/
get_tasks(): Telerik.Web.UI.GanttTaskCollection;
        /**
Gets a collection with all tasks.
@method
@returns Array
*/
get_allTasks(): Telerik.Web.UI.GanttTask;
        /**
Gets a collection with all dependencies.
@method
@returns a collection of dependencies
*/
get_dependencies(): Telerik.Web.UI.GanttDependencyCollection;
        /**
Gets a collection with all resources.
@method
@returns a collection of resources
*/
get_resources(): Telerik.Web.UI.GanttResourceCollection;
        /**
Gets a collection with all resource assignments.
@method
@returns a collection of assignments
*/
get_assignments(): Telerik.Web.UI.GanttAssignmentCollection;
        /**
Gets the selected view mode.
@method
@returns enum with view modes
*/
get_selectedView(): Telerik.Web.UI.GanttViewType;
        /**
Returns the vertical scroll bar position.
@method
@returns 
*/
get_scrollTop(): number;
        /**
Returns the horizontal scroll bar position.
@method
@returns 
*/
get_scrollLeft(): number;
        /**
Gets the control's DOM element.
@method
@returns DOM element
*/
get_element(): HTMLElement;
        /**
Returns a boolean value indicating whether the control is enabled.
@method
@returns boolean value
*/
get_enabled(): boolean;
        /**
Exports the RadGantt to .pdf if the EnablePdfExport property is true.
@method
@returns 
*/
exportToPdf(): void;
        /**
True if the allowColumnResize property is enabled, false otherwise.
@method
@returns Boolean
*/
get_allowColumnResize(): boolean;
        /**
Returns the value of the Gantt's clientTemplate property.
@method
@returns String
*/
get_clientTemplate(): string;
        /**
Returns the value of the Gantt's currentTimeMarkerInterval property.
@method
@returns Number Number
*/
get_currentTimeMarkerInterval(): number;
        /**
True if the displayDeleteConfirmation property is enabled, false otherwise.
@method
@returns Boolean
*/
get_displayDeleteConfirmation(): boolean;
        /**
Returns the value of the Gantt's height property.
@method
@returns Number Number
*/
get_height(): number;
        /**
Returns the value of the Gantt's hourSpan property.
@method
@returns Number Number
*/
get_hourSpan(): number;
        /**
Returns the value of the RadGantt's listWidth property.
@method
@returns String
*/
get_listWidth(): string;
        /**
Returns the value of the Gantt's readOnly property indicating whether the control is read-only.
@method
@returns Boolean
*/
get_readOnly(): boolean;
        /**
Returns the value of the Gantt's rowHeight property.
@method
@returns Number Number
*/
get_rowHeight(): number;
        /**
Returns the value of the Gantt's rangeStart property.
@method
@returns Date
*/
get_rangeStart(): Date;
        /**
Returns the value of the Gantt's rangeEnd property.
@method
@returns Date
*/
get_rangeEnd(): Date;
        /**
Returns the value of the Gantt's selectedDate property.
@method
@returns Date
*/
get_selectedDate(): Date;
        /**
Returns the value of the Gantt's showCurrentTimeMarker property.
@method
@returns Boolean
*/
get_showCurrentTimeMarker(): boolean;
        /**
Returns the value of the Gantt's showFullTime property.
@method
@returns Boolean
*/
get_showFullTime(): boolean;
        /**
Returns the value of the Gantt's showFullWeek property.
@method
@returns Boolean
*/
get_showFullWeek(): boolean;
        /**
Returns the value of the Gantt's showTooltip property.
@method
@returns Boolean
*/
get_showTooltip(): boolean;
        /**
Returns the value of the Gantt's snapToGrid property.
@method
@returns Boolean
*/
get_snapToGrid(): boolean;
        /**
Returns the value of the Gantt's width property.
@method
@returns Number Number
*/
get_width(): number;
        /**
Returns the value of the RadGantt's workWeekEnd property.
@method
@returns Telerik.Web.UI.DayOfWeek
*/
get_workWeekEnd(): Telerik.Web.UI.DayOfWeek;
        /**
Returns the value of the RadGantt's workWeekStart property.
@method
@returns Telerik.Web.UI.DayOfWeek
*/
get_workWeekStart(): Telerik.Web.UI.DayOfWeek;
        /**
Enables/Disables column resizing.
@method
@param value - value
@returns 
*/
set_allowColumnResize(value: boolean): void;
        /**
Sets the value of the Gantt's clientTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the value of the Gantt's currentTimeMarkerInterval property.
@method
@param value - value
@returns 
*/
set_currentTimeMarkerInterval(value: number): void;
        /**
Enables/Disables confirmation dialog when the user deletes a task or a dependency.
@method
@param value - value
@returns 
*/
set_displayDeleteConfirmation(value: boolean): void;
        /**
Enables/Disables the control.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the value of the Gantt's height property.
@method
@param value - value
@returns 
*/
set_height(value: number): void;
        /**
Sets the value of the Gantt's hourSpan property.
@method
@param value - value
@returns 
*/
set_hourSpan(value: number): void;
        /**
Sets the value of the Gantt's listWidth property in pixels or percents.
@method
@param value - value
@returns 
*/
set_listWidth(value: string): void;
        /**
Sets or disables the Gantt's read-only state.
@method
@param value - value
@returns 
*/
set_readOnly(value: boolean): void;
        /**
Sets the value of the Gantt's rowHeight property.
@method
@param value - value
@returns 
*/
set_rowHeight(value: number): void;
        /**
Sets the value of the Gantt's rangeStart property.
@method
@param date - The DateTime object which should be set as a start date of visible range.
@returns 
*/
set_rangeStart(date: Date): void;
        /**
Sets the value of the Gantt's rangeEnd property.
@method
@param date - The DateTime object which should be set as an end date of visible range.
@returns 
*/
set_rangeEnd(date: Date): void;
        /**
Sets the value of the Gantt's selectedDate property.
@method
@param date - The DateTime object which should be set as a selected date.
@returns 
*/
selectDate(date: Date): void;
        /**
Sets the selected view mode.
@method
@param view - 
@returns 
*/
set_selectedView(view: number): void;
        /**
Sets the vertical scroll bar position.
@method
@param position - 
@returns 
*/
set_scrollTop(position: number): void;
        /**
Sets the horizontal scroll bar position.
@method
@param position - 
@returns 
*/
set_scrollLeft(position: number): void;
        /**
Shows/Hides the Gantt's current time marker.
@method
@param value - value
@returns 
*/
set_showCurrentTimeMarker(value: boolean): void;
        /**
Enables displaying the Gantt's complete day or displays a range between 8:00 AM and 5:00 PM.
@method
@param value - value
@returns 
*/
set_showFullTime(value: boolean): void;
        /**
Enables displaying all days of the Gantt's week or diplays the range between WorkWeekStart and WorkWeekEnd.
@method
@param value - value
@returns 
*/
set_showFullWeek(value: boolean): void;
        /**
Enables/Disables displaying tooltips for Gantt tasks.
@method
@param value - value
@returns 
*/
set_showTooltip(value: boolean): void;
        /**
Enables/Disables the Gantt tasks snapping to the nearest grid cell.
@method
@param value - value
@returns 
*/
set_snapToGrid(value: boolean): void;
        /**
Sets the value of the Gantt's width property.
@method
@param value - value
@returns 
*/
set_width(value: number): void;
        /**
Sets the Gantt's last day of the work week.
@method
@param value - value
@returns 
*/
set_workWeekEnd(value: Telerik.Web.UI.DayOfWeek): void;
        /**
Sets the Gantt's first day of the work week.
@method
@param value - value
@returns 
*/
set_workWeekStart(value: Telerik.Web.UI.DayOfWeek): void;
        /**
Occurs when the current View is changed.
*/
add_clientNavigationCommand(handler: (sender: Telerik.Web.UI.RadGantt, args: Telerik.Web.UI.GanttNavigationCommandEventArgs) => void): void;

remove_clientNavigationCommand(handler: Function): void;
        /**
Occurs when the Task is just about to be resized.
*/
add_clientTaskResizing(handler: (sender: Telerik.Web.UI.RadGantt, args: Telerik.Web.UI.GanttTaskResizingEventArgs) => void): void;

remove_clientTaskResizing(handler: Function): void;
        /**
Occurs when the Task moving is ended.
*/
add_clientTaskMoveEnd(handler: (sender: Telerik.Web.UI.RadGantt, args: Telerik.Web.UI.GanttTaskMoveEndEventArgs) => void): void;

remove_clientTaskMoveEnd(handler: Function): void;
        /**
Occurs when the Task moving is started.
*/
add_clientTaskMoveStart(handler: (sender: Telerik.Web.UI.RadGantt, args: Telerik.Web.UI.GanttTaskMoveStartEventArgs) => void): void;

remove_clientTaskMoveStart(handler: Function): void;
        /**
Occurs when the Task resizing is ended.
*/
add_clientTaskResizeEnd(handler: (sender: Telerik.Web.UI.RadGantt, args: Telerik.Web.UI.GanttTaskResizeEndEventArgs) => void): void;

remove_clientTaskResizeEnd(handler: Function): void;
        /**
Occurs when the Task resizing is started.
*/
add_clientTaskResizeStart(handler: (sender: Telerik.Web.UI.RadGantt, args: Telerik.Web.UI.GanttTaskResizeStartEventArgs) => void): void;

remove_clientTaskResizeStart(handler: Function): void;
    }


    class RadGauge   {
        /**
Gets the value of the control.
@method
@returns 
*/
get_value(): void;
        /**
Gets a reference to the Kendo Gauge widget.
@method
@returns 
*/
get_kendoWidget(): void;
        /**
Gets the width of the control.
@method
@returns 
*/
get_width(): void;
        /**
Causes the control to repaint (re-render).
@method
@returns 
*/
repaint(): void;
        /**
Sets the height of the control.
@method
@returns 
*/
set_height(): void;
        /**
Sets the value of the control. Does nothing if an invalid argument is supplied. If the passed value is outside of the range of the gauge
                the value is set to the min/max.
@method
@returns 
*/
set_value(): void;
        /**
Sets the width of the control.
@method
@returns 
*/
set_width(): void;
    }


    class RadGaugeControl  extends Telerik.Web.UI.RadWebControl {
    }


    class RadGrid  extends Telerik.Web.UI.RadWebControl {
        /**
Clears the current active row for the control
@method
@returns 
*/
clearActiveRow(): void;
        /**
Clears the selected items collection of RadGrid
@method
@returns 
*/
clearSelectedItems(): void;
        /**
Shows a confirm window
@method
@param text - 
@param e - 
@param title - 
@param width - 
@param height - 
@returns 
*/
confirm(text: string, e: any, title: string, width: number, height: number): void;
        /**
Returns a Boolean value, indicating whether KeyboardNavigationSettings AllowActiveRowCycle="true"
@method
@returns 
*/
get_allowActiveRowCycle(): boolean;
        /**
Returns a Boolean value, indicating whether we have enabled multi row selection for the control
@method
@returns 
*/
get_allowMultiRowSelection(): boolean;
        /**
Returns a collection of detail tables in RadGrid
@method
@returns 
*/
get_detailTables(): any;
        /**

@method
@returns 
*/
get_editItems(): any;
        /**

@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets the header menu of the grid instance
@method
@returns 
*/
get_headerMenu(): any;
        /**

@method
@returns 
*/
get_id(): string;
        /**
Returns the master table view instance of the grid
@method
@returns 
*/
get_masterTableView(): Telerik.Web.UI.GridTableView;
        /**
Returns the master table view footer instance of the grid
@method
@returns 
*/
get_masterTableViewFooter(): any;
        /**
Returns the master table view header instance of the grid
@method
@returns 
*/
get_masterTableViewHeader(): any;
        /**
Returns a collection of selected items in the grid instance
@method
@returns 
*/
get_selectedItems(): any;
        /**
Gets an internal collection of selected items in the grid
@method
@returns 
*/
get_selectedItemsInternal(): number;
        /**
Boolean
@method
@returns 
*/
get_visible(): void;
        /**
Returns a Boolean value, indicating whether the control is in edit mode, based on the passed Hierarchical index
@method
@param hierarchicalIndex - 
@returns 
*/
isInEditModeByHierarchicalIndex(hierarchicalIndex: string): boolean;
        /**
Resizes the modal background of the grid, when the window is resized
@method
@returns 
*/
onWindowResize(): void;
        /**
Redraws the client side object on the client
@method
@returns 
*/
repaint(): void;
        /**
Resizes the modal background of the grid, when the window is resized
@method
@returns 
*/
resizeModalBackground(): void;
        /**
Saves the client state of the grid instance
@method
@returns 
*/
saveClientState(): void;
        /**
Sets a value, indicating whether AllowActiveRowCycle="true"
@method
@returns 
*/
set_allowActiveRowCycle(): boolean;
        /**
Sets a Boolean value, indicating whether we have enabled multi row selection for the control
@method
@param value - 
@returns 
*/
set_allowMultiRowSelection(value: boolean): void;
        /**
Sets an internal collection of selected items in the grid
@method
@param value - 
@returns 
*/
set_selectedItemsInternal(value: number): void;
        /**

@method
@returns 
*/
set_visible(): void;
        /**

*/
add_activeRowChanging(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_activeRowChanging(handler: Function): void;
        /**

*/
add_activeRowChanged(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_activeRowChanged(handler: Function): void;
        /**

*/
add_cellDeselecting(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridCellSelectCancelEventArgs) => void): void;

remove_cellDeselecting(handler: Function): void;
        /**

*/
add_cellDeselected(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridCellSelectEventArgs) => void): void;

remove_cellDeselected(handler: Function): void;
        /**

*/
add_cellSelecting(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridCellSelectCancelEventArgs) => void): void;

remove_cellSelecting(handler: Function): void;
        /**

*/
add_cellSelected(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridCellSelectEventArgs) => void): void;

remove_cellSelected(handler: Function): void;
        /**

*/
add_columnClick(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnClick(handler: Function): void;
        /**

*/
add_columnContextMenu(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnContextMenu(handler: Function): void;
        /**

*/
add_columnCreated(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnCreatedEventArgs) => void): void;

remove_columnCreated(handler: Function): void;
        /**

*/
add_columnDblClick(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnDblClick(handler: Function): void;
        /**

*/
add_columnHiding(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnCancelEventArgs) => void): void;

remove_columnHiding(handler: Function): void;
        /**

*/
add_columnHidden(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnHidden(handler: Function): void;
        /**

*/
add_columnMouseOut(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnMouseOut(handler: Function): void;
        /**

*/
add_columnMouseOver(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnMouseOver(handler: Function): void;
        /**

*/
add_columnMovingToLeft(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnCancelEventArgs) => void): void;

remove_columnMovingToLeft(handler: Function): void;
        /**

*/
add_columnMovedToLeft(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnMovedToLeft(handler: Function): void;
        /**

*/
add_columnMovingToRight(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnCancelEventArgs) => void): void;

remove_columnMovingToRight(handler: Function): void;
        /**

*/
add_columnMovedToRight(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnMovedToRight(handler: Function): void;
        /**

*/
add_columnResizing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnCancelEventArgs) => void): void;

remove_columnResizing(handler: Function): void;
        /**

*/
add_columnResized(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnResized(handler: Function): void;
        /**

*/
add_columnShowing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnCancelEventArgs) => void): void;

remove_columnShowing(handler: Function): void;
        /**

*/
add_columnShown(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnEventArgs) => void): void;

remove_columnShown(handler: Function): void;
        /**

*/
add_columnSwapping(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnSwappingEventArgs) => void): void;

remove_columnSwapping(handler: Function): void;
        /**

*/
add_columnSwapped(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridColumnSwappedEventArgs) => void): void;

remove_columnSwapped(handler: Function): void;
        /**

*/
add_command(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridCommandEventArgs) => void): void;

remove_command(handler: Function): void;
        /**

*/
add_dataBinding(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataBindingEventArgs) => void): void;

remove_dataBinding(handler: Function): void;
        /**

*/
add_dataBindingFailed(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataBindingFailedEventArgs) => void): void;

remove_dataBindingFailed(handler: Function): void;
        /**

*/
add_dataSourceResolved(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataSourceResolvedEventArgs) => void): void;

remove_dataSourceResolved(handler: Function): void;
        /**

*/
add_filterMenuShowing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridFilterMenuShowingEventArgs) => void): void;

remove_filterMenuShowing(handler: Function): void;
        /**

*/
add_groupCollapsing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridGroupCollapsingEventArgs) => void): void;

remove_groupCollapsing(handler: Function): void;
        /**

*/
add_groupExpanding(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridGroupExpandingEventArgs) => void): void;

remove_groupExpanding(handler: Function): void;
        /**

*/
add_headerMenuShowing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridHeaderMenuCancelEventArgs) => void): void;

remove_headerMenuShowing(handler: Function): void;
        /**

*/
add_hierarchyCollapsing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridHierarchyActionEventArgs) => void): void;

remove_hierarchyCollapsing(handler: Function): void;
        /**

*/
add_hierarchyCollapsed(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridHierarchyActionEventArgs) => void): void;

remove_hierarchyCollapsed(handler: Function): void;
        /**

*/
add_hierarchyExpanding(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridHierarchyActionEventArgs) => void): void;

remove_hierarchyExpanding(handler: Function): void;
        /**

*/
add_hierarchyExpanded(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridHierarchyActionEventArgs) => void): void;

remove_hierarchyExpanded(handler: Function): void;
        /**

*/
add_keyPress(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridKeyPressEventArgs) => void): void;

remove_keyPress(handler: Function): void;
        /**

*/
add_popUpShowing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridPopUpShowingEventArgs) => void): void;

remove_popUpShowing(handler: Function): void;
        /**

*/
add_rowClick(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowClick(handler: Function): void;
        /**

*/
add_rowContextMenu(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowContextMenu(handler: Function): void;
        /**

*/
add_rowCreated(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowCreated(handler: Function): void;
        /**

*/
add_rowDataBound(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridRowDataBoundEventArgs) => void): void;

remove_rowDataBound(handler: Function): void;
        /**

*/
add_rowDblClick(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowDblClick(handler: Function): void;
        /**

*/
add_rowDeleting(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowDeleting(handler: Function): void;
        /**

*/
add_rowDeleted(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowDeleted(handler: Function): void;
        /**

*/
add_rowDeselecting(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowDeselecting(handler: Function): void;
        /**

*/
add_rowDeselected(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowDeselected(handler: Function): void;
        /**

*/
add_rowDragStarted(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowDragStarted(handler: Function): void;
        /**

*/
add_rowDropping(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDragDropCancelEventArgs) => void): void;

remove_rowDropping(handler: Function): void;
        /**

*/
add_rowDropped(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDragDropCancelEventArgs) => void): void;

remove_rowDropped(handler: Function): void;
        /**

*/
add_rowHiding(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowHiding(handler: Function): void;
        /**

*/
add_rowHidden(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowHidden(handler: Function): void;
        /**

*/
add_rowMouseOver(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowMouseOver(handler: Function): void;
        /**

*/
add_rowResizing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowResizing(handler: Function): void;
        /**

*/
add_rowResized(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowResized(handler: Function): void;
        /**

*/
add_rowSelecting(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowSelecting(handler: Function): void;
        /**

*/
add_rowSelected(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowSelected(handler: Function): void;
        /**

*/
add_rowShowing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemCancelEventArgs) => void): void;

remove_rowShowing(handler: Function): void;
        /**

*/
add_rowShown(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowShown(handler: Function): void;
        /**

*/
add_scroll(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridScrollEventArgs) => void): void;

remove_scroll(handler: Function): void;
        /**

*/
add_tableCreated(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridTableCreatedEventArgs) => void): void;

remove_tableCreated(handler: Function): void;
        /**

*/
add_batchEditGetEditorValue(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditValueActionEventArgs) => void): void;

remove_batchEditGetEditorValue(handler: Function): void;
        /**

*/
add_batchEditSetEditorValue(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditValueActionEventArgs) => void): void;

remove_batchEditSetEditorValue(handler: Function): void;
        /**

*/
add_batchEditSetCellValue(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditValueActionEventArgs) => void): void;

remove_batchEditSetCellValue(handler: Function): void;
        /**

*/
add_batchEditGetCellValue(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditValueActionEventArgs) => void): void;

remove_batchEditGetCellValue(handler: Function): void;
        /**

*/
add_batchEditOpening(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditCancelEventArgs) => void): void;

remove_batchEditOpening(handler: Function): void;
        /**

*/
add_batchEditOpened(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditEventArgs) => void): void;

remove_batchEditOpened(handler: Function): void;
        /**

*/
add_batchEditClosing(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditCancelEventArgs) => void): void;

remove_batchEditClosing(handler: Function): void;
        /**

*/
add_batchEditClosed(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditEventArgs) => void): void;

remove_batchEditClosed(handler: Function): void;
        /**

*/
add_batchEditCellValueChanged(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditCellValueChangedEventArgs) => void): void;

remove_batchEditCellValueChanged(handler: Function): void;
        /**

*/
add_batchEditCellValueChanging(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridBatchEditCellValueChangingEventArgs) => void): void;

remove_batchEditCellValueChanging(handler: Function): void;
        /**

*/
add_userAction(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridUserActionEventArgs) => void): void;

remove_userAction(handler: Function): void;
        /**

*/
add_rowMouseOut(handler: (sender: Telerik.Web.UI.RadGrid, args: Telerik.Web.UI.GridDataItemEventArgs) => void): void;

remove_rowMouseOut(handler: Function): void;
    }


    class RadHtmlChart  extends Telerik.Web.UI.RadWebControl {
        /**
Gets a reference to the Kendo Chart widget. 
To use the exposed Kendo methods make sure you have the kendo.dataviz.d.ts file and cast the returned object to the corresponding chart type.
@method
@returns 
*/
get_kendoWidget(): any;
        /**
Gets the dataSource of the Chart as a JSON string
@method
@returns 
*/
get_dataSourceJSON(): string;
        /**
Gets the height of the chart
@method
@returns 
*/
get_height(): number;
        /**
Gets a boolean value indicating whether an animation is played when the chart is rendered.
@method
@returns 
*/
get_transitions(): boolean;
        /**
Gets the width of the chart
@method
@returns 
*/
get_width(): number;
        /**
Returns the SVG representation of the current chart (a string which is a self-contained SVG document)
@method
@returns 
*/
getSVGString(): string;
        /**
Gets a reference to the Kendo Chart widget.
@method
@returns 
*/
kendoWidget(): void;
        /**
Triggers data to be loaded when LoadDataInvocation="FromCode"
@method
@returns 
*/
loadData(): void;
        /**
Repaints the chart
@method
@returns 
*/
repaint(): void;
        /**
Sets the dataSource of the Chart as a JSON string
@method
@param value - 
@returns 
*/
set_dataSource(value: string): void;
        /**
Sets new height to the chart
@method
@param value - 
@returns 
*/
set_height(value: number): void;
        /**
Sets a boolean value indicating whether an animation is played when the chart is rendered.
@method
@param value - 
@returns 
*/
set_transitions(value: boolean): void;
        /**
Sets new width to the chart
@method
@param value - 
@returns 
*/
set_width(value: number): void;
        /**
Fires when the control's client-side object is created.
*/
add_Load(handler: (sender: Telerik.Web.UI.RadHtmlChart, args: Sys.EventArgs) => void): void;

remove_Load(handler: Function): void;
    }


    class RadIconTile  extends Telerik.Web.UI.RadImageTile {
    }


    class RadImageAndTextTile  extends Telerik.Web.UI.RadBaseTile {
        /**
Return the URL of the image dispalyed in the upper content container
@method
@returns 
*/
get_imageUrl(): string;
        /**
Return the text displayed in the lower content container
@method
@returns 
*/
get_text(): string;
        /**
Sets the URL of the image dispalyed in the upper content container
@method
@param value - 
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the text displayed in the lower content container
@method
@param value - 
@returns 
*/
set_text(value: string): void;
    }


    class RadImageButton  extends Telerik.Web.UI.ButtonBase.PostBackButtonBase {
        /**
Gets the location of an image to display in the RadImageButton when control is disabled.
@method
@returns The location of an image to display in the RadImageButton when control is disabled.
*/
get_disabledImageUrl(): string;
        /**
Gets the location of an image to display in the RadImageButton control, when the mouse pointer is over the control.
@method
@returns The location of an image to display in the RadImageButton control, when the mouse pointer is over the control.
*/
get_hoveredImageUrl(): string;
        /**
Gets the location of an image to display in the RadImageButton control.
@method
@returns The location of an image to display in the RadImageButton control.
*/
get_imageUrl(): string;
        /**
Gets the location of an image to display in the RadImageButton control, when the control is pressed.
@method
@returns The location of an image to display in the RadImageButton control, when the control is pressed.
*/
get_pressedImageUrl(): string;
        /**
Sets the location of an image to display in the RadImageButton when control is disabled.
@method
@param value - The location of an image to display in the RadImageButton when control is disabled.
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets the location of an image to display in the RadImageButton control, when the mouse pointer is over the control.
@method
@param value - The location of an image to display in the RadImageButton control, when the mouse pointer is over the control.
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the location of an image to display in the RadImageButton control.
@method
@param value - The location of an image to display in the RadImageButton control.
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the location of an image to display in the RadImageButton control, when the control is pressed.
@method
@param value - The location of an image to display in the RadImageButton control, when the control is pressed.
@returns 
*/
set_pressedImageUrl(value: string): void;
    }


    class RadImageEditor  extends Telerik.Web.UI.RadWebControl {
        /**
Adds a shortcut with the specified name (keyword) and shortcut string (the combination of keys).
@method
@param shortcutName - The shortcut name
@param shortcutString - The Keyboard combination for the shortcut. Letter case is ignored.
@returns 
*/
addShortCut(shortcutName: string, shortcutString: string): void;
        /**
Adds text to the image in the specified position
@method
@param x - The X coordinate of the text
@param y - The Y coordinate of the text
@param text - The text to add to the image
@returns 
*/
addTextToImage(x: number, y: number, text: Telerik.Web.UI.ImageEditor.ImageText): void;
        /**
Forces the changes made to the image to be applied on the server
@method
@returns 
*/
applyChangesOnServer(): void;
        /**
Executes the provided filter against the current editable image and adds the operation to the undo stack
@method
@param filter - The filter to be applied
@returns 
*/
applyFilter(filter: Telerik.Web.UI.ImageEditor.Filters.IPixelFilter): void;
        /**
Changes the opacity of the image
@method
@param opacity - The opacity that is applied to the image
@param shouldUpdateUI - Flag whether the UI
@returns 
*/
changeImageOpacity(opacity: number, shouldUpdateUI: boolean): void;
        /**
Closes the tools panel
@method
@returns 
*/
closeToolsPanel(): void;
        /**
Initiates an ASP.NET client callback to the server and raises the ImageEditing server side event. The EditableImage can be retrieved from the event arguments, and edited accordingly.
@method
@param commandName - The command name that will be passed to the server and respective client events. It should be unique.
@param commandText - The command text that will be used to record the operation in the Undo
@param commandArgument - The additional command argument that will be passed to the server. By default empty string is passed.
@param callbackFunction - The function that will be called after response is received from the server. Two parameters are sent to this function
@returns 
*/
editImageOnServer(commandName: string, commandText: string, commandArgument: string, callbackFunction: Function): void;
        /**
Executes an ImageEditor's command and opens the corresponding dialog. Does not fire the client-side events.
@method
@param commandName - The name of the command to execute
@returns 
*/
executeCommand(commandName: string): void;
        /**
Fires an ImageEditor's command with the full set of client-side events
@method
@param commandName - The name of the command to fire
@param args - Event arguments accompanying the firing of the command
@returns 
*/
fire(commandName: string, args: any): void;
        /**
Flips the image in the Horizontal direction
@method
@returns 
*/
flipHorizontal(): void;
        /**
Flips the image in a horizontal or vertical direction
@method
@param flipDirection - The direction of flipping
@param shouldUpdateUI - Flag whether the UI
@param forceChanges - Flag whether the previously set flip direction should be taken under consideration
@returns 
*/
flipImage(flipDirection: Telerik.Web.UI.ImageEditor.FlipDirection, shouldUpdateUI: boolean, forceChanges: boolean): void;
        /**
Flips the image in the Vertical direction
@method
@returns 
*/
flipVertical(): void;
        /**
Gets a reference to the bottom docking zone of the ToolBar panel.
@method
@returns The reference to the bottom docking zone of the ToolBar panel
*/
get_bottomZone(): any;
        /**
Gets the currently executing command
@method
@returns The name of the command
*/
get_currentCommand(): string;
        /**
Gets the current tool widget, i.e. the object holding the dialog's functionality
@method
@returns A reference to the widget
*/
get_currentToolWidget(): Telerik.Web.UI.ImageEditor.ToolWidget;
        /**
Gets the flag to indicate whether the resizing of the ImageEditor control is enabled
@method
@returns Is resize enabled flag
*/
get_enableResize(): boolean;
        /**
Gets the FormDecorator, used in decorating the dialog's UI
@method
@returns A reference to the RadFormDecorator
*/
get_formDecorator(): Telerik.Web.UI.RadFormDecorator;
        /**
Gets the height of the ImageEditor control's element
@method
@returns The height of the control
*/
get_height(): number;
        /**
Gets a flag whether the a redo command is available in the redo stack
@method
@returns Is redo available flag
*/
get_isRedoAvailable(): boolean;
        /**
Gets a flag whether the a undo command is available in the undo stack
@method
@returns Is undo available flag
*/
get_isUndoAvailable(): boolean;
        /**
Gets the left/x coordinate of the element's location
@method
@returns The value of the left
*/
get_left(): number;
        /**
Gets a reference to the left docking zone of the ToolBar panel.
@method
@returns The reference to the left docking zone of the ToolBar panel
*/
get_leftZone(): any;
        /**
Gets the location of the ImageEditor control's element
@method
@param forceCalculation - Flag to force recalculation of the element
@returns The position of the control
*/
get_location(forceCalculation: boolean): Sys.UI.Point;
        /**
Gets the lower limit of the zoom level. This is the lowest percentage value up to which the user can zoom out the image in the RadImageEditor.
@method
@returns The lower zoom limit. The default is 25.
*/
get_lowerZoomBound(): number;
        /**
Gets the redo stack of operations
@method
@returns The redo stack
*/
get_operationsToRedo(): any;
        /**
Gets the undo stack of operations
@method
@returns The undo stack
*/
get_operationsToUndo(): any;
        /**
Gets a reference to the resizing handle element, i.e. the element, by which the user resizes the ImageEditor's element
@method
@returns A reference ot the resize handle
*/
get_resizeHandle(): any;
        /**
Gets a reference to the right docking zone of the ToolBar panel.
@method
@returns The reference to the right docking zone of the ToolBar panel
*/
get_rightZone(): any;
        /**
Gets shortcuts set to the ImageEditor control on the server.
@method
@returns Two dimensional array containing the shortcuts of the ImageEditor set on the server.
*/
get_shortcuts(): any;
        /**
Gets a reference to the Toolbar's container DOM element
@method
@returns The Toolbar
*/
get_toolBarContainer(): any;
        /**
Gets the ToolBar Mode of the ImageEditor control.
@method
@returns The ToolBar Mode of the ImageEditor control.
*/
get_toolBarMode(): Telerik.Web.UI.ImageEditor.ToolBarMode;
        /**
Gets a reference to the ToolBar panel(the movable dock container).
@method
@returns The reference to the ToolBar panel
*/
get_toolBarPanel(): any;
        /**
Gets the position of the RadImageEditor ToolBar.
@method
@returns The position of the RadImageEditor ToolBar.
*/
get_toolBarPosition(): Telerik.Web.UI.ImageEditor.ToolBarPosition;
        /**
Gets a collection of the different tool groups in the Tools" panel
@method
@returns The collection of the different tool groups in the Tools
*/
get_toolGroups(): any;
        /**
Gets a dictionary of the present tools in the Tools" panel
@method
@returns The dictionary of the present tools in the Tools
*/
get_tools(): any;
        /**
Gets a reference to the  Tools" panel
@method
@returns The reference to the Tools
*/
get_toolsPanel(): any;
        /**
Gets the top/y coordinate of the element's location
@method
@returns The value of the top
*/
get_top(): number;
        /**
Gets a reference to the top docking zone of the ToolBar panel.
@method
@returns The reference to the top docking zone of the ToolBar panel
*/
get_topZone(): any;
        /**
Gets the upper limit of the zoom level. This is the highest percentage value up to which the user can zoom in the image in the RadImageEditor.
@method
@returns The upper zoom limit. The default is 400.
*/
get_upperZoomBound(): number;
        /**
Gets a reference to the DOM element holding the edited image
@method
@returns The reference to the viewport
*/
get_viewport(): any;
        /**
Gets the width of the ImageEditor control's element
@method
@returns The width of the control
*/
get_width(): number;
        /**
Gets a reference to the XmlHttpPanel that manages the loading of the dialogs
@method
@returns A reference to the XmlHttpPanel
*/
get_xmlHttpPanel(): Telerik.Web.UI.RadXmlHttpPanel;
        /**
Gets a reference to the current EditableImage
@method
@returns The current EditableImage
*/
getEditableImage(): Telerik.Web.UI.ImageEditor.EditableImage;
        /**
Gets a reference to the image element being edited
@method
@returns The reference to the DOM image element
*/
getImage(): any;
        /**
Initializes an internal callback using a XmlHttpPanel
@method
@param target - Data to send to the server
@returns 
*/
initCallback(target: string): void;
        /**
Inserts image (clip art) into the editable image at the specified position
@method
@param x - The X coordinate of the image
@param y - The Y coordinate of the image
@param imgSrc - The client URL of the image to insert.
@param operations - Array of operations to apply to the clip art image
@returns 
*/
insertImage(x: number, y: number, imgSrc: string, operations: any): void;
        /**
Opens the tools panel with the current tool widget
@method
@returns 
*/
openToolsPanel(): void;
        /**
Redoes the previously undone editing steps of the image
@method
@param depth - The depth
@returns 
*/
redo(depth: number): void;
        /**
Removes a shortcut with the specified name (keyword).
@method
@param shortcutName - The shortcut name
@returns 
*/
removeShortCut(shortcutName: string): void;
        /**
Redraws the ImageEditor
@method
@returns 
*/
repaint(): void;
        /**
Resets the changes to the current image and reverts it to the original one
@method
@returns 
*/
resetChanges(): void;
        /**
Resizes the current image. This operation changes the image.
@method
@param width - The width
@param height - The height
@param shouldUpdateUI - Flag whether the UI
@returns 
*/
resizeImage(width: number, height: number, shouldUpdateUI: boolean): void;
        /**
Rotates the current image clockwise with the specified enum angle value
@method
@param rotation - Enum to determine the angle value. Only orthogonal values
@param shouldUpdateUI - Flag whether the UI
@returns 
*/
rotateImage(rotation: Telerik.Web.UI.ImageEditor.Rotation, shouldUpdateUI: boolean): void;
        /**
Rotates the current image 90 degrees counterclockwise, i.e. 270 degrees clockwise
@method
@returns 
*/
rotateLeft90(): void;
        /**
Rotates the current image 90 degrees clockwise
@method
@returns 
*/
rotateRight90(): void;
        /**
Stores the client-state changes made during the client-side existence of the control
@method
@returns 
*/
saveClientState(): void;
        /**
Downloads the image through the browser's save dialog on the user's PC
@method
@param fileName - The name of the file
@returns 
*/
saveImageOnClient(fileName: any): void;
        /**
Saves the image to the server in the same directory as the original image
@method
@param fileName - The name of the file
@param overwrite - Flag to allow an image with the same name to be overwritten
@returns 
*/
saveImageOnServer(fileName: any, overwrite: boolean): void;
        /**
Sets the currently executing command
@method
@param value - The name of the command
@returns 
*/
set_currentCommand(value: string): void;
        /**
Sets the current tool widget
@method
@param value - The new current widget
@returns 
*/
set_currentToolWidget(value: Telerik.Web.UI.ImageEditor.ToolWidget): void;
        /**
Enables/disables the resizing of the ImageEditor control
@method
@param value - Flag to enable
@returns 
*/
set_enableResize(value: boolean): void;
        /**
Sets the height of the ImageEditor control's element
@method
@param value - The value in pixels
@returns 
*/
set_height(value: number): void;
        /**
Sets the width of the ImageEditor control's element
@method
@param value - The value in pixels
@returns 
*/
set_width(value: number): void;
        /**
Sets a shortcut with the specified name (keyword) and shortcut string (the combination of keys). If the shortcut name exists, the existing shortcut is removed.
@method
@param shortcutName - The shortcut name
@param shortcutString - The Keyboard combination for the shortcut. Letter case is ignored.
@returns 
*/
setShortCut(shortcutName: string, shortcutString: string): void;
        /**
(Un)checks a ToolBar button
@method
@param toolName - The name of the button
@param value - The value of the state
@returns 
*/
setToggleState(toolName: string, value: boolean): void;
        /**
Undoes the last editing steps of the image
@method
@param depth - The depth
@returns 
*/
undo(depth: number): void;
        /**
Zooms the image to best fit in the viewport
@method
@returns 
*/
zoomBestFit(): void;
        /**
Zooms(scales) the image by the specified level in percents. This operation does not change the image
@method
@param zoomLevel - The level
@param shouldUpdateUI - Flag whether the UI
@returns 
*/
zoomImage(zoomLevel: number, shouldUpdateUI: boolean): void;
        /**
Zooms in the current image by 50%, i.e. if the current zoom level is 100, after zoom in the level will be 150
@method
@returns 
*/
zoomIn(): void;
        /**
Zooms out the current image by 50%, i.e. if the current zoom level is 100, after zoom in the level will be 50
@method
@returns 
*/
zoomOut(): void;
        /**
Adds a handler to the resizeStart event (OnClientResizeStart server-side property). This client-side event occurs when the user starts resizing the control by the resize handle.
*/
add_resizeStart(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Sys.EventArgs) => void): void;

remove_resizeStart(handler: Function): void;
        /**
Occurs after the control is initialized.
*/
add_load(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs after the user has closed the dialog that loads the image editor tools.
*/
add_toolsDialogClosed(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Telerik.Web.UI.ImageEditor.EventArgs) => void): void;

remove_toolsDialogClosed(handler: Function): void;
        /**
Occurs after the user has edited the image (i.e. after it has been changed).
*/
add_imageChanged(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Telerik.Web.UI.ImageEditor.ImageChangeEventArgs) => void): void;

remove_imageChanged(handler: Function): void;
        /**
Occurs after the user has finished resizing the control by the resize handle.
*/
add_resizeEnd(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Sys.EventArgs) => void): void;

remove_resizeEnd(handler: Function): void;
        /**
Occurs after the user has saved the image.
*/
add_saved(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Telerik.Web.UI.ImageEditor.SavedEventArgs) => void): void;

remove_saved(handler: Function): void;
        /**
Occurs immediately after the command has been executed.
*/
add_commandExecuted(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Telerik.Web.UI.ImageEditor.EventArgs) => void): void;

remove_commandExecuted(handler: Function): void;
        /**
Occurs immediately after the user has fired a command.
*/
add_commandExecuting(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Telerik.Web.UI.ImageEditor.CancelEventArgs) => void): void;

remove_commandExecuting(handler: Function): void;
        /**
Occurs immediately before the user has edited the image on the client (i.e. before it is changed).
*/
add_imageChanging(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Telerik.Web.UI.ImageEditor.ImageChangeCancelEventArgs) => void): void;

remove_imageChanging(handler: Function): void;
        /**
Occurs when the user has pressed the shortcut combination on the keyboard. In order for the event to be fired the shortcut has to be registered with the RadImageEditor control. This event can be cancelled.
*/
add_shortCutHit(handler: (sender: Telerik.Web.UI.RadImageEditor, args: Telerik.Web.UI.ImageEditor.ShortCutCancelEventArgs) => void): void;

remove_shortCutHit(handler: Function): void;
    }


    class RadImageGalleryItem   {
        /**
Returns the URL of the image.
@method
@returns 
*/
get_imageUrl(): void;
        /**
Gets the index of the particular item.
@method
@returns 
*/
get_itemIndex(): void;
        /**
Gets the parent of the current object.
@method
@returns 
*/
get_owner(): void;
        /**
Returns the related thumbnail element.
@method
@returns 
*/
get_thumbnailElement(): void;
        /**
Returns the URL of the thumbnail.
@method
@returns 
*/
get_thumbnailUrl(): void;
        /**
Gets the title of the image.
@method
@returns 
*/
get_title(): void;
        /**
Returns the width of the image.
@method
@returns 
*/
get_width(): void;
    }


    class RadImageTile  extends Telerik.Web.UI.RadBaseTile {
        /**
Return the URL of the image dispalyed in the content container
@method
@returns 
*/
get_imageUrl(): string;
        /**
Sets the URL of the image dispalyed in the content container
@method
@param value - 
@returns 
*/
set_imageUrl(value: string): void;
    }


    class RadInput   {
        /**
string
@method
@returns 
*/
get_editValue(): void;
        /**
string
@method
@returns 
*/
get_displayValue(): void;
    }


    class RadInputComponent  extends Sys.Component {
        /**
Gets the disabled css of RadInputComponent
@method
@returns 
*/
get_disabledCss(): boolean;
        /**
Returns the message that appears when the value is not set
@method
@returns 
*/
get_emptyMessage(): string;
        /**
Returns the message Css that appears when the value is not set
@method
@returns 
*/
get_emptyMessageCss(): string;
        /**
Gets the enabled css of RadInputComponent
@method
@returns 
*/
get_enabledCss(): boolean;
        /**
Gets the error message of RadInputComponent
@method
@returns 
*/
get_errorMessage(): string;
        /**
Gets the focused css of RadInputComponent
@method
@returns 
*/
get_focusedCss(): boolean;
        /**
Gets the hovered css of RadInputComponent
@method
@returns 
*/
get_hoveredCss(): boolean;
        /**
Returns a Boolean value,initializing the client instance of RadInputComponent
@method
@returns 
*/
get_initializeOnClient(): boolean;
        /**
Gets the invalid css of RadInputComponent
@method
@returns 
*/
get_invalidCss(): boolean;
        /**
Returns a Boolean value, indicating whether the value of the input is required
@method
@returns 
*/
get_isRequired(): boolean;
        /**
Gets the location of RadInputComponent
@method
@returns 
*/
get_location(): string;
        /**
Gets the method of RadInputComponent
@method
@returns 
*/
get_method(): string;
        /**
Gets the read only css of RadInputComponent
@method
@returns 
*/
get_readOnlyCss(): boolean;
        /**
Returns the value of the SelectionOnFocus property
@method
@returns 
*/
get_selectionOnFocus(): Telerik.Web.UI.SelectionOnFocus;
        /**
Returns the id of the target control
@method
@returns 
*/
get_targetControlID(): string;
        /**
Returns an Array containing the ids of the target inputs
@method
@returns 
*/
get_targetControlIDs(): any;
        /**
Gets validateOnEvent of RadInputComponent
@method
@returns 
*/
get_validateOnEvent(): number;
        /**
Gets the validation group of RadInputComponent
@method
@returns 
*/
get_validationGroup(): string;
        /**
Returns a Boolean value, indicating whether the value of the input is valid
@method
@param inputId - 
@returns 
*/
isValid(inputId: boolean): void;
        /**
Raises the blur event
@method
@param args - 
@returns 
*/
raise_blur(args: Sys.EventArgs): void;
        /**
Raises the handler for the error event
@method
@param args - 
@returns 
*/
raise_error(args: Sys.EventArgs): void;
        /**
Raises the focus event
@method
@param args - 
@returns 
*/
raise_focus(args: Sys.EventArgs): void;
        /**
Raises the keyPress event
@method
@param args - 
@returns 
*/
raise_keyPress(args: Sys.EventArgs): void;
        /**
Raises the handler for the validating event
@method
@param args - 
@returns 
*/
raise_validating(args: Sys.EventArgs): void;
        /**
Raises the event of RadInputComponent
@method
@param eventName - 
@param eventArgs - 
@returns 
*/
raiseEvent(eventName: string, eventArgs: Sys.EventArgs): void;
        /**
Sets the disabled css of RadInputComponent
@method
@param value - 
@returns 
*/
set_disabledCss(value: boolean): void;
        /**
Sets the message that appears when the value is not set
@method
@param value - 
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets the message Css that appears when the value is not set
@method
@param value - 
@returns 
*/
set_emptyMessageCss(value: string): void;
        /**
Sets the enabled css of RadInputComponent
@method
@param value - 
@returns 
*/
set_enabledCss(value: boolean): void;
        /**
Sets the error message of RadInputComponent
@method
@param value - 
@returns 
*/
set_errorMessage(value: string): void;
        /**
Sets the focused css of RadInputComponent
@method
@param value - 
@returns 
*/
set_focusedCss(value: boolean): void;
        /**
Sets the hovered css of RadInputComponent
@method
@param value - 
@returns 
*/
set_hoveredCss(value: boolean): void;
        /**
Accepts  a Boolean value,initializing the client instance of RadInputComponen
@method
@param value - 
@returns 
*/
set_initializeOnClient(value: boolean): void;
        /**
Sets the invalid css of RadInputComponent
@method
@param value - 
@returns 
*/
set_invalidCss(value: boolean): void;
        /**
Accepts a Boolean value, indicating whether the value of the input is required
@method
@param value - 
@returns 
*/
set_isRequired(value: boolean): void;
        /**
Sets the location of RadInputComponent
@method
@param value - 
@returns 
*/
set_location(value: string): void;
        /**
Sets the method of RadInputComponent
@method
@param value - 
@returns 
*/
set_method(value: string): void;
        /**
Sets the read only css of RadInputComponent
@method
@param value - 
@returns 
*/
set_readOnlyCss(value: boolean): void;
        /**
Accepts the value of the SelectionOnFocus property
@method
@param value - 
@returns 
*/
set_selectionOnFocus(value: Telerik.Web.UI.SelectionOnFocus): void;
        /**
Accepts the id of the target control
@method
@param value - 
@returns 
*/
set_targetControlID(value: string): void;
        /**
Accepts an Array containing the ids of the target inputs
@method
@param value - 
@returns 
*/
set_targetControlIDs(value: any): void;
        /**
Sets validateOnEvent of RadInputComponent
@method
@param value - 
@returns 
*/
set_validateOnEvent(value: number): void;
        /**
Sets the validation group of RadInputComponent
@method
@param value - 
@returns 
*/
set_validationGroup(value: string): void;
        /**
Returns a Boolean value, indicating success
@method
@param result - 
@returns 
*/
success(result: boolean): void;
        /**
Occurs before the value being validated.
*/
add_validating(handler: (sender: Telerik.Web.UI.RadInputComponent, args: Telerik.Web.UI.InputManagerValidatingEventArgs) => void): void;

remove_validating(handler: Function): void;
        /**
Occurs on keyUp DOM event.
*/
add_keyUp(handler: (sender: Telerik.Web.UI.RadInputComponent, args: Sys.EventArgs) => void): void;

remove_keyUp(handler: Function): void;
        /**
Occurs when the element is blurred.
*/
add_blur(handler: (sender: Telerik.Web.UI.RadInputComponent, args: Telerik.Web.UI.InputManagerEventArgs) => void): void;

remove_blur(handler: Function): void;
        /**
Occurs when the element obtain focus.
*/
add_focus(handler: (sender: Telerik.Web.UI.RadInputComponent, args: Telerik.Web.UI.InputManagerEventArgs) => void): void;

remove_focus(handler: Function): void;
        /**
Occurs when the input control detects that the user has tried to enter an invalid value.
*/
add_error(handler: (sender: Telerik.Web.UI.RadInputComponent, args: Telerik.Web.UI.InputManagerErrorEventArgs) => void): void;

remove_error(handler: Function): void;
        /**
Occurs when the values has changed.
*/
add_valueChanged(handler: (sender: Telerik.Web.UI.RadInputComponent, args: Telerik.Web.UI.InputManagerValueChangedEventArgs) => void): void;

remove_valueChanged(handler: Function): void;
    }


    class RadInputControl  extends Telerik.Web.UI.RadWebControl {
        /**
Indicating whether RadInputControl loses focus
@method
@returns 
*/
blur(): void;
        /**
Clears the client instance of RadInputControl
@method
@returns 
*/
clear(): void;
        /**
Disables the client instance of RadInputControl
@method
@returns 
*/
disable(): void;
        /**
Enables the client instance of RadInputControl
@method
@returns 
*/
enable(): void;
        /**
Indicating whether RadInputControl enter focus
@method
@returns 
*/
focus(): void;
        /**
Returns the value of the AutoPostBack property
@method
@returns 
*/
get_autoPostBack(): boolean;
        /**
Returns the current position of the caret.
@method
@returns 
*/
get_caretPosition(): number;
        /**
Gets the value of RadInputControl as it is formatted when the input does not have focus
@method
@returns 
*/
get_displayValue(): string;
        /**
Gets the value of RadInputControl as it is formatted when the input has focus
@method
@returns 
*/
get_editValue(): string;
        /**
Returns the message that appears when the input value is an empty string
@method
@returns 
*/
get_emptyMessage(): string;
        /**
Returns true if the input is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns true if the input in error state (riError class is applied)
@method
@returns 
*/
get_invalid(): boolean;
        /**
Gets the invalid style duration of RadInputControl
@method
@returns 
*/
get_invalidStyleDuration(): number;
        /**
Returns the value of the SelectionOnFocus property
@method
@returns 
*/
get_selectionOnFocus(): Telerik.Web.UI.SelectionOnFocus;
        /**
Returns true if the input has an associated image button
@method
@returns 
*/
get_showButton(): boolean;
        /**
Returns the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@returns 
*/
get_styles(): any;
        /**
Gets the string that the user typed into the input
@method
@returns 
*/
get_textBoxValue(): string;
        /**
Returns the value of the text box
@method
@returns 
*/
get_value(): string;
        /**
Returns whether the input element is rendered as hidden or not. Does not apply if the control is inside another hidden html element
@method
@returns 
*/
get_visible(): boolean;
        /**
Gets the DOM element for the DIV wrapper element
@method
@returns 
*/
get_wrapperElement(): HTMLElement;
        /**
Returns true if the value of the RadInputControl is empty
@method
@returns 
*/
isEmpty(): void;
        /**
Returns true if the value of the RadInputControl is multi line
@method
@returns 
*/
isMultiLine(): void;
        /**
Returns true if the value of the RadInputControl is a negative number
@method
@returns 
*/
isNegative(): void;
        /**
Returns true if the value of the RadInputControl is read only
@method
@returns 
*/
isReadOnly(): void;
        /**
Raises the blur event
@method
@param args - 
@returns 
*/
raise_blur(args: Sys.EventArgs): void;
        /**
Raises the buttonClick event
@method
@param args - 
@returns 
*/
raise_buttonClick(args: Sys.EventArgs): void;
        /**
Raises the handler for the mouseOver event
@method
@param args - 
@returns 
*/
raise_disable(args: Sys.EventArgs): void;
        /**
Raises the enable event
@method
@param args - 
@returns 
*/
raise_enable(args: Sys.EventArgs): void;
        /**
Raises the enumerationChanged event
@method
@param args - 
@returns 
*/
raise_enumerationChanged(args: Sys.EventArgs): void;
        /**
Raises the error event
@method
@param args - 
@returns 
*/
raise_error(args: Sys.EventArgs): void;
        /**
Raises the focus event
@method
@param args - 
@returns 
*/
raise_focus(args: Sys.EventArgs): void;
        /**
Raises the keyPress event
@method
@param args - 
@returns 
*/
raise_keyPress(args: Sys.EventArgs): void;
        /**
Raises the load event
@method
@param args - 
@returns 
*/
raise_load(args: Sys.EventArgs): void;
        /**
Raises the mouseOut event
@method
@param args - 
@returns 
*/
raise_mouseOut(args: Sys.EventArgs): void;
        /**
Raises the mouseOver event
@method
@param args - 
@returns 
*/
raise_mouseOver(args: Sys.EventArgs): void;
        /**
Raises the moveDown event
@method
@param args - 
@returns 
*/
raise_moveDown(args: Sys.EventArgs): void;
        /**
Raises the moveUp event
@method
@param args - 
@returns 
*/
raise_moveUp(args: Sys.EventArgs): void;
        /**
Raises the valueChanged event
@method
@param newValue - 
@param oldValue - 
@returns 
*/
raise_valueChanged(newValue: any, oldValue: any): void;
        /**
Raises the valueChanging event
@method
@param args - 
@returns 
*/
raise_valueChanging(args: Sys.EventArgs): void;
        /**
Raises the postback event of RadInputControl
@method
@returns 
*/
raisePostBackEvent(): void;
        /**
Redraws the client side object on the client
@method
@returns 
*/
repaint(): void;
        /**
Selects all text in the RadInputControl
@method
@returns 
*/
selectAllText(): void;
        /**
Selects the text in the specified range of positions. The first parameter is the start of the range and the second is the end of the range
@method
@param start - 
@param end - 
@returns 
*/
selectText(start: number, end: number): void;
        /**
Enables or disables postbacks when the user changes the text in the input
@method
@param value - 
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Sets the position of the caret
@method
@param position - 
@returns 
*/
set_caretPosition(position: number): void;
        /**
Sets the message that appears when the input value is an empty string
@method
@param value - 
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets true if the input is enabled
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets if the input should be in error state (riError class to be applied)
@method
@param value - 
@returns 
*/
set_invalid(value: boolean): void;
        /**
Sets the invalid style duration of RadInputControl
@method
@param value - 
@returns 
*/
set_invalidStyleDuration(value: number): void;
        /**
Sets the SelectionOnFocus property
@method
@param value - 
@returns 
*/
set_selectionOnFocus(value: Telerik.Web.UI.SelectionOnFocus): void;
        /**
Accepts true if the input has an associated image button
@method
@param value - 
@returns 
*/
set_showButton(value: boolean): void;
        /**
Sets the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@param value - 
@returns 
*/
set_styles(value: any): void;
        /**
Sets the string that the user typed into the input
@method
@param value - 
@returns 
*/
set_textBoxValue(value: string): void;
        /**
Sets the value of the text box
@method
@param newValue - 
@returns 
*/
set_value(newValue: string): void;
        /**
Sets the input element as hidden on the client
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
        /**
Updates the css class of RadInputControl
@method
@returns 
*/
updateCssClass(): void;
        /**
Updates the css text of RadInputControl
@method
@param styleCssText - 
@returns 
*/
updateCssText(styleCssText: string): void;
        /**
Updates the display value of RadInputControl
@method
@returns 
*/
updateDisplayValue(): void;
        /**
Raised after the control loses focus just before a new value has been assigned.
*/
add_valueChanging(handler: (sender: Telerik.Web.UI.RadInputControl, args: Telerik.Web.UI.InputValueChangingEventArgs) => void): void;

remove_valueChanging(handler: Function): void;
        /**
Raised after the control loses focus when a new value has been assigned.
*/
add_valueChanged(handler: (sender: Telerik.Web.UI.RadInputControl, args: Telerik.Web.UI.InputValueChangedEventArgs) => void): void;

remove_valueChanged(handler: Function): void;
        /**
Raised when the control is disabled
*/
add_disable(handler: (sender: Telerik.Web.UI.RadInputControl, args: Sys.EventArgs) => void): void;

remove_disable(handler: Function): void;
        /**
Raised when the control is enabled
*/
add_enable(handler: (sender: Telerik.Web.UI.RadInputControl, args: Sys.EventArgs) => void): void;

remove_enable(handler: Function): void;
        /**
Raised when the control is focused
*/
add_focus(handler: (sender: Telerik.Web.UI.RadInputControl, args: Sys.EventArgs) => void): void;

remove_focus(handler: Function): void;
        /**
Raised when the control is loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadInputControl, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Raised when the mouse enters the input area.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadInputControl, args: Sys.EventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
Raised when the mouse leaves the input area.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadInputControl, args: Sys.EventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
Raised when the RadInputControl loses focus
*/
add_blur(handler: (sender: Telerik.Web.UI.RadInputControl, args: Sys.EventArgs) => void): void;

remove_blur(handler: Function): void;
        /**
Raised when the user clicks on the button that is associated with the input control
*/
add_buttonClick(handler: (sender: Telerik.Web.UI.RadInputControl, args: Telerik.Web.UI.InputButtonClickEventArgs) => void): void;

remove_buttonClick(handler: Function): void;
        /**
Raised when the user decreases the value of an enumeration or numeric range mask part.
*/
add_moveDown(handler: (sender: Telerik.Web.UI.RadInputControl, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveDown(handler: Function): void;
        /**
Raised when the user enters an invalid value
*/
add_error(handler: (sender: Telerik.Web.UI.RadInputControl, args: Telerik.Web.UI.InputErrorEventArgs) => void): void;

remove_error(handler: Function): void;
        /**
Raised when the user increases the value of an enumeration or numeric range mask part.
*/
add_moveUp(handler: (sender: Telerik.Web.UI.RadInputControl, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveUp(handler: Function): void;
        /**
Raised when the user presses a key to enter a value.
*/
add_keyPress(handler: (sender: Telerik.Web.UI.RadInputControl, args: Telerik.Web.UI.InputKeyPressEventArgs) => void): void;

remove_keyPress(handler: Function): void;
    }


    class RadInputExtender   {
        /**
Removes focus from the input, moving it to the next control in the tab order of the page.
@method
@returns 
*/
blur(): void;
        /**
Sets the value of the input to an empty string
@method
@returns 
*/
clear(): void;
        /**
Sets focus to the input so that the user can edit its value
@method
@returns 
*/
focus(): void;
        /**
Returns the format display value of RadInputExtender
@method
@param value - 
@returns 
*/
formatDisplayValue(value: any): void;
        /**
Returns the format edit value of RadInputExtender
@method
@param value - 
@returns 
*/
formatEditValue(value: any): void;
        /**
Gets the id of RadInputExtender
@method
@returns 
*/
get_id(): string;
        /**
Gets the owner of RadInputExtender
@method
@returns 
*/
get_owner(): string;
        /**
Gets the value of RadInputExtender
@method
@returns 
*/
get_value(): string;
        /**
Returns a Boolean value, indicating whether the RadInputExtender is empty
@method
@returns 
*/
isEmpty(): void;
        /**
Returns true if the value of the input extender is negative
@method
@returns 
*/
isNegative(): void;
        /**
Parses a string using the DateFormatInfo object and returns the resulting value
@method
@param value - 
@returns 
*/
parseValue(value: string): void;
        /**
Returns a Boolean value, indicating whether error is raised
@method
@param args - 
@returns 
*/
raise_error(args: boolean): void;
        /**
Selects all text in RadInputExtender
@method
@returns 
*/
selectAllText(): void;
        /**
Selects the text in the specified range of positions. The first parameter is the start of the range and the second is the end of the range
@method
@param start - 
@param end - 
@returns 
*/
selectText(start: number, end: number): void;
        /**
Sets the position of the caret.
@method
@param position - 
@returns 
*/
set_caretPosition(position: number): void;
        /**
Sets the new value of RadInputExtender
@method
@param newValue - 
@returns 
*/
set_value(newValue: string): void;
        /**
Updates the css class of RadInputExtender
@method
@returns 
*/
updateCssClass(): void;
        /**
Updates the value of RadInputExtender
@method
@param newValue - 
@returns 
*/
updateValue(newValue: string): void;
        /**
Returns the validate input value of RadInputExtender
@method
@param value - 
@returns 
*/
validateInputValue(value: Date): void;
    }


    class RadInputManager  extends Telerik.Web.UI.RadWebControl {
        /**
Gets the RadInputManager control behaviors
@method
@returns 
*/
get_behaviors(): any;
        /**
Gets the date input settings of the RadInputManager control
@method
@returns 
*/
get_dateInputSettings(): any;
        /**
Gets the input settings of the RadInputManager control
@method
@param behaviorID - 
@returns 
*/
get_inputSettings(behaviorID: string): any;
        /**
Gets the numeric text box settings of the RadInputManager control
@method
@returns 
*/
get_numericTextBoxSettings(): any;
        /**
Gets the regular expression text box settings of the RadInputManager control
@method
@returns 
*/
get_regExpTextBoxSettings(): any;
        /**
Gets the target input of the RadInputManager control
@method
@param id - 
@returns 
*/
get_targetInput(id: string): any;
        /**
Gets the text box settings of the RadInputManager control
@method
@returns 
*/
get_textBoxSettings(): any;
        /**
Sets the RadInputManager control behaviors
@method
@param value - 
@returns 
*/
set_behaviors(value: any): void;
    }


    class RadLightBox   {
        /**
Hides the LightBox control
@method
@returns 
*/
hide(): void;
        /**
Shows the first page/image
@method
@returns 
*/
first(): void;
        /**
Returns a number represents the current index of the Item
@method
@returns 
*/
get_currentItemIndex(): void;
        /**
Returns a collection of RadLightBox items
@method
@returns 
*/
get_items(): void;
        /**
Returns a boolean variable which shows whether the slide show will begin from the start page after the last one has been reached
@method
@returns 
*/
get_loopItems(): void;
        /**
Returns a boolean variable which shows whether the window will close when click outside of the container
@method
@returns 
*/
get_modal(): void;
        /**
Returns a value which represents the chosen navigation mode
@method
@returns 
*/
get_navigationMode(): void;
        /**
Shows the last page/image
@method
@returns 
*/
last(): void;
        /**
A method which navigate to an item having the provided index
@method
@returns 
*/
navigateTo(): void;
        /**
Navigates to the next page/image
@method
@returns 
*/
next(): void;
        /**
Navigates backward to the previous page/image
@method
@returns 
*/
prev(): void;
        /**
A method which accept an enumeration value. You could pass on of the following values Telerik.Web.UI.LightBoxAnimationType.(Fade, Resize, None)
@method
@returns 
*/
set_animation(): void;
        /**
A method which set an index to the current item.
@method
@returns 
*/
set_currentItemIndex(): void;
        /**
Determines whether the slide show will begin from the start page after the last one has been reached
@method
@returns 
*/
set_loopItems(): void;
        /**
Accepts true or false as an argument. When its enable the window can be closed by clicking outside of its frame.
@method
@returns 
*/
set_modal(): void;
        /**
A method which accept an enumeration value. You could pass on of the following values Telerik.Web.UI.LightBoxNavigationMode.Button or
		    Telerik.Web.UI.LightBoxNavigationMode.Zone.
@method
@returns 
*/
set_navigationMode(): void;
        /**
Determines whether the close button will be displayed in the LightBox
@method
@returns 
*/
showCloseButton(): void;
        /**
Determines whether the next button will be displayed in the LightBox
@method
@returns 
*/
showNextButton(): void;
        /**
Determines whether the previous button will be displayed in the LightBox
@method
@returns 
*/
showPrevButton(): void;
        /**
Fires before closing the LightBox popup
*/
add_closing(handler: (sender: Telerik.Web.UI.RadLightBox, args: Sys.EventArgs) => void): void;

remove_closing(handler: Function): void;
        /**
Fires before disposing the control
*/
add_destroying(handler: (sender: Telerik.Web.UI.RadLightBox, args: Sys.EventArgs) => void): void;

remove_destroying(handler: Function): void;
        /**
Fires before opening the LightBox popup
*/
add_showing(handler: (sender: Telerik.Web.UI.RadLightBox, args: Sys.EventArgs) => void): void;

remove_showing(handler: Function): void;
        /**
Fires when the control is loaded
*/
add_load(handler: (sender: Telerik.Web.UI.RadLightBox, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Fires when the popup is closed
*/
add_closed(handler: (sender: Telerik.Web.UI.RadLightBox, args: Sys.EventArgs) => void): void;

remove_closed(handler: Function): void;
        /**
Fires when the popup is opened
*/
add_showed(handler: (sender: Telerik.Web.UI.RadLightBox, args: Sys.EventArgs) => void): void;

remove_showed(handler: Function): void;
        /**
Fires when the user navigates out of the current page
*/
add_navigating(handler: (sender: Telerik.Web.UI.RadLightBox, args: Telerik.Web.UI.LightBoxNavigatingEventArgs) => void): void;

remove_navigating(handler: Function): void;
    }


    class RadLinearGauge  extends Telerik.Web.UI.RadGaugeControl {
        /**
Gets a reference to the Kendo LinearGauge widget. 
To use the exposed Kendo methods make sure you have the kendo.dataviz.d.ts file and cast the returned object to kendo.dataviz.ui.LinearGauge.
@method
@returns 
*/
get_kendoWidget(): any;
        /**
Gets the height of the gauge
@method
@returns 
*/
get_height(): number;
        /**
Gets the value of the gauge
@method
@returns 
*/
get_value(): number;
        /**
Gets the width of the gauge
@method
@returns 
*/
get_width(): number;
        /**
Repaints the gauge
@method
@returns 
*/
repaint(): void;
        /**
Sets new height to the gauge
@method
@param value - 
@returns 
*/
set_height(value: number): void;
        /**
Sets a new value to the gauge
@method
@param value - 
@returns 
*/
set_value(value: number): void;
        /**
Sets new width to the gauge
@method
@param value - 
@returns 
*/
set_width(value: number): void;
    }


    class RadLinkButton  extends Telerik.Web.UI.ButtonBase.RadButtonBase {
        /**
Gets the URL to link to when the RadButton control is clicked.
@method
@returns The URL to link to when the RadButton control is clicked.
*/
get_navigateUrl(): string;
        /**
Gets a bool value indicating whether the button control is primary.
@method
@returns A bool value
*/
get_primary(): boolean;
        /**
Gets the target window or frame in which to display the Web page content linked to when the RadButton control is clicked.
@method
@returns The target window or frame in which to display the Web page content linked to when the RadButton control is clicked.
*/
get_target(): string;
        /**
Sets the URL to link to when the RadButton control is clicked.
@method
@param value - The URL to link to when the RadButton control is clicked.
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Sets a bool value indicating whether the button control is primary.
@method
@param value - A bool value indicating whether the button control is primary.
@returns 
*/
set_primary(value: boolean): void;
        /**
Sets the target window or frame in which to display the Web page content linked to when the RadButton control is clicked.
@method
@param value - The target window or frame in which to display the Web page content linked to when the RadButton control is clicked.
@returns 
*/
set_target(value: string): void;
    }


    class RadListBox  extends Telerik.Web.UI.ControlItemContainer {
        /**
Checks all titems that are passed as a parameter. The parameter can be either of type array or RadListBoxItemCollection.
@method
@param value - The items to check. Can be either Array or Telerik.Web.UI.RadListBoxItemCollection
@returns 
*/
checkItems(value: any): void;
        /**
Clears the selection. There will be no selected items.
@method
@returns 
*/
clearSelection(): void;
        /**
Clears the current selection except the specified Index or Item.
@method
@param value - 
@returns 
*/
clearSelectionExcept(value: number): void;
        /**
Writes the changes to the listbox that were made since a previous call to trackChanges, so that they are preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Deletes the item passed as an argument
@method
@param item - item
@returns 
*/
deleteItem(item: Telerik.Web.UI.RadListBoxItem): void;
        /**
Disables RadListBox client side events
@method
@returns 
*/
disableEvents(): void;
        /**
Enables RadListBox client side events disabled with the disableEvents method
@method
@returns 
*/
enableEvents(): void;
        /**
Gets the first instance of a RadListBoxItem with the specified attribute/value pair.
@method
@param attributeName - The attribute name to search for
@param attributeValue - The attribute value to search for
@returns Returns the first RadListBoxItem who has attribute that matches the passed parameters
*/
findItemByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the first RadListBoxItem object whose Text property equals to the passed parameter.
@method
@param theText - The text tosearch for
@returns 
*/
findItemByText(theText: string): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the first RadListBoxItem object whose Value property equals to the passed parameter.
@method
@param theValue - The value to search for
@returns Returns the first RadListBoxItem whose Value property matches the passed parameter
*/
findItemByValue(theValue: string): Telerik.Web.UI.RadListBoxItem;
        /**
Returns the indices of all checked items
@method
@returns Returns array of Integers
*/
get_checkedIndices(): any;
        /**
Gets an array of the checked RadListBoxItem objects
@method
@returns All checked items
*/
get_checkedItems(): any;
        /**
Gets the UL element of the RadListBox
@method
@returns The UL element of the RadListBox
*/
get_childListElement(): HTMLElement;
        /**
Returns the value of the RadListBox's ClientItemTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Gets the outer DIV of the RadListBox
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets the ClientID of the RadListBox
@method
@returns 
*/
get_id(): string;
        /**
Gets a collection with all items
@method
@returns 
*/
get_items(): Telerik.Web.UI.RadListBoxItemCollection;
        /**
Gets the index of the selected item
@method
@returns The index of the selected item. If there the selection mode is set to
*/
get_selectedIndex(): number;
        /**
Returns the indices of all selected items
@method
@returns Returns array of Integers
*/
get_selectedIndices(): any;
        /**
Gets the selected item (or the first selected item if the SelectionMode=quot;Multiplequot;).
@method
@returns 
*/
get_selectedItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Gets an array of the selected RadListBoxItem objects
@method
@returns 
*/
get_selectedItems(): any;
        /**
Returns instance of the destination RadListBox
@method
@returns 
*/
get_transferTo(): string;
        /**
Gets the item from the Items collection residing at the index specified by the parameter.
@method
@param index - 
@returns 
*/
getItem(index: number): Telerik.Web.UI.RadListBoxItem;
        /**
Gets the last item in the RadListBox items collection.
@method
@returns 
*/
getLastItem(): Telerik.Web.UI.RadListBoxItem;
        /**
Bulk inserts an array of RadListbox items to RadListBox
@method
@param items - Array of items to be bulk inserted
@returns 
*/
insertItems(items: any): void;
        /**
Moves the specified item to the specified index
@method
@param item - The item to reorder
@param newIndex - The index to move to
@returns 
*/
reorderItem(item: Telerik.Web.UI.RadListBoxItem, newIndex: number): void;
        /**
Refreshes the RadListBox UI
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state to the client state hidden field
@method
@returns 
*/
saveClientState(): void;
        /**
Selects all items that are passed as a parameter. The parameter can be either of type array or RadListBoxItemCollection.
@method
@param value - The items to select. Can be either Array or Telerik.Web.UI.RadListBoxItemCollection
@returns 
*/
selectItems(value: any): void;
        /**
Sets the value of the RadListBox's ClientItemTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Enables RadListBox
@method
@param value - true if the RadListBox should be enabled. False otherwise
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the destionation RadListBox
@method
@param Destination - the destination RadListBox
@returns 
*/
set_transferTo(Destination: Telerik.Web.UI.RadListBox): void;
        /**
Transfers the specified item from the listbox specified by the TransferToID property
@method
@param item - The item to transfer
@returns 
*/
transferFromDestination(item: Telerik.Web.UI.RadListBoxItem): void;
        /**
Transfers the specified item from the source listbox to the destination listbox
@method
@param item - The item to transfer
@param sourceListBox - The source RadListBox
@param destinationListBox - The destination RadListBox
@returns 
*/
transferItem(item: Telerik.Web.UI.RadListBoxItem, sourceListBox: Telerik.Web.UI.RadListBox, destinationListBox: Telerik.Web.UI.RadListBox): void;
        /**
Transfers the specified item to the listbox specified by the TransferToID property
@method
@param item - The item to transfer
@returns 
*/
transferToDestination(item: Telerik.Web.UI.RadListBoxItem): void;
        /**
Unchecks all the items passed that are passed as a parameter. The parameter can be either of type array or RadListBoxItemCollection.
@method
@param value - The items to uncheck. Can be either Array or Telerik.Web.UI.RadListBoxItemCollection
@returns 
*/
uncheckItems(value: any): void;
        /**
Unselects all items that are passed as a parameter. The parameter can be either of type array or RadListBoxItemCollection.
@method
@param value - The items to unselect. Can be either Array or Telerik.Web.UI.RadListBoxItemCollection
@returns 
*/
unselectItems(value: any): void;
        /**
Occurs after the client template is bound and the binding expression are evaluated.
*/
add_templateDataBound(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_templateDataBound(handler: Function): void;
        /**
Occurs after the item/items are dropped.
*/
add_dropped(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxDroppedEventArgs) => void): void;

remove_dropped(handler: Function): void;
        /**
Occurs after the item/items are dropped.
*/
add_reordering(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxReorderingEventArgs) => void): void;

remove_reordering(handler: Function): void;
        /**
Occurs after the item/items are dropped.
*/
add_reordered(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxReorderedEventArgs) => void): void;

remove_reordered(handler: Function): void;
        /**
Occurs after the load-on-demand mechanism has added new items to the RadListBox.
*/
add_itemsRequested(handler: (sender: Telerik.Web.UI.RadListBox, args: Sys.EventArgs) => void): void;

remove_itemsRequested(handler: Function): void;
        /**
Occurs after the RadListBox has been fully initialized on the client-side.
*/
add_load(handler: (sender: Telerik.Web.UI.RadListBox, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs after the selected item has been changed.
*/
add_selectedIndexChanged(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxSelectedIndexChangedEventArgs) => void): void;

remove_selectedIndexChanged(handler: Function): void;
        /**
Occurs after the selected item has been transferred to the destination RadListBox.
*/
add_transferred(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxTransferredEventArgs) => void): void;

remove_transferred(handler: Function): void;
        /**
Occurs after the user double clicks the item.
*/
add_itemDoubleClicked(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxItemDoubleClickedEventArgs) => void): void;

remove_itemDoubleClicked(handler: Function): void;
        /**
Occurs after user clicks on the CheckAll item.
*/
add_checkAllChecked(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxCheckAllCheckedEventArgs) => void): void;

remove_checkAllChecked(handler: Function): void;
        /**
Occurs before the items are dropped.
*/
add_dropping(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxDroppingEventArgs) => void): void;

remove_dropping(handler: Function): void;
        /**
Occurs each time the user begins to drag an item.
*/
add_dragStart(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxDragStartEventArgs) => void): void;

remove_dragStart(handler: Function): void;
        /**
Occurs each time the user moves a mouse while dragging an item.
*/
add_dragging(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxDraggingEventArgs) => void): void;

remove_dragging(handler: Function): void;
        /**
occurs for each item that is created during LoadOnDemand binding scenario.
*/
add_itemDataBound(handler: (sender: Telerik.Web.UI.RadListBox, args: ListBoxItemDataBoundEventArgs) => void): void;

remove_itemDataBound(handler: Function): void;
        /**
Occurs just before the mouse passes out of an item.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxMouseOutEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
Occurs when a user right clicks over a RadListBoxItem.
*/
add_contextMenu(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxContextMenuEventArgs) => void): void;

remove_contextMenu(handler: Function): void;
        /**
Occurs when an error has occurred while loading elements using the load-on-demand mechanism.
*/
add_itemsRequestFailed(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxItemsRequestFailedEventArgs) => void): void;

remove_itemsRequestFailed(handler: Function): void;
        /**
Occurs when EnableLoadOnDemand is True and the RadListBox is about to send a server-side request to load more items.
*/
add_itemsRequesting(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxItemsRequestingEventArgs) => void): void;

remove_itemsRequesting(handler: Function): void;
        /**
Occurs when the item or items are about to be deleted. This event can be canceled.
*/
add_deleting(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxDeletingEventArgs) => void): void;

remove_deleting(handler: Function): void;
        /**
Occurs when the mouse cursor passes over an item.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxMouseOverEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
Occurs when the selected item is about to be changed.
*/
add_selectedIndexChanging(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxSelectedIndexChangingEventArgs) => void): void;

remove_selectedIndexChanging(handler: Function): void;
        /**
Occurs when the selected item is about to be transferred to the destination RadListBox
*/
add_transferring(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxTransferringEventArgs) => void): void;

remove_transferring(handler: Function): void;
        /**
Occurs when the user is about to click on the CheckAll item.
*/
add_checkAllChecking(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxCheckAllCheckingEventArgs) => void): void;

remove_checkAllChecking(handler: Function): void;
        /**
Occurs when the user is about to double click the item using.
*/
add_itemDoubleClicking(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxItemDoubleClickingEventArgs) => void): void;

remove_itemDoubleClicking(handler: Function): void;
        /**
Occurs when the user is just about to select a checkbox using mouse or keyboard.
*/
add_itemChecking(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxItemCheckingEventArgs) => void): void;

remove_itemChecking(handler: Function): void;
        /**
Occurs when the user is just about to select a checkbox using mouse or keyboard.
*/
add_itemChecked(handler: (sender: Telerik.Web.UI.RadListBox, args: Telerik.Web.UI.ListBoxItemCheckedEventArgs) => void): void;

remove_itemChecked(handler: Function): void;
    }


    class RadListBoxItem  extends Telerik.Web.UI.ControlItem {
        /**
Evaluates the template against the RadListBoxItem's data item and applies it.
@method
@returns 
*/
bindTemplate(): void;
        /**
Checks the item (equal to set_checked(true))
@method
@returns 
*/
check(): void;
        /**
Creates a new item by copying the properties of the source item
@method
@returns The cloned RadListBoxItem
*/
clone(): Telerik.Web.UI.RadListBoxItem;
        /**
Disables the item if it is enabled
@method
@returns 
*/
disable(): void;
        /**
Enables the item if it is disabled
@method
@returns 
*/
enable(): void;
        /**
If the item is not visible - puts it at the top of the visible area
@method
@returns 
*/
ensureVisible(): void;
        /**
Checks for equality against other RadListBoxItem
@method
@param item - Item to compare against for equality
@returns 
*/
equals(item: Telerik.Web.UI.RadListBoxItem): void;
        /**
Searches the RadListBoxItem for a client control with the specified id parameter.
@method
@param id - The id of the control to search for
@returns 
*/
findControl(id: string): Sys.UI.Control;
        /**
Returns whether the item can be dragged
@method
@returns Bool value indicating whether the item can be dragged
*/
get_allowDrag(): boolean;
        /**
Gets the arbitrary attributes collection
@method
@returns The arbitrary attributes collection
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Returns whether the item can be checked
@method
@returns Bool value indicating whether the item can be checked
*/
get_checkable(): boolean;
        /**
Returns the checkbox input element of the item
@method
@returns HTML element for the item
*/
get_checkBoxElement(): any;
        /**
Returns whether the item is checked
@method
@returns Bool value indicating whether the item is checked
*/
get_checked(): boolean;
        /**
Returns the value of the RadListBoxItem's ClientTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Gets he DOM element for the RadListBoxItem
@method
@returns The DOM element for the RadListBoxItem
*/
get_element(): HTMLElement;
        /**
Returns the image img element of the item
@method
@returns HTML element that holds the item
*/
get_imageElement(): HTMLElement;
        /**
Gets the value of the ImageUrl property
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the RadListBoxItem's index inside the RadListBoxItemCollection
@method
@returns The index of the RadListBoxItem
*/
get_index(): number;
        /**
Gets a value indicating whether the ControlItem is the first item in the ControlItemCollection
@method
@returns Value indicating whether the ControlItem is the first item in the ContorolCollection
*/
get_isFirst(): boolean;
        /**
Gets a value indicating whether the RadListBoxItem is the last item in the ControlItemCollection
@method
@returns Value indicating whether the ControlItem is the last item in the ContorolCollection
*/
get_isLast(): boolean;
        /**
Returns value indicating whether the item is visible
@method
@returns Value indicating whether the item is visible
*/
get_isVisible(): boolean;
        /**
Gets the RadListBox client-object
@method
@returns Returns the parent RadListBox
*/
get_listBox(): Telerik.Web.UI.RadListBox;
        /**
Gets an instance of the next sibling of a ControlItem
@method
@returns The next sibling
*/
get_nextSibling(): Telerik.Web.UI.ControlItem;
        /**
The RadListBoxItem's parent
@method
@returns Gets the RadListBoxItem
*/
get_parent(): HTMLElement;
        /**
Gets an instance of the previous sibling of a ControlItem.
@method
@returns The previous sibling
*/
get_previousSibling(): Telerik.Web.UI.ControlItem;
        /**
Returns whether the item is selected
@method
@returns Value indicating whether the item is selected
*/
get_selected(): boolean;
        /**
Gets the Text of the item
@method
@returns The value of the Text property
*/
get_text(): string;
        /**
Returns the span element of the item
@method
@returns HTML element that holds the item
*/
get_textElement(): HTMLElement;
        /**
Gets the tooltip of the item
@method
@returns 
*/
get_toolTip(): string;
        /**
Gets th Value of the item
@method
@returns The value of the Value propert
*/
get_value(): string;
        /**
Gets a value indicating whether the RadListBoxItem is visible or not
@method
@returns Value indicating whether the RadListBoxItem is visible or not
*/
get_visible(): boolean;
        /**
Puts the item at the;bottom of the visible area;
@method
@returns 
*/
scrollIntoView(): void;
        /**
Selects the item (equal to set_selected(true))
@method
@returns 
*/
select(): void;
        /**
Sets the AllowDrag property (whether the item can be dragged)
@method
@param value - Bool value indicating whether the item can be dragged
@returns 
*/
set_allowDrag(value: boolean): void;
        /**
Sets whether the item can be checked
@method
@param value - Bool value indicating whether the item can be checked
@returns 
*/
set_checkable(value: boolean): void;
        /**
Checks the item
@method
@param value - Bool velue indicating whether the item should be checked
@returns 
*/
set_checked(value: boolean): void;
        /**
Sets the value of the RadListBoxItem's ClientTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the item's dom element
@method
@param value - The HTML element of the item
@returns 
*/
set_element(value: HTMLElement): void;
        /**

@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the ImageUrl property of the item
@method
@param value - String value for the ImageUrl property
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the RadListBoxItem's parent
@method
@param value - DOM element
@returns 
*/
set_parent(value: HTMLElement): void;
        /**
Selects the item
@method
@param value - Bool value indicating whether the item is selected
@returns 
*/
set_selected(value: boolean): void;
        /**
Sets the RadListBoxItem's text
@method
@param text - The new RadListBoxItem text
@returns 
*/
set_text(text: string): void;
        /**
Sets the tooltip of the item
@method
@param value - String value for the ToolTip property
@returns 
*/
set_toolTip(value: string): void;
        /**

@method
@param value - The new RadListBoxItem text
@returns 
*/
set_value(value: string): void;
        /**
Sets whether the item is visible
@method
@param value - Indicates whether the item is visible.
@returns 
*/
set_visible(value: boolean): void;
        /**
The JSON representation of the RadListBoxItem
@method
@returns Returns the JSON representation of the RadListBoxItem
*/
toJsonString(): string;
        /**
Un-checks the item (equal to set_checked(false))
@method
@returns 
*/
uncheck(): void;
        /**
Unselects the item (equal to set_selected(false))
@method
@returns 
*/
unselect(): void;
    }


    class RadListBoxItemCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadListBoxItem> {
        /**
Adds an item to the Items collection.
@method
@param item - The item that will ba added.
@returns 
*/
add(item: Telerik.Web.UI.RadListBoxItem): void;
        /**
Clears the Items collection of RadListBox
@method
@returns 
*/
clear(): void;
        /**
Searches the collection against a match passed as a parameter
@method
@param match - Predicate that that all items in the collection are checked against. The first match is returned.
@returns 
*/
find(match: Function): void;
        /**
Iterates through the Items collection
@method
@param lambda - The function to execute on each iteration
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of items in the Items collection.
@method
@returns The number of the items
*/
get_count(): number;
        /**
Gets the last N items where N is passed as a parameter
@method
@param value - Indicates the last N items that should be returned
@returns 
*/
get_last(value: number): void;
        /**
Gets the item from the Items collection residing at the index specified by the parameter.
@method
@param index - The index of the Item that should be returned.
@returns ListBoxItem
*/
getItem(index: number): Telerik.Web.UI.RadListBoxItem;
        /**
Removes the item at the specified index.
@method
@param index - The index to remove at
@returns 
*/
removeAt(index: number): void;
    }


    class RadListView  extends Telerik.Web.UI.RadWebControl {
        /**
Appends additional data to the current data source and creates new items for the new data. Existing items are not modified.
@method
@param data - A javascript array of objects to append
@returns 
*/
appendData(data: any): void;
        /**
Cancels insert operation and hides RadListView's insertion form
@method
@returns 
*/
cancelInsert(): void;
        /**
Cancels RadListView item update (with index specified as an argument)
@method
@param itemIndex - Index of the edited item for which update operation will be aborted
@returns 
*/
cancelUpdate(itemIndex: number): void;
        /**
Clears the cached data when caching is enabled with client-side databinding in RadListView
@method
@param forCurrentState - Optional
@returns 
*/
clearCache(forCurrentState: boolean): void;
        /**
Clears the filter expressions for the specified field. If no field is specified, clears all filter expression in RadListView
@method
@param field - Optional
@param doNotFireCommand - Optional
@returns 
*/
clearFilter(field: string, doNotFireCommand: boolean): void;
        /**
Clears all selected items in RadListView
@method
@param doNotRebind - Optional
@returns 
*/
clearSelectedItems(doNotRebind: boolean): void;
        /**
Clears the sorting of the specified field or all the sort expressions if no field is specified.
@method
@param field - Optional
@param doNotFireCommand - Optional
@returns 
*/
clearSort(field: string, doNotFireCommand: boolean): void;
        /**
Databinds the listview when the client-side data source is set
@method
@returns 
*/
dataBind(): void;
        /**
Deletes RadListView item with index specified as an argument
@method
@param itemIndex - Index of the item that will be deleted
@returns 
*/
deleteItem(itemIndex: number): void;
        /**
Deselects an item in RadListViews
@method
@param index - An integer index of the item to deselect.
@param doNotRebind - Optional
@returns 
*/
deselectItem(index: number, doNotRebind: boolean): void;
        /**
Switches RadListView item into edit mode (with index specified as an argument)
@method
@param itemIndex - Index of the item that will be edited
@returns 
*/
editItem(itemIndex: number): void;
        /**
Applies a filter to the data in RadListView
@method
@param field - The field name to filter.
@param filterFunction - The filter function to use. Accepted values are specified by the Telerik.Web.UI.RadListViewFilterFunction object.
@param value - The filter value to use for the specified field.
@param doNotFireCommand - Optional
@returns 
*/
filter(field: string, filterFunction: string, value: string, doNotFireCommand: boolean): void;
        /**
Fires command with command name and command argument specified as arguments
@method
@param commandName - The name of the command that will be executed. Possible values are listed here
@param commandArgument - The command argument with which the command will be executed. Possible values are listed here
@returns 
*/
fireCommand(commandName: string, commandArgument: string): void;
        /**
Gets a value indicating whether multi-item selection is enabled in RadListView
@method
@returns 
*/
get_allowMultiItemSelection(): boolean;
        /**
Gets a value indicating whether natural sort is enabled in RadListView
@method
@returns 
*/
get_allowNaturalSort(): boolean;
        /**
Specifies whether paging is enabled in RadListView
@method
@returns 
*/
get_allowPaging(): boolean;
        /**
Gets a two-dimensional array of client key values. Item indices and names stored in the ClientDataKeyNames collection on the server can be used as array indices. Example: get_clientDataKeyValue()[0]["CustomerID"] - returns the CustomerID clinet key value for the first RadListView item.
@method
@returns 
*/
get_clientDataKeyValue(): any;
        /**
Gets the current client settings applied for RadListView
@method
@returns 
*/
get_clientSettings(): any;
        /**
Gets the current page index in case paging for RadListView is enabled
@method
@returns 
*/
get_currentPageIndex(): number;
        /**
Gets the data source javascript array of RadListView
@method
@returns 
*/
get_dataSource(): any;
        /**
Retrieves the filter expressions collection in RadListView
@method
@returns 
*/
get_filterExpressions(): Telerik.Web.UI.RadListViewFilterExpressions;
        /**
Indicates whether RadListView is currently databinding on the client-side
@method
@returns 
*/
get_isDataBinding(): boolean;
        /**
Indicates whether RadListView is setup for client-side databinding
@method
@returns 
*/
get_isDataBoundOnClient(): boolean;
        /**
Indicates whether RadListView is initialized entirely on the client-side with no server-side control
@method
@returns 
*/
get_isInitializedOnClient(): boolean;
        /**
Gets a value indicating whether the insert form is currently shown
@method
@returns 
*/
get_isItemInserted(): boolean;
        /**
Gets the page count in RadListView
@method
@returns 
*/
get_pageCount(): number;
        /**
Gets the page size in RadListView
@method
@returns 
*/
get_pageSize(): number;
        /**
Gets the selected indexes array in RadListView. The array should contain the numeric indexes of selected items.
@method
@returns 
*/
get_selectedIndexes(): any;
        /**
Gets the skin set to the RadListView's control
@method
@returns Gets the skin applied in RadListView
*/
get_skin(): string;
        /**
Retrieves the sort expressions collection in RadListView
@method
@returns 
*/
get_sortExpressions(): Telerik.Web.UI.RadListViewSortExpressions;
        /**
Gets the unique id of RadListView's container
@method
@returns 
*/
get_uniqueID(): string;
        /**
Gets the total number of items RadListView can bind to. This value is used for page calculations.
@method
@returns 
*/
get_virtualItemCount(): number;
        /**
Inserts a new item in RadListView with values taken from its insertion form
@method
@returns 
*/
insertItem(): void;
        /**
Navigates RadListView to the page specified as an argument. If server-side databinding is used, RadDataPager should be used for page navigation
@method
@param command - The actual page to which the user will be navigated. Possible values are
@param doNotFireCommand - Optional
@returns 
*/
page(command: string, doNotFireCommand: boolean): void;
        /**
Rebinds RadListView to its given data source
@method
@returns 
*/
rebind(): void;
        /**
Rebinds a single item specified by its index
@method
@param index - The index of the item to rebind
@returns 
*/
rebindItem(index: number): void;
        /**
Selects all items in RadListView
@method
@param doNotRebind - Optional
@returns 
*/
selectAllItems(doNotRebind: boolean): void;
        /**
Selects an item in RadListView
@method
@param index - An integer index of the item to select.
@param doNotRebind - Optional
@returns 
*/
selectItem(index: number, doNotRebind: boolean): void;
        /**
Sets a value indicating whether paging is allowed in RadListView
@method
@param value - A boolean value indicating whether paging is enabled
@returns 
*/
set_allowPaging(value: boolean): void;
        /**
Sets the current page index in RadListView
@method
@param value - An integer value greater than or equal to 0
@returns 
*/
set_currentPageIndex(value: number): void;
        /**
Sets the data source of RadListView
@method
@param value - A javascript array of objects
@returns 
*/
set_dataSource(value: any): void;
        /**
Sets the page size in RadListView
@method
@param value - An integer value greater than 0
@returns 
*/
set_pageSize(value: number): void;
        /**
Sets the array containing the selected indexes
@method
@param value - A javascript array of integer values representing the selected indexes in RadListView
@returns 
*/
set_selectedIndexes(value: any): void;
        /**
Sets the virtual item count in RadListView
@method
@param value - An integer value greater than or equal to 0
@returns 
*/
set_virtualItemCount(value: number): void;
        /**
Displays RadListView's insertion form
@method
@param insertItemPosition - Optional
@returns 
*/
showInsertItem(insertItemPosition: number): void;
        /**
Sorts the data in RadListView
@method
@param field - The field name to sort by. If no sort order is specified
@param order - Optional
@param doNotFireCommand - Optional
@returns 
*/
sort(field: string, order: string, doNotFireCommand: boolean): void;
        /**
Toggles between the selected and deselected state of an item in RadListViews
@method
@param index - An integer index of the item to toggle.
@param doNotRebind - Optional
@returns 
*/
toggleSelection(index: number, doNotRebind: boolean): void;
        /**
Updates RadListView item (with index specified as an argument)
@method
@param itemIndex - Index of the edited item that will be updated
@returns 
*/
updateItem(itemIndex: number): void;
        /**
Fired after an item is deselected.
*/
add_ItemDeselected(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewItemDeselectedEventArgs) => void): void;

remove_ItemDeselected(handler: Function): void;
        /**
Fired after the RadListView instance is created.
*/
add_ListViewCreated(handler: (sender: Telerik.Web.UI.RadListView, args: Sys.EventArgs) => void): void;

remove_ListViewCreated(handler: Function): void;
        /**
Fired after the RadListView is bound on the client.
*/
add_DataBound(handler: (sender: Telerik.Web.UI.RadListView, args: Sys.EventArgs) => void): void;

remove_DataBound(handler: Function): void;
        /**
Fired before the RadListView instance is created.
*/
add_ListViewCreating(handler: (sender: Telerik.Web.UI.RadListView, args: Sys.EventArgs) => void): void;

remove_ListViewCreating(handler: Function): void;
        /**
This client-side event is fired before RadListView databinds.
*/
add_DataBinding(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewDataBindingEventArgs) => void): void;

remove_DataBinding(handler: Function): void;
        /**
This client-side event is fired when RadListView fails to databind automatically to a web service.
*/
add_DataBindingFailed(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewDataBindingFailedEventArgs) => void): void;

remove_DataBindingFailed(handler: Function): void;
        /**
The event is fired when an item is about to be deselected.
*/
add_ItemDeselecting(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewItemDeselectingEventArgs) => void): void;

remove_ItemDeselecting(handler: Function): void;
        /**
Fired when a client-side template is databound
*/
add_TemplateDataBound(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewTemplateDataBoundEventArgs) => void): void;

remove_TemplateDataBound(handler: Function): void;
        /**
Fired when a command is about to be executed.
*/
add_Command(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewCommandEventArgs) => void): void;

remove_Command(handler: Function): void;
        /**
Fired when a template is created.
*/
add_TemplateCreated(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewTemplateCreatedEventArgs) => void): void;

remove_TemplateCreated(handler: Function): void;
        /**
Firen when an item is about to be selected.
*/
add_ItemSelecting(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewItemSelectingEventArgs) => void): void;

remove_ItemSelecting(handler: Function): void;
        /**
Fired when an item is dragged.
*/
add_ItemDragging(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewItemDraggingEventArgs) => void): void;

remove_ItemDragging(handler: Function): void;
        /**
Firen when an item is selected.
*/
add_ItemSelected(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewItemSelectedEventArgs) => void): void;

remove_ItemSelected(handler: Function): void;
        /**
Fired when automatic data-binding to a web service is used and the data source is resolved.
*/
add_DataSourceResolved(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewDataSourceResolvedEventArgs) => void): void;

remove_DataSourceResolved(handler: Function): void;
        /**
Fired when the dragged item is being dropped over an element.
*/
add_ItemDropping(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewItemDroppingEventArgs) => void): void;

remove_ItemDropping(handler: Function): void;
        /**
Fired when the dragged item is dropped.
*/
add_ItemDropped(handler: (sender: Telerik.Web.UI.RadListView, args: ListViewItemDroppedEventArgs) => void): void;

remove_ItemDropped(handler: Function): void;
        /**
Fired when the RadListView instance is about to be disposed.
*/
add_ListViewDestroying(handler: (sender: Telerik.Web.UI.RadListView, args: Sys.EventArgs) => void): void;

remove_ListViewDestroying(handler: Function): void;
    }


    class RadListViewFilterExpression   {
        /**
Gets the field name of the expression
@method
@returns 
*/
get_fieldName(): string;
        /**
Gets the filter function of the expression
@method
@returns 
*/
get_filterFunction(): string;
        /**
Gets the filter value of the expression
@method
@returns 
*/
get_value(): any;
        /**
Returns a boolean value indicating whether the current expression is equal to or contains the specified parameters.
@method
@param fieldName - The field name
@param filterFunction - Optional
@param filterValue - Optional
@returns 
*/
isEqualTo(fieldName: Telerik.Web.UI.RadListViewFilterExpression, filterFunction: string, filterValue: any): void;
        /**
Sets the field name of this expression
@method
@param value - The field name of the expression
@returns 
*/
set_fieldName(value: string): void;
        /**
Sets the filter function of this expression
@method
@param value - One of the Telerik.Web.UI.RadListViewFilterFunction enumeration values
@returns 
*/
set_filterFunction(value: string): void;
        /**
Sets the filter value of this expression
@method
@param value - The filter value of this expression
@returns 
*/
set_value(value: any): void;
        /**
Returns a Dynamic LINQ string representation of this expression
@method
@returns 
*/
toLinq(): void;
        /**
Returns a JSON object representing this field expression The object has the following fields: {field: "ID", filter: "EqualTo", value: 7}.
@method
@returns 
*/
toObject(): void;
        /**
Returns an OData string representation of this expression
@method
@returns 
*/
toOData(): void;
        /**
Returns an SQL string representation of this expression
@method
@returns 
*/
toSql(): void;
    }


    class RadListViewFilterExpressionBuilder   {
        /**
Builds a filter expression for a "Contains" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
contains(fieldName: string, filterValue: string): void;
        /**
Builds a filter expression for a "EndsWith" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
endsWith(fieldName: string, filterValue: string): void;
        /**
Builds a filter expression for an "EqualTo" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
equalTo(fieldName: string, filterValue: any): void;
        /**
Builds a filter expression for a "GreaterThan" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
greaterThan(fieldName: string, filterValue: any): void;
        /**
Builds a filter expression for a "GreaterThanOrEqualTo" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
greaterThanOrEqualTo(fieldName: string, filterValue: any): void;
        /**
Builds a filter expression for a "Group" filter
@method
@param groupBuilderFunction - The function that builds the expressions in the group. A Telerik.Web.UI.RadListViewFilterExpressionBuilder is passed as a first argument to the function
@returns 
*/
group(groupBuilderFunction: Function): void;
        /**
Builds a filter expression for a "IsEmpty" filter
@method
@param fieldName - The field name to check for empty values
@returns 
*/
isEmpty(fieldName: string): void;
        /**
Builds a filter expression for a "NotIsEmpty" filter
@method
@param fieldName - The field name to check for not empty values
@returns 
*/
isNotEmpty(fieldName: string): void;
        /**
Builds a filter expression for a "NotIsNull" filter
@method
@param fieldName - The field name to check for not null values
@returns 
*/
isNotNull(fieldName: string): void;
        /**
Builds a filter expression for a "IsNull" filter
@method
@param fieldName - The field name to check for null values
@returns 
*/
isNull(fieldName: string): void;
        /**
Builds a filter expression for a "LessThan" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
lessThan(fieldName: string, filterValue: any): void;
        /**
Builds a filter expression for a "LessThanOrEqualTo" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
lessThanOrEqualTo(fieldName: string, filterValue: any): void;
        /**
Builds a filter expression for a "NotEqualTo" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
notEqualTo(fieldName: string, filterValue: any): void;
        /**
Builds a filter expression for a "StartsWith" filter
@method
@param fieldName - The field name of the expression
@param filterValue - The filter value of the expression
@returns 
*/
startsWith(fieldName: string, filterValue: string): void;
    }


    class RadListViewFilterExpressionLogicBuilder   {
        /**
Groups filter expressions with an AND operator
@method
@returns 
*/
and(): void;
        /**
Groups filter expressions with an OR operator
@method
@returns 
*/
or(): void;
    }


    class RadListViewFilterExpressions   {
        /**
Adds a new filter expression to the collection
@method
@param fieldName - The field name of the filter expression or the Telerik.Web.UI.RadListViewFilterExpression instance itself to add
@param filterFunction - Optional
@param filterValue - Optional
@returns 
*/
add(fieldName: Telerik.Web.UI.RadListViewFilterExpression, filterFunction: string, filterValue: any): void;
        /**
Retrieves a Telerik.Web.UI.RadListViewFilterExpressionBuilder instance that can be used for building the filter expressions in this collection
@method
@returns 
*/
build(): void;
        /**
Clears the items of this filter expression collection
@method
@returns 
*/
clear(): void;
        /**
Retrieves the count of items in this filter expression collection
@method
@returns 
*/
get_count(): number;
        /**
Retrieves the filter expression at the specified index
@method
@param index - The index at which to retrieve
@returns 
*/
getItem(index: number): void;
        /**
Retrieves the index of the specified filter expression in the collection
@method
@param fieldName - The field name of the filter expression or the Telerik.Web.UI.RadListViewFilterExpression instance itself whose index to retrieve
@param filterFunction - Optional
@param filterValue - Optional
@returns 
*/
indexOf(fieldName: Telerik.Web.UI.RadListViewFilterExpression, filterFunction: string, filterValue: any): void;
        /**
Inserts a new filter expression to the collection at the specified position
@method
@param index - The index at which to insert
@param fieldName - The field name of the filter expression or the Telerik.Web.UI.RadListViewFilterExpression instance itself to add
@param filterFunction - Optional
@param filterValue - Optional
@returns 
*/
insert(index: number, fieldName: Telerik.Web.UI.RadListViewFilterExpression, filterFunction: string, filterValue: any): void;
        /**
Removes a filter expression from the collection
@method
@param fieldName - The field name of the filter expression or the Telerik.Web.UI.RadListViewFilterExpression instance itself to remove
@param filterFunction - Optional
@param filterValue - Optional
@returns 
*/
remove(fieldName: Telerik.Web.UI.RadListViewFilterExpression, filterFunction: string, filterValue: any): void;
        /**
Removes the filter expression at the specified position
@method
@param index - The index at which to remove
@returns 
*/
removeAt(index: number): void;
        /**
Returns a Dynamic LINQ representation of this filter expressions collection
@method
@returns 
*/
toLinq(): void;
        /**
Returns a javascript array representation of this filter expressions collection
@method
@returns 
*/
toList(): void;
        /**
Returns an OData representation of this filter expressions collection
@method
@returns 
*/
toOData(): void;
        /**
Returns an SQL representation of this filter expressions collection
@method
@returns 
*/
toSql(): void;
    }


    class RadListViewFilterFunction   {
        /**
Enumerates the logial group filter operators in RadListView
@method
@returns 
*/
static Telerik(): void;
    }


    class RadListViewGroupFilterExpression  extends Telerik.Web.UI.RadListViewFilterExpression {
        /**
Gets the filter expressions collection that this group filter expression contains
@method
@returns 
*/
get_filterExpressions(): Telerik.Web.UI.RadListViewFilterExpressions;
        /**
Gets the group operator of this group expression
@method
@returns 
*/
get_groupOperator(): string;
        /**
Sets the filter expression collection of this group filter expression
@method
@param value - The filter expression collection that this group filter expression contains
@returns 
*/
set_filterExpressions(value: Telerik.Web.UI.RadListViewFilterExpressions): void;
        /**
Sets the group operator of this group filter expression
@method
@param value - One of the Telerik.Web.UI.RadListViewGroupFilterOperator values
@returns 
*/
set_groupOpertor(value: string): void;
    }


    class RadListViewSortExpressionBuilder   {
        /**
Adds a sort expression to the collection
@method
@param field - The field name that is sorted
@param order - Optional
@returns 
*/
add(field: string, order: string): void;
        /**
Clears the sort expressions collection
@method
@returns 
*/
clear(): void;
        /**
Removes a field from the sort expressions
@method
@param field - The field name to remove
@returns 
*/
remove(field: string): void;
        /**
Toggles the sort order of the specified field
@method
@param field - The field whose sort order to toggle
@returns 
*/
toggle(field: string): void;
    }


    class RadListViewSortExpressions   {
        /**
Adds a sort expression to the collection
@method
@param field - The field name that is sorted
@param order - Optional
@returns 
*/
add(field: string, order: string): void;
        /**
Retrieves a Telerik.Web.UI.RadListViewSortExpressionBuilder instance that can be used for fluent expression building.
@method
@returns 
*/
build(): void;
        /**
Clears the sort expressions collection
@method
@returns 
*/
clear(): void;
        /**
Retrieves the number of expressions in the collection
@method
@returns 
*/
get_count(): number;
        /**
Retrieves a sort expression by specified index or field name.
@method
@param fieldOrIndex - The field or index to find the expression by
@returns 
*/
getItem(fieldOrIndex: string): void;
        /**
Retrieves the sort order for the specified sort expression
@method
@param field - The field name whose sort order to retrieve
@returns 
*/
getSortOrder(field: string): void;
        /**
Retrieves the index of the sort expression with the specified field name
@method
@param field - The field of the expression whose index to find
@returns 
*/
indexOf(field: string): void;
        /**
Removes a field from the sort expressions
@method
@param field - The field name to remove
@returns 
*/
remove(field: string): void;
        /**
Toggles the sort order of the specified field
@method
@param field - The field whose sort order to toggle
@returns 
*/
toggle(field: string): void;
        /**
Returns a Dynamic LINQ representation of the current sort expression collection.
@method
@returns 
*/
toLinq(): void;
        /**
Returns a list representation of the current sort expression collection.
@method
@returns 
*/
toList(): void;
        /**
Returns an OData formatted representation of the current sort expression collection.
@method
@returns 
*/
toOData(): void;
        /**
Returns an SQL representation of the current sort expression collection.
@method
@returns 
*/
toSql(): void;
    }


    class RadListViewUrlBuilder   {
        /**
Appends the specified name and value to the query parameters of the URL
@method
@param name - The name of the URL parameter to append
@param value - The value of the URL parameter to append
@returns 
*/
appendParameter(name: string, value: any): void;
        /**
Appends the name/value pairs in the specified object to the query parameters
@method
@param data - The object whose fields to use as query parameters
@returns 
*/
appendParameters(data: any): void;
        /**
Appends the specified subpath to the path of the URL
@method
@param path - The subpath to append
@returns 
*/
appendPath(path: string): void;
        /**
Appends the specified URL query part to this URL
@method
@param query - The URL query part to append
@returns 
*/
appendQuery(query: string): void;
        /**
Retrieves the value of the URL parameter with the specified name
@method
@param name - The name of the URL parameter to retrieve
@returns 
*/
getParameter(name: string): void;
        /**
Retrieves the path of the URL
@method
@returns 
*/
getPath(): void;
        /**
Retrieves the query string part of this URL
@method
@returns 
*/
getQuery(): void;
        /**
Parses the specified URL and uses it as a base for building the URL in this builder
@method
@param url - The base URL this builder will use
@returns 
*/
parse(url: string): void;
        /**
Removes the parameter with the specified name from the URL parameters of the URL
@method
@param name - The name of the URL parameter to remove
@returns 
*/
removeParameter(name: string): void;
        /**
Removes the specified subpath from the path of the URL
@method
@param path - The subpath to remove
@returns 
*/
removePath(path: string): void;
    }


    class RadLiveTile  extends Telerik.Web.UI.RadBaseTile {
        /**
Returns the AnimationManager responsible for showing / hiding the client template
@method
@returns 
*/
get_animationManager(): void;
        /**
Gets the HTML template that will be instantiated in the tile after live data request
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Returns the interval (in milliseconds) after which the tile will automatically update the content
@method
@returns 
*/
get_updateInterval(): string;
        /**
Parameters
@method
@returns 
*/
Name(): void;
        /**
Sets the HTML template that will be instantiated in the tile after live data request
@method
@param value - 
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the interval (in milliseconds) after which the tile will automatically update the content.
@method
@param value - 
@returns 
*/
set_updateInterval(value: number): void;
        /**
The dataLoaded event occurs after the data request returns the data successfully.
*/
add_dataLoaded(handler: (sender: Telerik.Web.UI.RadLiveTile, args: Telerik.Web.UI.LiveTileDataEventArgs) => void): void;

remove_dataLoaded(handler: Function): void;
        /**
The dataLoading client-side event occurs before the data request is executed.
*/
add_dataLoading(handler: (sender: Telerik.Web.UI.RadLiveTile, args: Telerik.Web.UI.LiveTileCancelEventArgs) => void): void;

remove_dataLoading(handler: Function): void;
        /**
The dataLoadingError event occurs after the data request returns error.
*/
add_dataLoadingError(handler: (sender: Telerik.Web.UI.RadLiveTile, args: Telerik.Web.UI.LiveTileErrorEventArgs) => void): void;

remove_dataLoadingError(handler: Function): void;
        /**
The templateDataBound client-side event occurs after the client template is data bound.
*/
add_templateDataBound(handler: (sender: Telerik.Web.UI.RadLiveTile, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_templateDataBound(handler: Function): void;
    }


    class RadMap  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the instance of the Kendo Map widget. 
To use the exposed Kendo methods make sure you have the kendo.dataviz.d.ts file and cast the returned object to kendo.dataviz.ui.Map.
@method
@returns 
*/
get_kendoWidget(): any;
        /**
Causes the control to repaint (re-render).
@method
@returns 
*/
repaint(): void;
        /**
Saves the current zoom level and center value to preserve them between post backs.
@method
@returns 
*/
saveClientState(): string;
        /**
This event is raised before the initialization of the Map.
*/
add_initialize(handler: (sender: Telerik.Web.UI.RadMap, args: Telerik.Web.UI.RadMapInitializeEventArgs) => void): void;

remove_initialize(handler: Function): void;
        /**
This event is raised when the initialization of the Map is finished and all its elements are rendered on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadMap, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
    }


    class RadMapInitializeEventArgs  extends Sys.EventArgs {
        /**
Returns the JavaScript object that will configure the Map.
@method
@returns 
*/
get_options(): any;
        /**
Sets the JavaScript object that will configure the Map.
@method
@param options - 
@returns 
*/
set_options(options: any): void;
    }


    class RadMaskedTextBox  extends Telerik.Web.UI.RadInputControl {
        /**
Indicating whether RadInputControl loses focus
@method
@returns 
*/
blur(): void;
        /**
Clears the client instance of RadInputControl
@method
@returns 
*/
clear(): void;
        /**
Disables the client instance of RadInputControl
@method
@returns 
*/
disable(): void;
        /**
Enables the client instance of RadInputControl
@method
@returns 
*/
enable(): void;
        /**
Indicating whether RadInputControl enter focus
@method
@returns 
*/
focus(): void;
        /**
Returns true if enumerated mask parts can be set to an empty string
@method
@returns 
*/
get_allowEmptyEnumerations(): boolean;
        /**
Returns the value of the AutoPostBack property
@method
@returns 
*/
get_autoPostBack(): boolean;
        /**
Returns the current position of the caret.
@method
@returns 
*/
get_caretPosition(): number;
        /**
Gets the display format position of the RadMaskedTextBox control
@method
@returns 
*/
get_displayFormatPosition(): Telerik.Web.UI.DisplayFormatPosition;
        /**
Returns the prompt character that is used when the text box does not have focus
@method
@returns 
*/
get_displayPromptChar(): string;
        /**
Gets the value of RadInputControl as it is formatted when the input does not have focus
@method
@returns 
*/
get_displayValue(): string;
        /**
Gets the value of RadInputControl as it is formatted when the input has focus
@method
@returns 
*/
get_editValue(): string;
        /**
Returns the message that appears when the input value is an empty string
@method
@returns 
*/
get_emptyMessage(): string;
        /**
Returns true if the input is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns true if the prompt characters and literals are not displayed when the text box is empty and does not have focus
@method
@returns 
*/
get_hideOnBlur(): boolean;
        /**
Returns true if the input in error state (riError class is applied)
@method
@returns 
*/
get_invalid(): boolean;
        /**
Gets the invalid style duration of RadInputControl
@method
@returns 
*/
get_invalidStyleDuration(): number;
        /**
Returns the prompt of the RadMaskTextBox control
@method
@returns 
*/
get_prompt(): string;
        /**
Returns the prompt character
@method
@returns 
*/
get_promptChar(): string;
        /**
Returns true if the text box is read-only
@method
@returns 
*/
get_readOnly(): boolean;
        /**
Returns a Boolean value indicating if the caret position on the RadMaskedTextBox control should be reset on focus
@method
@returns 
*/
get_resetCaretOnFocus(): boolean;
        /**
Returns a Boolean value indicating if the numeric ranges of the RadMaskedTextBox control should be rounded
@method
@returns 
*/
get_roundNumericRanges(): boolean;
        /**
Returns the value of the SelectionOnFocus property
@method
@returns 
*/
get_selectionOnFocus(): Telerik.Web.UI.SelectionOnFocus;
        /**
Returns true if the input has an associated image button
@method
@returns 
*/
get_showButton(): boolean;
        /**
Returns the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@returns 
*/
get_styles(): any;
        /**
Gets the string that the user typed into the input
@method
@returns 
*/
get_textBoxValue(): string;
        /**
Returns the value of the text box
@method
@returns 
*/
get_value(): string;
        /**
Returns the value of the text box, including the literal characters from the mask
@method
@returns 
*/
get_valueWithLiterals(): string;
        /**
Returns the value of the text box, including the prompt characters and literal characters from the mask
@method
@returns 
*/
get_valueWithPromptAndLiterals(): string;
        /**
Returns whether the input element is rendered as hidden or not. Does not apply if the control is inside another hidden html element
@method
@returns 
*/
get_visible(): boolean;
        /**
Gets the DOM element for the DIV wrapper element
@method
@returns 
*/
get_wrapperElement(): HTMLElement;
        /**
Returns true if the value of the text box is selected
@method
@param e - 
@returns 
*/
inSelection(e: any): void;
        /**
Returns true if the value of the RadInputControl is empty
@method
@returns 
*/
isEmpty(): void;
        /**
Returns true if the value of the RadInputControl is multi line
@method
@returns 
*/
isMultiLine(): void;
        /**
Returns true if the value of the RadInputControl is a negative number
@method
@returns 
*/
isNegative(): void;
        /**
Returns true if the value of the RadInputControl is read only
@method
@returns 
*/
isReadOnly(): void;
        /**
Raises the blur event
@method
@param args - 
@returns 
*/
raise_blur(args: Sys.EventArgs): void;
        /**
Raises the buttonClick event
@method
@param args - 
@returns 
*/
raise_buttonClick(args: Sys.EventArgs): void;
        /**
Raises the handler for the mouseOver event
@method
@param args - 
@returns 
*/
raise_disable(args: Sys.EventArgs): void;
        /**
Raises the enable event
@method
@param args - 
@returns 
*/
raise_enable(args: Sys.EventArgs): void;
        /**
Raises the enumerationChanged event
@method
@param args - 
@returns 
*/
raise_enumerationChanged(args: Sys.EventArgs): void;
        /**
Raises the error event
@method
@param args - 
@returns 
*/
raise_error(args: Sys.EventArgs): void;
        /**
Raises the focus event
@method
@param args - 
@returns 
*/
raise_focus(args: Sys.EventArgs): void;
        /**
Raises the keyPress event
@method
@param args - 
@returns 
*/
raise_keyPress(args: Sys.EventArgs): void;
        /**
Raises the load event
@method
@param args - 
@returns 
*/
raise_load(args: Sys.EventArgs): void;
        /**
Raises the mouseOut event
@method
@param args - 
@returns 
*/
raise_mouseOut(args: Sys.EventArgs): void;
        /**
Raises the mouseOver event
@method
@param args - 
@returns 
*/
raise_mouseOver(args: Sys.EventArgs): void;
        /**
Raises the moveDown event
@method
@param args - 
@returns 
*/
raise_moveDown(args: Sys.EventArgs): void;
        /**
Raises the moveUp event
@method
@param args - 
@returns 
*/
raise_moveUp(args: Sys.EventArgs): void;
        /**
Raises the valueChanged event
@method
@param newValue - 
@param oldValue - 
@returns 
*/
raise_valueChanged(newValue: any, oldValue: any): void;
        /**
Raises the valueChanging event
@method
@param args - 
@returns 
*/
raise_valueChanging(args: Sys.EventArgs): void;
        /**
Raises the postback event of RadInputControl
@method
@returns 
*/
raisePostBackEvent(): void;
        /**
Redraws the client side object on the client
@method
@returns 
*/
repaint(): void;
        /**
Resets the cursor position
@method
@returns 
*/
resetCursor(): void;
        /**
Saves the client state of the RadMaskedTextBox control
@method
@returns 
*/
saveClientState(): void;
        /**
Selects all text in the RadInputControl
@method
@returns 
*/
selectAllText(): void;
        /**
Selects the text in the specified range of positions. The first parameter is the start of the range and the second is the end of the range
@method
@param start - 
@param end - 
@returns 
*/
selectText(start: number, end: number): void;
        /**
Sets true if enumerated mask parts can be set to an empty string
@method
@param value - 
@returns 
*/
set_allowEmptyEnumerations(value: boolean): void;
        /**
Enables or disables postbacks when the user changes the text in the input
@method
@param value - 
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Sets the position of the caret
@method
@param position - 
@returns 
*/
set_caretPosition(position: number): void;
        /**
Sets the cursor position of the RadMaskedTextBox control
@method
@param position - 
@returns 
*/
set_cursorPosition(position: number): void;
        /**
Sets the display format position of the RadMaskedTextBox control
@method
@param value - Possible values are Telerik.Web.UI.DisplayFormatPosition.Left and Telerik.Web.UI.DisplayFormatPosition.Right
@returns 
*/
set_displayFormatPosition(value: Telerik.Web.UI.DisplayFormatPosition): void;
        /**
Sets the prompt character that is used when the text box does not have focus.
@method
@param value - 
@returns 
*/
set_displayPromptChar(value: string): void;
        /**
Sets the message that appears when the input value is an empty string
@method
@param value - 
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets true if the input is enabled
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets true if the prompt characters and literals are not displayed when the text box is empty and does not have focus
@method
@param value - 
@returns 
*/
set_hideOnBlur(value: boolean): void;
        /**
Sets if the input should be in error state (riError class to be applied)
@method
@param value - 
@returns 
*/
set_invalid(value: boolean): void;
        /**
Sets the invalid style duration of RadInputControl
@method
@param value - 
@returns 
*/
set_invalidStyleDuration(value: number): void;
        /**
Sets the prompt character
@method
@param value - 
@returns 
*/
set_promptChar(value: string): void;
        /**
Sets true if the text box is read-only
@method
@param value - 
@returns 
*/
set_readOnly(value: boolean): void;
        /**
Accepts a Boolean value indicating if the caret position on the RadMaskedTextBox control should be reset on focus
@method
@param value - 
@returns 
*/
set_resetCaretOnFocus(value: boolean): void;
        /**
Accepts a Boolean value indicating if the numeric ranges of the RadMaskedTextBox control should be rounded
@method
@param value - 
@returns 
*/
set_roundNumericRanges(value: boolean): void;
        /**
Sets the SelectionOnFocus property
@method
@param value - 
@returns 
*/
set_selectionOnFocus(value: Telerik.Web.UI.SelectionOnFocus): void;
        /**
Accepts true if the input has an associated image button
@method
@param value - 
@returns 
*/
set_showButton(value: boolean): void;
        /**
Sets the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@param value - 
@returns 
*/
set_styles(value: any): void;
        /**
Sets the string that the user typed into the input
@method
@param value - 
@returns 
*/
set_textBoxValue(value: string): void;
        /**
Sets the value of the text box
@method
@param newValue - 
@returns 
*/
set_value(newValue: string): void;
        /**
Sets the input element as hidden on the client
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
        /**
Updates the css class of RadInputControl
@method
@returns 
*/
updateCssClass(): void;
        /**
Updates the css text of RadInputControl
@method
@param styleCssText - 
@returns 
*/
updateCssText(styleCssText: string): void;
        /**
Updates the display value of RadInputControl
@method
@returns 
*/
updateDisplayValue(): void;
        /**
Updates the value of the hidden input field
@method
@returns 
*/
updateHiddenValue(): void;
        /**
Raised after the control loses focus just before a new value has been assigned.
*/
add_valueChanging(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Telerik.Web.UI.InputValueChangingEventArgs) => void): void;

remove_valueChanging(handler: Function): void;
        /**
Raised when the control is disabled
*/
add_disable(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Sys.EventArgs) => void): void;

remove_disable(handler: Function): void;
        /**
Raised when the control is enabled
*/
add_enable(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Sys.EventArgs) => void): void;

remove_enable(handler: Function): void;
        /**
Raised when the control is focused
*/
add_focus(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Sys.EventArgs) => void): void;

remove_focus(handler: Function): void;
        /**
Raised when the control is loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Raised when the mouse enters the input area.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Sys.EventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
Raised when the mouse leaves the input area.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Sys.EventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
Raised when the RadInputControl loses focus
*/
add_blur(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Sys.EventArgs) => void): void;

remove_blur(handler: Function): void;
        /**
Raised when the user clicks on the button that is associated with the input control
*/
add_buttonClick(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Telerik.Web.UI.InputButtonClickEventArgs) => void): void;

remove_buttonClick(handler: Function): void;
        /**
Raised when the user decreases the value of an enumeration or numeric range mask part.
*/
add_moveDown(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveDown(handler: Function): void;
        /**
Raised when the user enters an invalid value
*/
add_error(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Telerik.Web.UI.InputErrorEventArgs) => void): void;

remove_error(handler: Function): void;
        /**
Raised when the user increases the value of an enumeration or numeric range mask part.
*/
add_moveUp(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveUp(handler: Function): void;
        /**
Raised when the user presses a key to enter a value.
*/
add_keyPress(handler: (sender: Telerik.Web.UI.RadMaskedTextBox, args: Telerik.Web.UI.InputKeyPressEventArgs) => void): void;

remove_keyPress(handler: Function): void;
    }


    class RadMaskedTextBoxComponent  extends Sys.Component {
        /**
Attaches the event handlers to all target RadMaskedTextBoxExtenders
@method
@returns 
*/
_attachEventHandlers(): void;
        /**
Handles the keydown event of the input dom elements extended by the target extenders
@method
@param e - 
@returns 
*/
_onTextBoxKeyDownHandler(e: string): void;
        /**
Set the internal display mask part according to the value of the current extender
@method
@param value - 
@returns 
*/
_resetDisplayPartValues(value: string): void;
        /**
Set the internal mask part according to the value of the current extender
@method
@param value - 
@returns 
*/
_resetPartValues(value: string): void;
        /**
Returns true if empty enumerations are allowed, and false otherwise
@method
@returns 
*/
get_allowEmptyEnumerations(): void;
        /**
Returns initial display mask parts serialized from the server
@method
@returns 
*/
get_initialDisplayMaskParts(): void;
        /**
Returns initial mask parts serialized from the server
@method
@returns 
*/
get_initialMaskParts(): void;
        /**
Returns if the field is required
@method
@returns 
*/
get_isRequiredFields(): void;
        /**
Returns the alignment of numeric ranges.
@method
@returns 
*/
get_numericRangeAlign(): void;
        /**
Returns the prompt char of the Mask
@method
@returns 
*/
get_promptChar(): void;
        /**
Returns if the numberic ranges will be rounded.
@method
@returns 
*/
get_roundNumericRanges(): void;
        /**
Gets the target input of RadMaskedTextBoxComponent
@method
@param id - 
@returns 
*/
get_targetInput(id: number): number;
        /**
Returns if the values of numeric range parts of the mask to have a fixed width
@method
@returns 
*/
get_zeroPadNumericRanges(): void;
        /**
Used by the framework to set initial display mask parts serialized from the server
@method
@returns 
*/
set_initialDisplayMaskParts(): void;
        /**
Used by the framework to set initial mask parts serialized from the server
@method
@returns 
*/
set_initialMaskParts(): void;
        /**
Sets if the field should be required
@method
@returns 
*/
set_isRequiredFields(): void;
    }


    class RadMaskedTextBoxExtender   {
        /**
Returns the value without prompt chars and literals
@method
@returns 
*/
get_pureValue(): void;
        /**
Returns the value or empty string if the empty message is shown currently
@method
@returns 
*/
get_value(): void;
        /**
Returns the value with prompt chars and literals
@method
@returns 
*/
get_valueWithPromptAndLiterals(): void;
        /**
Check if the if the value of RadMaskedTextBoxExtender is empty or null
@method
@returns 
*/
isEmpty(): void;
        /**
Update the value of RadMaskedTextBoxExtender
@method
@param value - 
@returns 
*/
updateValue(value: string): void;
    }


    class RadMediaPlayer   {
        /**
Exits Full Screen mode.
@method
@returns 
*/
exitFullScreen(): void;
        /**
Gets the exact time which the player is currently on.
@method
@returns 
*/
get_currentTime(): void;
        /**
Controls the Full Screen mode of the media.
@method
@returns 
*/
get_fsActive(): void;
        /**
Controls the HD quality status of the media.
@method
@returns 
*/
get_hdActive(): void;
        /**
Controls a collection of the basic options for the player.
@method
@returns 
*/
get_options(): void;
        /**
Controls the source of the player.
@method
@returns 
*/
get_source(): void;
        /**
Controls the toolbar's position.
@method
@returns 
*/
get_toolbarDocked(): void;
        /**
Controls the volume of the media.
@method
@returns 
*/
get_volume(): void;
        /**
Determines whether the media has ended.
@method
@returns 
*/
isEnded(): void;
        /**
Determines whether the media is muted.
@method
@returns 
*/
isMuted(): void;
        /**
Determines whether the media is paused.
@method
@returns 
*/
isPaused(): void;
        /**
Determines whether the media is playing.
@method
@returns 
*/
isPlaying(): void;
        /**
Mutes the media.
@method
@returns 
*/
mute(): void;
        /**
Pauses playing the media.
@method
@returns 
*/
pause(): void;
        /**
Plays the media.
@method
@returns 
*/
play(): void;
        /**
Proceeds to given time frame.
@method
@returns 
*/
seekTo(): void;
        /**
Stops playing the media.
@method
@returns 
*/
stop(): void;
        /**
Provides a reference to the titlebar object.
@method
@returns 
*/
titlebar(): void;
        /**
Provides a reference to the toolbar object.
@method
@returns 
*/
toolbar(): void;
        /**
Unmutes the media.
@method
@returns 
*/
unmute(): void;
        /**
This event is fired after the media begins playing.
*/
add_Play(handler: (sender: Telerik.Web.UI.RadMediaPlayer, args: Sys.EventArgs) => void): void;

remove_Play(handler: Function): void;
        /**
This event is fired after the media finishes playing
*/
add_Ended(handler: (sender: Telerik.Web.UI.RadMediaPlayer, args: Sys.EventArgs) => void): void;

remove_Ended(handler: Function): void;
        /**
This event is fired after the media pauses.
*/
add_Paused(handler: (sender: Telerik.Web.UI.RadMediaPlayer, args: Sys.EventArgs) => void): void;

remove_Paused(handler: Function): void;
        /**
This event is fired upon changing the volume level.
*/
add_VolumeChanged(handler: (sender: Telerik.Web.UI.RadMediaPlayer, args: Telerik.Web.UI.MediaPlayerVolumeChangedEventArgs) => void): void;

remove_VolumeChanged(handler: Function): void;
        /**
This event is fired when any loading is over and the player is ready to start playing the media.
*/
add_Ready(handler: (sender: Telerik.Web.UI.RadMediaPlayer, args: Sys.EventArgs) => void): void;

remove_Ready(handler: Function): void;
        /**
This event is fired when the user selects a new play time.
*/
add_SeekStart(handler: (sender: Telerik.Web.UI.RadMediaPlayer, args: Telerik.Web.UI.SliderCancelEventArgs) => void): void;

remove_SeekStart(handler: Function): void;
    }


    class RadMenu  extends Telerik.Web.UI.ControlItemContainer {
        /**
Closes all opened items
@method
@returns 
*/
close(): void;
        /**
Writes the changes to the listbox that were made since a previous call to trackChanges, so that they are preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Disables all items in the menu. Clicking on any item will no longer have effect, child items cannot be opened.
@method
@returns 
*/
disable(): void;
        /**
Disables the control client-side event emitting.
@method
@returns 
*/
disableEvents(): void;
        /**
Enables all items in the menu.
@method
@returns 
*/
enable(): void;
        /**
Enables the control client-side event emitting. Events are enabled by default.
@method
@returns 
*/
enableEvents(): void;
        /**
Returns the first RadMenuItem object whose NavigateUrl property is equal to the passed parameter. Note that the parameter should end with "/" for example: var item = sender.findItemByAbsoluteUrl("http://www.test.com/");
@method
@param url - NavigateUrl of the Item
@returns The first RadMenuItem found
*/
findItemByAbsoluteUrl(url: string): Telerik.Web.UI.RadMenuItem;
        /**
Returns the first RadMenuItem object with a custom attribute of the specified name and value.
@method
@param attributeName - The attribute name
@param attributeValue - The attribute value
@returns The first RadMenuItem found
*/
findItemByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RadMenuItem;
        /**
Returns the first RadMenuItem object whose Text property is equal to the passed parameter.
@method
@param text - Text of the Item
@returns The first RadMenuItem found
*/
findItemByText(text: string): Telerik.Web.UI.RadMenuItem;
        /**
Returns the first RadMenuItem object whose NavigateUrl property is equal to the passed parameter.
@method
@param url - NavigateUrl of the Item
@returns The first RadMenuItem found
*/
findItemByUrl(url: string): Telerik.Web.UI.RadMenuItem;
        /**
Returns the first RadMenuItem object whose Value property is equal to the passed parameter.
@method
@param value - Value of the Item
@returns The first RadMenuItem found
*/
findItemByValue(value: string): Telerik.Web.UI.RadMenuItem;
        /**
Brings the focus to the menu so that it can be controlled via the keyboard.
@method
@returns 
*/
focus(): void;
        /**
Gets a linear collection of all items. This includes all root and child items in the menu.
@method
@returns Array
*/
get_allItems(): any;
        /**
Returns the DOM element for the root list of items in the menu.
@method
@returns DOM element for the root item list
*/
get_childListElement(): HTMLElement;
        /**
Returns a boolean value indicating whether click-to-open is enabled
@method
@returns Boolean indicating whether click
*/
get_clickToOpen(): boolean;
        /**
Returns the delay (in milliseconds) before a menu item closes.
@method
@returns The delay in milliseconds to wait before closing a menu item.
*/
get_collapseDelay(): number;
        /**
Returns a boolean value indicating whether auto-scrolling is enabled
@method
@returns Boolean indicating whether auto
*/
get_enableAutoScroll(): boolean;
        /**
Returns a boolean value indicating whether child items should have rounded corners
@method
@returns Boolean indicating whether child items should have rounded corners
*/
get_enableRoundedCorners(): boolean;
        /**
Returns a boolean value indicating whether screen boundary detection is enabled
@method
@returns Boolean indicating whether screen boundary detection is enabled
*/
get_enableScreenBoundaryDetection(): boolean;
        /**
Returns a boolean value whether item selection is enabled
@method
@returns Boolean indicating whether item selection is enabled.
*/
get_enableSelection(): boolean;
        /**
Returns a boolean value indicating whether child items should have shadows
@method
@returns Boolean indicating whether child items should have shadows
*/
get_enableShadows(): boolean;
        /**
Returns the delay (in milliseconds) before a menu item expands.
@method
@returns The delay in milliseconds to wait before expanding a menu item.
*/
get_expandDelay(): number;
        /**
Returns the currently focused root level item. Returns null if no root item has focus.
@method
@returns The focused root item
*/
get_focusedItem(): Telerik.Web.UI.RadMenuItem;
        /**
Returns the collection of root level items.
@method
@returns RadMenuItemCollection
*/
get_items(): Telerik.Web.UI.RadMenuItemCollection;
        /**
Returns the currently opened root level item. If no item is opened at the root level the method will return null.
@method
@returns The opened root item
*/
get_openedItem(): Telerik.Web.UI.RadMenuItem;
        /**
Returns whether items loaded on demand persist on the server.
@method
@returns Boolean indicating whether items loaded on demand persist on the server.
*/
get_persistLoadOnDemandItems(): boolean;
        /**
Returns the selected menu item. If no item is selected returns null.
@method
@returns The selected menu item.
*/
get_selectedItem(): Telerik.Web.UI.RadMenuItem;
        /**
Refreshes the RadMenu UI.
@method
@returns 
*/
repaint(): void;
        /**
Sets whether click-to-open is enabled
@method
@param value - true if click
@returns 
*/
set_clickToOpen(value: boolean): void;
        /**
Sets the delay (in milliseconds) before a menu item closes.
@method
@param delay - The delay in milliseconds to wait before closing a menu item.
@returns 
*/
set_collapseDelay(delay: number): void;
        /**
Sets whether auto-scrolling is enabled
@method
@param value - true if auto
@returns 
*/
set_enableAutoScroll(value: boolean): void;
        /**
Disables or enables the entire RadMenu. Items will not open and client events will not firee when the Menu is disabled
@method
@param value - true to enable the Menu or false to disable it.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets whether child items should have rounded corners
@method
@param value - true if child items should have rounded corners
@returns 
*/
set_enableRoundedCorners(value: boolean): void;
        /**
Sets whether screen boundary detection is enabled
@method
@param value - true if screen boundary detection should be enabled
@returns 
*/
set_enableScreenBoundaryDetection(value: boolean): void;
        /**
Sets whether item selection is enabled
@method
@param value - true to enable item selection or false to disable it.
@returns 
*/
set_enableSelection(value: boolean): void;
        /**
Sets whether child items should have shadows
@method
@param value - true if child items should have shadows
@returns 
*/
set_enableShadows(value: boolean): void;
        /**
Sets the delay (in milliseconds) before a menu item expands.
@method
@param delay - The delay in milliseconds to wait before expanding a menu item.
@returns 
*/
set_expandDelay(delay: number): void;
        /**
Displays the menu as a pop-up at the coordinates specified by the parameters.
@method
@param X - The horizontal value in a pair of coordinates.
@param Y - The vertical value in a pair of coordinates.
@returns 
*/
showAt(X: number, Y: number): void;
        /**
Begins tracking changes to the RadMenu items. Only changes to the items that occur between a call to trackChanges and commitChanges persist after a postback.
@method
@returns 
*/
trackChanges(): void;
        /**
The itemPopulationFailed event is fired when an attempt to populate a list of child items using a Web service fails.
*/
add_itemPopulationFailed(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemPopulatingEventArgs) => void): void;

remove_itemPopulationFailed(handler: Function): void;
        /**
The itemClicked event is fired immediately after the menu responds to an item click.
*/
add_itemClicked(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemClickedEventArgs) => void): void;

remove_itemClicked(handler: Function): void;
        /**
The ItemClicking event occurs when the user clicks on an item before the menu responds to the click.
*/
add_itemClicking(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemClickingEventArgs) => void): void;

remove_itemClicking(handler: Function): void;
        /**
The itemClosed event is fired immediately after an item contracts to hide its child items.
*/
add_itemClosed(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemClosedEventArgs) => void): void;

remove_itemClosed(handler: Function): void;
        /**
The itemClosing event is fired immediately before an item contracts, hiding its child items.
*/
add_itemClosing(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemClosingEventArgs) => void): void;

remove_itemClosing(handler: Function): void;
        /**
The itemFocus event is fired when focus moves to an item.
*/
add_itemFocus(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemFocusEventArgs) => void): void;

remove_itemFocus(handler: Function): void;
        /**
The itemOpened event is fired immediately after an item expands to show its child items.
*/
add_itemOpened(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemOpenedEventArgs) => void): void;

remove_itemOpened(handler: Function): void;
        /**
The itemOpening event is fired immediately before an item expands to show its child items.
*/
add_itemOpening(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemOpeningEventArgs) => void): void;

remove_itemOpening(handler: Function): void;
        /**
The itemPopulated event is fired immediately after the list of child items for an item with ExpandMode set to "WebService" has been populated by a Web service.
*/
add_itemPopulated(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemPopulatedEventArgs) => void): void;

remove_itemPopulated(handler: Function): void;
        /**
The itemPopulating event is fired when an item with ExpandMode set to "WebService" is opened, immediately before the menu calls the Web service to populate the list of child items.
*/
add_itemPopulating(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuItemPopulatingEventArgs) => void): void;

remove_itemPopulating(handler: Function): void;
        /**
The load event is fired when the menu is first loaded.
*/
add_load(handler: (sender: Telerik.Web.UI.RadMenu, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The mouseOut event is fired when the mouse moves off of the menu.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuMouseOutEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
The mouseOver event is fired when the mouse moves over the menu.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadMenu, args: Telerik.Web.UI.RadMenuMouseOverEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
    }


    class RadMenuItem  extends Telerik.Web.UI.ControlItem {
        /**
Evaluates the template against the Menu Item's data and applies it.
@method
@returns 
*/
bindTemplate(): void;
        /**
Removes focus from the RadMenuItem
@method
@returns 
*/
blur(): void;
        /**
Simulates a click on the RadMenuItem
@method
@returns 
*/
click(): void;
        /**
Closes the RadMenuItem
@method
@returns 
*/
close(): void;
        /**
Disables the RadMenuItem. Clicking on it will no longer have effect, child items cannot be opened.
@method
@returns 
*/
disable(): void;
        /**
Enables the RadMenuItem if it has been previously disabled
@method
@returns 
*/
enable(): void;
        /**
Changes the focus to the RadMenuItem
@method
@returns 
*/
focus(): void;
        /**
Changes the focus to the RadMenuItem's first child
@method
@returns 
*/
focusFirstChild(): void;
        /**
Changes the focus to the RadMenuItem's last child
@method
@returns 
*/
focusLastChild(): void;
        /**
Changes the focus to the RadMenuItem's next sibling
@method
@returns 
*/
focusNextItem(): void;
        /**
Changes the focus to the RadMenuItem's previous sibling
@method
@returns 
*/
focusPreviousItem(): void;
        /**
Gets the DOM element of the list of child items (UL).
@method
@returns 
*/
get_childListElement(): void;
        /**
Returns the Menu Item's css class if clicked.
@method
@returns 
*/
get_clickedCssClass(): string;
        /**
Returns the URL of the Menu Item's Image on click.
@method
@returns 
*/
get_clickedImageURL(): string;
        /**
Returns the value of the Menu Item's ClientTemplate property.
@method
@returns 
*/
get_clientTemplate(): string;
        /**
Returns the Menu Item's css class if disabled.
@method
@returns 
*/
get_disabledCssClass(): string;
        /**
Returns the URL of the Menu Item's Image if disabled.
@method
@returns 
*/
get_disabledImageURL(): string;
        /**
Returns the Menu Item's css class if expanded.
@method
@returns 
*/
get_expandedCssClass(): string;
        /**
Returns the URL of the Menu Item's Image for expanding.
@method
@returns 
*/
get_expandedImageURL(): string;
        /**
Returns the value of the Menu Item's Expand Mode - 0 for Client-Side, 1 for WebService.
@method
@returns 
*/
get_expandedMode(): number;
        /**
Indicates whether the menu item is focused.
@method
@returns 
*/
get_focused(): boolean;
        /**
Returns the Menu Item's css class if focused.
@method
@returns The Menu Item
*/
get_focusedCssClass(): string;
        /**
Gets the focused child item. Null if no child item is focused.
@method
@returns 
*/
get_focusedItem(): Telerik.Web.UI.RadMenuItem;
        /**
Gets the URL of the image displayed when the mouse is over the item.
@method
@returns 
*/
get_hoveredImageUrl(): string;
        /**
Gets the image DOM element of the item. If the server side ImageUrl property is not set, returns null.
@method
@returns 
*/
get_imageElement(): HTMLElement;
        /**
Gets the URL of the item's image.
@method
@returns 
*/
get_imageUrl(): string;
        /**
Returns whether the item is opened
@method
@returns 
*/
get_isOpen(): void;
        /**
Returns true if the item is a separator (sever-side property IsSeparator = true)
@method
@returns 
*/
get_isSeparator(): boolean;
        /**
Returns the collection of child items.
@method
@returns 
*/
get_items(): Telerik.Web.UI.RadMenuItemCollection;
        /**
Gets the level of the item. Root level items are first level.
@method
@returns 
*/
get_level(): number;
        /**
Gets the anchor DOM element of the item (A).
@method
@returns 
*/
get_linkElement(): HTMLElement;
        /**
Returns an instance of the menu that contains the item.
@method
@returns 
*/
get_menu(): Telerik.Web.UI.RadMenu;
        /**
Gets the URL of the Web page the menu item launches.
@method
@returns 
*/
get_navigateUrl(): string;
        /**
Returns the next sibling of the item. If the item is last, returns null.
@method
@returns 
*/
get_nextItem(): Telerik.Web.UI.RadMenuItem;
        /**
Gets the opened child item. Null if no child item is opened.
@method
@returns 
*/
get_openedItem(): Telerik.Web.UI.RadMenuItem;
        /**
Returns the previous sibling of the item. If the item is first, returns null.
@method
@returns 
*/
get_previousItem(): Telerik.Web.UI.RadMenuItem;
        /**
Returns whether the item is selected
@method
@returns 
*/
get_selected(): boolean;
        /**
Returns the Menu Item's css class if selected.
@method
@returns 
*/
get_selectedCssClass(): string;
        /**
Gets the URL of the image displayed when item is selected.
@method
@returns 
*/
get_selectedImageUrl(): string;
        /**
Returns the html representation of the element's template.
@method
@returns The item
*/
get_templateElement(): string;
        /**
Gets the DOM element of the item text (SPAN).
@method
@returns 
*/
get_textElement(): HTMLElement;
        /**
Hides the RadMenuItem
@method
@returns 
*/
hide(): void;
        /**
Opens the RadMenuItem to show its children
@method
@returns 
*/
open(): void;
        /**
Loads next View's Menu Items.
@method
@returns 
*/
scrollIntoView(): void;
        /**
Selects the RadMenuItem
@method
@returns 
*/
select(): void;
        /**
Sets the Menu Item's css class if clicked.
@method
@param value - The new CSS class for the item
@returns 
*/
set_clickedCssClass(value: string): void;
        /**
Sets the URL of the Menu Item's Image on click.
@method
@param value - The new Menu Item Image
@returns 
*/
set_clickedImageURL(value: string): void;
        /**
Sets the value of the Menu Item's ClientTemplate property.
@method
@param value - The new client template string
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the Menu Item's css class if disabled.
@method
@param value - The new CSS class for disabled mode
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the URL of the Menu Item's Image if disabled.
@method
@param value - The new Menu Item disabled image URL
@returns 
*/
set_disabledImageURL(value: string): void;
        /**
Sets the enabled state of the item.
@method
@param value - Value indicating the enabled state of the item.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the Menu Item's css class if expanded.
@method
@param value - The new CSS class for the expanded state
@returns 
*/
set_expandedCssClass(value: string): void;
        /**
Sets the URL of the Menu Item's Image for expanding.
@method
@param value - The new expand image URL for the Menu Item
@returns 
*/
set_expandedImageURL(value: string): void;
        /**
Sets the value of the Menu Item's Expand Mode - 0 for Client-Side, 1 for WebService.
@method
@param value - The new Menu Item expand mode
@returns 
*/
set_expandedMode(value: number): void;
        /**
Sets focus to the item.
@method
@param value - Whether the item will be focused
@returns 
*/
set_focused(value: boolean): void;
        /**
Sets the Menu Item's css class if focused.
@method
@param value - The new CSS class for the focused state of the item
@returns 
*/
set_focusedCssClass(value: string): void;
        /**
Sets the URL of the image displayed when the mouse is over the item.
@method
@param value - The new URL of the image displayed when the mouse is over the item.
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the URL of the item's image.
@method
@param value - The new URL of the image displayed in the item
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets whether the item is a separator or a regular item
@method
@param value - Pass true to get a separator item
@returns 
*/
set_isSeparator(value: boolean): void;
        /**
Sets the navigateURL property of the item. This is the URL of the Web page the menu item launches. The navigateUrl property must be an absolute URL on the client side: (e.g. "http://mydomain.com/default.aspx" not "default.aspx").
@method
@param value - The new URL the item will navigate to
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Sets the selected property of the item.
@method
@param value - Whether the item will be selected
@returns 
*/
set_selected(value: boolean): void;
        /**
Sets the Menu Item's css class if selected.
@method
@param value - The new CSS class for the selected state of the Menu Item
@returns 
*/
set_selectedCssClass(value: string): void;
        /**
Sets the URL of the image displayed when the item is selected
@method
@param value - The new URL of the image displayed when the item is selected.
@returns 
*/
set_selectedImageUrl(value: string): void;
        /**
Sets the text of the item.
@method
@param value - The new text of the item
@returns 
*/
set_text(value: string): void;
        /**
Sets the visibility of the item
@method
@param value - Boolean value indicating the item should be visible
@returns 
*/
set_visible(value: boolean): void;
        /**
Shows the RadMenuItem if it is hidden
@method
@returns 
*/
show(): void;
        /**
Unselects the RadMenuItem
@method
@returns 
*/
unselect(): void;
    }


    class RadMenuItemBlurEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMenuItemCancelEventArgs  extends Sys.CancelEventArgs {
    }


    class RadMenuItemClickedEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMenuItemClickingEventArgs  extends Telerik.Web.UI.RadMenuItemCancelEventArgs {
        /**
Returns a reference to the RadMenuItem that was opened.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadMenuItem;
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadMenuItemClosedEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMenuItemClosingEventArgs  extends Telerik.Web.UI.RadMenuItemCancelEventArgs {
        /**
Returns a reference to the RadMenuItem that was opened.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadMenuItem;
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadMenuItemCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadMenuItem> {
        /**
Adds a child item to the collection.
@method
@param item - item
@returns 
*/
add(item: Telerik.Web.UI.RadMenuItem): void;
        /**
Clears the collection of all the child items it contains.
@method
@returns 
*/
clear(): void;
        /**
Iterates through the items of the RadMenuItemCollection using labmda expression
@method
@param lambda - lambda
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of the items in the collection.
@method
@returns int
*/
get_count(): number;
        /**
Returns the item from the collection that resides at the specified index.
@method
@param index - index
@returns RadMenuItem
*/
getItem(index: number): Telerik.Web.UI.RadMenuItem;
        /**
Returns the index of a the item in the collection.
@method
@param item - item
@returns int
*/
indexOf(item: Telerik.Web.UI.RadMenuItem): number;
        /**
Inserts the item into the collection at the position defined by the first (index) parameter.
@method
@param index - index
@param item - item
@returns 
*/
insert(index: number, item: Telerik.Web.UI.RadMenuItem): void;
        /**
Removes the specified item from the collection.
@method
@param item - item
@returns 
*/
remove(item: Telerik.Web.UI.RadMenuItem): void;
        /**
Removes the item at the specified index.
@method
@param index - index
@returns 
*/
removeAt(index: number): void;
    }


    class RadMenuItemEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the RadMenuItem that was opened.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadMenuItem;
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadMenuItemFocusEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMenuItemOpenedEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMenuItemOpeningEventArgs  extends Telerik.Web.UI.RadMenuItemCancelEventArgs {
        /**
Returns a reference to the RadMenuItem that was opened.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadMenuItem;
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadMenuItemPopulatedEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMenuItemPopulatingEventArgs  extends Telerik.Web.UI.RadMenuItemCancelEventArgs {
        /**
Returns a reference to the RadMenuItem that was opened.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadMenuItem;
        /**
Returns a reference to an IDictionary object that can be used to pass context information to the Web service.
@method
@returns ### get_domEventReturns a reference to the DOM event that caused the opening.
*/
get_context(): any;
    }


    class RadMenuItemPopulationFailedEventArgs  extends Telerik.Web.UI.RadMenuItemCancelEventArgs {
        /**
Returns a reference to the RadMenuItem that was opened.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadMenuItem;
        /**
Returns an error message describing the failure.
@method
@returns string
*/
get_errorMessage(): string;
    }


    class RadMenuMouseOutEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMenuMouseOverEventArgs  extends Telerik.Web.UI.RadMenuItemEventArgs {
    }


    class RadMonthYearPicker  extends Telerik.Web.UI.RadWebControl {
        /**
Clears the selection, leaving the value as unassigned.
@method
@returns 
*/
clear(): void;
        /**
Returns the culture used by RadDateInput to format the date.
@method
@returns 
*/
get_culture(): string;
        /**
Returns a reference to the client object for the input area. For details on using this object, see the RadInput documentation.
@method
@returns 
*/
get_dateInput(): Telerik.Web.UI.RadDateInput;
        /**
Returns true if the control is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns whether the screen boundary detection will be applied.
@method
@returns 
*/
get_enableScreenBoundaryDetection(): boolean;
        /**
Returns the date that determines the view the popup calendar uses when the value of the date picker is not assigned.
@method
@returns 
*/
get_focusedDate(): Date;
        /**
Returns the latest date the user can select.
@method
@returns 
*/
get_maxDate(): Date;
        /**
Returns the latest date the user can select as string.
@method
@returns 
*/
get_maxDateStr(): string;
        /**
Returns the earliest date the user can select.
@method
@returns 
*/
get_minDate(): Date;
        /**
Returns the earliest date the user can select as string.
@method
@returns 
*/
get_minDateStr(): string;
        /**
Returns an array with the fast navigation settings. The settings are, in order, TodayButtonCaption, OkButtonCaption, CancelButtonCaption, DateIsOutOfRangeMessage, EnableTodayButtonSelection.
@method
@returns 
*/
get_monthYearNavigationSettings(): any;
        /**
Returns the DOM element for the calendar popup button.
@method
@returns 
*/
get_popupButton(): any;
        /**
Set the popup direction
@method
@returns 
*/
get_popupDirection(): string;
        /**
Returns the selected date, or null if no date is selected.
@method
@returns 
*/
get_selectedDate(): Date;
        /**
Returns whether the popup control (Calendar or TimeView) will be displayed when the DateInput textbox is focused.
@method
@returns 
*/
get_showPopupOnFocus(): boolean;
        /**
Returns the real skin name for the control user interface. If Skin is not set, returns "Default".
@method
@returns 
*/
get_skin(): string;
        /**
Returns object containing all styles applied to the control.
@method
@returns 
*/
get_stylesHash(): any;
        /**
Returns the DOM element for the text box that implements the input area.
@method
@returns 
*/
get_textBox(): any;
        /**
Returns whether the control is visible
@method
@returns 
*/
get_visible(): boolean;
        /**
Returns the dimensions of the specified child element.
@method
@param element - 
@returns 
*/
getElementDimensions(element: any): any;
        /**
Hides the popup calendar if it is showing.
@method
@returns 
*/
hidePopup(): void;
        /**
Returns true if the value is unassigned.
@method
@returns 
*/
isEmpty(): void;
        /**
Returns whether the popup calendar is visible.
@method
@returns 
*/
isPopupVisible(): void;
        /**
Sets whether the screen boundary detection will be applied.
@method
@param value - 
@returns 
*/
navigateToDate(value: boolean): void;
        /**
Raise the dateSelected event.
@method
@param handler - 
@returns 
*/
raise_dateSelected(handler: Function): void;
        /**
Raise the monthSelected event.
@method
@param handler - 
@returns 
*/
raise_monthSelected(handler: Function): void;
        /**
Raise the popupClosing event.
@method
@param handler - 
@returns 
*/
raise_popupClosing(handler: Function): void;
        /**
Raise the popupOpening event.
@method
@param handler - 
@returns 
*/
raise_popupOpening(handler: Function): void;
        /**
Raise the viewChanged event.
@method
@param handler - 
@returns 
*/
raise_viewChanged(handler: Function): void;
        /**
Raise the yearSelected event.
@method
@param handler - 
@returns 
*/
raise_yearSelected(handler: Function): void;
        /**
Repaints the control
@method
@returns 
*/
repaint(): void;
        /**

@method
@returns 
*/
set_dateInput(): void;
        /**
Enables/disables the control
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets whether the screen boundary detection will be applied.
@method
@param value - 
@returns 
*/
set_enableScreenBoundaryDetection(value: boolean): void;
        /**
Sets the date that determines the view the popup calendar uses when the value of the date picker is not assigned.
@method
@param value - 
@returns 
*/
set_focusedDate(value: Date): void;
        /**
Sets the latest date the user can select.
@method
@param value - 
@returns 
*/
set_maxDate(value: Date): void;
        /**
Sets the earliest date the user can select.
@method
@param value - 
@returns 
*/
set_minDate(value: Date): void;
        /**
Sets the fast navigation settings. The settings are, in order, TodayButtonCaption, OkButtonCaption, CancelButtonCaption, DateIsOutOfRangeMessage, EnableTodayButtonSelection. Changes you make to these settings have an effect only if you make them before the first time the month/year navigation popup is displayed.
@method
@param value - 
@returns 
*/
set_monthYearNavigationSettings(value: any): void;
        /**
Returns the popup direction
@method
@param value - 
@returns 
*/
set_popupDirection(value: string): void;
        /**
Assigns the value of the date picker.
@method
@param newDate - 
@returns 
*/
set_selectedDate(newDate: Date): void;
        /**
Sets whether the popup control (Calendar or TimeView) will be displayed when the DateInput textbox is focused.
@method
@param value - 
@returns 
*/
set_showPopupOnFocus(value: boolean): void;
        /**
Shows/hides the control
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
        /**
Displays the popup calendar at the specified coordinates. If the two parameters are omitted, the popup appears below the input area.
@method
@param x - 
@param y - 
@returns 
*/
showPopup(x: number, y: number): void;
        /**
Toggles the visible state of the popup calendar.
@method
@returns 
*/
togglePopup(): void;
        /**
The dateSelected event is fired immediately after the value of the control's selection has changed.
*/
add_dateSelected(handler: (sender: Telerik.Web.UI.RadMonthYearPicker, args: Telerik.Web.UI.DateInputValueChangedEventArgs) => void): void;

remove_dateSelected(handler: Function): void;
        /**
The monthSelected event is fired immediately after a user select a month cell in the MonthYearView.
*/
add_monthSelected(handler: (sender: Telerik.Web.UI.RadMonthYearPicker, args: Telerik.Web.UI.MonthYearPickerMonthSelectedEventArgs) => void): void;

remove_monthSelected(handler: Function): void;
        /**
The popupClosing event is fired immediately before a popup calendar or time view is closed.
*/
add_popupClosing(handler: (sender: Telerik.Web.UI.RadMonthYearPicker, args: Telerik.Web.UI.MonthYearPickerPopupClosingEventArgs) => void): void;

remove_popupClosing(handler: Function): void;
        /**
The popupOpening event is fired immediately before a popup calendar or time view is initialized to the current selection in the input area and then displayed.
*/
add_popupOpening(handler: (sender: Telerik.Web.UI.RadMonthYearPicker, args: Telerik.Web.UI.MonthYearPickerPopupOpeningEventArgs) => void): void;

remove_popupOpening(handler: Function): void;
        /**
The viewChanged event is fired when the MonthYearView navigates to a new view, before the viewable area rendered by the MonthYearView is changed.
*/
add_viewChanged(handler: (sender: Telerik.Web.UI.RadMonthYearPicker, args: Telerik.Web.UI.MonthYearPickerViewChangedEventArgs) => void): void;

remove_viewChanged(handler: Function): void;
        /**
The yearSelected event is fired immediately after a user select an year cell in the MonthYearView.
*/
add_yearSelected(handler: (sender: Telerik.Web.UI.RadMonthYearPicker, args: Telerik.Web.UI.MonthYearPickerMonthSelectedEventArgs) => void): void;

remove_yearSelected(handler: Function): void;
    }


    class RadMultiPage  extends Telerik.Web.UI.RadWebControl {
        /**
Ends tracking changes to the multipage. Only changes that occur between a call to trackChanges and commitChanges persist after a postback.
@method
@returns 
*/
commitChanges(): void;
        /**
Gets the first page view instance, whose id corresponds to the passed parameter.
@method
@param id - The id to look for
@returns 
*/
findPageViewByID(id: string): Telerik.Web.UI.RadPageView;
        /**
Gets the DOM element for the multipage.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns a collection of all pageviews.
@method
@returns 
*/
get_pageViews(): Telerik.Web.UI.RadPageViewCollection;
        /**
Returns the index of the selected pageview.
@method
@returns 
*/
get_selectedIndex(): number;
        /**
Returns the currently selected pageview.
@method
@returns the currently selected pageview
*/
get_selectedPageView(): Telerik.Web.UI.RadPageView;
        /**
Sets the selected index of the multipage.
@method
@param value - the selected index of the multipage
@returns 
*/
set_selectedIndex(value: number): void;
        /**
Begins tracking changes to the multipage. Only changes that occur between a call to trackChanges and commitChanges persist after a postback.
@method
@returns 
*/
trackChanges(): void;
    }


    class RadNavigation  extends Telerik.Web.UI.RadWebControl {
        /**
Brings the focus to the RadNavigation control.
@method
@returns 
*/
focus(): void;
        /**
Gets a collection of all NavigationNode objects that belong to the RadNavigation control.
@method
@returns A collection of NavigationNode objects that belong to the RadNavigation control.
*/
get_allNodes(): any;
        /**
Gets a reference to the HTML element of the RadNavigation control.
@method
@returns A reference to the HTML element of the RadNavigation control.
*/
get_element(): HTMLElement;
        /**
Returns a value, indicating whether the button control is enabled.
@method
@returns The value of the Enabled property.
*/
get_enabled(): boolean;
        /**
Returns the first node of the Navigation control.
@method
@returns first NavigationNode object that belong to the RadNavigation control.
*/
get_firstNode(): any;
        /**
Returns a collection of NavigationNode to belonging nodes.
@method
@returns A collection of NavigationNode objects that belong to the RadNavigation control.
*/
get_nodes(): any;
        /**
Returns array of node data objects. If templates are used the objects will contain bound properties.
@method
@returns of node data objects.
*/
get_nodesData(): any;
        /**
Returns the selected RadNavigation node.
@method
@returns the selected NavigationNode.
*/
get_selected(): any;
        /**
Moves all nodes into the menu button.
@method
@returns 
*/
moveAllNodesInMenuButton(): void;
        /**
Moves all nodes outside the menu button.
@method
@returns Events
*/
moveAllNodesOutOfMenuButton(): void;
    }


    class RadNotification  extends Telerik.Web.UI.RadWebControl {
        /**
Gets the animation value of the notification
@method
@returns 
*/
get_animation(): Telerik.Web.UI.NotificationAnimation;
        /**
Gets animation duration value for the notification
@method
@returns 
*/
get_animationDuration(): number;
        /**
Gets delay in milliseconds for the notification to close automatically
@method
@returns 
*/
get_autoCloseDelay(): number;
        /**
Gets the content element of the notification
@method
@returns 
*/
get_contentElement(): any;
        /**
Gets a new overflow value for the notification content area
@method
@returns 
*/
get_contentScrolling(): Telerik.Web.UI.NotificationScrolling;
        /**
Gets a value indicating whether the notification is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Gets the height of the notification
@method
@returns 
*/
get_height(): number;
        /**
Gets a value indicating whether the notification should stay on the screen when hovered (autoclose is delayed until the mouse goes outside the popup)
@method
@returns 
*/
get_keepOnMouseOver(): boolean;
        /**
Gets when the content should be loaded
@method
@returns 
*/
get_loadContentOn(): Telerik.Web.UI.NotificationLoad;
        /**
Gets the horizontal offset relative to the browser window
@method
@returns 
*/
get_offsetX(): number;
        /**
Gets the vertical offset relative to the browser window
@method
@returns 
*/
get_offsetY(): number;
        /**
Gets the value indicating the opacity of the RadNotification.The value should be between 0 and 100. The default value is 100 which is opaque
@method
@returns 
*/
get_opacity(): number;
        /**
Gets a value indicating whether the notification has an overlay element.
@method
@returns 
*/
get_overlay(): boolean;
        /**
Gets a value indicating whether the notification should be scrolled along with the content or not.
@method
@returns 
*/
get_pinned(): boolean;
        /**
Returns a reference to the popup element of RadNotification
@method
@returns 
*/
get_popupElement(): any;
        /**
Gets the relative to the browser window position of the notification
@method
@returns 
*/
get_position(): Telerik.Web.UI.NotificationPosition;
        /**
Gets the show interval of the notification
@method
@returns 
*/
get_showInterval(): number;
        /**
Gets the text of the notification
@method
@returns 
*/
get_text(): string;
        /**
Gets the title of the notification
@method
@returns 
*/
get_title(): string;
        /**
Returns a reference to a RadMenu object. Returns "null info
@method
@returns 
*/
get_titleMenu(): Telerik.Web.UI.RadMenu;
        /**
Gets the update interval of the notification
@method
@returns 
*/
get_updateInterval(): number;
        /**
Gets the current value associated with the RadNotification control.
@method
@returns The current value associated with the RadNotification control.
*/
get_value(): string;
        /**
Gets a value indicating whether the notification will open automatically when its parent [aspx] page is loaded on the client.
@method
@returns 
*/
get_visibleOnPageLoad(): boolean;
        /**
Gets a value indicating whether the RadNotification should have a visible titlebar
@method
@returns 
*/
get_visibleTitlebar(): boolean;
        /**
Gets the width of the notification
@method
@returns 
*/
get_width(): number;
        /**
Gets the z-index of the RadNotification
@method
@returns 
*/
get_zIndex(): number;
        /**
Returns the size and position of the notification popup
@method
@returns 
*/
getBounds(): Sys.UI.Bounds;
        /**
Hides the notification
@method
@returns 
*/
hide(): void;
        /**
Indicates whether the RadNotification popup is currently visible
@method
@returns 
*/
isVisible(): void;
        /**
Moves the notification to the specified coordinates
@method
@param x - 
@param y - 
@returns 
*/
moveTo(x: number, y: number): void;
        /**
Starts the notification sound
@method
@returns 
*/
playSound(): void;
        /**
Sets new animation value for the notification
@method
@param value - 
@returns 
*/
set_animation(value: Telerik.Web.UI.NotificationAnimation): void;
        /**
Sets animation duration value for the notification
@method
@param value - 
@returns 
*/
set_animationDuration(value: number): void;
        /**
Sets delay in milliseconds for the notification to close automatically
@method
@param value - 
@returns 
*/
set_autoCloseDelay(value: number): void;
        /**
Sets a new overflow value for the notification content area
@method
@param value - 
@returns 
*/
set_contentScrolling(value: Telerik.Web.UI.NotificationScrolling): void;
        /**
Sets a value indicating whether the notification is enabled
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets new height to the notification
@method
@param value - 
@returns 
*/
set_height(value: number): void;
        /**
Sets a value indicating whether the notification should stay on the screen when hovered (auto-close is delayed until the mouse goes outside the popup)
@method
@param value - 
@returns 
*/
set_keepOnMouseOver(value: boolean): void;
        /**
Sets when the content should be loaded
@method
@param value - 
@returns 
*/
set_loadContentOn(value: Telerik.Web.UI.NotificationLoad): void;
        /**
Sets a new horizontal offset relative to the browser window
@method
@param value - 
@returns 
*/
set_offsetX(value: number): void;
        /**
Sets a new vertical offset relative to the browser window
@method
@param value - 
@returns 
*/
set_offsetY(value: number): void;
        /**
Sets the value indicating the opacity of the RadNotification. The value should be between 0 and 100 where 100 is opaque.
@method
@param value - 
@returns 
*/
set_opacity(value: number): void;
        /**
Sets a value indicating whether the notification will create an overlay element.
@method
@param value - 
@returns 
*/
set_overlay(value: boolean): void;
        /**
Sets a value indicating whether the notification should be scrolled along with the content or not.
@method
@param value - 
@returns 
*/
set_pinned(value: boolean): void;
        /**
Sets a new relative to the browser window position for the notification
@method
@param value - 
@returns 
*/
set_position(value: Telerik.Web.UI.NotificationPosition): void;
        /**
Sets new show interval to the notification
@method
@param value - 
@returns 
*/
set_showInterval(value: number): void;
        /**
Sets new text to the notification
@method
@param value - 
@returns 
*/
set_text(value: string): void;
        /**
Sets a new title to the notification
@method
@param value - 
@returns 
*/
set_title(value: string): void;
        /**
Sets new update interval to the notification
@method
@param value - 
@returns 
*/
set_updateInterval(value: number): void;
        /**
Sets new value to be associated with the RadNotification control
@method
@param value - The value set to the RadNotification control.
@returns 
*/
set_value(value: string): void;
        /**
Sets a value indicating whether the RadNotification should have a visible titlebar
@method
@param value - 
@returns 
*/
set_visibleTitlebar(value: boolean): void;
        /**
Sets new width to the notification
@method
@param value - 
@returns 
*/
set_width(value: number): void;
        /**
Sets new z-index of the RadNotification
@method
@param value - 
@returns 
*/
set_zIndex(value: number): void;
        /**
Sets new width and height to the notification
@method
@param width - 
@param height - 
@returns 
*/
setSize(width: number, height: number): void;
        /**
Displays the notification at the proper position, relative to the browser window.
@method
@returns 
*/
show(): void;
        /**
Updates the content of the notification.
@method
@returns 
*/
update(): void;
        /**
Some browsers have the limitation to only play sound after a user interaction. Calling this method at such a moment tries to play the sound in an attempt to make it available for cases when use interaction is missing. Such known case is Safari on iOS devices.
@method
@returns 
*/
userInitSound(): void;
        /**
Does a check whether internally the sound is playable. This is usually needed when the sound is only playable after a user interaction and unserInitSound method has had to be called.
@method
@returns 
*/
verifySound(): boolean;
        /**
The hidden event occurs just after the notification is hidden.
*/
add_hidden(handler: (sender: Telerik.Web.UI.RadNotification, args: Sys.EventArgs) => void): void;

remove_hidden(handler: Function): void;
        /**
The hiding event occurs just before the notification is hidden.
*/
add_hiding(handler: (sender: Telerik.Web.UI.RadNotification, args: Sys.CancelEventArgs) => void): void;

remove_hiding(handler: Function): void;
        /**
The showing event occurs just before the notification is shown.
*/
add_showing(handler: (sender: Telerik.Web.UI.RadNotification, args: Sys.CancelEventArgs) => void): void;

remove_showing(handler: Function): void;
        /**
The shown event occurs just after the notification is shown.
*/
add_shown(handler: (sender: Telerik.Web.UI.RadNotification, args: Sys.EventArgs) => void): void;

remove_shown(handler: Function): void;
        /**
The updating event occurs after the new content is received and just before it is updated in the control.
*/
add_updating(handler: (sender: Telerik.Web.UI.RadNotification, args: Telerik.Web.UI.XmlHttpPanelEventArgs) => void): void;

remove_updating(handler: Function): void;
        /**
The updateError event occurs if there has been an error when the RadNotification content should be updated.
*/
add_updateError(handler: (sender: Telerik.Web.UI.RadNotification, args: Telerik.Web.UI.XmlHttpPanelErrorEventArgs) => void): void;

remove_updateError(handler: Function): void;
        /**
The updated event occurs just after the notification content is updated.
*/
add_updated(handler: (sender: Telerik.Web.UI.RadNotification, args: Sys.EventArgs) => void): void;

remove_updated(handler: Function): void;
    }


    class RadNumericTextBox  extends Telerik.Web.UI.RadInputControl {
        /**
Indicating whether RadInputControl loses focus
@method
@returns 
*/
blur(): void;
        /**
Clears the client instance of RadInputControl
@method
@returns 
*/
clear(): void;
        /**
Disables the client instance of RadInputControl
@method
@returns 
*/
disable(): void;
        /**
Enables the client instance of RadInputControl
@method
@returns 
*/
enable(): void;
        /**
Indicating whether RadInputControl enter focus
@method
@returns 
*/
focus(): void;
        /**
Returns a Boolean value indicating if out-of-range auto correction is allowed
@method
@returns 
*/
get_allowOutOfRangeAutoCorrect(): boolean;
        /**
Returns the value of the AutoPostBack property
@method
@returns 
*/
get_autoPostBack(): boolean;
        /**
Returns the current position of the caret.
@method
@returns 
*/
get_caretPosition(): number;
        /**
Gets the value of RadInputControl as it is formatted when the input does not have focus
@method
@returns 
*/
get_displayValue(): string;
        /**
Gets the value of RadInputControl as it is formatted when the input has focus
@method
@returns 
*/
get_editValue(): string;
        /**
Returns the message that appears when the input value is an empty string
@method
@returns 
*/
get_emptyMessage(): string;
        /**
Returns true if the input is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns the Increment Settings object, which you can use to change the way the text box responds to arrow keys, the mouse wheel, and (if they are showing) the spin buttons
@method
@returns 
*/
get_incrementSettings(): any;
        /**
Returns true if the input in error state (riError class is applied)
@method
@returns 
*/
get_invalid(): boolean;
        /**
Gets the invalid style duration of RadInputControl
@method
@returns 
*/
get_invalidStyleDuration(): number;
        /**
Returns the maximum value the user can enter
@method
@returns 
*/
get_maxValue(): number;
        /**
Returns the minimum value the user can enter
@method
@returns 
*/
get_minValue(): number;
        /**
Returns the Number format client object, which you can use to change the way the text box formats its value when it does not have focus
@method
@returns 
*/
get_numberFormat(): Telerik.Web.UI.NumberFormat;
        /**
Returns the value of the SelectionOnFocus property
@method
@returns 
*/
get_selectionOnFocus(): Telerik.Web.UI.SelectionOnFocus;
        /**
Returns true if the input has an associated image button
@method
@returns 
*/
get_showButton(): boolean;
        /**
Returns true if the text box has an associated pair of spin buttons
@method
@returns 
*/
get_showSpinButtons(): boolean;
        /**
Returns the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@returns 
*/
get_styles(): any;
        /**
Gets the string that the user typed into the input
@method
@returns 
*/
get_textBoxValue(): string;
        /**
Returns the value of the text box
@method
@returns 
*/
get_value(): string;
        /**
Returns whether the input element is rendered as hidden or not. Does not apply if the control is inside another hidden html element
@method
@returns 
*/
get_visible(): boolean;
        /**
Gets the DOM element for the DIV wrapper element
@method
@returns 
*/
get_wrapperElement(): HTMLElement;
        /**
Returns true if the value of the RadInputControl is empty
@method
@returns 
*/
isEmpty(): void;
        /**
Returns true if the value of the RadInputControl is multi line
@method
@returns 
*/
isMultiLine(): void;
        /**
Returns true if the value of the RadInputControl is a negative number
@method
@returns 
*/
isNegative(): void;
        /**
Returns true if the value of the RadInputControl is read only
@method
@returns 
*/
isReadOnly(): void;
        /**
Raises the blur event
@method
@param args - 
@returns 
*/
raise_blur(args: Sys.EventArgs): void;
        /**
Raises the buttonClick event
@method
@param args - 
@returns 
*/
raise_buttonClick(args: Sys.EventArgs): void;
        /**
Raises the handler for the mouseOver event
@method
@param args - 
@returns 
*/
raise_disable(args: Sys.EventArgs): void;
        /**
Raises the enable event
@method
@param args - 
@returns 
*/
raise_enable(args: Sys.EventArgs): void;
        /**
Raises the enumerationChanged event
@method
@param args - 
@returns 
*/
raise_enumerationChanged(args: Sys.EventArgs): void;
        /**
Raises the error event
@method
@param args - 
@returns 
*/
raise_error(args: Sys.EventArgs): void;
        /**
Raises the focus event
@method
@param args - 
@returns 
*/
raise_focus(args: Sys.EventArgs): void;
        /**
Raises the keyPress event
@method
@param args - 
@returns 
*/
raise_keyPress(args: Sys.EventArgs): void;
        /**
Raises the load event
@method
@param args - 
@returns 
*/
raise_load(args: Sys.EventArgs): void;
        /**
Raises the mouseOut event
@method
@param args - 
@returns 
*/
raise_mouseOut(args: Sys.EventArgs): void;
        /**
Raises the mouseOver event
@method
@param args - 
@returns 
*/
raise_mouseOver(args: Sys.EventArgs): void;
        /**
Raises the moveDown event
@method
@param args - 
@returns 
*/
raise_moveDown(args: Sys.EventArgs): void;
        /**
Raises the moveUp event
@method
@param args - 
@returns 
*/
raise_moveUp(args: Sys.EventArgs): void;
        /**
Raises the valueChanged event
@method
@param newValue - 
@param oldValue - 
@returns 
*/
raise_valueChanged(newValue: any, oldValue: any): void;
        /**
Raises the valueChanging event
@method
@param args - 
@returns 
*/
raise_valueChanging(args: Sys.EventArgs): void;
        /**
Raises the postback event of RadInputControl
@method
@returns 
*/
raisePostBackEvent(): void;
        /**
Redraws the client side object on the client
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state of the RadNumericTextBox control
@method
@returns 
*/
saveClientState(): void;
        /**
Selects all text in the RadInputControl
@method
@returns 
*/
selectAllText(): void;
        /**
Selects the text in the specified range of positions. The first parameter is the start of the range and the second is the end of the range
@method
@param start - 
@param end - 
@returns 
*/
selectText(start: number, end: number): void;
        /**
Accepts a Boolean value indicating if out-of-range auto correction is allowed
@method
@param value - 
@returns 
*/
set_allowOutOfRangeAutoCorrect(value: boolean): void;
        /**
Enables or disables postbacks when the user changes the text in the input
@method
@param value - 
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Sets the position of the caret
@method
@param position - 
@returns 
*/
set_caretPosition(position: number): void;
        /**
Sets the message that appears when the input value is an empty string
@method
@param value - 
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets true if the input is enabled
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the Increment Settings object, which you can use to change the way the text box responds to arrow keys, the mouse wheel, and (if they are showing) the spin buttons
@method
@param value - 
@returns 
*/
set_incrementSettings(value: any): void;
        /**
Sets if the input should be in error state (riError class to be applied)
@method
@param value - 
@returns 
*/
set_invalid(value: boolean): void;
        /**
Sets the invalid style duration of RadInputControl
@method
@param value - 
@returns 
*/
set_invalidStyleDuration(value: number): void;
        /**
Sets the maximum value the user can enter
@method
@param value - 
@returns 
*/
set_maxValue(value: number): void;
        /**
Sets the minimum value the user can enter
@method
@param value - 
@returns 
*/
set_minValue(value: number): void;
        /**
Sets the Number format client object, which you can use to change the way the text box formats its value when it does not have focus
@method
@param value - 
@returns 
*/
set_numberFormat(value: Telerik.Web.UI.NumberFormat): void;
        /**
Sets the SelectionOnFocus property
@method
@param value - 
@returns 
*/
set_selectionOnFocus(value: Telerik.Web.UI.SelectionOnFocus): void;
        /**
Accepts true if the input has an associated image button
@method
@param value - 
@returns 
*/
set_showButton(value: boolean): void;
        /**
Sets true if the text box has an associated pair of spin buttons
@method
@param value - 
@returns 
*/
set_showSpinButtons(value: boolean): void;
        /**
Sets the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@param value - 
@returns 
*/
set_styles(value: any): void;
        /**
Sets the string that the user typed into the input
@method
@param value - 
@returns 
*/
set_textBoxValue(value: string): void;
        /**
Sets the value of the text box
@method
@param newValue - 
@returns 
*/
set_value(newValue: string): void;
        /**
Sets the input element as hidden on the client
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
        /**
Updates the css class of RadInputControl
@method
@returns 
*/
updateCssClass(): void;
        /**
Updates the css text of RadInputControl
@method
@param styleCssText - 
@returns 
*/
updateCssText(styleCssText: string): void;
        /**
Updates the display value of RadInputControl
@method
@returns 
*/
updateDisplayValue(): void;
        /**
Raised after the control loses focus just before a new value has been assigned.
*/
add_valueChanging(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Telerik.Web.UI.InputValueChangingEventArgs) => void): void;

remove_valueChanging(handler: Function): void;
        /**
Raised after the control loses focus when a new value has been assigned.
*/
add_valueChanged(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Telerik.Web.UI.InputValueChangedEventArgs) => void): void;

remove_valueChanged(handler: Function): void;
        /**
Raised when the control is disabled
*/
add_disable(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Sys.EventArgs) => void): void;

remove_disable(handler: Function): void;
        /**
Raised when the control is enabled
*/
add_enable(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Sys.EventArgs) => void): void;

remove_enable(handler: Function): void;
        /**
Raised when the control is focused
*/
add_focus(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Sys.EventArgs) => void): void;

remove_focus(handler: Function): void;
        /**
Raised when the control is loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Raised when the mouse enters the input area.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Sys.EventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
Raised when the mouse leaves the input area.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Sys.EventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
Raised when the RadInputControl loses focus
*/
add_blur(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Sys.EventArgs) => void): void;

remove_blur(handler: Function): void;
        /**
Raised when the user clicks on the button that is associated with the input control
*/
add_buttonClick(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Telerik.Web.UI.InputButtonClickEventArgs) => void): void;

remove_buttonClick(handler: Function): void;
        /**
Raised when the user decreases the value of an enumeration or numeric range mask part.
*/
add_moveDown(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveDown(handler: Function): void;
        /**
Raised when the user enters an invalid value
*/
add_error(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Telerik.Web.UI.InputErrorEventArgs) => void): void;

remove_error(handler: Function): void;
        /**
Raised when the user increases the value of an enumeration or numeric range mask part.
*/
add_moveUp(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveUp(handler: Function): void;
        /**
Raised when the user presses a key to enter a value.
*/
add_keyPress(handler: (sender: Telerik.Web.UI.RadNumericTextBox, args: Telerik.Web.UI.InputKeyPressEventArgs) => void): void;

remove_keyPress(handler: Function): void;
    }


    class RadNumericTextBoxComponent  extends Sys.Component {
        /**
Returns the invalid style duration of RadNumericTextBoxComponent
@method
@returns 
*/
get_invalidStyleDuration(): number;
        /**

@method
@returns 
*/
get_maxValue(): number;
        /**
Returns the minimum value the user can enter
@method
@returns 
*/
get_minValue(): number;
        /**
Returns the negative css of RadNumericTextBoxComponent
@method
@returns 
*/
get_negativeCss(): number;
        /**
Returns the Number format client object, which you can use to change the way the text box formats its value when it does not have focus
@method
@returns 
*/
get_numberFormat(): Telerik.Web.UI.NumberFormat;
        /**
Sets the invalid style duration of RadNumericTextBoxComponent
@method
@param value - 
@returns 
*/
set_invalidStyleDuration(value: number): void;
        /**

@method
@param value - 
@returns 
*/
set_maxValue(value: number): void;
        /**
Sets the minimum value the user can enter.
@method
@param value - 
@returns 
*/
set_minValue(value: number): void;
        /**
Accepts the negative css of RadNumericTextBoxComponent
@method
@param value - 
@returns 
*/
set_negativeCss(value: number): void;
        /**
Sets the Number format client object, which you can use to change the way the text box formats its value when it does not have focus
@method
@param value - 
@returns 
*/
set_numberFormat(value: Telerik.Web.UI.NumberFormat): void;
    }


    class RadNumericTextBoxExtender   {
        /**
Returns the format display value of RadNumericTextBoxExtender
@method
@param value - 
@returns 
*/
formatDisplayValue(value: Telerik.Web.UI.NumberFormat): void;
        /**
Returns the format edit value of RadNumericTextBoxExtender
@method
@param value - 
@returns 
*/
formatEditValue(value: Telerik.Web.UI.NumberFormat): void;
        /**
Returns the value of the numeric text box
@method
@returns 
*/
get_value(): number;
        /**
Returns true if the value of the numeric text box is a negative number
@method
@returns 
*/
isNegative(): void;
        /**
Returns a Boolean value, indicating whether error is raised
@method
@param args - 
@returns 
*/
raise_error(args: boolean): void;
        /**
Sets the value of the numeric text box
@method
@param value - 
@returns 
*/
set_value(value: number): void;
        /**
Returns the validate input value of RadNumericTextBoxExtender
@method
@param value - 
@returns 
*/
validateInputValue(value: Telerik.Web.UI.NumberFormat): void;
    }


    class RadODataDataSource   {
        /**
Sets filters for the request
@method
@param arrayoffilters - 
@returns 
*/
set_filterExpression(arrayoffilters: any): any;
        /**
Returns sort expression
@method
@returns 
*/
get_sortExpression(): any;
        /**
Sets sort expression
@method
@param arrayofsortexpression - 
@returns 
*/
set_sortExpression(arrayofsortexpression: any): any;
        /**
Occurs data is requested form the web service.
*/
add_requesting(handler: (sender: Telerik.Web.UI.RadODataDataSource, args: Telerik.Web.UI.ODataDataSourceRequestingEventArgs) => void): void;

remove_requesting(handler: Function): void;
        /**
Occurs when data requested is successfully received.
*/
add_requestSucceeded(handler: (sender: Telerik.Web.UI.RadODataDataSource, args: Telerik.Web.UI.ODataDataSourceRequestSucceededEventArgs) => void): void;

remove_requestSucceeded(handler: Function): void;
        /**
Occurs when data requested is successfully received.
*/
add_requestFail(handler: (sender: Telerik.Web.UI.RadODataDataSource, args: Telerik.Web.UI.ODataDataSourceRequestFailedEventArgs) => void): void;

remove_requestFail(handler: Function): void;
    }


    class RadOrgChart  extends Telerik.Web.UI.RadWebControl {
        /**
DrillDown on particular Node by hierarchical index(e.g. "1:1:0").
@method
@param hierarchicalIndex - The hierarchical index of the node
@returns 
*/
drillDownOnNode(hierarchicalIndex: HTMLElement): void;
        /**
Returns whether user is allowed to drag and drop group items.
@method
@returns 
*/
get_allowGroupItemDragging(): boolean;
        /**
Gets the root DOM element of the RadOrgChart
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets the UL element of the RadOrgChart
@method
@returns 
*/
get_nodeListElement(): any;
        /**
Gets a collection with all nodes
@method
@returns 
*/
get_nodes(): any;
        /**
The nodePopulating client-side event handler is called when the RadOrgChart is about to request the child nodes of the expanded node. 
The event is raised only for a client-side data binding and can be cancelled.
*/
add_nodePopulating(handler: (sender: Telerik.Web.UI.RadOrgChart, eventArgs: Telerik.Web.UI.RadOrgChartNodePopulatingArguments) => void): void;

remove_nodePopulating(handler: Function): void;
        /**
The groupPopulated client-side event handler is called when the RadOrgChart has received the group items within a node from the Web Service. 
The event is raised only for a client-side data binding and cannot be cancelled.
*/
add_groupPopulated(handler: (sender: Telerik.Web.UI.RadOrgChart, eventArgs: Telerik.Web.UI.RadOrgChartGroupPopulatedArguments) => void): void;

remove_groupPopulated(handler: Function): void;
        /**
The groupPopulating client-side event handler is called when the RadOrgChart is about to request the group items within a node. 
The event is raised only for a client-side data binding and can be cancelled.
*/
add_groupPopulating(handler: (sender: Telerik.Web.UI.RadOrgChart, eventArgs: Telerik.Web.UI.RadOrgChartGroupPopulatingArguments) => void): void;

remove_groupPopulating(handler: Function): void;
        /**
The groupPopulationFailed client-side event handler is called when a request to the Web Service has failed. The event is raised only for a client-side data binding.
*/
add_groupPopulationFailed(handler: (sender: Telerik.Web.UI.RadOrgChart, eventArgs: Telerik.Web.UI.RadOrgChartGroupPopulationFailedArguments) => void): void;

remove_groupPopulationFailed(handler: Function): void;
        /**
The nodePopulationFailed client-side event handler is called when a request to the Web Service has failed. 
The event is raised only for a client-side data binding.
*/
add_nodePopulationFailed(handler: (sender: Telerik.Web.UI.RadOrgChart, eventArgs: Telerik.Web.UI.RadOrgChartNodePopulationFailedArguments) => void): void;

remove_nodePopulationFailed(handler: Function): void;
    }


    class RadOrgChartGroupPopulatedArguments  extends Sys.EventArgs {
        /**
Returns the group items collection within a node.
@method
@returns 
*/
get_groupItemCollection(): Telerik.Web.UI.OrgChartGroupItemCollection;
    }


    class RadOrgChartGroupPopulatingArguments  extends Sys.CancelEventArgs {
        /**
Returns a context object (implements IDictionary) that is passed to the server-side code that handles the request for the group items within a node.
@method
@returns ### get_groupItemCollectionReturns the group items collection within a node.
*/
get_context(): any;
    }


    class RadOrgChartGroupPopulationFailedArguments  extends Sys.EventArgs {
        /**
Returns the error message sent from the server.
@method
@returns 
*/
get_errorMessage(): string;
    }


    class RadOrgChartNodePopulatedArguments  extends Sys.EventArgs {
        /**
Returns the expanded node client object.
@method
@returns 
*/
get_node(): Telerik.Web.UI.OrgChartNode;
    }


    class RadOrgChartNodePopulatingArguments  extends Sys.CancelEventArgs {
        /**
Returns a context object (implements IDictionary) that is passed to the server-side code that handles the request for the child nodes of the expanded node.
@method
@returns ### get_nodeReturns the expanded node client object.
*/
get_context(): any;
    }


    class RadOrgChartNodePopulationFailedArguments  extends Sys.EventArgs {
        /**
Returns the error message sent from the server.
@method
@returns 
*/
get_errorMessage(): string;
    }


    class RadPageView   {
        /**
Gets the URL of the page that is opened in the pageView
@method
@returns The URL of the page that is opened in the pageView
*/
get_contentUrl(): string;
        /**
Gets the identifier for the default button that is contained in the RadPageView control.
@method
@returns 
*/
get_defaultButton(): string;
        /**
Gets the DOM element for the pageview.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets the ID of the pageview.
@method
@returns 
*/
get_id(): string;
        /**
Returns the index of the pageview.
@method
@returns the index of the pageview
*/
get_index(): number;
        /**
Gets the MultiPage containing the pageview.
@method
@returns 
*/
get_multiPage(): Telerik.Web.UI.RadMultiPage;
        /**
Returns true if the pageview is selected.
@method
@returns 
*/
get_selected(): boolean;
        /**
Hides the pageview.
@method
@returns 
*/
hide(): void;
        /**
Selects the pageview.
@method
@returns 
*/
select(): void;
        /**
Sets the URL of the page to open in the pageView
@method
@param value - The URL of the page to open in the pageView
@returns 
*/
set_contentUrl(value: string): void;
        /**
Sets the identifier for the default button that is contained in the RadPageView control.
@method
@param value - A string value corresponding to the ID for a button control contained in the RadPageView. The default is an empty string
@returns 
*/
set_defaultButton(value: string): void;
        /**
Sets a value indicating if the pageview is selected.
@method
@param value - A value indicating if the pageview is selected
@returns 
*/
set_selected(value: boolean): void;
        /**
Shows the pageview.
@method
@returns 
*/
show(): void;
        /**
Unselects the pageview.
@method
@returns 
*/
unselect(): void;
    }


    class RadPageViewCollection   {
        /**
Adds the specified pageview to the collection.
@method
@param pageView - The pageview to add.
@returns 
*/
add(pageView: Telerik.Web.UI.RadPageView): void;
        /**
Gets the number of pageviews in the collection.
@method
@returns The number of pageviews in the collection
*/
get_count(): number;
        /**
Gets the pageview at the specified index in the collection.
@method
@param index - The index from which to retrieve the pageview
@returns The pageview at the specified index.
*/
getPageView(index: number): Telerik.Web.UI.RadPageView;
        /**
Inserts the specified pageview at the specified index in the collection.
@method
@param index - The index at which to insert the pageview
@param pageView - The pageview to add.
@returns 
*/
insert(index: number, pageView: Telerik.Web.UI.RadPageView): void;
        /**
Removes the specified pageview to the collection.
@method
@param pageView - The pageview to remove.
@returns 
*/
remove(pageView: Telerik.Web.UI.RadPageView): void;
        /**
Removes the pageview at the specified index from the collection.
@method
@param index - The index from which to remove the pageview
@returns 
*/
removeAt(index: number): void;
    }


    class RadPane  extends Telerik.Web.UI.SplitterPaneBase {
        /**
Collapses the pane in the specified direction
@method
@param direction - The direction
@returns A value
*/
collapse(direction: Telerik.Web.UI.SplitterDirection): boolean;
        /**
Expands the pane in the specified direction
@method
@param direction - The direction
@returns A value
*/
expand(direction: Telerik.Web.UI.SplitterDirection): boolean;
        /**
Returns the HTML content of the pane control. In case the ContentUrl property of the pane is set, returns an empty string
@method
@returns The HTML content of the pane control
*/
get_content(): string;
        /**
Gets the URL of the page that is opened in the pane
@method
@returns The URL of the page that is opened in the pane
*/
get_contentUrl(): string;
        /**
Returns the index of the pane in the items collection of the splitter control
@method
@returns The index of the pane in the items collection of the splitter control
*/
get_index(): number;
        /**
Returns the index of the pane control in the panes collection of the splitter control
@method
@returns The index of the pane control in the panes collection of the splitter control
*/
get_indexInPanes(): number;
        /**
Returns a value, indicating whether the pane is locked, that is, whether the pane can be resized or collapsed
@method
@returns A value
*/
get_locked(): boolean;
        /**
Returns a reference to the splitter control
@method
@returns A reference to the splitter control
*/
get_parent(): Telerik.Web.UI.RadSplitter;
        /**
Returns a reference to the splitter control
@method
@returns A reference to the splitter control
*/
get_splitter(): Telerik.Web.UI.RadSplitter;
        /**
Returns a reference to the HTML element, which is holding the pane content
@method
@returns The HTML element
*/
getContentElement(): any;
        /**
Returns a reference to the IFRAME element, which is holding the pane content
@method
@returns The IFRAME element
*/
getExtContentElement(): any;
        /**
Returns the height of the pane control, excluding the pane borders
@method
@returns 
*/
getInnerHeight(): number;
        /**
Returns the width of the pane control, excluding the pane borders
@method
@returns 
*/
getInnerWidth(): number;
        /**
Returns a value, indicating whether the pane control is showing external content (content specified using the ContentUrl property)
@method
@returns A value
*/
isExternalContent(): boolean;
        /**
Returns a value, indicating whether the pane is locked, that is, whether the pane can be resized or collapsed
@method
@returns A value
*/
isLocked(): boolean;
        /**
Returns a value, indicating whether the pane contains a splitter control with ResizeWithParentPane set to true
@method
@returns A value
*/
isSplitterContainer(): boolean;
        /**
Sets the Locked property of the pane control to true
@method
@returns 
*/
lock(): void;
        /**
Prints the content of the pane
@method
@param arrCssFiles - An array with the paths to the style sheets that contain styles for the printed content. This parameter is used only in case the ContentUrl property of the pane is not set
@returns 
*/
print(arrCssFiles: any): void;
        /**
Resizes the pane control with delta pixels in the specified direction
@method
@param delta - The number of pixels
@param resizeDirection - The direction
@returns 
*/
resize(delta: number, resizeDirection: Telerik.Web.UI.SplitterDirection): void;
        /**
Sets the HTML content of the pane control
@method
@param contentHtml - The HTML content of the pane control
@returns 
*/
set_content(contentHtml: string): void;
        /**
Sets the URL of the page to open in the pane
@method
@param value - The URL of the page to open in the pane
@returns 
*/
set_contentUrl(value: string): void;
        /**
Sets the height in pixels of the control
@method
@param value - The new height in pixels of the control
@returns 
*/
set_height(value: number): void;
        /**
Sets the locked state of the pane - whether the pane can be resized or collapsed
@method
@param value - The new value for the Locked property of the pane control
@returns 
*/
set_locked(value: boolean): void;
        /**
Sets the width in pixels of the control
@method
@param value - The new width in pixels of the control
@returns 
*/
set_width(value: number): void;
        /**
Sets the Locked property of the pane control to false
@method
@returns 
*/
unlock(): void;
    }


    class RadPanelBar  extends Telerik.Web.UI.ControlItemContainer {
        /**
Writes the changes to the listbox that were made since a previous call to trackChanges, so that they are preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Disables all items in the panel. Clicking on any item has no effect, child items cannot be opened.
@method
@returns 
*/
disable(): void;
        /**
Disables RadPanelBar client side events
@method
@returns 
*/
disableEvents(): void;
        /**
Enables all items in the panel.
@method
@returns 
*/
enable(): void;
        /**
Enables the RadPanelBar client-side event emitting. Events are enabled by default.
@method
@returns 
*/
enableEvents(): void;
        /**
Returns the first RadPanelItem object whose NavigateUrl property is equal to the passed parameter. Note that the parameter should end with "/" like: var item = sender.findItemByAbsoluteUrl("http://www.test.com/");
@method
@param value - NavigateUrl of the Item
@returns Returns the first RadPanelItem whose NavigateUrl property matches the passed parameter.
*/
findItemByAbsoluteUrl(value: string): Telerik.Web.UI.RadPanelItem;
        /**
Returns the first RadPanelItem object with a custom attribute of the specified name that has the specified value.
@method
@param attributeName - attributeName
@param attributeValue - attributeValue
@returns 
*/
findItemByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RadPanelItem;
        /**
Returns the first RadPanelItem whose Text property matches the passed parameter.
@method
@param text - The text to search for.
@returns 
*/
findItemByText(text: string): Telerik.Web.UI.RadPanelItem;
        /**
Returns the first RadPanelItem whose NavigateUrl property matches the passed parameter.
@method
@param value - NavigateUrl of the Item
@returns 
*/
findItemByUrl(value: string): Telerik.Web.UI.RadPanelItem;
        /**
Returns the first RadPanelItem object whose Value property is equal to the passed parameter.
@method
@param value - The value to search for.
@returns Returns the first RadPanelItem whose Value property matches the passed parameter.
*/
findItemByValue(value: string): Telerik.Web.UI.RadPanelItem;
        /**
Gets a linear collection of all items. This includes all root and child items in the panel.
@method
@returns 
*/
get_allItems(): any;
        /**
Gets the allowCollapseAllItems property value.
@method
@returns True if the allowCollapseAllItems is enabled
*/
get_allowCollapseAllItems(): boolean;
        /**
Returns the collection of custom attributes for the control.
@method
@returns A collection of custom attributes.
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Gets the DOM element for the list of items in the panel.
@method
@returns The UL element of the RadPanelBar.
*/
get_childListElement(): HTMLElement;
        /**
Gets the value of the collapseDelay property.
@method
@returns The collapseDelay value.
*/
get_collapseDelay(): number;
        /**
Gets the name of the cookie that stores the control state.
@method
@returns Name of the cookie.
*/
get_cookieName(): string;
        /**
Gets the DOM element for the panel.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns a value indicating if the control is enabled.
@method
@returns True if the control is enabled
*/
get_enabled(): boolean;
        /**
Gets the value of the expandDelay property.
@method
@returns The expandDelay value.
*/
get_expandDelay(): number;
        /**
Returns the last root level item that was expanded. Null if no root level items are expanded.
@method
@returns RadPanelItem
*/
get_expandedItem(): Telerik.Web.UI.RadPanelItem;
        /**
Returns an array of the RadPanelItem objects for every expanded item in the panel bar (including expanded child items).
@method
@returns 
*/
get_expandedItems(): any;
        /**
Returns the ExpandMode of the RadPanelBar
@method
@returns 
*/
get_expandMode(): Telerik.Web.UI.ExpandMode;
        /**
Returns the focused root level item. Null if no root level item has focus.
@method
@returns 
*/
get_focusedItem(): Telerik.Web.UI.RadPanelItem;
        /**
Returns true if a RadPanelItem is set to be expanded in "FullExpandedItem" mode, false otherwise.
@method
@returns 
*/
get_fullExpandedItem(): void;
        /**
Gets item data for RadPanelItem.
@method
@returns 
*/
get_itemData(): void;
        /**
Returns the collection of root level items.
@method
@returns 
*/
get_items(): Telerik.Web.UI.RadPanelItemCollection;
        /**
Returns the last expanded item.
@method
@returns RadPanelItem
*/
get_lastExpandedItem(): Telerik.Web.UI.RadPanelItem;
        /**
Gets if the "MultipleExpandedItems" mode of the RadPanelBar is set.
@method
@returns 
*/
get_multiExpandedItem(): void;
        /**
Gets the value of persistStateInCookie property of the control.
@method
@returns True if the persistStateInCookie is enabled
*/
get_persistStateInCookie(): boolean;
        /**
Returns whether the right-to-left support is enabled
@method
@returns True if the right
*/
get_rightToLeft(): boolean;
        /**
Returns the selected item if it exists. (It does not have to be a root level item). Null if the panel does not have a selected item.
@method
@returns RadPanelItem
*/
get_selectedItem(): Telerik.Web.UI.RadPanelItem;
        /**
Returns an array containing the selected items in the panel. Because the panel bar does not allow more than one item to be selected, the array always has 0 or 1 elements.
@method
@returns Array of RadPanelItems
*/
get_selectedItems(): any;
        /**
Gets if the "SingleExpandedItem" mode of the RadPanelBar is set.
@method
@returns 
*/
get_singleExpandedItem(): void;
        /**
Refreshes the RadPanelBar UI.
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state to the client state hidden field
@method
@returns 
*/
saveClientState(): void;
        /**
Sets the allowCollapseAllItems property value.
@method
@param value - The value of the allowCollapseAllItems property.
@returns 
*/
set_allowCollapseAllItems(value: boolean): void;
        /**
Sets the value of the collapseDelay property.
@method
@param value - The collapseDelay value.
@returns 
*/
set_collapseDelay(value: number): void;
        /**
Sets the name of the cookie to be used for storing the control state.
@method
@param value - Name of the cookie.
@returns 
*/
set_cookieName(value: string): void;
        /**
Enables or disables the control.
@method
@param value - True if the control is enabled
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the value of the expandDelay property.
@method
@param value - The expandDelay value.
@returns 
*/
set_expandDelay(value: number): void;
        /**
Sets the root level item to be expanded.
@method
@param value - Item value
@returns 
*/
set_expandedItem(value: string): void;
        /**
Sets the Expand mode of the RadPanelBar
@method
@param value - Expand mode
@returns 
*/
set_expandMode(value: Telerik.Web.UI.ExpandMode): void;
        /**
Sets the focus to explicit RadPanelItem.
@method
@param value - Item value
@returns 
*/
set_focusedItem(value: string): void;
        /**
Sets a RadPanelItem to be expanded in "FullExpandedItem" mode.
@method
@param value - Item value
@returns 
*/
set_fullExpandedItem(value: string): void;
        /**
Sets item data for RadPanelItem.
@method
@param value - Item value
@returns 
*/
set_itemData(value: string): void;
        /**
Sets the RadPanelBar's root items.
@method
@param value - RadPanelBar
@returns 
*/
set_items(value: Telerik.Web.UI.RadPanelItemCollection): void;
        /**
Sets the last root level item to be expanded.
@method
@param value - Item value
@returns 
*/
set_lastExpandedItem(value: string): void;
        /**
Sets  a RadPanelItem to be expanded in "MultipleExpandedItems" mode.
@method
@param value - Item value
@returns 
*/
set_multiExpandedItem(value: string): void;
        /**
Sets the value of the persistStateInCookie property of the control.
@method
@param value - The value of the persistStateInCookie property.
@returns 
*/
set_persistStateInCookie(value: boolean): void;
        /**
Sets the selected item
@method
@param value - Item value
@returns 
*/
set_selectedItem(value: string): void;
        /**
Sets a RadPanelItem to be expanded in "SingleExpandedItem" mode.
@method
@param value - Item value
@returns 
*/
set_singleExpandedItem(value: string): void;
        /**
Begins tracking changes to the RadPanelBar items. Only changes to the items that occur between a call to trackChanges and commitChanges persist after a postback.
@method
@returns 
*/
trackChanges(): void;
        /**
This event is fired immediately after an item is collapsed.
*/
add_itemCollapse(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelItemCollapseEventArgs) => void): void;

remove_itemCollapse(handler: Function): void;
        /**
This event is fired immediately after an item is expanded.
*/
add_itemExpand(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelItemExpandEventArgs) => void): void;

remove_itemExpand(handler: Function): void;
        /**
This event is fired immediately after the panel bar responds to an item click.
*/
add_itemClicked(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelItemClickedEventArgs) => void): void;

remove_itemClicked(handler: Function): void;
        /**
This event is fired when an item gets focus.
*/
add_itemFocus(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelItemFocusEventArgs) => void): void;

remove_itemFocus(handler: Function): void;
        /**
This event is fired when an item loses focus.
*/
add_itemBlur(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelItemBlurEventArgs) => void): void;

remove_itemBlur(handler: Function): void;
        /**
This event is fired when the mouse moves off of an item in the panel bar.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelMouseOutEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
This event is fired when the mouse moves over an item in the panel bar.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelMouseOverEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
This event is fired when the RadPanelBar client-side object is loaded.
*/
add_load(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
This event is fired when the user clicks on an item before the panel bar responds to the click.
*/
add_itemClicking(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelItemClickingEventArgs) => void): void;

remove_itemClicking(handler: Function): void;
        /**
This event is fired when the user right-clicks on an item in the panel bar.
*/
add_contextMenu(handler: (sender: Telerik.Web.UI.RadPanelBar, args: Telerik.Web.UI.RadPanelItemCancelEventArgs) => void): void;

remove_contextMenu(handler: Function): void;
    }


    class RadPanelEventArgs  extends Sys.EventArgs {
    }


    class RadPanelItem  extends Telerik.Web.UI.ControlItem {
        /**
Removes focus from the item.
@method
@returns 
*/
blur(): void;
        /**
Performs an item click. If a the ItemClick server event is wired, it will be fired.
@method
@returns 
*/
click(): void;
        /**
Collapses the item if it is expanded.
@method
@returns 
*/
collapse(): void;
        /**
Disables the item.
@method
@returns 
*/
disable(): void;
        /**
Enables the item if it is disabled.
@method
@returns 
*/
enable(): void;
        /**
Expands the item and reveals its children if any.
@method
@returns 
*/
expand(): void;
        /**
Returns the client-side object of the Control with the specified ID nested in the Item's Template. The ID passed as an argument to the function MUST be the ID attribute of the nested Control.
@method
@param id - The id of the control to search for.
@returns 
*/
findControl(id: string): Sys.UI.Control;
        /**
Moves focus to the item.
@method
@returns 
*/
focus(): void;
        /**
Moves focus to the first child of the item.
@method
@returns 
*/
focusFirstChild(): void;
        /**
Moves focus to the last child of the item.
@method
@returns 
*/
focusLastChild(): any;
        /**
Moves focus to the next item.
@method
@returns 
*/
focusNextItem(): void;
        /**
Moves focus to the previous item.
@method
@returns 
*/
focusPreviousItem(): void;
        /**
Returns the collection of custom attributes for the item.
@method
@returns 
*/
get_attributes(): Telerik.Web.UI.AttributeCollection;
        /**
Gets the DOM element of the list of child items (UL).
@method
@returns 
*/
get_childListElement(): HTMLElement;
        /**
Returns whether the item is clicked.
@method
@returns 
*/
get_clicked(): boolean;
        /**
Gets the CSS class for the item when it is clicked.
@method
@returns 
*/
get_clickedCssClass(): string;
        /**
Gets the CssClass property of the item.
@method
@returns 
*/
get_cssClass(): string;
        /**
Gets the CSS class for the item when it is disabled.
@method
@returns 
*/
get_disabledCssClass(): string;
        /**
Returns the path to an image to display for the item when it is disabled.
@method
@returns Gets the path to an image to display for the item when it is disabled.
*/
get_disabledImageUrl(): string;
        /**
Gets the root DOM element of the item (LI).
@method
@returns HTML Element
*/
get_element(): HTMLElement;
        /**
Returns true if both the item and the panelbar are enabled. If one of them is disabled will return false.
@method
@returns 
*/
get_enabled(): boolean;
        /**

@method
@returns 
*/
get_expandable(): void;
        /**
Gets the expanded/collapsed state of a panel bar item
@method
@returns 
*/
get_expanded(): boolean;
        /**
Gets the CSS class for the item when it is expanded.
@method
@returns 
*/
get_expandedCssClass(): string;
        /**
Gets the URL of the image displayed when item is expanded.
@method
@returns 
*/
get_expandedImageUrl(): string;
        /**
Returns the child item that was most recently expanded. Null if no child item is expanded.
@method
@returns 
*/
get_expandedItem(): Telerik.Web.UI.RadPanelItem;
        /**
Gets the expand handle DOM element of a RadPanelItem.
@method
@returns 
*/
get_expandHandleElement(): HTMLElement;
        /**
Returns a boolean indicating whether the item has focus.
@method
@returns 
*/
get_focused(): void;
        /**
Gets the CSS class for the item when it has focus.
@method
@returns 
*/
get_focusedCssClass(): string;
        /**
Gets the focused child item. Null if no child item is focused.
@method
@returns 
*/
get_focusedItem(): Telerik.Web.UI.RadPanelItem;
        /**
Returns a value indicating if the item has content template.
@method
@returns True if the item has content template
*/
get_hasContentTemplate(): boolean;
        /**
Gets the header DOM element for a RadPanelItem.
@method
@returns 
*/
get_headerElement(): HTMLElement;
        /**
Gets the URL of the image displayed when the mouse if over the item.
@method
@returns 
*/
get_hoveredImageUrl(): string;
        /**
Gets the image DOM element of the item. If the server side ImageUrl property is not set, returns null.
@method
@returns 
*/
get_imageElement(): HTMLElement;
        /**
Gets the URL of the image.
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the zero-based index of the item inside its parent items collection.
@method
@returns 
*/
get_index(): number;
        /**
Returns true if both the item and the panelbar are enabled. If one of them is disabled will return false.
@method
@returns 
*/
get_isEnabled(): boolean;
        /**
Returns true if the item index is first, otherwise returns false.
@method
@returns Indicates whether the item is first.
*/
get_isFirst(): boolean;
        /**
Returns true if the item index is last, otherwise returns false.
@method
@returns Returns true if the RadPanelItem is last
*/
get_isLast(): boolean;
        /**
Returns true the item is a separator (sever-side property IsSeparator = true)
@method
@returns 
*/
get_isSeparator(): boolean;
        /**
Returns the child items of the current item.
@method
@returns 
*/
get_items(): Telerik.Web.UI.RadPanelItemCollection;
        /**
Gets the level of the item. Root level items are level 0.
@method
@returns Returns the level of the item as number.
*/
get_level(): number;
        /**
Gets the anchor DOM element of the item (A).
@method
@returns 
*/
get_linkElement(): HTMLElement;
        /**
Defines whether the item should navigate after click.
@method
@returns 
*/
get_navigateAfterClick(): boolean;
        /**
Returns the URL of the Web page the panel item launches.
@method
@returns 
*/
get_navigateUrl(): string;
        /**
Returns the next sibling or null if this is the last item at its level.
@method
@returns 
*/
get_nextSibling(): Telerik.Web.UI.RadPanelItem;
        /**
Returns an instance of the panel bar that contains the item.
@method
@returns 
*/
get_panelBar(): Telerik.Web.UI.RadPanelBar;
        /**
Returns the postback value of a RadPanelItem.
@method
@returns 
*/
get_postBack(): boolean;
        /**
Returns a value indicating if the item should collapse.
@method
@returns True if the item is should collapse
*/
get_preventCollapse(): boolean;
        /**
Returns the previous sibling or null if this is the first item at its level.
@method
@returns 
*/
get_previousSibling(): Telerik.Web.UI.RadPanelItem;
        /**
Returns whether the item is selected.
@method
@returns 
*/
get_selected(): boolean;
        /**
Gets the CSS class for the item when it is selected.
@method
@returns 
*/
get_selectedCssClass(): string;
        /**
Gets the URL of the image displayed when item is selected.
@method
@returns 
*/
get_selectedImageUrl(): string;
        /**
Gets the selected item.
@method
@returns 
*/
get_selectedItem(): Telerik.Web.UI.RadPanelItem;
        /**
Returns the value of "target" attribute of the anchor DOM element of the item (A).
@method
@returns 
*/
get_target(): string;
        /**
Returns a value indicating if the item is templated.
@method
@returns True if the item is templated
*/
get_templated(): boolean;
        /**
Returns the text of the item.
@method
@returns 
*/
get_text(): string;
        /**
Gets the DOM element of the item text (SPAN).
@method
@returns 
*/
get_textElement(): HTMLElement;
        /**
Returns the Value property of the item.
@method
@returns 
*/
get_value(): string;
        /**
Returns true if the items is visible or false if the item is invisible.
@method
@returns 
*/
get_visible(): boolean;
        /**
Makes the item invisible.
@method
@returns 
*/
hide(): void;
        /**
Selects the item.
@method
@returns 
*/
select(): void;
        /**
Sets the CSS class for the item when it is clicked.
@method
@param value - The CSS class for the item when it is clicked.
@returns 
*/
set_clickedCssClass(value: string): void;
        /**
Sets the CssClass property for the item.
@method
@param value - The CssClass property for the item.
@returns 
*/
set_cssClass(value: string): void;
        /**
Sets the CSS class for the item when it is disabled.
@method
@param value - The CSS class for the item when it is disabled.
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the path to an image to display for the item when it is disabled.
@method
@param value - Value of the item.
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets the root DOM element of the item(LI).
@method
@param value - HTML Element
@returns 
*/
set_element(value: HTMLElement): void;
        /**
Sets the enabled state of the item.
@method
@param value - The enabled state of the item.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Expands /Collapses the item.
@method
@param value - Expands
@returns 
*/
set_expanded(value: boolean): void;
        /**
Sets the CSS class for the item when it is expanded.
@method
@param value - The CSS class for the item when it is expanded.
@returns 
*/
set_expandedCssClass(value: string): void;
        /**
Sets the URL of the image displayed when item is expanded.
@method
@param value - URL of the image displayed when item is expanded.
@returns 
*/
set_expandedImageUrl(value: string): void;
        /**
Sets the expanded item
@method
@param value - Expanded item.
@returns 
*/
set_expandedItem(value: Telerik.Web.UI.RadPanelItem): void;
        /**
Sets a boolean indicating whether the item has focus.
@method
@param Boolean - 
@returns 
*/
set_focused(Boolean: boolean): any;
        /**
Sets the CSS class for the item when it has focus.
@method
@param value - The CSS class for the item when it has focus.
@returns 
*/
set_focusedCssClass(value: string): void;
        /**
Sets the focused RadPanelItem
@method
@param value - Value of the item.
@returns 
*/
set_focusedItem(value: string): void;
        /**
Sets the URL of the image displayed when the mouse if over the item.
@method
@param value - URL of the image displayed when the mouse if over the item.
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the URL of the image.
@method
@param value - URL of the image
@returns 
*/
set_imageUrl(value: string): void;
        /**
Finds a RadPanelItem by value and sets it to be a separator.
@method
@param value - Finds a RadPanelItem by value and sets it to be a separator.
@returns 
*/
set_isSeparator(value: boolean): void;
        /**
Sets lastExpandedItem property.
@method
@param value - Finds a RadPanelItem by value and sets it to be a expanded.
@returns 
*/
set_lastExpandedItem(value: boolean): void;
        /**
Sets the URL of the Web page the panel item launches.
@method
@param value - URL of the Web page the panel item launches.
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Returns the postBack value of a RadPanelItem.
@method
@param value - Sets the postback value of a RadPanelItem.
@returns 
*/
set_postBack(value: boolean): void;
        /**
Sets if the item should collapse.
@method
@param value - False if the panel item should collapse otherwise true.
@returns 
*/
set_preventCollapse(value: boolean): void;
        /**
Selects or de-selects the item.
@method
@param value - Selects of de
@returns 
*/
set_selected(value: boolean): void;
        /**
Sets the CSS class for the item when it is selected.
@method
@param value - The CSS class for the item when it is selected.
@returns 
*/
set_selectedCssClass(value: string): void;
        /**
Sets the URL of the image displayed when item is selected.
@method
@param value - URL of the image displayed when item is selected.
@returns 
*/
set_selectedImageUrl(value: string): void;
        /**
Sets selected item.
@method
@param value - Expanded item.
@returns 
*/
set_selectedItem(value: Telerik.Web.UI.RadPanelItem): void;
        /**
Sets the value of "target" attribute of the anchor DOM element of the item (A).
@method
@param value - The
@returns 
*/
set_target(value: string): void;
        /**
Sets the text of the item.
@method
@param text - Text of the item.
@returns 
*/
set_text(text: string): void;
        /**
Sets the Value property of the item.
@method
@param value - Value of the item.
@returns 
*/
set_value(value: string): void;
        /**
Shows/Hides a RadPanelItem
@method
@param value - Shows
@returns 
*/
set_visible(value: boolean): void;
        /**
Makes the item visible.
@method
@returns 
*/
show(): void;
        /**
Returns the RadPanelItem as a JSON serialized string.
@method
@returns JSON serialized string.
*/
toJsonString(): string;
        /**
De-selects the item.
@method
@returns 
*/
unSelect(): void;
    }


    class RadPanelItemBlurEventArgs  extends Telerik.Web.UI.RadPanelItemEventArgs {
    }


    class RadPanelItemCancelEventArgs  extends Sys.CancelEventArgs {
        /**
returns a reference to the DOM event that caused the opening.
@method
@returns ### get_itemReturns returns a reference to the RadPanelItem.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadPanelItemClickedEventArgs  extends Telerik.Web.UI.RadPanelItemEventArgs {
    }


    class RadPanelItemClickingEventArgs  extends Telerik.Web.UI.RadPanelItemCancelEventArgs {
    }


    class RadPanelItemCollapseEventArgs  extends Telerik.Web.UI.RadPanelItemEventArgs {
    }


    class RadPanelItemCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadPanelItem> {
        /**
Clears the Items collection of all the child items it contains.
@method
@returns 
*/
clear(): void;
        /**
Iterates through the items collection.
@method
@param lambda - The function to execute on each iteration.
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of the items in the collection.
@method
@returns 
*/
get_count(): number;
        /**
Removes the item at the specified index.
@method
@param index - index
@returns 
*/
removeAt(index: number): void;
    }


    class RadPanelItemEventArgs  extends Sys.EventArgs {
        /**
returns a reference to the DOM event that caused the opening.
@method
@returns ### get_itemReturns returns a reference to the RadPanelItem.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadPanelItemExpandEventArgs  extends Telerik.Web.UI.RadPanelItemEventArgs {
    }


    class RadPanelItemFocusEventArgs  extends Telerik.Web.UI.RadPanelItemEventArgs {
    }


    class RadPanelMouseOutEventArgs  extends Telerik.Web.UI.RadPanelItemEventArgs {
    }


    class RadPanelMouseOverEventArgs  extends Telerik.Web.UI.RadPanelItemEventArgs {
    }


    class RadPivotGrid  extends Telerik.Web.UI.RadWebControl {
        /**
Collapses all column groups at the zero level.
@method
@returns 
*/
collapseAllColumnGroups(): void;
        /**
Collapses all row groups at the zero level.
@method
@returns 
*/
collapseAllRowGroups(): void;
        /**
Collapses all column groups at the specified level.
@method
@param level - The level which to collapse.
@returns 
*/
collapseColumnGroupsAtLevel(level: number): void;
        /**
Collapses all row groups at the specified level.
@method
@param level - The level which to collapse.
@returns 
*/
collapseRowGroupsAtLevel(level: number): void;
        /**
Expands all column groups at the zero level.
@method
@returns 
*/
expandAllColumnGroups(): void;
        /**
Expands all row groups at the zero level.
@method
@returns 
*/
expandAllRowGroups(): void;
        /**
Expands all column groups at the specified level.
@method
@param level - The level which to expand.
@returns 
*/
expandColumnGroupsAtLevel(level: number): void;
        /**
Expands all row groups at the specified level.
@method
@param level - The level which to expand.
@returns 
*/
expandRowGroupsAtLevel(level: number): void;
        /**
Method which triggers specific command for the pivot grid when executed. The method is called for the RadPivotGrid client instance and its arguments depend on the command which will be processed.
@method
@param comandName - The name of the command.
@param commandArgument - The argument of the command otherwise empty string.
@returns 
*/
fireCommand(comandName: string, commandArgument: string): void;
        /**
Gets the zone element where all not hidden PivotGridAggregateField's are placed.
@method
@returns The the zone element where all not hidden PivotGridAggregateField
*/
get_aggregateZone(): HTMLElement;
        /**
The RadPivotGrid client settings for the current instance.
@method
@returns Returns the RadPivotGrid client settings for the current instance.
*/
get_clientSettings(): any;
        /**
Returns a number representing the count of the column group descriptions.
@method
@returns 
*/
get_columnGroupDescriptionsCount(): void;
        /**
The column header table element.
@method
@returns Returns the column header table element.
*/
get_columnHeaderTable(): HTMLElement;
        /**
Gets the zone element where all not hidden PivotGridColumnField's are placed.
@method
@returns The the zone element where all not hidden PivotGridColumnField
*/
get_columnZone(): HTMLElement;
        /**
Gets the PivotGridConfigurationPanel client-side object for the RadPivotGrid.
@method
@returns The PivotGridConfigurationPanel client
*/
get_configurationPanel(): Telerik.Web.UI.PivotGridConfigurationPanel;
        /**
Gets the RadMenu client-side object for the RadPivotGrid ContextMenu.
@method
@returns The RadMenu client
*/
get_contextMenu(): Telerik.Web.UI.RadMenu;
        /**
Gets a value indicating the index of the currently active page in case paging is enabled.
@method
@returns The index of the current page.
*/
get_currentPageIndex(): number;
        /**
The pivot table data table element.
@method
@returns The pivot table data table element.
*/
get_dataTable(): HTMLElement;
        /**
Gets a value indicating whether WAI-ARIA for RadPivotGrid is enabled or not (default is false).
@method
@returns true if the WAI
*/
get_enableAriaSupport(): boolean;
        /**
Gets a value indicating whether toolTips for PivotGrid are enable or not (default is false).
@method
@returns true if the toolTips are enabled
*/
get_enableToolTips(): boolean;
        /**
Gets the collection of Telerik.Web.UI.PivotGridField items which are part of the RadPivotGrid.
@method
@returns The collection of Telerik.Web.UI.PivotGridField items which are part of the RadPivotGrid.
*/
get_fields(): any;
        /**
Gets the object holding all properties associated with the field settings window.
@method
@returns Returns the object holding all properties associated with the field settings window.
*/
get_fieldSettings(): Telerik.Web.UI.PivotGridFieldSettings;
        /**
Gets the RadWindow client-side object for the RadPivotGrid field settings window.
@method
@returns Returns the RadWindow client
*/
get_fieldSettingsWindow(): Telerik.Web.UI.RadWindow;
        /**
Gets the RadWindow client-side object for the RadPivotGrid FieldsWindow.
@method
@returns The RadWindow client
*/
get_fieldsWindow(): Telerik.Web.UI.RadWindow;
        /**
Gets the RadWindow client-side object for the RadPivotGrid Filtering window dialog.
@method
@returns Returns the RadWindow client
*/
get_filterDialog(): Telerik.Web.UI.RadWindow;
        /**
Gets the RadWindow client-side object for the RadPivotGrid Filtering window.
@method
@returns Returns the RadWindow client
*/
get_filterWindow(): Telerik.Web.UI.RadWindow;
        /**
Gets the zone element where all not hidden PivotGridReportFilterField's are placed.
@method
@returns The the zone element where all not hidden PivotGridReportFilterField
*/
get_filterZone(): HTMLElement;
        /**
Returns the DIV element which holds the horizontal scrollbar of the control.
@method
@returns 
*/
get_hzScrollDiv(): void;
        /**
A property which gets a reference to the owner RadPivotGrid object.
@method
@returns 
*/
get_owner(): void;
        /**
Gets the number of pages required to display the records of the data source in the RadPivotGrid control.
@method
@returns The number of pages required to display the records of the data source.
*/
get_pageCount(): number;
        /**
Gets the maximum number of items that would appear in a page, when paging is enabled by AllowPaging property. Default value is 10.
@method
@returns The maximum number of items that could appear in a page.
*/
get_pageSize(): number;
        /**
The row header table element.
@method
@returns Returns the row header table element.
*/
get_rowHeaderTable(): HTMLElement;
        /**
Gets the zone element where all not hidden PivotGridRowField's are placed.
@method
@returns The the zone element where all not hidden PivotGridRowField
*/
get_rowZone(): HTMLElement;
        /**
The actual scoll height of the RadPivotGrid client-side element.
@method
@returns Returns the actual scoll height of the RadPivotGrid client
*/
get_scrollHeight(): number;
        /**
Gets the RadToolTipManager client-side object for the PivotGridToolTipManager.
@method
@returns The RadToolTipManager client
*/
get_toolTipManager(): Telerik.Web.UI.RadToolTipManager;
        /**
The UniqueID of the RadPivotGrid instance.
@method
@returns Returns the UniqueID of the RadPivotGrid instance.
*/
get_uniqueID(): string;
        /**
A property which returns the unique name of the field.
@method
@returns 
*/
get_uniqueName(): void;
        /**
Returns the DIV element which holds the vertical scrollbar of the control.
@method
@returns 
*/
get_verticalScrollDiv(): void;
        /**
EnableZoneContextMenu
@method
@returns 
*/
get_zoneContextMenu(): void;
        /**
A property which returns the zone index of the field.
@method
@returns 
*/
get_zoneIndex(): void;
        /**
Returns a numeric value which corresponds to a member of the Telerik.Web.UI.PivotGridFieldZoneType enumeration
@method
@returns 
*/
get_zoneType(): void;
        /**
Performs postback and shows the provided field.
@method
@param fieldOrUniqueName - The field unique name
@returns 
*/
getFieldByUniqueName(fieldOrUniqueName: string): Telerik.Web.UI.PivotGridField;
        /**
A method which hides the field it is called upon.
@method
@returns 
*/
hide(): void;
        /**
Performs postback and hides the provided field.
@method
@param fieldOrUniqueName - The field unique name
@returns 
*/
hideField(fieldOrUniqueName: string): void;
        /**
Executes a page command depending on the provided commandName value. The supported values are: "Next", "Prev", "First", "Last".
@method
@param commandName - The page command name which will be executed.
@returns 
*/
page(commandName: string): void;
        /**
Performs postback and calls Rebind on the RadPivotGrid.
@method
@returns 
*/
rebind(): void;
        /**
Redraws the client side element on the client.
@method
@returns 
*/
repaint(): void;
        /**
Sets a value indicating the index of the currently active page in case paging is enabled.
@method
@returns 
*/
set_currentPageIndex(): void;
        /**
Sets the maximum number of items that would appear in a page, when paging is enabled by AllowPaging property.
@method
@returns 
*/
set_pageSize(): void;
        /**
A method which hides the field it is called upon.
@method
@returns 
*/
show(): void;
        /**
Performs postback and shows the provided field.
@method
@param fieldOrUniqueName - The field unique name
@returns 
*/
showField(fieldOrUniqueName: string): void;
        /**
Sorts the field with optionally provided order.
@method
@param fieldOrUniqueName - The PivotGridField.UniqueName value or the Telerik.Web.UI.PivotGridField client
@param order - The order that the field will be sorted. The parameter is optional and if not passed the field will swap its order.
@returns 
*/
sort(fieldOrUniqueName: string, order: string): void;
        /**
Telerik.Web.UI.PivotGridFieldZoneType
@method
@returns 
*/
tryReorder(): void;
        /**
Tries to reorder the specified field with new ZoneType and/or new ZoneIndex.
@method
@param fieldOrUniqueName - The field unique name
@param zoneType - The new ZoneType for the field
@param zoneIndex - The new ZoneIndex for the field
@returns If the reorder happened or not which could happen if the zoneType and zoneIndex are the same
*/
tryReorderField(fieldOrUniqueName: string, zoneType: Telerik.Web.UI.PivotGridFieldZoneType, zoneIndex: number): boolean;
        /**
This event is fired when the RadPivotGrid client component is about to be disposed.
*/
add_pivotGridDestroying(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Sys.EventArgs) => void): void;

remove_pivotGridDestroying(handler: Function): void;
        /**
This event is fired when the RadPivotGrid client component is initialized.
*/
add_pivotGridCreated(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Sys.EventArgs) => void): void;

remove_pivotGridCreated(handler: Function): void;
        /**
This event is fired when the RadPivotGrid client component is initializing.
*/
add_pivotGridCreating(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Sys.EventArgs) => void): void;

remove_pivotGridCreating(handler: Function): void;
        /**
The event is raised immediately before the tooltip is shown on the client. Cannot be cancelled.
*/
add_toolTipShow(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridToolTipShowEventArgs) => void): void;

remove_toolTipShow(handler: Function): void;
        /**
The event is raised when the RadContextMenu is about to be shown. The event is cancellable.
*/
add_menuShowing(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridMenuShowingEventArgs) => void): void;

remove_menuShowing(handler: Function): void;
        /**
The event is raised when the RadContextMenu is shown. The event is not cancellable.
*/
add_menuShown(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridMenuShownEventArgs) => void): void;

remove_menuShown(handler: Function): void;
        /**
The event is raised when the user clicks with the right mouse button on a cell from the RadPivotGrid.
*/
add_cellContextMenu(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridCellEventArgs) => void): void;

remove_cellContextMenu(handler: Function): void;
        /**
The event is raised when the user double clicks on a cell from the RadPivotGrid.
*/
add_cellDoubleClick(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridCellEventArgs) => void): void;

remove_cellDoubleClick(handler: Function): void;
        /**
The event is raised when the user moves the mouse pointer out of a cell from the RadPivotGrid.
*/
add_cellMouseOut(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridCellEventArgs) => void): void;

remove_cellMouseOut(handler: Function): void;
        /**
The event is raised when the user moves the mouse pointer over a cell from the RadPivotGrid.
*/
add_cellMouseOver(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridCellEventArgs) => void): void;

remove_cellMouseOver(handler: Function): void;
        /**
This event will be raised when a client command is executed in RadPivotGrid. The command can be canceled.
*/
add_command(handler: (sender: Telerik.Web.UI.RadPivotGrid, args: Telerik.Web.UI.PivotGridCommandCancelEventArgs) => void): void;

remove_command(handler: Function): void;
    }


    class RadProgressArea  extends Telerik.Web.UI.RadWebControl {
        /**
Cancel the initialization of the next requests.
@method
@returns 
*/
cancelRequest(): void;
        /**
Returns the DOM element for the RadProgressArea control.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Hides the progress area.
@method
@returns 
*/
hide(): void;
        /**
Shows the progress area.
@method
@returns 
*/
show(): void;
        /**
Updates the progress area with the pass information.
@method
@returns 
*/
update(): void;
        /**
Updates the width of the progress bar element passed as the first parameter to represent the
@method
@param HTMLelement - 
@param integer - 
@returns 
*/
updateHorizontalProgressBar(HTMLelement: any, integer: any): any;
        /**
Updates the text value of the HTML element passed as the first parameter to the value
passed as the second parameter.
This method is intended for updating custom elements in a progress template from an
OnClientProgressUpdating event handler.
@method
@param HTMLelement - 
@param string - 
@returns 
*/
updateTextIndicator(HTMLelement: any, string: any): any;
        /**
Updates the height of the progress bar element passed as the first parameter to represent the
@method
@param HTMLelement - 
@param integer - 
@returns 
*/
updateVerticalProgressBar(HTMLelement: any, integer: any): any;
    }


    class RadProgressBar   {
        /**
Returns the animation settings of the progress bar. They are presented with an object literal with the following fields:
@method
@returns 
*/
get_animationSettings(): any;
        /**
Telerik.Web.UI.ProgressBarType
@method
@returns 
*/
get_barType(): Telerik.Web.UI.ProgressBarType;
        /**
BarType
@method
@returns 
*/
get_chunksCount(): number;
        /**
Returns the enabled state of the progress bar.
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns the label text of the progress bar.
@method
@returns 
*/
get_label(): string;
        /**
Returns the maximum value of the progress bar.
@method
@returns 
*/
get_maxValue(): any;
        /**
Returns the minimum value of the progress bar.
@method
@returns 
*/
get_minValue(): any;
        /**
Telerik.Web.UI.ProgressBarOrientation
@method
@returns 
*/
get_orientation(): Telerik.Web.UI.ProgressBarOrientation;
        /**
Returns the progress wrapper DOM element.
@method
@returns 
*/
get_progressWrapper(): any;
        /**
Indicates whether the direction of the progress bar is reversed.
@method
@returns 
*/
get_reversed(): boolean;
        /**
Returns the visible state of the label of the progress bar.
@method
@returns 
*/
get_showLabel(): boolean;
        /**
Returns the current value of the progress bar.
@method
@returns 
*/
get_value(): any;
        /**
Returns the completed state of the progress bar.
@method
@returns 
*/
isCompleted(): boolean;
        /**
Sets the animation settings of the progress bar. They are presented with an object literal with the following fields:
@method
@param ObjectLiteral - 
@returns 
*/
set_animationSettings(ObjectLiteral: any): any;
        /**
Sets the enabled state of the progress bar.
@method
@param Boolean - 
@returns 
*/
set_enabled(Boolean: boolean): any;
        /**
Sets the label text of the progress bar.
@method
@param String - 
@returns 
*/
set_label(String: string): any;
        /**
Sets the visible state of the label of the progress bar.
@method
@param Boolean - 
@returns 
*/
set_showLabel(Boolean: boolean): any;
        /**
Sets the current value of the progress bar.
@method
@param Number - 
@returns 
*/
set_value(Number: any): any;
        /**
The client-side valueChanging event is raised just before the RadProgressBar value property is changed. You can handle this event in case you want to prevent the current value from changing.
*/
add_valueChanging(handler: (sender: Telerik.Web.UI.RadProgressBar, args: Telerik.Web.UI.ProgressBarCancelEventArgs) => void): void;

remove_valueChanging(handler: Function): void;
        /**
The client-side completed event is raised when the RadProgressBar reaches its max value.
*/
add_completed(handler: (sender: Telerik.Web.UI.RadProgressBar, args: Sys.EventArgs) => void): void;

remove_completed(handler: Function): void;
        /**
The client-side load event is raised when the RadProgressBar client-side object is fully loaded (the full API of the control is available at this point).
*/
add_load(handler: (sender: Telerik.Web.UI.RadProgressBar, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The client-side ValueChanged event is raised after the RadProgressBar value property has been changed.
*/
add_valueChanged(handler: (sender: Telerik.Web.UI.RadProgressBar, args: Sys.EventArgs) => void): void;

remove_valueChanged(handler: Function): void;
    }


    class RadProgressManager   extends Telerik.Web.UI.RadWebControl {
        /**
Explicitly starts the polling to the server.
@method
@returns 
*/
startAsyncPolling(): void;
        /**
Explicitly stops the polling to the server.
@method
@returns 
*/
stopAsyncPolling(): void;
        /**
Occurs when the RadProgressManager starts monitoring progress.
*/
add_clientProgressStarted(handler: (sender: Telerik.Web.UI.RadProgressManager, args: Sys.EventArgs) => void): void;

remove_clientProgressStarted(handler: Function): void;
        /**
Occurs after the RadProgressManager has been fully initialized on the client-side.
*/
add_clientSubmitting(handler: (sender: Telerik.Web.UI.RadCloudUpload, args: Sys.CancelEventArgs) => void): void;

remove_clientSubmitting(handler: Function): void;
    }


    class RadPushButton  extends Telerik.Web.UI.ButtonBase.PostBackButtonBase {
        /**
Gets a reference to the HTML element that holds the icon.
@method
@returns A reference to the HTML element that holds the icon.
*/
get_iconElement(): HTMLElement;
        /**
Gets a bool value indicating whether the button control is primary.
@method
@returns A bool value
*/
get_primary(): boolean;
        /**
Sets a bool value indicating whether the button control is primary.
@method
@param value - A bool value indicating whether the button control is primary.
@returns 
*/
set_primary(value: boolean): void;
    }


    class RadRadialGauge  extends Telerik.Web.UI.RadGaugeControl {
        /**
Gets a reference to the Kendo RadialGauge widget. 
To use the exposed Kendo methods make sure you have the kendo.dataviz.d.ts file and cast the returned object to kendo.dataviz.ui.RadialGauge.
@method
@returns 
*/
get_kendoWidget(): any;
        /**
Gets the height of the gauge
@method
@returns 
*/
get_height(): number;
        /**
Gets the value of the gauge
@method
@returns 
*/
get_value(): number;
        /**
Gets the width of the gauge
@method
@returns 
*/
get_width(): number;
        /**
Repaints the gauge
@method
@returns 
*/
repaint(): void;
        /**
Sets new height to the gauge
@method
@param value - 
@returns 
*/
set_height(value: number): void;
        /**
Sets a new value to the gauge
@method
@param value - 
@returns 
*/
set_value(value: number): void;
        /**
Sets new width to the gauge
@method
@param value - 
@returns 
*/
set_width(value: number): void;
    }


    class RadRadioButton  extends Telerik.Web.UI.ButtonBase.CheckableButton {
    }


    class RadRadioButtonList  extends Telerik.Web.UI.RadButtonList {
        /**
The selectedIndexChanged event is fired when the selected item is changed. It is subsequent to the selectedIndexChanging event.
*/
add_selectedIndexChanged(handler: (sender: Telerik.Web.UI.RadRadioButtonList, args: Telerik.Web.UI.RadioButtonListSelectedIndexChangedEventArgs) => void): void;

remove_selectedIndexChanged(handler: Function): void;
    }


    class RadRating  extends Telerik.Web.UI.RadWebControl {
        /**
Returns a value, indicating whether the rating control is enabled
@method
@returns The value of the Enabled property
*/
get_enabled(): boolean;
        /**
Returns a value, indicating whether the rating control will display a browser toolip for its values
@method
@returns A value
*/
get_enableToolTips(): boolean;
        /**
Returns a value, indicating whether the direction of the rating control is reversed
@method
@returns A value
*/
get_isDirectionReversed(): boolean;
        /**
Gets the number of items (stars) in the rating control
@method
@returns The number of items
*/
get_itemCount(): number;
        /**
Array
@method
@returns 
*/
get_itemData(): void;
        /**
Gets the orientation of the rating control
@method
@returns The orientation of the rating control
*/
get_orientation(): Telerik.Web.UI.Orientation;
        /**
Gets the rate precision of the rating control
@method
@returns The rate precision of the rating control
*/
get_precision(): Telerik.Web.UI.RatingPrecision;
        /**
Returns a value, indicating whether the rating control is in read-only mode
@method
@returns A value
*/
get_readOnly(): boolean;
        /**
Gets the selection mode of the rating control
@method
@returns The selection mode of the rating control
*/
get_selectionMode(): Telerik.Web.UI.RatingSelectionMode;
        /**
Gets the current value of the rating control
@method
@returns The current value of the rating control
*/
get_value(): number;
        /**
Repaints the rating control and forces it to recalculate the size of its elements. Use this method when the control is in an initially hidden element
@method
@returns 
*/
repaint(): void;
        /**
Sets whether the slider is enabled
@method
@param value - The new value for the Enabled property
@returns 
*/
set_enabled(value: boolean): void;
        /**
Telerik.Web.UI.RatingPrecision
@method
@returns 
*/
set_precision(): void;
        /**
Sets a value, indicating whether the rating control is in read-only mode
@method
@param value - The new value for the ReadOnly property
@returns 
*/
set_readOnly(value: boolean): void;
        /**
Telerik.Web.UI.RatingSelectionMode
@method
@returns 
*/
set_selectionMode(): void;
        /**
Sets the current value of the rating control
@method
@param value - The new value for the rating control
@returns 
*/
set_value(value: number): void;
        /**
The load event occurs when the RadRating control loaded on the page.
*/
add_load(handler: (sender: Telerik.Web.UI.RadRating, eventArgs: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The rating event is raised just before you click an item of the RadRating control. It is cancellable and precedes the rated event.
*/
add_rating(handler: (sender: Telerik.Web.UI.RadRating, args: Telerik.Web.UI.RatingRatingEventArgs) => void): void;

remove_rating(handler: Function): void;
    }


    class RadRegExpTextBoxComponent  extends Sys.Component {
        /**
Returns a Boolean value indicating whether the corresponding textboxes are required to have some values entered, or may be empty
@method
@returns 
*/
get_isRequiredFields(): boolean;
        /**
Gets regular expression, representing the matching criteria
@method
@returns 
*/
get_validationExpression(): string;
        /**
Returns true if the value of the text box is valid
@method
@param inputId - 
@returns 
*/
isValid(inputId: boolean): void;
        /**
Accepts a Boolean value indicating whether the corresponding textboxes are required to have some values entered, or may be empty
@method
@param value - 
@returns 
*/
set_isRequiredFields(value: boolean): void;
        /**
Sets regular expression, representing the matching criteria
@method
@param value - 
@returns 
*/
set_validationExpression(value: string): void;
    }


    class RadRegExpTextBoxExtender   {
        /**
Accepts the regular expression of RadRegExpTextBoxExtender
@method
@param value - 
@returns 
*/
acceptRegExp(value: string): void;
        /**
Returns true if the value of the text box is valid
@method
@returns 
*/
isValid(): void;
        /**
Validates the input value of RadRegExpTextBoxExtender
@method
@param value - 
@returns 
*/
validateInputValue(value: number): void;
    }


    class RadRibbonBar  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the first RibbonBarButton object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarButton whose Value property matches the passed parameter
*/
findButtonByValue(value: string): Telerik.Web.UI.RibbonBarButton;
        /**
Returns the first RibbonBarGroup object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarGroup whose Value property matches the passed parameter
*/
findGroupByValue(value: string): Telerik.Web.UI.RibbonBarGroup;
        /**
Gets the first instance of a RibbonBarItem with the specified attribute/value pair.
@method
@param attributeName - The attribute name to search for
@param attributeValue - The attribute value to search for
@returns Returns the first RibbonBarItem which has an attribute that matches the passed parameters
*/
findItemByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose CommandArgument property equals the passed parameter.
@method
@param commandArgument - The text to search for
@returns 
*/
findItemByCommandArgument(commandArgument: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose CommandName property equals the passed parameter.
@method
@param commandName - The text to search for
@returns 
*/
findItemByCommandName(commandName: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose Text property equals the passed parameter.
@method
@param text - The text to search for
@returns 
*/
findItemByText(text: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarMenu object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarMenu whose Value property matches the passed parameter
*/
findMenuItemByValue(value: string): Telerik.Web.UI.RibbonBarMenu;
        /**
Returns the RibbonBarTab object whose DOM element is equal to or a parent of the passed parameter.
@method
@param element - The DOM element to search for
@returns Returns the RibbonBarTab object whose DOM element is equal to or a parent of the passed parameter.
*/
findTabByDomElement(element: HTMLElement): Telerik.Web.UI.RibbonBarTab;
        /**
Returns the first RibbonBarTab object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarTab whose Value property matches the passed parameter
*/
findTabByValue(value: string): Telerik.Web.UI.RibbonBarTab;
        /**
Returns the first RibbonBarToggleButton object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarToggleButton whose Value property matches the passed parameter
*/
findToggleButtonByValue(value: string): Telerik.Web.UI.RibbonBarToggleButton;
        /**
ApplicationMenu
@method
@returns 
*/
get_applicationMenuDropDpwn(): any;
        /**
Returns the url of the default disabled image.
@method
@param string - 
@returns 
*/
get_defaultDesabledImageUrl(string: any): any;
        /**
Returns the url of the default disabled large image.
@method
@param string - 
@returns 
*/
get_defaultDesabledImageUrlLarge(string: any): any;
        /**
Returns the url of the default  image.
@method
@param string - 
@returns 
*/
get_defaultImageUrl(string: any): any;
        /**
RadRibbonBar
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns whether the RibbonBar is minimized(collapsed)
@method
@returns Value indicating whether the RibbonBar is minimized
*/
get_minimized(): boolean;
        /**
RibbonBarQuickAccessToolbar
@method
@param RibbonBarQuickAccessToolbar - 
@returns 
*/
get_quickAccessToolbar(RibbonBarQuickAccessToolbar: any): any;
        /**
Gets the selected RibbonBarTab.
@method
@returns The selected RibbonBarTab
*/
get_selectedTab(): Telerik.Web.UI.RibbonBarTab;
        /**
Gets the index of the selected RibbonBarTab
@method
@returns The index of the selected RibbonBarTab.
*/
get_selectedTabIndex(): number;
        /**
Gets a collection with all tabs
@method
@returns RibbonBarTabCollection
*/
get_tabs(): Telerik.Web.UI.RibbonBarTabCollection;
        /**
Maximizes(expands) the RibbonBar (equal to set_minimized(false))
@method
@returns 
*/
maximize(): void;
        /**
Minimizes(collapses) the RibbonBar (equal to set_minimized(true))
@method
@returns 
*/
minimize(): void;
        /**
Refreshes the RadListBox UI
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state to the client state hidden field
@method
@returns 
*/
saveClientState(): void;
        /**
Sets the default disabled image.
@method
@returns 
*/
set_defaultDesabledImageUrl(): any;
        /**
Sets the default disabled large image.
@method
@returns 
*/
set_defaultDesabledImageUrlLarge(): any;
        /**
Sets the default  image.
@method
@returns 
*/
set_defaultImageUrl(): any;
        /**
Sets state of the RibbonBar to minimized/maximized depending on the passed parameter
@method
@param value - Bool value indicating whether the RibbonBar is minimized
@returns 
*/
set_minimized(value: boolean): void;
        /**
Selects the RibbonBarTab at the specified index
@method
@param tabIndex - The index of the RibbonBarTab to be selected
@returns 
*/
set_selectedTabIndex(tabIndex: number): void;
        /**
Occurs after a toggle button is clicked.
*/
add_buttonToggled(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_buttonToggled(handler: Function): void;
        /**
Occurs after a toggle button is clicked.
*/
add_toggleListToggled(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_toggleListToggled(handler: Function): void;
        /**
Occurs after an ApplicationMenu items is clicked.
*/
add_applicationMenuItemClicked(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_applicationMenuItemClicked(handler: Function): void;
        /**
Occurs after an ApplicationMenu items is clicked.
*/
add_maximized(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_maximized(handler: Function): void;
        /**
Occurs after an ApplicationMenu items is clicked.
*/
add_maximizing(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_maximizing(handler: Function): void;
        /**
Occurs after an ApplicationMenu items is clicked.
*/
add_minimized(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Telerik.Web.UI.RibbonBarMinimizedEventArgs) => void): void;

remove_minimized(handler: Function): void;
        /**
Occurs after an ApplicationMenu items is clicked.
*/
add_minimizing(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Telerik.Web.UI.RibbonBarMinimizedEventArgs) => void): void;

remove_minimizing(handler: Function): void;
        /**
Occurs after the user has already changed the value in the NumericTextBox.
*/
add_numericTextBoxValueChanged(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_numericTextBoxValueChanged(handler: Function): void;
        /**
Occurs when a non-selected tab is clicked.
*/
add_selectedTabChanged(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_selectedTabChanged(handler: Function): void;
        /**
Occurs when the RadRibbonBar is first loaded and fully initialized on the client. The event handler receives a single parameter: the instance of the ribbonbar firing the event.
*/
add_load(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs when the user clicks a GalleryItem
*/
add_galleryCommand(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_galleryCommand(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar button, after the ribbonbar responds to the mouse click.
*/
add_buttonClicked(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_buttonClicked(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar group, after the ribbonbar responds to the mouse click.
*/
add_launcherClicked(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_launcherClicked(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar group, before the ribbonbar responds to the mouse click.
*/
add_launcherClicking(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_launcherClicking(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar menu item, after the ribbonbar responds to the mouse click.
*/
add_menuItemClicked(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_menuItemClicked(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar menu item, before the ribbonbar responds to the mouse click.
*/
add_menuItemClicking(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_menuItemClicking(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar tab, before the ribbonbar responds to the mouse click.
*/
add_selectedTabChanging(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_selectedTabChanging(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar toggle button, before the ribbonbar responds to the mouse click.
*/
add_buttonToggling(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_buttonToggling(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar toggle button, before the ribbonbar responds to the mouse click.
*/
add_toggleListToggling(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_toggleListToggling(handler: Function): void;
        /**
Occurs when the user has already changed the selected item in the Combobox.
*/
add_comboBoxSelectedIndexChanged(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_comboBoxSelectedIndexChanged(handler: Function): void;
        /**
Occurs when the user has already changed the selected item in the DropDown.
*/
add_dropDownSelectedIndexChanged(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_dropDownSelectedIndexChanged(handler: Function): void;
        /**
Occurs when the user has already changed the text in the Combobox.
*/
add_comboBoxTextChanged(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_comboBoxTextChanged(handler: Function): void;
        /**
Occurs when the user is changing the item in the ComboBox.
*/
add_comboBoxSelectedIndexChanging(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_comboBoxSelectedIndexChanging(handler: Function): void;
        /**
Occurs when the user is changing the selected item in the DropDown.
*/
add_dropDownSelectedIndexChanging(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_dropDownSelectedIndexChanging(handler: Function): void;
        /**
Occurs when the user is changing the value in the NumericTextBox.
*/
add_numericTextBoxValueChanging(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_numericTextBoxValueChanging(handler: Function): void;
        /**
Occurs when the user moves the mouse out of a GalleryItem.
*/
add_galleryCommandPreviewEnd(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_galleryCommandPreviewEnd(handler: Function): void;
        /**
Occurs when the user moves the mouse over a GalleryItem.
*/
add_galleryCommandPreview(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_galleryCommandPreview(handler: Function): void;
        /**
Occurs when an ApplicationMenu items is clicked, before the ribbonbar responds to the mouse click.
*/
add_applicationMenuItemClicking(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_applicationMenuItemClicking(handler: Function): void;
        /**
Occurs when the user clicks on a ribbonbar button, before the ribbonbar responds to the mouse click.
*/
add_buttonClicking(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_buttonClicking(handler: Function): void;
        /**
Occurs when the user is changing the color in the ColorPicker.
*/
add_colorPickerColorChanging(handler: (sender: Telerik.Web.UI.RadRibbonBar, args: Sys.EventArgs) => void): void;

remove_colorPickerColorChanging(handler: Function): void;
    }


    class RadRotator  extends Telerik.Web.UI.RadWebControl {
        /**
Creates and adds a new item to the RadRotator's client-side item collection. The item will not exist in the rotator's items collection on the server
@method
@param radRotatorItemData - This parameter needs to have the following 3
@param index - The position at which the item will be added. If nothing is passed the item will be appended to the end of the collection.
@returns 
*/
addRotatorItem(radRotatorItemData: any, index: number): void;
        /**
Clears all the items of the RadRotator's items collection.
@method
@returns 
*/
clearItems(): void;
        /**
Data binds the data of the RadRotator.
@method
@returns 
*/
dataBind(): void;
        /**
Gets whether data bound items will be appended to the Rotator.
@method
@returns 
*/
get_appendClientDataBoundItems(): boolean;
        /**
RadTicker
@method
@returns 
*/
get_autoAdvance(): void;
        /**
Gets the RadClientDataSource that is associated with the Rotator.
@method
@returns 
*/
get_clientDataSource(): Telerik.Web.UI.RadClientDataSource;
        /**
Gets the ID of the RadClientDataSource that is associated with the Rotator.
@method
@returns 
*/
get_clientDataSourceID(): number;
        /**
Gets the client template of the Rotator.
@method
@returns 
*/
get_clientTemplate(): string;
        /**
Returns the UL DOMElement that wraps all rotator's items
@method
@returns 
*/
get_containerElement(): any;
        /**
Returns the current item shown in the rotator
@method
@returns 
*/
get_currentItem(): Telerik.Web.UI.RadRotatorItem;
        /**
Gets the index of the currently shown item.
@method
@returns 
*/
get_currentItemIndex(): void;
        /**
Gets the data source of the Rotator.
@method
@returns 
*/
get_dataSource(): any;
        /**
Returns the default animation direction
@method
@returns 
*/
get_defaultAnimationDirection(): Telerik.Web.UI.RotatorScrollDirection;
        /**
Returns true if the rotator is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns the time in milliseconds each frame will display in automatic scrolling scenarios
@method
@returns 
*/
get_frameDuration(): number;
        /**
Returns the rotator's height
@method
@returns 
*/
get_height(): number;
        /**
Returns the rotator's initially shown item's index
@method
@returns 
*/
get_initialItemIndex(): number;
        /**
Returns the rotator's items. The items are of type Telerik.Web.UI.RadRotatorItems
@method
@returns 
*/
get_items(): any;
        /**
RadTicker
@method
@returns 
*/
get_lineDuration(): void;
        /**
RadTicker
@method
@returns 
*/
get_loop(): void;
        /**
Returns true if the rotator is configured to stop when the mouse is over the rotator
@method
@returns 
*/
get_pauseOnMouseOver(): boolean;
        /**
Returns the rotator's type
@method
@returns 
*/
get_rotatorType(): Telerik.Web.UI.RotatorType;
        /**
Returns the rotator's ScrollDirection
@method
@returns 
*/
get_scrollDirection(): Telerik.Web.UI.RotatorScrollDirection;
        /**
Returns the speed in milliseconds for scrolling rotator items
@method
@returns 
*/
get_scrollDuration(): number;
        /**
Gets the duration in milliseconds between ticking each character of a tickerline.
@method
@returns 
*/
get_tickSpeed(): void;
        /**
Returns the rotator's width
@method
@returns 
*/
get_width(): number;
        /**
Returns true if RadRotator is set to start scrolling its frames from the beginning, once the rotator shows the last frame
@method
@returns 
*/
get_wrapFrames(): boolean;
        /**
Returns whether the rotator is in AutomaticAdvance mode
@method
@returns 
*/
isAutomaticAdvance(): boolean;
        /**
Returns whether the rotator is in Carousel mode
@method
@returns 
*/
isCarousel(): boolean;
        /**
Returns whether the rotator is in CoverFlow mode
@method
@returns 
*/
isCoverFlow(): boolean;
        /**
Returns a Boolean that indicates if the rotator is scrolling forward
@method
@returns 
*/
isScrollingForward(): boolean;
        /**
Returns a Boolean that indicates if the rotator is scrolling forward
@method
@returns 
*/
isScrollingLeft(): boolean;
        /**
Returns a Boolean that indicates if the rotator is scrolling upward
@method
@returns 
*/
isScrollingUp(): boolean;
        /**
Returns whether the rotator is in SlideShow mode
@method
@returns 
*/
isSlideShow(): boolean;
        /**
Returns whether Down, Up or both ScrollDirections are set
@method
@returns 
*/
isVertical(): boolean;
        /**
Indicates whether the rotator is configured to scroll an item or the whole viewport
@method
@returns 
*/
isViewportScrollMode(): boolean;
        /**
Returns whether the rotator is visible
@method
@returns 
*/
isVisible(): boolean;
        /**
Manually requests new data for a RadRotator that uses load-on-demand.
@method
@param itemIndex - 
@returns 
*/
loadItemsFromWebService(itemIndex: number): void;
        /**
Pauses the rotator's animation
@method
@returns 
*/
pause(): void;
        /**
Removes an item from the RadRotator's items collection. By default the last item is removed if no index is passed as parameter.
@method
@param index - The 0
@returns 
*/
removeRotatorItem(index: number): void;
        /**
Redraw the rotator
@method
@returns 
*/
repaint(): void;
        /**
Resumes the rotator's animation
@method
@returns 
*/
resume(): void;
        /**
Scrolls an item only
@method
@returns 
*/
scrollItem(): void;
        /**
Scrolls the whole visible area, not just an item
@method
@returns 
*/
scrollViewport(): void;
        /**
Sets whether data bound items will be appended to the Rotator.
@method
@param value - 
@returns 
*/
set_appendClientDataBoundItems(value: boolean): void;
        /**
RadTicker
@method
@returns 
*/
set_autoAdvance(): void;
        /**
Sets the ID of the RadClientDataSource that is associated with the Rotator.
@method
@param id - 
@returns 
*/
set_clientDataSourceID(id: number): void;
        /**
Sets the client template of the Rotator.
@method
@param value - 
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets currently shown item by its index
@method
@param index - 
@returns 
*/
set_currentItemIndex(index: number): void;
        /**
Sets a custom data source for the RadRotator.
@method
@param data - 
@returns 
*/
set_dataSource(data: any): void;
        /**
Enables or disables the rotator
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the time in milliseconds each frame will display in automatic scrolling scenarios
@method
@param value - 
@returns 
*/
set_frameDuration(value: number): void;
        /**
Sets the RadRotator height in pixels.
@method
@param value - 
@returns 
*/
set_height(value: number): void;
        /**
RadTicker
@method
@returns 
*/
set_lineDuration(): void;
        /**
RadTicker
@method
@returns 
*/
set_loop(): void;
        /**
Sets a bool value indicating whether the rotator will stop when the mouse is over the control
@method
@param value - 
@returns 
*/
set_pauseOnMouseOver(value: boolean): void;
        /**
Sets the rotator's type
@method
@param value - The rotator
@returns 
*/
set_rotatorType(value: Telerik.Web.UI.RotatorType): void;
        /**
Sets the rotator's ScrollDirection
@method
@param value - The new scrooll direction
@returns 
*/
set_scrollDirection(value: Telerik.Web.UI.RotatorScrollDirection): void;
        /**
Sets the speed in milliseconds for scrolling rotator items
@method
@param value - 
@returns 
*/
set_scrollDuration(value: number): void;
        /**
Sets the duration in milliseconds between ticking each character of a tickerline.
@method
@returns 
*/
set_tickSpeed(): void;
        /**
Sets the RadRotator width in pixels.
@method
@param value - 
@returns 
*/
set_width(value: number): void;
        /**
Sets whether RadRotator to start scrolling from the beginning, once the rotator shows the last frame
@method
@param value - 
@returns 
*/
set_wrapFrames(value: boolean): void;
        /**
Scrolls the rotator in the specified direction
@method
@param animationDir - The scroll direction
@returns 
*/
showNext(animationDir: Telerik.Web.UI.RotatorScrollDirection): void;
        /**
Starts the rotator's animation
@method
@returns 
*/
start(): void;
        /**
Starts the rotator's animation from the begining
@method
@returns 
*/
startAutoPlay(): void;
        /**
Starts the ticker
@method
@returns 
*/
startTicker(): void;
        /**
Stops the rotator's animation
@method
@returns 
*/
stop(): void;
        /**
Stops the ticker
@method
@returns 
*/
stopTicker(): void;
        /**
Forces the rotator to fully display an item, even when the item is partially shown and the rotator is paused
@method
@returns 
*/
stopViewportAnimation(): void;
        /**
forces the ticker to tick to the next line
@method
@returns 
*/
tickNextLine(): void;
        /**
The dataBound event is fired when the client-side data binding of the RadRortator is finished.
*/
add_dataBound(handler: (sender: Telerik.Web.UI.RadRotator, args: Sys.EventArgs) => void): void;

remove_dataBound(handler: Function): void;
        /**
This event is raised when the data from the request is received and the HTML of the current item in the RadRotator is properly evaluated.
*/
add_templateDataBound(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_templateDataBound(handler: Function): void;
        /**
This event is raised when the user moves the mouse pointer out of the rotator's button.
*/
add_buttonOut(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorButtonEventArgs) => void): void;

remove_buttonOut(handler: Function): void;
        /**
This event is raised when the user moves the mouse pointer over the rotator's button.
*/
add_buttonOver(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorButtonEventArgs) => void): void;

remove_buttonOver(handler: Function): void;
        /**
The event itemClicked is subsequent to the itemClicking event and occurs when an item of the RadRotator control is clicked. The event is fired after the client-side validation is completed and cannot be cancelled.
*/
add_itemClicked(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorEventArgs) => void): void;

remove_itemClicked(handler: Function): void;
        /**
The itemDataBound event is raised when an item in the RadRotator is bound to the provided data source.
*/
add_itemDataBound(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorItemDataBoundEventArgs) => void): void;

remove_itemDataBound(handler: Function): void;
        /**
The itemsRequested event is related to the Load On Demand functionality of the RadRotator. It is fired when the items are successfully loaded.
*/
add_itemsRequested(handler: (sender: Telerik.Web.UI.RadRotator, args: Sys.EventArgs) => void): void;

remove_itemsRequested(handler: Function): void;
        /**
The itemsRequestFailed event is related to the Load On Demand functionality of the RadRotator. It is fired when the request has failed.
*/
add_itemsRequestFailed(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorErrorEventArgs) => void): void;

remove_itemsRequestFailed(handler: Function): void;
        /**
The itemsRequesting event is related to the Load On Demand functionality of the RadRotator. It is fired before the items of the control are loaded, i.e. request to the server is still not sent.
*/
add_itemsRequesting(handler: (sender: Telerik.Web.UI.RadRotator, args: Sys.CancelEventArgs) => void): void;

remove_itemsRequesting(handler: Function): void;
        /**
The load client-side event occurs after the RadRotator loads on the page.
*/
add_load(handler: (sender: Telerik.Web.UI.RadRotator, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The mouseOut event is fired when the mouse pointer leaves the control.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
The mouseOver event is fired when the user moves the mouse pointer over the control.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
This event is raised when the user click the rotator's button.
*/
add_buttonClick(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorButtonEventArgs) => void): void;

remove_buttonClick(handler: Function): void;
        /**
The itemShowing event occurs when an item of the RadRotator control is about to be shown, before the itemShown event. This event can be canceled.
*/
add_itemShowing(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorCancelEventArgs) => void): void;

remove_itemShowing(handler: Function): void;
        /**
The itemShown event occurs when an item of the RadRotator control is shown. The event is subsequent to the itemShowing event and cannot be canceled.
*/
add_itemShown(handler: (sender: Telerik.Web.UI.RadRotator, args: Telerik.Web.UI.RotatorEventArgs) => void): void;

remove_itemShown(handler: Function): void;
    }


    class RadRotatorItem  extends Telerik.Web.UI.RadWebControl {
        /**

@method
@returns 
*/
getServerIndex(): void;
        /**

@method
@returns 
*/
get_cssClass(): void;
        /**

@method
@returns 
*/
get_index(): void;
        /**

@method
@returns 
*/
get_tickers(): void;
        /**

@method
@returns 
*/
get_visible(): void;
        /**

@method
@returns 
*/
set_cssClass(): void;
        /**

@method
@returns 
*/
set_visible(): void;
    }


    class RadScheduler  extends Telerik.Web.UI.RadWebControl {
        /**
Deletes the specified Appointment. Postbacks if not bound to a web service.
@method
@param appointment - The appointment to delete.
@param deleteSeries - For recurring appointments only. 	True if you want to delete the recurring series
@returns 
*/
deleteAppointment(appointment: Telerik.Web.UI.SchedulerAppointment, deleteSeries: boolean): void;
        /**
Deletes the specified Appointment. This method is identical to deleteAppointment, but the user is presented with a confirmation dialog if the deleted appointment is recurring.
@method
@param appointment - The appointment to delete.
@returns 
*/
deleteAppointmentWithConfirmation(appointment: Telerik.Web.UI.SchedulerAppointment): void;
        /**
Converts a date time object from client date format to UTC using the timeZoneOffset property.
@method
@param displayDate - The date to convert.
@returns The date in UTC format which corresponds to the supplied client format date.
*/
displayToUtc(displayDate: Date): Date;
        /**
Starts editing the specified Appointment.
@method
@param appointment - The appointment to edit.
@param editSeries - For recurring appointments only. 	True if you want to edit the recurring series
@returns 
*/
editAppointment(appointment: Telerik.Web.UI.SchedulerAppointment, editSeries: boolean): void;
        /**
Starts editing the specified Appointment. This method is identical to editAppointment, but the user is presented with a confirmation dialog if the edited appointment is recurring.
@method
@param appointment - The appointment to edit.
@returns 
*/
editAppointmentWithConfirmation(appointment: Telerik.Web.UI.SchedulerAppointment): void;
        /**
Gets the model that represents the current view. The model is responsible for mapping time slots to DOM elements and appointments to time slots.
@method
@returns The model that represents the current view.
*/
get_activeModel(): Telerik.Web.UI.ISchedulerModel;
        /**
Gets a value indicating if the appointments can be deleted.
@method
@returns true if the appointment deleting is allowed
*/
get_allowDelete(): boolean;
        /**
Gets a value indicating if the appointments can be edited. This includes moving and resizing.
@method
@returns true if the appointment editing is allowed
*/
get_allowEdit(): boolean;
        /**
Gets a value indicating if the appointments can be inserted.
@method
@returns true if the appointment inserting is allowed
*/
get_allowInsert(): boolean;
        /**
Gets a collection of all loaded appointments.
@method
@returns Collection of all loaded appointments.
*/
get_appointments(): Telerik.Web.UI.SchedulerAppointmentCollection;
        /**
Gets a collection of all attributes of the scheduler.
@method
@returns Collection of all attributes of the scheduler.
*/
get_attributes(): Telerik.Web.UI.SchedulerAttributeCollection;
        /**
Gets the currently edited appointment.
@method
@returns The currently edited appointment. Null if no appointment is edited at the moment.
*/
get_currentAppointment(): Telerik.Web.UI.SchedulerAppointment;
        /**
Gets a value indicating whether a delete confirmation dialog should be displayed when the user clicks the "delete" button of an appointment.
@method
@returns true if the confirmation dialog should be displayed
*/
get_displayDeleteConfirmation(): boolean;
        /**
Gets a value indicating whether a recurrence action dialog should be displayed when moving recurrent appointments.
@method
@returns true if the confirmation dialog should be displayed
*/
get_displayRecurrenceActionDialogOnMove(): boolean;
        /**
Gets the duration between two timeslots (including their own duration).
@method
@param startSlot - The first slot
@param endSlot - The last slot
@returns The duration between two timeslots in milliseconds.
*/
get_durationBetweenTimeSlots(startSlot: Telerik.Web.UI.ISchedulerTimeSlot, endSlot: Telerik.Web.UI.ISchedulerTimeSlot): number;
        /**
Gets the duration of the area formed by the selected time slots.
@method
@returns The sum of the durations of the selected time slots as milliseconds.
*/
get_durationOfSelectedArea(): number;
        /**
Gets the start date of the current view. In day view, this is the start of the visible day.
@method
@returns The start date of the current view.
*/
get_firstDayStart(): Date;
        /**
Gets the name of the resource to group by. Can also be in the format "Date,[Resource Name]" when grouping by date.
@method
@returns The name of the resource to group by.
*/
get_groupBy(): string;
        /**
Gets the height of RadScheduler.
@method
@returns The height of RadScheduler.
*/
get_height(): string;
        /**
Gets the hours panel time format string.
@method
@returns The hours panel time format string.
*/
get_hoursPanelTimeFormat(): string;
        /**
Gets the minimum height of the inline insert/edit template in pixels.
@method
@returns The minimum height of the inline insert
*/
get_minimumInlineFormHeight(): number;
        /**
Gets the minimum width of the inline insert/edit template in pixels.
@method
@returns The minimum width of the inline insert
*/
get_minimumInlineFormWidth(): number;
        /**
Gets the number of minutes which a single row represents.
@method
@returns The number of minutes which a single row represents.
*/
get_minutesPerRow(): number;
        /**
Gets the number of rows that are hovered when the mouse is over the appointment area.
@method
@returns The number of rows that are hovered when the mouse is over the appointment area.
*/
get_numberOfHoveredRows(): number;
        /**
Gets a value indicating whether RadScheduler is in read-only mode.
@method
@returns true if the scheduler is read
*/
get_readOnly(): boolean;
        /**
Gets a collection of all loaded resources.
@method
@returns Collection of all loaded resources.
*/
get_resources(): Telerik.Web.UI.SchedulerResourceCollection;
        /**
Gets a collection of all loaded resource style mappings.
@method
@returns Collection of all loaded resource style mappings.
*/
get_resourceStyles(): Telerik.Web.UI.ResourceStyleMappingCollection;
        /**
Gets a collection of all loaded resource types.
@method
@returns Collection of all loaded resource types.
*/
get_resourceTypes(): Telerik.Web.UI.ResourceTypeCollection;
        /**
Gets the height of RadScheduler rows.
@method
@returns The height of RadScheduler rows.
*/
get_rowHeight(): string;
        /**
Gets the currently selected date.
@method
@returns the currently selected date.
*/
get_selectedDate(): Date;
        /**
Gets the currently selected time slots.
@method
@returns the currently selected time slots.
*/
get_selectedSlots(): any;
        /**
Gets the type of the currently selected view.
@method
@returns The currently selected view.
*/
get_selectedView(): Telerik.Web.UI.SchedulerViewType;
        /**
Gets a value indicating whether to display the complete day (24-hour view) or the range between dayStartTime and dayEndTime.
@method
@returns true if showing the complete day
*/
get_showFullTime(): boolean;
        /**
Gets the number of rows each time label spans.
@method
@returns The number of rows each time label spans.
*/
get_timeLabelRowSpan(): number;
        /**
The web service to be used for binding this instance of RadScheduler.
@method
@returns The web service to be used for binding this instance of RadScheduler.
*/
get_webServiceSettings(): Telerik.Web.UI.SchedulerWebServiceSettings;
        /**
Gets the appointment that corresponds to the specified DOM element.
@method
@param element - The appointment DOM element
@returns The corresponding appointment. Null if the element does not belong to an appointment.
*/
getAppointmentFromDomElement(element: HTMLElement): Telerik.Web.UI.SchedulerAppointment;
        /**
Hides the currently shown modal advanced form.
@method
@returns 
*/
hideAdvancedForm(): void;
        /**
Hides the currently shown inline form.
@method
@returns 
*/
hideInlineForm(): void;
        /**
Stores the specified Appointment. Postbacks if not bound to a web service.
@method
@param appointment - The appointment to insert.
@returns 
*/
insertAppointment(appointment: Telerik.Web.UI.SchedulerAppointment): void;
        /**
Prepares the specified appointment for editing. If the specified appointment is not recurring, the method does nothing and returns the same appointment. If the appointment is recurring and editSeries is set to true the method returns the recurrence parent. Otherwise, the method clones the appointment and updates it state to recurrence exception.
@method
@param appointmentToEdit - The appointment to prepare for editing.
@param editSeries - 
@returns 
*/
prepareToEdit(appointmentToEdit: Telerik.Web.UI.SchedulerAppointment, editSeries: boolean): void;
        /**
Web Service binding only. Rebinds the scheduler from the web service.
@method
@returns 
*/
rebind(): void;
        /**
Web Service binding only. Removes the associated recurrence exceptions.
@method
@param appointment - The master appointment for the recurrence series.
@returns 
*/
removeRecurrenceExceptions(appointment: Telerik.Web.UI.SchedulerAppointment): void;
        /**
Updates the control layout. Call this function after changing the size of the control.
@method
@returns 
*/
repaint(): void;
        /**
Sets a value indicating if the appointments can be deleted.
@method
@param allowDelete - true if the appointment deleting is allowed
@returns 
*/
set_allowDelete(allowDelete: boolean): void;
        /**
Sets a value indicating if the appointments can be edited.
@method
@param allowEdit - true if the appointment editing is allowed
@returns 
*/
set_allowEdit(allowEdit: boolean): void;
        /**
Sets a value indicating if the appointments can be inserted.
@method
@param allowDelete - true if the appointment inserting is allowed
@returns 
*/
set_allowInsert(allowDelete: boolean): void;
        /**
Sets a value indicating whether a delete confirmation dialog should be displayed when the user clicks the "delete" button of an appointment.
@method
@param displayDeleteConfirmation - true if the confirmation dialog should be displayed
@returns 
*/
set_displayDeleteConfirmation(displayDeleteConfirmation: boolean): void;
        /**
Sets a value indicating whether a recurrence action dialog should be displayed when moving recurrent appointments.
@method
@param displayDeleteConfirmation - true if the confirmation dialog should be displayed
@returns 
*/
set_displayRecurrenceActionDialogOnMove(displayDeleteConfirmation: boolean): void;
        /**
Sets the height of RadScheduler.
@method
@param value - The height of RadScheduler.
@returns 
*/
set_height(value: string): void;
        /**
Sets the minimum height of the inline insert/edit template in pixels.
@method
@param value - The minimum height of the inline insert
@returns 
*/
set_minimumInlineFormHeight(value: number): void;
        /**
Sets the minimum width of the inline insert/edit template in pixels.
@method
@param value - The minimum width of the inline insert
@returns 
*/
set_minimumInlineFormWidth(value: number): void;
        /**
Sets the number of rows that are hovered when the mouse is over the appointment area.
@method
@param value - The number of rows that are hovered when the mouse is over the appointment area.
@returns 
*/
set_numberOfHoveredRows(value: number): void;
        /**
Sets a value indicating whether RadScheduler is in read-only mode.
@method
@param readOnly - true if the scheduler is read
@returns 
*/
set_readOnly(readOnly: boolean): void;
        /**
Web Service binding only. Sets the currently selected date.
@method
@param value - The currently selected date.
@returns 
*/
set_selectedDate(value: Date): void;
        /**
Web Service binding only. Sets the currently selected view type.
@method
@param selectedView - The view to switch to.
@returns 
*/
set_selectedView(selectedView: Telerik.Web.UI.SchedulerViewType): void;
        /**
Web Service binding only. Sets a value indicating whether to display the complete day (24-hour view) or the range between dayStartTime and dayEndTime.
@method
@param value - true if showing the complete day
@returns 
*/
set_showFullTime(value: boolean): void;
        /**
Shows the advanced edit form populated with the specified appointment.
@method
@param appointment - The appointment to edit.
@param editSeries - For recurring appointments only. 	True if you want to edit the recurring series
@returns 
*/
showAdvancedEditForm(appointment: Telerik.Web.UI.SchedulerAppointment, editSeries: boolean): void;
        /**
Shows the advanced insert form populated with the specified appointment start date.
@method
@param startDate - The start date for the appointment.
@returns 
*/
showAdvancedInsertForm(startDate: Date): void;
        /**
Shows the advanced insert form populated with the specified appointment start date. The appointment will be initially marked as all-day.
@method
@param startDate - The start date for the appointment.
@returns 
*/
showAllDayAdvancedInsertForm(startDate: Date): void;
        /**
Shows the in-line insert form for an all-day appointment on the specified date. Applicable in Day/Week/MultiDay view.
@method
@param date - The day for which to show the insert form.
@returns 
*/
showAllDayInlineInsertForm(date: Date): void;
        /**
Shows the in-line edit form for the specified appointment. A postback will occur if a custom InlineEditTemplate is in use.
@method
@param appointment - The appointment to edit.
@param editSeries - For recurring appointments only. 	true if you want to edit the recurring series
@returns 
*/
showInlineEditForm(appointment: Telerik.Web.UI.SchedulerAppointment, editSeries: boolean): void;
        /**
Shows the in-line insert form at the specified time slot. The formCreating client-side event will be fired. A postback will occur if a custom InlineInsertTemplate is in use.
@method
@param timeSlot - The time slot in which to place the insert form.
@returns 
*/
showInlineInsertForm(timeSlot: Telerik.Web.UI.ISchedulerTimeSlot): void;
        /**
Updates the specified Appointment. Postbacks if not bound to a web service.
@method
@param appointment - The appointment to update.
@param editSeries - 
@returns 
*/
updateAppointment(appointment: Telerik.Web.UI.SchedulerAppointment, editSeries: boolean): void;
        /**
Converts a date time object from UTC to client date format using the timeZoneOffset property.
@method
@param utcDate - The date to convert.
@returns The date in client format which corresponds to the supplied UTC date.
*/
utcToDisplay(utcDate: Date): Date;
        /**
This event is  fired when the scheduler is about to request appointments.
*/
add_appointmentsPopulating(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerWebServiceEventArgs) => void): void;

remove_appointmentsPopulating(handler: Function): void;
        /**
This event is fired as the user is moving an appointment.
*/
add_appointmentMoving(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentMovingEventArgs) => void): void;

remove_appointmentMoving(handler: Function): void;
        /**
This event is fired just before the dialog appears to ask whether the change the user just started on a recurring appointment is to affect the appointment itself or the entire series.
*/
add_recurrenceActionDialogShowing(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs) => void): void;

remove_recurrenceActionDialogShowing(handler: Function): void;
        /**
This event is fired when a navigation command has been completed.
*/
add_navigationComplete(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.Scheduler.NavigationCommandEventArgs) => void): void;

remove_navigationComplete(handler: Function): void;
        /**
This event is fired when a recurrence exception is about to be created via Web Service call.
*/
add_recurrenceExceptionCreating(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerRecurrenceExceptionCreatingEventArgs) => void): void;

remove_recurrenceExceptionCreating(handler: Function): void;
        /**
This event is fired when a request to the Web Service has failed.
*/
add_requestFailed(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerRequestFailedEventArgs) => void): void;

remove_requestFailed(handler: Function): void;
        /**
This event is fired when a request to the Web Service has succeeded.
*/
add_requestSuccess(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.Scheduler.RequestSuccessEventArgs) => void): void;

remove_requestSuccess(handler: Function): void;
        /**
This event is fired when an appointment is about to be deleted via Web Service call.
*/
add_appointmentWebServiceDeleting(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentWebServiceDeleting) => void): void;

remove_appointmentWebServiceDeleting(handler: Function): void;
        /**
This event is fired when an appointment is received and has been rendered
*/
add_appointmentCreated(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.AppointmentEventArgs) => void): void;

remove_appointmentCreated(handler: Function): void;
        /**
This event is fired when an appointment is received and is about to be rendered.
*/
add_appointmentDataBound(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.Scheduler.AppointmentDataBoundEventArgs) => void): void;

remove_appointmentDataBound(handler: Function): void;
        /**
This event is fired when an appointment reminder is due and is about to be dismissed.
*/
add_reminderDismissing(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerReminderDismissingEventArgs) => void): void;

remove_reminderDismissing(handler: Function): void;
        /**
This event is fired when an appointment reminder is due and is about to be snoozed.
*/
add_reminderSnoozing(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerReminderSnoozingEventArgs) => void): void;

remove_reminderSnoozing(handler: Function): void;
        /**
This event is fired when an appointment reminder is due and is about to be triggered.
*/
add_reminderTriggering(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerReminderTriggeringEventArgs) => void): void;

remove_reminderTriggering(handler: Function): void;
        /**
This event is fired when an in-line editor or edit form is about to appear.
*/
add_formCreated(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerFormCreatedEventArgs) => void): void;

remove_formCreated(handler: Function): void;
        /**
This event is fired when appointment is about to be deleted.
*/
add_appointmentDeleting(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentDeletingEventArgs) => void): void;

remove_appointmentDeleting(handler: Function): void;
        /**
This event is fired when appointment is about to be edited.
*/
add_appointmentEditing(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentEditingEventArgs) => void): void;

remove_appointmentEditing(handler: Function): void;
        /**
This event is fired when appointment is about to be inserted via Web Service call.
*/
add_appointmentWebServiceInserting(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentWebServiceInserting) => void): void;

remove_appointmentWebServiceInserting(handler: Function): void;
        /**
This event is fired when appointment is about to be inserted.
*/
add_appointmentInserting(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentInsertingEventArgs) => void): void;

remove_appointmentInserting(handler: Function): void;
        /**
This event is fired when appointment is about to be updated via Web Service call.
*/
add_appointmentWebServiceUpdating(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentWebServiceUpdating) => void): void;

remove_appointmentWebServiceUpdating(handler: Function): void;
        /**
This event is fired when recurrence exceptions are about to be removed via Web Service call.
*/
add_recurrenceExceptionsRemoving(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerRecurrenceExceptionRemovingEventArgs) => void): void;

remove_recurrenceExceptionsRemoving(handler: Function): void;
        /**
This event is fired when the dialog that asks whether a change affects a single occurrence or an entire series closes.
*/
add_recurrenceActionDialogClosed(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs) => void): void;

remove_recurrenceActionDialogClosed(handler: Function): void;
        /**
This event is fired when the scheduler has been populated with data.
*/
add_dataBound(handler: (sender: Telerik.Web.UI.RadScheduler, args: Sys.EventArgs) => void): void;

remove_dataBound(handler: Function): void;
        /**
This event is fired when the scheduler has received appointments from the Web Service.
*/
add_appointmentsPopulated(handler: (sender: Telerik.Web.UI.RadScheduler, args: Sys.EventArgs) => void): void;

remove_appointmentsPopulated(handler: Function): void;
        /**
This event is fired when the scheduler has received resources.
*/
add_resourcesPopulated(handler: (sender: Telerik.Web.UI.RadScheduler, args: Sys.EventArgs) => void): void;

remove_resourcesPopulated(handler: Function): void;
        /**
This event is fired when the scheduler is about to execute a navigation command.
*/
add_navigationCommand(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.Scheduler.NavigationCommandEventArgs) => void): void;

remove_navigationCommand(handler: Function): void;
        /**
This event is fired when the scheduler is about to request resources.
*/
add_resourcesPopulating(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerWebServiceEventArgs) => void): void;

remove_resourcesPopulating(handler: Function): void;
        /**
This event is fired when the user clicks an appointment.
*/
add_appointmentClick(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentClickEventArgs) => void): void;

remove_appointmentClick(handler: Function): void;
        /**
This event is fired when the user clicks on a time slot in the scheduler.
*/
add_timeSlotClick(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerTimeSlotClickEventArgs) => void): void;

remove_timeSlotClick(handler: Function): void;
        /**
This event is fired when the user double-clicks an appointment.
*/
add_appointmentDoubleClick(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentDoubleClickEventArgs) => void): void;

remove_appointmentDoubleClick(handler: Function): void;
        /**
This event is fired when the user moves the mouse while resizing an appointment.
*/
add_appointmentResizing(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentResizingEventArgs) => void): void;

remove_appointmentResizing(handler: Function): void;
        /**
This event is fired when the user releases the mouse after resizing an appointment.
*/
add_appointmentResizeEnd(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentResizeEndEventArgs) => void): void;

remove_appointmentResizeEnd(handler: Function): void;
        /**
This event is fired when the user right-clicks on a time slot in the scheduler.
*/
add_timeSlotContextMenu(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs) => void): void;

remove_timeSlotContextMenu(handler: Function): void;
        /**
This event is fired when the user right-clicks on an appointment
*/
add_appointmentContextMenu(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs) => void): void;

remove_appointmentContextMenu(handler: Function): void;
        /**
This event is fired when the user starts resizing an appointment.
*/
add_appointmentResizeStart(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentResizeStartEventArgs) => void): void;

remove_appointmentResizeStart(handler: Function): void;
        /**
This event is fired when the user starts to move an appointment.
*/
add_appointmentMoveStart(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentMoveStartEventArgs) => void): void;

remove_appointmentMoveStart(handler: Function): void;
        /**
This event is fired when the user stops moving an appointment.
*/
add_appointmentMoveEnd(handler: (sender: Telerik.Web.UI.RadScheduler, args: Telerik.Web.UI.SchedulerAppointmentMoveEndEventArgs) => void): void;

remove_appointmentMoveEnd(handler: Function): void;
    }


    class RadSchedulerRecurrenceEditor  extends Telerik.Web.UI.RadWebControl {
        /**
Gets the end date of the first occurrence.
@method
@returns the end date of the first occurrence.
*/
get_endDate(): Date;
        /**
Gets the first day of the week.
@method
@returns the first day of the week. This property is used when building Monthly and Yearly recurrence rules.
*/
get_firstDayOfWeek(): Telerik.Web.UI.DayOfWeek;
        /**
Gets the currently selected recurrence rule.
@method
@returns The currently selected recurrence rule
*/
get_recurrenceRule(): Telerik.Web.UI.RecurrenceRule;
        /**
Gets the start date of the first occurrence.
@method
@returns the start date of the first occurrence.
*/
get_startDate(): Date;
        /**
Sets the end date of the first occurrence.
@method
@param value - the end date of the first occurrence.
@returns 
*/
set_endDate(value: Date): void;
        /**
Sets the first day of the week.
@method
@param value - the first day of the week. This property is used when building Monthly and Yearly recurrence rules.
@returns 
*/
set_firstDayOfWeek(value: Telerik.Web.UI.DayOfWeek): void;
        /**
Sets the recurrence rule.
@method
@param value - the recurrence rule to set
@returns 
*/
set_recurrenceRule(value: Telerik.Web.UI.RecurrenceRule): void;
        /**
Sets the start date of the first occurrence.
@method
@param value - the start date of the first occurrence.
@returns 
*/
set_startDate(value: Date): void;
    }


    class RadSearchBox  extends Telerik.Web.UI.RadWebControl {
        /**
Clears the search results and closes the drop-down.
@method
@returns 
*/
clear(): void;
        /**
Writes the changes to the searchBox that were made since a previous call to trackChanges, so that they are preserved over post-backs.
@method
@returns 
*/
commitChanges(): void;
        /**
Gets a collection with all buttons
@method
@returns 
*/
get_buttons(): Telerik.Web.UI.SearchBoxButtonCollection;
        /**
Gets the UL DOM element of the RadSearchBox's drop-down
@method
@returns The UL DOM element of the RadSearchBox
*/
get_childListElement(): HTMLElement;
        /**
Returns the value of the RadSearchBox's ClientTemplate property.
@method
@returns The value of the RadSearchBox
*/
get_clientTemplate(): string;
        /**
Gets the root DOM element of the RadSearchBox's drop-down.
@method
@returns The root DOM element of the RadSearchBox
*/
get_dropDownElement(): HTMLElement;
        /**
Returns the value of the RadSearchBox's EmptyMessage property.
@method
@returns The value of the RadSearchBox
*/
get_emptyMessage(): string;
        /**
Gets a value indicating whether the AutoComplete functionality of the SearchBox is enabled
@method
@returns Value indicating whether the AutoComplete functionality of the SearchBox is enabled
*/
get_enableAutoComplete(): boolean;
        /**
Gets the value of the Enabled property
@method
@returns 
*/
get_enabled(): string;
        /**
Gets the Filter criteria of RadSearchBox.
@method
@returns 
*/
get_filter(): Telerik.Web.UI.SearchBoxFilter;
        /**
Gets the input DOM element of the RadSearchBox.
@method
@returns The input DOM element of the RadSearchBox.
*/
get_inputElement(): HTMLElement;
        /**
Returns the time in milliseconds before a request is initiated by the control after the user enters a keystroke.
@method
@returns The time in milliseconds before a request is initiated by the control after the user enters a keystroke.
*/
get_requestDelay(): number;
        /**
Gets the SearchContext's object
@method
@returns 
*/
get_searchContext(): Telerik.Web.UI.SearchContext;
        /**
Gets the text in the input field.
@method
@returns The text in the input field.
*/
get_text(): string;
        /**
If AutoComplete is enabled,the search string exists and it is longer than the min filter length set, a search operation is performed. The second parameter defines whether all results should be shown in the drop-down.
@method
@returns 
*/
query(): void;
        /**
Refreshes the RadSearchBox UI
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state to the client state hidden field
@method
@returns 
*/
saveClientState(): void;
        /**
Sets the value of the RadSearchBox's ClientTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the value of the RadSearchBox's EmptyMessage property.
@method
@param value - value
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets whether the AutoComplete functionality of the SearchBox is enabled
@method
@param value - Indicates whether the AutoComplete functionality of the SearchBox is enabled.
@returns 
*/
set_enableAutoComplete(value: boolean): void;
        /**
Toggles the enabled state of the RadSearchBox.
@method
@returns 
*/
set_enabled(): void;
        /**
Sets the Filter criteria of RadSearchBox.
@method
@param value - The Filter criteria.
*/
set_filter(value: Telerik.Web.UI.SearchBoxFilter): void;
        /**
Sets the time in milliseconds before a request is initiated by the control after the user enters a keystroke. Useful when requests overlap each other due to slower networks or when users with varying typing speeds encounter issues with the returned results for old searches.
@method
@param value - The time in milliseconds before a request is initiated by the control after the user enters a keystroke.
@returns 
*/
set_requestDelay(value: number): void;
        /**
Occurs after the RadSearchBox has been fully initialized on the client-side.
*/
add_load(handler: (sender: Telerik.Web.UI.RadSearchBox, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs when a new text is entered and a request for items is about to be sent.
*/
add_dataRequesting(handler: (sender: Telerik.Web.UI.RadSearchBox, args: Telerik.Web.UI.SearchBoxDataRequestingEventArgs) => void): void;

remove_dataRequesting(handler: Function): void;
        /**
Occurs when a new text is entered and a request for items is about to be sent.
*/
add_buttonCommand(handler: (sender: Telerik.Web.UI.RadSearchBox, args: Telerik.Web.UI.SearchBoxButtonCommandEventArgs) => void): void;

remove_buttonCommand(handler: Function): void;
    }


    class RadSlider  extends Telerik.Web.UI.RadWebControl {
        /**
Adds a slider item to the slider. Adds only if ItemType="Items". If index not specified, adds the item to the end of the slider
@method
@param item - The item object describing the item to add. Should contain a property
@param index - The index
@returns 
*/
addSliderItem(item: any, index: number): void;
        /**
Initiates the data binding to a client data source. The data source needs to be set before this function is called.
@method
@returns 
*/
dataBind(): void;
        /**
Gets a reference to the HTML element of the currently active drag handle
@method
@returns The HTML element of the currently active drag handle
*/
get_activeHandle(): any;
        /**
Gets the animation duration in milliseconds
@method
@returns The number of miliseconds the animation will last
*/
get_animationDuration(): number;
        /**
Gets a reference to the UL element containing the slider items (LI elements)
@method
@returns The UL element containing the slider items
*/
get_childListElement(): any;
        /**
RadClientDataSource
@method
@returns 
*/
get_clientDataSource(): void;
        /**
ClientID
@method
@returns 
*/
get_clientDataSourceID(): void;
        /**
Gets the client-side data source object that is data-bound to the slider.
@method
@returns 
*/
get_dataSource(): void;
        /**
Gets the array containing the (two) drag handles of the slider control
@method
@returns The array containing the
*/
get_dragHandles(): any;
        /**
Gets the tooltip for the drag handle
@method
@returns The tooltip for the drag handle
*/
get_dragText(): string;
        /**
Gets the bool value indicating whether the slider is enabled
@method
@returns The bool value indicating whether the slider is enabled or not
*/
get_enabled(): boolean;
        /**
Gets the height of the slider
@method
@returns The height of the slider
*/
get_height(): number;
        /**
Gets the bool value, indicating whether the direction of the slider is reversed
@method
@returns The bool value
*/
get_isDirectionReversed(): boolean;
        /**
Gets the bool value indicating whether the slider has two drag handles (Selection start handle -- Selection end handle). This way the user can select a specific range of items/values
@method
@returns A value
*/
get_isSelectionRangeEnabled(): boolean;
        /**
{ textField: "", valueField: "", toolTipField: "" }
@method
@returns 
*/
get_itemBinding(): void;
        /**
Gets an array of all the items of the slider
@method
@returns The array containing the items of the slider
*/
get_items(): any;
        /**
Gets the [Telerik.Web.UI.SliderItemType] type of the items in the slider control
@method
@returns The type of the items in the slider control
*/
get_itemType(): Telerik.Web.UI.SliderItemType;
        /**
Gets the delta with which the value will change when user clicks on the track
@method
@returns The delta with which the value will change when the user clicks on the track
*/
get_largeChange(): number;
        /**
Gets the bool value, indicating whether the value of the slider will change while the drag hanle is moving, or when the drag handle is released
@method
@returns The value
*/
get_liveDrag(): boolean;
        /**
Gets the current maximum value that can be selected with slider
@method
@returns The current maximum value that can be selected with the slider
*/
get_maximumValue(): number;
        /**
Gets the current minimum value that can be selected with slider
@method
@returns The current minimum value that can be selected with slider
*/
get_minimumValue(): number;
        /**
Gets the current orientation of the slider control - horizontal or vertical
@method
@returns The current orienation of the slider control
*/
get_orientation(): Telerik.Web.UI.Orientation;
        /**
Gets the currently selected item of the slider
@method
@returns The currently selected item of the slider
*/
get_selectedItem(): Telerik.Web.UI.RadSliderItem;
        /**
Gets an array of the currently selected items
@method
@returns An array of currently selected items
*/
get_selectedItems(): any;
        /**
Gets the value of the currently selected item
@method
@returns The value of the currently selected item
*/
get_selectedValue(): string;
        /**
Gets the ending value of the range when IsSelectionRangeEnabled is set to true
@method
@returns The ending value of the range
*/
get_selectionEnd(): number;
        /**
Gets the starting value of the range, when IsSelectionRangeEnabled is set to true
@method
@returns The starting value of the range
*/
get_selectionStart(): number;
        /**
Gets the bool value indicating whether the decrease handle is displayed
@method
@returns The bool value indicatiing whether the decrease handle is displayed
*/
get_showDecreaseHandle(): boolean;
        /**
Gets the bool value indicating whether the drag handle is displayed
@method
@returns The bool value indicating whether the drag handle is displayed
*/
get_showDragHandle(): boolean;
        /**
Gets the bool value indicating whether the increase handle is displayed
@method
@returns The bool value indicating whether the increase handle is displayed
*/
get_showIncreaseHandle(): boolean;
        /**
Gets the skin name of the slider
@method
@returns The skin name of the slider
*/
get_skin(): string;
        /**
Gets the step with which the slider value will change
@method
@returns The step with which the slider value will change
*/
get_smallChange(): number;
        /**
Gets the bool value indicating whether the mouse wheel will change the value of the slider
@method
@returns The bool value indicating whether the mouse wheel will change the value of the slider
*/
get_trackMouseWheel(): boolean;
        /**
Gets the [Telerik.Web.UI.SliderTrackPosition] position of the track
@method
@returns The position of the track
*/
get_trackPosition(): Telerik.Web.UI.SliderTrackPosition;
        /**
Gets the current value of the slider control
@method
@returns The current value of the slider
*/
get_value(): number;
        /**
Gets an array of all the visible items of the slider
@method
@returns The array containing the visible items of the slider
*/
get_visibleItems(): any;
        /**
Gets the width of the slider
@method
@returns The width of the slider
*/
get_width(): number;
        /**
Removes a slider item to the slider. Removes only if ItemType="Items". If index not specified, removes the item from the end of the slider.
@method
@param index - The index of the item to remove. If missing
@returns 
*/
removeSliderItem(index: number): void;
        /**
Repaints the slider control and forces it to recalculate the size of its elements. Use this method when the control is in an intially hidden element
@method
@returns 
*/
repaint(): void;
        /**
Sets an animation duration in milliseconds
@method
@param value - Number of milliseconds
@returns 
*/
set_animationDuration(value: number): void;
        /**
RadClientDataSource
@method
@returns 
*/
set_clientDataSource(): void;
        /**
ClientID
@method
@returns 
*/
set_clientDataSourceID(): void;
        /**
ItemBinding
@method
@returns 
*/
set_dataSource(): void;
        /**
Sets the tooltip for the drag handle
@method
@param value - The tooltip for the drag handle
@returns 
*/
set_dragText(value: string): void;
        /**
Enables/Disables the slider
@method
@param value - Enable
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets a height to the slider
@method
@param value - The height of the slider to be set
@returns 
*/
set_height(value: number): void;
        /**
Sets the bool value, indicating whether the direction of the slider is reversed
@method
@param value - The bool value
@returns 
*/
set_isDirectionReversed(value: boolean): void;
        /**
Sets a value, indicating whether the slider has two drag handles (Selection start handle -- Selection end handle). This way the user can select a specific range of items/values
@method
@param value - Enable
@returns 
*/
set_isSelectionRangeEnabled(value: boolean): void;
        /**
Sets the delta with which the value will change when user clicks on the track
@method
@param value - The delta with which the value will change when the user clicks on the track
@returns 
*/
set_largeChange(value: number): void;
        /**
Sets the bool value indicating whether the value of the slider will change while the drag hanle is moving, or when the drag handle is released
@method
@param value - The value indicating whether the value of the slider will change while the drag hanle is moving
@returns 
*/
set_liveDrag(value: boolean): void;
        /**
Sets the current maximum value that can be selected with slider
@method
@param value - The maximum value to be set
@returns 
*/
set_maximumValue(value: number): void;
        /**
Sets the current minimum value that can be selected with slider
@method
@param value - The minimum value to be set
@returns 
*/
set_minimumValue(value: number): void;
        /**
Sets the current orientation of the slider control - horizontal or vertical
@method
@param value - The orientaion to be set
@returns 
*/
set_orientation(value: Telerik.Web.UI.Orientation): void;
        /**
Sets the ending value of the range when IsSelectionRangeEnabled is set to true
@method
@param value - The ending value to be set
@returns 
*/
set_selectionEnd(value: number): void;
        /**
Sets the starting value of the range, when IsSelectionRangeEnabled is set to true
@method
@param value - The starting value to be set
@returns 
*/
set_selectionStart(value: number): void;
        /**
Sets a bool value indicating whether the decrease handle is displayed
@method
@param value - The bool value indicating whether the decrease handle is displayed
@returns 
*/
set_showDecreaseHandle(value: boolean): void;
        /**
Sets a bool value indicating whether the drag handle is displayed
@method
@param value - The bool value indicating whether the drag handle is displayed
@returns 
*/
set_showDragHandle(value: boolean): void;
        /**
Sets a bool value indicating whether the increase handle is displayed
@method
@param value - The bool value indicating whether the increase handle is displayed
@returns 
*/
set_showIncreaseHandle(value: boolean): void;
        /**
Sets the step with which the slider value will change
@method
@param value - The step with which the slider value will change
@returns 
*/
set_smallChange(value: number): void;
        /**
Sets a bool value indicating whether the mouse wheel will change the value of the slider
@method
@param value - The bool value indicating whether the mouse wheel will change the value of the slider
@returns 
*/
set_trackMouseWheel(value: boolean): void;
        /**
Sets the position of the track
@method
@param value - The position of the track
@returns 
*/
set_trackPosition(value: Telerik.Web.UI.SliderTrackPosition): void;
        /**
Sets the current value of the slider control
@method
@param value - The value to be set
@returns 
*/
set_value(value: number): void;
        /**
Sets a width to the slider
@method
@param value - The width of the slider to be set
@returns 
*/
set_width(value: number): void;
        /**
OnClientValueChanging
@method
@returns 
*/
setValue(): void;
        /**
The dataBound event is fired when the data binding of RadSlider is finished.
*/
add_dataBound(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_dataBound(handler: Function): void;
        /**
The itemDataBound event is raised when an item in the RadSlider is data-bound to the provided data source.
*/
add_itemDataBound(handler: (sender: Telerik.Web.UI.RadSlider, args: Telerik.Web.UI.SliderItemDataBoundEventArgs) => void): void;

remove_itemDataBound(handler: Function): void;
        /**
The itemsCreated client-side event occurs when the items of the RadSlider control are created.
*/
add_itemsCreated(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_itemsCreated(handler: Function): void;
        /**
The load client-side event occurs after the slider loads on the page.
*/
add_load(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The slide client-side event occurs as the drag handle is moved along the track.
*/
add_slide(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_slide(handler: Function): void;
        /**
The slideEnd client-side event occurs as the drag handle stops moving along the track.
*/
add_slideEnd(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_slideEnd(handler: Function): void;
        /**
The slideRange client-side event occurs as the user is sliding the selected region of RadSlider, thus changing both SelectionStart and SelectionEnd values.
*/
add_slideRange(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_slideRange(handler: Function): void;
        /**
The slideRangeEnd client-side event occurs when user releases the selected region of RadSlider after dragging it, thus changing both SelectionStart and SelectionEnd values.
*/
add_slideRangeEnd(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_slideRangeEnd(handler: Function): void;
        /**
The slideRangeStart client-side event occurs just before the user starts sliding the selected region of RadSlider, thus changing both SelectionStart and SelectionEnd values.
*/
add_slideRangeStart(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_slideRangeStart(handler: Function): void;
        /**
The slideStart client-side event occurs just before the drag handle is moved along the track.
*/
add_slideStart(handler: (sender: Telerik.Web.UI.RadSlider, eventArgs: Sys.EventArgs) => void): void;

remove_slideStart(handler: Function): void;
        /**
The valueChanged client-side event occurs as the value property changes.
*/
add_valueChanged(handler: (sender: Telerik.Web.UI.RadSlider, args: Telerik.Web.UI.SliderEventArgs) => void): void;

remove_valueChanged(handler: Function): void;
        /**
The valueChanging client-side event occurs before the value property changes.
*/
add_valueChanging(handler: (sender: Telerik.Web.UI.RadSlider, args: Telerik.Web.UI.SliderCancelEventArgs) => void): void;

remove_valueChanging(handler: Function): void;
    }


    class RadSliderItem   {
        /**
Gets the name of the currently applied CSS class to the item
@method
@returns The name of the currently applied CSS class to the item
*/
static get_cssClass(): string;
        /**
Gets a bool value, indicating whether the slider item is selected or not
@method
@returns The bool value
*/
static get_selected(): boolean;
        /**
Gets a reference to the parent slider [Telerik.Web.UI.RadSlider] object
@method
@returns The parent slider
*/
static get_slider(): Telerik.Web.UI.RadSlider;
        /**
Gets the wrapper element of the slider item
@method
@returns The wrapper element of the item
*/
static get_textElement(): any;
        /**
Gets the current text that is displayed as a tooltip when the mouse hovers over the item
@method
@returns The tooltip text
*/
static get_tooltip(): string;
        /**
Sets a CSS class to the slider item
@method
@param value - The name of the CSS class to be set
@returns 
*/
static set_cssClass(value: string): void;
        /**
Sets a text that will be displayed as a tooltip, when the mouse hovers over the item
@method
@param value - The tooltip text
@returns 
*/
static set_tooltip(value: string): void;
        /**
Sets a value indicating whether the slider item will be visible or not (uses the display CSS attribute)
@method
@param value - The value indicating whether the slider item will be visible or not
@returns 
*/
static set_visible(value: boolean): void;
        /**
Initializes a new instance of the Telerik.Web.UI.RadSliderItem class
@method
@returns 
*/
static Telerik(): void;
    }


    class RadSlidingPane  extends Telerik.Web.UI.SplitterPaneBase {
        /**
Returns a reference to the HTML element, which represents the collapse icon of the sliding pane control
@method
@returns A reference to the HTML element
*/
getCollapseIconElement(): any;
        /**
Returns a value, indicating whether the sliding pane is docked
@method
@returns A value
*/
get_docked(): boolean;
        /**
Returns a value, indicating whether the sliding pane control will open in docked state
@method
@returns A value
*/
get_dockOnOpen(): boolean;
        /**
Returns a value, indicating whether the sliding pane control can be docked
@method
@returns A value
*/
get_enableDock(): boolean;
        /**
Returns a value, indicating whether the sliding pane control can be resized
@method
@returns A value
*/
get_enableResize(): boolean;
        /**
Returns a value, indicating whether the sliding pane is expanded
@method
@returns A value
*/
get_expanded(): boolean;
        /**
Returns the index of the sliding pane in the items collection of the sliding zone control
@method
@returns The index of the sliding pane in the items collection of the sliding zone control
*/
get_index(): number;
        /**
Returns a reference to the outer most HTML element of the pane control that is holding the sliding zone of the sliding pane control
@method
@returns a reference to the outer most HTML element of the pane control that is holding the sliding zone of the sliding pane control
*/
get_pane(): any;
        /**
Gets the bounds of the pane control that is holding the sliding zone of the sliding pane control in the form {width,height,x,y}
@method
@returns The bounds of the pane control that is holding the sliding zone of the sliding pane control in the form
*/
get_paneBounds(): any;
        /**
Returns a reference to the sliding zone control
@method
@returns A reference to the sliding zone control
*/
get_parent(): Telerik.Web.UI.RadSlidingZone;
        /**
Returns a reference to the pane control that contains the sliding zone of the sliding pane control
@method
@returns A reference to the pane control that contains the sliding zone of the sliding pane control
*/
get_parentPane(): Telerik.Web.UI.RadPane;
        /**
Gets the bounds of the sliding pane control in the form {width,height,x,y}
@method
@returns The bounds of the sliding pane control in the form
*/
get_slidingPaneBounds(): any;
        /**
Returns a reference to the splitter control
@method
@returns A reference to the splitter control
*/
get_splitter(): Telerik.Web.UI.RadSplitter;
        /**
Gets the title of the sliding pane control
@method
@returns The title of the sliding pane control
*/
get_title(): string;
        /**
Returns a reference to the HTML element, which holds the collapse icon of the sliding pane control
@method
@returns A reference to the HTML element
*/
getCollapseIconWrapperElement(): any;
        /**
Returns the HTML content of the sliding pane control
@method
@returns The HTML content of the sliding pane control
*/
getContent(): string;
        /**
Gets the HTML element, which is holding the pane content
@method
@returns The HTML element
*/
getContentContainer(): any;
        /**
Returns a reference to the HTML element, which represents the dock icon of the sliding pane control
@method
@returns A reference to the HTML element
*/
getDockIconElement(): any;
        /**
Returns a reference to the HTML element, which holds the dock icon of the sliding pane control
@method
@returns A reference to the HTML element
*/
getDockIconWrapperElement(): any;
        /**
Returns a reference to the title HTML element of the sliding pane control
@method
@returns A reference to the title HTML element of the sliding pane control
*/
getSlidingContainerTitle(): any;
        /**
Returns a reference to the resize HTML element of the sliding pane control
@method
@returns A reference to the resize HTML element of the sliding pane control
*/
getSlidingPaneResizeContainer(): any;
        /**
Returns a reference to the HTML element, which holds the tab of the sliding pane control
@method
@returns A reference to the HTML element
*/
getTabContainer(): any;
        /**
Returns a reference to the HTML element, which represents the undock icon of the sliding pane control
@method
@returns A reference to the HTML element
*/
getUndockIconElement(): any;
        /**
Returns a reference to the HTML element, which holds the undock icon of the sliding pane control
@method
@returns A reference to the HTML element
*/
getUnDockIconWrapperElement(): any;
        /**
Hides the tab for the sliding pane control
@method
@returns 
*/
hideTab(): void;
        /**
Returns true if the tab for this pane is displayed
@method
@returns A value
*/
isTabDisplayed(): boolean;
        /**
Sets the title of the sliding pane control
@method
@param value - The new title of the sliding pane control
@returns 
*/
set_title(value: string): void;
        /**
Sets the HTML content of the sliding pane control
@method
@param content - The new HTML content of the sliding pane control
@returns 
*/
setContent(content: string): void;
        /**
Shows the tab for the sliding pane control
@method
@returns 
*/
showTab(): void;
        /**
Occurs when a SlidingPane has just been docked.
*/
add_docked(handler: (sender: Telerik.Web.UI.RadSlidingPane, args: Sys.EventArgs) => void): void;

remove_docked(handler: Function): void;
        /**
Occurs when a SlidingPane has just been undocked.
*/
add_undocked(handler: (sender: Telerik.Web.UI.RadSlidingPane, args: Sys.EventArgs) => void): void;

remove_undocked(handler: Function): void;
        /**
Occurs when a SlidingPane is just about to be docked.
*/
add_docking(handler: (sender: Telerik.Web.UI.RadSlidingPane, args: Sys.CancelEventArgs) => void): void;

remove_docking(handler: Function): void;
        /**
Occurs when a SlidingPane is just about to be undocked.
*/
add_undocking(handler: (sender: Telerik.Web.UI.RadSlidingPane, args: Sys.CancelEventArgs) => void): void;

remove_undocking(handler: Function): void;
    }


    class RadSlidingZone  extends Telerik.Web.UI.RadWebControl {
        /**
Collapses the sliding pane with the given id
@method
@param paneId - The id of the sliding pane to collapse
@returns A value
*/
collapsePane(paneId: string): boolean;
        /**
Docks the sliding pane with the given id
@method
@param paneId - The id of the sliding pane to dock
@returns A value
*/
dockPane(paneId: string): boolean;
        /**
Expands the sliding pane with the given id
@method
@param paneId - The id of the sliding pane to expand
@returns A value
*/
expandPane(paneId: string): boolean;
        /**
Gets the value of the ClickToOpen property of the sliding zone control
@method
@returns The value of the ClickToOpen property of the sliding zone control
*/
get_clickToOpen(): boolean;
        /**
Gets the ID of the currently docked sliding pane
@method
@returns The ID of the currently docked sliding pane
*/
get_dockedPaneId(): string;
        /**
Gets the ID of the currently expanded sliding pane
@method
@returns The ID of the currently expanded sliding pane
*/
get_expandedPaneId(): string;
        /**
Gets the height of the sliding zone control
@method
@returns The height of the sliding zone control
*/
get_height(): number;
        /**
Returns a reference to the pane control, which holds the sliding zone control
@method
@returns A reference to the pane control
*/
get_parent(): Telerik.Web.UI.RadPane;
        /**
Gets the value of the ResizeStep property of the sliding zone control
@method
@returns The value of the ResizeStep property of the sliding zone control
*/
get_resizeStep(): number;
        /**
Gets the value of the SlideDuration property of the sliding zone control
@method
@returns The value of the SlideDuration property of the sliding zone control
*/
get_slideDuration(): number;
        /**
Returns a reference to the splitter control, which holds the sliding zone control
@method
@returns A reference to the splitter control
*/
get_splitter(): Telerik.Web.UI.RadSplitter;
        /**
Gets the width of the sliding zone control
@method
@returns The width of the sliding zone control
*/
get_width(): number;
        /**
Returns a reference to the sliding pane with the specified id
@method
@param paneId - The id of the sliding pane to search for
@returns A reference to the sliding pane with the specified id
*/
getPaneById(paneId: string): Telerik.Web.UI.RadSlidingPane;
        /**
Returns an array with all the sliding panes, defined in the items collection of the sliding zone control
@method
@returns An array with all the sliding panes
*/
getPanes(): any;
        /**
Returns a reference to the HTML element that holds all tab elements of sliding panes
@method
@returns A reference to the HTML element that holds all tab elements of sliding panes
*/
getTabsContainer(): any;
        /**
Returns a value, indicating whether the SlideDirection of the sliding zone control is bottom
@method
@returns A value
*/
isBottomDirection(): boolean;
        /**
Returns a value, indicating whether the SlideDirection of the sliding zone control is left
@method
@returns A value
*/
isLeftDirection(): boolean;
        /**
Returns a value, indicating whether the SlideDirection of the sliding zone control is right
@method
@returns A value
*/
isRightDirection(): boolean;
        /**
Returns a value, indicating whether the SlideDirection of the sliding zone control is top
@method
@returns A value
*/
isTopDirection(): boolean;
        /**
Undocks the sliding pane with the given id
@method
@param paneId - The id of the sliding pane to undock
@returns A value
*/
undockPane(paneId: string): boolean;
        /**
Occurs when a RadSlidingZone is successfully loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadSlidingZone, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
    }


    class RadSocialShare  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the array of compact buttons.
@method
@returns 
*/
get_compactButtons(): any;
        /**
Returns the compact popup object.
@method
@returns 
*/
get_compactPopup(): Telerik.Web.UI.RadWindow;
        /**
Returns the email popup object.
@method
@returns 
*/
get_emailPopup(): Telerik.Web.UI.RadWindow;
        /**
Returns the Facebook Application ID.
@method
@returns 
*/
get_fbAppId(): string;
        /**
Returns value which shows whether Google Analytics is enabled.
@method
@returns 
*/
get_gaEnabled(): boolean;
        /**
Returns the web property ID set for Google Analytics support.
@method
@returns 
*/
get_gaID(): string;
        /**
Returns a value which determines whether IFRAMEs are hidden while email or compact popup is being moved.
@method
@returns 
*/
get_hideIframesOnDialogMove(): boolean;
        /**
Returns the array of main buttons.
@method
@returns 
*/
get_mainButtons(): any;
        /**
Returns the title to share value.
@method
@returns 
*/
get_titleToShare(): string;
        /**
Returns the Id of the tracker for the RadSocialShare instance.
@method
@returns 
*/
get_trackerId(): string;
        /**
Returns the url to share value.
@method
@returns 
*/
get_urlToShare(): string;
        /**
Sets the Facebook Application ID.
@method
@param value - 
@returns 
*/
set_fbAppId(value: string): void;
        /**
Sets the web property ID set for Google Analytics support.
@method
@param value - 
@returns 
*/
set_gaID(value: string): void;
        /**
Sets a value which determines whether IFRAMEs are hidden while email or compact popup is being moved.
@method
@param value - 
@returns 
*/
set_hideIframesOnDialogMove(value: boolean): void;
        /**
Dynamically sets new values for url and title to share.
@method
@param url - 
@param title - 
@returns 
*/
set_stringsToShare(url: string, title: string): void;
        /**
Toggles the visibility of the compact popup.
@method
@returns 
*/
toggleCompactPopup(): void;
        /**
Toggles the visibility of the email popup.
@method
@returns 
*/
toggleEmailPopup(): void;
        /**
The event fires when one of the RadSocialButtons is clicked. The event is raised before the clicked event and it can be canceled.
*/
add_clicking(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialDialogCancelEventArgs) => void): void;

remove_clicking(handler: Function): void;
        /**
The event fires when one of the RadSocialButtons is clicked. The event is subsequent to the clicking event and it cannot be canceled.
*/
add_clicked(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialDialogEventArgs) => void): void;

remove_clicked(handler: Function): void;
        /**
The event fires when the Facebook Like button is clicked.
*/
add_fbLike(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialShareEventArgs) => void): void;

remove_fbLike(handler: Function): void;
        /**
The event fires when the Facebook Send button is clicked.
*/
add_fbSend(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialShareEventArgs) => void): void;

remove_fbSend(handler: Function): void;
        /**
The event fires when the Facebook UnLike button is clicked.
*/
add_fbUnLike(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialShareEventArgs) => void): void;

remove_fbUnLike(handler: Function): void;
        /**
The event fires when the Tweet button is clicked in the sharing popup (i.e. after the actual tweet is posted).
*/
add_tweet(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialShareEventArgs) => void): void;

remove_tweet(handler: Function): void;
        /**
Fires when the GooglePlus button is clicked for approval.
*/
add_onPlusone(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialShareEventArgs) => void): void;

remove_onPlusone(handler: Function): void;
        /**
Fires when the GooglePlus button is clicked for disapproval.
*/
add_offPlusone(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialShareEventArgs) => void): void;

remove_offPlusone(handler: Function): void;
        /**
Fires when the LinkedInShare button is clicked for sharing the page in LinedIn.
*/
add_linkedInShare(handler: (sender: Telerik.Web.UI.RadSocialShare, args: Telerik.Web.UI.SocialShareEventArgs) => void): void;

remove_linkedInShare(handler: Function): void;
    }


    class RadSpell   {
        /**
Determines what type of dialog the control should use - a RadWindow or a browser dialog.
@method
@param shouldUseBrowserDialog - When true is passed, a browser dialog will be used. If false is passed, a RadWindow will be used.
@returns 
*/
set_useClassicDialogs(shouldUseBrowserDialog: boolean): void;
        /**
Gets the ID of the control to spell check.
@method
@returns 
*/
get_controlToCheck(): void;
        /**
Returns the instance of the client-side DialogOpener object that handles that dialog opening/parameter passing processes.
@method
@returns 
*/
get_dialogOpener(): void;
        /**
Gets the dictionary language culture code.
@method
@returns 
*/
get_dictionaryLanguage(): void;
        /**
Gets the language currently selected in the drop down displayed when the SupportedLanguages language property is set.
@method
@returns 
*/
get_selectedLanguage(): void;
        /**
OnClientCheckFinished
@method
@returns 
*/
get_spellChecked(): void;
        /**
Returns the reference to the instance of the TextSource object that RadSpell is attached to.
@method
@returns 
*/
get_textSource(): void;
        /**
Sets the ID of the control to spell check.
@method
@returns 
*/
set_controlToCheck(): void;
        /**
Sets the instance of the client-side DialogOpener object.
@method
@returns 
*/
set_dialogOpener(): void;
        /**
Sets the dictionary language culture code.
@method
@returns 
*/
set_dictionaryLanguage(): void;
        /**
Sets whether the spellcheck process is completed (true) or not (false). Note: Should not be used directly. It is used by the spellcheck validator.
@method
@returns 
*/
set_spellChecked(): void;
        /**
Attaches a custom TextSource object to the RadSpell object.
@method
@returns 
*/
set_textSource(): void;
        /**
Launch the spellcheck process for the provided TextSource.
@method
@returns 
*/
spellCheck(): void;
        /**
Launch the spellcheck process
@method
@returns 
*/
startSpellCheck(): void;
        /**
The clientCheckCancelled client-side event occurs if the user cancels the spell check.
*/
add_clientCheckCancelled(handler: (sender: Telerik.Web.UI.RadSpell, args: Sys.EventArgs) => void): void;

remove_clientCheckCancelled(handler: Function): void;
        /**
The clientCheckFinished client-side event occurs after the spell check is complete.
*/
add_clientCheckFinished(handler: (sender: Telerik.Web.UI.RadSpell, args: Telerik.Web.UI.SpellClientCheckFinishedEventArgs) => void): void;

remove_clientCheckFinished(handler: Function): void;
        /**
The clientCheckStarted client-side event occurs when the spell check begins and before the spell check dialog appears.
*/
add_clientCheckStarted(handler: (sender: Telerik.Web.UI.RadSpell, args: Sys.CancelEventArgs) => void): void;

remove_clientCheckStarted(handler: Function): void;
        /**
The clientDialogClosing client-side event occurs just before the spell check dialog closes.
*/
add_clientDialogClosing(handler: (sender: Telerik.Web.UI.RadSpell, args: Sys.EventArgs) => void): void;

remove_clientDialogClosing(handler: Function): void;
        /**
The load client-side event occurs after the RadSpell loads on the page.
*/
add_load(handler: (sender: Telerik.Web.UI.RadSpell, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
    }


    class RadSplitBar  extends Telerik.Web.UI.RadWebControl {
        /**
Returns a reference to the HTML element of the collapse button for the specified direction
@method
@param direction - The collapse direction of the button
@returns A reference to the HTML element of the collapse button for the specified direction
*/
getCollapseBarElement(direction: Telerik.Web.UI.SplitterDirection): any;
        /**
Returns the value of the CollapseMode property of the splitbar control
@method
@returns The value of the CollapseMode property of the splitbar control
*/
get_collapseMode(): Telerik.Web.UI.SplitBarCollapseMode;
        /**
Returns the value of the EnableResize property of the splitbar control
@method
@returns The value of the EnableResize property of the splitbar control
*/
get_enableResize(): boolean;
        /**
Returns the index of the splitbar in the items collection of the splitter control
@method
@returns The index of the splitbar in the items collection of the splitter control
*/
get_index(): number;
        /**
Returns a reference to the pane control with the smallest index in the items collection of the splitter, which is added to the collection after the splitbar control
@method
@returns A reference to the pane control with the smallest index in the items collection of the splitter
*/
get_nextPane(): Telerik.Web.UI.RadPane;
        /**
Returns a reference to the splitter control
@method
@returns A reference to the splitter control
*/
get_parent(): Telerik.Web.UI.RadSplitter;
        /**
Returns a reference to the pane control with the largest index in the items collection of the splitter, which is added to the collection before the splitbar control
@method
@returns A reference to the pane control with the largest index in the items collection of the splitter
*/
get_prevPane(): Telerik.Web.UI.RadPane;
        /**
Returns the value of the ResizeStep property of the splitbar control
@method
@returns The value of the ResizeStep property of the splitbar control
*/
get_resizeStep(): number;
        /**
Returns a reference to the splitter control
@method
@returns A reference to the splitter control
*/
get_splitter(): Telerik.Web.UI.RadSplitter;
        /**
Returns the outer height of the splitbar control
@method
@returns The outer height of the splitbar control
*/
getHeight(): number;
        /**
Returns the outer width of the splitbar control
@method
@returns The outer width of the splitbar control
*/
getWidth(): number;
        /**
Returns a value, indicating whether the splitbar is collapsed in the specified direction
@method
@param direction - The collapse direction to check
@returns A value
*/
isCollapsed(direction: Telerik.Web.UI.SplitterDirection): boolean;
        /**
Returns a value, indicating whether the collapse direction is enabled for the splitbar control
@method
@param direction - The collapse direction to check
@returns A value
*/
isCollapseDirectionEnabled(direction: Telerik.Web.UI.SplitterDirection): boolean;
    }


    class RadSplitter  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the TABLE element of the splitter control
@method
@returns The TABLE element of the splitter control
*/
getContainerElement(): any;
        /**
Gets the size of the borders in the splitter control
@method
@returns The size of the borders in the splitter control
*/
get_borderSize(): number;
        /**
Gets the height in pixels of the splitter control
@method
@returns The height in pixels of the splitter control
*/
get_height(): number;
        /**
Gets the value of the HeightOffset property of the splitter control
@method
@returns The value of the HeightOffset property of the splitter control
*/
get_heightOffset(): number;
        /**
Returns a value, indicating whether the panes of the splitter control will resize while the user is dragging the splitbar control or when the user releases the splitbar control
@method
@returns A value
*/
get_liveResize(): boolean;
        /**
Gets a reference to the first parent RadPane object of the splitter control, in case the ResizeWithParentPane property of the splitter is set to true
@method
@returns 
*/
get_parent(): Telerik.Web.UI.RadPane;
        /**
Gets the resize mode of the splitter control
@method
@returns The resize mode of the splitter
*/
get_resizeMode(): Telerik.Web.UI.SplitterResizeMode;
        /**
Gets the size of the splitbar controls in the splitter control
@method
@returns The size of the splitbar controls in the splitter control
*/
get_splitBarSize(): number;
        /**
Gets the width in pixels of the splitter control
@method
@returns The width in pixels of the splitter control
*/
get_width(): number;
        /**
Gets the last pane in the items collection of the splitter control
@method
@returns The last pane in the items collection of the splitter control
*/
getEndPane(): Telerik.Web.UI.RadPane;
        /**
Returns the height of the splitter control, excluding borders of the splitter
@method
@returns The height of the splitter control
*/
getInnerHeight(): number;
        /**
Returns the width of the splitter control, excluding borders of the splitter
@method
@returns The width of the splitter control
*/
getInnerWidth(): number;
        /**
Returns the sum of the maximum possible height of a range of the panes in the items collection of the splitter control
@method
@param startPaneIndex - The index of the first pane to include in the sum. In case the parameter is not specified
@param endPaneIndex - The index of the last pane to include in the sum. In case the parameter is not specified
@returns The sum of the maximum possible height of a range of the panes in the items collection of the splitter control
*/
getMaxHeight(startPaneIndex: number, endPaneIndex: number): number;
        /**
Returns the sum of the maximum possible width of a range of the panes in the items collection of the splitter control
@method
@param startPaneIndex - The index of the first pane to include in the sum. In case the parameter is not specified
@param endPaneIndex - The index of the last pane to include in the sum. In case the parameter is not specified
@returns The sum of the maximum possible width of a range of the panes in the items collection of the splitter control
*/
getMaxWidth(startPaneIndex: number, endPaneIndex: number): number;
        /**
Returns the sum of the minimum possible height of a range of the panes in the items collection of the splitter control
@method
@param startPaneIndex - The index of the first pane to include in the sum. In case the parameter is not specified
@param endPaneIndex - The index of the last pane to include in the sum. In case the parameter is not specified
@returns The sum of the minimum possible height of a range of the panes in the items collection of the splitter control
*/
getMinHeight(startPaneIndex: number, endPaneIndex: number): number;
        /**
Returns the sum of the minimum possible width of a range of the panes in the items collection of the splitter control
@method
@param startPaneIndex - The index of the first pane to include in the sum. In case the parameter is not specified
@param endPaneIndex - The index of the last pane to include in the sum. In case the parameter is not specified
@returns The sum of the minimum possible width of a range of the panes in the items collection of the splitter control
*/
getMinWidth(startPaneIndex: number, endPaneIndex: number): number;
        /**
Returns the pane with the specified id in the panes collection of the splitter control
@method
@param paneID - The id of the pane to search for
@returns The pane with the specified id in the panes collection of the splitter control
*/
getPaneById(paneID: string): Telerik.Web.UI.RadPane;
        /**
Returns the pane with the specified index in the panes collection of the splitter control
@method
@param paneIndex - The index of the pane to search for
@returns The pane with the specified index in the panes collection of the splitter control
*/
getPaneByIndex(paneIndex: number): Telerik.Web.UI.RadPane;
        /**
Returns an array with all the panes, defined in the items collection of the splitter control
@method
@returns An array with all the panes
*/
getPanes(): any;
        /**
Returns the splitbar with the specified id in the splitbars collection of the splitter control
@method
@param splitBarID - The id of the splitbar to search for
@returns The splitbar with the specified id in the splitbars collection of the splitter control
*/
getSplitBarById(splitBarID: string): Telerik.Web.UI.RadSplitBar;
        /**
Returns the splitbar with the specified index in the splitbars collection of the splitter control
@method
@param index - The index of the splitbar to search for
@returns The splitbar with the specified index in the splitbars collection of the splitter control
*/
getSplitBarByIndex(index: number): Telerik.Web.UI.RadSplitBar;
        /**
Returns an array with all the splitbars, defined in the items collection of the splitter control
@method
@returns An array with all the splitbars
*/
getSplitBars(): any;
        /**
Gets the first pane in the items collection of the splitter control
@method
@returns The first pane in the items collection of the splitter control
*/
getStartPane(): Telerik.Web.UI.RadPane;
        /**
Returns a value, indicating whether the splitter is nested in a RadPane control and its ResizeWithParentPane property is set to true
@method
@returns A value
*/
isNested(): boolean;
        /**
Returns a value, indicating whether the Orientation of the splitter control is Telerik.Web.UI.Orientation.Vertical
@method
@returns A value
*/
isVertical(): boolean;
        /**
Repaints the splitter control and forces it to recalculate the size of its elements
@method
@returns 
*/
repaint(): void;
        /**
Resizes the splitter control to the specified width and height
@method
@param width - The new width in pixels for the splitter control
@param height - The new height in pixels for the splitter control
@returns 
*/
resize(width: number, height: number): void;
        /**
Sets the height of the splitter control
@method
@param value - The new height for the splitter control
@returns 
*/
set_height(value: string): void;
        /**
Sets the width of the splitter control
@method
@param value - The new width for the splitter control
@returns 
*/
set_width(value: string): void;
        /**
Occurs when a RadSplitter is about to be resized.
*/
add_resizing(handler: (sender: Telerik.Web.UI.RadSplitter, args: Telerik.Web.UI.SplitterResizingEventArgs) => void): void;

remove_resizing(handler: Function): void;
        /**
Occurs when a RadSplitter is successfully loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadSplitter, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
    }


    class RadSpreadsheet  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the index of the specified sheet.
@method
@param index - 
@returns 
*/
findSheetByIndex(index: number): Telerik.Web.UI.SpreadsheetSheet;
        /**
Returns a sheet matching the specified name, if any.
@method
@param name - 
@returns 
*/
findSheetByName(name: string): Telerik.Web.UI.SpreadsheetSheet;
        /**
Gets the active sheet.
@method
@returns 
*/
get_activeSheet(): Telerik.Web.UI.SpreadsheetSheet;
        /**
Returns the Height of the Column Header.
@method
@returns 
*/
get_columnHeaderHeight(): number;
        /**
Gets the number of columns in the document.
@method
@returns 
*/
get_columnsCount(): number;
        /**
Gets the default column width in pixels. Default value is 64
@method
@returns 
*/
get_columnWidth(): number;
        /**
Returns Kendo UI SpreadSheet Widget.
@method
@returns 
*/
get_kendoWidget(): any;
        /**
Gets the default Row Header Width.
@method
@returns 
*/
get_rowHeaderWidth(): number;
        /**
Gets the default row height in pixels. The default value is 20.
@method
@returns 
*/
get_rowHeight(): number;
        /**
Gets the number of rows in the document. The default value is 200.
@method
@returns rows count.
*/
get_rowsCount(): number;
        /**
Returns an array with the sheets in the workbook.
@method
@returns Array
*/
get_sheets(): Telerik.Web.UI.SpreadsheetSheet;
        /**
Gets the Data Sheets Object.
@method
@returns 
*/
get_sheetsData(): any;
        /**
Inserts a sheet with the specified options.
@method
@returns 
*/
insertSheet(): Telerik.Web.UI.SpreadsheetSheet;
        /**
Inserts a sheet with the specified options.
@method
@returns 
*/
removeSheet(): void;
        /**
Renames the specified sheet.
@method
@param sheet - The new name of the sheet.
@returns the renamed sheet.
*/
renameSheet(sheet: Telerik.Web.UI.SpreadsheetSheet): Telerik.Web.UI.SpreadsheetSheet;
        /**
Save changes.
@method
@returns 
*/
save(): void;
        /**
Initiates the Excel export.
@method
@returns 
*/
saveAsExcel(): void;
        /**
Sets the active sheet.
@method
@param sheet - 
@returns 
*/
set_activeSheet(sheet: Telerik.Web.UI.SpreadsheetSheet): void;
        /**
Sets the Height of the Column Header.
@method
@param height - 
@returns 
*/
set_columnHeaderHeight(height: number): void;
        /**
Sets the number of columns in the document.
@method
@param count - 
@returns 
*/
set_columnsCount(count: number): void;
        /**
Sets the default Row Header Width.
@method
@param headerWidth - 
@param height - 
@returns ### set_rowHeightSets the default row height in pixels. The default value is 20.
*/
set_rowHeaderWidth(headerWidth: number, height: number): void;
        /**
Sets the number of rows in the document. The default value is 200.
@method
@param count - 
@returns 
*/
set_rowsCount(count: number): void;
        /**
Sets the Data Sheets Object.
@method
@param data - 
@returns 
*/
set_sheetsData(data: any): void;
    }


    class RadTab  extends Telerik.Web.UI.ControlItem {
        /**
Causes server side click to occur.
@method
@returns 
*/
click(): void;
        /**
Disables the tab.
@method
@returns 
*/
disable(): void;
        /**
Enables the tab if it is disabled.
@method
@returns 
*/
enable(): void;
        /**
Gets the tab list (rtsUL) DOM element.
@method
@returns 
*/
get_childListElement(): HTMLElement;
        /**
Gets the CSS class name to be set to the tab.
@method
@returns The CSS class name to be set to the tab.
*/
get_cssClass(): string;
        /**
Gets the CSS class name to be added when the tab is disabled.
@method
@returns The CSS class name to be added when the tab is disabled.
*/
get_disabledCssClass(): string;
        /**
Gets the URL to an image which is displayed next to the text of a tab when it is disabled.
@method
@returns The URL to an image which is displayed next to the text of a tab when it is disabled.
*/
get_disabledImageUrl(): string;
        /**
Gets the root DOM element of the tab (LI).
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Same as get_isEnabled.
@method
@returns 
*/
get_enabled(): boolean;
        /**
Gets the CSS class name to be added when the tab is hovered.
@method
@returns The CSS class name to be added when the tab is hovered.
*/
get_hoveredCssClass(): string;
        /**
Gets the URL to an image which is displayed next to the text of a tab when it is hovered.
@method
@returns The URL to an image which is displayed next to the text of a tab when it is hovered.
*/
get_hoveredImageUrl(): string;
        /**
Gets the image DOM element of the tab (rtsImg).
@method
@returns The DOM element of the tab image
*/
get_imageElement(): HTMLElement;
        /**
Gets the URL to an image which is displayed next to the text of a tab.
@method
@returns The URL to an image which is displayed next to the text of a tab.
*/
get_imageUrl(): string;
        /**
Gets the zero based index of the tab inside the parent tabs collection.
@method
@returns 
*/
get_index(): number;
        /**
Gets the inner wrap DOM element of tab (rtsIn)
@method
@returns The inner wrap DOM element
*/
get_innerWrapElement(): HTMLElement;
        /**
Gets a value indicating whether the next tab will be displayed on a new line
@method
@returns 
*/
get_isBreak(): boolean;
        /**
Returns true if both the tab and the tabstrip are enabled. If one of them is disabled, get_isEnabled() will return false.
@method
@returns 
*/
get_isEnabled(): boolean;
        /**
Returns true if the tab is a separator; false for other tabs
@method
@returns 
*/
get_isSeparator(): boolean;
        /**
Gets the level of the tab. Root level tabs are first level.
@method
@returns 
*/
get_level(): number;
        /**
Gets the DOM element of the level wrapper (rtsLevel)
@method
@returns The DOM element of the level wrapper
*/
get_levelElement(): HTMLElement;
        /**
Gets the anchor DOM element of the tab (rtsLink).
@method
@returns The anchor DOM element of the tab
*/
get_linkElement(): HTMLElement;
        /**
Gets the URL of the Web page the tab navigates to.
@method
@returns 
*/
get_navigateUrl(): string;
        /**
Returns the next sibling of the tab. If the tab is last, returns null.
@method
@returns 
*/
get_nextSibling(): Telerik.Web.UI.RadTab;
        /**
Returns the next sibling
@method
@returns The next tab
*/
get_nextTab(): Telerik.Web.UI.RadTab;
        /**
Gets the outer wrap DOM element of tab (rtsOut)
@method
@returns The outer wrap DOM element
*/
get_outerWrapElement(): HTMLElement;
        /**
Returns the pageview associated with the tab.
@method
@returns 
*/
get_pageView(): Telerik.Web.UI.RadPageView;
        /**
Returns the ID of the pageview.
@method
@returns 
*/
get_pageViewID(): string;
        /**
Returns an instance of the parent object. RadTabStrip if this is a root tab, RadTab if it is a child tab.
@method
@returns 
*/
get_parent(): any;
        /**
Gets a value indicating whether clicking on the tab will postback
@method
@returns true if the node should postback
*/
get_postBack(): boolean;
        /**
Returns the previous sibling
@method
@returns The previous tab
*/
get_previousTab(): Telerik.Web.UI.RadTab;
        /**
Returns whether the tab is selected.
@method
@returns 
*/
get_selected(): boolean;
        /**
Gets the CSS class name to be added when the tab is selected.
@method
@returns The CSS class name to be added when the tab is selected.
*/
get_selectedCssClass(): string;
        /**
Gets the URL to an image which is displayed next to the text of a tab when it is selected.
@method
@returns The URL to an image which is displayed next to the text of a tab when it is selected.
*/
get_selectedImageUrl(): string;
        /**
Gets the index of the selected child tab, if any
@method
@returns The index of the selected child tab
*/
get_selectedIndex(): number;
        /**
Gets the selected tab instance, if any
@method
@returns The selected tab instance
*/
get_selectedTab(): Telerik.Web.UI.RadTab;
        /**
Returns a collection of child tabs.
@method
@returns 
*/
get_tabs(): Telerik.Web.UI.RadTabCollection;
        /**
Returns the instance of the tabstrip that contains the tab.
@method
@returns 
*/
get_tabStrip(): Telerik.Web.UI.RadTabStrip;
        /**
Gets the target window or frame in which to display the Web page content associated with the current tab.
@method
@returns The target window or frame in which to display the Web page content associated with the current tab
*/
get_target(): string;
        /**
Returns the text of the tab.
@method
@returns 
*/
get_text(): any;
        /**
Gets the DOM element that contains the tab text (rtsTxt).
@method
@returns The DOM element that contains the tab text
*/
get_textElement(): HTMLElement;
        /**
Returns the Value property of the tab.
@method
@returns 
*/
get_value(): any;
        /**
Gets a value indicating if the tab is visible.
@method
@returns 
*/
get_visible(): boolean;
        /**
Hides the tab.
@method
@returns 
*/
hide(): void;
        /**
Scrolls to the tab into view.
@method
@returns 
*/
scrollIntoView(): void;
        /**
Selects the tab.
@method
@returns 
*/
select(): void;
        /**
Selects all parents of this tab
@method
@returns 
*/
selectParents(): void;
        /**
Sets the CSS class name to be set to the tab.
@method
@param value - The CSS class name to be set to the tab.
@returns 
*/
set_cssClass(value: string): void;
        /**
Sets the CSS class name to be added when the tab is disabled.
@method
@param value - The CSS class name to be added when the tab is disabled.
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the URL to an image which is displayed next to the text of a tab when it is disabled.
@method
@param value - The URL to an image which is displayed next to the text of a tab when it is disabled.
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets a value indicating if the tab is enabled.
@method
@param value - A value indicating if the tab is enabled
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the CSS class name to be added when the tab is hovered.
@method
@param value - The CSS class name to be added when the tab is hovered.
@returns 
*/
set_hoveredCssClass(value: string): void;
        /**
Sets the URL to an image which is displayed next to the text of a tab when it is hovered.
@method
@param value - The URL to an image which is displayed next to the text of a tab when it is hovered.
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the URL to an image which is displayed next to the text of a tab.
@method
@param value - The URL to an image which is displayed next to the text of a tab.
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets a value indicating if the next tab will be displayed on a new line
@method
@param value - true if the next tab should be displayed on a new line
@returns 
*/
set_isBreak(value: boolean): void;
        /**
Sets a value indicating if the tab is a separator
@method
@param value - A value indicating if the tab is a separator
@returns 
*/
set_isSeparator(value: boolean): void;
        /**
Sets the URL of the Web page the tab navigates to
@method
@param value - The URL of the Web page the tab navigates to
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Returns the ID of the associated pageview, if any.
@method
@returns 
*/
set_pageViewID(): string;
        /**
Sets a value indicating whether clicking on the tab will postback
@method
@param value - true if the node should postback
@returns 
*/
set_postBack(value: boolean): void;
        /**
Sets a value indicating if the tab is selected.
@method
@param value - A value indicating if the tab is selected
@returns 
*/
set_selected(value: boolean): void;
        /**
Sets the CSS class name to be added when the tab is selected.
@method
@param value - The CSS class name to be added when the tab is selected.
@returns 
*/
set_selectedCssClass(value: string): void;
        /**
Sets the URL to an image which is displayed next to the text of a tab when it is selected.
@method
@param value - The URL to an image which is displayed next to the text of a tab when it is selected.
@returns 
*/
set_selectedImageUrl(value: string): void;
        /**
Sets the selected child tab index to the specified value
@method
@param value - The selected child tab index
@returns 
*/
set_selectedIndex(value: number): void;
        /**
Sets the target window or frame in which to display the Web page content associated with the current tab
@method
@param value - The target window or frame in which to display the Web page content associated with the current tab
@returns 
*/
set_target(value: string): void;
        /**
Sets the text of the tab.
@method
@param stringtext - 
@returns 
*/
set_text(stringtext: any): any;
        /**
Sets the Value property of the tab.
@method
@param stringvalue - 
@returns 
*/
set_value(stringvalue: any): any;
        /**
Sets a value indicating if the tab is visible.
@method
@param value - A value indicating if the tab is visible
@returns 
*/
set_visible(value: boolean): void;
        /**
Shows the tab if it was hidden.
@method
@returns 
*/
show(): void;
        /**
Unselects the tab.
@method
@returns 
*/
unselect(): void;
    }


    class RadTabCollection   extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadTab> {
        /**
adds tab to the RadTabCollection.
@method
@param item - 
@returns 
*/
static add(item: Telerik.Web.UI.RadTab): void;
        /**
Clears the Tabs collection of all the child tabs it contains.
@method
@returns 
*/
clear(): any;
        /**
Returns the number of the tabs in the collection.
@method
@returns 
*/
get_count(): any;
        /**
Returns the tab from the collection that resides at the specified index.
@method
@param index - The index from which to retrieve tha tab
@returns 
*/
static getTab(index: number): Telerik.Web.UI.RadTab;
        /**
Returns the tab from the collection that resides at the specified index.
@method
@param int - 
@returns 
*/
getTab(int: any): Telerik.Web.UI.RadTab;
        /**
Returns the index of a tab.
@method
@param RadTab - 
@returns 
*/
indexOf(RadTab: Telerik.Web.UI.RadTab): any;
        /**
Removes the tab at the specified index.
@method
@param int - 
@returns 
*/
removeAt(int: any): any;
        /**
Initializes a new instance of RadTabStrip tabs collection
@method
@returns 
*/
static Telerik(): void;
    }


    class RadTabStrip  extends Telerik.Web.UI.ControlItemContainer {
        /**
Ends tracking changes to the tabs. Only changes to the tabs that occur between a call to trackChanges and commitChanges persist after a postback.
@method
@returns 
*/
commitChanges(): void;
        /**
Disables all tabs in the tab strip. Clicking on any tab has no effect, child tabs cannot be opened.
@method
@returns 
*/
disable(): void;
        /**
Enables all tabs in the tab strip.
@method
@returns 
*/
enable(): void;
        /**
Returns the first RadTab instance whose NavigateUrl property is equal to the passed parameter. Note that the parameter should end with "/" like "http://www.test.com/"
@method
@param value - The absolute Url to find
@returns The RadTab instance with matching absolute Url
*/
findTabByAbsoluteUrl(value: string): Telerik.Web.UI.RadTab;
        /**
Returns the first RadTab object with a custom attribute of the specified name that has the specified value.
@method
@param attributeName - The attribute name to search for
@param attributeValue - The attribute value to search for
@returns The first RadTab instance with matching attribute
*/
findTabByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RadTab;
        /**
Returns the first RadTab object whose Text property is equal to the passed parameter.
@method
@param text - Text to find
@returns The first RadTab instance with matching text
*/
findTabByText(text: string): Telerik.Web.UI.RadTab;
        /**
Returns the first;RadTab object whose NavigateUrl property is equal to the passed parameter.
@method
@param value - The navigateUrl to find
@returns The first RadTab instance with matching navigateUrl
*/
findTabByUrl(value: string): Telerik.Web.UI.RadTab;
        /**
Returns the first RadTab object whose Value property is equal to the passed parameter.
@method
@param value - Value to find
@returns The first RadTab instance with matching value
*/
findTabByValue(value: string): Telerik.Web.UI.RadTab;
        /**
Gets a collection of all tabs. This includes all root and child tabs in the tab strip.
@method
@returns An array of all tabs
*/
get_allTabs(): any;
        /**
Returns the collection of custom attributes for the tab strip.
@method
@returns 
*/
get_attributes(): any;
        /**
Gets a value indicating whether the RadTabStrip causes validation.
@method
@returns true or false
*/
get_causesValidation(): boolean;
        /**
Gets the root tab list (rtsUL) DOM element.
@method
@returns 
*/
get_childListElement(): HTMLElement;
        /**
Gets a value indicating whether the tabstrip should postback when the user clicks the currently selected tab.
@method
@returns A value indicating whether the tabstrip should postback when the user clicks the currently selected tab
*/
get_clickSelectedTab(): boolean;
        /**
Gets the DOM element for the tab strip.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
True if the tab strip is enabled. To enable a tab strip, use the enable() or set_enabled(true) methods.
@method
@returns 
*/
get_enabled(): any;
        /**
Gets the DOM element of the root level wrapper (rtsLevel)
@method
@returns The DOM element of the root level wrapper
*/
get_levelElement(): HTMLElement;
        /**
Gets the RadMultiPage instance associated with this tab strip
@method
@returns The RadMultiPage instance associated with this tab strip
*/
get_multiPage(): Telerik.Web.UI.RadMultiPage;
        /**
Returns the ID of the associated RadMultiPage, if any.
@method
@returns 
*/
get_multiPageID(): string;
        /**
Returns the index of the currently selected root tab
@method
@returns The index of the currently selected root tab
*/
get_selectedIndex(): string;
        /**
Gets a collection of the indexes of all selected tabs.
@method
@returns an array with the indexes of all selected tabs.
*/
get_selectedIndexes(): any;
        /**
Returns the root level selected tab. Null if no root tab has been selected.
@method
@returns The selected root tab
*/
get_selectedTab(): Telerik.Web.UI.RadTab;
        /**
Returns a collection of root level tabs.
@method
@returns 
*/
get_tabs(): Telerik.Web.UI.RadTabCollection;
        /**
Gets a value determining whether child tabs are unselected when a parent tab is unselected.
@method
@returns true if child tabs are unselected when a parent tab is unselected. false if the tabs persist their state even when hidden. The default value is false.
*/
get_unselectChildren(): boolean;
        /**
Gets the name of the validation group to which the RadTabStrip belongs.
@method
@returns The name of the validation group.
*/
get_validationGroup(): string;
        /**
Checks if the orientation of the RadTabStrip is horizontal (Orientation can be Horizontal and Vertical).
@method
@returns true if the orientation is horizontal
*/
isHorizontal(): boolean;
        /**
Checks if the orientation of the RadTabStrip is vertical (Orientation can be Horizontal and Vertical).
@method
@returns true if the orientation is vertical
*/
isVertical(): boolean;
        /**
Refreshes the RadTabStrip UI
@method
@returns 
*/
repaint(): void;
        /**
Saves the client state to the client state hidden field.
@method
@returns 
*/
saveClientState(): void;
        /**
Sets a boolean value indicating whether the RadTabStrip causes validation.
@method
@param value - value
@returns 
*/
set_causesValidation(value: boolean): void;
        /**
Sets a value indicating whether the tabstrip should postback when the user clicks the currently selected tab.
@method
@param value - A value indicating whether the tabstrip should postback when the user clicks the currently selected tab
@returns 
*/
set_clickSelectedTab(value: boolean): void;
        /**
Enables or disables all tabs in the tab strip.
@method
@param value - true to enable the tab strip
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the ID of the associated RadMultiPage.
@method
@param value - The ID of the associated RadMultiPage
@returns 
*/
set_multiPageID(value: string): void;
        /**
Sets a value determining whether child tabs are unselected when a parent tab is unselected.
@method
@param value - true if child tabs are unselected when a parent tab is unselected
@returns 
*/
set_unselectChildren(value: boolean): void;
        /**
Sets the name of the validation group to which the RadTabStrip belongs.
@method
@param value - value
@returns 
*/
set_validationGroup(value: string): void;
        /**
Begins tracking changes to the RadTabStrip items. Only changes to the items that occur between a call to trackChanges and commitChanges persist after a postback.
@method
@returns 
*/
trackChanges(): void;
        /**
Occurs after the RadTabStrip has been fully initialized on the client-side.
*/
add_load(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs after the reorder operation is completed and the dragged tab is being inserted into its new position.
*/
add_reordered(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.TabStripReorderedEventArgs) => void): void;

remove_reordered(handler: Function): void;
        /**
Occurs just before the drag-to-reorder operation is completed and the dragged tab is still in its initial position.
*/
add_reordering(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.TabStripReorderingEventArgs) => void): void;

remove_reordering(handler: Function): void;
        /**
Occurs when a drag-to-reorder operation is about to start.
*/
add_tabDragStart(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.RadTabStripCancelEventArgs) => void): void;

remove_tabDragStart(handler: Function): void;
        /**
Occurs when the mouse moves off a tab in the Tab Strip.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.RadTabStripEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
Occurs when the mouse moves over a tab in the Tab Strip.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.RadTabStripEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
Occurs when the user double-clicks on a tab.
*/
add_doubleClick(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.RadTabStripEventArgs) => void): void;

remove_doubleClick(handler: Function): void;
        /**
Occurs when the user selects a new tab, after the previously selected tab has been unselected.
*/
add_tabUnSelected(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.RadTabStripEventArgs) => void): void;

remove_tabUnSelected(handler: Function): void;
        /**
Occurs when the user selects a tab, after the tab has been selected.
*/
add_tabSelected(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.RadTabStripEventArgs) => void): void;

remove_tabSelected(handler: Function): void;
        /**
Occurs when the user selects a tab, before the tab is selected.
*/
add_tabSelecting(handler: (sender: Telerik.Web.UI.RadTabStrip, args: Telerik.Web.UI.RadTabStripCancelEventArgs) => void): void;

remove_tabSelecting(handler: Function): void;
    }


    class RadTabStripCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the item that has just been selected.
@method
@returns the item that has just been selected.
*/
get_tab(): Telerik.Web.UI.RadTab;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadTabStripEventArgs  extends Sys.EventArgs {
        /**
Returns the item that has just been selected.
@method
@returns the item that has just been selected.
*/
get_tab(): Telerik.Web.UI.RadTab;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns the Sys.UI.DomEvent instance associated to the raised event.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadTagCloud  extends Telerik.Web.UI.RadWebControl {
        /**
Creates, renders a new RadTagCloudItem item and inserts it in the get_items Array.
@method
@param radTagCloudItemData - 
@param index - The index of the get_items Array where the item should be inserted.
@returns 
*/
addTagCloudItem(radTagCloudItemData: any, index: number): void;
        /**
Data binds the data of the RadTagCloud.
@method
@returns 
*/
dataBind(): void;
        /**
Gets whether data bound items will be appended to the TagCloud.
@method
@returns 
*/
get_appendClientDataBoundItems(): boolean;
        /**
Gets the RadClientDataSource that is associated with the TagCloud.
@method
@returns 
*/
get_clientDataSource(): Telerik.Web.UI.RadClientDataSource;
        /**
Gets the ID of the RadClientDataSource that is associated with the TagCloud.
@method
@returns 
*/
get_clientDataSourceID(): number;
        /**
Returns the UL DOM element that wraps all tagCloud's items.
@method
@returns The UL DOM element that wraps all the tagCloud
*/
get_containerElement(): any;
        /**
Gets the data source of the TagCloud.
@method
@returns 
*/
get_dataSource(): any;
        /**
Returns a value of type Telerik.Web.UI.TagCloudDistribution that indicates how the font-size is distributed among the different items.
@method
@returns Returns a value that indicates how the font
*/
get_distribution(): Telerik.Web.UI.TagCloudDistribution;
        /**
Returns a value, indicating whether the tagCloud control is enabled.
@method
@returns The value indicating whether the tagCloud control is enabled.
*/
get_enabled(): boolean;
        /**
Returns the height of the tagCloud control.
@method
@returns The height of the tagCloud control.
*/
get_height(): number;
        /**
Returns an array of the tagCloud's items. The items are of type Telerik.Web.UI.RadTagCloudItem.
@method
@returns Returns an array of the tagCloud
*/
get_items(): any;
        /**
Returns a value of type Telerik.Web.UI.TagCloudSorting that indicates how the items are sorted.
@method
@returns Returns a value that indicates how keywords are sorted.
*/
get_sorting(): Telerik.Web.UI.TagCloudSorting;
        /**
Returns the target window or frame to display the new content when the TagCloud item is clicked.
@method
@returns The target window or frame to display the new content when the TagCloud item is clicked.
*/
get_target(): string;
        /**
Returns the width of the tagCloud control.
@method
@returns The width of the tagCloud control.
*/
get_width(): number;
        /**
Removes a RadTagCloudItem item.
@method
@param tagCloudItem - The item to be removed.
@param repaintItems - Call repaint arter the item is removed. The default is true.
@returns 
*/
removeTagCloudItem(tagCloudItem: Telerik.Web.UI.RadTagCloudItem, repaintItems: boolean): void;
        /**
Redraws the TagCloud control.
@method
@returns 
*/
repaint(): void;
        /**
Initiates RadTagCloudItem items request with a specified argument, causing the request to be sent to a WebService. All current items will be removed,before the new ones are populated.
@method
@param argument - The string which is sent as an argument to the Web service method
@returns 
*/
requestItems(argument: string): void;
        /**
Sets whether data bound items will be appended to the TagCloud.
@method
@param value - 
@returns 
*/
set_appendClientDataBoundItems(value: boolean): void;
        /**
Sets the ID of the RadClientDataSource that is associated with the TagCloud.
@method
@param id - 
@returns 
*/
set_clientDataSourceID(id: number): void;
        /**
Sets a custom data source for the RadTagCloud.
@method
@param data - 
@returns 
*/
set_dataSource(data: any): void;
        /**
Sets a bool value indicating whether the tagCloud is enabled.
@method
@param value - The value to set.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the target window or frame to display the new content when the TagCloud item is clicked.
@method
@param value - The target to set.
@returns 
*/
set_target(value: string): void;
        /**
The dataBound event is raised when the RadTagCloud object is successfully bound to the requested data.
*/
add_dataBound(handler: (sender: Telerik.Web.UI.RadTagCloud, args: Sys.EventArgs) => void): void;

remove_dataBound(handler: Function): void;
        /**
The itemClicking event occurs when an item of the RadTagCloud control is clicked, immediately after the mouse button is released. The event is fired before the client-side validation occurs, and can be canceled.
*/
add_itemClicking(handler: (sender: Telerik.Web.UI.RadTagCloud, args: Telerik.Web.UI.TagCloudCancelEventArgs) => void): void;

remove_itemClicking(handler: Function): void;
        /**
The itemDataBound event occurs when a RadTagCloudItem is successfully bound to the requested data source item.
*/
add_itemDataBound(handler: (sender: Telerik.Web.UI.RadTagCloud, args: Telerik.Web.UI.TagCloudItemDataBoundEventArgs) => void): void;

remove_itemDataBound(handler: Function): void;
        /**
The itemsRequested event is fired when the requested items from the Web Service are successfully loaded.
*/
add_itemsRequested(handler: (sender: Telerik.Web.UI.RadTagCloud, args: Sys.EventArgs) => void): void;

remove_itemsRequested(handler: Function): void;
        /**
The itemsRequestFailed is fired when the request to the web service is failed. The event arguments provide information about the error message and allow the developer to cancel the error alert and process the error otherwise.
*/
add_itemsRequestFailed(handler: (sender: Telerik.Web.UI.RadTagCloud, args: Telerik.Web.UI.TagCloudErrorEventArgs) => void): void;

remove_itemsRequestFailed(handler: Function): void;
        /**
The itemsRequesting is fired before sending a request to a Web Service for the items to be bound.
*/
add_itemsRequesting(handler: (sender: Telerik.Web.UI.RadTagCloud, args: Sys.CancelEventArgs) => void): void;

remove_itemsRequesting(handler: Function): void;
        /**
The load event is raised when the RadTagCloud object is loaded on the page. It can notify the developer that the control is available for further client-side programmatic interaction.
*/
add_load(handler: (sender: Telerik.Web.UI.RadTagCloud, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
    }


    class RadTagCloudItem  extends Telerik.Web.UI.RadWebControl {
        /**

@method
@returns 
*/
createAnchor(): void;
        /**

@method
@returns 
*/
get_accessKey(): void;
        /**

@method
@returns 
*/
get_anchorElement(): void;
        /**

@method
@returns 
*/
get_index(): void;
        /**

@method
@returns 
*/
get_navigateUrl(): void;
        /**

@method
@returns 
*/
get_rowIndex(): void;
        /**

@method
@returns 
*/
get_tabIndex(): void;
        /**

@method
@returns 
*/
get_text(): void;
        /**

@method
@returns 
*/
get_toolTip(): void;
        /**

@method
@returns 
*/
get_value(): void;
        /**

@method
@returns 
*/
get_weight(): void;
        /**

@method
@returns 
*/
set_accessKey(): void;
        /**

@method
@returns 
*/
set_navigateUrl(): void;
        /**

@method
@returns 
*/
set_tabIndex(): void;
        /**

@method
@returns 
*/
set_text(): void;
        /**

@method
@returns 
*/
set_toolTip(): void;
        /**

@method
@returns 
*/
set_value(): void;
        /**

@method
@returns 
*/
set_weight(): void;
    }


    class RadTemplateBoundEventArgs  extends Sys.EventArgs {
        /**
Returns the client-side data object bound to the control item.
@method
@returns 
*/
get_dataItem(): any;
        /**
Returns the HTML the control is about to render.
@method
@returns 
*/
get_html(): string;
        /**
Returns the template the control uses.
@method
@returns 
*/
get_template(): Function;
        /**
Sets a new HTML that will be placed in the control item.
@method
@param value - 
@returns 
*/
set_html(value: string): void;
    }


    class RadTextBox  extends Telerik.Web.UI.RadInputControl {
        /**
Indicating whether RadInputControl loses focus
@method
@returns 
*/
blur(): void;
        /**
Clears the client instance of RadInputControl
@method
@returns 
*/
clear(): void;
        /**
Disables the client instance of RadInputControl
@method
@returns 
*/
disable(): void;
        /**
Enables the client instance of RadInputControl
@method
@returns 
*/
enable(): void;
        /**
Indicating whether RadInputControl enter focus
@method
@returns 
*/
focus(): void;
        /**
Returns the value of the AutoPostBack property
@method
@returns 
*/
get_autoPostBack(): boolean;
        /**
Returns the current position of the caret.
@method
@returns 
*/
get_caretPosition(): number;
        /**
Gets the value of RadInputControl as it is formatted when the input does not have focus
@method
@returns 
*/
get_displayValue(): string;
        /**
Gets the value of RadInputControl as it is formatted when the input has focus
@method
@returns 
*/
get_editValue(): string;
        /**
Gets the DOM element for the input element that holds the edit value.
@method
@returns element Element
*/
get_element(): HTMLElement;
        /**
Returns the message that appears when the input value is an empty string
@method
@returns 
*/
get_emptyMessage(): string;
        /**
Returns true if the input is enabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns true if the input in error state (riError class is applied)
@method
@returns 
*/
get_invalid(): boolean;
        /**
Gets the invalid style duration of RadInputControl
@method
@returns 
*/
get_invalidStyleDuration(): number;
        /**
Gets the max length for the RadTextBox control
@method
@returns 
*/
get_maxLength(): number;
        /**
Returns the password settings when the RadTextBox is in password mode
@method
@returns 
*/
get_passwordSettings(): void;
        /**
Returns the value of the SelectionOnFocus property
@method
@returns 
*/
get_selectionOnFocus(): Telerik.Web.UI.SelectionOnFocus;
        /**
Returns true if the input has an associated image button
@method
@returns 
*/
get_showButton(): boolean;
        /**
Returns the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@returns 
*/
get_styles(): any;
        /**
Gets the string that the user typed into the input
@method
@returns 
*/
get_textBoxValue(): string;
        /**
Returns the value of the text box
@method
@returns 
*/
get_value(): string;
        /**
Returns whether the input element is rendered as hidden or not. Does not apply if the control is inside another hidden html element
@method
@returns 
*/
get_visible(): boolean;
        /**
Gets the DOM element for the DIV wrapper element
@method
@returns 
*/
get_wrapperElement(): HTMLElement;
        /**
Returns true if the value of the RadInputControl is empty
@method
@returns 
*/
isEmpty(): void;
        /**
Returns true if the value of the RadInputControl is multi line
@method
@returns 
*/
isMultiLine(): void;
        /**
Returns true if the value of the RadInputControl is a negative number
@method
@returns 
*/
isNegative(): void;
        /**
Returns true if the value of the RadInputControl is read only
@method
@returns 
*/
isReadOnly(): void;
        /**
Raises the blur event
@method
@param args - 
@returns 
*/
raise_blur(args: Sys.EventArgs): void;
        /**
Raises the buttonClick event
@method
@param args - 
@returns 
*/
raise_buttonClick(args: Sys.EventArgs): void;
        /**
Raises the handler for the mouseOver event
@method
@param args - 
@returns 
*/
raise_disable(args: Sys.EventArgs): void;
        /**
Raises the enable event
@method
@param args - 
@returns 
*/
raise_enable(args: Sys.EventArgs): void;
        /**
Raises the enumerationChanged event
@method
@param args - 
@returns 
*/
raise_enumerationChanged(args: Sys.EventArgs): void;
        /**
Raises the error event
@method
@param args - 
@returns 
*/
raise_error(args: Sys.EventArgs): void;
        /**
Raises the focus event
@method
@param args - 
@returns 
*/
raise_focus(args: Sys.EventArgs): void;
        /**
Raises the keyPress event
@method
@param args - 
@returns 
*/
raise_keyPress(args: Sys.EventArgs): void;
        /**
Raises the load event
@method
@param args - 
@returns 
*/
raise_load(args: Sys.EventArgs): void;
        /**
Raises the mouseOut event
@method
@param args - 
@returns 
*/
raise_mouseOut(args: Sys.EventArgs): void;
        /**
Raises the mouseOver event
@method
@param args - 
@returns 
*/
raise_mouseOver(args: Sys.EventArgs): void;
        /**
Raises the moveDown event
@method
@param args - 
@returns 
*/
raise_moveDown(args: Sys.EventArgs): void;
        /**
Raises the moveUp event
@method
@param args - 
@returns 
*/
raise_moveUp(args: Sys.EventArgs): void;
        /**
Raises the OnClientPasswordStrengthCalculating event
@method
@param args - 
@returns 
*/
raise_passwordStrengthCalculating(args: Sys.EventArgs): void;
        /**
Raises the valueChanged event
@method
@param newValue - 
@param oldValue - 
@returns 
*/
raise_valueChanged(newValue: any, oldValue: any): void;
        /**
Raises the valueChanging event
@method
@param args - 
@returns 
*/
raise_valueChanging(args: Sys.EventArgs): void;
        /**
Raises the postback event of RadInputControl
@method
@returns 
*/
raisePostBackEvent(): void;
        /**
Redraws the client side object on the client
@method
@returns 
*/
repaint(): void;
        /**
Selects all text in the RadInputControl
@method
@returns 
*/
selectAllText(): void;
        /**
Selects the text in the specified range of positions. The first parameter is the start of the range and the second is the end of the range
@method
@param start - 
@param end - 
@returns 
*/
selectText(start: number, end: number): void;
        /**
Enables or disables postbacks when the user changes the text in the input
@method
@param value - 
@returns 
*/
set_autoPostBack(value: boolean): void;
        /**
Sets the position of the caret
@method
@param position - 
@returns 
*/
set_caretPosition(position: number): void;
        /**
Sets the message that appears when the input value is an empty string
@method
@param value - 
@returns 
*/
set_emptyMessage(value: string): void;
        /**
Sets true if the input is enabled
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets if the input should be in error state (riError class to be applied)
@method
@param value - 
@returns 
*/
set_invalid(value: boolean): void;
        /**
Sets the invalid style duration of RadInputControl
@method
@param value - 
@returns 
*/
set_invalidStyleDuration(value: number): void;
        /**
Sets the max length for the RadTextBox control
@method
@param value - 
@returns 
*/
set_maxLength(value: number): void;
        /**
Returns the password settings when the RadTextBox is in password mode
@method
@param value - 
@returns 
*/
set_passwordSettings(value: string): void;
        /**
Sets the SelectionOnFocus property
@method
@param value - 
@returns 
*/
set_selectionOnFocus(value: Telerik.Web.UI.SelectionOnFocus): void;
        /**
Accepts true if the input has an associated image button
@method
@param value - 
@returns 
*/
set_showButton(value: boolean): void;
        /**
Sets the InputStyles Client object, which can be used to change the appearance of the input when it is first loaded
@method
@param value - 
@returns 
*/
set_styles(value: any): void;
        /**
Sets the string that the user typed into the input
@method
@param value - 
@returns 
*/
set_textBoxValue(value: string): void;
        /**
Sets the value of the text box
@method
@param newValue - 
@returns 
*/
set_value(newValue: string): void;
        /**
Sets the input element as hidden on the client
@method
@param value - 
@returns 
*/
set_visible(value: boolean): void;
        /**
Updates the css class of RadInputControl
@method
@returns 
*/
updateCssClass(): void;
        /**
Updates the css text of RadInputControl
@method
@param styleCssText - 
@returns 
*/
updateCssText(styleCssText: string): void;
        /**
Updates the display value of RadInputControl
@method
@returns 
*/
updateDisplayValue(): void;
        /**
Raised after the control loses focus just before a new value has been assigned.
*/
add_valueChanging(handler: (sender: Telerik.Web.UI.RadTextBox, args: Telerik.Web.UI.InputValueChangingEventArgs) => void): void;

remove_valueChanging(handler: Function): void;
        /**
Raised after the control loses focus when a new value has been assigned.
*/
add_valueChanged(handler: (sender: Telerik.Web.UI.RadTextBox, args: Telerik.Web.UI.InputValueChangedEventArgs) => void): void;

remove_valueChanged(handler: Function): void;
        /**
Occurs when the control is disabled
*/
add_disable(handler: (sender: Telerik.Web.UI.RadTextBox, args: Sys.EventArgs) => void): void;

remove_disable(handler: Function): void;
        /**
Occurs when the control is enabled
*/
add_enable(handler: (sender: Telerik.Web.UI.RadTextBox, args: Sys.EventArgs) => void): void;

remove_enable(handler: Function): void;
        /**
Raised when the control is focused
*/
add_focus(handler: (sender: Telerik.Web.UI.RadTextBox, args: Sys.EventArgs) => void): void;

remove_focus(handler: Function): void;
        /**
Raised when the control is loaded on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadTextBox, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Raised when the mouse enters the input area.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadTextBox, args: Sys.EventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
Raised when the mouse leaves the input area.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadTextBox, args: Sys.EventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
Occurs when the RadInputControl loses focus
*/
add_blur(handler: (sender: Telerik.Web.UI.RadTextBox, args: Sys.EventArgs) => void): void;

remove_blur(handler: Function): void;
        /**
Occurs when the user clicks on the button that is associated with the input control
*/
add_buttonClick(handler: (sender: Telerik.Web.UI.RadTextBox, args: Telerik.Web.UI.InputButtonClickEventArgs) => void): void;

remove_buttonClick(handler: Function): void;
        /**
Raised when the user decreases the value of an enumeration or numeric range mask part.
*/
add_moveDown(handler: (sender: Telerik.Web.UI.RadTextBox, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveDown(handler: Function): void;
        /**
Raised when the user increases the value of an enumeration or numeric range mask part.
*/
add_moveUp(handler: (sender: Telerik.Web.UI.RadTextBox, args: Telerik.Web.UI.MaskedTextBoxEventArgs) => void): void;

remove_moveUp(handler: Function): void;
        /**
Raised when the user presses a key to enter a value.
*/
add_keyPress(handler: (sender: Telerik.Web.UI.RadTextBox, args: Telerik.Web.UI.InputKeyPressEventArgs) => void): void;

remove_keyPress(handler: Function): void;
        /**
Raised when using the password strength check feature and changing the text, before the indicator is updated.
*/
add_passwordStrengthCalculating(handler: (sender: Telerik.Web.UI.RadTextBox, args: Telerik.Web.UI.PasswordStrengthCalculatingEventArgs) => void): void;

remove_passwordStrengthCalculating(handler: Function): void;
    }


    class RadTextBoxComponent  extends Sys.Component {
        /**
Gets the target input of RadTextBoxComponent
@method
@param id - 
@returns 
*/
get_targetInput(id: number): HTMLElement;
    }


    class RadTextBoxExtender   {
    }


    class RadTextTile  extends Telerik.Web.UI.RadBaseTile {
        /**
Return the text displayed in the tile content container
@method
@returns 
*/
get_text(): string;
        /**
Sets the text displayed in the tile content container
@method
@param value - The text
@returns 
*/
set_text(value: string): void;
    }


    class RadTileList  extends Telerik.Web.UI.RadWebControl {
        /**
Clears all group titles
@method
@returns 
*/
clearGroupTitles(): void;
        /**
Unselect all selected tiles except the excludeIndex
@method
@param excludeIndex - An int that contains the index of the tile in the array returned by get_allTiles method.
@returns 
*/
clearSelection(excludeIndex: number): void;
        /**
Data binds RadTileList to the current dataSource array, which might be set by the clientDataSourceID, clientDataSource and dataSource properties.
@method
@returns 
*/
dataBind(): void;
        /**
Returns Array containing all the tiles in RadTileList
@method
@returns 
*/
get_allTiles(): any;
        /**
Returns the index of a tile in the Array returned by the get_allTiles method
@method
@param tile - 
@returns 
*/
get_allTilesIndex(tile: Telerik.Web.UI.RadBaseTile): number;
        /**
Returns a value indicating whether a postback to the server will be initiated on tile selection or tile click.
@method
@returns 
*/
get_autoPostBack(): any;
        /**
Returns RadClientDataSource object to which the TileList is data bound
@method
@returns 
*/
get_clientDataSource(): Telerik.Web.UI.RadClientDataSource;
        /**
Returns the client ID of RadClientDataSource object to which the TileList is data bound
@method
@returns 
*/
get_clientDataSourceID(): string;
        /**
Returns the array to which the TileList is data bound
@method
@returns 
*/
get_dataSource(): any;
        /**
Returns the TileList's main HTML element.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns a value indicating whether a drag and drop functionality is enabled.
@method
@returns 
*/
get_enableDragAndDrop(): boolean;
        /**
Returns Telerik.Web.UI.TileList.TileGroupCollection collection containing all Telerik.Web.UI.TileList.TileGroup items in RadTileList
@method
@returns 
*/
get_groups(): Telerik.Web.UI.TileList.TileGroupCollection;
        /**
Returns the height of the RadTileList element
@method
@returns 
*/
get_height(): string;
        /**
Returns RadTileList scrollbar mode
@method
@returns returned value
*/
get_scrollingMode(): number;
        /**
Returns Array containing all selected tiles in RadTileList
@method
@returns 
*/
get_selectedTiles(): any;
        /**
Returns selection mode of RadTileList
@method
@returns returned value
*/
get_selectionMode(): number;
        /**
Returns a tile by the index in the Array returned by the get_allTiles method
@method
@param index - 
@returns 
*/
get_tileByAllTilesIndex(index: number): Telerik.Web.UI.RadBaseTile;
        /**
Returns the first tile, which has Name property set equal to the name parameter
@method
@param name - 
@returns 
*/
get_tileByName(name: string): Telerik.Web.UI.RadBaseTile;
        /**
Returns the number of tile rows in which the tiles are distributed.
@method
@returns 
*/
get_tileRows(): any;
        /**
Returns the width of the RadTileList element
@method
@returns 
*/
get_width(): string;
        /**
Retuns Telerik.Web.UI.TileList.TileGroup by provided index in the collecion returned by the get_groups method
@method
@param index - 
@returns 
*/
getGroup(index: number): Telerik.Web.UI.TileList.TileGroup;
        /**
Returns group index in the collectoin returned by the get_groups method. Returns -1 if group is not found
@method
@param group - 
@returns 
*/
getGroupIndex(group: Telerik.Web.UI.TileList.TileGroup): number;
        /**
Sets a value indicating whether a postback will be initiated when a tile is clicked or selected.
@method
@param value - 
@returns 
*/
set_autoPostBack(value: any): any;
        /**
Sets RadClientDataSource object to which the TileList is data bound
@method
@param value - 
@returns 
*/
set_clientDataSource(value: Telerik.Web.UI.RadClientDataSource): void;
        /**
Sets the client ID of RadClientDataSource object to which the TileList is data bound
@method
@param value - 
@returns 
*/
set_clientDataSourceID(value: string): void;
        /**
Sets the the array to which the TileList is data bound
@method
@param value - 
@returns 
*/
set_dataSource(value: any): void;
        /**
Sets a value indicating whether a drag and drop functionality is enabled.
@method
@param value - 
@returns 
*/
set_enableDragAndDrop(value: boolean): void;
        /**
Sets the title to the provided group
@method
@param group - 
@param title - 
@returns 
*/
set_groupTitle(group: Telerik.Web.UI.TileList.TileGroup, title: string): void;
        /**
Sets the height of the RadTileList element
@method
@param value - 
@returns 
*/
set_height(value: string): void;
        /**
Sets RadTileList scrollbar mode
@method
@param value - value
@returns 
*/
set_scrollingMode(value: number): void;
        /**
Sets selection mode of RadTileList
@method
@param value - value
@returns 
*/
set_selectionMode(value: number): void;
        /**
Sets the width of the RadTileList element
@method
@param value - 
@returns 
*/
set_width(value: string): void;
        /**
Updates the client state data regarding the visibility and the order of the tiles.
@method
@returns 
*/
updateTileGroupsState(): void;
        /**
Adds a handler for the load TileList client event.
*/
add_load(handler: (sender: Telerik.Web.UI.RadTileList, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs after a tile in the TileList is selected.
*/
add_tileSelected(handler: (sender: Telerik.Web.UI.RadTileList, args: Telerik.Web.UI.TileListEventArgs) => void): void;

remove_tileSelected(handler: Function): void;
        /**
Occurs after a tile is clicked and therefore after the OnClientTileClicking event and before the server-side OnTileClick event. The event cannot be canceled.
*/
add_tileClicked(handler: (sender: Telerik.Web.UI.RadTileList, args: Telerik.Web.UI.TileListEventArgs) => void): void;

remove_tileClicked(handler: Function): void;
        /**
Occurs before a tile is initialized by the TileList.
*/
add_tileCreating(handler: (sender: Telerik.Web.UI.RadTileList, args: Telerik.Web.UI.TileListDataCancelEventArgs) => void): void;

remove_tileCreating(handler: Function): void;
        /**
Raised before rendering the Peek Template in the browser.
*/
add_clientTileContentTemplateDataBound(handler: (sender: Telerik.Web.UI.RadTileList, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_clientTileContentTemplateDataBound(handler: Function): void;
        /**
Occurs raised before the rendering of the Peek Template in the browser.
*/
add_clientTilePeekTemplateDataBound(handler: (sender: Telerik.Web.UI.RadTileList, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_clientTilePeekTemplateDataBound(handler: Function): void;
        /**
Occurs when a tile in the TileList is about to be selected. The event can be canceled.
*/
add_tileSelecting(handler: (sender: Telerik.Web.UI.RadTileList, args: Telerik.Web.UI.TileListCancelEventArgs) => void): void;

remove_tileSelecting(handler: Function): void;
        /**
Raised when the client-side object of the TileList is initialized.
*/
add_init(handler: (sender: Telerik.Web.UI.RadTileList, args: Sys.EventArgs) => void): void;

remove_init(handler: Function): void;
        /**
Occurs when the tile is bound to the fetched data.
*/
add_tileDataBound(handler: (sender: Telerik.Web.UI.RadTileList, args: Telerik.Web.UI.TileListDataEventArgs) => void): void;

remove_tileDataBound(handler: Function): void;
        /**
Occurs when the TileList data binding is finished.
*/
add_tileListDataBound(handler: (sender: Telerik.Web.UI.RadTileList, args: Sys.EventArgs) => void): void;

remove_tileListDataBound(handler: Function): void;
    }


    class RadTimeView  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the selected date and time, or null if no value is selected.
@method
@returns 
*/
getTime(): Date;
        /**
Returns the number of columns used to lay out values in the time view.
@method
@returns 
*/
get_columns(): number;
        /**
Returns a string that contains the current culture
@method
@returns 
*/
get_culture(): string;
        /**
Gets the custom times of the TimeView object.
@method
@returns 
*/
get_customTimes(): any;
        /**
Returns the assigned datasource of the TimeView object.
@method
@returns 
*/
get_dataSource(): any;
        /**
Returns a boolean value indicating whether the Aria support has been enabled.
@method
@returns 
*/
get_enableAriaSupport(): boolean;
        /**
Returns the last time that can appear in the time view. The last time that actually appears is the latest time that is a whole number of intervals after the start time which is less than this time.
@method
@returns 
*/
get_endTime(): Date;
        /**
Returns the time interval between successive values in the time view.
@method
@returns 
*/
get_interval(): Date;
        /**
Returns an array that determines the classes used for the predined styles.
@method
@returns 
*/
get_itemStyles(): any;
        /**
Returns whether the time view displays its footer.
@method
@returns 
*/
get_showFooter(): boolean;
        /**
Returns whether the time view displays its header.
@method
@returns 
*/
get_showHeader(): boolean;
        /**
Returns the earliest time that is displayed by the time view.
@method
@returns 
*/
get_startTime(): Date;
        /**
Returns the time format of the RadTimeView control.
@method
@returns 
*/
get_timeFormat(): string;
        /**
Raises the clientTimeSelected event.
@method
@param handler - 
@returns 
*/
raise_clientTimeSelected(handler: Function): void;
        /**
Raises the clientTimeSelecting event.
@method
@param handler - 
@returns 
*/
raise_clientTimeSelecting(handler: Function): void;
        /**
Sets the number of columns used to lay out values in the time view.
@method
@param value - 
@returns 
*/
set_columns(value: number): void;
        /**
Adds an array of custom times to the TimeView object.
@method
@param value - 
@returns 
*/
set_customTimes(value: any): void;
        /**
Sets a new datasource to the TimeView object.
@method
@param value - 
@returns 
*/
set_dataSource(value: any): void;
        /**
Sets the last time that can appear in the time view. The last time that actually appears is the latest time that is a whole number of intervals after the start time which is less than this time.
@method
@param value - 
@returns 
*/
set_endTime(value: Date): void;
        /**
Sets the time interval between successive values in the time view.
@method
@param value - 
@returns 
*/
set_interval(value: Date): void;
        /**
Determines the classes used for the predined styles.
@method
@param value - 
@returns 
*/
set_itemStyles(value: any): void;
        /**
Determines whether the time view displays its footer.
@method
@param value - 
@returns 
*/
set_showFooter(value: boolean): void;
        /**
Shows/hides the time view header.
@method
@param value - 
@returns 
*/
set_showHeader(value: boolean): void;
        /**
Sets the earliest time that is displayed by the time view.
@method
@param value - 
@returns 
*/
set_startTime(value: Date): void;
        /**
Assigns the value of the time view.
@method
@param hours - 
@param minutes - 
@param seconds - 
@param Date - 
@returns 
*/
setTime(hours: number, minutes: number, seconds: number, Date: Date): void;
        /**
The clientTimeSelected event is fired when the user selects a time cell in the time view control.
*/
add_clientTimeSelected(handler: (sender: Telerik.Web.UI.RadTimeView, args: Telerik.Web.UI.TimeViewSelectedEventArgs) => void): void;

remove_clientTimeSelected(handler: Function): void;
        /**
The clientTimeSelecting event is fired immediately before the selected time cell collection is updated to reflect the selection or deselection of a time cell.
*/
add_clientTimeSelecting(handler: (sender: Telerik.Web.UI.RadTimeView, args: Telerik.Web.UI.TimeViewSelectingEventArgs) => void): void;

remove_clientTimeSelecting(handler: Function): void;
    }


    class RadToggleButton  extends Telerik.Web.UI.ButtonBase.PostBackButtonBase {
        /**
Gets a reference to the HTML element that holds the icon.
@method
@returns A reference to the HTML element that holds the icon.
*/
get_iconElement(): HTMLElement;
        /**
Gets the currently selected ToggleState of the RadToggleButton control when used as a custom toggle button.
@method
@returns The currently selected ToggleState of the RadToggleButton control when used as a custom toggle button.
*/
get_selectedToggleState(): Telerik.Web.UI.RadButtonToggleState;
        /**
Gets the index of the currently selected ToggleState of the RadToggleButton control, when used as a custom toggle button.
@method
@returns The index of the currently selected ToggleState of the RadToggleButton control
*/
get_selectedToggleStateIndex(): number;
        /**
Gets a collection of RadButtonToggleState objects that belong to the RadToggleButton control.
@method
@returns A collection of RadButtonToggleState objects that belong to the RadToggleButton control.
*/
get_toggleStates(): any;
        /**
Sets the index of the currently selected ToggleState of the RadToggleButton control, when used as a custom toggle button.
@method
@param value - The index of the currently selected ToggleState of the RadToggleButton control
@returns 
*/
set_selectedToggleStateIndex(value: number): void;
        /**
The toggleStateChanged event is fired after the SelectedToggleState and the SelectedToggleStateIndex properties of the RadToggleButton are changed.
*/
add_toggleStateChanged(handler: (sender: Telerik.Web.UI.RadToggleButton, args: Telerik.Web.UI.ButtonToggleStateEventArgs) => void): void;

remove_toggleStateChanged(handler: Function): void;
    }


    class RadToolBar  extends Telerik.Web.UI.ControlItemContainer {
        /**
Ends tracking changes to the toolbar items. Only changes to the items that occur between a call to trackChanges and commitChanges persist after a postback.
@method
@returns 
*/
commitChanges(): void;
        /**
Returns the first button in the toolbar with the specified full path.
@method
@param value - the instance of the button with the specified absolute Url
@returns RadToolbarButton
*/
findButtonByAbsoluteUrl(value: string): Telerik.Web.UI.RadToolBarButton;
        /**
Returns the first button in the toolbar with the specified command name.
@method
@param commandName - commandName
@returns RadToolbarButton
*/
findButtonByCommandName(commandName: string): Telerik.Web.UI.RadToolBarButton;
        /**
Returns the first button in the toolbar with the specified Url.
@method
@param value - the instance of the button with the specified Url
@returns RadToolbarButton
*/
findButtonByUrl(value: string): Telerik.Web.UI.RadToolBarButton;
        /**
Returns the first item in the toolbar with the custom attribute specified by the first parameter set to the value specified by the second parameter.
@method
@param attributeName - attributeName
@param attributeValue - attributeValue
@returns 
*/
findItemByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RadToolBarItem;
        /**
Returns the first item in the toolbar with the specified text.
@method
@param text - text to search for
@returns 
*/
findItemByText(text: string): Telerik.Web.UI.RadToolBarItem;
        /**
Returns the first item in the toolbar with the specified value.
@method
@param value - value
@returns 
*/
findItemByValue(value: string): Telerik.Web.UI.RadToolBarItem;
        /**
Returns an array containing all the items in the toolbar, including the items in drop-down lists. Items in drop-down lists appear immediately following their parent items.
@method
@returns Array of RadToolBarItem
*/
get_allItems(): any;
        /**
Returns the collection of custom attributes defined for the toolbar.
@method
@returns 
*/
get_attributes(): any;
        /**
Gets the DOM element for the UL element that lists the toolbar buttons.
@method
@returns 
*/
get_childListElement(): HTMLElement;
        /**
Returns the collapse animation object.
@method
@returns 
*/
get_collapseAnimation(): any;
        /**
Gets the DOM element for the toolbar.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Returns the expand animation object.
@method
@returns 
*/
get_expandAnimation(): any;
        /**
Gets the value indicating whether the zone has Horizontal orientaion.
@method
@returns The value indicating whether the zone has Horizontal orientaion.
*/
get_isHorizontal(): boolean;
        /**
Returns the collection of items in the toolbar (not including items in drop-down lists).
@method
@returns RadToolBarItemCollection
*/
get_items(): Telerik.Web.UI.RadToolBarItemCollection;
        /**
Returns 0 if the toolbar is horizontal, 1 if it is vertical.
@method
@returns integer
*/
get_orientation(): number;
        /**
Gets the Url of the page to post to from the current page.
@method
@returns The value indicating the Url
*/
get_postBackUrl(): string;
        /**
Gets the skin name of the ToolBar.
@method
@returns The skin name of the ToolBar.
*/
get_skin(): string;
        /**
Gets the slide direction of the Toolbar.
@method
@returns 
*/
get_slideDirection(): Telerik.Web.UI.SlideDirection;
        /**
Sets the orientation of the toolbar.
@method
@param value - value
@returns 
*/
set_orientation(value: number): void;
        /**
Sets the Url of the page to post to from the current page.
@method
@param value - value
@returns 
*/
set_postBackUrl(value: string): void;
        /**
Sets the slide direction of the Toolbar.
@method
@param value - 
@returns 
*/
set_slideDirection(value: Telerik.Web.UI.SlideDirection): void;
        /**
The buttonClicked client-side event occurs when the user clicks on a toolbar button, after the toolbar responds to the mouse click.
Event is not cancellable.
*/
add_buttonClicked(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarEventArgs) => void): void;

remove_buttonClicked(handler: Function): void;
        /**
The buttonClicking client-side event occurs when the user clicks on a toolbar button, before the toolbar responds to the mouse click. 
You can use this event to pre-process an item click or to cancel the default response.
*/
add_buttonClicking(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarCancelEventArgs) => void): void;

remove_buttonClicking(handler: Function): void;
        /**
The checkedStateChanged client-side event occurs immediately after a button has been checked.
*/
add_checkedStateChanged(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarEventArgs) => void): void;

remove_checkedStateChanged(handler: Function): void;
        /**
The contextMenu client-side event occurs when the user right-clicks an item in the toolbar.
*/
add_contextMenu(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarEventArgs) => void): void;

remove_contextMenu(handler: Function): void;
        /**
The dropDownClosed client-side event occurs immediately after the drop-down has closed. The event is not cancellable
*/
add_dropDownClosed(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarEventArgs) => void): void;

remove_dropDownClosed(handler: Function): void;
        /**
The dropDownClosing client-side event occurs when the drop-down is about to close, hiding its child buttons.
You can use this event to respond to an action before the buttons list of the drop-down closes and/or cancel the event.
*/
add_dropDownClosing(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarCancelEventArgs) => void): void;

remove_dropDownClosing(handler: Function): void;
        /**
The dropDownOpened client-side event occurs immediately after the drop-down expands to show its child buttons.
The event is not cancellable.
*/
add_dropDownOpened(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarEventArgs) => void): void;

remove_dropDownOpened(handler: Function): void;
        /**
The dropDownOpening client-side event occurs when the drop-down is about to expand, showing its child buttons.
You can use this event to control when drop-down can expand, or customize the child buttons before the toolbar expands.
*/
add_dropDownOpening(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarCancelEventArgs) => void): void;

remove_dropDownOpening(handler: Function): void;
        /**
The load client-side event occurs when the toolbar is first loaded and fully initialized on the client.
*/
add_load(handler: (sender: Telerik.Web.UI.RadToolBar, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The mouseOut client-side event occurs when the mouse moves off an item in the toolbar.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
The mouseOver client-side event occurs when the mouse moves over an item in the toolbar.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadToolBar, args: Telerik.Web.UI.RadToolBarEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
    }


    class RadToolBarButton  extends Telerik.Web.UI.RadToolBarItem {
        /**
Moves focus off the item to the next element in the tab order.
@method
@returns 
*/
blur(): void;
        /**
Marks the checkbox of an item.
@method
@returns 
*/
check(): void;
        /**
Causes server-side button click event to occur
@method
@returns 
*/
click(): void;
        /**
disables the toolbar item.
@method
@returns 
*/
disable(): void;
        /**
Enables the toolbar item.
@method
@returns 
*/
enable(): void;
        /**
Moves focus to the item.
@method
@returns 
*/
focus(): void;
        /**
Gets a value indicating if a checked button will get unchecked when clicked.
@method
@returns boolean
*/
get_allowSelfUnCheck(): boolean;
        /**
Returns the DOM element for the animation container of the item's drop-down list.
@method
@returns 
*/
get_animationContainer(): HTMLElement;
        /**
Returns the collection of custom attributes defined for the item.
@method
@returns 
*/
get_attributes(): any;
        /**
Returns the collection of items in the drop-down list (if it exists).
@method
@returns 
*/
get_buttons(): Telerik.Web.UI.RadToolBarButtonCollection;
        /**
Gets the checked state of an item. The item is checked if get_checked() returns true.
@method
@returns The value indicating if the item is checked
*/
get_checked(): boolean;
        /**
Returns the name of the CSS class applied to the item when checked.
@method
@returns The value indicating the Css class name
*/
get_checkedCssClass(): string;
        /**
Returns the URL of the image when checked.
@method
@returns The value indicating the image url
*/
get_checkedImageUrl(): string;
        /**
Marks or unmarks the checkbox of an item when the item is clicked.
@method
@returns The value indicating if the item is checked
*/
get_checkOnClick(): boolean;
        /**
Returns the DOM element for the root list of items in the toolbar.
@method
@returns DOM element for the root item list
*/
get_childListElement(): HTMLElement;
        /**
True if the item is clicked.
@method
@returns boolean
*/
get_clicked(): boolean;
        /**
Returns the name of the CSS class applied to the button when clicked.
@method
@returns The value indicating the Css class name
*/
get_clickedCssClass(): string;
        /**
Returns the URL of the image when it is clicked.
@method
@returns 
*/
get_clickedImageUrl(): string;
        /**
Returns the value of the CommandArgument property.
@method
@returns string
*/
get_commandArgument(): string;
        /**
Returns the name of the command associated with the item.
@method
@returns The value indicating the command
*/
get_commandName(): string;
        /**
Returns the index of the Default Button.
@method
@returns 
*/
get_defaultButtonIndex(): number;
        /**
Gets the CSS class for the item when it is disabled.
@method
@returns 
*/
get_disabledCssClass(): string;
        /**
Returns the full path to the image of a disabled item
@method
@returns The value indicating the image url
*/
get_disabledImageUrl(): string;
        /**
Returns the DOM element for the item's drop-down list.
@method
@returns 
*/
get_dropDownElement(): HTMLElement;
        /**
Returns true if the drop-down is opened.
@method
@returns 
*/
get_dropDownVisible(): boolean;
        /**
Gets the DOM element for the item.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
true
@method
@returns 
*/
get_enabled(): any;
        /**
Returns true if EnabledDefaultButton is enabled.
@method
@returns 
*/
get_enableDefaultButton(): any;
        /**
True if the item is focused.
@method
@returns 
*/
get_focused(): boolean;
        /**
Returns the name of the CSS class applied to the button when on focus.
@method
@returns The value indicating the Css class name
*/
get_focusedCssClass(): string;
        /**
Returns the URL of the image when on focus.
@method
@returns string
*/
get_focusedImageUrl(): string;
        /**
Gets the name of the group to which the item belongs.
@method
@returns The value indicating the name of the group
*/
get_group(): string;
        /**
True if the item is hovered.
@method
@returns boolean
*/
get_hovered(): boolean;
        /**
Returns the name of the CSS class applied to the button when hovered.
@method
@returns The value indicating the Css class name
*/
get_hoveredCssClass(): string;
        /**
Returns the URL of the hovered-state image.
@method
@returns 
*/
get_hoveredImageUrl(): string;
        /**
Gets the image DOM element of the item. If the server side ImageUrl property is not set,  returns null.
@method
@returns 
*/
get_imageElement(): HTMLElement;
        /**
Gets the image position of the toolbar item.
@method
@returns 
*/
get_imagePosition(): Telerik.Web.UI.ToolBarImagePosition;
        /**
Returns the URL of the image.
@method
@returns 
*/
get_imageUrl(): string;
        /**
Returns the index of the item in the toolbar or drop-down list.
@method
@returns 
*/
get_index(): any;
        /**
Gets the DOM element for the innermost SPAN that wraps the item.
@method
@returns 
*/
get_innerWrapElement(): HTMLElement;
        /**
True if the item is checked.
@method
@returns The value indicating if the item is checked
*/
get_isChecked(): boolean;
        /**
Returns true if both the item and the toolbar are enabled. If one of them is disabled, get_isEnabled() will return false.
@method
@returns 
*/
get_isEnabled(): any;
        /**
Returns whether the item has index 0.
@method
@returns 
*/
get_isFirst(): any;
        /**
Returns whether the item is the last in the toolbar or drop-down list.
@method
@returns 
*/
get_isLast(): any;
        /**
True if the item is separator.
@method
@returns The value indicating if the item is separator
*/
get_isSeparator(): boolean;
        /**
Gets the level of the item. Buttons and child items of a drop down button have 0 level. Child items of a split button are with level 1.
@method
@returns 
*/
get_level(): any;
        /**
Gets the anchor DOM element of the toolbar item.
@method
@returns 
*/
get_linkElement(): HTMLElement;
        /**
Gets the DOM element for the middle SPAN that wraps the item.
@method
@returns 
*/
get_middleWrapElement(): HTMLElement;
        /**
Returns the URL of the toolbar item(the href attribute of the link). Null if the NavigateUrl server property is not set.
@method
@returns The value indicating the Url
*/
get_navigateUrl(): string;
        /**
Returns the next item in the toolbar or drop-down list.
@method
@returns 
*/
get_nextSibling(): Telerik.Web.UI.RadToolBarItem;
        /**
Gets the DOM element for the outermost SPAN that wraps the item.
@method
@returns 
*/
get_outerWrapElement(): HTMLElement;
        /**
True if postback is enabled, false otherwise.
@method
@returns boolean
*/
get_postBack(): boolean;
        /**
Gets the Url of the page to post to from the current page.
@method
@returns The value indicating the Url
*/
get_postBackUrl(): string;
        /**
Returns the previous item in the toolbar or drop-down list.
@method
@returns 
*/
get_previousSibling(): Telerik.Web.UI.RadToolBarItem;
        /**
Gets the target of the item. If a target is not set, returns null.
@method
@returns The value indicating the name of the target
*/
get_target(): string;
        /**
Returns the text of the item.
@method
@returns 
*/
get_text(): string;
        /**
Gets the DOM element for the text of the item.
@method
@returns 
*/
get_textElement(): HTMLElement;
        /**
Returns the toolbar to which the item belongs.
@method
@returns RadToolBar
*/
get_toolBar(): Telerik.Web.UI.RadToolBar;
        /**
Returns the text of the item's tool tip.
@method
@returns 
*/
get_toolTip(): string;
        /**
Returns the value of the item.
@method
@returns 
*/
get_value(): any;
        /**
True if the item is visible.
@method
@returns boolean
*/
get_visible(): boolean;
        /**
Returns the default button.
@method
@returns 
*/
getDefaultButton(): Telerik.Web.UI.RadToolBarButton;
        /**
Hides the toolbar item.
@method
@returns 
*/
hide(): void;
        /**
Closes the drop-down list.
@method
@returns 
*/
hideDropDown(): void;
        /**
Sets a value indicating if a checked button will get unchecked when clicked.
@method
@param value - value
@returns 
*/
set_allowSelfUnCheck(value: boolean): void;
        /**
Marks or unmarks the checkbox of an item.
@method
@param value - value
@returns 
*/
set_checked(value: boolean): void;
        /**
Sets name of the CSS class applied to the item when checked.
@method
@param value - value
@returns 
*/
set_checkedCssClass(value: string): void;
        /**
Sets the name of the CSS class to be applied to the button when checked.
@method
@param value - value
@returns 
*/
set_checkedImageUrl(value: string): void;
        /**
Sets marked or unmarked if the item is clicked
@method
@param value - value
@returns 
*/
set_checkOnClick(value: boolean): void;
        /**
Sets the name of the CSS class to be applied to the button when clicked.
@method
@param value - value
@returns 
*/
set_clickedCssClass(value: string): void;
        /**
Sets the URL of the image when it is clicked.
@method
@param value - value
@returns 
*/
set_clickedImageUrl(value: string): void;
        /**
Sets the value of the CommandArgument property.
@method
@param value - value
@returns 
*/
set_commandArgument(value: string): void;
        /**
Sets the name of the command associated with the item.
@method
@param value - value
@returns 
*/
set_commandName(value: string): void;
        /**
Sets the index of the Default Button.
@method
@param Int - 
@returns 
*/
set_defaultButtonIndex(Int: number): any;
        /**
Sets the CSS class for the item when it is disabled.
@method
@param value - value
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the DisabledImageUrl property of the item
@method
@param value - value
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets whether the item is enabled.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Enables/Disables the EnabledDefaultButton mechanism.
@method
@param boolean - 
@returns 
*/
set_enableDefaultButton(boolean: any): any;
        /**
Sets if the item is focused.
@method
@param value - value
@returns 
*/
set_focused(value: boolean): void;
        /**
Sets the name of the CSS class to be applied to the button when on focus.
@method
@param value - value
@returns 
*/
set_focusedCssClass(value: string): void;
        /**
Sets the URL of the image when on focus.
@method
@param value - value
@returns 
*/
set_focusedImageUrl(value: string): void;
        /**
Sets the name of the group to which the item belongs.
@method
@param value - value
@returns 
*/
set_group(value: string): void;
        /**
Sets the name of the CSS class to be applied to the button when hovered.
@method
@param value - value
@returns 
*/
set_hoveredCssClass(value: string): void;
        /**
Sets the URL for the hovered-state image.
@method
@param value - value
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the image position of the toolbar item.
@method
@param value - 
@returns 
*/
set_imagePosition(value: Telerik.Web.UI.ToolBarImagePosition): void;
        /**
Sets the URL for the image.
@method
@param value - value
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets if the item is separator.
@method
@param value - value
@returns 
*/
set_isSeparator(value: boolean): void;
        /**
Sets the URL of the item
@method
@param value - value
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Determines if the item should postback.
@method
@param value - value
@returns 
*/
set_postBack(value: boolean): void;
        /**
Sets the Url of the page to post to from the current page.
@method
@param value - value
@returns 
*/
set_postBackUrl(value: string): void;
        /**
Sets the target of the Node.
@method
@param value - value
@returns 
*/
set_target(value: string): void;
        /**
Sets the text of the item.
@method
@param text - text
@returns 
*/
set_text(text: string): void;
        /**
Sets the text of the item's tool tip.
@method
@param value - value
@returns 
*/
set_toolTip(value: string): void;
        /**
Sets the value of the item.
@method
@param string - 
@returns 
*/
set_value(string: any): any;
        /**
Sets if the item is visible.
@method
@param value - value
@returns 
*/
set_visible(value: boolean): void;
        /**
Shows the toolbar item.
@method
@returns 
*/
show(): void;
        /**
Opens the drop-down list.
@method
@returns 
*/
showDropDown(): void;
        /**
Collapses an expanded toolbar item or expands a collapsed toolbar item.
@method
@returns 
*/
toggle(): void;
        /**
Unmarks the checkbox of an item.
@method
@returns 
*/
unCheck(): void;
    }


    class RadToolBarButtonCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadToolBarButton> {
        /**
Adds a child to the collection.
@method
@param item - item
@returns 
*/
add(item: Telerik.Web.UI.RadToolBarButton): void;
        /**
Clears the RadToolbarButtonCollection of all the items it contains.
@method
@returns 
*/
clear(): void;
        /**
Iterates through the items of the RadToolbarButtonCollection using labmda expression
@method
@param lambda - lambda
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of the items in the collection.
@method
@returns 
*/
get_count(): number;
        /**
Returns the item from the collection that resides at the specified index.
@method
@param index - index
@returns RadToolBarButton
*/
getButton(index: number): Telerik.Web.UI.RadToolBarButton;
        /**
Returns the item from the collection that resides at the specified index.
@method
@param index - index
@returns RadToolBarButton
*/
getItem(index: number): Telerik.Web.UI.RadToolBarButton;
        /**
Returns the index of a button.
@method
@param item - item
@returns int
*/
indexOf(item: Telerik.Web.UI.RadToolBarButton): number;
        /**
Inserts the item into the collection at the position defined by the first (index) parameter.
@method
@param index - index
@param item - item
@returns 
*/
insert(index: number, item: Telerik.Web.UI.RadToolBarButton): void;
        /**
Removes the specified item from the collection.
@method
@param item - item
@returns 
*/
remove(item: Telerik.Web.UI.RadToolBarButton): void;
        /**
Removes the item at the specified index.
@method
@param index - index
@returns 
*/
removeAt(index: number): void;
    }


    class RadToolBarCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the browser's event object.
@method
@returns ### get_itemReturns a reference to the toolbar item that takes the event.
*/
get_domEvent(): HTMLElement;
    }


    class RadToolBarDropDown  extends Telerik.Web.UI.ControlItemContainer {
        /**
Moves focus off the item to the next element in the tab order.
@method
@returns 
*/
blur(): void;
        /**
disables the toolbar item.
@method
@returns 
*/
disable(): void;
        /**
Enables the toolbar item.
@method
@returns 
*/
enable(): void;
        /**
Moves focus to the item.
@method
@returns 
*/
focus(): void;
        /**
Returns the DOM element for the animation container of the item's drop-down list.
@method
@returns HTML element
*/
get_animationContainer(): HTMLElement;
        /**
Gets the DOM element for the UL element that lists the arrow elements.
@method
@returns 
*/
get_arrowElement(): HTMLElement;
        /**
Returns the collection of buttons in the RadToolbarButtonCollection
@method
@returns RadToolBarButtonCollection
*/
get_buttons(): Telerik.Web.UI.RadToolBarButtonCollection;
        /**
Gets the DOM element for the UL element that lists the toolbar buttons.
@method
@returns HTML element
*/
get_childListElement(): HTMLElement;
        /**
True if the item is clicked.
@method
@returns boolean
*/
get_clicked(): boolean;
        /**
Returns the name of the CSS class applied to the button when clicked.
@method
@returns The value indicating the Css class name
*/
get_clickedCssClass(): string;
        /**
Returns the URL of the image when it is clicked.
@method
@returns 
*/
get_clickedImageUrl(): string;
        /**
Gets the CSS class for the item when it is disabled.
@method
@returns 
*/
get_disabledCssClass(): string;
        /**
Returns the full path to the image of a disabled item
@method
@returns The value indicating the image url
*/
get_disabledImageUrl(): string;
        /**
Returns the DOM element for the item's drop-down list.
@method
@returns HTML element
*/
get_dropDownElement(): HTMLElement;
        /**
Returns true if the drop-down is opened.
@method
@returns 
*/
get_dropDownVisible(): boolean;
        /**
Gets the expand direction of the Toolbar.
@method
@returns 
*/
get_expandDirection(): Telerik.Web.UI.ExpandDirection;
        /**
True if the item is focused.
@method
@returns 
*/
get_focused(): boolean;
        /**
Returns the name of the CSS class applied to the button when on focus.
@method
@returns The value indicating the Css class name
*/
get_focusedCssClass(): string;
        /**
Returns the URL of the image when on focus.
@method
@returns string
*/
get_focusedImageUrl(): string;
        /**
True if the item is hovered.
@method
@returns boolean
*/
get_hovered(): boolean;
        /**
Returns the name of the CSS class applied to the button when hovered.
@method
@returns The value indicating the Css class name
*/
get_hoveredCssClass(): string;
        /**
Returns the URL of the hovered-state image.
@method
@returns 
*/
get_hoveredImageUrl(): string;
        /**
Gets the DOM element for the image of the item.
@method
@returns HTML element
*/
get_imageElement(): HTMLElement;
        /**
Gets the image position of the toolbar item.
@method
@returns 
*/
get_imagePosition(): Telerik.Web.UI.ToolBarImagePosition;
        /**
Returns the URL of the image.
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the DOM element for the innermost SPAN that wraps the item.
@method
@returns HTML element
*/
get_innerWrapElement(): HTMLElement;
        /**
Gets the anchor DOM element of the toolbar button.
@method
@returns HTML element
*/
get_linkElement(): HTMLElement;
        /**
Gets the DOM element for the middle SPAN that wraps the item.
@method
@returns HTML element
*/
get_middleWrapElement(): HTMLElement;
        /**
Gets the DOM element for the outermost SPAN that wraps the item.
@method
@returns HTML element
*/
get_outerWrapElement(): HTMLElement;
        /**
Returns the text of the item.
@method
@returns string
*/
get_text(): string;
        /**
Gets the DOM element for the text of the item.
@method
@returns HTML element
*/
get_textElement(): HTMLElement;
        /**
Returns the toolbar to which the item belongs.
@method
@returns RadToolBar
*/
get_toolBar(): Telerik.Web.UI.RadToolBar;
        /**
Returns the text of the item's tool tip.
@method
@returns 
*/
get_toolTip(): string;
        /**
True if the item is visible.
@method
@returns boolean
*/
get_visible(): boolean;
        /**
Hides the toolbar item.
@method
@returns 
*/
hide(): void;
        /**
Closes the drop-down list.
@method
@returns 
*/
hideDropDown(): void;
        /**
Sets the name of the CSS class to be applied to the button when clicked.
@method
@param value - value
@returns 
*/
set_clickedCssClass(value: string): void;
        /**
Sets the URL of the image when it is clicked.
@method
@param value - value
@returns 
*/
set_clickedImageUrl(value: string): void;
        /**
Sets the CSS class for the item when it is disabled.
@method
@param value - value
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the DisabledImageUrl property of the item
@method
@param value - value
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets whether the item is enabled.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the expand direction of the Toolbar.
@method
@param value - 
@returns 
*/
set_expandDirection(value: Telerik.Web.UI.ExpandDirection): void;
        /**
Sets if the item is focused.
@method
@param value - value
@returns 
*/
set_focused(value: boolean): void;
        /**
Sets the name of the CSS class to be applied to the button when on focus.
@method
@param value - value
@returns 
*/
set_focusedCssClass(value: string): void;
        /**
Sets the URL of the image when on focus.
@method
@param value - value
@returns 
*/
set_focusedImageUrl(value: string): void;
        /**
Sets the name of the CSS class to be applied to the button when hovered.
@method
@param value - value
@returns 
*/
set_hoveredCssClass(value: string): void;
        /**
Sets the URL for the hovered-state image.
@method
@param value - value
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the image position of the toolbar item.
@method
@param value - 
@returns 
*/
set_imagePosition(value: Telerik.Web.UI.ToolBarImagePosition): void;
        /**
Sets the URL for the image.
@method
@param value - value
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the text of the item.
@method
@param text - text
@returns 
*/
set_text(text: string): void;
        /**
Sets the text of the item's tool tip.
@method
@param value - value
@returns 
*/
set_toolTip(value: string): void;
        /**
Sets if the item is visible.
@method
@param value - value
@returns 
*/
set_visible(value: boolean): void;
        /**
Shows the toolbar item.
@method
@returns 
*/
show(): void;
        /**
Opens the drop-down list.
@method
@returns 
*/
showDropDown(): void;
    }


    class RadToolBarEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the toolbar item that takes the event.
@method
@returns This is the base type. For a dropdown or button you should cast to Telerik.Web.UI.RadToolBarDropDown or Telerik.Web.UI.RadToolBarButton.
*/
get_item(): Telerik.Web.UI.RadToolBarItem;
        /**
Returns the browser's event object.
@method
@returns 
*/
get_domEvent(): HTMLElement;
    }


    class RadToolBarItem  extends Telerik.Web.UI.ControlItem {
        /**
Moves focus off the item to the next element in the tab order.
@method
@returns 
*/
blur(): void;
        /**
disables the toolbar item.
@method
@returns 
*/
disable(): void;
        /**
Enables the toolbar item.
@method
@returns 
*/
enable(): void;
        /**
Moves focus to the item.
@method
@returns 
*/
focus(): void;
        /**
returns the DOM element for the animation container of the item's drop-down list.
@method
@returns 
*/
get_animationContainer(): HTMLElement;
        /**
returns the DOM element for the root list of items in the toolbar.
@method
@returns DOM element for the root item list
*/
get_childListElement(): HTMLElement;
        /**
True if the item is clicked.
@method
@returns 
*/
get_clicked(): boolean;
        /**
returns the name of the CSS class applied to the item when clicked.
@method
@returns The value indicating the Css class name
*/
get_clickedCssClass(): string;
        /**
returns the URL of the image when it is clicked.
@method
@returns 
*/
get_clickedImageUrl(): string;
        /**
Gets the CSS class for the item when it is disabled.
@method
@returns 
*/
get_disabledCssClass(): string;
        /**
returns the full path to the image of a disabled item
@method
@returns The value indicating the image url
*/
get_disabledImageUrl(): string;
        /**
returns the DOM element for the item's drop-down list.
@method
@returns 
*/
get_dropDownElement(): HTMLElement;
        /**
True if the item is focused.
@method
@returns 
*/
get_focused(): boolean;
        /**
returns the name of the CSS class applied to the item when on focus.
@method
@returns The value indicating the Css class name
*/
get_focusedCssClass(): string;
        /**
returns the URL of the image when on focus.
@method
@returns string
*/
get_focusedImageUrl(): string;
        /**
True if the item is hovered.
@method
@returns 
*/
get_hovered(): boolean;
        /**
returns the name of the CSS class applied to the item when hovered.
@method
@returns The value indicating the Css class name
*/
get_hoveredCssClass(): string;
        /**
returns the URL of the hovered-state image.
@method
@returns 
*/
get_hoveredImageUrl(): string;
        /**
Gets the DOM element for the image of the item.
@method
@returns 
*/
get_imageElement(): HTMLElement;
        /**
Gets the image position of the toolbar item.
@method
@returns 
*/
get_imagePosition(): Telerik.Web.UI.ToolBarImagePosition;
        /**
returns the URL of the image.
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the DOM element for the innermost SPAN that wraps the item.
@method
@returns 
*/
get_innerWrapElement(): HTMLElement;
        /**
Gets the anchor DOM element of the toolbar button.
@method
@returns 
*/
get_linkElement(): HTMLElement;
        /**
Gets the DOM element for the middle SPAN that wraps the item.
@method
@returns 
*/
get_middleWrapElement(): HTMLElement;
        /**
Gets the DOM element for the outermost SPAN that wraps the item.
@method
@returns 
*/
get_outerWrapElement(): HTMLElement;
        /**
returns the text of the item.
@method
@returns 
*/
get_text(): string;
        /**
Gets the DOM element for the text of the item.
@method
@returns 
*/
get_textElement(): HTMLElement;
        /**
returns the toolbar to which the item belongs.
@method
@returns RadToolBar
*/
get_toolBar(): Telerik.Web.UI.RadToolBar;
        /**
returns the text of the item's tool tip.
@method
@returns 
*/
get_toolTip(): string;
        /**
True if the item is visible.
@method
@returns boolean
*/
get_visible(): boolean;
        /**
Hides the toolbar item.
@method
@returns 
*/
hide(): void;
        /**
Sets the name of the CSS class to be applied to the item when clicked.
@method
@param value - value
@returns 
*/
set_clickedCssClass(value: string): void;
        /**
Sets the URL of the image when it is clicked.
@method
@param value - value
@returns 
*/
set_clickedImageUrl(value: string): void;
        /**
Sets the CSS class for the item when it is disabled.
@method
@param value - value
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the DisabledImageUrl property of the item
@method
@param value - value
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets whether the item is enabled.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets if the item is focused.
@method
@param value - value
@returns 
*/
set_focused(value: boolean): void;
        /**
Sets the name of the CSS class to be applied to the item when on focus.
@method
@param value - value
@returns 
*/
set_focusedCssClass(value: string): void;
        /**
Sets the URL of the image when on focus.
@method
@param value - value
@returns 
*/
set_focusedImageUrl(value: string): void;
        /**
Sets the name of the CSS class to be applied to the item when hovered.
@method
@param value - value
@returns 
*/
set_hoveredCssClass(value: string): void;
        /**
Sets the URL for the hovered-state image.
@method
@param value - value
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the image position of the toolbar item.
@method
@param value - 
@returns 
*/
set_imagePosition(value: Telerik.Web.UI.ToolBarImagePosition): void;
        /**
Sets the URL for the image.
@method
@param value - value
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the text of the item.
@method
@param text - text
@returns 
*/
set_text(text: string): void;
        /**
Sets the text of the item's tool tip.
@method
@param value - value
@returns 
*/
set_toolTip(value: string): void;
        /**
Sets if the item is visible.
@method
@param value - value
@returns 
*/
set_visible(value: boolean): void;
        /**
Shows the toolbar item.
@method
@returns 
*/
show(): void;
    }


    class RadToolBarItemCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadToolBarItem> {
        /**
Adds a child item to the collection.
@method
@param item - item
@returns 
*/
add(item: Telerik.Web.UI.RadToolBarItem): void;
        /**
Clears the collection of all the child items it contains.
@method
@returns 
*/
clear(): void;
        /**
Iterates through the items of the RadToolbarItemCollection using labmda expression
@method
@param lambda - lambda
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of the items in the collection.
@method
@returns int
*/
get_count(): number;
        /**
Returns the item from the collection that resides at the specified index.
@method
@param index - index
@returns RadToolBarItem
*/
getItem(index: number): Telerik.Web.UI.RadToolBarItem;
        /**
Returns the index of a button.
@method
@param item - item
@returns 
*/
indexOf(item: Telerik.Web.UI.RadToolBarItem): number;
        /**
Inserts the item into the collection at the position defined by the first (index) parameter.
@method
@param index - index
@param item - item
@returns 
*/
insert(index: number, item: Telerik.Web.UI.RadToolBarItem): void;
        /**
Removes the specified item from the collection.
@method
@param item - item
@returns 
*/
remove(item: Telerik.Web.UI.RadToolBarItem): void;
        /**
Removes the item at the specified index.
@method
@param index - index
@returns 
*/
removeAt(index: number): void;
    }


    class RadToolBarSplitButton  extends Telerik.Web.UI.ControlItemContainer {
        /**
Moves focus off the item to the next element in the tab order.
@method
@returns 
*/
blur(): void;
        /**
Causes server-side button click event to occur
@method
@returns 
*/
click(): void;
        /**
disables the toolbar item.
@method
@returns 
*/
disable(): void;
        /**
Enables the toolbar item.
@method
@returns 
*/
enable(): void;
        /**
Moves focus to the item.
@method
@returns 
*/
focus(): void;
        /**
Returns the DOM element for the animation container of the item's drop-down list.
@method
@returns HTML element
*/
get_animationContainer(): HTMLElement;
        /**
Gets the DOM element for the UL element that lists the arrow elements.
@method
@returns 
*/
get_arrowElement(): HTMLElement;
        /**
Returns the collection of buttons in the RadToolbarSplitButtonCollection
@method
@returns RadToolBarSplitButtonCollection
*/
get_buttons(): Telerik.Web.UI.RadToolBarButtonCollection;
        /**
Gets a value indicating if validation is performed when the RadToolbarSplitButton is clicked.
@method
@returns boolean
*/
get_causesValidation(): boolean;
        /**
Gets the DOM element for the UL element that lists the toolbar buttons.
@method
@returns HTML element
*/
get_childListElement(): HTMLElement;
        /**
True if the item is clicked.
@method
@returns boolean
*/
get_clicked(): boolean;
        /**
Returns the name of the CSS class applied to the button when clicked.
@method
@returns The value indicating the Css class name
*/
get_clickedCssClass(): string;
        /**
Returns the URL of the image when it is clicked.
@method
@returns 
*/
get_clickedImageUrl(): string;
        /**
Returns the value of the CommandArgument property.
@method
@returns string
*/
get_commandArgument(): string;
        /**
Returns the name of the command associated with the item.
@method
@returns The value indicating the command
*/
get_commandName(): string;
        /**
Returns the index of the Default Button.
@method
@returns index
*/
get_defaultButtonIndex(): number;
        /**
Gets the CSS class for the item when it is disabled.
@method
@returns 
*/
get_disabledCssClass(): string;
        /**
Returns the full path to the image of a disabled item
@method
@returns The value indicating the image url
*/
get_disabledImageUrl(): string;
        /**
Returns the DOM element for the item's drop-down list.
@method
@returns HTML element
*/
get_dropDownElement(): HTMLElement;
        /**
Returns true if the drop-down is opened.
@method
@returns 
*/
get_dropDownVisible(): boolean;
        /**
Gets whether the item is enabled.
@method
@returns Value indicating whether item is enabled.
*/
get_enabled(): boolean;
        /**
Gets a value indicating if the RadToolbarSplitButton will use the DefaultButton behaviour.
@method
@returns boolean
*/
get_enableDefaultButton(): boolean;
        /**
Gets the expand direction of the Toolbar.
@method
@returns 
*/
get_expandDirection(): Telerik.Web.UI.ExpandDirection;
        /**
True if the item is focused.
@method
@returns 
*/
get_focused(): boolean;
        /**
Returns the name of the CSS class applied to the button when on focus.
@method
@returns The value indicating the Css class name
*/
get_focusedCssClass(): string;
        /**
Returns the URL of the image when on focus.
@method
@returns string
*/
get_focusedImageUrl(): string;
        /**
True if the item is hovered.
@method
@returns boolean
*/
get_hovered(): boolean;
        /**
Returns the name of the CSS class applied to the button when hovered.
@method
@returns The value indicating the Css class name
*/
get_hoveredCssClass(): string;
        /**
Returns the URL of the hovered-state image.
@method
@returns 
*/
get_hoveredImageUrl(): string;
        /**
Gets the DOM element for the image of the item.
@method
@returns HTML element
*/
get_imageElement(): HTMLElement;
        /**
Gets the image position of the toolbar item.
@method
@returns 
*/
get_imagePosition(): Telerik.Web.UI.ToolBarImagePosition;
        /**
Returns the URL of the image.
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the DOM element for the innermost SPAN that wraps the item.
@method
@returns HTML element
*/
get_innerWrapElement(): HTMLElement;
        /**
Gets the anchor DOM element of the toolbar button.
@method
@returns HTML element
*/
get_linkElement(): HTMLElement;
        /**
Gets the DOM element for the middle SPAN that wraps the item.
@method
@returns HTML element
*/
get_middleWrapElement(): HTMLElement;
        /**
Gets the Url to which the toolbar button navigates when selected.
@method
@returns The value indicating the Url
*/
get_navigateUrl(): string;
        /**
Gets the DOM element for the outermost SPAN that wraps the item.
@method
@returns HTML element
*/
get_outerWrapElement(): HTMLElement;
        /**
True if postback is enabled, false otherwise.
@method
@returns boolean
*/
get_postBack(): boolean;
        /**
Gets the Url of the page to post to from the current page.
@method
@returns the page Url
*/
get_postBackUrl(): string;
        /**
Gets the target of the item. If a target is not set, returns null.
@method
@returns The value indicating the name of the target
*/
get_target(): string;
        /**
Returns the text of the item.
@method
@returns string
*/
get_text(): string;
        /**
Gets the DOM element for the text of the item.
@method
@returns HTML element
*/
get_textElement(): HTMLElement;
        /**
Returns the toolbar to which the item belongs.
@method
@returns RadToolBar
*/
get_toolBar(): Telerik.Web.UI.RadToolBar;
        /**
Returns the text of the item's tool tip.
@method
@returns 
*/
get_toolTip(): string;
        /**
Gets the name of the validation group to which the RadToolbarSplitButton belongs.
@method
@returns The name of the validation group
*/
get_validationGroup(): string;
        /**
Returns the value of the item.
@method
@returns 
*/
get_value(): string;
        /**
True if the item is visible.
@method
@returns boolean
*/
get_visible(): boolean;
        /**
Returns the default button.
@method
@returns RadToolbarButton
*/
getDefaultButton(): Telerik.Web.UI.RadToolBarButton;
        /**
Hides the toolbar item.
@method
@returns 
*/
hide(): void;
        /**
Closes the drop-down list.
@method
@returns 
*/
hideDropDown(): void;
        /**
Gets a value indicating if validation is performed when the RadToolbarSplitButton is clicked.
@method
@param value - value
@returns 
*/
set_causesValidation(value: boolean): void;
        /**
Sets the name of the CSS class to be applied to the button when clicked.
@method
@param value - value
@returns 
*/
set_clickedCssClass(value: string): void;
        /**
Sets the URL of the image when it is clicked.
@method
@param value - value
@returns 
*/
set_clickedImageUrl(value: string): void;
        /**
Sets the value of the CommandArgument property.
@method
@param value - value
@returns 
*/
set_commandArgument(value: string): void;
        /**
Sets the name of the command associated with the item.
@method
@param value - value
@returns 
*/
set_commandName(value: string): void;
        /**
Sets the value indicating the index of the Default Button.
@method
@param value - value
@returns 
*/
set_defaultButtonIndex(value: number): void;
        /**
Sets the CSS class for the item when it is disabled.
@method
@param value - value
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the DisabledImageUrl property of the item
@method
@param value - value
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**
Sets whether the item is enabled.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets a value indicating if the RadToolbarSplitButton will use the DefaultButton behaviour.
@method
@param value - value
@returns 
*/
set_enableDefaultButton(value: boolean): void;
        /**
Sets the expand direction of the Toolbar.
@method
@param value - 
@returns 
*/
set_expandDirection(value: Telerik.Web.UI.ExpandDirection): void;
        /**
Sets if the item is focused.
@method
@param value - value
@returns 
*/
set_focused(value: boolean): void;
        /**
Sets the name of the CSS class to be applied to the button when on focus.
@method
@param value - value
@returns 
*/
set_focusedCssClass(value: string): void;
        /**
Sets the URL of the image when on focus.
@method
@param value - value
@returns 
*/
set_focusedImageUrl(value: string): void;
        /**
Sets the name of the CSS class to be applied to the button when hovered.
@method
@param value - value
@returns 
*/
set_hoveredCssClass(value: string): void;
        /**
Sets the URL for the hovered-state image.
@method
@param value - value
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the image position of the toolbar item.
@method
@param value - 
@returns 
*/
set_imagePosition(value: Telerik.Web.UI.ToolBarImagePosition): void;
        /**
Sets the URL for the image.
@method
@param value - value
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the URL to which the toolbar button navigates when selected.
@method
@param value - value
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Determines if the Node should postback.
@method
@param value - value
@returns 
*/
set_postBack(value: boolean): void;
        /**
Sets the Url of the page to post to from the current page.
@method
@param value - value
@returns 
*/
set_postBackUrl(value: string): void;
        /**
Sets the target of the Node.
@method
@param value - value
@returns 
*/
set_target(value: string): void;
        /**
Sets the text of the item.
@method
@param text - text
@returns 
*/
set_text(text: string): void;
        /**
Sets the text of the item's tool tip.
@method
@param value - value
@returns 
*/
set_toolTip(value: string): void;
        /**
Sets the name of the validation group to which the RadToolbarSplitButton belongs.
@method
@param value - value
@returns 
*/
set_validationGroup(value: string): void;
        /**
Sets the value of the item.
@method
@param value - 
@returns 
*/
set_value(value: string): void;
        /**
Sets if the item is visible.
@method
@param value - value
@returns 
*/
set_visible(value: boolean): void;
        /**
Shows the toolbar item.
@method
@returns 
*/
show(): void;
        /**
Opens the drop-down list.
@method
@returns 
*/
showDropDown(): void;
    }


    class RadToolTip  extends Telerik.Web.UI.RadWebControl {
        /**
Returns a reference to the tooltip's close button when HideEvent="ManualClose"
@method
@returns 
*/
getManualCloseButton(): any;
        /**
Gets animation value for the tooltip
@method
@returns 
*/
get_animation(): Telerik.Web.UI.ToolTipAnimation;
        /**
Gets animation duration value for the tooltip
@method
@returns 
*/
get_animationDuration(): number;
        /**
Gets delay in milliseconds for the tooltip to close automatically
@method
@returns 
*/
get_autoCloseDelay(): number;
        /**
Gets the current content of the tooltip
@method
@returns 
*/
get_content(): string;
        /**
Gets the content element of the tooltip
@method
@returns 
*/
get_contentElement(): any;
        /**
Gets a new overflow value for the tooltip content area
@method
@returns 
*/
get_contentScrolling(): Telerik.Web.UI.ToolTipScrolling;
        /**
Gets a value indicating whether the tooltip should have a shadow.
@method
@returns 
*/
get_enableShadow(): boolean;
        /**
Gets height of the tooltip
@method
@returns 
*/
get_height(): number;
        /**
Gets delay in milliseconds after which the tooltip will hide after the mouse leaves the target element
@method
@returns 
*/
get_hideDelay(): number;
        /**
Gets a value indicating whether the Alt attribute of the target should be ignored.
@method
@returns 
*/
get_ignoreAltAttribute(): boolean;
        /**
Gets a value indicating whether a tooltip is modal or not
@method
@returns 
*/
get_modal(): boolean;
        /**
Gets whether the tooltip should follow the mouse movement or not
@method
@returns 
*/
get_mouseTrailing(): boolean;
        /**
Gets the horizontal offset relative to its target element
@method
@returns 
*/
get_offsetX(): number;
        /**
Gets the vertical offset relative to its target element
@method
@returns 
*/
get_offsetY(): number;
        /**
Gets a value indicating whether the tooltip has an overlay element.
@method
@returns 
*/
get_overlay(): boolean;
        /**
Returns a reference to the popup element
@method
@returns 
*/
get_popupElement(): any;
        /**
Gets the relative position of the tooltip to its target element
@method
@returns 
*/
get_position(): Telerik.Web.UI.ToolTipPosition;
        /**
Gets whether the tooltip is positioned relative to the mouse, relative to the tooltip or to the browser window
@method
@returns 
*/
get_relativeTo(): Telerik.Web.UI.ToolTipRelativeDisplay;
        /**
Gets whether the tooltip callout image will be displayed
@method
@returns 
*/
get_showCallout(): boolean;
        /**
Gets delay in milliseconds for the tooltip to appear
@method
@returns 
*/
get_showDelay(): number;
        /**
Gets a reference to the tooltip target element
@method
@returns 
*/
get_targetControl(): any;
        /**
Gets the client ID of the tooltip's target control
@method
@returns 
*/
get_targetControlID(): string;
        /**
Gets the text of the tooltip
@method
@returns 
*/
get_text(): string;
        /**
Gets the title of the tooltip
@method
@returns 
*/
get_title(): string;
        /**
Gets the arbitrary value associated with a tooltip that can be used in scenarios involving AJAX or web services
@method
@returns 
*/
get_value(): string;
        /**
Gets width of the tooltip
@method
@returns 
*/
get_width(): number;
        /**
Hides the tooltip
@method
@returns 
*/
hide(): void;
        /**
Returns whether the tooltip control is displaying modally
@method
@returns 
*/
isModal(): void;
        /**
Indicates whether the RadToolTip control is currently visible
@method
@returns 
*/
isVisible(): void;
        /**
Sets animation value for the tooltip
@method
@param value - 
@returns 
*/
set_animation(value: Telerik.Web.UI.ToolTipAnimation): void;
        /**
Sets animation duration value for the tooltip
@method
@param value - 
@returns 
*/
set_animationDuration(value: number): void;
        /**
Sets delay in milliseconds for the tooltip to close automatically
@method
@param value - 
@returns 
*/
set_autoCloseDelay(value: number): void;
        /**
Sets new content to the tooltip
@method
@param text - 
@returns 
*/
set_content(text: string): void;
        /**
Sets a new content element to the tooltip
@method
@param contentElement - 
@returns 
*/
set_contentElement(contentElement: Sys.UI.DomElement): void;
        /**
Sets a new overflow value for the tooltip content area
@method
@param value - 
@returns 
*/
set_contentScrolling(value: Telerik.Web.UI.ToolTipScrolling): void;
        /**
Sets a value indicating whether the tooltip should have a shadow.
@method
@param value - 
@returns 
*/
set_enableShadow(value: boolean): void;
        /**
Sets new height to the tooltip
@method
@param value - 
@returns 
*/
set_height(value: number): void;
        /**
Sets delay in milliseconds for the tooltip to hide after the mouse leaves the target element
@method
@param value - 
@returns 
*/
set_hideDelay(value: number): void;
        /**
Sets a value indicating whether the Alt attribute of the target should be ignored.
@method
@param value - 
@returns 
*/
set_ignoreAltAttribute(value: boolean): void;
        /**
Sets a value indicating whether a tooltip is modal or not
@method
@param value - 
@returns 
*/
set_modal(value: boolean): void;
        /**
Sets whether the tooltip should follow the mouse movement or not
@method
@param value - 
@returns 
*/
set_mouseTrailing(value: boolean): void;
        /**
Sets a new horizontal offset relative to its target element
@method
@param value - 
@returns 
*/
set_offsetX(value: number): void;
        /**
Sets a new vertical offset relative to its target element
@method
@param value - 
@returns 
*/
set_offsetY(value: number): void;
        /**
Sets a value indicating whether the tooltip will create an overlay element.
@method
@param value - 
@returns 
*/
set_overlay(value: boolean): void;
        /**
Sets a new relative position of the tooltip to its target element
@method
@param value - 
@returns 
*/
set_position(value: Telerik.Web.UI.ToolTipPosition): void;
        /**
Sets whether the tooltip is positioned relative to the mouse, relative to the tooltip or to the browser window
@method
@param value - 
@returns 
*/
set_relativeTo(value: Telerik.Web.UI.ToolTipRelativeDisplay): void;
        /**
Sets whether the tooltip callout image will be displayed
@method
@param value - 
@returns 
*/
set_showCallout(value: boolean): void;
        /**
Sets delay in milliseconds for the tooltip to appear
@method
@param value - 
@returns 
*/
set_showDelay(value: number): void;
        /**
Sets a new target control to the tooltip
@method
@param value - 
@returns 
*/
set_targetControl(value: Sys.UI.DomElement): void;
        /**
Sets the cleint ID of a new target control to the tooltip
@method
@param value - 
@returns 
*/
set_targetControlID(value: string): void;
        /**
Sets new text to the tooltip
@method
@param value - 
@returns 
*/
set_text(value: string): void;
        /**
Sets a new title to the tooltip
@method
@param value - 
@returns 
*/
set_title(value: string): void;
        /**
Sets an arbitrary value associated with a tooltip that can be used in scenarios involving AJAX or web services
@method
@param value - 
@returns 
*/
set_value(value: string): void;
        /**
Sets new width to the tooltip
@method
@param value - 
@returns 
*/
set_width(value: number): void;
        /**
Displays the tooltip at the proper position, relative to its target control.
@method
@returns 
*/
show(): void;
        /**
The beforeHide client-side event occurs just prior to the tool tip being hidden. The event can be canceled.
*/
add_beforeHide(handler: (sender: Telerik.Web.UI.RadToolTip, args: Sys.CancelEventArgs) => void): void;

remove_beforeHide(handler: Function): void;
        /**
The beforeShow client-side event occurs just prior to the display of the tool tip. The event can be canceled.
*/
add_beforeShow(handler: (sender: Telerik.Web.UI.RadToolTip, args: Sys.CancelEventArgs) => void): void;

remove_beforeShow(handler: Function): void;
        /**
The hide client-side event occurs as the tooltip is hidden. The event cannot be canceled.
*/
add_hide(handler: (sender: Telerik.Web.UI.RadToolTip, eventArgs: Sys.EventArgs) => void): void;

remove_hide(handler: Function): void;
    }


    class RadToolTipManager  extends Telerik.Web.UI.RadWebControl {
        /**
Clears cached proeprties of the manager. This property should be used when a setting of the manager is changed on the client and the change should be applied to new dynamically created tooltips.
@method
@returns 
*/
clearCloneCache(): void;
        /**
Creates a tooltip for a particular HTML element
@method
@param targetElement - 
@returns 
*/
createToolTip(targetElement: any): Telerik.Web.UI.RadToolTip;
        /**
Gets a value whether the RadToolTipManager, when its TargetControls collection is empty will tooltipify automatically all elements on the page that have a "title" attribute
@method
@returns 
*/
get_autoTooltipify(): boolean;
        /**
Gets a value which determines whether tooltip content should be cached after first load on demand request
@method
@returns 
*/
get_enableDataCaching(): boolean;
        /**
Gets the ID of the zone which should be automatically tooltipified
@method
@returns 
*/
get_toolTipZoneID(): string;
        /**
Gets the tooltip associated with a corresponding target element if such a tooltip exists
@method
@param element - 
@returns 
*/
getToolTipByElement(element: any): Telerik.Web.UI.RadToolTip;
        /**
Sets a value whether the RadToolTipManager, when its TargetControls collection is empty, will tooltipify automatically all elements on the page that have a "title" attribute
@method
@param value - 
@returns 
*/
set_autoTooltipify(value: boolean): void;
        /**
Sets a value which determines whether tooltip content should be cached after first load on demand request
@method
@param value - 
@returns 
*/
set_enableDataCaching(value: boolean): void;
        /**
Sets the ID of the zone which should be automatically tooltipified
@method
@param value - 
@returns 
*/
set_toolTipZoneID(value: string): void;
        /**
The requestEnd event is fired immediately after the response from a WebService or an AJAX request is received. This provides an opportunity to make changes just before the content of the tooltip is displayed.
*/
add_requestEnd(handler: (sender: Telerik.Web.UI.RadToolTipManager, eventArgs: Sys.EventArgs) => void): void;

remove_requestEnd(handler: Function): void;
        /**
The requestStart event is fired when the call to the WebService or the AJAX request starts. The event is cancellable.
*/
add_requestStart(handler: (sender: Telerik.Web.UI.RadToolTipManager, eventArgs: Sys.CancelEventArgs) => void): void;

remove_requestStart(handler: Function): void;
        /**
The responseError event is fired when a server error occurs during the request. It allows the developer to choose the behavior if this happens.
*/
add_responseError(handler: (sender: Telerik.Web.UI.RadToolTipManager, eventArgs: Telerik.Web.UI.ToolTipManagerErrorEventArgs) => void): void;

remove_responseError(handler: Function): void;
    }


    class RadTreeList  extends Telerik.Web.UI.RadWebControl {
        /**
Deselects all RadTreeListDataItems in the current RadTreeList instance.
@method
@returns 
*/
deselectAllItems(): void;
        /**
Deselects a RadTreeListDataItem.
@method
@param item - 
@returns 
*/
deselectItem(item: Telerik.Web.UI.RadTreeListDataItem): void;
        /**
Fires command with specified command name and argument
@method
@param commandName - The name of the command that will be executed.
@param commandArgument - The command argument with which the command will be executed.
@returns 
*/
fireCommand(commandName: string, commandArgument: string): void;
        /**
Iterates over all RadTreeListDataItems in the current RadTreeList instance and calls the specified function in the context of each data item.
@method
@param func - The function to call in the context of each RadTreeListDataItem.
@returns 
*/
forEachDataItem(func: Function): void;
        /**
A property which gets a collection of the visible child items of the current item.
@method
@returns 
*/
get_childItems(): void;
        /**
Property which gets a collection of the client datakey names.
@method
@returns 
*/
get_clientDataKeyNames(): void;
        /**
Gets a dictionary of non-default client settings for RadTreeList.
@method
@returns 
*/
get_clientSettings(): void;
        /**
Property which returns a collection of the columns in the treelist.
@method
@returns 
*/
get_columns(): void;
        /**
Property which returns the current page index of the treelist.
@method
@returns 
*/
get_currentPageIndex(): void;
        /**
Gets an array of all items in the current RadTreeList instance.
@method
@returns 
*/
get_dataItems(): any;
        /**
A property which gets value of the client datakey name for this item  by the given keyname.
@method
@returns 
*/
get_dataKeyValue(): void;
        /**
A property which gets the index of the current item in the current page regardless of its nested level.
@method
@returns 
*/
get_displayIndex(): void;
        /**
A property which returns whether the current item is expanded.
@method
@returns 
*/
get_expanded(): void;
        /**
A property which gets the index of the current item in the treelist hierarchy.
@method
@returns 
*/
get_hierarchicalIndex(): void;
        /**
A property which returns whether the current item is root item for the treelist.
@method
@returns 
*/
get_isRoot(): void;
        /**
A property which gets the next sibling of the current item.
@method
@returns 
*/
get_nextSibling(): void;
        /**
A property which gets a reference to the owner RadTreeList object.
@method
@returns 
*/
get_owner(): void;
        /**
A property which gets the parent of the current item.
@method
@returns 
*/
get_parentItem(): void;
        /**
A property which gets the previous sibling of the current item.
@method
@returns 
*/
get_previousSibling(): void;
        /**
A boolean property indicating whether the item is selected or not.
@method
@returns 
*/
get_selected(): void;
        /**
Gets the indexes of all selected items in RadTreeList.
@method
@returns 
*/
get_selectedIndexes(): any;
        /**
Gets a collection of all selected items in RadTreeList.
@method
@returns 
*/
get_selectedItems(): any;
        /**
Gets the unique id of RadTreeList's container
@method
@returns 
*/
get_uniqueID(): void;
        /**
A property which returns the unique name of the column.
@method
@returns 
*/
get_uniqueName(): void;
        /**
Property which returns the table cell of the TreeList by a given item(row) and column unique name
@method
@returns 
*/
getCellByColumnUniqueName(): void;
        /**
Property which gets the client side object for the column by a given unique name.
@method
@returns 
*/
getColumnByUniqueName(): void;
        /**
Gets the RadTreeListDataItem instance that is the container of the specified element.
@method
@param element - An HTML DOM element that is nested in a tree list item.
@returns 
*/
getContainerItem(element: HTMLElement): Telerik.Web.UI.RadTreeListDataItem;
        /**
Gets a RadTreeListDataItem instance by specified id, row index or a row DOM element.
@method
@param rowIdIndex - An id
@returns 
*/
getItem(rowIdIndex: any): Telerik.Web.UI.RadTreeListDataItem;
        /**
The column at the specified columnIndex will be hidden.
@method
@returns 
*/
hide(): void;
        /**
Notifies RadTreeList that its client settings have been modified.
@method
@returns 
*/
notifyClientStateModified(): void;
        /**
Changes the page in RadTreeList.
@method
@param command - One of the page commands
@returns 
*/
page(command: string): void;
        /**
Saves the client settings of RadTreeList for sending to the server.
@method
@returns 
*/
saveClientState(): void;
        /**
Selects all RadTreeListDataItems in the current RadTreeList instance.
@method
@returns 
*/
selectAllItems(): void;
        /**
Selects a RadTreeListDataItem.
@method
@param item - 
@returns 
*/
selectItem(item: Telerik.Web.UI.RadTreeListDataItem): void;
        /**
Property which sets the current page index by firing a Page command.
@method
@returns 
*/
set_currentPageIndex(): void;
        /**
A property which selects or deselects the current item based on the boolean value passed.
@method
@returns 
*/
set_selected(): void;
        /**
Sets the collection of all selected indexes in RadTreeList.
@method
@param value - An array of integer indexes.
@returns 
*/
set_selectedIndexes(value: any): void;
        /**
The column at the specified columnIndex will be shown.
@method
@returns 
*/
show(): void;
        /**
Saves the client settings of RadTreeList for sending to the server if the state has been modified. RadTreeList is notified of state changes using the notifyClientStateModified method.
@method
@returns 
*/
updateClientStateIfModified(): void;
        /**
This event is fired (only when Keyboard Navigation is enabled) when any key is pressed inside the RadTreeList and the treelist control is about to process this key.
*/
add_keyPress(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListKeyPressEventArgs) => void): void;

remove_keyPress(handler: Function): void;
        /**
This event is fired after the treelist column is resized.
*/
add_columnResized(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListColumnResizedEventArgs) => void): void;

remove_columnResized(handler: Function): void;
        /**
This event is fired before the treelist column is resized.
*/
add_columnResizing(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListColumnResizingEventArgs) => void): void;

remove_columnResizing(handler: Function): void;
        /**
This event is fired when a data item is clicked in RadTreeList.
*/
add_itemClick(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemClickEventArgs) => void): void;

remove_itemClick(handler: Function): void;
        /**
This event is fired when a data item is double-clicked in RadTreeList.
*/
add_itemDblClick(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemDblClickEventArgs) => void): void;

remove_itemDblClick(handler: Function): void;
        /**
This event is fired when a drag action is started upon the TreeListDataItem.
*/
add_itemDragStarted(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemDragStartedEventArgs) => void): void;

remove_itemDragStarted(handler: Function): void;
        /**
This event is fired when a right click on a TreeListDataItem happens.
*/
add_itemContextMenu(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemContextMenuEventArgs) => void): void;

remove_itemContextMenu(handler: Function): void;
        /**
This event is fired when a TreeListDataItem has been dropped after dragging.
*/
add_itemDropped(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemDroppedEventArgs) => void): void;

remove_itemDropped(handler: Function): void;
        /**
This event is fired when a TreeListDataItem is about to be deselected on the client. This
*/
add_itemDeselecting(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemDeselectingEventArgs) => void): void;

remove_itemDeselecting(handler: Function): void;
        /**
This event is fired when a TreeListDataItem is about to be selected on the client. This event
*/
add_itemSelecting(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemSelectingEventArgs) => void): void;

remove_itemSelecting(handler: Function): void;
        /**
This event is fired when a TreeListDataItem is being dragged.
*/
add_itemDragging(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemDraggingEventArgs) => void): void;

remove_itemDragging(handler: Function): void;
        /**
This event is fired when a TreeListDataItem is being dropped.
*/
add_itemDropping(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemDroppingEventArgs) => void): void;

remove_itemDropping(handler: Function): void;
        /**
This event is fired when a TreeListDataItem is deselected on the client.
*/
add_itemDeselected(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemDeselectedEventArgs) => void): void;

remove_itemDeselected(handler: Function): void;
        /**
This event is fired when a TreeListDataItem is selected on the client.
*/
add_itemSelected(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemSelectedEventArgs) => void): void;

remove_itemSelected(handler: Function): void;
        /**
This event is fired when each of the TreeListDataItem client components is created.
*/
add_itemCreated(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListItemCreatedEventArgs) => void): void;

remove_itemCreated(handler: Function): void;
        /**
This event is fired when the RadTreeList client component is about to be disposed.
*/
add_treeListDestroying(handler: (sender: Telerik.Web.UI.RadTreeList, args: Sys.EventArgs) => void): void;

remove_treeListDestroying(handler: Function): void;
        /**
This event is fired when the RadTreeList client component is initialized.
*/
add_treeListCreated(handler: (sender: Telerik.Web.UI.RadTreeList, args: Sys.EventArgs) => void): void;

remove_treeListCreated(handler: Function): void;
        /**
This event is fired when the RadTreeList client component is initializing.
*/
add_treeListCreating(handler: (sender: Telerik.Web.UI.RadTreeList, args: Sys.EventArgs) => void): void;

remove_treeListCreating(handler: Function): void;
        /**
This event is fired when the treelist is scrolled.
*/
add_scroll(handler: (sender: Telerik.Web.UI.RadTreeList, args: Telerik.Web.UI.TreeListScrollEventArgs) => void): void;

remove_scroll(handler: Function): void;
    }


    class RadTreeListDataItem   {
    }


    class RadTreeMap  extends Telerik.Web.UI.RadWebControl {
        /**
Gets a reference to the Kendo TreeMap widget. 
To use the exposed Kendo methods make sure you have the kendo.dataviz.d.ts file and cast the returned object to kendo.dataviz.ui.TreeMap.
@method
@returns 
*/
get_kendoWidget(): any;
        /**
Occurs after the RadTreeMap has been fully initialized on the client-side.
*/
add_load(handler: (sender: Telerik.Web.UI.RadTreeMap, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
Occurs after the RadTreeMap has been fully initialized on the client-side.
*/
add_itemCreated(handler: (sender: Telerik.Web.UI.RadTreeMap, args: Telerik.Web.UI.TreeMapItemCreatedEventArgs) => void): void;

remove_itemCreated(handler: Function): void;
    }


    class RadTreeNode  extends Telerik.Web.UI.ControlItem {
        /**
Evaluates the template against the Node's data item and applies it.
@method
@returns 
*/
bindTemplate(): void;
        /**
Marks the checkbox for a Node
@method
@returns 
*/
check(): void;
        /**
Clones the node with or without the child-nodes (with respect to the boolean parameter cloneChildren).
@method
@param cloneChildren - Determines whether the child nodes should be cloned.
@returns The cloned node.
*/
clone(cloneChildren: boolean): Telerik.Web.UI.RadTreeNode;
        /**
Collapses a Node
@method
@returns 
*/
collapse(): void;
        /**
Disables a Node
@method
@returns 
*/
disable(): void;
        /**
Enables a Node
@method
@returns 
*/
enable(): void;
        /**
Takes the Node out of editing mode.
@method
@returns 
*/
endEdit(): void;
        /**
Expands a Node
@method
@returns 
*/
expand(): void;
        /**
Returns an array of all the child Nodes of this node.
@method
@returns Returns an array of all the child Nodes of this node.
*/
get_allNodes(): Telerik.Web.UI.RadTreeNode[];
        /**
True, if dragging is allowed, false otherwise.
@method
@returns 
*/
get_allowDrag(): boolean;
        /**
True, if dropping is allowed, false otherwise.
@method
@returns 
*/
get_allowDrop(): boolean;
        /**
True, if Node edit is allowed, false, otherwise.
@method
@returns 
*/
get_allowEdit(): boolean;
        /**
Returns a Collection of all custom attributes set to the Node.
@method
@returns 
*/
get_attributes(): any;
        /**
Gets the category of the Node.
@method
@returns 
*/
get_category(): string;
        /**
Returns the checkability of the Node
@method
@returns true if the node can be checked
*/
get_checkable(): boolean;
        /**
Gets the DOM Element of the checkbox.
@method
@returns DOM Element for the checkbox.
*/
get_checkBoxElement(): HTMLElement;
        /**
Gets the checked state of a Node. The Node is checked if get_checked() returns true.
@method
@returns 
*/
get_checked(): boolean;
        /**
Returns the current check state of a node. It can be one of the following:Telerik.Web.UI.TreeNodeCheckState.Unchecked, Telerik.Web.UI.TreeNodeCheckState.Checked or Telerik.Web.UI.TreeNodeCheckState.Indeterminate
@method
@returns 
*/
get_checkState(): Telerik.Web.UI.TreeNodeCheckState;
        /**
Returns the DOM element for the list of the child Nodes. Null if there are no child Nodes.
@method
@returns DOM element for the child nodes list
*/
get_childListElement(): HTMLElement;
        /**
Returns the value of the Node's ClientTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**
Returns the value of ContentCssClass property of the Node
@method
@returns 
*/
get_contentCssClass(): string;
        /**

@method
@returns 
*/
get_contentElement(): void;
        /**
Returns the context menu object (if any).
@method
@returns 
*/
get_contextMenu(): Telerik.Web.UI.RadMenu;
        /**
Returns the ID of the Context Menu assigned to the Node.
@method
@returns 
*/
get_contextMenuID(): string;
        /**
Returns the name of the CSS class applied to the Node.
@method
@returns 
*/
get_cssClass(): string;
        /**
Returns the name of the CSS class applied to the Node when disabled.
@method
@returns 
*/
get_disabledCssClass(): string;
        /**
Returns the path to the image displayed next to the Node when disabled.
@method
@returns 
*/
get_disabledImageUrl(): string;
        /**
Returns the DOM element for a Node.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
True if the Context Menus are enabled,False otherwise.
@method
@returns 
*/
get_enableContextMenu(): boolean;
        /**
Gets the enabled state of the Node. The Node is enabled if get_enabled() returns true.
@method
@returns 
*/
get_enabled(): any;
        /**
Gets the expanded/collapsed state of a Node. The Node is expanded if get_expanded() returns true.
@method
@returns 
*/
get_expanded(): boolean;
        /**
Returns the path to the image displayed next to the Node when expanded.
@method
@returns 
*/
get_expandedImageUrl(): string;
        /**
Returns the ExpandMode of the Node. ExpandMode can be: 0 - ExpandMode.ClientSide; 1 - ExpandMode.ServerSide; 2 - ExpandMode.ServerSideCallBack; 3 - ExpandMode.WebService;
@method
@returns Int
*/
get_expandMode(): number;
        /**
Returns the name of the CSS class applied to the Node when hovered.
@method
@returns 
*/
get_hoveredCssClass(): string;
        /**
Returns the path to the image displayed next to the Node when hovered.
@method
@returns 
*/
get_hoveredImageUrl(): string;
        /**
Gets the DOM Element of the image set to the node. Note: Images are set using the RadTreeView ImageUrl property.
@method
@returns DOM Element for the image.
*/
get_imageElement(): HTMLElement;
        /**
Returns the path to the image displayed next to the Node.
@method
@returns 
*/
get_imageUrl(): string;
        /**
Returns the index of the node in the nodes collection of its parent.
@method
@returns 
*/
get_index(): any;
        /**
Returns the DOM element for the input when the Node is in Edit Mode
@method
@returns DOM Element
*/
get_inputElement(): HTMLElement;
        /**
Returns true if both the Node and the tree are enabled. If one of them is disabled, the get_isEnabled returns false.
@method
@returns 
*/
get_isEnabled(): any;
        /**

@method
@returns 
*/
get_lastChild(): void;
        /**

@method
@returns 
*/
get_lastVisibleChild(): void;
        /**
Gets the Level of the Node in the TreeView structure. Root Nodes are at level 0, their children Nodes - at 1 and so on.
@method
@returns 
*/
get_level(): number;
        /**
Gets the DOM element for the link of the Node when NavigateUrl is set
@method
@returns DOM element
*/
get_linkElement(): HTMLElement;
        /**
Returns the DOM element representing loading status of the Node.
@method
@returns DOM Element
*/
get_loadingStatusElement(): HTMLElement;
        /**
Returns the URL of the Node(the href attribute of the link). Null if the NavigateUrl server property is not set.
@method
@returns String
*/
get_navigateUrl(): string;
        /**
Gets an instance of the next sibling of a Node.
@method
@returns 
*/
get_nextNode(): Telerik.Web.UI.RadTreeNode;
        /**

@method
@returns 
*/
get_nextVisibleNode(): void;
        /**

@method
@returns 
*/
get_nodeData(): void;
        /**
Returns the RadTreeNodeCollection of a Node.
@method
@returns 
*/
get_nodes(): Telerik.Web.UI.RadTreeNodeCollection;
        /**
True if postback is enabled, false otherwise.
@method
@returns 
*/
get_postBack(): boolean;
        /**
Gets an instance of the previous sibling of a Node.
@method
@returns RadTreeNode
*/
get_previousNode(): Telerik.Web.UI.RadTreeNode;
        /**

@method
@returns 
*/
get_prevVisibleNode(): void;
        /**

@method
@returns 
*/
get_resolvedContextMenuID(): void;
        /**
Gets the selected state of a Node. Returns true if the Node is selected.
@method
@returns 
*/
get_selected(): boolean;
        /**
Returns the name of the CSS class applied to the Node when selected.
@method
@returns 
*/
get_selectedCssClass(): string;
        /**
Returns the path to the image displayed next to the Node when selected.
@method
@returns 
*/
get_selectedImageUrl(): string;
        /**
Gets the target of the Node. If a target is not set, returns null.
@method
@returns 
*/
get_target(): string;
        /**
Retrieves the text for a Node.
@method
@returns 
*/
get_text(): string;
        /**
Gets the DOM Element of the text set to the Node. Note: Changes to the text element are not persisted across postbacks.;
@method
@returns DOM Element for the text of the Node.
*/
get_textElement(): HTMLElement;
        /**
Returns the DOM element representing the toggle image. Null, if the Node has no child Nodes.
@method
@returns DOM Element for the toggle image.
*/
get_toggleElement(): HTMLElement;
        /**
Gets the ToolTip of the Node. If a ToolTip is not set, returns null.
@method
@returns 
*/
get_toolTip(): string;
        /**
Gets an instance to the parent RadTreeView.
@method
@returns 
*/
get_treeView(): Telerik.Web.UI.RadTreeView;
        /**
Gets the value of the Node.
@method
@returns 
*/
get_value(): any;
        /**
True if the item is visible.
@method
@returns 
*/
get_visible(): boolean;
        /**
Hides the loading message.
@method
@returns 
*/
hideLoadingStatus(): void;
        /**
Highlights a Node. Highlighted Nodes are visually emphasized.
@method
@returns 
*/
highlight(): void;
        /**
Causes the Node to scroll into view, aligning the Node to the bottom of the TreeView area.
@method
@returns 
*/
scrollIntoView(): void;
        /**
Selects a Node
@method
@returns 
*/
select(): void;
        /**
Enables/Disables dragging.
@method
@param value - value
@returns 
*/
set_allowDrag(value: boolean): void;
        /**
Enables/Disables dragging.
@method
@param value - value
@returns 
*/
set_allowDrop(value: boolean): void;
        /**
Allows/Disallows Node editing.
@method
@param value - value
@returns 
*/
set_allowEdit(value: boolean): void;
        /**
Sets the category of the Node.
@method
@param value - value
@returns 
*/
set_category(value: string): void;
        /**
Enables/Disables the checkability of the Node.
@method
@param value - value
@returns 
*/
set_checkable(value: boolean): void;
        /**
Marks or unmarks the checkbox for a Node.
@method
@param value - Boolean
@returns 
*/
set_checked(value: boolean): void;
        /**
Sets the value of the Node's ClientTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**
Sets the value of ContentCssClass property of the Node
@method
@param value - value
@returns 
*/
set_contentCssClass(value: string): void;
        /**
Sets the ID of the Context menu to be assigned to the Node.
@method
@param contextMenuID - contextMenuID
@returns 
*/
set_contextMenuID(contextMenuID: string): void;
        /**
Sets the name of the CSS class to be applied to the Node.
@method
@param value - value
@returns 
*/
set_cssClass(value: string): void;
        /**
Sets the name of the CSS class to be applied to the Node when disabled.
@method
@param value - value
@returns 
*/
set_disabledCssClass(value: string): void;
        /**
Sets the path to the image displayed next to the Node when disabled.
@method
@param value - value
@returns 
*/
set_disabledImageUrl(value: string): void;
        /**

@method
@param value - Sets the DOM element of the node
@returns 
*/
set_element(value: HTMLElement): void;
        /**
Determines if the Context Menu should be enabled.
@method
@param value - value
@returns 
*/
set_enableContextMenu(value: boolean): void;
        /**
Enables or disables a Node based on the boolean parameter passed in.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Expands or collapses a Node.
@method
@param value - value
@returns 
*/
set_expanded(value: boolean): void;
        /**
Sets the path to the image displayed next to the Node when expanded.
@method
@param value - value
@returns 
*/
set_expandedImageUrl(value: string): void;
        /**
Sets the ExpandMode of the Node. ExpandMode can be: Telerik.Web.UI.TreeNodeExpandMode.ClientSide; Telerik.Web.UI.TreeNodeExpandMode.ServerSide; Telerik.Web.UI.TreeNodeExpandMode.ServerSideCallBack; Telerik.Web.UI.TreeNodeExpandMode.WebService;
@method
@param value - value
@returns 
*/
set_expandMode(value: Telerik.Web.UI.TreeNodeExpandMode): void;
        /**
Sets the name of the CSS class to be applied to the Node when hovered.
@method
@param value - value
@returns 
*/
set_hoveredCssClass(value: string): void;
        /**
Sets the path to the image displayed next to the Node when hovered.
@method
@param value - value
@returns 
*/
set_hoveredImageUrl(value: string): void;
        /**
Sets the path to the image displayed next to the Node.
@method
@param value - value
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the URL of the Node. Works only if the NavigateUrl property has been set at the server-side beforehand or if the Node is not added at the client-side.
@method
@param value - value
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Determines if the Node should postback.
@method
@param value - value
@returns 
*/
set_postBack(value: boolean): void;
        /**
Selects or unselects a Node based on the boolean parameter.
@method
@param value - value
@returns 
*/
set_selected(value: boolean): void;
        /**
Sets the name of the CSS class to be applied to the Node when selected.
@method
@param value - value
@returns 
*/
set_selectedCssClass(value: string): void;
        /**
Sets the path to the image displayed next to the Node when selected.
@method
@param value - value
@returns 
*/
set_selectedImageUrl(value: string): void;
        /**
Sets the target of the Node.
@method
@param value - value
@returns 
*/
set_target(value: string): void;
        /**
Sets the text of the Node.
@method
@param text - text
@returns 
*/
set_text(text: string): void;
        /**
Sets the ToolTip of the Node.
@method
@param value - value
@returns 
*/
set_toolTip(value: string): void;
        /**
Sets the value of the Node.
@method
@param string - 
@returns 
*/
set_value(string: any): any;
        /**
Set the visibility of a Node.
@method
@param value - value
@returns 
*/
set_visible(value: boolean): void;
        /**
Shows the loading message at the specified position. The available positions are: Telerik.Web.UI.TreeViewLoadingStatusPosition.BelowNodeTextTelerik.Web.UI.TreeViewLoadingStatusPosition.AfterNodeText Telerik.Web.UI.TreeViewLoadingStatusPosition.BeforeNodeText
@method
@param text - text
@param position - position
@returns 
*/
showLoadingStatus(text: string, position: Telerik.Web.UI.TreeViewLoadingStatusPosition): void;
        /**
Allows the Node to be edited. This is equivalent to the user clicking the Node twice or pressing F2.
@method
@returns 
*/
startEdit(): void;
        /**
Collapses an expanded Node or expands a collapsed Node.
@method
@returns 
*/
toggle(): void;
        /**
Unmarks the checkbox for a Node
@method
@returns 
*/
uncheck(): void;
        /**
Un-highlights a Node
@method
@returns 
*/
unhighlight(): void;
        /**
Unselects a Node
@method
@returns 
*/
unselect(): void;
    }


    class RadTreeNodeCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Retrieves a DOM event object of the node click.
@method
@returns ### get_nodeRetrieves a reference to the clicked on node.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadTreeNodeCollection  extends Telerik.Web.UI.ControlItemCollection<Telerik.Web.UI.RadTreeNode> {
        /**
Adds a node to the Nodes collection.
@method
@param node - 
@returns ### clearClears the Items collection of RadListBox
*/
add(node: Telerik.Web.UI.RadTreeNode): void;
        /**
Iterates through the Items collection
@method
@param lambda - The function to execute on each iteration
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of nodes in the Items collection.
@method
@returns The number of the items
*/
get_count(): number;
        /**
Gets the last N nodes where N is passed as a parameter
@method
@param value - Indicates the last N nodes that should be returned
@returns 
*/
get_last(value: number): void;
        /**
Gets the Node from the Nodes collection residing at the index defined by the parameter passed to the function.
@method
@param index - index
@returns 
*/
getNode(index: number): Telerik.Web.UI.RadTreeNode;
        /**
Gets the index of an node.
@method
@param node - The node to get the index of
@returns int
*/
indexOf(node: Telerik.Web.UI.RadTreeNode): number;
        /**
Removes an node from the Items collection
@method
@param node - The node to remove
@returns 
*/
remove(node: Telerik.Web.UI.RadTreeNode): void;
        /**
Removes the node at the specified index.
@method
@param index - The index to remove at
@returns 
*/
removeAt(index: number): void;
    }


    class RadTreeNodeDataBoundEventArgs  extends Telerik.Web.UI.RadTreeNodeEventArgs {
    }


    class RadTreeNodeDraggingEventArgs  extends Telerik.Web.UI.RadTreeNodeCancelEventArgs {
        /**
Retrieves a reference to the destination node, i.e. the node that is being dropped onto.
@method
@returns 
*/
get_destNode(): Telerik.Web.UI.RadTreeNode;
        /**
Returns the relative position of the dropped node(s) and can be "over", "above" or "below".
@method
@returns 
*/
get_dropPosition(): string;
        /**
Retrieves the DOM html element representing the destination node.
@method
@returns 
*/
get_htmlElement(): HTMLElement;
        /**
Retrieves the node being dropped.
@method
@returns 
*/
get_sourceNode(): Telerik.Web.UI.RadTreeNode;
        /**
Retrieves an array of nodes being dropped. It is useful when the RadTreeView MultipleSelect property is True.
@method
@returns 
*/
get_sourceNodes(): Telerik.Web.UI.RadTreeNodeCollection;
    }


    class RadTreeNodeDroppedEventArgs  extends Sys.EventArgs {
        /**
Retrieves the node being dropped.
@method
@returns 
*/
get_sourceNode(): Telerik.Web.UI.RadTreeNode;
        /**
Retrieves an array of nodes being dropped. It is useful when the RadTreeView MultipleSelect property is True.
@method
@returns 
*/
get_sourceNodes(): Telerik.Web.UI.RadTreeNodeCollection;
    }


    class RadTreeNodeDroppingEventArgs  extends Sys.CancelEventArgs {
        /**
retrieves a reference to the destination node, i.e. the node that is being dropped onto.
@method
@returns 
*/
get_destNode(): Telerik.Web.UI.RadTreeNode;
        /**
retrieves a DOM event object of the node dropping.
@method
@returns 
*/
get_domEvent(): HTMLElement;
        /**
Returns the relative position of the dropped node(s) and can be "over", "above" or "below".
@method
@returns 
*/
get_dropPosition(): string;
        /**
Retrieves the DOM html element representing the destination node.
@method
@returns 
*/
get_htmlElement(): HTMLElement;
        /**
Retrieves the node being dropped.
@method
@returns 
*/
get_sourceNode(): Telerik.Web.UI.RadTreeNode;
        /**
Retrieves an array of nodes being dropped. It is useful when the RadTreeView MultipleSelect property is True.
@method
@returns 
*/
get_sourceNodes(): Telerik.Web.UI.RadTreeNodeCollection;
        /**
Sets the DOM html element representing the destination node.
@method
@returns 
*/
set_htmlElement(): HTMLElement;
    }


    class RadTreeNodeEditingEventArgs  extends Telerik.Web.UI.RadTreeNodeCancelEventArgs {
        /**
Returns the new text entered by the user.
@method
@returns 
*/
get_newText(): string;
    }


    class RadTreeNodeErrorEventArgs  extends Telerik.Web.UI.RadTreeNodeCancelEventArgs {
    }


    class RadTreeNodeEventArgs  extends Sys.EventArgs {
        /**
Retrieves a DOM event object of the node click.
@method
@returns ### get_nodeRetrieves a reference to the clicked on node.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RadTreeNodePopulatedEventArgs  extends Telerik.Web.UI.RadTreeNodeEventArgs {
    }


    class RadTreeNodePopulatingEventArgs  extends Telerik.Web.UI.RadTreeNodeCancelEventArgs {
        /**
Retrieves an object that is automatically passed to a load-on-demand web service.
@method
@returns 
*/
get_context(): any;
    }


    class RadTreeNodePopulationFailedEventArgs  extends Telerik.Web.UI.RadTreeNodeCancelEventArgs {
        /**
Retrieves  the exception message text.
@method
@returns 
*/
get_errorMessage(): string;
    }


    class RadTreeView  extends Telerik.Web.UI.ControlItemContainer {
        /**
Adds the passed nodes to the passed target's node collection. The usage of this method is preferable when a big amount of child nodes is being added to a certain node's Collection, because it batches the updates to the DOM in a single operation and this is a major performance improvement.
@method
@param target - The target receiving the new nodes
@param nodes - The nodes to be added
@returns 
*/
addNodesTo(target: Telerik.Web.UI.RadTreeNode, nodes: Telerik.Web.UI.RadTreeNodeCollection): void;
        /**
Bulks update operations over the current TreeView instance, executed in the passed function. The parameter is only one and it's a function.
@method
@param func - The function that should be executed
@returns 
*/
bulkUpdateWith(func: Function): void;
        /**
Checks all nodes of the TreeView.
@method
@returns 
*/
checkAllNodes(): void;
        /**
Checks the passed nodes. The parameter is only one and can be Telerik.Web.UI.RadTreeNodeCollection or regular Array.
@method
@param nodes - The nodes to be checked
@returns 
*/
checkNodes(nodes: Telerik.Web.UI.RadTreeNodeCollection): void;
        /**
Writes the changes to the TreeView that were made since a previous call to trackChanges, so that they are preserved on the server as well.
@method
@returns 
*/
commitChanges(): void;
        /**
Returns the first RadTreeNode object whose NavigateUrl property is equal to the passed parameter. Note that the parameter should ends with "/" like: var item = sender.findNodeByAbsoluteUrl("http://www.test.com/");
@method
@param url - NavigateUrl of the Node
@returns 
*/
findNodeByAbsoluteUrl(url: string): Telerik.Web.UI.RadTreeNode;
        /**
Gets the first instance of a Node with the specified attribute, value pair.
@method
@param attributeName - attributeName
@param attributeValue - attributeValue
@returns 
*/
findNodeByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RadTreeNode;
        /**
Gets the first instance of a Node with the specified text.
@method
@param text - Text of the Node
@returns 
*/
findNodeByText(text: string): Telerik.Web.UI.RadTreeNode;
        /**
Returns the first RadTreeNode object whose NavigateUrl property is equal to the passed parameter.
@method
@param url - NavigateUrl of the Node
@returns 
*/
findNodeByUrl(url: string): Telerik.Web.UI.RadTreeNode;
        /**
Gets the first instance of a Node with the specified value.
@method
@param value - Value of the Node
@returns 
*/
findNodeByValue(value: string): Telerik.Web.UI.RadTreeNode;
        /**
Returns an array of all the Nodes within the TreeView.
@method
@returns Returns an array of all the Nodes within the TreeView.
*/
get_allNodes(): Telerik.Web.UI.RadTreeNode[];
        /**
True if the AllowNodeEditing property is enabled, false otherwise.
@method
@returns Boolean
*/
get_allowNodeEditing(): boolean;
        /**

@method
@returns 
*/
get_checkedIndexes(): void;
        /**
Returns an array of the checked nodes when CheckBoxes="True".
@method
@returns Array
*/
get_checkedNodes(): any;
        /**
Returns the DOM element for the root list of nodes in the treeview
@method
@returns DOM element for the root nodes list
*/
get_childListElement(): HTMLElement;
        /**
Returns the value of the TreeView's ClientNodeTemplate property.
@method
@returns 
*/
get_clientTemplate(): void;
        /**

@method
@returns 
*/
get_collapseAnimation(): void;
        /**

@method
@returns 
*/
get_collapsedIndexes(): void;
        /**
Returns an Array containing the IDs of the treeview context menus
@method
@returns Array
*/
get_contextMenuIDs(): any;
        /**
Returns an Array of the treeview context menus
@method
@returns Array
*/
get_contextMenus(): any;
        /**
Returns the DOM element for the dragged node (during OnClientNodeDragging event handler)
@method
@returns DOM element for the dragged node
*/
get_draggingClueElement(): HTMLElement;
        /**
Gets a reference to the DIV element that wraps the TreeView.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets the enabled state of the TreeView.
@method
@returns 
*/
get_enabled(): boolean;
        /**
True if the EnableDragAndDrop property is enabled, false otherwise.
@method
@returns Boolean
*/
get_enableDragAndDrop(): boolean;
        /**
True if the EnableDragAndDropBetweenNodes property is enabled, false otherwise.
@method
@returns Boolean
*/
get_enableDragAndDropBetweenNodes(): boolean;
        /**

@method
@returns 
*/
get_expandAnimation(): void;
        /**

@method
@returns 
*/
get_expandedIndexes(): void;
        /**
Gets the server ID of the control.
@method
@returns 
*/
get_id(): any;
        /**
Returns the value of the RadTreeView's LoadingMessage property. The default value is "Loading..."
@method
@returns String
*/
get_loadingMessage(): string;
        /**
Returns the value of the RadTreeView's LoadingStatusPosition property.
@method
@returns Number
*/
get_loadingStatusPosition(): number;
        /**
True if MultipleSelect property is enabled, false otherwise.
@method
@returns Boolean
*/
get_multipleSelect(): boolean;
        /**

@method
@returns 
*/
get_nodeData(): void;
        /**
Returns the root level RadTreeNodeCollection.
@method
@returns Telerik.Web.UI.RadTreeNodeCollection
*/
get_nodes(): Telerik.Web.UI.RadTreeNodeCollection;
        /**
True if the PersistLoadOnDemandNodes property is enabled, false otherwise.
@method
@returns Boolean
*/
get_persistLoadOnDemandNodes(): boolean;
        /**

@method
@returns 
*/
get_selectedIndexes(): void;
        /**
Gets the instance of the currently selected Node. Null if none.
@method
@returns RadTreeNode
*/
get_selectedNode(): Telerik.Web.UI.RadTreeNode;
        /**
Gets an Array of all selected Nodes (useful when MultipleSelect property is trackChanges, so that they are preserved
@method
@returns Array
*/
get_selectedNodes(): any;
        /**
True if the SingleExpandPath property is enables, false otherwise.
@method
@returns Boolean
*/
get_singleExpandPath(): boolean;
        /**

@method
@returns 
*/
get_webServiceSettings(): void;
        /**

@method
@returns 
*/
saveClientState(): void;
        /**
Selects all Nodes at all levels of the tree
@method
@returns 
*/
selectAllNodes(): any;
        /**
Selects the passed nodes (if MultipleSelection is enabled), or only the last from the passed nodes (if MultipleSelection is disabled). The parameter is only one and can be Telerik.Web.UI.RadTreeNodeCollection or regular Array.
@method
@param nodes - The nodes to be selected
@returns 
*/
selectNodes(nodes: Telerik.Web.UI.RadTreeNodeCollection): void;
        /**
Enables/Disables node editing.
@method
@param value - value
@returns 
*/
set_allowNodeEditing(value: boolean): void;
        /**

@method
@returns 
*/
set_checkedIndexes(): void;
        /**
Sets the value of the TreeView's ClientNodeTemplate property.
@method
@param value - value
@returns 
*/
set_clientTemplate(value: string): void;
        /**

@method
@returns 
*/
set_collapseAnimation(): void;
        /**

@method
@returns 
*/
set_collapsedIndexes(): void;
        /**

@method
@returns 
*/
set_contextMenuIDs(): void;
        /**
Enables/Disables the TreeView.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Enables/Disables drag and drop.
@method
@param value - value
@returns 
*/
set_enableDragAndDrop(value: boolean): void;
        /**
Enables/Disables drag and drop between nodes.
@method
@param value - value
@returns 
*/
set_enableDragAndDropBetweenNodes(value: boolean): void;
        /**

@method
@returns 
*/
set_expandAnimation(): void;
        /**

@method
@returns 
*/
set_expandedIndexes(): void;
        /**
Sets a loading message to the TreeView.
@method
@param value - value
@returns 
*/
set_loadingMessage(value: string): void;
        /**
Sets the value of LoadingStatusPosition property.
@method
@param value - value
@returns 
*/
set_loadingStatusPosition(value: number): void;
        /**
Enables/Disables multiple selection.
@method
@param value - value
@returns 
*/
set_multipleSelect(value: boolean): void;
        /**

@method
@returns 
*/
set_nodeData(): void;
        /**
Enables/Disables PersistLoadOnDemandNodes property.
@method
@param value - value
@returns 
*/
set_persistLoadOnDemandNodes(value: boolean): void;
        /**

@method
@returns 
*/
set_selectedIndexes(): void;
        /**
Enables/Disables SingleExpandPath property.
@method
@param value - value
@returns 
*/
set_singleExpandPath(value: boolean): void;
        /**

@method
@returns 
*/
set_webServiceSettings(): void;
        /**
Displays the context menu for a Node which is equal to the first parameter using pair as a second parameter.
@method
@param node - node
@param domEvent - domEvent
@returns 
*/
showNodeContextMenu(node: Telerik.Web.UI.RadTreeNode, domEvent: Sys.UI.DomEvent): void;
        /**
Unchecks all nodes of the TreeView.
@method
@returns 
*/
uncheckAllNodes(): void;
        /**
Unchecks the passed nodes. The parameter is only one and can be Telerik.Web.UI.RadTreeNodeCollection or regular Array.
@method
@param nodes - The nodes to be unchecked
@returns 
*/
uncheckNodes(nodes: Telerik.Web.UI.RadTreeNodeCollection): void;
        /**
Un-selects all Nodes at all levels of the tree.
@method
@returns 
*/
unselectAllNodes(): void;
        /**
Unelects the passed nodes. The parameter is only one and can be Telerik.Web.UI.RadTreeNodeCollection or regular Array.
@method
@param nodes - The nodes to be unselected
@returns 
*/
unselectNodes(nodes: Telerik.Web.UI.RadTreeNodeCollection): void;
        /**
The contextMenuItemClicked client-side event occurs when the user clicks the context menu item for a node.
*/
add_contextMenuItemClicked(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeViewContextMenuItemEventArgs) => void): void;

remove_contextMenuItemClicked(handler: Function): void;
        /**
The contextMenuItemClicking client-side event occurs when the user clicks a menu item, but before the OnClientContextMenuItemClicked event fires. The event is called just prior to postback or url redirection and can be canceled.
*/
add_contextMenuItemClicking(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeViewContextMenuItemCancelEventArgs) => void): void;

remove_contextMenuItemClicking(handler: Function): void;
        /**
The contextMenuShowing client-side event occurs just prior to opening a context menu. If the event is canceled, the OnClientContextMenuShown event does not fire.
*/
add_contextMenuShowing(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeViewContextMenuCancelEventArgs) => void): void;

remove_contextMenuShowing(handler: Function): void;
        /**
The contextMenuShown client-side event occurs after opening a context menu.
*/
add_contextMenuShown(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeViewContextMenuEventArgs) => void): void;

remove_contextMenuShown(handler: Function): void;
        /**
The doubleClick client-side event occurs when the end user double-clicks a node.
*/
add_doubleClick(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_doubleClick(handler: Function): void;
        /**
The keyPressing client-side event occurs when any key is clicked while the treeview is having the focus.
*/
add_keyPressing(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeCancelEventArgs) => void): void;

remove_keyPressing(handler: Function): void;
        /**
The load event fires after the RadTreeView client-side object has been fully initialized.
*/
add_load(handler: (sender: Telerik.Web.UI.RadTreeView, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The mouseOut client-side event occurs just before the mouse passes out of a node.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
        /**
The mouseOver client-side event occurs when the mouse cursor passes over a node.
*/
add_mouseOver(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_mouseOver(handler: Function): void;
        /**
The nodeAnimationEnd event fires when the node is expanded / collapsed and after the animation has finished.
*/
add_nodeAnimationEnd(handler: (sender: Telerik.Web.UI.RadTreeView, args: Object) => void): void;

remove_nodeAnimationEnd(handler: Function): void;
        /**
The nodeChecked client-side event occurs after the end user selects a checkbox using mouse or keyboard. The node checked status returned by the node get_checked() function has now changed to reflect the new value. The action can longer be canceled.
*/
add_nodeChecked(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_nodeChecked(handler: Function): void;
        /**
The nodeChecking client-side event occurs when the user selects a checkbox using mouse or keyboard. The checked state returned by the node get_checked() function has not changed to reflect the new value. The event is called just prior to postback or url redirection and can be canceled.
*/
add_nodeChecking(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeCancelEventArgs) => void): void;

remove_nodeChecking(handler: Function): void;
        /**
The nodeClicked client-side event occurs when the end user navigates to a node using mouse or keyboard.
*/
add_nodeClicked(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_nodeClicked(handler: Function): void;
        /**
The nodeClicking client-side event occurs just before the user navigates to a node using mouse or keyboard. The event is called just prior to postback or url redirection and can be canceled.
*/
add_nodeClicking(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeCancelEventArgs) => void): void;

remove_nodeClicking(handler: Function): void;
        /**
The nodeCollapsed client-side event occurs after the user clicks the collapse (minus) button.
*/
add_nodeCollapsed(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_nodeCollapsed(handler: Function): void;
        /**
The nodeCollapsing client-side event occurs when the user clicks the collapse (minus) button. The event is called just prior to postback or url redirection and can be canceled.
*/
add_nodeCollapsing(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeCancelEventArgs) => void): void;

remove_nodeCollapsing(handler: Function): void;
        /**
The nodeDataBound event fires when a Node is being created during Web Service Load on Demand.
*/
add_nodeDataBound(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_nodeDataBound(handler: Function): void;
        /**
The nodeDragging client-side event is called each time the user moves the mouse while dragging a node. Note: You can use this event to change the mouse cursor so that user knows where they can drag a node, i.e. only over a grid, editor or another treeview, etc.
*/
add_nodeDragging(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeDraggingEventArgs) => void): void;

remove_nodeDragging(handler: Function): void;
        /**
The nodeDragStart client-side event is called each time the user begins to drag a node.
*/
add_nodeDragStart(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeDraggingEventArgs) => void): void;

remove_nodeDragStart(handler: Function): void;
        /**
The nodeDropped client-side event is called after node(s) are dropped.
*/
add_nodeDropped(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeDroppedEventArgs) => void): void;

remove_nodeDropped(handler: Function): void;
        /**
The nodeDropping client-side event is called before nodes are dropped and can be canceled.
*/
add_nodeDropping(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeDroppingEventArgs) => void): void;

remove_nodeDropping(handler: Function): void;
        /**
The nodeEdited client-side event is called after editing is completed.
*/
add_nodeEdited(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_nodeEdited(handler: Function): void;
        /**
The nodeEditing client-side event is called when editing is completed and before the OnClientNodeEdit event fires. This event can be canceled.
*/
add_nodeEditing(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEditingEventArgs) => void): void;

remove_nodeEditing(handler: Function): void;
        /**
The nodeEditStart client-side event is called as the edit begins. This event can not be canceled.
*/
add_nodeEditStart(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_nodeEditStart(handler: Function): void;
        /**
The nodeExpanded client-side event occurs after a parent node expands to display child nodes.
*/
add_nodeExpanded(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeEventArgs) => void): void;

remove_nodeExpanded(handler: Function): void;
        /**
The nodeExpanding client-side event occurs when the user clicks the expand (plus) button. The event is called just prior to postback or url redirection and can be canceled.
*/
add_nodeExpanding(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodeCancelEventArgs) => void): void;

remove_nodeExpanding(handler: Function): void;
        /**
The nodePopulated client-side event occurs when child nodes are loaded on-demand. The ExpandMode property of the parent node should be ServerSideCallback or WebService for this event to fire.
*/
add_nodePopulated(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodePopulatedEventArgs) => void): void;

remove_nodePopulated(handler: Function): void;
        /**
The nodePopulating client-side event occurs just before child nodes are loaded on-demand. The ExpandMode property of the parent node should be ServerSideCallback or WebService for this event to fire.
*/
add_nodePopulating(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodePopulatingEventArgs) => void): void;

remove_nodePopulating(handler: Function): void;
        /**
The nodePopulationFailed client-side event occurs when:
- Child nodes are loaded on-demand.
- The parent node ExpandMode property is ServerSideCallback or WebService.
- An exception occurs while loading.
*/
add_nodePopulationFailed(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTreeNodePopulationFailedEventArgs) => void): void;

remove_nodePopulationFailed(handler: Function): void;
        /**
The templateDataBound client-side event of the RadTreeView is fired after the client template is bound and the binding expression are evaluated.
*/
add_templateDataBound(handler: (sender: Telerik.Web.UI.RadTreeView, args: Telerik.Web.UI.RadTemplateBoundEventArgs) => void): void;

remove_templateDataBound(handler: Function): void;
        /**
The treePopulated client-side event of the RadTreeView is fired after it is populated with data.
*/
add_treePopulated(handler: (sender: Telerik.Web.UI.RadTreeView, args: Sys.EventArgs) => void): void;

remove_treePopulated(handler: Function): void;
        /**
The treePopulated client-side event of the RadTreeView is fired before it is populated with data.
*/
add_treePopulating(handler: (sender: Telerik.Web.UI.RadTreeView, args: Sys.EventArgs) => void): void;

remove_treePopulating(handler: Function): void;
    }


    class RadTreeViewContextMenuCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Retrieves a reference to the context menu.
@method
@returns 
*/
get_menu(): Telerik.Web.UI.RadMenu;
        /**
Retrieves a reference to the clicked on node.
@method
@returns 
*/
get_node(): Telerik.Web.UI.RadTreeNode;
    }


    class RadTreeViewContextMenuEventArgs  extends Sys.EventArgs {
        /**
Retrieves a reference to the context menu.
@method
@returns 
*/
get_menu(): Telerik.Web.UI.RadMenu;
        /**
Retrieves a reference to the selected context menu item. You can also call get_menu() from the menu item reference and use the menu to retrieve the other items on the menu.
@method
@returns ### get_nodeRetrieves a reference to the clicked on node.
*/
get_menuItem(): Telerik.Web.UI.RadMenuItem;
    }


    class RadTreeViewContextMenuItemCancelEventArgs  extends Sys.CancelEventArgs {
    }


    class RadTreeViewContextMenuItemEventArgs  extends Sys.EventArgs {
    }


    class RadWebControl  extends Sys.UI.Control {
        /**

@method
@returns Client state
*/
get_clientState(): string;
        /**

@method
@returns ID of the hidden field used to store the client state
*/
get_clientStateFieldID(): string;
        /**
Raise the event
@method
@param eventName - Name of the event to be raised
@param eventArgs - Event arguments for the given event
@returns 
*/
raiseEvent(eventName: string, eventArgs: Sys.EventArgs): void;
        /**
This function should return the serialized client state of the control.
@method
@returns 
*/
saveClientState(): void;
        /**
Sets the client state of this control
@method
@param value - The client state for this control
@returns 
*/
set_clientState(value: string): void;
        /**
Sets the ID of the client state field of this control
@method
@param value - The ID of the client state field for this control
@returns 
*/
set_clientStateFieldID(value: string): void;
        /**
Call this function to update the client state hidden field. Use this function with caution, because it is resource hungry.
@method
@returns 
*/
updateClientState(): void;
    }


    class RadWindow  extends Telerik.Web.UI.RadWebControl {
        /**
Adds a new shortcut for the command
@method
@param shortcutCommand - shortcutCommand
@param shortcutString - shortcutString
@returns 
*/
addShortcut(shortcutCommand: string, shortcutString: string): void;
        /**
Changes RadWindow's size to fit the content page. It cannot be used with pages from other domains due to browsers" security restrictions. You can optionally call the method with argument true - this will make the autosizing perform an animation while adjusting the size
@method
@param toAnimate - 
@returns 
*/
autoSize(toAnimate: boolean): void;
        /**
Returns a reference to the parent page's document. This is useful for calling functions on the parent page.
@method
@returns 
*/
BrowserWindow(): void;
        /**
Centers the RadWindow in the middle of the page
@method
@returns 
*/
center(): void;
        /**
Closes the RadWindow. If argument is provided, it can be passed and extracted in the OnClientClose event by using the get_argument method
@method
@param callBackFnArg? - Argument of type Object that can be processed via the OnClientClose event handler.
@returns 
*/
close(callBackFnArg?: any): void;
        /**
Gets the animation value for the RadWindow
@method
@returns 
*/
get_animation(): Telerik.Web.UI.WindowAnimation;
        /**
Gets animation duration value for the RadWindow. The default value is 500ms
@method
@returns 
*/
get_animationDuration(): number;
        /**
Gets a value which indicates whether the window will automatically resize itself according to its content page or not
@method
@returns 
*/
get_autoSize(): boolean;
        /**
Gets a reference to the RadWindow's parent [browser window] object
@method
@returns 
*/
get_browserWindow(): Window;
        /**
CenterIfModal
@method
@returns 
*/
get_centerIfModal(): void;
        /**
Gets the content element when the RadWindow is used as controls container and not with NavigateUrl
@method
@returns 
*/
get_contentElement(): any;
        /**
Returns a reference to RadWindow's content area (IFRAME). One possible use is to call a function that is declared in the RadWindow's page from the parent page. Another possible use is to modify the DOM
@method
@returns 
*/
get_contentFrame(): any;
        /**
Gets the class name specified in the CSSClass property
@method
@returns 
*/
get_cssClass(): string;
        /**
Gets a value indicating whether the RadWindow will be disposed and made inaccessible once it is closed
@method
@returns 
*/
get_destroyOnClose(): boolean;
        /**
Gets a value indicating whether the window should have a shadow.
@method
@returns 
*/
get_enableShadow(): boolean;
        /**
Gets the height of the RadWindow
@method
@returns 
*/
get_height(): number;
        /**
Gets the url of the icon in the upper left corner of the RadWindow titlebar
@method
@returns 
*/
get_iconUrl(): string;
        /**
Gets a value indicating whether the RadWindow will show in the visible viewport of the browser window
@method
@returns 
*/
get_keepInScreenBounds(): boolean;
        /**
Gets the horizontal offset relative to its offset element
@method
@returns 
*/
get_left(): number;
        /**
Gets the maximum height of the RadWindow
@method
@returns 
*/
get_maxHeight(): number;
        /**
Gets the maximum width of the RadWindow
@method
@returns 
*/
get_maxWidth(): number;
        /**
Gets the minimum height of the RadWindow
@method
@returns 
*/
get_minHeight(): number;
        /**
Gets the url of the minimized icon of the RadWindow
@method
@returns 
*/
get_minimizeIconUrl(): string;
        /**
Gets the id (ClientID if a runat=server is used) of an html element where the window object will be docked when minimized
@method
@returns 
*/
get_minimizeZoneID(): string;
        /**
Gets the minimum width of the RadWindow
@method
@returns 
*/
get_minWidth(): number;
        /**
Gets a value indicating whether the RadWindow is modal or not
@method
@returns 
*/
get_modal(): boolean;
        /**
RadWindow
@method
@returns 
*/
get_name(): void;
        /**
Returns the RadWindow's navigate URL
@method
@returns 
*/
get_navigateUrl(): string;
        /**
Gets the offset element ID [element according to which the RadWindow should be positioned relatively] - works together with the Top and Left properties
@method
@returns 
*/
get_offsetElementID(): string;
        /**
Gets the value indicating the opacity of the RadWindow. The value should be between 0 and 100. The default value is 100 which is opaque
@method
@returns 
*/
get_opacity(): number;
        /**
Gets the OpenerElementId for the RadWindow
@method
@returns 
*/
get_openerElementID(): string;
        /**
Gets a value indicating whether the RadWindow has an overlay element.
@method
@returns 
*/
get_overlay(): boolean;
        /**
Gets a reference to the RadWindow's popup element (the wrapper DIV element)
@method
@returns 
*/
get_popupElement(): any;
        /**
Gets a value indicating whether the page that is loaded in the RadWindow should be loaded everytime from the server or will leave the browser default behaviour
@method
@returns 
*/
get_reloadOnShow(): boolean;
        /**
Gets the id (ClientID if a runat=server is used) of an html element in which the window object will be able to move
@method
@returns 
*/
get_restrictionZoneID(): string;
        /**
Gets a value indicating whether the page that is loaded in the RadWindow should be shown during the loading process or when it has finished loading
@method
@returns 
*/
get_showContentDuringLoad(): boolean;
        /**
Gets a value indicating whether the maximized RadWindow should be on top of the page's content
@method
@returns 
*/
get_showOnTopWhenMaximized(): boolean;
        /**
Gets current message in the status area of the window
@method
@returns 
*/
get_status(): string;
        /**
Gets the title of the RadWindow
@method
@returns 
*/
get_title(): string;
        /**
Gets the vertical offset relative to its offset element
@method
@returns 
*/
get_top(): number;
        /**
Gets a value indicating whether the RadWindow should have a visible statusbar
@method
@returns 
*/
get_visibleStatusbar(): boolean;
        /**
Gets a value indicating whether the RadWindow should have a visible titlebar
@method
@returns 
*/
get_visibleTitlebar(): boolean;
        /**
Gets the width of the RadWindow
@method
@returns 
*/
get_width(): number;
        /**
Returns a reference to the RadWindowManager. As an alternative you can use the ASP.NET AJAX convention and use $find()
@method
@returns 
*/
get_windowManager(): Telerik.Web.UI.RadWindowManager;
        /**
Gets the z-index of the RadWindow
@method
@returns 
*/
get_zindex(): number;
        /**
Returns shortcut string for the command
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
getShortcutString(shortcutCommand: string): string;
        /**
Returns the size and position of the RadWindow
@method
@returns 
*/
getWindowBounds(): Sys.UI.Bounds;
        /**
Makes the RadWindow invisible
@method
@returns 
*/
hide(): void;
        /**
Indicates whether the RadWindow is currently active
@method
@returns 
*/
isActive(): void;
        /**
Indicates whether a certain autosize behavior is enabled for the RadWindow
@method
@param oBehavior - 
@returns 
*/
isAutoSizeBehaviorEnabled(oBehavior: Telerik.Web.UI.WindowAutoSizeBehaviors): void;
        /**
Indicates whether a certain behavior is enabled for the RadWindow
@method
@param oBehavior - 
@returns 
*/
isBehaviorEnabled(oBehavior: Telerik.Web.UI.WindowBehaviors): void;
        /**
Indicates whether the RadWindow is currently closed
@method
@returns 
*/
isClosed(): void;
        /**
Indicates whether the UI of the RadWindow is already created or not
@method
@returns 
*/
isCreated(): void;
        /**
Indicates whether a certain initial behavior is enabled for the RadWindow
@method
@param oBehavior - 
@returns 
*/
isInitialBehaviorEnabled(oBehavior: Telerik.Web.UI.WindowBehaviors): void;
        /**
Indicates whether the RadWindow is currently maximized
@method
@returns 
*/
isMaximized(): void;
        /**
Indicates whether the RadWindow is currently minimized
@method
@returns 
*/
isMinimized(): void;
        /**
Indicates whether the RadWindow is modal
@method
@returns 
*/
isModal(): void;
        /**
Indicates whether the RadWindow is currently pinned
@method
@returns 
*/
isPinned(): void;
        /**
Returns a boolean value indicating whether a shortcut for this command exists
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
isShortcutAdded(shortcutCommand: string): boolean;
        /**
Indicates whether the RadWindow control is currently visible
@method
@returns 
*/
isVisible(): void;
        /**
Maximizes the RadWindow
@method
@returns 
*/
maximize(): void;
        /**
Minimizes the RadWindow
@method
@returns 
*/
minimize(): void;
        /**
Moves the RadWindow to the specified position
@method
@param x - 
@param y - 
@returns 
*/
moveTo(x: number, y: number): void;
        /**
Raises the Command event
@method
@returns 
*/
raise_command(): void;
        /**
Reloads the content page in the RadWindow. The page should come from the same server as is the parent page
@method
@returns 
*/
reload(): void;
        /**
Removes all shortcuts for the command
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
removeAllShortcutsCommand(shortcutCommand: string): void;
        /**
Removes shortcut for the command
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
removeShortcut(shortcutCommand: string): void;
        /**
Restores the RadWindow to its normal (no minimized or maximized) state
@method
@returns 
*/
restore(): void;
        /**
Sets animation value for the RadWindow
@method
@param value - 
@returns 
*/
set_animation(value: Telerik.Web.UI.WindowAnimation): void;
        /**
Sets animation duration value for the RadWindow
@method
@param value - 
@returns 
*/
set_animationDuration(value: number): void;
        /**
Sets a value which indicates whether the window should automatically resize itself according to its content page or not
@method
@param value - 
@returns 
*/
set_autoSize(value: boolean): void;
        /**
Sets the AutoSizeBehaviors property of the RadWindow object. Its argument must be a value or combination of values from the Telerik.Web.UI.WindowAutoSizeBehaviors enum. To set more than one behavior, use "+". Possible values are Width, WidthProportional, Height, HeightProportional, Default e.g: oWnd.set_autoSizeBehaviors( Telerik.Web.UI.WindowAutoSizeBehaviors.Width + Telerik.Web.UI.WindowAutoSizeBehaviors.Height )
@method
@param value - 
@returns 
*/
set_autoSizeBehaviors(value: Telerik.Web.UI.WindowAutoSizeBehaviors): void;
        /**
Sets the Behaviors property of the RadWindow object. Its argument must be a value or combination of values from the Telerik.Web.UI.WindowBehaviors enum. To set more than one behavior, use "+". Possible values are None, Resize, Minimize, Close, Pin, Maximize, Move, Reload, Default e.g: oWnd.set_behaviors( Telerik.Web.UI.WindowBehaviors.Move + Telerik.Web.UI.WindowBehaviors.Close )
@method
@param value - 
@returns 
*/
set_behaviors(value: Telerik.Web.UI.WindowBehaviors): void;
        /**
CenterIfModal
@method
@returns 
*/
set_centerIfModal(): void;
        /**
Sets content element when the RadWindow is used as controls container and not with NavigateUrl
@method
@param element - 
@returns 
*/
set_contentElement(element: Sys.UI.DomElement): void;
        /**
Sets a value indicating whether the RadWindow will be disposed and made inaccessible once it is closed
@method
@param value - 
@returns 
*/
set_destroyOnClose(value: boolean): void;
        /**
Sets a value indicating whether the window should have a shadow.
@method
@param value - 
@returns 
*/
set_enableShadow(value: boolean): void;
        /**
Sets new height to the window
@method
@param value - 
@returns 
*/
set_height(value: number): void;
        /**
Sets the url of the icon in the upper left rwCorner of the RadWindow titlebar
@method
@param value - 
@returns 
*/
set_iconUrl(value: string): void;
        /**
Sets the InitialBehaviors property of the RadWindow object. Its argument must be a value or combination of values from the Telerik.Web.UI.WindowBehaviors enum. To set more than one behavior, use "+". Possible values are None, Minimize, Pin, Maximize, Default e.g: oWnd.set_initialBehaviors( Telerik.Web.UI.WindowBehaviors.Pin + Telerik.Web.UI.WindowBehaviors.Maximize )
@method
@param value - 
@returns 
*/
set_initialBehaviors(value: Telerik.Web.UI.WindowBehaviors): void;
        /**
Sets a value indicating whether the RadWindow should show in the visible viewport of the browser window
@method
@param value - 
@returns 
*/
set_keepInScreenBounds(value: boolean): void;
        /**
Sets a new horizontal offset relative to its offset element
@method
@param value - 
@returns 
*/
set_left(value: number): void;
        /**
Sets new maximum height to the window
@method
@param value - 
@returns 
*/
set_maxHeight(value: number): void;
        /**
Sets new maximum width to the RadWindow
@method
@param value - 
@returns 
*/
set_maxWidth(value: number): void;
        /**
Sets new minimum height to the window
@method
@param value - 
@returns 
*/
set_minHeight(value: number): void;
        /**
Sets the url of the minimized icon of the RadWindow
@method
@param value - 
@returns 
*/
set_minimizeIconUrl(value: string): void;
        /**
Sets the clientside id of an html element where the window object will be docked when minimized
@method
@param value - 
@returns 
*/
set_minimizeZoneID(value: string): void;
        /**
Sets new minimum width to the RadWindow
@method
@param value - 
@returns 
*/
set_minWidth(value: number): void;
        /**
Sets a value indicating whether the RadWindow should be modal or not
@method
@param value - 
@returns 
*/
set_modal(value: boolean): void;
        /**
Sets the URL RadWindow will navigate to. Does not create the markup of the dialog or load the content page. To load the content page and show the dialog use setUrl and show respectively.
@method
@param value - 
@returns 
*/
set_navigateUrl(value: string): void;
        /**
Sets the offset element ID [element according to which the RadWindow should be positioned relatively] - works together with the Top and Left properties
@method
@param value - 
@returns 
*/
set_offsetElementID(value: string): void;
        /**
Sets the value indicating the opacity of the RadWindow
@method
@param value - 
@returns 
*/
set_opacity(value: number): void;
        /**
Sets the OpenerElementId for the RadWindow
@method
@param value - 
@returns 
*/
set_openerElementID(value: string): void;
        /**
Sets a value indicating whether the RadWindow should create an overlay element.
@method
@param value - 
@returns 
*/
set_overlay(value: boolean): void;
        /**
Sets a value indicating whether the page that is loaded in the RadWindow should be loaded everytime from the server or will leave the browser default behaviour
@method
@param value - 
@returns 
*/
set_reloadOnShow(value: boolean): void;
        /**
Sets the clientside id of an html element in which the window object will be able to move
@method
@param value - 
@returns 
*/
set_restrictionZoneID(value: string): void;
        /**
Sets a value indicating whether the page that is loaded in the RadWindow should be shown during the loading process or when it has finished loading
@method
@param value - 
@returns 
*/
set_showContentDuringLoad(value: boolean): void;
        /**
Sets a message in the status area of the window
@method
@param message - 
@returns 
*/
set_status(message: string): void;
        /**
Sets a new title to the RadWindow
@method
@param value - 
@returns 
*/
set_title(value: string): void;
        /**
Sets a new vertical offset relative to its offset element
@method
@param value - 
@returns 
*/
set_top(value: number): void;
        /**
Sets a value indicating whether the RadWindow should have a visible statusbar
@method
@param value - 
@returns 
*/
set_visibleStatusbar(value: boolean): void;
        /**
Sets a value indicating whether the RadWindow should have a visible titlebar
@method
@param value - 
@returns 
*/
set_visibleTitlebar(value: boolean): void;
        /**
Sets new width to the RadWindow
@method
@param value - 
@returns 
*/
set_width(value: number): void;
        /**
Makes the RadWindow the active RadWindow on the page
@method
@param bActivate - 
@returns 
*/
setActive(bActivate: boolean): void;
        /**
Sets new width and height to the RadWindow
@method
@param width - 
@param height - 
@returns 
*/
setSize(width: number, height: number): void;
        /**
Changes URL of RadWindow
@method
@param url - 
@returns 
*/
setUrl(url: string): void;
        /**
Shows the RadWindow if it was invisible. If the RadWindow does not exist, show creates it
@method
@returns 
*/
show(): void;
        /**
Toggles whether the RadWindow is pinned
@method
@returns 
*/
togglePin(): void;
        /**
The activate event of the RadWindow is fired when the control becomes the active window. 
This happens when it opens, when the user clicks or taps on it, and when its client-side API is used to activate it via the setActive() method.
*/
add_activate(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.EventArgs) => void): void;

remove_activate(handler: Function): void;
        /**
The autoSizeEnd event of the RadWindow fires when its automatic size adjustment operation completes. 
It may have been invoked automatically because it was shown and its AutoSize property is set to True, 
or because the developer called the autoSize() method from its client-side API.
*/
add_autoSizeEnd(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.EventArgs) => void): void;

remove_autoSizeEnd(handler: Function): void;
        /**
The beforeShow event of the RadWindow control fires when it is about to show. You can cancel the event to prevent the dialog from showing.
*/
add_beforeShow(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.CancelEventArgs) => void): void;

remove_beforeShow(handler: Function): void;
        /**
The close event fires when the RadWindow closes. You can use the event to pass data from the dialog page. 
It is subsequent to the beforeClose event. The close operation can be initiated from the user by clicking or tapping 
on the manual close button (X) or by the developer via calling the close(optionalArguments) client-side method of the control.
*/
add_close(handler: (sender: Telerik.Web.UI.RadWindow, args: Telerik.Web.UI.WindowCloseEventArgs) => void): void;

remove_close(handler: Function): void;
        /**
The command event fires when a command button from the RadWindow's title bar is clicked or tapped by the user. The developer can also initiate it by using the client-side API of the control. Event is cancellable.
*/
add_command(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.CancelEventArgs) => void): void;

remove_command(handler: Function): void;
        /**
The dragEnd event of the RadWindow fires when the user stops dragging the popup.
*/
add_dragEnd(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.EventArgs) => void): void;

remove_dragEnd(handler: Function): void;
        /**
The dragStart event of the RadWindow fires when the user starts dragging the popup. This action is also initiated by a click or a tap on the title bar.
*/
add_dragStart(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.EventArgs) => void): void;

remove_dragStart(handler: Function): void;
        /**
The pageLoad event of the RadWindow fires when the page set through its NavigateUrl property finishes loading. 
Since this page is loaded inside an iframe, this event is fired by the iframe's onload event.
*/
add_pageLoad(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.EventArgs) => void): void;

remove_pageLoad(handler: Function): void;
        /**
The resizeEnd event of the RadWindow fires when the user finished resizing the popup.
*/
add_resizeEnd(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.EventArgs) => void): void;

remove_resizeEnd(handler: Function): void;
        /**
The resizeStart event of the RadWindow fires when the user is about to start resizing the popup. 
You can cancel the event to prevent the user from resizing the control. You can also entirely disable resizing through the Behaviors property of the RadWindow.
*/
add_resizeStart(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.CancelEventArgs) => void): void;

remove_resizeStart(handler: Function): void;
        /**
The show event of the RadWindow fires when the popup shows. It follows the beforeShow event. 
You can use this event to change settings of the RadWindow that will affect its behavior, e.g., making sure it is always maximized or pinned.
*/
add_show(handler: (sender: Telerik.Web.UI.RadWindow, args: Sys.EventArgs) => void): void;

remove_show(handler: Function): void;
    }


    class RadWindowManager  extends Telerik.Web.UI.RadWindow {
        /**
Adds a new shortcut for the command
@method
@param shortcutCommand - shortcutCommand
@param shortcutString - shortcutString
@returns 
*/
addShortcut(shortcutCommand: string, shortcutString: string): void;
        /**
Cascades the window objects
@method
@returns 
*/
cascade(): void;
        /**
Clears cached properties of the manager. This property should be used when a setting of the manager is changed on the client and the change should be applied to new dynamically created windows.
@method
@returns 
*/
clearCloneCache(): void;
        /**
Close the active window
@method
@returns 
*/
closeActiveWindow(): void;
        /**
Closes all windows
@method
@returns 
*/
closeAll(): void;
        /**
Returns a reference to the array of RadWindow objects managed by the RadWindowManager
@method
@returns 
*/
get_windows(): any;
        /**
Returns a reference to the current active window
@method
@returns 
*/
getActiveWindow(): Telerik.Web.UI.RadWindow;
        /**
Returns shortcut string for the command
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
getShortcutString(shortcutCommand: string): string;
        /**
Returns a reference to a RadWindow. The Id is the window's server-side Id property
@method
@param id - 
@returns 
*/
getWindowById(id: string): Telerik.Web.UI.RadWindow;
        /**
Returns a reference to a RadWindow. The Name is the window's server-side Id property
@method
@param name - 
@returns 
*/
getWindowByName(name: string): Telerik.Web.UI.RadWindow;
        /**
Returns a boolean value indicating whether a shortcut for this command exists
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
isShortcutAdded(shortcutCommand: string): boolean;
        /**
Maximizes all windows
@method
@returns 
*/
maximizeAll(): void;
        /**
Minimizes the currently active window
@method
@returns 
*/
minimizeActiveWindow(): void;
        /**
Minimizes all windows
@method
@returns 
*/
minimizeAll(): void;
        /**
Opens a new or existing window. Can be used to change the URL of existing window as well. If an external page is loaded, do not provide content element. Otherwise, do not provide url. If both are provided, the url has priority
@method
@param url - 
@param wndName - 
@param contentElement - 
@returns The RadWindow instance
*/
open(url: string, wndName: string, contentElement: string): Telerik.Web.UI.RadWindow;
        /**
Displays a RadAlert dialog with the specified content.
@method
@param text - Content to show in the RadAlert dialog.
@param oWidth? - Width of the RadAlert dialog.
@param oHeight? - Height of the RadAlert dialog.
@param oTitle? - Title of the RadAlert dialog.
@param callbackFn? - Callback function that will be called after closing the dialog.
@param imgUrl? - The URL to replace the image for the RadAlert dialog.
@returns The RadWindow instance
*/
radalert(text: string, oWidth?: number, oHeight?: number, oTitle?: string, callbackFn?: Function, imgUrl?: string): Telerik.Web.UI.RadWindow;
        /**
Displays a RadConfirm dialog with the specified content.
@method
@param text - Content to show in the RadConfirm dialog.
@param callBackFn - Callback function that will be called after closing the dialog. The results of the user's action (OK or Cancel) can be processed here.
@param oWidth? - Width of the RadConfirm dialog.
@param oHeight? - Height of the RadConfirm dialog.
@param callerObj? - Backwards compatibility. Set to Null.
@param oTitle? - Title of the RadConfirm dialog.
@param imgUrl? - Optional image to be shown in the RadConfirm dialog.
@returns The RadWindow instance
*/
radconfirm(text: string, callBackFn: Function, oWidth?: number, oHeight?: number, callerObj?: any, oTitle?: string, imgUrl?: string): Telerik.Web.UI.RadWindow;
        /**
Displays a RadPrompt dialog with the specified content.
@method
@param text - Content to show in the RadPrompt dialog.
@param callBackFn - Callback function that will be called after closing the dialog. The results of the user's action (the text inserted) can be processed here.
@param oWidth? - Width of the RadPrompt dialog.
@param oHeight? - Height of the RadPrompt dialog.
@param callerObj? - Backwards compatibility. Set to Null.
@param oTitle? - Title of the RadPrompt dialog.
@param initialValue? - Optional value to be shown in the textbox of the displayed RadPrompt dialog.
@returns The RadWindow instance
*/
radprompt(text: string, callBackFn: Function, oWidth?: number, oHeight?: number, callerObj?: any, oTitle?: string, initialValue?: string): Telerik.Web.UI.RadWindow;
        /**
Removes all shortcuts for the command
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
removeAllShortcutsCommand(shortcutCommand: string): void;
        /**
Removes shortcut for the command
@method
@param shortcutCommand - shortcutCommand
@returns 
*/
removeShortcut(shortcutCommand: string): void;
        /**
Restores the active window
@method
@returns 
*/
restoreActiveWindow(): void;
        /**
Restores all windows
@method
@returns 
*/
restoreAll(): void;
        /**
Shows all windows
@method
@returns 
*/
showAll(): void;
        /**
Tiles the window objects
@method
@returns 
*/
tile(): void;
    }


    class RadWizard  extends Telerik.Web.UI.RadWebControl {
        /**
This event is fired immediately after the RadWizard responds to button or step click.
*/
add_buttonClicked(handler: (sender: Telerik.Web.UI.RadWizard, args: Telerik.Web.UI.WizardButtonClickedEventArgs) => void): void;

remove_buttonClicked(handler: Function): void;
        /**
This event is fired when user clicks on a button or step before the RadWizard responds to the click.
*/
add_buttonClicking(handler: (sender: Telerik.Web.UI.RadWizard, args: Telerik.Web.UI.WizardButtonClickingEventArgs) => void): void;

remove_buttonClicking(handler: Function): void;
    }


    class RadWizardStep   {
        /**
Sets active the RadWizardRenderedStep.
@method
@returns 
*/
activate(): void;
        /**
Sets inactive the RadWizardRenderedStep.
@method
@returns 
*/
deactivate(): void;
        /**
Disables the RadWizardStep.
@method
@returns 
*/
disable(): void;
        /**
Enables the RadWizardStep.
@method
@returns 
*/
enable(): void;
        /**
Returns whether this RadWizardStep is current RadWizard active step.
@method
@returns true if the step is active; false if the step is not active.
*/
get_active(): boolean;
        /**
Gets a string value of the active ImageUrl.
@method
@returns active ImageUrl.
*/
get_activeImageUrl(): string;
        /**
Gets a boolean value indicating whether the RadWizardRenderedStep is allowed to be returned to.
@method
@returns true if the step is allowed to be returned to; false if the step is not allowed to be returned to.
*/
get_allowReturn(): boolean;
        /**
Gets a boolean value indicating whether the RadWizardRenderedStep should cause validation.
@method
@returns true if the step should cause validation; false if the step should not cause validation.
*/
get_causesValidation(): boolean;
        /**
Gets a string value of the cssClass.
@method
@returns The CssClass assigned to the step.
*/
get_cssClass(): string;
        /**
Gets a string value of the disabled ImageUrl.
@method
@returns Disabled ImageUrl of the step.
*/
get_disabledImageUrl(): string;
        /**
Gets a boolean value indicating whether the cancel button of the RadWizardRenderedStep should be displayed.
@method
@returns Disabled ImageUrl of the step.
*/
get_displayCancelButton(): boolean;
        /**
Gets the HTMLElement of the step
@method
@returns The HTML Element of the step.
*/
get_element(): HTMLElement;
        /**
Gets a boolean value indicating whether the RadWizardRenderedStep is enabled.
@method
@returns true if the step is enabled; false if the step is disabled.
*/
get_enabled(): boolean;
        /**
Gets a string value of the hoveredImageUrl.
@method
@returns Hovered ImageUrl of the step.
*/
get_hoveredImageUrl(): string;
        /**
Gets the id of the step.
@method
@returns The id of the step.
*/
get_id(): string;
        /**
Gets the HTML Element of the corresponding image element.
@method
@returns The HTML Element of the corresponding image element.
*/
get_imageElement(): HTMLElement;
        /**
Gets a string value of the ImageUrl.
@method
@returns ImageUrl of the step.
*/
get_imageUrl(): string;
        /**
Gets the index of the step.
@method
@returns Тhe index of the step.
*/
get_index(): number;
        /**
Gets the HTMLElement of the corresponding navigationBar button element.
@method
@returns The HTML Element of the corresponding navigationBar button element.
*/
get_navigationBarButtonElement(): HTMLElement;
        /**
Gets the HTMLElement of the corresponding navigationBar link element.
@method
@returns The HTML Element of the corresponding navigationBar link element.
*/
get_navigationBarLinkElement(): HTMLElement;
        /**
Gets WizardStepType of the step. The RadWizardStep type can be: 0 - Auto; 1 - Complete; 2 - Finish; 3 - Start; 4 - Step.
@method
@returns WizardStepType.
*/
get_stepType(): Telerik.Web.UI.WizardStepType;
        /**
Gets the HTMLElement of the corresponding NavigationBar text element.
@method
@returns The HTML Element of the corresponding NavigationBar text element.
*/
get_textElement(): HTMLElement;
        /**
Gets the title of the step.
@method
@returns The title of the step.
*/
get_title(): string;
        /**
Gets the toolTip of the step.
@method
@returns The toolTip of the step.
*/
get_toolTip(): string;
        /**
Gets the validation group of the step.
@method
@returns The validation group of the step.
*/
get_validationGroup(): string;
        /**
Gets the parent RadWizard control.
@method
@returns The parent RadWizard control of the step.
*/
get_wizard(): Telerik.Web.UI.RadWizard;
        /**
Hides the RadWizardStep content.
@method
@returns 
*/
hide(): void;
        /**
Sets a boolean value indicating whether the RadWizardRenderedStep is active.
@method
@param value - true if the step is active; false if the step is not active.
@returns 
*/
set_active(value: boolean): void;
        /**
Sets a string value of the active ImageUrl.
@method
@param activeImageUrl - Active ImageUrl.
@returns 
*/
set_activeImageUrl(activeImageUrl: string): void;
        /**
Sets a boolean value indicating whether the RadWizardRenderedStep is allowed to be returned to.
@method
@param allowReturn - true if the step is allowed to be returned to; false if the step is not allowed to be returned to.
@returns 
*/
set_allowReturn(allowReturn: boolean): void;
        /**
Sets a boolean value indicating whether the RadWizardRenderedStep should cause validation.
@method
@param causesValidation - true if the step should cause validation; false if the step should not cause validation.
@returns 
*/
set_causesValidation(causesValidation: boolean): void;
        /**
Sets a string value of the cssClass.
@method
@param cssClass - CssClass of the step.
@returns 
*/
set_cssClass(cssClass: string): void;
        /**
Sets a string value of the disabled ImageUrl.
@method
@param disabledImageUrl - Disabled ImageURL.
@returns 
*/
set_disabledImageUrl(disabledImageUrl: string): void;
        /**
Sets a boolean value indicating whether the cancel button of the RadWizardRenderedStep should be displayed.
@method
@param displayCancelButton - true if the cancel button of the step should be displayed; false if the cancel button of the step should not be displayed.
@returns 
*/
set_displayCancelButton(displayCancelButton: boolean): void;
        /**
Sets a boolean value indicating whether the RadWizardRenderedStep is enabled.
@method
@param value - true if the step is enabled; false if the step is disabled.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets a string value of the hoveredImageUrl.
@method
@param hoveredImageUrl - Hovered ImageUrl of the step.
@returns 
*/
set_hoveredImageUrl(hoveredImageUrl: string): void;
        /**
Sets the id of the step.
@method
@param id - Id of the step.
@returns 
*/
set_id(id: string): void;
        /**
Sets a string value of the ImageUrl.
@method
@param imageUrl - ImageUrl of the step.
@returns 
*/
set_imageUrl(imageUrl: string): void;
        /**
Sets WizardStepType of the step.
@method
@param stepType - WizardStepType of the step. The RadWizardStep type can be: 0 - Auto; 1 - Complete; 2 - Finish; 3 - Start; 4 - Step.
@returns 
*/
set_stepType(stepType: Telerik.Web.UI.WizardStepType): void;
        /**
Sets a string value of the title.
@method
@param title - Title of the step.
@returns 
*/
set_title(title: string): void;
        /**
Sets a string value of the tooltip.
@method
@param toolTip - Tooltip of the step.
@returns 
*/
set_toolTip(toolTip: string): void;
        /**
Sets a string value of the validations group of the step.
@method
@param validationGroup - Validation group of the step.
@returns 
*/
set_validationGroup(validationGroup: string): void;
        /**
Sets the parent RadWizard control of the step.
@method
@param wizard - The parent RadWizard control of the step.
@returns 
*/
set_wizard(wizard: Telerik.Web.UI.RadWizard): void;
        /**
Shows the WizardStep content.
@method
@returns 
*/
show(): void;
    }


    class RadXmlHttpPanel   {
        /**
passes a value to the RadXmlHttpPanel depending on which content is loaded inside the RadXmlHttpPanel and initiates a partial page request.
@method
@returns 
*/
set_value(): void;
        /**
sets a custom HTML content to the RadXmlHttpPanel.
@method
@returns 
*/
set_html(): void;
        /**
The responseEnded occurs immediately after the data (content) is pasted into the RadXmlHttpPanel. 
This client-side event is subsequent to the responseEnding event.
*/
add_responseEnded(handler: (sender: Telerik.Web.UI.RadXmlHttpPanel, args: Sys.EventArgs) => void): void;

remove_responseEnded(handler: Function): void;
        /**
The responseEnding occurs before the data (content) is pasted into the RadXmlHttpPanel, 
after a partial update request has been initiated by the RadXmlHttpPanel set_value method. 
The responseEnding event replaces the existing responseEnd client-side event
*/
add_responseEnding(handler: (sender: Telerik.Web.UI.RadXmlHttpPanel, args: Telerik.Web.UI.XmlHttpPanelEventArgs) => void): void;

remove_responseEnding(handler: Function): void;
        /**
The responseError occurs in the cases when an error (WebService or Callback error) occurs when the RadXmlHttpPanel tries to load certain content.
*/
add_responseError(handler: (sender: Telerik.Web.UI.RadXmlHttpPanel, args: Telerik.Web.UI.XmlHttpPanelErrorEventArgs) => void): void;

remove_responseError(handler: Function): void;
    }


    class RadioButtonListSelectedIndexChangedEventArgs  extends Sys.EventArgs {
        /**
Returns the previous index of the selected item in the list.
@method
@returns 
*/
get_oldSelectedIndex(): number;
        /**
Returns the current index of the selected item in the list.
@method
@returns 
*/
get_newSelectedIndex(): number;
    }


    class RatingRatedEventArgs  extends Sys.EventArgs {
        /**
Returns the previous rating of the rating control.
@method
@returns 
*/
get_oldValue(): number;
    }


    class RatingRatingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the rating that is about to be set for the rating control.
@method
@returns 
*/
get_newValue(): number;
    }


    class RecurrenceRule   {
        /**

@method
@returns 
*/
get_exceptions(): void;
        /**

@method
@returns 
*/
get_pattern(): void;
        /**

@method
@returns 
*/
get_range(): void;
        /**

@method
@returns 
*/
toString(): void;
    }


    class Reminder   {
        /**
Returns a copy of this Reminder.
@method
@returns A copy of this Reminder.
*/
clone(): Telerik.Web.UI.Reminder;
        /**
Gets a collection of the Attributes associated to the current Reminder.
@method
@returns The collection of the Attributes associated to the current Reminder.
*/
get_attributes(): Telerik.Web.UI.SchedulerAttributeCollection;
        /**
Gets the ID of the Reminder.
@method
@returns The ID of the Reminder.
*/
get_id(): number;
        /**
Gets the appointment that the Reminder is associated with.
@method
@returns The appointment that the Reminder is associated with.
*/
get_owner(): Telerik.Web.UI.SchedulerAppointment;
        /**
Gets the Reminder trigger value in minutes.
@method
@returns The Reminder trigger value in minutes.
*/
get_trigger(): number;
        /**
Gets the date on which the reminder should be triggered.
@method
@returns The appointment that the Reminder is associated with.
*/
get_triggerDate(): Date;
        /**
Sets the ID of the Reminder.
@method
@param value - The ID of the Reminder.
@returns 
*/
set_id(value: number): void;
        /**
Sets the Reminder trigger value in minutes.
@method
@param value - The Reminder trigger value in minutes.
@returns 
*/
set_trigger(value: number): void;
    }


    class ReminderCollection   {
        /**
Adds the Reminder to the collection.
@method
@param value - the Reminder to be added to the collection.
@returns 
*/
add(value: Telerik.Web.UI.Reminder): void;
        /**
Clears the collection.
@method
@returns 
*/
clear(): void;
        /**
Returns the reminder with the specified ID, null if not found.
@method
@param value - The ID of the Reminder.
@returns The reminder with the specified ID
*/
findByID(value: string): Telerik.Web.UI.Reminder;
        /**
Gets the total number of Reminders in the collection.
@method
@returns The total number of Reminders in the collection.
*/
get_count(): number;
        /**
Returns the reminder at the specified index in the collection
@method
@param value - The index of the Reminder in the collection
@returns The reminder at the specified index in the collection.
*/
getReminder(value: number): Telerik.Web.UI.Reminder;
        /**
Returns the index of the Reminder in the collection, -1 if not found.
@method
@param value - The Reminder object.
@returns The index of the Reminder in the collection
*/
indexOf(value: Telerik.Web.UI.Reminder): number;
        /**
Inserts the Reminder at the specified index in the collection.
@method
@param value - Inserts the Reminder at the specified index in the collection.
@returns 
*/
insert(value: number): void;
        /**
Removes the specified Reminder from the collection.
@method
@param value - The Reminder to be removed from the collection.
@returns 
*/
remove(value: Telerik.Web.UI.Reminder): void;
        /**
Removes the Reminder at the specified index in the collection.
@method
@param value - The index of the Reminder to be removed from the collection.
@returns 
*/
removeAt(value: number): void;
    }


    class ResourceStyleMapping   {
        /**
Gets the cascading style sheet (CSS) class to render for appointments that use the matching resource
@method
@returns The cascading style sheet
*/
get_applyCssClass(): string;
        /**
Gets the unique key of the resource to match.
@method
@returns The unique key of the resource to match.
*/
get_key(): string;
        /**
Gets the resource text to match.
@method
@returns The resource text to match.
*/
get_text(): string;
        /**
Gets the resource type to match.
@method
@returns The resource type to match.
*/
get_type(): string;
        /**
Sets the cascading style sheet (CSS) class to render for appointments that use the matching resource.
@method
@param applyCssClass - The cascading style sheet
@returns 
*/
set_applyCssClass(applyCssClass: string): void;
        /**
Sets the unique key of the resource to match.
@method
@param value - The unique key of the resource to match.
@returns 
*/
set_key(value: string): void;
        /**
Sets the resource text to match.
@method
@param value - The resource text to match.
@returns 
*/
set_text(value: string): void;
        /**
Sets the resource type to match.
@method
@param type - The resource type to match.
@returns 
*/
set_type(type: string): void;
    }


    class ResourceStyleMappingCollection   {
        /**
Adds the specified resource style mapping to the collection.
@method
@param mapping - The resource style mapping to add.
@returns 
*/
add(mapping: Telerik.Web.UI.ResourceStyleMapping): void;
        /**
Executes the specified function for each resource style mapping in the collection. The resource style mapping is passed as first argument to the function.
@method
@param lambda - The function to execute for each resource style mapping in the collection. For example function
@returns 
*/
forEach(lambda: Function): void;
        /**
Gets the number of resource style mappings in the collection.
@method
@returns The number of resource style mappings in the collection.
*/
get_count(): number;
        /**
Gets a collection of all resource style mapping matching the specified resource.
@method
@param resource - The resource to look for
@returns An array of all matching resource style mappings
*/
getMatchingClasses(resource: Telerik.Web.UI.SchedulerResource): any;
        /**
Gets the resource style mapping at the specified index in the collection.
@method
@param index - The index from which to retrieve the resource style mapping
@returns The resource style mapping at the specified index.
*/
getStyleMapping(index: number): Telerik.Web.UI.ResourceStyleMapping;
    }


    class ResourceType   {
        /**
Gets a value indicating if the resource type allows multiple resource values
@method
@returns true if multiple resource values are allowed
*/
get_allowMultipleValues(): boolean;
        /**
Gets the resource type name
@method
@returns The resource type name
*/
get_name(): string;
        /**
Sets the resource type name
@method
@param value - The resource type name
@returns 
*/
set_name(value: string): void;
    }


    class ResourceTypeCollection   {
        /**
Adds the specified resource type to the collection.
@method
@param resourceType - The resource type to add.
@returns 
*/
add(resourceType: Telerik.Web.UI.ResourceType): void;
        /**
Clears the collection of all resource types in it.
@method
@returns 
*/
clear(): void;
        /**
Returns a collection of resource types that satisfy the specified predicate. The resource type is passed as first argument of the predicate. If the predicate returns true the resource type is included in the result collection.
@method
@param predicate - The function to execute for each resource type in the collection. For example function
@returns A collection of all resource types matching the predicate
*/
findAll(predicate: Function): Telerik.Web.UI.ResourceTypeCollection;
        /**
Executes the specified function for each resource type in the collection. The resource type is passed as first argument to the function.
@method
@param lambda - The function to execute for each resource type in the collection. For example function
@returns 
*/
forEach(lambda: Function): void;
        /**
Gets the number of resources in the collection.
@method
@returns The number of resource types in the collection
*/
get_count(): number;
        /**
Gets the resource type at the specified index in the collection.
@method
@param index - The index from which to retrieve the resource type
@returns The resource type at the specified index.
*/
getResourceType(index: number): Telerik.Web.UI.ResourceType;
        /**
Gets the resource type with the specified name.
@method
@param name - The resource type name to look for
@returns The resource type with the specified name
*/
getResourceTypeByName(name: string): Telerik.Web.UI.ResourceType;
        /**
Inserts the specified resource type at the specified index in the collection.
@method
@param index - The index at which to insert the resource type
@param resourceType - The resource type to add.
@returns 
*/
insert(index: number, resourceType: Telerik.Web.UI.ResourceType): void;
        /**
Removes the specified resource type from the collection.
@method
@param resourceType - The resource type instance to remove.
@returns 
*/
remove(resourceType: Telerik.Web.UI.ResourceType): void;
        /**
Removes the resource type at the specified index from the collection.
@method
@param index - The index from which to remove the resource type
@returns 
*/
removeAt(index: number): void;
    }


    class RibbonBarApplicationMenu   {
    }


    class RibbonBarApplicationMenuItem   {
    }


    class RibbonBarApplicationMenuItemClickedEventArgs   {
        /**
Returns a reference to the ribbonbar application menu that was clicked.
@method
@returns 
*/
get_applicationMenu(): Telerik.Web.UI.RibbonBarApplicationMenu;
        /**
Returns a reference to the RibbonBar item that was clicked.
@method
@returns ### get_itemReturns a reference to the application menu item that was clicked.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarApplicationMenuItemClickingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar application menu that was clicked.
@method
@returns 
*/
get_applicationMenu(): Telerik.Web.UI.RibbonBarApplicationMenu;
        /**
Returns a reference to the RibbonBar item that was clicked.
@method
@returns ### get_itemReturns a reference to the application menu item that was clicked.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarButton   {
        /**

@method
@returns 
*/
set_owner(): void;
    }


    class RibbonBarButtonClickedEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the RibbonBar menu button that was clicked.
@method
@returns 
*/
get_button(): Telerik.Web.UI.RibbonBarButton;
        /**
Returns a reference to the RibbonBar menu item that was clicked.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarButtonClickingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the RibbonBar menu button that was clicked.
@method
@returns ### get_domEventReturns a reference to the RibbonBar menu item that was clicked.
*/
get_button(): Telerik.Web.UI.RibbonBarButton;
    }


    class RibbonBarButtonToggledEventArgs   {
        /**
Returns a reference to the ribbonbar toggle button that was clicked.
@method
@returns 
*/
get_button(): Telerik.Web.UI.RibbonBarToggleButton;
        /**
Returns a reference to the RibbonBar toggle button that was clicked.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarButtonTogglingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar toggle button that was clicked.
@method
@returns 
*/
get_button(): Telerik.Web.UI.RibbonBarToggleButton;
        /**
Returns a reference to the RibbonBar toggle button that was clicked.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar menu item that was clicked. In this case it is RibbonBarMenuItem.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RibbonBarItem;
    }


    class RibbonBarChild   {
        /**
Returns the index of the current item.
@method
@returns The index number.
*/
get_index(): number;
    }


    class RibbonBarChildCollection   {
        /**
Inserts a RibbonBarItem into the Items collection.
@method
@param tab - The RibbonBarItem to insert
@returns 
*/
add(tab: Telerik.Web.UI.RibbonBarItem): void;
        /**
Iterates through the Items collection
@method
@param lambda - The function to execute on each iteration
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of groups in the Items collection.
@method
@returns The number of the items
*/
get_count(): number;
        /**
Gets the RibbonBarItem from the Items collection residing at the index specified by the parameter.
@method
@param index - The index of the RibbonBarItem that should be returned
@returns Returns RibbonBarItem
*/
getItem(index: number): Telerik.Web.UI.RibbonBarItem;
        /**
Gets the index of a RibbonBarItem.
@method
@param item - The RibbonBarItem to get the index of
@returns int
*/
indexOf(item: Telerik.Web.UI.RibbonBarItem): number;
    }


    class RibbonBarColorPicker   {
    }


    class RibbonBarComboBox   {
    }


    class RibbonBarComboBoxSelectedIndexChangedEventArgs   {
        /**
Returns a reference to the ribbonbar combo that was clicked.
@method
@returns 
*/
get_comboBox(): Telerik.Web.UI.RibbonBarComboBox;
        /**
Returns combo's text.
@method
@returns 
*/
get_text(): string;
    }


    class RibbonBarComboBoxSelectedIndexChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar combo that was clicked.
@method
@returns 
*/
get_comboBox(): Telerik.Web.UI.RibbonBarComboBox;
        /**
Returns selected index.
@method
@returns 
*/
get_index(): number;
    }


    class RibbonBarComboTextChangedEventArgs   {
        /**
Returns a reference to the ribbonbar combo that was clicked.
@method
@returns 
*/
get_comboBox(): Telerik.Web.UI.RibbonBarComboBox;
        /**
Returns combo's text.
@method
@returns 
*/
get_text(): string;
    }


    class RibbonBarContextualTabGroup   {
    }


    class RibbonBarDropDown   {
    }


    class RibbonBarDropDownSelectedIndexChangedEventArgs   {
        /**
Returns a reference to the ribbonbar dropdown that was clicked.
@method
@returns 
*/
get_dropDown(): Telerik.Web.UI.RibbonBarDropDown;
        /**
Returns dropdown's selected index.
@method
@returns 
*/
get_index(): number;
    }


    class RibbonBarDropDownSelectedIndexChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar dropdown that was clicked.
@method
@returns 
*/
get_dropDown(): Telerik.Web.UI.RibbonBarDropDown;
        /**
Returns dropdown's selected index.
@method
@returns 
*/
get_index(): number;
    }


    class RibbonBarEventArgs  extends Sys.EventArgs {
        /**
Returns the value assigned to the RadButton's CommandName property.
@method
@returns 
*/
get_commandName(): string;
    }


    class RibbonBarGalleryCommandEventArgs   {
        /**
Returns a reference to the ribbonbar's clicked GalleryItem.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RibbonBarGalleryItem;
    }


    class RibbonBarGalleryCommandPreviewEndEventArgs   {
        /**
Returns a reference to the ribbonbar menu item that was clicked.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RibbonBarGalleryItem;
    }


    class RibbonBarGalleryCommandPreviewEventArgs   {
        /**
Returns a reference to the ribbonbar menu item that was clicked.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RibbonBarGalleryItem;
    }


    class RibbonBarGalleryItem   {
    }


    class RibbonBarGroup  extends Telerik.Web.UI.RibbonBarChild {
        /**
Returns the first RibbonBarButton object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarButton whose Value property matches the passed parameter
*/
findButtonByValue(value: string): Telerik.Web.UI.RibbonBarButton;
        /**
Gets the first instance of a RibbonBarItem with the specified attribute/value pair.
@method
@param attributeName - The attribute name to search for
@param attributeValue - The attribute value to search for
@returns Returns the first RibbonBarItem which has an attribute that matches the passed parameters
*/
findItemByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose CommandArgument property equals the passed parameter.
@method
@param commandArgument - The text to search for
@returns 
*/
findItemByCommandArgument(commandArgument: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose CommandName property equals the passed parameter.
@method
@param commandName - The text to search for
@returns 
*/
findItemByCommandName(commandName: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose Text property equals the passed parameter.
@method
@param text - The text to search for
@returns 
*/
findItemByText(text: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarMenu object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarMenu whose Value property matches the passed parameter
*/
findMenuItemByValue(value: string): Telerik.Web.UI.RibbonBarMenu;
        /**
Returns the first RibbonBarToggleButton object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarToggleButton whose Value property matches the passed parameter
*/
findToggleButtonByValue(value: string): Telerik.Web.UI.RibbonBarToggleButton;
        /**
Gets the Url of the Image shown inside the RibbonBarGroup, when it's collapsed
@method
@returns The new ImageUrl
*/
get_collapsedImageUrl(): string;
        /**
Gets he DOM element of the RibbonBarGroup
@method
@returns The DOM element of the RibbonBarGroup
*/
get_element(): HTMLElement;
        /**
Gets the hierarchical index inside the parent RadRibbonBar
@method
@returns The hierarchical index of the RibbonBarGroup
*/
get_hierarchicalIndex(): number;
        /**
Gets the RibbonBarGroup's index inside the RibbonBarGroupCollection
@method
@returns The index of the RibbonBarGroup
*/
get_index(): number;
        /**
Gets a collection with all items
@method
@returns RibbonBarChildCollection
*/
get_items(): Telerik.Web.UI.RibbonBarChildCollection;
        /**
Gets the parent RibbonBarTab.
@method
@returns Returns the parent RibbonBarTab
*/
get_tab(): Telerik.Web.UI.RibbonBarTab;
        /**
Gets the Text of the RibbonBarGroup
@method
@returns The value of the Text property
*/
get_text(): string;
        /**
Gets the Value of the RibbonBarGroup
@method
@returns The value of the Value property
*/
get_value(): string;
        /**
Sets the Url of the Image shown inside the RibbonBarGroup, when it's collapsed
@method
@param value - The new ImageUrl
@returns 
*/
set_collapsedImageUrl(value: string): void;
        /**
Sets the DOM element of the RibbonBarGroup
@method
@param element - The DOM element of the RibbonBarGroup
@returns 
*/
set_element(element: HTMLElement): void;
        /**
Sets the Text of the RibbonBarGroup
@method
@param text - The new RibbonBarGroup text
@returns 
*/
set_text(text: string): void;
        /**
Sets the Value of the RibbonBarGroup
@method
@param value - The new RibbonBarGroup value
@returns 
*/
set_value(value: string): void;
    }


    class RibbonBarGroupCollection  extends Telerik.Web.UI.RibbonBarChildCollection {
        /**
Gets the RibbonBarGroup from the Groups collection residing at the index specified by the parameter.
@method
@param index - The index of the RibbonBarGroup that should be returned
@returns Returns RibbonBarGroup
*/
getGroup(index: number): Telerik.Web.UI.RibbonBarGroup;
    }


    class RibbonBarItem  extends Telerik.Web.UI.RibbonBarChild {
        /**
Gets he DOM element of the RibbonBarItem
@method
@returns The DOM element of the RibbonBarItem
*/
get_element(): HTMLElement;
        /**
Gets a value indicating whether the RibbonBarItem is enabled.
@method
@returns Returns true if the RibbonBarItem is enabled
*/
get_enabled(): boolean;
        /**
Gets the parent RibbonBarGroup.
@method
@returns Returns the parent RibbonBarGroup
*/
get_group(): Telerik.Web.UI.RibbonBarGroup;
        /**
Gets the hierarchical index inside the parent RadRibbonBar
@method
@returns The hierarchical index of the RibbonBarItem
*/
get_hierarchicalIndex(): number;
        /**
Gets the img element representing the item's image.
@method
@param DOMelement - 
@returns 
*/
get_imageElement(DOMelement: any): any;
        /**
Gets the URL of the item image.
@method
@param string - 
@returns 
*/
get_imageUrl(string: any): any;
        /**
Gets the URL of the large item image.
@method
@param string - 
@returns 
*/
get_imageUrlLarge(string: any): any;
        /**
Gets the RibbonBarItem's index inside the RibbonBarChildCollection
@method
@returns The index of the RibbonBarItem
*/
get_index(): number;
        /**
Returns if true if the item's Size property is set to Large.
@method
@param boolean - 
@returns 
*/
get_isLarge(boolean: any): any;
        /**
Gets the Text of the RibbonBarItem
@method
@returns The value of the Text property
*/
get_text(): string;
        /**
Gets the  element containing the renrdered item text.
@method
@param DOMelement - 
@returns 
*/
get_textElement(DOMelement: any): any;
        /**
Gets the Text of the RibbonBarItem's Enhanced tooltip
@method
@returns The value of the RibbonBarItem
*/
get_toolTip(): string;
        /**
Gets the Value of the RibbonBarItem
@method
@returns The value of the Value property
*/
get_value(): string;
        /**
Sets the URL of the disabled large item image.
@method
@returns 
*/
set_diabledImageUrlLarge(): any;
        /**
Sets the DOM element of the RibbonBarItem
@method
@param element - The DOM element of the RibbonBarItem
@returns 
*/
set_element(element: HTMLElement): void;
        /**
Enables/Disables the RibbonBarItem.
@method
@param value - value
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the URL of the item image.
@method
@returns 
*/
set_imageUrl(): any;
        /**
Sets the URL of the large item image.
@method
@returns 
*/
set_imageUrlLarge(): any;
        /**
Sets the Text of the RibbonBarItem
@method
@param text - The new RibbonBarItem text
@returns 
*/
set_text(text: string): void;
        /**
Sets the Text of the RibbonBarItem's Enhanced tooltip
@method
@param text - The new tooltip text
@returns 
*/
set_toolTip(text: string): void;
        /**
Sets the Value of the RibbonBarItem
@method
@param value - The new RibbonBarItem value
@returns 
*/
set_value(value: string): void;
    }


    class RibbonBarLauncherClickedEventArgs   {
        /**
Returns a reference to the RibbonBar item that was clicked.
@method
@returns ### get_groupReturns a reference to the ribbonbar group that was clicked.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarLauncherClickingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the RibbonBar menu item that was clicked.
@method
@returns ### get_groupreturns a reference to the ribbonbar group that was clicked.
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarMaximizingEventArgs  extends Sys.CancelEventArgs {
    }


    class RibbonBarMaximizеdEventArgs   {
    }


    class RibbonBarMenu   {
        /**

@method
@returns 
*/
findItemByCommandArgument(): void;
        /**

@method
@returns 
*/
findItemByCommandName(): void;
        /**

@method
@returns 
*/
findMenuItemByValue(): void;
        /**

@method
@returns 
*/
get_eventName(): void;
        /**

@method
@returns 
*/
get_items(): void;
        /**

@method
@returns 
*/
set_owner(): void;
    }


    class RibbonBarMenuItem   {
    }


    class RibbonBarMenuItemClickedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar menu item that was clicked.
@method
@returns ### get_domEventReturns a reference to the RibbonBar menu item that was clicked.
*/
get_item(): Telerik.Web.UI.RibbonBarMenuItem;
    }


    class RibbonBarMenuItemClickingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar menu item that was clicked.
@method
@returns ### get_domEventReturns a reference to the RibbonBar menu item that was clicked.
*/
get_item(): Telerik.Web.UI.RibbonBarMenuItem;
    }


    class RibbonBarMinimizedEventArgs   {
    }


    class RibbonBarMinimizingEventArgs  extends Sys.CancelEventArgs {
    }


    class RibbonBarNumericTextBox   {
    }


    class RibbonBarNumericTextBoxValueChangedEventArgs   {
        /**
Returns a reference to the ribbonbar numeric textbox that was clicked.
@method
@returns 
*/
get_numericTextBox(): Telerik.Web.UI.RibbonBarNumericTextBox;
        /**
Returns numeric textbox value.
@method
@returns 
*/
get_value(): number;
    }


    class RibbonBarNumericTextBoxValueChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar numeric textbox that was clicked.
@method
@returns 
*/
get_numericTextBox(): Telerik.Web.UI.RibbonBarNumericTextBox;
        /**
Returns numeric textbox value.
@method
@returns 
*/
get_value(): number;
    }


    class RibbonBarSelectedTabChangedEventArgs   {
        /**
Returns a reference to the RibbonBar button item that was clicked.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a reference to the RibbonBar tab that was unselected.
@method
@returns ### get_tabReturns a reference to the RibbonBar tab that was selected.
*/
get_previouslySelectedTab(): Telerik.Web.UI.RibbonBarTab;
    }


    class RibbonBarSelectedTabChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the RibbonBar button item that was clicked.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns a reference to the RibbonBar tab that was unselected.
@method
@returns ### get_tabReturns a reference to the RibbonBar tab that was selected.
*/
get_previouslySelectedTab(): Telerik.Web.UI.RibbonBarTab;
    }


    class RibbonBarSplitButtonClickingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar split button that was clicked. In this case it is RibbonBarSplitButton.
@method
@returns ### get_domEventReturns a reference to the RibbonBar button item that was clicked.
*/
get_button(): Telerik.Web.UI.RibbonBarButton;
    }


    class RibbonBarTab  extends Telerik.Web.UI.RibbonBarChild {
        /**
Returns the first RibbonBarButton object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarButton whose Value property matches the passed parameter
*/
findButtonByValue(value: string): Telerik.Web.UI.RibbonBarButton;
        /**
Returns the first RibbonBarGroup object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarGroup whose Value property matches the passed parameter
*/
findGroupByValue(value: string): Telerik.Web.UI.RibbonBarGroup;
        /**
Gets the first instance of a RibbonBarItem with the specified attribute/value pair.
@method
@param attributeName - The attribute name to search for
@param attributeValue - The attribute value to search for
@returns Returns the first RibbonBarItem which has an attribute that matches the passed parameters
*/
findItemByAttribute(attributeName: string, attributeValue: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose CommandArgument property equals the passed parameter.
@method
@param commandArgument - The text to search for
@returns 
*/
findItemByCommandArgument(commandArgument: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose CommandName property equals the passed parameter.
@method
@param commandName - The text to search for
@returns 
*/
findItemByCommandName(commandName: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarItem object whose Text property equals the passed parameter.
@method
@param text - The text to search for
@returns 
*/
findItemByText(text: string): Telerik.Web.UI.RibbonBarItem;
        /**
Returns the first RibbonBarMenu object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarMenu whose Value property matches the passed parameter
*/
findMenuItemByValue(value: string): Telerik.Web.UI.RibbonBarMenu;
        /**
Returns the first RibbonBarToggleButton object whose Value property equals to the passed parameter.
@method
@param value - The value to search for
@returns Returns the first RibbonBarToggleButton whose Value property matches the passed parameter
*/
findToggleButtonByValue(value: string): Telerik.Web.UI.RibbonBarToggleButton;
        /**
RibbonBarContextualTabGroup
@method
@param RibbonBarContextualTabGroup - 
@returns 
*/
get_contextualTabGroup(RibbonBarContextualTabGroup: any): any;
        /**
Returns the associated DOM element of the Item.
@method
@returns 
*/
get_element(): HTMLElement;
        /**
Gets a collection with all groups
@method
@returns RibbonBarGroupCollection
*/
get_groups(): Telerik.Web.UI.RibbonBarGroupCollection;
        /**
Gets the hierarchical index inside the parent RadRibbonBar
@method
@returns The hierarchical index of the RibbonBarTab
*/
get_hierarchicalIndex(): number;
        /**
Returns the  DOM element containing the Tab's text element.
@method
@param DOMelement - 
@returns 
*/
get_labelElement(DOMelement: any): any;
        /**
Gets he DOM element of the RibbonBarTab's pageView
@method
@returns The DOM element of the RibbonBarTab
*/
get_pageView(): HTMLElement;
        /**
Gets the parent RadRibbonBar's client-object
@method
@returns Returns the parent RadRibbonBar
*/
get_ribbonBar(): Telerik.Web.UI.RadRibbonBar;
        /**
Returns the text of the tab.
@method
@param string - 
@returns 
*/
get_text(string: any): any;
        /**
Returns the span element of the RibbonBarTab
@method
@returns HTML element that holds the RibbonBarTab
*/
get_textElement(): HTMLElement;
        /**
Gets the Value of the RibbonBarTab
@method
@returns The value of the Value property
*/
get_value(): string;
        /**
Sets the DOM element of the RibbonBarTab's pageView
@method
@param element - The DOM element of the RibbonBarTab
@returns 
*/
set_pageView(element: HTMLElement): void;
        /**
Sets the text property of the tab.
@method
@returns 
*/
set_text(): any;
        /**
Sets the Value of the RibbonBarTab
@method
@param value - The new RibbonBarTab value
@returns 
*/
set_value(value: string): void;
    }


    class RibbonBarTabCollection  extends Telerik.Web.UI.RibbonBarChildCollection {
        /**
Gets the RibbonBarTab from the Tabs collection residing at the index specified by the parameter.
@method
@param index - The index of the RibbonBarTab that should be returned
@returns Returns RibbonBarTab
*/
getTab(index: number): Telerik.Web.UI.RibbonBarTab;
    }


    class RibbonBarToggleButton   {
        /**

@method
@returns 
*/
get_toggled(): void;
        /**

@method
@returns 
*/
set_owner(): void;
        /**

@method
@returns 
*/
set_toggled(): void;
        /**

@method
@returns 
*/
toggle(): void;
    }


    class RibbonBarToggleListToggledEventArgs   {
        /**
Returns a reference of the toggle button which is clicked.
@method
@returns 
*/
get_button(): Telerik.Web.UI.RibbonBarToggleButton;
        /**
Returns a reference of the toggle button which is clicked.
@method
@returns 
*/
get_buttons(): Telerik.Web.UI.RibbonBarToggleButton;
        /**
Returns a reference to the RibbonBar menu item that was clicked.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonBarToggleListTogglingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference of the toggle button which is clicked.
@method
@returns 
*/
get_button(): Telerik.Web.UI.RibbonBarToggleButton;
        /**
Returns a reference of the toggle button which is clicked.
@method
@returns 
*/
get_buttons(): Telerik.Web.UI.RibbonBarToggleButton;
        /**
Returns a reference to the RibbonBar menu item that was clicked.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class RibbonColorPickerColorChangedEventArgs   {
        /**
Returns a reference to the ribbonbar color picker that was clicked.
@method
@returns 
*/
get_colorPicker(): Telerik.Web.UI.RibbonBarColorPicker;
        /**
Returns selected HEX Color code .
@method
@returns 
*/
get_value(): string;
    }


    class RibbonColorPickerColorChangingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the ribbonbar color picker that was clicked.
@method
@returns 
*/
get_colorPicker(): Telerik.Web.UI.RibbonBarColorPicker;
        /**
Returns selected HEX Color code .
@method
@returns 
*/
get_value(): string;
    }


    class RotatorButtonEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the client object of the button.
@method
@returns 
*/
get_button(): any;
    }


    class RotatorCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the client object of the clicked/shown item.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadRotatorItem;
    }


    class RotatorErrorEventArgs  extends Sys.EventArgs {
        /**
Returns a boolean value that indicates whether the error message will be displayed. True means the message will not be shown.
@method
@returns 
*/
get_cancelErrorAlert(): boolean;
        /**
Returns the error message that describes the specific problem.
@method
@returns 
*/
get_errorMessage(): string;
        /**
Sets a boolean value that indicates whether the error message will be displayed. Setting true means the message will not be shown.
@method
@param value - 
@returns 
*/
set_cancelErrorAlert(value: boolean): void;
    }


    class RotatorEventArgs  extends Sys.EventArgs {
        /**
Returns the client object of the target item.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadRotatorItem;
    }


    class RotatorItemDataBoundEventArgs  extends Sys.EventArgs {
        /**
Returns the client-side object of the Rotator item.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadRotatorItem;
        /**
Returns the client-side data object to the Rotator item.
@method
@returns 
*/
get_dataItem(): any;
    }


    class SchedulerAppointment   {
        /**
Creates a shallow copy of this appointment.
@method
@returns A shallow copy of this appointment.
*/
clone(): Telerik.Web.UI.SchedulerAppointment;
        /**
Switches the scheduler into edit mode for this appointment. Same as calling editAppointment() on the scheduler instance.
@method
@returns 
*/
edit(): void;
        /**
Gets a value indicating if the appointment is deletable.
@method
@returns true if the appointment is deletable
*/
get_allowDelete(): boolean;
        /**
Gets a value indicating if the appointment is editable.
@method
@returns true if the appointment is editable
*/
get_allowEdit(): boolean;
        /**
Gets a collection of all attributes of the appointment.
@method
@returns Collection of all attributes of the appointment.
*/
get_attributes(): Telerik.Web.UI.SchedulerAttributeCollection;
        /**
Gets the appointment background color.
@method
@returns The appointment background color.
*/
get_backColor(): string;
        /**
Gets the appointment border color.
@method
@returns The appointment border style.
*/
get_borderColor(): string;
        /**
Gets the appointment border style.
@method
@returns The appointment border style.
*/
get_borderStyle(): string;
        /**
Gets the appointment border width.
@method
@returns The appointment border width.
*/
get_borderWidth(): string;
        /**
Gets the ID of the context menu associated with the appointment.
@method
@returns The ID of the context menu associated with the appointment.
*/
get_contextMenuID(): string;
        /**
Gets the appointment CSS class.
@method
@returns The appointment CSS class.
*/
get_cssClass(): string;
        /**
Gets the appointment description.
@method
@returns The appointment description.
*/
get_description(): string;
        /**
Gets the duration of the appointment in milliseconds.
@method
@returns The duration of the appointment in milliseconds.
*/
get_duration(): number;
        /**
Gets the duration of the appointment in minutes.
@method
@returns The duration of the appointment in minutes.
*/
get_durationInMinutes(): number;
        /**
Gets the DOM element representing the appointment.
@method
@returns The DOM element representing the appointment.
*/
get_element(): HTMLElement;
        /**
Gets the DOM elements representing the appointment. Appointments that span multiple days have multiple dom elements.
@method
@returns The DOM elements representing the appointment.
*/
get_elements(): HTMLElement;
        /**
Gets the appointment end date.
@method
@returns The appointment end date.
*/
get_end(): Date;
        /**
Gets the unique ID of this Appointment.
@method
@returns The unique ID of this Appointment.
*/
get_id(): string;
        /**
Gets the encoded unique ID of this Appointment. This includes the value as well as the type of the ID.
@method
@returns The encoded unique ID of this Appointment.
*/
get_internalID(): string;
        /**
Gets the owner scheduler.
@method
@returns The owner scheduler.
*/
get_owner(): Telerik.Web.UI.RadScheduler;
        /**
Gets the ID of the parent appointment if the current appointment is a recurrence exception.
@method
@returns The ID of the parent appointment if the current appointment is a recurrence exception.
*/
get_recurrenceParentID(): string;
        /**
Gets the recurrence rule of this appointment.
@method
@returns The recurrence rule of the appointment.
*/
get_recurrenceRule(): Telerik.Web.UI.RecurrenceState;
        /**
Gets the recurrence state of the appointment.
@method
@returns The recurrence state of the appointment as an enum value of type Telerik.Web.UI.RecurrenceState.
*/
get_recurrenceState(): Telerik.Web.UI.RecurrenceState;
        /**
Gets a collection of the appointment resources.
@method
@returns Collection of the appointment resources.
*/
get_resources(): Telerik.Web.UI.SchedulerResourceCollection;
        /**
Gets the appointment start date.
@method
@returns The appointment start date.
*/
get_start(): Date;
        /**
Gets the appointment subject.
@method
@returns The appointment subject.
*/
get_subject(): string;
        /**
Gets the time slot that the appointment is in.
@method
@returns The time slot that the appointment is in.
*/
get_timeSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
        /**
Gets the appointment tooltip.
@method
@returns The appointment tooltip.
*/
get_toolTip(): string;
        /**
Gets a value indicating if the appointment is currently visible.
@method
@returns true if the appointment is rendered
*/
get_visible(): boolean;
        /**
Deletes this appointment. Same as calling deleteAppointment() on the scheduler instance.
@method
@returns 
*/
remove(): void;
        /**
Sets a value indicating if the appointment is deletable.
@method
@param value - true if the appointment is deletable
@returns 
*/
set_allowDelete(value: boolean): void;
        /**
Sets a value indicating if the appointment is editable.
@method
@param value - true if the appointment is editable
@returns 
*/
set_allowEdit(value: boolean): void;
        /**
Sets the appointment background color.
@method
@param color - The appointment background color. For example
@returns 
*/
set_backColor(color: string): void;
        /**
Sets the appointment border color.
@method
@param color - The appointment border color. For example
@returns 
*/
set_borderColor(color: string): void;
        /**
Sets the appointment border style.
@method
@param style - The appointment border style. For example
@returns 
*/
set_borderStyle(style: string): void;
        /**
Sets the appointment border width.
@method
@param color - The appointment border width. For example
@returns 
*/
set_borderWidth(color: string): void;
        /**
Sets the ID of the context menu associated with the appointment.
@method
@param value - The ID of the context menu associated with the appointment.
@returns 
*/
set_contextMenuID(value: string): void;
        /**
Sets the appointment CSS class.
@method
@param value - The appointment CSS class.
@returns 
*/
set_cssClass(value: string): void;
        /**
Sets the appointment description.
@method
@param value - The appointment description.
@returns 
*/
set_description(value: string): void;
        /**
Sets the appointment end date.
@method
@param value - The appointment end date.
@returns 
*/
set_end(value: Date): void;
        /**
Sets the recurrence rule of this appointment.
@method
@param value - the recurrence rule of this appointment.
@returns 
*/
set_recurrenceRule(value: string): void;
        /**
Sets the appointment start date.
@method
@param value - The appointment start date.
@returns 
*/
set_start(value: Date): void;
        /**
Sets the appointment subject.
@method
@param value - The appointment subject.
@returns 
*/
set_subject(value: string): void;
        /**
Sets the appointment tooltip.
@method
@param value - The appointment tooltip.
@returns 
*/
set_toolTip(value: string): void;
    }


    class SchedulerAppointmentCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the appointment instance.
@method
@returns The appointment instance.
*/
get_appointment(): Telerik.Web.UI.SchedulerAppointment;
    }


    class SchedulerAppointmentClickEventArgs  extends Telerik.Web.UI.AppointmentEventArgs {
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class SchedulerAppointmentCollection   {
        /**
Adds the specified appointment to the collection.
@method
@param appointment - The appointment to add.
@returns 
*/
add(appointment: Telerik.Web.UI.SchedulerAppointment): void;
        /**
Returns the first appointments that satisfies the specified predicate. The appointment is passed as first argument of the predicate. If the predicate returns true the appointment is returned.
@method
@param predicate - The function to execute for each appointment in the collection. For example function
@returns An appointment that matches the predicate
*/
find(predicate: Function): Telerik.Web.UI.SchedulerAppointment;
        /**
Returns a collection of appointments that satisfy the specified predicate. The appointment is passed as first argument of the predicate. If the predicate returns true the appointment is included in the result collection.
@method
@param predicate - The function to execute for each appointment in the collection. For example function
@returns A collection of all appointments matching the predicate
*/
findAll(predicate: Function): Telerik.Web.UI.SchedulerAppointmentCollection;
        /**
Gets the appointment with the specified ID.
@method
@param id - The ID of the appointment
@returns The appointment with the specified ID
*/
findByID(id: string): Telerik.Web.UI.SchedulerAppointment;
        /**
Gets the first appointment that contains the specified resource.
@method
@param value - The resource for which to search for
@returns The first appointment that contains the specified appointment
*/
findByResource(value: Telerik.Web.UI.SchedulerResource): Telerik.Web.UI.SchedulerAppointment;
        /**
Executes the specified function for each appointment in the collection. The appointment is passed as first argument to the function.
@method
@param lambda - The function to execute for each appointment in the collection. For example function
@returns 
*/
forEach(lambda: Function): void;
        /**
Gets the number of appointments in the collection.
@method
@returns The number of appointments in the collection.
*/
get_count(): number;
        /**
Gets the appointment at the specified index in the collection.
@method
@param index - The index from which to retrieve the appointment
@returns The appointment at the specified index.
*/
getAppointment(index: number): Telerik.Web.UI.SchedulerAppointment;
        /**
Gets a collection of all appointments in the specified range.
@method
@param start - Range start
@param end - Range end
@returns A collection of all appointments in the specified range
*/
getAppointmentsInRange(start: Date, end: Date): Telerik.Web.UI.SchedulerAppointmentCollection;
        /**
Gets a collection of all appointments that start in the specified range.
@method
@param start - Range start
@param end - Range end
@returns A collection of all appointments that start in the specified range
*/
getAppointmentsStartingInRange(start: Date, end: Date): Telerik.Web.UI.SchedulerAppointmentCollection;
        /**
Gets the index of the specified appointment in the collection. Returns -1 if the resource is not in the collection.
@method
@param appointment - The appointment for which to search in the collection
@returns The index of the specified appointment in the collection
*/
indexOf(appointment: Telerik.Web.UI.SchedulerAppointment): number;
        /**
Inserts the specified appointment at the specified index in the collection.
@method
@param index - The index at which to insert the appointment
@param appointment - The appointment to add.
@returns 
*/
insert(index: number, appointment: Telerik.Web.UI.SchedulerAppointment): void;
        /**
Removes the specified appointment from the collection.
@method
@param appointment - The appointment instance to remove.
@param deleteSeries - For recurring appointments only. 	True if you want to delete the recurring series
@returns 
*/
remove(appointment: Telerik.Web.UI.SchedulerAppointment, deleteSeries: boolean): void;
        /**
Removes the appointment at the specified index from the collection.
@method
@param index - The index from which to remove the appointment
@param deleteSeries - For recurring appointments only. 	True if you want to delete the recurring series
@returns 
*/
removeAt(index: number, deleteSeries: boolean): void;
    }


    class SchedulerAppointmentContextMenuEventArgs  extends Telerik.Web.UI.AppointmentEventArgs {
        /**
returns a reference to the DOM event that caused the opening.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class SchedulerAppointmentDeletedEventArgs  extends Telerik.Web.UI.AppointmentEventArgs {
    }


    class SchedulerAppointmentDeletingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns True if the user is trying to delete a series to which the appointment belongs, False if the user is trying to delete a single occurrence of an appointment.
@method
@returns 
*/
get_editingRecurringSeries(): boolean;
    }


    class SchedulerAppointmentDoubleClickEventArgs  extends Telerik.Web.UI.AppointmentEventArgs {
    }


    class SchedulerAppointmentEditingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns True if the user is trying to delete a series to which the appointment belongs, False if the user is trying to delete a single occurrence of an appointment.
@method
@returns 
*/
get_editingRecurringSeries(): boolean;
    }


    class SchedulerAppointmentInsertingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns True if the inserted appointment defaults to an all-day event.
@method
@returns 
*/
get_isAllDay(): boolean;
        /**
Returns the starting date and time for the appointment.
@method
@returns 
*/
get_startTime(): Date;
        /**
Returns the Time Slot at which the appointment is being inserted.
@method
@returns 
*/
get_targetSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
    }


    class SchedulerAppointmentMoveEndEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns True if the user is trying to delete a series to which the appointment belongs, False if the user is trying to delete a single occurrence of an appointment.
@method
@returns ### get_newEndTimeReturns the new end time of the appointment if user has resized the bottom part of the appointment - the appointment end time.
*/
get_editingRecurringSeries(): boolean;
        /**
Returns the new start time of the appointment if user has resized the upper part of the appointment - the appointment start time.
@method
@returns 
*/
get_newStartTime(): Date;
        /**
Returns the instance of the time slot that the appointment has been resized to.
@method
@returns 
*/
get_targetSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
    }


    class SchedulerAppointmentMoveStartEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
    }


    class SchedulerAppointmentMovingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns the instance of the time slot that the appointment has been resized to.
@method
@returns 
*/
get_targetSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
    }


    class SchedulerAppointmentResizeEndEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns True if the user is trying to delete a series to which the appointment belongs, False if the user is trying to delete a single occurrence of an appointment.
@method
@returns ### get_newEndTimeReturns the new end time of the appointment if user has resized the bottom part of the appointment - the appointment end time.
*/
get_editingRecurringSeries(): boolean;
        /**
Returns the new start time of the appointment if user has resized the upper part of the appointment - the appointment start time.
@method
@returns 
*/
get_newStartTime(): Date;
        /**
Returns the instance of the time slot that the appointment has been resized to.
@method
@returns 
*/
get_targetSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
    }


    class SchedulerAppointmentResizeStartEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
    }


    class SchedulerAppointmentResizingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns the instance of the time slot that the appointment has been resized to.
@method
@returns 
*/
get_targetSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
    }


    class SchedulerAppointmentWebServiceDeleting   extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns True if the user is trying to delete a series to which the appointment belongs, False if the user is trying to delete a single occurrence of an appointment.
@method
@returns 
*/
get_editingRecurringSeries(): boolean;
    }


    class SchedulerAppointmentWebServiceInserting   extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
    }


    class SchedulerAppointmentWebServiceUpdating   extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
    }


    class SchedulerAttributeCollection   {
        /**
Clears the collection of all attributes in it.
@method
@returns 
*/
clear(): void;
        /**
Creates a copy of the collection
@method
@returns A copy of the current collection
*/
clone(): Telerik.Web.UI.SchedulerAttributeCollection;
        /**
Executes the specified function for each attribute in the collection. The attribute key is passed as first argument to the function and the value as a second.
@method
@param lambda - The function to execute for each attribute in the collection. For example function
@returns 
*/
forEach(lambda: Function): void;
        /**
Gets the number of attributes in the collection.
@method
@returns The number of attributes in the collection
*/
get_count(): number;
        /**
Gets the attribute value for the specified key.
@method
@param key - The key to search for
@returns The attribute value for the specified key
*/
getAttribute(key: string): string;
        /**
Removes the specified attribute from the collection.
@method
@param key - The attribute key to remove.
@returns 
*/
removeAttribute(key: string): void;
        /**
Sets the attribute value for the specified key.
@method
@param key - The attribute key
@param value - The attribute value
@returns 
*/
setAttribute(key: string, value: string): void;
    }


    class SchedulerFormCreatedEventArgs  extends Telerik.Web.UI.AppointmentEventArgs {
        /**
Returns True if the user is trying to delete a series to which the appointment belongs, False if the user is trying to delete a single occurrence of an appointment.
@method
@returns ### get_formElementReturns a reference to the form DOM element.
*/
get_editingRecurringSeries(): boolean;
        /**
Returns an Enum of type Telerik.Web.UI.SchedulerFormMode.
@method
@returns 
*/
get_mode(): number;
    }


    class SchedulerRecurrenceActionDialogClosedEventArgs  extends Telerik.Web.UI.AppointmentEventArgs {
        /**
Returns True if the user has selected to edit the series, False if the user has selected to edit a single occurrence of an appointment
@method
@returns ### get_recurrenceActionReturns 1 for edit, 2 for delete, 3 for resize, and 4 for move.
*/
get_editSeries(): boolean;
    }


    class SchedulerRecurrenceActionDialogShowingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns True if the user is trying to delete a series to which the appointment belongs, False if the user is trying to delete a single occurrence of an appointment.
@method
@returns 
*/
get_editSeries(): boolean;
        /**
Returns 1 for edit, 2 for delete, 3 for resize, and 4 for move.
@method
@returns 
*/
get_recurrenceAction(): number;
        /**
Instructs the scheduler whether to edit the entire series or just the occurrence.
@method
@param value - This value instructs the scheduler whether to edit the entire series or just the occurrence.
@returns 
*/
set_editSeries(value: boolean): void;
    }


    class SchedulerRecurrenceExceptionCreatingEventArgs   extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
    }


    class SchedulerRecurrenceExceptionRemovingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
    }


    class SchedulerReminderDismissingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns the reminder string.
@method
@returns 
*/
get_reminder(): string;
    }


    class SchedulerReminderSnoozingEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns the reminder string.
@method
@returns 
*/
get_reminder(): string;
    }


    class SchedulerReminderTriggeringEventArgs  extends Telerik.Web.UI.SchedulerAppointmentCancelEventArgs {
        /**
Returns the reminder string.
@method
@returns 
*/
get_reminder(): string;
    }


    class SchedulerRequestFailedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the error message sent from the server.
@method
@returns 
*/
get_errorMessage(): string;
    }


    class SchedulerResource   {
        /**
Gets a collection of all attributes of the resource.
@method
@returns Collection of all attributes of the resource.
*/
get_attributes(): Telerik.Web.UI.SchedulerAttributeCollection;
        /**
Gets a value indicating if the resource is available.
@method
@returns true if the resource is available
*/
get_available(): boolean;
        /**
Gets the CSS class name to be added to appointments that have this resource.
@method
@returns The CSS class name to be added to appointments that have this resource.
*/
get_cssClass(): string;
        /**
Gets the unique key of this resource.
@method
@returns The unique key of this resource.
*/
get_key(): string;
        /**
Gets the resource text.
@method
@returns The resource text.
*/
get_text(): string;
        /**
Gets the resource type.
@method
@returns The resource type.
*/
get_type(): string;
        /**
Sets a value indicating if the resource is available.
@method
@param value - true if the resource is available
@returns 
*/
set_available(value: boolean): void;
        /**
Sets the CSS class name to be added to appointments that have this resource.
@method
@param value - The CSS class name to be added to appointments that have this resource.
@returns 
*/
set_cssClass(value: string): void;
        /**
Sets the resource key.
@method
@param value - The resource key.
@returns 
*/
set_key(value: string): void;
        /**
Sets the resource text.
@method
@param value - The resource text.
@returns 
*/
set_text(value: string): void;
        /**
Sets the resource type.
@method
@param value - The resource type.
@returns 
*/
set_type(value: string): void;
    }


    class SchedulerResourceCollection   {
        /**
Adds the specified resource to the collection.
@method
@param resource - The resource to add.
@returns 
*/
add(resource: Telerik.Web.UI.SchedulerResource): void;
        /**
Clears the collection of all resources in it.
@method
@returns 
*/
clear(): void;
        /**
Creates a shallow copy of the collection
@method
@returns A shallow copy of the current collection
*/
clone(): Telerik.Web.UI.SchedulerResourceCollection;
        /**
Returns a collection of resources that satisfy the specified predicate. The resource is passed as first argument of the predicate. If the predicate returns true the resource is included in the result collection.
@method
@param predicate - The function to execute for each resource in the collection. For example function
@returns A collection of all resources matching the predicate
*/
findAll(predicate: Function): Telerik.Web.UI.SchedulerResourceCollection;
        /**
Executes the specified function for each resource in the collection. The resource is passed as first argument to the function.
@method
@param lambda - The function to execute for each resource in the collection. For example function
@returns 
*/
forEach(lambda: Function): void;
        /**
Gets the number of resources in the collection.
@method
@returns The number of resources in the collection
*/
get_count(): number;
        /**
Gets the resource at the specified index in the collection.
@method
@param index - The index from which to retrieve the resource
@returns The resource at the specified index.
*/
getResource(index: number): Telerik.Web.UI.SchedulerResource;
        /**
Gets the first resource of the specified type.
@method
@param type - The resource type for which to look for
@returns The first resources of the specified type
*/
getResourceByType(type: string): Telerik.Web.UI.SchedulerResource;
        /**
Gets the resource of the specified type with the specified key.
@method
@param type - The resource type for which to look for
@param key - The resource key for which to look for
@returns The resources of the specified type with the specified key
*/
getResourceByTypeAndKey(type: string, key: string): Telerik.Web.UI.SchedulerResource;
        /**
Gets a collection of all resources of the specified type.
@method
@param type - The resource type for which to look for
@returns A collection of all resources of the specified type
*/
getResourcesByType(type: string): Telerik.Web.UI.SchedulerResourceCollection;
        /**
Gets the index of the specified resource in the collection. Returns -1 if the resource is not in the collection.
@method
@param appointment - The appointment for which to search in the collection
@returns The index of the specified appointment in the collection
*/
indexOf(appointment: Telerik.Web.UI.SchedulerAppointment): number;
        /**
Inserts the specified resource at the specified index in the collection.
@method
@param index - The index at which to insert the resource
@param resource - The resource to add.
@returns 
*/
insert(index: number, resource: Telerik.Web.UI.SchedulerResource): void;
        /**
Removes the specified resource from the collection.
@method
@param resource - The resource instance to remove.
@returns 
*/
remove(resource: Telerik.Web.UI.SchedulerResource): void;
        /**
Removes the resource at the specified index from the collection.
@method
@param index - The index from which to remove the resource
@returns 
*/
removeAt(index: number): void;
        /**
Removes the resources with the specified type from the collection.
@method
@param resourceType - The resource type to remove.
@returns 
*/
removeResourcesByType(resourceType: string): void;
    }


    class SchedulerTimeSlotClickEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the DOM event that caused the opening.
@method
@returns ### get_targetSlotReturns the instance of the time slot that the appointment has been resized to.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the time of the slot that was clicked.
@method
@returns 
*/
get_time(): Date;
    }


    class SchedulerTimeSlotContextMenuEventArgs  extends Sys.EventArgs {
        /**
returns a reference to the DOM event that caused the opening.
@method
@returns ### get_endSlotReturns the instance of the last time slot in the slot selection.
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns True if the Time Slot is the 'All Day' slot (Day and Week View only) or False if the Time Slot is a regular one.
@method
@returns 
*/
get_isAllDay(): boolean;
        /**
Returns the instance of the first time slot in the slot selection.
@method
@returns 
*/
get_startSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
        /**
Returns the instance of the time slot on which the user right-clicks.
@method
@returns 
*/
get_targetSlot(): Telerik.Web.UI.ISchedulerTimeSlot;
        /**
Returns the time on which the user right-clicks in the Time Slot.
@method
@returns 
*/
get_time(): Date;
    }


    class SchedulerWebServiceEventArgs  extends Sys.CancelEventArgs {
        /**
Returns provider interface object.
@method
@returns 
*/
get_schedulerInfo(): any;
    }


    class SchedulerWebServiceSettings  extends Telerik.Web.UI.WebServiceSettings {
        /**

@method
@returns 
*/
get_createRecurrenceExceptionMethod(): void;
        /**

@method
@returns 
*/
get_deleteAppointmentMethod(): void;
        /**

@method
@returns 
*/
get_getAppointmentsMethod(): void;
        /**

@method
@returns 
*/
get_getResourcesMethod(): void;
        /**

@method
@returns 
*/
get_insertAppointmentMethod(): void;
        /**

@method
@returns 
*/
get_isEmpty(): void;
        /**

@method
@returns 
*/
get_isOData(): void;
        /**

@method
@returns 
*/
get_isWcf(): void;
        /**

@method
@returns 
*/
get_removeRecurrenceExceptionsMethod(): void;
        /**

@method
@returns 
*/
get_resourcesPopulated(): void;
        /**

@method
@returns 
*/
get_updateAppointmentMethod(): void;
        /**

@method
@returns 
*/
get_updateMode(): void;
        /**

@method
@returns 
*/
set_createRecurrenceExceptionMethod(): void;
        /**

@method
@returns 
*/
set_deleteAppointmentMethod(): void;
        /**

@method
@returns 
*/
set_getAppointmentsMethod(): void;
        /**

@method
@returns 
*/
set_getResourcesMethod(): void;
        /**

@method
@returns 
*/
set_insertAppointmentMethod(): void;
        /**

@method
@returns 
*/
set_removeRecurrenceExceptionsMethod(): void;
        /**

@method
@returns 
*/
set_resourcesPopulated(): void;
        /**

@method
@returns 
*/
set_updateAppointmentMethod(): void;
    }


    class SearchBoxButton   {
        /**
Gets the value of the CommandArgument property
@method
@returns 
*/
get_commandArgument(): string;
        /**
Gets the value of the CommandName property
@method
@returns 
*/
get_commandName(): string;
        /**
Gets the value of the CssClass property
@method
@returns 
*/
get_cssClass(): string;
        /**
Gets he DOM element for the SearchBoxButton
@method
@returns The DOM element for the SearchBoxButton
*/
get_element(): HTMLElement;
        /**
Returns the img element of the button
@method
@returns HTML element that holds the button
*/
get_imageElement(): HTMLElement;
        /**
Gets the value of the ImageUrl property
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the SearchBoxButton's index inside the SearchBoxButtonCollection
@method
@returns The index of the SearchBoxButton
*/
get_index(): number;
        /**
The SearchBoxButton's parent
@method
@returns Gets the SearchBoxButton
*/
get_parent(): Telerik.Web.UI.RadSearchBox;
        /**
Gets the position of the button relative to the parent RadSearchBox's input field.
@method
@returns 
*/
get_position(): Telerik.Web.UI.SearchBoxButtonPosition;
        /**
Sets the CommandArgument property of the button.
@method
@param value - String value for the CommandArgument property
@returns 
*/
set_commandArgument(value: string): void;
        /**
Sets the CommandName property of the button.
@method
@param value - String value for the CommandName property
@returns 
*/
set_commandName(value: string): void;
        /**
Sets the CssClass property of the button.
@method
@param value - String value for the CssClass property
@returns 
*/
set_cssClass(value: string): void;
        /**
Sets the button's dom element
@method
@param value - The HTML element of the button
@returns 
*/
set_element(value: HTMLElement): void;
        /**
Sets the ImageUrl property of the button
@method
@param value - String value for the ImageUrl property
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the SearchBoxButton's parent
@method
@param value - The parent SearchBox object
@returns 
*/
set_parent(value: Telerik.Web.UI.RadSearchBox): void;
        /**
Sets the position of the button relative to the parent RadSearchBox's input field.
@method
@param value - The Position.
@returns 
*/
set_position(value: Telerik.Web.UI.SearchBoxButtonPosition): void;
    }


    class SearchBoxButtonCollection   {
        /**
Appends a button to the Buttons collection
@method
@param button - The button to insert
@returns 
*/
add(button: Telerik.Web.UI.SearchBoxButton): void;
        /**
Clears the Buttons collection of RadSearchBox
@method
@returns 
*/
clear(): void;
        /**
Iterates through the Buttons collection
@method
@param lambda - The function to execute on each iteration
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of buttons in the Buttons collection.
@method
@returns The number of the buttons
*/
get_count(): number;
        /**
Gets the button from the Buttons collection residing at the index specified by the parameter.
@method
@param index - The index of the button that should be returned
@returns Returns SearchBoxButton
*/
getButton(index: number): Telerik.Web.UI.SearchBoxButton;
        /**
Gets the index of a button.
@method
@param button - The button to get the index of
@returns int
*/
indexOf(button: Telerik.Web.UI.SearchBoxButton): number;
        /**
Inserts a button into the Buttons collection at the position specified by the first (index) parameter
@method
@param index - The index to insert at
@param button - The button to insert
@returns 
*/
insert(index: number, button: Telerik.Web.UI.SearchBoxButton): void;
        /**
Removes a button from the Buttons collection
@method
@param button - The button to remove
@returns 
*/
remove(button: Telerik.Web.UI.SearchBoxButton): void;
        /**
Removes the button at the specified index.
@method
@param index - The index to remove at
@returns 
*/
removeAt(index: number): void;
        /**
Returns the collection represented as array
@method
@returns 
*/
toArray(): Telerik.Web.UI.SearchBoxButton[];
    }


    class SearchBoxButtonCommandEventArgs  extends Sys.EventArgs {
        /**
Returns the command name.
@method
@returns the command name.
*/
get_commandName(): string;
        /**
Returns the command argument.
@method
@returns the command argument.
*/
get_commandArgument(): string;
    }


    class SearchBoxDataRequestingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the text of the SearchBox.
@method
@returns the text of the SearchBox.
*/
get_text(): string;
        /**
Returns a boolean value indicating whether all results should be shown, or just a portion of them, depending on the MaxResultsCount property value.
@method
@returns 
*/
get_showAllResults(): boolean;
        /**
Returns the UserContext object of type IDictionary.
@method
@returns 
*/
get_userContext(): any;
    }


    class SearchBoxSearchEventArgs  extends Sys.EventArgs {
        /**
Returns the text that is typed in the SearchBox, or the text of the selected result item.
@method
@returns 
*/
get_text(): string;
        /**
Returns the an instance of the newly selected RadComboBoxItem.
@method
@returns 
*/
get_datItem(): any;
        /**
Returns the value of the selected result item.
@method
@returns 
*/
get_value(): string;
    }


    class SearchContext   {
        /**
Gets the UL DOM element of the SearchContext's drop-down
@method
@returns The UL DOM element of the SearchContext
*/
get_childListElement(): HTMLElement;
        /**
Gets the root DOM element of the SearchContext's drop-down.
@method
@returns The root DOM element of the SearchContext
*/
get_dropDownElement(): HTMLElement;
        /**
Gets the DOM element for the SearchContext.
@method
@returns The DOM element for the SearchContext.
*/
get_element(): HTMLElement;
        /**
Gets the value of the Enabled property
@method
@returns 
*/
get_enabled(): string;
        /**
Gets a collection with all items
@method
@returns 
*/
get_items(): Telerik.Web.UI.SearchContextItemCollection;
        /**
Returns the currently selected item of the SearchContext.
@method
@returns 
*/
get_selectedItem(): void;
        /**
Gets the DOM element of the SearchContext where the text of the currently selected item is shown.
@method
@returns DOM element of the SearchContext where the text of the currently selected item is shown.
*/
get_textElement(): HTMLElement;
        /**
Toggles the enabled state of the SearchContext.
@method
@returns 
*/
set_enabled(): void;
    }


    class SearchContextItem   {
        /**
Gets the DOM element for the SearchContextItem
@method
@returns The DOM element for the SearchContextItem
*/
get_element(): HTMLElement;
        /**
Returns the img element of the item
@method
@returns HTML element that holds the items
*/
get_imageElement(): HTMLElement;
        /**
Gets the value of the ImageUrl property
@method
@returns 
*/
get_imageUrl(): string;
        /**
Gets the SearchContextItem's index inside the SearchContextItemCollection
@method
@returns The index of the SearchContextItem
*/
get_index(): number;
        /**
Gets the value of the Key property
@method
@returns 
*/
get_key(): string;
        /**
The SearchContextItem's parent
@method
@returns Gets the SearchContextItem
*/
get_parent(): Telerik.Web.UI.SearchContext;
        /**
Gets the value of the Selected property
@method
@returns 
*/
get_selected(): string;
        /**
Gets the text of the SearchContextItem.
@method
@returns 
*/
get_text(): string;
        /**
Returns the text dom element of the item when imageUrl is set.
@method
@returns HTML element that holds the items
*/
get_textElement(): HTMLElement;
        /**
Sets the item's dom element
@method
@param value - The HTML element of the item
@returns 
*/
set_element(value: HTMLElement): void;
        /**
Sets the ImageUrl property of the button
@method
@param value - String value for the ImageUrl property
@returns 
*/
set_imageUrl(value: string): void;
        /**
Sets the Key property of the item.
@method
@param value - String value for the Key property
@returns 
*/
set_key(value: string): void;
        /**
Sets the SearchBoxButton's parent
@method
@param value - The parent SearchContext object
@returns 
*/
set_parent(value: Telerik.Web.UI.SearchContext): void;
        /**
Toggles the selected state of the SearchContextItem.
@method
@returns 
*/
set_selected(): void;
        /**
Sets the text of the SearchContextItem.
@method
@param value - String value for the Text property
@returns 
*/
set_text(value: string): void;
    }


    class SearchContextItemCollection   {
        /**
Appends an item to the Items collection
@method
@param button - The item to insert
@returns 
*/
add(button: Telerik.Web.UI.SearchContextItem): void;
        /**
Clears the Items collection of RadSearchBox's SearchContext
@method
@returns 
*/
clear(): void;
        /**
Iterates through the Items collection
@method
@param lambda - The function to execute on each iteration
@returns 
*/
forEach(lambda: Function): void;
        /**
Returns the number of items in the Items collection.
@method
@returns The number of the buttons
*/
get_count(): number;
        /**
Gets the item from the Items collection residing at the index specified by the parameter.
@method
@param index - The index of the button that should be returned
@returns Returns SearchContextItem
*/
getItem(index: number): Telerik.Web.UI.SearchContextItem;
        /**
Gets the index of an item.
@method
@param button - The item to get the index of
@returns int
*/
indexOf(button: Telerik.Web.UI.SearchContextItem): number;
        /**
Inserts an item into the Items collection at the position specified by the first (index) parameter
@method
@param index - The index to insert at
@param button - The item to insert
@returns 
*/
insert(index: number, button: Telerik.Web.UI.SearchContextItem): void;
        /**
Removes an item from the Items collection
@method
@param button - The item to remove
@returns 
*/
remove(button: Telerik.Web.UI.SearchContextItem): void;
        /**
Removes the item at the specified index.
@method
@param index - The index to remove at
@returns 
*/
removeAt(index: number): void;
        /**
Returns the collection represented as array
@method
@returns 
*/
toArray(): Telerik.Web.UI.SearchContextItem[];
    }


    class SliderCancelEventArgs   {
        /**
Returns the slider value just prior to the change.
@method
@returns 
*/
get_oldValue(): number;
        /**
Returns the slider value after the change.
@method
@returns 
*/
get_newValue(): number;
    }


    class SliderEventArgs   {
        /**
Returns the slider value just prior to the change.
@method
@returns 
*/
get_oldValue(): number;
        /**
Returns the slider value after the change.
@method
@returns 
*/
get_newValue(): number;
    }


    class SliderItemDataBindingEventArgs   {
        /**
Returns the client-side data object of the slider’s item.
@method
@returns 
*/
get_dataItem(): any;
    }


    class SliderItemDataBoundEventArgs   {
        /**
Returns the client-side data object of the slider’s item.
@method
@returns 
*/
get_dataItem(): any;
        /**
Returns the client-side object of the slider’s item.
@method
@returns 
*/
get_sliderItem(): any;
    }


    class SocialDialogCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the social type of the button.
@method
@returns 
*/
get_socialNetType(): string;
        /**
Returns the shared url.
@method
@returns 
*/
get_url(): string;
        /**
Dynamically sets new values for url and title to share.
@method
@param url - 
@param title - 
@returns 
*/
set_stringsToShare(url: string, title: string): void;
    }


    class SocialDialogEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the opened dialog popup.
@method
@returns 
*/
get_dialog(): any;
        /**
Returns the social type of the button.
@method
@returns 
*/
get_socialNetType(): string;
        /**
Returns the shared url.
@method
@returns 
*/
get_url(): string;
    }


    class SocialShareEventArgs  extends Sys.EventArgs {
        /**
Returns the shared URL.
@method
@returns 
*/
get_url(): string;
    }


    class SpellCheckService  extends Sys.Component {
        /**

@method
@param word - 
@returns 
*/
addCustomWord(word: string): void;
        /**

@method
@returns 
*/
get_language(): string;
        /**

@method
@returns 
*/
get_url(): string;
        /**

@method
@param value - 
@returns 
*/
set_language(value: string): void;
        /**

@method
@param value - 
@returns 
*/
set_url(value: string): void;
        /**

@method
@param text - 
@returns 
*/
spellCheck(text: string): void;
        /**
This event is fired when spell checking is complete.
*/
add_complete(handler: (sender: Telerik.Web.UI.SpellCheckService, args: Sys.EventArgs) => void): void;

remove_complete(handler: Function): void;
    }


    class SpellClientCheckFinishedEventArgs  extends Sys.EventArgs {
        /**
Specifies whether the built-in completion message should be suppressed, providing you with an opportunity to display the completion status in another manner.
@method
@param value - When true, the built-in message is suppressed, otherwise it will appear.
@returns 
*/
suppressCompleteMessage(value: boolean): void;
    }


    class SplitterPaneBase  extends Sys.UI.Control {
        /**
Gets the position of the scrollbar of the control
@method
@returns The position of the scrollbar of the control in the form
*/
getScrollPos(): any;
        /**
Returns a value, indicating whether the control is collapsed
@method
@returns A value
*/
get_collapsed(): boolean;
        /**
Gets the height in pixels of the control
@method
@returns The height in pixels of the control
*/
get_height(): number;
        /**
Returns the maximum possible height of the control
@method
@returns The maximum possible height of the control
*/
get_maxHeight(): number;
        /**
Returns the maximum possible width of the control
@method
@returns The maximum possible width of the control
*/
get_maxWidth(): number;
        /**
Returns the minimum possible height of the control
@method
@returns The minimum possible height of the control
*/
get_minHeight(): number;
        /**
Returns the minimum possible width of the control
@method
@returns The minimum possible width of the control
*/
get_minWidth(): number;
        /**
Returns a value, indicating whether the control persists the position of the scrollbar
@method
@returns A value
*/
get_persistScrollPosition(): boolean;
        /**
Returns the value of the Scrolling property of the control
@method
@returns The value of the Scrolling property of the control
*/
get_scrolling(): Telerik.Web.UI.SplitterPaneScrolling;
        /**
Gets the width in pixels of the control
@method
@returns The width in pixels of the control
*/
get_width(): number;
        /**
Sets the height in pixels of the control
@method
@param value - The new height in pixels of the control
@returns 
*/
set_height(value: number): void;
        /**
Sets new value for the Scrolling property of the control
@method
@param value - The new value for the Scrolling property of the control
@returns 
*/
set_scrolling(value: Telerik.Web.UI.SplitterPaneScrolling): void;
        /**
Sets the width in pixels of the control
@method
@param value - The new width in pixels of the control
@returns 
*/
set_width(value: number): void;
        /**
Sets the position of the scrollbar of the control
@method
@param scrollLeft - The left position of the scrollbar
@param scrollTop - The top position of the scrollbar
@returns 
*/
setScrollPos(scrollLeft: number, scrollTop: number): void;
        /**
Occurs when a SlidingPane has just been collapsed.
*/
add_collapsed(handler: (sender: Telerik.Web.UI.SplitterPaneBase, args: Sys.EventArgs) => void): void;

remove_collapsed(handler: Function): void;
        /**
Occurs when a SlidingPane has just been expanded.
*/
add_expanded(handler: (sender: Telerik.Web.UI.SplitterPaneBase, args: Sys.EventArgs) => void): void;

remove_expanded(handler: Function): void;
        /**
Occurs when a SlidingPane has just been resized.
*/
add_resized(handler: (sender: Telerik.Web.UI.SplitterPaneBase, args: Telerik.Web.UI.PaneResizedEventArgs) => void): void;

remove_resized(handler: Function): void;
        /**
Occurs when a SlidingPane is just about to be collapsed.
*/
add_collapsing(handler: (sender: Telerik.Web.UI.SplitterPaneBase, args: Sys.CancelEventArgs) => void): void;

remove_collapsing(handler: Function): void;
        /**
Occurs when a SlidingPane is just about to be expanded.
*/
add_expanding(handler: (sender: Telerik.Web.UI.SplitterPaneBase, args: Sys.CancelEventArgs) => void): void;

remove_expanding(handler: Function): void;
        /**
Occurs when a SlidingPane is just about to be resized.
*/
add_resizing(handler: (sender: Telerik.Web.UI.SplitterPaneBase, args: Telerik.Web.UI.PaneResizingEventArgs) => void): void;

remove_resizing(handler: Function): void;
    }


    class SplitterResizedEventArgs  extends Sys.EventArgs {
        /**
Returns the width of the Splitter before the resizing.
@method
@returns 
*/
get_oldWidth(): number;
        /**
Returns the height of the Splitter before the resizing.
@method
@returns 
*/
get_oldHeight(): number;
    }


    class SplitterResizingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the new height of the splitter, or null if the height is not changing.
@method
@returns 
*/
get_newWidth(): number;
        /**
Returns the new width of the splitter, or null if the width is not changing.
@method
@returns 
*/
get_newHeight(): number;
    }


    class SpreadsheetRange   {
        /**
Clears the contents of the range cells.
@method
@param options? - 
@returns 
*/
clear(options?: any): void;
        /**
Clears the set filters for the given column(s). The indices is relative to the beginning of the range.
@method
@param indices - 
@returns 
*/
clearFilter(indices: any): void;
        /**
Fills a range with values inferred from a source range. This method employs some heuristics similar to what Excel's auto-filling algorithm does when you select a range of cells and drag the bottom-right handle. The range to be filled is the current object, and you must pass a source range containing data as first argument.
@method
@param srcRange - 
@param direction? - 
@returns ### get_borderBottomColorGets the color of the bottom border of the cells.
*/
fillFrom(srcRange: string, direction?: number): void;
        /**
Gets the size of the bottom border of the cells.
@method
@returns 
*/
get_borderBottomSize(): number;
        /**
Gets the color of the left border of the cells.
@method
@returns 
*/
get_borderLeftColor(): string;
        /**
Gets the size of the left border of the cells.
@method
@returns 
*/
get_borderLeftSize(): number;
        /**
Gets the color of the right border of the cells.
@method
@returns 
*/
get_borderRightColor(): string;
        /**
Gets the size of the right border of the cells.
@method
@returns 
*/
get_borderRightSize(): number;
        /**
Gets the color of the top border of the cells.
@method
@returns 
*/
get_borderTopColor(): string;
        /**
Gets the size of the top border of the cells.
@method
@returns 
*/
get_borderTopSize(): void;
        /**
Gets the disabled state of the cells in the range.
@method
@returns 
*/
get_enabled(): boolean;
        /**
Returns true if a range can be filtered.
@method
@returns 
*/
get_isFilterable(): boolean;
        /**
Returns true if a range can be sorted.
@method
@returns 
*/
get_isSortable(): boolean;
        /**
Returns true if the sheet of the range has filter enabled.
@method
@returns 
*/
hasFilter(): boolean;
        /**
Merges the range cells into a single merged cell. If the range already includes a merged cell, they are merged, too.
@method
@returns 
*/
merge(): void;
        /**
Sets the sheet selection to the range cells.
@method
@returns 
*/
select(): void;
        /**
Sets the color of the bottom border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The color may be set to any valid CSS color.
@method
@param color - 
@returns 
*/
set_borderBottomColor(color: string): void;
        /**
Sets the size of the bottom border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The method accepts any valid Length value.
@method
@param size - 
@returns 
*/
set_borderBottomSize(size: number): void;
        /**
Sets the color of the left border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The color may be set to any valid CSS color.
@method
@param color - 
@returns 
*/
set_borderLeftColor(color: string): void;
        /**
Sets the size of the left border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The method accepts any valid Length value.
@method
@param size - 
@returns 
*/
set_borderLeftSize(size: number): void;
        /**
Sets the color of the right border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The color may be set to any valid CSS color.
@method
@param color - 
@returns 
*/
set_borderRightColor(color: string): void;
        /**
Sets the size of the right border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The method accepts any valid Length value.
@method
@param size - 
@returns 
*/
set_borderRightSize(size: number): void;
        /**
Sets the color of the top border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The color may be set to any valid CSS color.
@method
@param color - 
@returns 
*/
set_borderTopColor(color: string): void;
        /**
Sets the size of the top border of the cells. If the range includes more than a single cell, the setting is applied to all cells. The method accepts any valid Length value.
@method
@param size - 
@returns 
*/
set_borderTopSize(size: string): void;
        /**
Sets the disabled state of the cells in the range.
@method
@param value - 
@returns 
*/
set_enabled(value: boolean): void;
        /**
Enables/disables or sets the filter for a given range.
@method
@param filter - 
@returns 
*/
set_filter(filter: any): void;
        /**
Un-merges any merged cells which are included in the range.
@method
@returns 
*/
unmerge(): void;
    }


    class SpreadsheetSheet   {
        /**
Deletes the contents of the column at the provided index and shifts the remaining contents of the sheet to the left.
@method
@param index - The zero-based index of the column
@returns 
*/
deleteColumn(index: number): void;
        /**
Deletes the contents of the row at the provided index and shifts the remaining contents of the sheet up.
@method
@param index - The zero-based index of the row
@returns 
*/
deleteRow(index: number): void;
        /**
Gets the width of the column at the given index.
@method
@returns 
*/
get_columnWidth(): number;
        /**
Gets the amount of frozen columns displayed by the sheet.
@method
@returns The current frozen columns. By default, returns 0.
*/
get_frozenColumns(): number;
        /**
Gets the amount of frozen rows displayed by the sheet.
@method
@returns 
*/
get_frozenRows(): number;
        /**
Returns a Range for the given range specification.
@method
@param rangeString - A1 or RC notation reference of the cells. ex. "A1:B2"
@returns 
*/
get_range(rangeString: string): Telerik.Web.UI.SpreadsheetRange;
        /**
Gets the default row height in pixels.
@method
@returns 
*/
get_rowHeight(): number;
        /**
Returns a range with the current active selection.
@method
@returns 
*/
get_selection(): Telerik.Web.UI.SpreadsheetRange;
        /**
Hides the column at the provided index.
@method
@param index - The zero-based index of the column.
@returns 
*/
hideColumn(index: number): void;
        /**
Hides the row at the provided index.
@method
@param index - The zero-based index of the row
@returns 
*/
hideRow(index: number): void;
        /**
Inserts a new, empty column at the provided index. The contents of the spreadsheet (including the ones in the current column index) are shifted to the right.
@method
@param index - The zero-based index of the column
@returns 
*/
insertColumn(index: number): void;
        /**
Inserts a new, empty row at the provided index. The contents of the spreadsheet (including the ones in the current row index) are shifted down.
@method
@param index - The zero-based index of the row
@returns 
*/
insertRow(index: number): void;
        /**
Sets or sets the width of the column at the given index.
@method
@param colIndex - The zero-based index of the column
@param width - If passed, the method will set the width of the column at the passed index.
@returns 
*/
set_columnWidth(colIndex: number, width: number): void;
        /**
Sets the amount of frozen columns displayed by the sheet.
@method
@param count - The amount of columns to be frozen. Pass 0 to remove the frozen pane.
@returns 
*/
set_frozenColumns(count: number): number;
        /**
Sets the amount of frozen rows displayed by the sheet.
@method
@param count - The amount of columns to be frozen. Pass 0 to remove the frozen pane.
@returns 
*/
set_frozenRows(count: number): void;
        /**
Sets the default row height in pixels.
@method
@param index - The zero-based index of the row
@param width? - If passed, the method will set the height of the row at the passed index.
@returns 
*/
set_rowHeight(index: number, width?: number): void;
    }


    class TabStripReorderedEventArgs  extends Telerik.Web.UI.RadTabStripEventArgs {
        /**
Returns the offset between the index of the dragged tab before the drag operation and the one where it's dropped.
@method
@returns the offset between the index of the dragged tab before the drag operation and the one where it's dropped.
*/
get_offset(): number;
    }


    class TabStripReorderingEventArgs  extends Telerik.Web.UI.RadTabStripCancelEventArgs {
        /**
Returns the offset between the index of the dragged tab before the drag operation and the one where it's dropped.
@method
@returns the offset between the index of the dragged tab before the drag operation and the one where it's dropped.
*/
get_offset(): number;
        /**
Returns the zero-based index where the dragged tab will be inserted in the tabs collection once dropped.
@method
@returns the zero-based index where the dragged tab will be inserted in the tabs collection once dropped.
*/
get_index(): number;
    }


    class TagCloudCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the client object of the clicked item.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadTagCloudItem;
    }


    class TagCloudErrorEventArgs  extends Sys.EventArgs {
        /**
Returns the error message that describes the specific problem..
@method
@returns 
*/
get_errorMessage(): string;
        /**
Returns a boolean value that indicates whether the error message will be displayed. True means the message will not be shown.
@method
@returns 
*/
get_cancelErrorAlert(): boolean;
        /**
Sets a boolean value that indicates whether the error message will be displayed. Setting true means the message will not be shown.
@method
@param value - 
@returns 
*/
set_cancelErrorAlert(value: boolean): void;
    }


    class TagCloudEventArgs  extends Sys.EventArgs {
        /**
Returns the client object of the clicked item.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadTagCloudItem;
    }


    class TagCloudItemDataBoundEventArgs  extends Sys.EventArgs {
        /**
Returns the client-side object of the clicked item.
@method
@returns 
*/
get_item(): Telerik.Web.UI.RadTagCloudItem;
        /**
Returns the fetched client-side object bound to the item.
@method
@returns 
*/
get_dataItem(): any;
    }


    class TileCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the property value of the specific event.
@method
@returns 
*/
get_value(): string;
        /**
Sets the property value of the specific event.
@method
@returns 
*/
set_value(): void;
    }


    class TileEventArgs  extends Sys.EventArgs {
        /**
Returns the new property value after the specific event occurred.
@method
@returns 
*/
get_newValue(): string;
        /**
Returns the new property value after the specific event occurred.
@method
@returns 
*/
get_oldValue(): string;
    }


    class TileListCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the tile, in which context the event occurs
@method
@returns 
*/
get_tile(): Telerik.Web.UI.RadBaseTile;
        /**
Returns the property value of the specific event
@method
@returns 
*/
get_value(): string;
        /**
Sets the property value of the specific event
@method
@returns 
*/
set_value(): void;
    }


    class TileListDataCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Gets the data that will be generated as tile by the TileList.
@method
@returns 
*/
get_tileData(): any;
        /**
Gets the data source object.
@method
@param value - The data for the tile that will be created.
@returns ### set_tileDataSets an object that will be created as tile by the TileList.
*/
get_dataItem(value: any): any;
    }


    class TileListDataEventArgs  extends Sys.EventArgs {
        /**
Gets the client-side object of the bound tile.
@method
@returns 
*/
get_tile(): Telerik.Web.UI.RadBaseTile;
        /**
Gets the data source object.
@method
@returns 
*/
get_dataItem(): any;
    }


    class TileListEventArgs  extends Sys.EventArgs {
        /**
Returns the property value after the specific event occurred
@method
@returns 
*/
get_newValue(): string;
        /**
Returns the property value before the specific event occurred
@method
@returns 
*/
get_oldValue(): string;
        /**
Returns the tile, in which context the event occurs
@method
@returns 
*/
get_tile(): Telerik.Web.UI.RadBaseTile;
    }


    class TimeViewSelectedEventArgs  extends Sys.EventArgs {
        /**
Returns the newly selected time value.
@method
@returns 
*/
get_newTime(): Date;
        /**
Returns the time before the user selected a new time value.
@method
@returns 
*/
get_oldTime(): Date;
    }


    class TimeViewSelectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the newly selected time value.
@method
@returns 
*/
get_newTime(): Date;
        /**
Returns the time before the user selected a new time value.
@method
@returns 
*/
get_oldTime(): Date;
    }


    class ToolTipManagerErrorEventArgs  extends Sys.EventArgs {
        /**
Returns a boolean value that indicates whether the error message will be displayed. True means the message will not be shown.
@method
@returns 
*/
get_cancelErrorAlert(): boolean;
        /**
Returns the error message that describes the specific problem.
@method
@returns 
*/
get_errorMessage(): string;
        /**
Sets a boolean value that indicates whether the error message will be displayed. Setting true means the message will not be shown.
@method
@param value - 
@returns 
*/
set_cancelErrorAlert(value: boolean): void;
    }


    class TreeListColumn   {
        /**
A property which returns the unique name of the column.
@method
@returns 
*/
get_uniqueName(): void;
    }


    class TreeListColumnResizedEventArgs  extends Sys.EventArgs {
        /**
Returns a reference to the clicked TreeListColumn object
@method
@returns 
*/
get_column(): any;
        /**
Returns the resized TreeListDataItem object
@method
@returns 
*/
get_item(): any;
    }


    class TreeListColumnResizingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a reference to the clicked TreeListColumn object
@method
@returns 
*/
get_column(): any;
        /**
Gets the width of the TreeListColumn.
@method
@returns 
*/
get_width(): number;
    }


    class TreeListDataItem  extends Sys.UI.Control {
        /**
Method which triggers specific command for the TreeListDataItem when executed. The method is called for the TreeListDataItem client instance. The method arguments are the command which will be processed and its corresponding arguments.
@method
@returns 
*/
fireCommand(): void;
        /**
A property which gets a collection of the visible child items of the current item.
@method
@returns 
*/
get_childItems(): void;
        /**
Gets the display index of the current TreeListDataItem instance.
@method
@returns 
*/
get_displayIndex(): void;
        /**
A property which returns whether the current item is expanded.
@method
@returns 
*/
get_expanded(): void;
        /**
A property which gets the index of the current item in the treelist hierarchy.
@method
@returns 
*/
get_hierarchicalIndex(): void;
        /**
A property which returns whether the current item is root item for the treelist.
@method
@returns 
*/
get_isRoot(): void;
        /**
A property which gets the next sibling of the current item.
@method
@returns 
*/
get_nextSibling(): void;
        /**
Gets the owner RadTreeList instance for this item.
@method
@returns 
*/
get_owner(): void;
        /**
A property which gets the parent of the current item.
@method
@returns 
*/
get_parentItem(): void;
        /**
A property which gets the previous sibling of the current item.
@method
@returns 
*/
get_previousSibling(): void;
        /**
Gets a value indicating whether the current item is selected.
@method
@returns 
*/
get_selected(): void;
        /**
Sets the selected state of the current item.
@method
@returns 
*/
set_selected(): void;
    }


    class TreeListItemClickEventArgs  extends Sys.EventArgs {
        /**
Returns the clicked TreeListDataItem object
@method
@returns 
*/
get_item(): any;
    }


    class TreeListItemContextMenuEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the right-clicked TreeListDataItem object
@method
@returns 
*/
get_item(): any;
    }


    class TreeListItemCreatedEventArgs  extends Sys.EventArgs {
        /**
Returns the newly created TreeListDataItem object
@method
@returns 
*/
get_item(): any;
    }


    class TreeListItemDblClickEventArgs  extends Sys.EventArgs {
        /**
Returns the double-clicked TreeListDataItem object.
@method
@returns 
*/
get_item(): any;
    }


    class TreeListItemDeselectedEventArgs  extends Sys.EventArgs {
        /**
Returns the deselected TreeListDataItem object
@method
@returns 
*/
get_item(): any;
    }


    class TreeListItemDeselectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the TreeListDataItem object which is being deselected
@method
@returns 
*/
get_item(): any;
    }


    class TreeListItemDragStartedEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the tr element used for representing the dragged row.
@method
@returns 
*/
get_draggedContainer(): HTMLElement;
        /**
Returns a collection of the dragged TreeListDataItems.
@method
@returns 
*/
get_draggedItems(): any;
        /**
Returns the dragged TreeListDataItem.
@method
@returns 
*/
get_item(): any;
        /**
Sets the element used for representing the dragged row.
@method
@param value - 
@returns 
*/
set_draggedContainer(value: HTMLElement): void;
    }


    class TreeListItemDraggingEventArgs  extends Sys.EventArgs {
        /**
Returns  bool indicating whether the item can be dropped at that position. This property returns true by default, except if the user is trying to perform an invalid reorder operation - e.g. dropping a parent item over its own child, or dropping an item onto itself. This is useful in the cases, when the developer needs to change the 'drop clue' icon in order to notify the user that it is not possible to perform this operation
@method
@returns 
*/
get_canDrop(): boolean;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns the 'tr' element used for representing the dragged row.
@method
@returns 
*/
get_draggedContainer(): HTMLElement;
        /**
Returns bool indicating whether the dragged item is over the header item.
@method
@returns 
*/
get_isOverHeaderItem(): boolean;
        /**
Gets the target item.
@method
@returns 
*/
get_targetItem(): Telerik.Web.UI.TreeListDataItem;
        /**
Sets a bool indicating whether the item can be dropped at that position. Setting this property to true means that if the user tries to drop the item at this point, all further drag and drop operations will be canceled (OnItemDropping and OnItemDropped events won't be triggered).
@method
@param value - 
@returns 
*/
set_canDrop(value: boolean): void;
        /**
Sets whether the drop clue (an arrow image in front of the dragged row) should be visible.
@method
@param value - 
@returns 
*/
set_dropClueVisible(value: boolean): void;
    }


    class TreeListItemDroppedEventArgs  extends Sys.EventArgs {
        /**
Returns the destination HTML element.
@method
@returns 
*/
get_destinationHtmlElement(): HTMLElement;
        /**
Returns a collection of the dragged TreeListDataItems.
@method
@returns 
*/
get_draggedItems(): any;
        /**
Returns bool indicating whether the dragged item is over the header item.
@method
@returns 
*/
get_isOverHeader(): boolean;
        /**
Gets the target TreeListDataItem
@method
@returns 
*/
get_targetDataItem(): Telerik.Web.UI.TreeListDataItem;
    }


    class TreeListItemDroppingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the destination HTML element over which the drop is performed.
@method
@returns 
*/
get_destinationHtmlElement(): HTMLElement;
        /**
Returns a collection of the dragged TreeListDataItems.
@method
@returns 
*/
get_draggedItems(): any;
        /**
Returns bool indicating whether the dragged item is over the header item.
@method
@returns 
*/
get_isOverHeader(): boolean;
        /**
Gets the target TreeListDataItem
@method
@returns 
*/
get_targetDataItem(): Telerik.Web.UI.TreeListDataItem;
        /**
Sets the destination HTML element.
@method
@param value - 
@returns 
*/
set_destinationHtmlElement(value: HTMLElement): void;
    }


    class TreeListItemSelectedEventArgs  extends Sys.EventArgs {
        /**
Returns the selected TreeListDataItem object
@method
@returns 
*/
get_item(): any;
    }


    class TreeListItemSelectingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the TreeListDataItem object which is being selected
@method
@returns 
*/
get_item(): any;
    }


    class TreeListKeyPressEventArgs  extends Sys.CancelEventArgs {
        /**
Gets the internal DOM event object for the event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Returns whether the alt key has been pressed as part of the keyboard shortcut.
@method
@returns 
*/
get_isAltPressed(): boolean;
        /**
Returns whether the control key has been pressed as part of the keyboard shortcut.
@method
@returns 
*/
get_isCtrlPressed(): boolean;
        /**
Returns whether the shift key has been pressed as part of the keyboard shortcut.
@method
@returns 
*/
get_isShiftPressed(): boolean;
        /**
Gets the action that will be performed as a result of this shortcut (e.g. for Enter - Edit).
@method
@returns 
*/
get_keyboardNavigationType(): number;
        /**
Returns the code of the pressed key.
@method
@returns 
*/
get_keyCode(): number;
        /**
Sets the action that will be performed as a result of this shortcut. Useful when user wants to perform a different action as a result of a shortcut.
@method
@param value - 
@returns 
*/
set_keyboardNavigationType(value: number): void;
    }


    class TreeListScrollEventArgs  extends Sys.CancelEventArgs {
        /**
Returns a Boolean value, indicating whether the scroll has reached the bottom of the treelist.
@method
@returns 
*/
get_isOnBottom(): boolean;
        /**
Returns a Boolean value, indicating whether the scroll has reached the top of the treelist.
@method
@returns 
*/
get_isOnTop(): boolean;
        /**
Returns the div element that is being scrolled.
@method
@returns 
*/
get_scrollControl(): HTMLElement;
        /**
Returns the horizontal position of the scroll.
@method
@returns 
*/
get_scrollLeft(): number;
        /**
Returns the vertical position of the scroll.
@method
@returns 
*/
get_scrollTop(): number;
    }


    class TreeMapItemCreatedEventArgs  extends Sys.EventArgs {
        /**
Gets reference to the DataItem object (data container).
@method
@returns 
*/
get_datItem(): any;
        /**
Returns the DOM element of the div, which the currently evaluated RadTreeMapItem is rendered in.
@method
@returns the DOM Element of the div, which the currently evaluated RadTreeMapItem is rendered in.
*/
get_element(): HTMLElement;
    }


    class WebServiceSettings   {
        /**

@method
@returns 
*/
get_isEmpty(): void;
        /**

@method
@returns 
*/
get_isOData(): void;
        /**

@method
@returns 
*/
get_isWcf(): void;
        /**

@method
@returns 
*/
get_method(): void;
        /**

@method
@returns 
*/
get_path(): void;
        /**

@method
@returns 
*/
get_useHttpGet(): void;
        /**

@method
@returns 
*/
set_method(): void;
        /**

@method
@returns 
*/
set_path(): void;
        /**

@method
@returns 
*/
set_useHttpGet(): void;
    }


    class WindowCloseCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the argument passed to the close() method of the RadWindow by the developer.
@method
@returns 
*/
get_argument(): any;
    }


    class WindowCloseEventArgs  extends Sys.EventArgs {
        /**
Returns the argument passed to the close() method of the RadWindow by the developer.
@method
@returns 
*/
get_argument(): any;
    }


    class WizardButtonClickedEventArgs  extends Sys.EventArgs {
        /**
Returns the current RadWizard active step.
@method
@returns ### get_commandReturns the command enumeration that is about to be executed.
*/
get_activeStep(): Telerik.Web.UI.RadWizardStep;
    }


    class WizardButtonClickingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the command enumeration that is about to be executed.
@method
@returns 
*/
get_command(): number;
        /**
Returns the step user is trying to navigate to.
@method
@returns 
*/
get_nextActiveStep(): Telerik.Web.UI.RadWizardStep;
    }


    class XmlHttpPanelErrorEventArgs  extends Sys.EventArgs {
        /**
Gets the bool value indicating whether the error message will be alerted.
@method
@returns 
*/
get_cancelErrorAlert(): boolean;
        /**
Gets the message displayed when an error has occurred during the process of loading content.
@method
@returns 
*/
get_errorMessage(): string;
        /**
Cancels (or not) the error message alert.
@method
@param value - Whether or not the error message alert should be canceled.
@returns 
*/
set_cancelErrorAlert(value: boolean): void;
    }


    class XmlHttpPanelEventArgs  extends Sys.CancelEventArgs {
        /**
Gets the HTML content that will be rendered inside the RadXmlHttpPanel control.
@method
@returns 
*/
get_content(): string;
        /**
Sets an HTML content that will be rendered inside the RadXmlHttpPanel control.
@method
@param value - A string representing the HTML content.
@returns 
*/
set_content(value: string): void;
    }


    class jSlide   {
        /**

@method
@returns 
*/
collapse(): void;
        /**

@method
@returns 
*/
expand(): void;
        /**

@method
@returns 
*/
get_animatedElement(): void;
        /**

@method
@returns 
*/
get_direction(): void;
        /**

@method
@returns 
*/
get_element(): HTMLElement;
        /**

@method
@returns 
*/
get_events(): void;
        /**

@method
@returns 
*/
set_animatedElement(): void;
        /**

@method
@returns 
*/
set_direction(): void;
        /**

@method
@returns 
*/
show(): void;
        /**

@method
@returns 
*/
updateSize(): void;
        /**
Occurs when the collapse animation has ended.
*/
add_collapseAnimationEnded(handler: (sender: Telerik.Web.UI.jSlide, args: Sys.EventArgs) => void): void;

remove_collapseAnimationEnded(handler: Function): void;
        /**
Occurs when the collapse animation has started.
*/
add_collapseAnimationStarted(handler: (sender: Telerik.Web.UI.jSlide, args: Sys.EventArgs) => void): void;

remove_collapseAnimationStarted(handler: Function): void;
        /**
Occurs when the expand animation has ended.
*/
add_expandAnimationEnded(handler: (sender: Telerik.Web.UI.jSlide, args: Sys.EventArgs) => void): void;

remove_expandAnimationEnded(handler: Function): void;
        /**
Occurs when the expand animation has started.
*/
add_expandAnimationStarted(handler: (sender: Telerik.Web.UI.jSlide, args: Sys.EventArgs) => void): void;

remove_expandAnimationStarted(handler: Function): void;
    }


}
declare module Telerik.Web.UI.Editor {
    class AjaxSpellCheck  extends Sys.UI.Control {
        /**
Adds a custom word to the collection.
@method
@param word - 
@returns 
*/
addCustomWord(word: string): void;
        /**
Stops the spell checking and retrieves the original state of the content.
@method
@param raiseEvent? - Indicates whether to raise the spellCheckEnd event.
@returns 
*/
cancelSpellCheck(raiseEvent?: boolean): void;
        /**
Stops the spell checking and updates the content.
@method
@param raiseEvent? - Indicates whether to raise the spellCheckEnd event.
@returns 
*/
finishSpellCheck(raiseEvent?: boolean): void;
        /**
Returns the RadEditor instance.
@method
@returns 
*/
get_editor(): Telerik.Web.UI.RadEditor;
        /**
Gets the language used by the Spell-Check service.
@method
@returns 
*/
get_language(): string;
        /**
Sets the RadEditor instance.
@method
@param editor - The RadEditor instance.
@returns 
*/
set_editor(editor: Telerik.Web.UI.RadEditor): void;
        /**
Sets the language used by the Spell-Check service.
@method
@param language - The language.
@returns 
*/
set_language(language: string): void;
        /**
Performs a spell check on the content.
@method
@returns 
*/
spellCheck(): void;
        /**
This event is fired when the spell checking has finished.
*/
add_spellCheckEnd(handler: (sender: Telerik.Web.UI.Editor.AjaxSpellCheck, args: Sys.EventArgs) => void): void;

remove_spellCheckEnd(handler: Function): void;
    }


    class BaseToolAdapter  extends Sys.UI.Control {
        /**
Gets an Array containing all the tools
@method
@returns 
*/
get_tools(): any;
        /**
Gets a tool by provided name
@method
@param name - The tool name
@returns 
*/
getToolByName(name: string): Telerik.Web.UI.EditorButton;
        /**
Sets the current tool state
@method
@param toolsArray - The tools, which state should be set
@param optionalState? - Optional state value to be set
@returns 
*/
setToolState(toolsArray: any, optionalState?: Telerik.Web.UI.Editor.CommandStates): void;
    }


    class CommandBase   {
        /**
Executes the command.
@method
@returns Indicates whether the command has been executed successfully or not.
*/
execute(): boolean;
        /**
Returns the command arguments.
@method
@returns 
*/
get_argument(): any;
        /**
Indicates whether the command can be executed or not.
@method
@returns 
*/
get_canUnexecute(): boolean;
        /**
Returns the RadEditor instance associated to this command.
@method
@returns 
*/
get_editor(): Telerik.Web.UI.RadEditor;
        /**
Returns the value of the RadEditor's ContentAreaMode property.
@method
@returns 
*/
get_editorContentArea(): Telerik.Web.UI.EditorContentAreaMode;
        /**
Indicates whether the undo/redo functionality is available.
@method
@returns 
*/
get_enableUndoRedo(): boolean;
        /**
Returns the title of the command.
@method
@returns 
*/
get_title(): string;
        /**
Returns the window object of the RadEditor's iframe.
@method
@returns 
*/
get_window(): any;
        /**
Returns the command arguments.
@method
@returns 
*/
getState(): Telerik.Web.UI.Editor.CommandStates;
        /**
Returns the current value of the command.
@method
@returns 
*/
getValue(): any;
        /**
Sets whether the command can be executed or not.
@method
@param value - 
@returns 
*/
set_canUnexecute(value: boolean): void;
        /**
Sets the RadEditor instance associated to this command.
@method
@param value - 
@returns 
*/
set_editor(value: Telerik.Web.UI.RadEditor): void;
        /**
Sets the title of the command.
@method
@param value - 
@returns 
*/
set_title(value: string): void;
        /**
Restores the previous state of the content (i.e., applies undo).
@method
@returns 
*/
unexecute(): void;
    }


    class CommandList   {
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static AboutDialog(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static AbsolutePosition(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static AjaxSpellCheck(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ApplyClass(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static BackColor(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Bold(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Bottom-Center
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static BottomCenterCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Bottom-Left
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static BottomLeftCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Bottom-Right
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static BottomRightCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Sets Border of the Selected Cell
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static CellBorder(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ConvertToLower(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ConvertToUpper(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Copy(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static CopyFromEditor(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Cut(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static DeleteCell(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static DeleteColumn(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static DeleteRow(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static DeleteTable(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static DocumentManager(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static EnterNewLine(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static EnterParagraphMozilla(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FindAndReplace(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FlashManager(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FontName(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FontSize(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ForeColor(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FormatBlock(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FormatCodeBlock(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FormatPainterApply(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FormatPainterClear(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FormatPainterCopy(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FormatSets(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static FormatStripper(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Help(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Sets Border of the Selected Image
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ImageBorder(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ImageManager(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ImageMapDialog(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Sets the Size and Margins of the Selected Image
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ImageSizeMargins(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Indent(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertColumnLeft(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertColumnRight(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertCustomLink(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertDate(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertExternalVideo(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormButton(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormCheckbox(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormElement(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormForm(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormHidden(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormImageButton(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormPassword(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormRadio(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormReset(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormSelect(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormSubmit(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormText(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertFormTextarea(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertGroupbox(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertHorizontalRule(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertImage(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertLink(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertOrderedList(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertParagraph(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertParagraphSafari(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertRowAbove(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertRowBelow(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertShiftTab(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertSnippet(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertSymbol(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertTab(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertTable(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Inserts a Table in RadEditor
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertTableDialog(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertTableLight(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertTabMozilla(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertTime(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static InsertUnorderedList(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Italic(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static JustifyCenter(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static JustifyFull(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static JustifyLeft(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static JustifyNone(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static JustifyRight(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static LinkManager(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MediaManager(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MergeColumns(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MergeRows(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Middle-Center
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MiddleCenterCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Middle-Left
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MiddleLeftCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Middle-Right
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MiddleRightCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Toggles the ToolZone in RadEditor with Phone Layout
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MobileEdit(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Sets the Properties of the Selected Table for Phone Layout
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static MobileTableProperties(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Removes the Alignment of the Selected Cell
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static NoCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Opens the Selected Link
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static OpenLink(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Outdent(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PageProperties(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Paste(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PasteAsHtml(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PasteFromWord(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PasteFromWordNoFontsNoSizes(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PasteHtml(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PasteMarkdown(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PastePlainText(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static PastePlainTextWithTable(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Print(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static RealFontSize(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Redo(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SelectAll(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SetCellProperties(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SetImageProperties(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SetLinkProperties(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SetTableProperties(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SetToolFocus(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SilverlightManager(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SplitCell(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static SplitCellHorizontal(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static StrikeThrough(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static StripAll(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static StripCss(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static StripFont(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static StripSpan(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static StripWord(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static StyleBuilder(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Subscript(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Superscript(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Sets Border of the Selected Table
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static TableBorder(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static TableWizard(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static TemplateManager(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ToggleEditMode(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ToggleScreenMode(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static ToggleTableBorder(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Top-Center
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static TopCenterCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Top-Left
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static TopLeftCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**
Aligns the Selected Cell to Top-Right
@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static TopRightCellAlign(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static TrackChangesDialog(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Underline(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Undo(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Unlink(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static XhtmlValidator(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
        /**

@method
@param commandName - The command name
@param editor - The RadEditor instance triggered the command.
@param args - The command arguments.
@returns 
*/
static Zoom(commandName: string, editor: Telerik.Web.UI.RadEditor, args: Telerik.Web.UI.EditorCommandEventArgs): void;
    }


    class CommandsManager   {
        /**
Indicates whether the last command can be repeated.
@method
@returns 
*/
canRepeatLastCommand(): boolean;
        /**
Executes a command.
@method
@param command - The command to be executed.
@param addToStack - Boolean value that indicates whether the command to be added in the undo stack.
@returns Returns true if command can be unexecuted.
*/
execute(command: any, addToStack: boolean): boolean;
        /**
Returns the commands available in the undo stack.
@method
@returns 
*/
get_commands(): any;
        /**
Returns the commands in the redo stack.
@method
@returns 
*/
getCommandsToRedo(): any;
        /**
Returns the commands in the undo stack.
@method
@returns 
*/
getCommandsToUndo(): any;
        /**
Indicates whether there are commands in the redo stack.
@method
@returns 
*/
isRedoAvailable(): boolean;
        /**
Indicates whether there are commands in the undo stack.
@method
@returns 
*/
isUndoAvailable(): boolean;
        /**
Redo commands added in the redo stack.
@method
@param depth - The number of commands to be redo.
@returns 
*/
redo(depth: number): void;
        /**
Removes a command from the specified index in the stack.
@method
@param index - The index of the command to be removed.
@returns 
*/
removeCommandAt(index: number): void;
        /**
Repeats the last command fired.
@method
@param depth - The number of commands to be undo.
@returns ### undoUndo commands added in the undo stack.
*/
repeatLastCommand(depth: number): void;
    }


    class DefaultToolAdapter  extends Sys.UI.Control {
        /**
Forces the context menus of the RadEditor to render.
@method
@returns 
*/
createContextMenus(): void;
        /**
Sets the enable/disable state of the context menus.
@method
@param value - Indicates whether to disable or enable the context menus.
@returns 
*/
enableContextMenus(value: boolean): void;
        /**
Returns the animation duration in milliseconds.
@method
@returns 
*/
get_animationDuration(): number;
        /**
Gets the animation type.
@method
@returns Instance of Telerik.Web.UI.Editor.EditorToolBarAnimationType enum that represents the animation type.
*/
get_animationType(): Telerik.Web.UI.Editor.EditorToolBarAnimationType;
        /**
Returns the value set to the ContnetAreaMode property.
@method
@returns 
*/
get_contentAreaMode(): Telerik.Web.UI.EditorContentAreaMode;
        /**
Returns the RadEditor instance initialized the toolbar.
@method
@returns 
*/
get_editor(): Telerik.Web.UI.RadEditor;
        /**
Returns the RadWidnow instance which serves as a toolbar for the editor (NOTE: With Default and RibbonBar toolbar modes, returns null).
@method
@returns 
*/
get_toolbarHolder(): Telerik.Web.UI.RadWindow;
        /**
Returns an array with the JSON literals of the tools.
@method
@returns 
*/
get_toolJSON(): any;
        /**
Returns all tools/commands available in the toolbar.
@method
@returns 
*/
get_tools(): any;
        /**
Returns the RadWidnow instance which serves as a toolbar for the editor (NOTE: With Default and RibbonBar toolbar modes, returns null).
@method
@returns 
*/
get_window(): Telerik.Web.UI.RadWindow;
        /**
Returns a reference to the context menu object
@method
@param tagName - The Tag name of the context menu
@returns Reference to the context menu object
*/
getContextMenuByTagName(tagName: string): Telerik.Web.UI.EditorContextMenu;
        /**
Returns a reference to a tool, specified by its name.
@method
@param toolName - The name of the tool
@returns 
*/
getToolByName(toolName: string): Telerik.Web.UI.EditorButton;
        /**
Sets the animation duration in milliseconds.
@method
@param value - 
@returns 
*/
set_animationDuration(value: number): void;
        /**
Sets the animation type.
@method
@param value - Instance of Telerik.Web.UI.Editor.EditorToolBarAnimationType enum.
@returns 
*/
set_animationType(value: Telerik.Web.UI.Editor.EditorToolBarAnimationType): void;
        /**
Sets the RadEditor instance associated to the toolbar.
@method
@param editor - 
@returns 
*/
set_editor(editor: Telerik.Web.UI.RadEditor): void;
        /**
Sets a new array with the JSON literals of the tools.
@method
@param value - 
@returns 
*/
set_toolJSON(value: any): void;
        /**
Focuses the first tool in the toolbar.
@method
@returns 
*/
setFocus(): void;
        /**
Sets the state of the tools in the specified tools array.
@method
@param toolsArray - Array of RadEditor tools/commands (NOTE: If array is not provided, all tools will be updated with the new state).
@param state? - The state to be used for this group of tools.
@returns 
*/
setToolState(toolsArray: any, state?: Telerik.Web.UI.Editor.CommandStates): void;
        /**
This event is raised when a value is selected.
*/
add_toolClick(handler: (sender: Telerik.Web.UI.EditorButton, args: Telerik.Web.UI.EditorCommandEventArgs) => void): void;

remove_toolClick(handler: Function): void;
    }


    class DomRange   {
        /**
The parent node that fully contains the range content
@method
*/
static commonAncestorContainer(): void;
        /**
The end container (node), where the end location of the range is located.
@method
*/
static endContainer(): void;
        /**
The end offset within the end container of the range's end location
@method
*/
static endOffset(): void;
        /**
The start container (node), where the start location of the range is located.
@method
*/
static startContainer(): void;
        /**
The start offset within the start container of the range's start location
@method
*/
static startOffset(): void;
        /**
Clears the selection of the browser.
@method
@returns 
*/
clear(): void;
        /**
Creates a new DomRange object that has the same selected area
@method
@returns 
*/
cloneRange(): Telerik.Web.UI.Editor.DomRange;
        /**
Collapses the range to either end. When collapsed, start and end locations are identical.
@method
@param toStart? - If true, range is collapsed to the start location. Otherwise, collapses to the end location.
@returns 
*/
collapse(toStart?: boolean): void;
        /**
Creates a range from the page's document
@method
@param range - The page document, for which a range will be created
@returns 
*/
static createRange(range: any): Telerik.Web.UI.Editor.DomRange;
        /**
Delete the content of the range
@method
@returns 
*/
deleteContents(): void;
        /**
Extract the content of the range
@method
@returns Result is a documentFragment
*/
extractContents(): any;
        /**
Gets the underlying browser range reference. It is different for legacy IE and modern browsers.
@method
@returns 
*/
getBrowserRange(): any;
        /**
Gets the content of the range as HTML text content.
@method
@returns 
*/
getHtml(): string;
        /**
Gets the range content as text. HTML tags are expected to be missing.
@method
@returns 
*/
getText(): string;
        /**
Insert a DOM node at the start of the range
@method
@param node - The node to be inserted
@returns 
*/
insertNode(node: HTMLElement): void;
        /**
Checks whether the range is collapsed.
@method
@returns True means the range is collapsed. Otherwise, false.
*/
isCollapsed(): boolean;
        /**
Enters text content as range content. Input could be HTML text.
@method
@param text - The content to be pasted in the range
@returns 
*/
pasteHTML(text: string): void;
        /**
Gets the range of the specified browser window
@method
@param wndow - The page window object reference
@returns 
*/
static rangeFromWindow(wndow: any): Telerik.Web.UI.Editor.DomRange;
        /**
Puts the content of the range in a browser selection. The content should be wrapped in a UI selection by the browser.
@method
@returns 
*/
select(): void;
        /**
Selection is applied over the specified node.
@method
@param node - The node to be selected
@returns 
*/
selectNode(node: HTMLElement): void;
        /**
Select the whole content of a node
@method
@param node - The node, which content should be selected
@returns 
*/
selectNodeContents(node: HTMLElement): void;
        /**
Set the end of the range at a specific location in the DOM tree
@method
@param node - The node, where the end should be located
@param offset - The offset within the DOM node
@returns 
*/
setEnd(node: HTMLElement, offset: number): void;
        /**
Set the end of the range after the specified node
@method
@param node - The node, after which the end of the range will be set
@returns 
*/
setEndAfter(node: HTMLElement): void;
        /**
Set the end of the range before the specified node
@method
@param node - The node, before which the range end will be set
@returns 
*/
setEndBefore(node: HTMLElement): void;
        /**
Set the start of the range at a specific location in the DOM tree
@method
@param node - The node, where the start should be located
@param offset - The offset within the DOM node
@returns 
*/
setStart(node: HTMLElement, offset: number): void;
        /**
Sets the start of the range before the specified node
@method
@param node - The node, before which the start should be located
@returns 
*/
setStartAfter(node: HTMLElement): void;
        /**
Sets the start of the range before the specified node
@method
@param node - The node, before which the start should be located
@returns 
*/
setStartBefore(node: HTMLElement): void;
        /**
Surrounds the selected range content with the provided node
@method
@param newParent - The new parent of the range content
@returns 
*/
surroundContents(newParent: HTMLElement): void;
        /**
Wrapper method that always returns DomRange. Useful when one is not sure if the range is a DomRange or a regular browser range.
@method
@param range - The range that could potentially be wrapped in a DomRange, if it is a browser range.
@returns 
*/
static toDomRange(range: any): Telerik.Web.UI.Editor.DomRange;
    }


    class EditorFindReplaceEngine   {
        /**
Initializes a new search on the provided string.
@method
@param find - The search string
@param backwards - Defines the direction of the search. If not true, search is always forwards.
@returns Important message (could be an error message) for the result fo the search
*/
find(find: string, backwards: boolean): string;
        /**
Does a forward search
@method
@param find - The search string
@returns Important message (could be an error message) for the result fo the search
*/
findNext(find: string): string;
        /**
Does a backwards search
@method
@param find - The search string
@returns Important message (could be an error message) for the result fo the search
*/
findPrevious(find: string): string;
        /**
Get whether find/replace will do case sensitive searches
@method
@returns 
*/
get_caseSensitive(): boolean;
        /**
Gets a reference to the Editor, where find/replace engine will search
@method
@returns 
*/
get_editor(): Telerik.Web.UI.RadEditor;
        /**
Get whether engine will do a whole word search
@method
@returns 
*/
get_wholeWord(): boolean;
        /**
Initializes a new replace procedure on the content
@method
@param find - The search string
@param replace - The replacement string
@param backwards - Defines the direction of the search
@returns Important message (could be an error message) for the result fo the replace
*/
replace(find: string, replace: string, backwards: boolean): string;
        /**
Does a replace all procedure, where all matched content will be replaced by the replace string.
@method
@param find - The search string
@param replace - The replacement string
@param backwards - Defines the direction of the search
@returns Important message (could be an error message) for the result fo the replace
*/
replaceAll(find: string, replace: string, backwards: boolean): string;
        /**
Sets whether find/replace will do case sensitive searches
@method
@param value - True for case sensitive search. Otherwise, false.
@returns 
*/
set_caseSensitive(value: boolean): void;
        /**
Sets a reference to the Editor, where find/replace engine will search
@method
@param value - New reference to the RadEditor control
@returns 
*/
set_editor(value: Telerik.Web.UI.RadEditor): void;
        /**
Set whether engine will do a whole word search
@method
@param value - True will search for whole words. Otherwise, false.
@returns 
*/
set_wholeWord(value: boolean): void;
    }


    class Filter  extends Sys.Component {
        /**
Returns the filter's description
@method
@returns The filter
*/
get_description(): string;
        /**
Specifies whether the filter is enabled or disabled
@method
@returns 
*/
get_enabled(): boolean;
        /**
Specifies whether the filter is of DOM or String type
@method
@returns 
*/
get_isDom(): boolean;
        /**
Returns the filter's name
@method
@returns The name of the filter
*/
get_name(): string;
        /**
Fires when RadEditor's mode is changed to Design View Mode
@method
@param content - The content area
@returns The content parameter modified by the filter
*/
getDesignContent(content: any): any;
        /**
Fires when RadEditor's mode is changed to HTML View Mode
@method
@param content - The content area
@returns The content parameter modified by the filter
*/
getHtmlContent(content: any): any;
        /**
Sets the filter's description
@method
@param value - The description to set to the filter
@returns 
*/
set_description(value: string): void;
        /**
Enables/Disables the filter
@method
@param value - Boolean value whether to enable or disable the filter
@returns 
*/
set_enabled(value: boolean): void;
        /**
Specifies whether the filter is DOM or String
@method
@param value - Boolean value whether the filter is DOM or String
@returns 
*/
set_isDom(value: boolean): void;
        /**
Sets the filter's name
@method
@param value - The name of the filter to be set
@returns 
*/
set_name(value: string): void;
    }


    class FiltersManager  extends Sys.Component {
        /**
Add a content filter to the filters collection
@method
@param filter - Instance of a Filter Object
@returns 
*/
add(filter: Telerik.Web.UI.Editor.Filter): void;
        /**
Add a content filter to the filters collection at index
@method
@param filter - Instance of a Filter Object
@param index - The index location where item should be inserted
@returns 
*/
addAt(filter: Telerik.Web.UI.Editor.Filter, index: number): void;
        /**
Clears the content filters collection
@method
@returns 
*/
clear(): void;
        /**
Returns a boolean value which indicates whether the XHTML filter is enabled or disabled
@method
@returns 
*/
get_enableXhtmlFilter(): boolean;
        /**
Fires when RadEditor's mode is changed to Design View Mode and executes all the String based content filters
@method
@param contentAreaHtml - The RadEditor
@returns The contentAreaHtml parameter modified by the filter
*/
getDesignContent(contentAreaHtml: string): string;
        /**
Fires when RadEditor's mode is changed to Design View Mode after getDesignContent() - executes all the DOM based content filters
@method
@param contentArea - The content area DOM element
@returns The contentArea parameter modified by the filter
*/
getDesignContentDom(contentArea: any): any;
        /**
Returns the content filter from the given Index
@method
@param index - The index location of the filter in the FiltersCollection
@returns 
*/
getFilterAt(index: number): Telerik.Web.UI.Editor.Filter;
        /**
Returns the content filter by name
@method
@param name - Name of the filter
@returns 
*/
getFilterByName(name: string): Telerik.Web.UI.Editor.Filter;
        /**
Fires when RadEditor's mode is changed to HTML View Mode
@method
@param contentAreaElement - The content area DOM element
@returns The contentAreaElement parameter modified by the filter
*/
getHtmlContent(contentAreaElement: any): any;
        /**
Remove content filter from the filters collection
@method
@param filter - Instance of a Filter Object
@returns 
*/
remove(filter: Telerik.Web.UI.Editor.Filter): void;
        /**
Removes a content filter from the filters collection by index
@method
@param index - The index location of the filter in the FiltersCollection
@returns 
*/
removeAt(index: number): void;
        /**
Remove content filter from the filters collection
@method
@param name - The name of the filter to be removed.
@returns 
*/
removeFilterByName(name: string): void;
        /**
Sets the state of XHTML filter
@method
@param value - Boolean value to enable
@returns 
*/
set_enableXhtmlFilter(value: boolean): void;
    }


    class FindReplaceEventArgs  extends Sys.EventArgs {
        /**
Specifies the direction of the search
@method
@returns ### get_findGet the find string for the event
*/
get_backwards(): boolean;
        /**
Get the replace string for the event
@method
@returns 
*/
get_replace(): string;
    }


    class FindReplaceManager   {
        /**
Hides the UI related to the FindReplaceManager
@method
@returns ### showShow the FindReplaceManager
*/
hide(): void;
        /**
Toggle the visibility of the FindReplaceManager
@method
@returns 
*/
toggle(): void;
    }


    class FindReplaceMobile   {
        /**
Get the UI input element for entering the find string
@method
@returns 
*/
get_findInput(): HTMLElement;
        /**
Get the UI button for Find next
@method
@returns 
*/
get_findNextBtn(): HTMLElement;
        /**
Get the UI button for Find previous
@method
@returns 
*/
get_findPreviousBtn(): HTMLElement;
        /**
Get the mode of the find/replace overlay
@method
@returns 
*/
get_mode(): Telerik.Web.UI.Editor.FindReplaceMode;
        /**
Get the UI link element for Replace all
@method
@returns 
*/
get_replaceAllLink(): HTMLElement;
        /**
Get the UI input element for entering the replace string
@method
@returns 
*/
get_replaceInput(): HTMLElement;
        /**
Get the UI link element for Replace
@method
@returns 
*/
get_replaceLink(): HTMLElement;
        /**
Gets the UI rows of the find/replace overlay. For FindReplaceMode the rows are two, while for Find is only one.
@method
@returns 
*/
get_rows(): any;
        /**
Get the UI button for opening the Settings dialog
@method
@returns 
*/
get_settingsBtn(): HTMLElement;
        /**
Set the UI input for entering the Find string
@method
@param value - The new UI input for entering Find String
@returns 
*/
set_findInput(value: HTMLElement): void;
        /**
Set the UI button element for Find next
@method
@param value - The new UI button for Find next
@returns 
*/
set_findNextBtn(value: HTMLElement): void;
        /**
Set the UI button for Find previous
@method
@param value - The new UI button for Find previous
@returns 
*/
set_findPreviousBtn(value: HTMLElement): void;
        /**
Sets the mode of the find/replace overlay
@method
@param value - The new mode for the find/replace overlay
@returns 
*/
set_mode(value: Telerik.Web.UI.Editor.FindReplaceMode): void;
        /**
Sets the UI link for replace all
@method
@param value - The new link for replace all
@returns 
*/
set_replaceAllLink(value: HTMLElement): void;
        /**
Sets the UI input for entering the replace string
@method
@param value - The new UI input for the replace string
@returns 
*/
set_replaceInput(value: HTMLElement): void;
        /**
Sets the UI link for replace
@method
@param value - The new UI link for replace
*/
set_replaceLink(value: HTMLElement): void;
        /**
Sets the UI button for opening the Settings dialog
@method
@param value - The new UI button for opening the Settings dialog
@returns 
*/
set_settingsBtn(value: HTMLElement): void;
        /**
Fired when Find button is clicked
*/
add_find(handler: (sender: Telerik.Web.UI.Editor.FindReplaceMobile, args: Telerik.Web.UI.Editor.FindReplaceEventArgs) => void): void;

remove_find(handler: Function): void;
        /**
Fired when Replace All is clicked
*/
add_all(handler: (sender: Telerik.Web.UI.Editor.FindReplaceMobile, args: Telerik.Web.UI.Editor.FindReplaceEventArgs) => void): void;

remove_all(handler: Function): void;
        /**
Fired when Replace is clicked
*/
add_replace(handler: (sender: Telerik.Web.UI.Editor.FindReplaceMobile, args: Telerik.Web.UI.Editor.FindReplaceEventArgs) => void): void;

remove_replace(handler: Function): void;
        /**
Fired when Settings is clicked
*/
add_settings(handler: (sender: Telerik.Web.UI.Editor.FindReplaceMobile, args: Telerik.Web.UI.Editor.FindReplaceEventArgs) => void): void;

remove_settings(handler: Function): void;
    }


    class HeaderToolsToolAdapter  extends Telerik.Web.UI.Editor.BaseToolAdapter {
    }


    class MobileKeyboardAdapter  extends Telerik.Web.UI.RadWebControl {
        /**
Hides the keyboard overlay and rises the keyboardHidden event
@method
@returns 
*/
hideKeyboard(): void;
        /**
Hides the keyboard overlay, rises the keyboardHidden event and calls dispose method
@method
@returns ### showKeyboardShows the keyboard overlay and rises the keyboardShown event
*/
hideKeyboardPermanent(): void;
    }


    class MobileKeyboardAdapterFactory   {
        /**
Returns MobileKeyboardAdapter subclass instance, depending on the provided parameters
@method
@param areaMode - If areaMode value is Telerik.Web.UI.EditorContentAreaMode.Iframe, the factory creates Telerik.Web.UI.Editor.IframeModeKeyboardToggler.
If areaMode value is Telerik.Web.UI.EditorContentAreaMode.Div, the factory creates Telerik.Web.UI.Editor.DivModeKeyboardToggler.
@returns 
*/
static createMobileKeyboardAdapter(areaMode: Telerik.Web.UI.EditorContentAreaMode): Telerik.Web.UI.Editor.MobileKeyboardAdapter;
    }


    class MobileToolAdapter  extends Telerik.Web.UI.Editor.BaseToolAdapter {
        /**
Get the mobile keyboard adapter object
@method
@returns 
*/
get_mobileKeyboardAdapter(): Telerik.Web.UI.Editor.MobileKeyboardAdapter;
        /**
Gets the current TabChooser control instance
@method
@returns ### get_toolNavigatorGets the current ToolNavigator control instance
*/
get_tabChooser(): Telerik.Web.UI.Editor.TabChooser;
        /**
Gets the orientation of the device
@method
@returns 
*/
getOrientation(): Telerik.Web.UI.Editor.Orientation;
        /**
Hides the virtual keyboard, shows the tools zone and highlights the selection
@method
@returns 
*/
hideKeyboard(): void;
        /**
Hides the virtual keyboard and disposes the mobile keyboard adapter
@method
@returns 
*/
hideKeyboardPermanent(): void;
        /**
Returns true if the user in editing mode (the tools zone is visible)
@method
@returns 
*/
isEditEnabled(): boolean;
        /**
Shows the virtual keyboard and removes the selection highlighting
@method
@returns 
*/
showKeyboard(): void;
        /**
Toggles the editing and selecting modes and respectfully shows or hides the tools zone
@method
@returns 
*/
toggleEdit(): void;
    }


    class Modules   {
    }


    class ModulesManager   {
        /**
Returns the modules collection.
@method
@returns ### getModuleByNameInitializes the modules manager.
*/
get_modules(): any;
        /**
Initializes the modules manager.
@method
@returns 
*/
initialize(): void;
        /**
Sets the visibility states of the modules.
@method
@param bVisible - Indicates whether to show or hide the modules.
@returns 
*/
setModulesVisible(bVisible: boolean): void;
    }


    class OrientationEventArgs  extends Sys.EventArgs {
        /**
Returns the orientation of the mobile device
@method
@returns 
*/
get_orientation(): Telerik.Web.UI.Editor.Orientation;
    }


    class Selection   {
        /**
Collapses a selection to the starting or ending position.
@method
@param toStart - The direction in which to collapse the selection. If true the selection will collapse from end to start.
@returns 
*/
collapse(toStart: boolean): void;
        /**
Returns the browser's Selection object
@method
@returns 
*/
getBrowserSelection(): any;
        /**
Returns the selection's content as HTML
@method
@returns 
*/
getHtml(): string;
        /**
Returns a reference to the selection's parent DOM element
@method
@returns 
*/
getParentElement(): HTMLElement;
        /**
Returns a reference to a range object
@method
@returns 
*/
getRange(): any;
        /**
Returns the selected content as plain text
@method
@returns 
*/
getText(): string;
        /**
Specifies whether the current selection is a control or not.
@method
@returns 
*/
isControl(): boolean;
        /**
Recreates the selection range.
@method
@param element - DOM element to be selected.
@returns 
*/
moveToElementText(element: HTMLElement): void;
        /**
Pastes string at current selection
@method
@param htmlString - String to be pasted
@param bSelContent - Specifies whether to select pasted content after execution
@returns 
*/
pasteHtml(htmlString: string, bSelContent: boolean): void;
        /**
Adds an element to current selection
@method
@param oElement - DOM element to be added
@returns 
*/
selectElement(oElement: HTMLElement): void;
        /**
Selects the previously stored range
@method
@param range - 
@returns 
*/
selectRange(range: any): void;
    }


    class TabChooser  extends Telerik.Web.UI.RadWebControl {
        /**
Returns the button element, on which click the items list is shown
@method
@returns 
*/
get_buttonElement(): HTMLElement;
        /**
Returns the element containing the items list
@method
@returns 
*/
get_itemsContainer(): HTMLElement;
        /**
Returns the modal overlay element
@method
@returns 
*/
get_overlayElement(): HTMLElement;
        /**
Returns the html content of the element returned by the get_textElement method
@method
@returns 
*/
get_text(): string;
        /**
Returns the selected text wrapper element
@method
@returns 
*/
get_textElement(): HTMLElement;
        /**
Hides the TabChooser with animation transition
@method
@param callback - Callback function, which is called after the hide animation ends
@returns 
*/
hide(callback: Function): void;
        /**
Hides the modal layout and the items list
@method
@returns 
*/
hideItemsList(): void;
        /**
Return true, if the items list is visible, and false, if it is hidden.
@method
@returns 
*/
itemsListIsVisible(): boolean;
        /**
Selects a tab and fires the itemSelected event.
@method
@param tabName - The name of the tab that should be selected
@returns 
*/
selectTab(tabName: string): void;
        /**
Sets the html content of the element returned by the get_textElement method
@method
@returns 
*/
set_text(): void;
        /**
Shows the TabChooser with animation transition
@method
@param callback - Callback function, which is called after the show animation ends
@returns 
*/
show(callback: Function): void;
        /**
Shows the modal layout and the items list
@method
@returns 
*/
showItemsList(): void;
        /**
This event is fired after a list item is selected
*/
add_itemSelected(handler: (sender: Telerik.Web.UI.Editor.TabChooser, args: Telerik.Web.UI.Editor.TabChooserEventArgs) => void): void;

remove_itemSelected(handler: Function): void;
        /**
This event is fired after the control is initialized
*/
add_load(handler: (sender: Telerik.Web.UI.Editor.TabChooser, args: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
This event is fired before the items list is shown
*/
add_itemsListShowing(handler: (sender: Telerik.Web.UI.Editor.TabChooser, args: Telerik.Web.UI.Editor.TabChooserEventArgs) => void): void;

remove_itemsListShowing(handler: Function): void;
    }


    class TabChooserEventArgs  extends Sys.EventArgs {
        /**
Returns the value for the command to execute with
@method
@returns 
*/
get_value(): string;
        /**
Sets the value for the command to execute with
@method
@param value - 
@returns 
*/
set_value(value: string): void;
    }


    class ToolNavigator  extends Telerik.Web.UI.RadWebControl {
        /**
Run the back animation
@method
@param callback - The callback function, which is called at the end of the animation
@param title - The title, which will be displayed
@returns ### showShows the title and the back button
*/
back(callback: Function, title: string): void;
    }


}
declare module Telerik.Web.UI {
    enum AnimationType {
         None = 0,
         Linear = 1,
         InQuad = 2,
         OutQuad = 3,
         InOutQuad = 4,
         InCubic = 5,
         OutCubic = 6,
         InOutCubic = 7,
         InQuart = 8,
         OutQuart = 9,
         InOutQuart = 10,
         InQuint = 11,
         OutQuint = 12,
         InOutQuint = 13,
         InSine = 14,
         OutSine = 15,
         InOutSine = 16,
         InExpo = 17,
         OutExpo = 18,
         InOutExpo = 19,
         InBack = 20,
         OutBack = 21,
         InOutBack = 22,
         InBounce = 23,
         OutBounce = 24,
         InOutBounce = 25,
         InElastic = 26,
         OutElastic = 27,
         InOutElastic = 28
    }
    enum ButtonListDirection {
         Vertical = 0,
         Horizontal = 1
    }
    enum ButtonToggleType {
         None = 0,
         CheckBox = 1,
         Radio = 2,
         CustomToggle = 3
    }
    enum CloudUploadMultipleFileSelection {
         Disabled = 0,
         Automatic = 1
    }
    enum CloudUploadProviderType {
         NotSet = -1,
         Amazon = 0,
         Everlive = 1,
         Azure = 2
    }
    enum DayOfWeek {
         Sunday = 0,
         Monday = 1,
         Tuesday = 2,
         Wednesday = 3,
         Thursday = 4,
         Friday = 5,
         Saturday = 6
    }
    enum DisplayFormatPosition {
         Left = 1,
         Right = 2
    }
    enum DockMode {
         Floating = 1,
         Docked = 2,
         Default = 3
    }
    enum EditModes {
         Design = 1,
         Html = 2,
         Preview = 4,
         All = 7
    }
    enum EditingOptions {
         Typing = 1,
         Tools = 2,
         ContextMenus = 4,
         Tab = 8,
         Modules = 16,
         EditModes = 32,
         All = 63
    }
    enum EditorContentAreaMode {
         Iframe = 1,
         Div = 2
    }
    enum EditorFilters {
         None = 0,
         RemoveScripts = 1,
         MakeUrlsAbsolute = 2,
         FixUlBoldItalic = 4,
         FixEnclosingP = 8,
         IECleanAnchors = 16,
         MozEmStrong = 32,
         ConvertFontToSpan = 64,
         ConvertToXhtml = 128,
         IndentHTMLContent = 256,
         EncodeScripts = 512,
         OptimizeSpans = 1024,
         ConvertCharactersToEntities = 2048,
         PdfExportFilter = 4096,
         ConvertInlineStylesToAttributes = 8192,
         ConvertTags = 16384,
         StripCssExpressions = 32768,
         StripDomEventAttributes = 65536,
         RemoveExtraBreaks = 131072,
         DefaultFilters = 184309
    }
    enum EditorNewLineModes {
         Br = 1,
         P = 2,
         Div = 4
    }
    enum EditorStripHtmlOptions {
         None = 0,
         Comments = 1
    }
    enum EditorToolbarMode {
         Default = 1,
         Floating = 2,
         PageTop = 4,
         ShowOnFocus = 8,
         RibbonBar = 16,
         RibbonBarFloating = 32,
         RibbonBarPageTop = 64,
         RibbonBarShowOnFocus = 128
    }
    enum ExpandDirection {
         Auto = 0,
         Up = 1,
         Down = 2,
         Left = 3,
         Right = 4
    }
    enum ExpandMode {
         MultipleExpandedItems = 0,
         SingleExpandedItem = 1,
         FullExpandedItem = 2
    }
    enum FileExplorerControls {
         Tree = 1,
         FileList = 2
    }
    enum FileExplorerItemPermissions {
         Read = 1,
         Upload = 2,
         Delete = 4
    }
    enum FileExplorerItemType {
         File = 0,
         Directory = 1
    }
    enum FileExplorerMode {
         Default = 1,
         FileTree = 2,
         Thumbnails = 3
    }
    enum FormDecoratorDecoratedControls {
         None = 0x0,
         CheckBoxes = 0x1,
         RadioButtons = 0x2,
         Buttons = 0x4,
         Scrollbars = 0x8,
         Textbox = 0x10,
         Textarea = 0x20,
         Fieldset = 0x40,
         Label = 0x80,
         H4H5H6 = 0x100,
         Select = 0x200,
         Zone = 0x400,
         GridFormDetailsViews = 0x800,
         Default = 0xF,
         All = 0xFFF
    }
    enum GanttDependencyType {
         FinishFinish = 0,
         FinishStart = 1,
         StartFinish = 2,
         StartStart = 3
    }
    enum GanttViewType {
         DayView = 0,
         WeekView = 1,
         MonthView = 2,
         YearView = 3
    }
    enum GridClientDataBindingParameterType {
         String = 0,
         List = 1,
         Linq = 2,
         Oql = 3
    }
    enum GridFilterFunction {
         NoFilter = 0,
         Contains = 1,
         DoesNotContain = 2,
         StartsWith = 3,
         EndsWith = 4,
         EqualTo = 5,
         NotEqualTo = 6,
         GreaterThan = 7,
         LessThan = 8,
         GreaterThanOrEqualTo = 9,
         LessThanOrEqualTo = 10,
         Between = 11,
         NotBetween = 12,
         IsEmpty = 13,
         NotIsEmpty = 14,
         IsNull = 15,
         NotIsNull = 16,
         Custom = 17
    }
    enum GridSortOrder {
         None = 0,
         Ascending = 1,
         Descending = 2
    }
    enum ImageType {
         Content = 1,
         Thumbnail = 2
    }
    enum InputButtonType {
         Button = 1,
         MoveUpButton = 2,
         MoveDownButton = 3
    }
    enum InputErrorReason {
         ParseError = 1,
         OutOfRange = 2
    }
    enum InputSettingValidateOnEvent {
         Blur = 0,
         Submit = 1,
         All = 2
    }
    enum ItemFlow {
         Vertical = 0,
         Horizontal = 1
    }
    enum Keys {
         Shift = 16,
         Escape = 27,
         Up = 38,
         Down = 40,
         Left = 37,
         Right = 39,
         Enter = 13,
         Tab = 9,
         Space = 32,
         PageUp = 33,
         Del = 46,
         F1 = 112,
         F12 = 123,
         Zero = 48,
         Numpad0 = 96,
         Numpad9 = 105
    }
    enum ListBoxSelectionMode {
         Single = 0,
         Multiple = 1
    }
    enum ListBoxTransferMode {
         Move = 0,
         Copy = 1
    }
    enum MenuRepeatDirection {
         Vertical = 0,
         Horizontal = 1
    }
    enum NotificationAnimation {
         None = 0,
         Resize = 1,
         Fade = 2,
         Slide = 4,
         FlyIn = 8
    }
    enum NotificationHorizontalPosition {
         Left = 1,
         Center = 2,
         Right = 3
    }
    enum NotificationLoad {
         PageLoad = 0,
         FirstShow = 1,
         EveryShow = 2,
         TimeInterval = 3
    }
    enum NotificationPosition {
         TopLeft = 11,
         TopCenter = 12,
         TopRight = 13,
         MiddleLeft = 21,
         Center = 22,
         MiddleRight = 23,
         BottomLeft = 31,
         BottomCenter = 32,
         BottomRight = 33
    }
    enum NotificationScrolling {
         Auto = 0,
         None = 1,
         X = 2,
         Y = 3,
         Both = 4,
         Default = 5
    }
    enum NotificationVerticalPosition {
         Top = 1,
         Middle = 2,
         Bottom = 3
    }
    enum Orientation {
         Horizontal = 0,
         Vertical = 1
    }
    enum PaletteModes {
         WebPalette = 1,
         RGBSliders = 2,
         HSB = 4,
         HSV = 8
    }
    enum PivotGridAggregate {
         "Sum" = 0,
         "Count" = 1,
         "Average" = 2,
         "Max" = 3,
         "Min" = 4,
         "Product" = 5,
         "StdDev" = 6,
         "StdDevP" = 7,
         "Var" = 8,
         "VarP" = 9
    }
    enum PivotGridConfigurationPanelLayoutType {
         "Stacked" = 1,
         "SideBySide" = 2,
         "TwoByTwo" = 4,
         "OneByFour" = 8
    }
    enum PivotGridFieldZoneType {
         "Filter" = 1,
         "Aggregate" = 2,
         "Column" = 4,
         "Row" = 8
    }
    enum ProgressBarOrientation {
         Horizontal = 0,
         Vertical = 1
    }
    enum ProgressBarType {
         Value = 0,
         Percent = 1,
         Chunk = 2
    }
    enum RadButtonType {
         StandardButton = 0,
         LinkButton = 1,
         ToggleButton = 2
    }
    enum RadComboBoxFilter {
         None = 0,
         Contains = 1,
         StartsWith = 2
    }
    enum RadListViewInsertItemPosition {
         None = 0,
         FirstItem = 1,
         LastItem = 2
    }
    enum RadToolBarItemType {
         Button = 0,
         DropDown = 1,
         SplitButton = 2
    }
    enum RatingPrecision {
         Item = 0,
         Half = 1,
         Exact = 2
    }
    enum RatingSelectionMode {
         Single = 0,
         Continuous = 1
    }
    enum RecurrenceState {
         NotRecurring = 0,
         Master = 1,
         Occurrence = 2,
         Exception = 3
    }
    enum RenderMode {
         Auto = 0,
         Classic = 1,
         Lite = 2,
         Native = 3,
         Mobile = 4
    }
    enum RotatorAnimationType {
         None = 1,
         Fade = 2,
         Pulse = 3,
         CrossFade = 4
    }
    enum RotatorScrollDirection {
         Left = 1,
         Right = 2,
         Up = 4,
         Down = 8
    }
    enum RotatorType {
         AutomaticAdvance = 1,
         ButtonsOver = 2,
         Buttons = 3,
         SlideShow = 4,
         SlideShowButtons = 5,
         FromCode = 6,
         Carousel = 7,
         CarouselButtons = 8,
         CoverFlow = 9,
         CoverFlowButtons = 10
    }
    enum SchedulerFormMode {
         Hidden = 0,
         Insert = 1,
         Edit = 2,
         AdvancedInsert = 3,
         AdvancedEdit = 4
    }
    enum SchedulerNavigationCommand {
         SwitchToDayView = 0,
         SwitchToWeekView = 1,
         SwitchToMonthView = 2,
         SwitchToTimelineView = 3,
         SwitchToMultiDayView = 4,
         SwitchToAgendaView = 5,
         NavigateToNextPeriod = 6,
         NavigateToPreviousPeriod = 7,
         SwitchToSelectedDay = 8,
         SwitchFullTime = 9,
         DisplayNextAppointmentSegment = 10,
         DisplayPreviousAppointmentSegment = 11,
         NavigateToSelectedDate = 12
    }
    enum SchedulerViewType {
         DayView = 0,
         WeekView = 1,
         MonthView = 2,
         ResourceView = 3,
         TimelineView = 4,
         MultiDayView = 5,
         AgendaView = 6
    }
    enum SearchBoxButtonAlignment {
         Before = 0,
         After = 1
    }
    enum SearchBoxButtonPosition {
         Left = 0,
         Right = 1
    }
    enum SearchBoxFilter {
         Contains = 0,
         StartsWith = 1
    }
    enum SelectionOnFocus {
         None = 0,
         CaretToBeginning = 1,
         CaretToEnd = 2,
         SelectAll = 3
    }
    enum SlideDirection {
         Up = 1,
         Down = 2,
         Left = 3,
         Right = 4
    }
    enum SliderItemType {
         None = 1,
         Item = 2,
         Tick = 3
    }
    enum SliderTrackPosition {
         Center = 1,
         TopLeft = 2,
         BottomRight = 3
    }
    enum SplitBarCollapseMode {
         None = 1,
         Forward = 2,
         Backward = 3,
         Both = 4
    }
    enum SplitterDirection {
         Forward = 1,
         Backward = 2
    }
    enum SplitterPaneScrolling {
         Both = 1,
         X = 2,
         Y = 3,
         None = 4
    }
    enum SplitterResizeMode {
         AdjacentPane = 1,
         Proportional = 2,
         EndPane = 3
    }
    enum SplitterSlideDirection {
         Right = 1,
         Left = 2,
         Top = 3,
         Bottom = 4
    }
    enum StripFormattingOptions {
         None = 0,
         NoneSupressCleanMessage = 1,
         MSWord = 2,
         MSWordNoFonts = 4,
         MSWordRemoveAll = 8,
         Css = 16,
         Font = 32,
         Span = 64,
         AllExceptNewLines = 128,
         ConvertWordLists = 256,
         All = 512,
         MSWordNoMargins = 1024
    }
    enum TabStripAlign {
         Left = 0,
         Center = 1,
         Right = 2,
         Justify = 3
    }
    enum TabStripOrientation {
         HorizontalTop = 0,
         HorizontalBottom = 1,
         VerticalRight = 2,
         VerticalLeft = 3
    }
    enum TabStripScrollButtonsPosition {
         Left = 0,
         Middle = 1,
         Right = 2
    }
    enum TagCloudDistribution {
         Linear = 0,
         Logarithmic = 1
    }
    enum TagCloudSorting {
         NotSorted = 0,
         AlphabeticAsc = 1,
         AlphabeticDsc = 2,
         WeightedAsc = 3,
         WeightedDsc = 4
    }
    enum ToolBarDropDownExpandDirection {
         Up = 0,
         Down = 1
    }
    enum ToolBarImagePosition {
         Left = 0,
         Right = 1,
         AboveText = 2,
         BelowText = 3
    }
    enum ToolBarSingleClick {
         None = 0,
         Button = 1,
         ToolBar = 2
    }
    enum ToolTipAnimation {
         None = 0,
         Resize = 1,
         Fade = 2,
         Slide = 4,
         FlyIn = 8
    }
    enum ToolTipHideEvent {
         Default = 1,
         LeaveToolTip = 2,
         ManualClose = 4,
         LeaveTargetAndToolTip = 8,
         FromCode = 16
    }
    enum ToolTipPosition {
         TopLeft = 11,
         TopCenter = 12,
         TopRight = 13,
         MiddleLeft = 21,
         Center = 22,
         MiddleRight = 23,
         BottomLeft = 31,
         BottomCenter = 32,
         BottomRight = 33
    }
    enum ToolTipRelativeDisplay {
         Mouse = 0,
         Element = 1,
         BrowserWindow = 2
    }
    enum ToolTipScrolling {
         Auto = 0,
         None = 1,
         X = 2,
         Y = 3,
         Both = 4,
         Default = 5
    }
    enum ToolTipShowEvent {
         OnMouseOver = 1,
         OnClick = 2,
         OnRightClick = 4,
         OnFocus = 8,
         FromCode = 16
    }
    enum TreeNodeCheckState {
         Unchecked = 0,
         Checked = 1,
         Indeterminate = 2
    }
    enum TreeNodeExpandMode {
         ClientSide = 0,
         ServerSide = 1,
         ServerSideCallBack = 2,
         WebService = 3
    }
    enum TreeViewLoadingStatusPosition {
         BeforeNodeText = 0,
         AfterNodeText = 1,
         BelowNodeText = 2,
         None = 3
    }
    enum UploadedFileState {
         InProgress = 0,
         Automatic = 1,
         UploadFailed = 2,
         SizeValidationFailed = 3,
         ExtensionValidationFailed = 4
    }
    enum WindowAnimation {
         None = 0,
         Resize = 1,
         Fade = 2,
         Slide = 4,
         FlyIn = 8
    }
    enum WindowAutoSizeBehaviors {
         Width = 1,
         WidthProportional = 2,
         Height = 4,
         HeightProportional = 8,
         Default = 10
    }
    enum WindowBehaviors {
         None = 0,
         Resize = 1,
         Minimize = 2,
         Close = 4,
         Pin = 8,
         Maximize = 16,
         Move = 32,
         Reload = 64,
         Default = 127
    }
    enum WindowMinimizeMode {
         SameLocation = 1,
         MinimizeZone = 2,
         Default = 1
    }
    enum WizardStepType {
         Auto = 0,
         Complete = 1,
         Finish = 2,
         Start = 3,
         Step = 4
    }
    enum jSlideDirection {
         Up = 1,
         Down = 2,
         Left = 3,
         Right = 4
    }
}
declare module Telerik.Web.UI.Scheduler {
    class AppointmentDataBoundEventArgs  extends Telerik.Web.UI.AppointmentEventArgs {
        /**
Returns the appointment data retrieved from the service.
@method
@returns 
*/
get_data(): any;
    }


    class NavigationCommandEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the navigation command that is being processed.
@method
@returns 
*/
get_command(): number;
        /**
Returns the date that RadScheduler will navigate to.
@method
@returns 
*/
get_selectedDate(): Date;
    }


    class NavigationCompleteEventArgs  extends Sys.EventArgs {
        /**
Returns the navigation command that is completed.
@method
@returns 
*/
get_command(): number;
    }


    class RequestSuccessEventArgs  extends Sys.EventArgs {
        /**
Returns the object received from the server.
@method
@returns 
*/
get_result(): any;
    }


}
declare module Telerik.Web {
    enum BoxSide {
         Top = 0,
         Right = 1,
         Bottom = 2,
         Left = 3
    }
}
declare module Telerik.Web {
    class Browser   {
    }


    class BrowserFeatures   {
    }


    class CommonScripts   {
        /**
Adds multiple css classes to a DomElement
@method
@param element - The element to modify
@param classNames - The class names to add
@returns 
*/
static addCssClasses(element: HTMLElement, classNames: any): void;
        /**
Adds the specified event handler to the element's eventName. Can be used when attaching events to HTML elements in IFRAMEs where ASP.NET AJAX's $addHandler and $removeHandler do not work
@method
@param element - The HTML DOM element to attach an event handler to
@param eventName - The name of the event to attach an event handler to
@param handler - The event handler function
@returns 
*/
static addExternalHandler(element: HTMLElement, eventName: string, handler: Function): void;
        /**
Provides a method to add a DOM event handler to the DOM element that exposes the event. This member is static and can be invoked without creating an instance of the class. This is basically a copy of $addHandler, but handles correctly IE proprietary events, such as "onpropertychange", in IE9.
@method
@param element - The HTML DOM element to attach an event handler to
@param eventName - The name of the event to attach an event handler to
@param handler - The event handler function
@param autoRemove - A boolean value that determines whether the handler should be removed automatically when the element is disposed.
@returns 
*/
static addHandler(element: HTMLElement, eventName: string, handler: Function, autoRemove: boolean): void;
        /**
Adds a list of DOM event handlers to the DOM element that exposes the events. This member is static and can be invoked without creating an instance of the class. This is basically a copy of $addHandlers, but handles correctly IE proprietary events, such as "onpropertychange", in IE9.
@method
@param element - The DOM element that exposes the events.
@param events - A dictionary of event handlers.
@param handlerOwner - The object instance that is the context for the delegates that should be created from the handlers.
@param autoRemove - A boolean value that determines whether the handler should be removed automatically when the element is disposed.
@returns 
*/
static addHandlers(element: HTMLElement, events: any, handlerOwner: any, autoRemove: boolean): void;
        /**
Cancels the specified event from propagating
@method
@param e - The event object of the event to cancel
@returns Always returns false
*/
static cancelRawEvent(e: Sys.UI.DomEvent): boolean;
        /**
Removes all DOM event handlers from a DOM element that were added through the Sys.UI.DomEvent addHandler or the Sys.UI.DomEvent addHandlers methods. This member is static and can be invoked without creating an instance of the class. This is basically a copy of $clearHandlers, but handles correctly IE proprietary events, such as "onpropertychange", in IE9.
@method
@param element - The element that exposes the events.
@returns 
*/
static clearHandlers(element: HTMLElement): void;
        /**
Clones the specified sourceControl RadControl client object with the optional specified type and saves it as an attribute to the HTML element representing the container DOM element of the RadControl
@method
@param sourceControl - Source RadControl object to clone
@param optionalType - Optional. The type of the cloned control
@param element - The HTML DOM element of the cloned control
@returns The cloned RadWebControl object
*/
static cloneControl(sourceControl: Telerik.Web.UI.RadWebControl, optionalType: Function, element: HTMLElement): Telerik.Web.UI.RadWebControl;
        /**
Clones the source object to the target object and returns the cloned target object
@method
@param source - The source JS object
@param target - Optional. The target JS object
@returns The cloned JS object
*/
static cloneJsObject(source: any, target: any): any;
        /**
Tests whether a point (x,y) is contained within a rectangle
@method
@param rect - The rectangle
@param x - The x coordinate of the point
@param y - The y coordinate of the point
@returns 
*/
static containsPoint(rect: any, x: number, y: number): void;
        /**
Checks if the specified HTML element overflows the screen with the specified screen size from bottom
@method
@param screenSize - An Object
@param element - HTML DOM element
@param cachedLocation - Optional. If a Point object is specified for this parameter
@returns 
*/
static elementOverflowsBottom(screenSize: any, element: HTMLElement, cachedLocation: Sys.UI.Point): boolean;
        /**
Checks if the specified HTML element overflows the screen with the specified screen size from left
@method
@param element - HTML DOM element
@param cachedLocation - Optional. If a Point object is specified for this parameter
@returns 
*/
static elementOverflowsLeft(element: HTMLElement, cachedLocation: Sys.UI.Point): boolean;
        /**
Checks if the specified HTML element overflows the screen with the specified screen size from right
@method
@param screenSize - An Object
@param element - HTML DOM element
@param cachedLocation - Optional. If a Point object is specified for this parameter
@returns 
*/
static elementOverflowsRight(screenSize: any, element: HTMLElement, cachedLocation: Sys.UI.Point): boolean;
        /**
Checks if the specified HTML element overflows the screen with the specified screen size from top
@method
@param element - HTML DOM element
@param cachedLocation - Optional. If a Point object is specified for this parameter
@returns 
*/
static elementOverflowsTop(element: HTMLElement, cachedLocation: Sys.UI.Point): boolean;
        /**
Finds the client-side RadControl object by provided server-side ID of the RadControl object in the collection of child elements of the parent  DOM element
@method
@param parent - The HTML DOM element that is a parent to the container element of the control to find
@param id - The ID of the control to find
@returns 
*/
static findControl(parent: HTMLElement, id: string): Sys.UI.Control;
        /**
Finds the HTML DOM wrapper element of the RadControl by provided server-side ID in the collection of child elements of the parent DOM element
@method
@param parent - The HTML DOM element that is a parent to the container element of the control to find
@param id - The ID of the control to find
@returns 
*/
static findElement(parent: HTMLElement, id: string): HTMLElement;
        /**
Finds the closest scrollable parent element and changes its position to relative if static
@method
@param element - HTML DOM element
@returns 
*/
static fixScrollableParentBehavior_OldIE(element: HTMLElement): void;
        /**
Gets the entire border box sizes.
@method
@param element - DOM element
@returns Element
*/
static getBorderBox(element: HTMLElement): any;
        /**
Gets the border thickness of an element on a specific boxSide.
@method
@param element - DOM element
@param boxSide - Side of the element
@returns Border thickness on the element
*/
static getBorderWidth(element: HTMLElement, boxSide: Telerik.Web.BoxSide): number;
        /**
Gets the coordinates, width and height of an element.
@method
@param element - HTML DOM element whose bounds to retrieve
@returns A Bounds object with four fields
*/
static getBounds(element: HTMLElement): Sys.UI.Bounds;
        /**
Returns the first child element of element with the specified className, optionally starting from position index
@method
@param element - HTML DOM element whose children to search in
@param className - The class name of the child element to search for
@param index - The index of the child element in the parent
@returns 
*/
static getChildByClassName(element: HTMLElement, className: string, index: number): HTMLElement;
        /**
Returns an array of all child elements of element with the specified className
@method
@param element - HTML DOM element whose children to search in
@param tagName - The tag name of the child elements to search for
@returns 
*/
static getChildrenByClassName(element: HTMLElement, tagName: string): any;
        /**
Returns an array of all child elements of element with the specified tag name
@method
@param element - HTML DOM element whose children to search in
@param tagName - The tag name of the child elements to search for
@returns 
*/
static getChildrenByTagName(element: HTMLElement, tagName: string): any;
        /**
Gets the width and height of the browser client window (excluding scrollbars)
@method
@returns Browser
*/
static getClientBounds(): Sys.UI.Bounds;
        /**
Gets the computed value of the attribute style of the specified element. If there's no computed value, optionally returns defaultValue
@method
@param element - HTML DOM element whose style to retrieve
@param attribute - The style attribute whose value to retrieve
@param defaultValue - Optional. The default value to return if there is no value set
@returns The value of the specified style attribute
*/
static getComputedStyle(element: HTMLElement, attribute: string, defaultValue: string): string;
        /**
Gets the "content-box" size of an element.
@method
@param element - DOM element
@returns Size of the element
*/
static getContentSize(element: HTMLElement): any;
        /**
Gets the current value of the attribute style of the specified element. If the current value is not defined, optionally returns defaultValue
@method
@param element - HTML DOM element whose style to retrieve
@param attribute - The style attribute whose value to retrieve
@param defaultValue - Optional. The default value to return if there is no value set
@returns The value of the specified style attribute
*/
static getCurrentStyle(element: HTMLElement, attribute: string, defaultValue: string): string;
        /**
Gets the cursor position as Object {left, top} of the mouse when event e is fired, relative to the Document
@method
@param e - The event object of the current DOM event
@returns Object
*/
static getDocumentRelativeCursorPosition(e: Sys.UI.DomEvent): any;
        /**
Returns the first child element of element widh the specified className  and optionally of type tagName
@method
@param element - The parent HTML DOM element
@param className - The class name of the element to retrieve
@param tagName - Optional. The tag name of the element to retrieve
@returns 
*/
static getElementByClassName(element: HTMLElement, className: string, tagName: string): HTMLElement;
        /**
Returns the first child of element with the specified tagName, starting from index in the collection of child elements
@method
@param element - HTML DOM element whose children to search in
@param tagName - The tag name of the child element to search for
@param index - The index of the child element in the parent
@returns 
*/
static getFirstChildByTagName(element: HTMLElement, tagName: string, index: number): HTMLElement;
        /**
Returns the closest parent of element that has its display style set to "none", or null if no such parent is found
@method
@param element - HTML DOM element
@returns The first invisible parent HTML element
*/
static getInvisibleParent(element: HTMLElement): HTMLElement;
        /**
Returns the absolute location of element in the document
@method
@param element - The HTML DOM element whose position to retrieve
@returns A Point object contaning the location of the specified element
*/
static getLocation(element: HTMLElement): Sys.UI.Point;
        /**
Gets the margin thickness of an element on a specific boxSide.
@method
@param element - DOM element
@param boxSide - Side of the element
@returns Margin thickness on the element
*/
static getMargin(element: HTMLElement, boxSide: Telerik.Web.BoxSide): number;
        /**
Gets the entire margin box sizes.
@method
@param element - DOM element
@returns Element
*/
static getMarginBox(element: HTMLElement): any;
        /**
Gets the next non-text HTML sibling of element
@method
@param element - HTML DOM element whose previous sibling to retrieve
@returns 
*/
static getNextHtmlNode(element: HTMLElement): HTMLElement;
        /**
Returns the outer bounds of an HTML DOM element
@method
@param element - HTML DOM element
@returns An object containing the outer bounds of element
*/
static getOuterBounds(element: HTMLElement): Sys.UI.Bounds;
        /**
Returns the outer HTML text of an element (element's innerHTML and its own rendered HTML)
@method
@param element - The HTML DOM element whose outer HTML text to retrieve
@returns 
*/
static getOuterHtml(element: HTMLElement): string;
        /**
Returns the outer size of an HTML DOM element
@method
@param element - HTML DOM element
@returns An object containing width and height of element
*/
static getOuterSize(element: HTMLElement): any;
        /**
Gets the padding thickness of an element on a specific boxSide.
@method
@param element - DOM element
@param boxSide - Side of the element
@returns Padding on the element
*/
static getPadding(element: HTMLElement, boxSide: Telerik.Web.BoxSide): number;
        /**
Gets the entire padding box sizes.
@method
@param element - DOM element
@returns Element
*/
static getPaddingBox(element: HTMLElement): any;
        /**
Gets the previous non-text HTML sibling of element
@method
@param element - HTML DOM element whose previous sibling to retrieve
@returns 
*/
static getPreviousHtmlNode(element: HTMLElement): HTMLElement;
        /**
Returns the closest scrollable parent element or null if no such is found.
@method
@param element - HTML DOM element
@returns 
*/
static getScrollableParent(element: HTMLElement): HTMLElement;
        /**
Returns an array of all scrollable parent elements or an empty array if Ð½Ð¾ such are found.
@method
@param element - HTML DOM element
@returns 
*/
static getScrollableParents(element: HTMLElement): any;
        /**
Returns the scroll ofset of element from its parent(s). If recursive, return the absolute scroll offset
@method
@param element - The HTML DOM element whose scroll offset to find
@param recursive - Indicates whether to retrieve the scroll ofset of the element recursively. If true
@returns 
*/
static getScrollOffset(element: HTMLElement, recursive: boolean): Sys.UI.Point;
        /**
Gets the "border-box" size of an element.
@method
@param element - DOM element
@returns Size of the element
*/
static getSize(element: HTMLElement): any;
        /**
Returns the effective size of the client viewport as Object {width, height}
@method
@returns An Object
*/
static getViewPortSize(): any;
        /**
Returns true if element is visible, otherwise returns false
@method
@param element - HTML DOM element whose state to retrieve
@returns 
*/
static getVisible(element: HTMLElement): boolean;
        /**
Gets whether the current border style for an element on a specific boxSide is not "none".
@method
@param element - DOM element
@param boxSide - Side of the element
@returns Whether the current border style for an element on a specific boxSide is not
*/
static isBorderVisible(element: HTMLElement, boxSide: Telerik.Web.BoxSide): boolean;
        /**
Whether the specified element is a descendant of the ancestor
@method
@param ancestor - Ancestor node
@param descendant - Possible descendant node
@returns 
*/
static isDescendant(ancestor: HTMLElement, descendant: HTMLElement): void;
        /**
Whether the specified element is a descendant of the ancestor or the same as the ancestor
@method
@param ancestor - Ancestor node
@param descendant - Possible descendant node
@returns 
*/
static isDescendantOrSelf(ancestor: HTMLElement, descendant: HTMLElement): void;
        /**
Returns Boolean value that indicates whether the page is opened under IE.
@method
@returns 
*/
isIE(): boolean;
        /**
Returns whether mouse is over element when event fires. See also isMouseOverElementEx
@method
@param element - HTML DOM element
@param e - The event object of the current DOM event
@returns 
*/
static isMouseOverElement(element: HTMLElement, e: Sys.UI.DomEvent): boolean;
        /**
Returns whether mouse is over element when event fires. This method is more sophisticated and it is recommend that you use it instead of isMouseOverElement, which exists for historical reasons.
@method
@param element - HTML DOM element
@param e - The event object of the current DOM event
@returns 
*/
static isMouseOverElementEx(element: HTMLElement, e: Sys.UI.DomEvent): boolean;
        /**
Returns Boolean value that indicates whether the page is opened under Opera.
@method
@returns 
*/
isOpera(): boolean;
        /**
Returns true if element is in RTL direction, otherwise returns false
@method
@param element - HTML DOM element
@returns 
*/
static isRightToLeft(element: HTMLElement): boolean;
        /**
Returns Boolean value that indicates whether the page is opened under Safari.
@method
@returns 
*/
isSafari(): boolean;
        /**
Returns Boolean value that indicates whether the page is opened under a Mobile Device.
@method
@returns 
*/
isTouchDevice(): boolean;
        /**
Merges the atributes of source to target. If under IE, the optional preserve specifies whether to preserve the identity of target  or to allow modification on merging
@method
@param oSource - Source HTML element
@param oTarget - Target HTML element
@param bPreserve - When in IE
@returns 
*/
static mergeElementAttributes(oSource: HTMLElement, oTarget: HTMLElement, bPreserve: boolean): void;
        /**
Parses a border-width string into a pixel size
@method
@param borderWidth - Type of border
@returns Number of pixels in the border
*/
static parseBorderWidth(borderWidth: string): number;
        /**
Parses a padding string into a pixel size
@method
@param padding - Padding to parse
@returns Number of pixels in the padding
*/
static parsePadding(padding: string): number;
        /**
Parses a unit string into a unit object
@method
@param value - Value to parse
@returns Parsed unit
*/
static parseUnit(value: string): any;
        /**
Registers all link style tags in element to the page. If no element is provided, all the link tags on page are registered
@method
@param element - HTML DOM element contaning the links
@returns 
*/
static registerSkins(element: HTMLElement): void;
        /**
Removes multiple css classes to a DomElement
@method
@param element - The element to modify
@param classNames - The class names to remove
@returns 
*/
static removeCssClasses(element: HTMLElement, classNames: any): void;
        /**
Removes the event handler from an element's event. Can be used when attaching events to HTML elements in IFRAMEs where ASP.NET AJAX's $addHandler and $removeHandler do not work
@method
@param element - The HTML DOM element to attach an event handler to
@param eventName - The name of the event to attach an event handler to
@param handler - The event handler function
@returns 
*/
static removeExternalHandler(element: HTMLElement, eventName: string, handler: Function): void;
        /**
Removes a DOM event handler from the DOM element that exposes the event. This member is static and can be invoked without creating an instance of the class. This is basically a copy of $removeHandler, but handles correctly IE proprietary events, such as "onpropertychange", in IE9.
@method
@param element - The element that exposes the event.
@param eventName - The name of the event.
@param handler - The event handler to remove.
@returns 
*/
static removeHandler(element: HTMLElement, eventName: string, handler: Function): void;
        /**
Repaints all children elements of an element or a control's container
@method
@param parent - 
@returns 
*/
static repaintChildren(parent: any): void;
        /**
Scrolls the parent scrollable container to element's position. An alternative flicker-free implementation to HTMLDomElement.scrollIntoView()
@method
@param element - HTML DOM element to scroll into view
@returns 
*/
static scrollIntoView(element: HTMLElement): void;
        /**
Sets the "border-box" bounds of an element
@method
@param element - DOM element
@param bounds - Bounds of the element
@returns 
*/
static setBounds(element: HTMLElement, bounds: any): void;
        /**
Sets the "content-box" size of an element.
@method
@param element - DOM element
@param size - Size of the element
@returns 
*/
static setContentSize(element: HTMLElement, size: any): void;
        /**
Sets the location (left, top) of element to point (x, y)
@method
@param element - The HTML DOM element whose location to set
@param point - The Point object contaning the position values
@returns 
*/
static setLocation(element: HTMLElement, point: Sys.UI.Point): void;
        /**
Sets the "border-box" size of an element.
@method
@param element - DOM element
@param size - Size of the element
@returns 
*/
static setSize(element: HTMLElement, size: any): void;
        /**
Set the visibility of an element
@method
@param element - The HTML DOM element whose visibility to set
@param value - A boolean value indicating whether the element should be hidden or made visible
@returns 
*/
static setVisible(element: HTMLElement, value: boolean): void;
        /**
Perform a custom animation of a set of CSS properties. The animation will be performed using CSS3 Transitions if browser supports them.
@method
@param element - The DOM element or jQuery object that will be animated.
@param properties - Object of CSS properties and values that the animation will move toward.
@param duration - String or number determining how long the animation will run
@param easing - String indicating which easing function to use for the transition.
@param complete - Function to call once the animation is complete.
@returns 
*/
static transition(element: HTMLElement, properties: any, duration: number, easing: string, complete: Function): void;
        /**
A helper method that checks whether a DOM event handler should be added through addEventListener or through attachEvent, so that IE proprietary events, such as "onpropertychange", are handled correctly in IE9.
@method
@param element - The element that exposes the event.
@returns 
*/
static useAttachEvent(element: HTMLElement): void;
        /**
A helper method that checks whether a DOM event handler should be removed through removeEventListener or through detachEvent, so that IE proprietary events, such as "onpropertychange", are handled correctly in IE9.
@method
@param element - The element that exposes the event.
@returns 
*/
static useDetachEvent(element: HTMLElement): void;
    }


    class Platform   {
    }


    class StringBuilder   {
        /**
Appends the specified value to the end of the current string value
@method
@param value - The value to append
@returns 
*/
append(value: string): Telerik.Web.StringBuilder;
        /**
Returns the internal string buffer
@method
@returns 
*/
get_buffer(): any;
        /**
Returns the current appended content as a single string
@method
@returns 
*/
toString(): string;
    }


    class Timer  extends Sys.Component {
        /**

@method
@returns Gets a value indicating whether this control is enabled
*/
get_enabled(): boolean;
        /**

@method
@returns Retrieves the interval between 2 tick events
*/
get_interval(): number;
        /**
Sets the enable state of the control
@method
@param value - True if control is enabled
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the interval between 2 tick events
@method
@param value - The value of the interval
@returns 
*/
set_interval(value: number): void;
        /**
This method is called when Timer is updated after tick
@method
@returns 
*/
updated(): void;
        /**
Occurs when the interval has elapsed.
*/
add_tick(handler: (sender: Telerik.Web.Timer, args: Sys.EventArgs) => void): void;

remove_tick(handler: Function): void;
    }


}
declare module Telerik.Web.UI.ImageEditor {
    class CancelEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the name of the active command.
@method
@returns 
*/
get_commandName(): string;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@param value - The new name that will be used for the active command.
@returns ### set_commandNameSets the name of the active command.
*/
get_domEvent(value: string): Sys.UI.DomEvent;
    }


    class EditableCanvas  extends Telerik.Web.UI.ImageEditor.EditableImageBase {
        /**
Adds text to the image in the specified position
@method
@param x - The X coordinate of the text
@param y - The Y coordinate of the text
@param text - The text to add to the image.
@returns 
*/
addText(x: number, y: number, text: Telerik.Web.UI.ImageEditor.ImageText): void;
        /**
Initiates a callback to the server and performs operations (saving image, cropping and etc.) to the image on the server.
@method
@param saveImageServer - True
@param fileName - The filename of the image. If null then the original filename is used. If file name is not a string
@param call_saveOnClient - True
@param overwrite - True
@returns 
*/
applyChangesOnServer(saveImageServer: boolean, fileName: any, call_saveOnClient: boolean, overwrite: boolean): void;
        /**
Creates an image operation which is applied against the current editable image and adds the operation to the undo stack.
@method
@param filter - The filter to be applied.
@param imgOperation - The image operation object handling the actual editing of the image.
@returns 
*/
applyFilter(filter: Telerik.Web.UI.ImageEditor.Filters.IPixelFilter, imgOperation: any): void;
        /**
Changes the opacity of the image.
@method
@param opacity - The new value of the opacity.
@param imgOperation - The image operation object handling the actual editing of the image.
@returns 
*/
changeOpacity(opacity: number, imgOperation: any): void;
        /**
Crops the image to the given rectangle.
@method
@param rectangle - The rectangle defined by coordinates and dimensions to crop.
@returns 
*/
crop(rectangle: any): void;
        /**
Initiates an ASP.NET client callback to the server and raises the ImageEditing server side event. The EditableImage can be retrieved from the event arguments, and edited accordingly.
@method
@param commandName - The command name that will be passed to the server and respective client events. It should be unique.
@param commandText - The command text that will be used to record the operation in the Undo
@param commandArgument - The additional command argument that will be passed to the server. By default empty string is passed.
@param callbackFunction - The function that will be called after response is received from the server. Two parameters are sent to this function
@returns 
*/
doServerOperation(commandName: string, commandText: string, commandArgument: string, callbackFunction: Function): void;
        /**
Executes the provided filter against the current editable image.
@method
@param filter - The filter to be executed.
@returns 
*/
executeFilter(filter: Telerik.Web.UI.ImageEditor.Filters.IPixelFilter): void;
        /**
Flips the image in the specified direction.
@method
@param flipDirection - The direction of flipping.
@param clearPrevFlipDirection - True
@param imgOperation - The image operation object handling the actual editing of the image.
@returns 
*/
flip(flipDirection: Telerik.Web.UI.ImageEditor.FlipDirection, clearPrevFlipDirection: boolean, imgOperation: any): void;
        /**
Ensures that the Zoom level is applied to the image
@method
@returns 
*/
forceCurrentZoom(): void;
        /**
Gets the flip direction of the editable canvas.
@method
@returns Enum value of the flip direction
*/
get_flipDirection(): Telerik.Web.UI.ImageEditor.FlipDirection;
        /**
Gets the current height of the canvas. Note that value may be different that the height of the image DOM element, for example, when zoomed.
@method
@returns The height of the editable image
*/
get_height(): number;
        /**
Gets the current opacity of the editable canvas.
@method
@returns The opacity value of the editable canvas. Range
*/
get_opacity(): number;
        /**
Gets the rotation enum value of the editable canvas.
@method
@returns Enum value of the rotation.
*/
get_rotation(): Telerik.Web.UI.ImageEditor.Rotation;
        /**
Gets the rotation angle of the editable canvas.
@method
@returns The value in degrees of the image rotation.
*/
get_rotationAngle(): number;
        /**
Gets the current width of the canvas. Note that value may be different that the width of the image DOM element, for example, when zoomed.
@method
@returns The width of the editable image
*/
get_width(): number;
        /**
Returns the Base64 representation of the loaded image.
@method
@param mimeType - The currently supported types are Image
@returns The string that represents the encoded graphical data.
*/
getBase64(mimeType: string): string;
        /**
Gets the element, onto which the editing will be done.
@method
@returns The respective DOM element. Could be an image or a canvas tag
*/
getCanvas(): any;
        /**
Returns the 2d Context of the canvas element.
@method
@returns The 2d canvas context.
*/
getCanvasContext(): any;
        /**
Returns a URL which could be used to visualize the image directly. The image is represented in Base64 format.
@method
@param mimeType - The currently supported types are Image
@returns The string that represents an encoded URL containing the graphical data.
*/
getDataUrl(mimeType: string): string;
        /**
Returns an ImageData object containing the image data for the given rectangle of the bitmap.
@method
@returns The ImageData object.
*/
getImageDataAll(): any;
        /**
Inserts image (clip art) into the editable image at the specified position
@method
@param x - The X coordinate of the image
@param y - The Y coordinate of the image
@param value - The client URL of the image to insert.
@param operationsToApply - Array of operations to apply to the clip art image
@returns 
*/
insertImage(x: number, y: number, value: string, operationsToApply: any): void;
        /**
Gets a flag whether the image is loaded.
@method
@returns Is the image loaded flag.
*/
isImageLoaded(): boolean;
        /**
Gets a flag whether the image is loading
@method
@param image - The image to be edited.
@returns Is the image loading flag
*/
isImageLoading(image: any): boolean;
        /**
Resets the changes to the current image and reverts it to the original one
@method
@param imageUrl - The original image url.
@returns 
*/
reset(imageUrl: any): void;
        /**
Resizes the image.
@method
@param width - The new width of the image.
@param height - The new height of the image.
@param imgOperation - The image operation object handling the actual editing of the image.
@returns 
*/
resize(width: number, height: number, imgOperation: any): void;
        /**
Rotates the image in the specified direction.
@method
@param rotationDirection - Enum to determine the angle value. Only orthogonal values
@param angle - The rotation angle.
@param imgOperation - The image operation object handling the actual editing of the image.
@returns 
*/
rotate(rotationDirection: Telerik.Web.UI.ImageEditor.Rotation, angle: number, imgOperation: any): void;
        /**
Saves the image on the client machine.
@method
@param fileName - The filename of the image. If file name is not a string
@returns 
*/
saveOnClient(fileName: any): void;
        /**
Sets the flip direction to the editable canvas.
@method
@param flipDirection - The direction of flipping.
@returns 
*/
set_flipDirection(flipDirection: Telerik.Web.UI.ImageEditor.FlipDirection): void;
        /**
Zooms(scales) the image by the specified level in percents. This operation does not change the image
@method
@param zoomLevel - The level
@param forceZoom - Bool value indicating whether the zoom should be performed even if the current zoom level is the same.
@returns 
*/
zoom(zoomLevel: number, forceZoom: boolean): void;
    }


    class EditableImage   {
        /**
Add text to the image
@method
@param x - The left
@param y - The top
@param text - The text to add to the image
@returns 
*/
static addText(x: number, y: number, text: Telerik.Web.UI.ImageEditor.ImageText): void;
        /**
Initiates a callback to the server and performs operations (saving image, cropping and etc.) to the image on the server.
@method
@param saveImageServer - True
@param fileName - The filename of the image. If null then the original filename is used. If file name is not a string
@param call_saveOnClient - True
@param overwrite - True
@returns 
*/
static applyChangesOnServer(saveImageServer: boolean, fileName: any, call_saveOnClient: boolean, overwrite: boolean): void;
        /**
Changes the opacity of the image
@method
@param opacity - The opacity value. It must be in the
@returns 
*/
static changeOpacity(opacity: number): void;
        /**
Changes the opacity of the image
@method
@param opacity - 
@returns 
*/
changeOpacity(opacity: any): any;
        /**
Crops the image by the specified rectangular bounds
@method
@param rectangle - The rectangle
@returns 
*/
static crop(rectangle: Sys.UI.Bounds): void;
        /**
Crops the image by the specified rectangular bounds
@method
@param rectangle - 
@returns 
*/
crop(rectangle: any): any;
        /**
Initiates an ASP.NET client callback to the server and raises the ImageEditing server side event. The EditableImage can be retrieved from the event arguments, and edited accordingly.
@method
@param commandName - The command name that will be passed to the server and respective client events. It should be unique.
@param commandText - The command text that will be used to record the operation in the Undo
@param commandArgument - The additional command argument that will be passed to the server. By default empty string is passed.
@param callbackFunction - The function that will be called after response is received from the server. Two parameters are sent to this function
@returns 
*/
static doServerOperation(commandName: string, commandText: string, commandArgument: string, callbackFunction: Function): void;
        /**
Initiates an ASP.NET client callback to the server and raises the ImageEditing server side event
@method
@param commandName - 
@param commandText - 
@param commandArgument - 
@param callbackFunction - 
@returns 
*/
doServerOperation(commandName: any, commandText: any, commandArgument: any, callbackFunction: any): any;
        /**
Flips the image in specified direction
@method
@param flipDirection - The direction of flipping
@param clearPrevFlipDirection - Flag whether the previously set flip direction should be taken under consideration
@returns 
*/
static flip(flipDirection: Telerik.Web.UI.ImageEditor.FlipDirection, clearPrevFlipDirection: boolean): void;
        /**
Flips the image in specified direction
@method
@param flipDirection - 
@param clearPrevFlipDirection - 
@returns 
*/
flip(flipDirection: any, clearPrevFlipDirection: any): any;
        /**
Gets the flip direction of the editable image.
@method
@returns Enum value of the flip direction
*/
static get_flipDirection(): Telerik.Web.UI.ImageEditor.FlipDirection;
        /**
Gets the flip direction of the editable image
@method
@returns 
*/
get_flipDirection(): any;
        /**
Gets the current height of the image. Note that value may be different that the height of the image DOM element (e.g. when zoomed)
@method
@returns 
*/
get_height(): any;
        /**
Gets the current height of the image. Note that value may be different that the height of the image DOM element, for example, when zoomed
@method
@returns The height of the editable image
*/
static get_height(): number;
        /**
Gets the current opacity of the editable image
@method
@returns 
*/
get_opacity(): any;
        /**
Gets the current opacity of the editable image
@method
@returns The opacity value of the editable image. Range
*/
static get_opacity(): number;
        /**
Gets the rotation enum value of the editable image.
@method
@returns Enum value of the rotation
*/
static get_rotation(): Telerik.Web.UI.ImageEditor.Rotation;
        /**
Gets the rotation object value of the editable image
@method
@returns 
*/
get_rotation(): any;
        /**
Gets the rotation angel of the editable image.
@method
@returns The value in degrees of the image rotation
*/
static get_rotationAngle(): number;
        /**
Gets the rotation angel of the editable image
@method
@returns 
*/
get_rotationAngle(): any;
        /**
Gets the src of the original image, i.e. before the server operations
@method
@returns The Url of the original image
*/
static get_serverUrl(): string;
        /**
Gets the src of the original image, i.e. before the server operations
@method
@returns 
*/
get_serverUrl(): any;
        /**
Gets the src of the edited image
@method
@returns 
*/
get_url(): any;
        /**
Gets the src of the edited image
@method
@returns The Url value of the image
*/
static get_url(): string;
        /**
Gets the current width of the image. Note that value may be different that the width of the image DOM element, for example, when zoomed
@method
@returns The width of the editable image
*/
static get_width(): number;
        /**
Gets the current width of the image. Note that value may be different that the width of the image DOM element (e.g when zoomed)
@method
@returns 
*/
get_width(): any;
        /**
Gets the current zoom level of the image
@method
@returns 
*/
get_zoomLevel(): any;
        /**
Gets the current zoom level of the image
@method
@returns The current zoom level
*/
static get_zoomLevel(): number;
        /**
Get the image being edited
@method
@returns 
*/
getImage(): any;
        /**
Get the image being edited
@method
@returns A reference to the image DOM element
*/
static getImage(): any;
        /**
Inserts image (clip art) into the editable image at the specified position
@method
@param x - 
@param y - 
@param imgSrc - 
@param operations - 
@returns 
*/
insertImage(x: any, y: any, imgSrc: any, operations: any): any;
        /**
Inserts image (clip art) into the editable image at the specified position
@method
@param x - The X coordinate of the image
@param y - The Y coordinate of the image
@param imgSrc - The client URL of the image to insert.
@param operations - Array of operations to apply to the clip art image
@returns 
*/
static insertImage(x: number, y: number, imgSrc: string, operations: any): void;
        /**
Resets the image to the provided image src
@method
@param imageUrl - 
@returns 
*/
reset(imageUrl: any): any;
        /**
Resets the image to the provided image src
@method
@param imageUrl - The src of the image
@returns 
*/
static reset(imageUrl: string): void;
        /**
Resizes the image according to the specified dimensions
@method
@param width - The width of the image in pixels
@param height - The height of the image in pixels
@returns 
*/
static resize(width: number, height: number): void;
        /**
Resizes the image according to the specified dimensions
@method
@param width - 
@param height - 
@returns 
*/
resize(width: any, height: any): any;
        /**
Rotates the image according to the rotation direction specified
@method
@param rotationDirection - Enum to determine the angle value. Only orthogonal values
@returns 
*/
static rotate(rotationDirection: Telerik.Web.UI.ImageEditor.Rotation): void;
        /**
Rotates the image according to the rotation direction specified
@method
@param rotationDirection - 
@returns 
*/
rotate(rotationDirection: any): any;
        /**
Invokes the download of the edited image to the client's machine
@method
@param fileName - 
@returns 
*/
saveOnClient(fileName: any): any;
        /**
Invokes the download of the edited image to the client's machine
@method
@param fileName - The name of the file
@returns 
*/
static saveOnClient(fileName: any): void;
        /**
Sets the src of the original image
@method
@param value - The Url to sustitude the src of the original image
@returns 
*/
static set_serverUrl(value: string): void;
        /**
Sets the src of the original image
@method
@param value - 
@returns 
*/
set_serverUrl(value: any): any;
        /**
The wrapper class for editing images.
@method
@param image - The image to be edited
@param xmlHttpPanel - The XmlHttpPanel to handle the server related editing operations
@returns 
*/
static Telerik(image: any, xmlHttpPanel: Telerik.Web.UI.RadXmlHttpPanel): void;
        /**
Zooms(scales) the image by the specified level in percentages. This operation does not change the image
@method
@param zoomLevel - 
@param forceZoom - 
@returns 
*/
zoom(zoomLevel: any, forceZoom: any): any;
        /**

@method
@param zoomLevel - 
@param forceZoom - 
@returns 
*/
static zoom(zoomLevel: number, forceZoom: boolean): void;
        /**
Zooms the image to best fit in the viewport
@method
@param width - A custom width limitation
@param height - A custom height limitation
@returns 
*/
static zoomBestFit(width: number, height: number): void;
        /**
Zooms the image to best fit in the viewport
@method
@param width - 
@param height - 
@returns 
*/
zoomBestFit(width: any, height: any): any;
        /**
Occurs when the image is reloaded.
*/
add_imageReload(handler: (sender: Telerik.Web.UI.ImageEditor.EditableImageBase, args: Sys.EventArgs) => void): void;

remove_imageReload(handler: Function): void;
    }


    class EditableImageBase  extends Sys.Component {
        /**

@method
@returns 
*/
getCanvasContext(): void;
        /**
Gets the current flip direction of the EditableImage.
@method
@returns 
*/
get_flipDirection(): void;
        /**
Gets the height of the EditableImage.
@method
@returns 
*/
get_height(): void;
        /**

@method
@returns 
*/
get_imageKey(): void;
        /**
Gets the opacity of the EditableImage.
@method
@returns 
*/
get_opacity(): void;
        /**
Gets the current rotation angle of the EditableImage.
@method
@returns 
*/
get_rotationAngle(): void;
        /**

@method
@returns 
*/
get_serverUrl(): void;
        /**

@method
@returns 
*/
get_url(): void;
        /**
Gets the width of the EditableImage.
@method
@returns 
*/
get_width(): void;
        /**

@method
@returns 
*/
get_zoomLevel(): void;
        /**

@method
@returns 
*/
getCanvasElement(): void;
        /**

@method
@returns 
*/
getImage(): void;
        /**

@method
@returns 
*/
getImageEditor(): void;
        /**

@method
@returns 
*/
getXmlHttpPanel(): void;
        /**

@method
@returns 
*/
isImageLoaded(): void;
        /**

@method
@returns 
*/
raiseEvent(): void;
        /**
Sets the current flip direction of the EditableImage.
@method
@param value - The direction of flipping.
@returns 
*/
set_flipDirection(value: Telerik.Web.UI.ImageEditor.FlipDirection): void;
        /**

@method
@returns 
*/
set_imageKey(): void;
        /**

@method
@returns 
*/
set_serverUrl(): void;
        /**

@method
@returns 
*/
zoomBestFit(): void;
    }


    class EventArgs  extends Sys.EventArgs {
        /**
Returns the name of the active command.
@method
@returns 
*/
get_commandName(): string;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@param value - The new name that will be used for the active command.
@returns ### set_commandNameSets the name of the active command.
*/
get_domEvent(value: string): Sys.UI.DomEvent;
    }


    class ImageChangeCancelEventArgs  extends Telerik.Web.UI.ImageEditor.CancelEventArgs {
        /**
Returns the argument object.
@method
@returns 
*/
get_argument(): any;
        /**
Returns information whether the UI(statusbar, dialogs, etc.) of the ImageEditor should be updated.
@method
@returns 
*/
get_updateUI(): boolean;
        /**
Sets the argument object value.
@method
@returns 
*/
set_argument(): void;
        /**
Defines whether the UI(statusbar, dialogs, etc.) of the ImageEditor should be updated.
@method
@returns 
*/
set_updateUI(): void;
    }


    class ImageChangeEventArgs  extends Telerik.Web.UI.ImageEditor.EventArgs {
        /**
Returns the current ImageOperation client object.
@method
@returns 
*/
get_imageOperation(): Telerik.Web.UI.ImageEditor.ImageOperation;
        /**
Sets the desired ImageOperation.
@method
@returns 
*/
set_imageOperation(): void;
    }


    class ImageOperation   {
        /**
Gets a bool value that indicates whether the ImageOperation is applied on the client.
@method
@returns 
*/
getIsClientOperation(): boolean;
        /**
Gets the index in the Undo stack of the current operation.
@method
@returns 
*/
get_index(): number;
        /**
Sets the index of the current operation.
@method
@param value - The desired index value.
@returns 
*/
set_index(value: number): void;
    }


    class ImageText   {
        /**
Gets the color of the text to draw
@method
@returns A color value in hex
*/
get_color(): string;
        /**
Gets the font family of the text to draw
@method
@returns The name of the font family
*/
get_fontFamily(): string;
        /**
Gets the font size of the text to draw
@method
@returns The size of the font in pixels
*/
get_fontSize(): number;
        /**
Gets value of the text to draw
@method
@returns The value of the text as a string
*/
get_text(): string;
        /**
Sets the color of the text to draw
@method
@param value - A color value in hex
@returns 
*/
set_color(value: string): void;
        /**
Sets the font family of the text to draw
@method
@param value - The name of the font family
@returns 
*/
set_fontFamily(value: string): void;
        /**
Sets the font size of the text to draw
@method
@param value - The size of the font in pixels
@returns 
*/
set_fontSize(value: number): void;
        /**
Sets the value of the text to draw
@method
@param value - The value of the text as a string
@returns 
*/
set_text(value: string): void;
    }


    class SavedEventArgs  extends Sys.EventArgs {
        /**
Returns the current ImageOperation client object.
@method
@returns 
*/
get_fileName(): Telerik.Web.UI.ImageEditor.ImageOperation;
        /**
Returns the argument passed through the server-side ImageSaving event.
@method
@returns 
*/
get_argument(): string;
        /**
Returns the image saving result.
@method
@returns 
*/
get_isSaved(): boolean;
        /**
Returns the save action applied on the image.
@method
@returns The possible values for the save action are "SaveClient", "SaveServer" and "ApplyChanges".
*/
get_message(): string;
    }


    class SavingEventArgs  extends Sys.CancelEventArgs {
        /**
Returns the save action applied on the image.
@method
@returns The possible values for the save action are "SaveClient", "SaveServer" and "ApplyChanges".
*/
get_saveAction(): string;
        /**
Returns the name under which the image will be saved.
@method
@returns 
*/
get_fileName(): string;
        /**
Returns whether the file will be overwritten if it exists.
@method
@param value - 
@returns ### set_fileNameSets the name under which the image will be saved.
*/
get_overwrite(value: string): boolean;
    }


    class ShortCutCancelEventArgs  extends Sys.CancelEventArgs {
        /**
Gets the currently used shortcut.
@method
@returns 
*/
get_shortCut(): Telerik.Web.UI.ImageEditorShortCut;
        /**
Returns the Sys.UI.DomEvent instance associated to the raised event.
@method
@returns 
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class ToolWidget   {
        /**

@method
@returns 
*/
checkValue(): void;
        /**

@method
@returns 
*/
close(): void;
        /**

@method
@returns 
*/
decrementValue(): void;
        /**

@method
@returns 
*/
get_image(): void;
        /**

@method
@returns 
*/
get_imageEditor(): void;
        /**

@method
@returns 
*/
get_parentId(): void;
        /**

@method
@returns 
*/
get_text(): void;
        /**

@method
@returns 
*/
incrementValue(): void;
        /**

@method
@returns 
*/
isBackspaceOrDelete(): void;
        /**

@method
@returns 
*/
isNumeric(): void;
        /**

@method
@returns 
*/
onClose(): void;
        /**

@method
@returns 
*/
onOpen(): void;
        /**

@method
@returns 
*/
restrictInputValue(): void;
        /**

@method
@returns 
*/
set_imageEditor(): void;
    }


}
declare module Telerik.Web.UI.ButtonBase {
    class CheckableButton  extends Telerik.Web.UI.ButtonBase.RadButtonBase {
        /**
Gets a bool value indicating whether the RadButton control is checked.
@method
@returns A bool value
*/
get_checked(): boolean;
        /**
Sets a bool value indicating whether the RadButton control is checked.
@method
@param value - A bool value indicating whether the RadButton control is checked.
@returns 
*/
set_checked(value: boolean): void;
        /**
The checkedChanged event is fired after the Checked property of the control is changed, and it is subsequent to the checkedChanging event.
*/
add_checkedChanged(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonCheckedEventArgs) => void): void;

remove_checkedChanged(handler: Function): void;
        /**
The checkedChanging event is fired after the Checked property of the control is changed.
*/
add_checkedChanging(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonCheckedCancelEventArgs) => void): void;

remove_checkedChanging(handler: Function): void;
    }


    class PostBackButtonBase  extends Telerik.Web.UI.ButtonBase.RadButtonBase {
        /**
Gets a bool value indicating whether the RadButton control automatically posts back to the server when clicked.
@method
@param value - A bool value indicating whether the RadButton control automatically posts back to the server when clicked.
@returns A bool value indicating whether the RadButton control automatically posts back to the server when clicked.
*/
get_autoPostBack(value: boolean): boolean;
        /**
Gets an optional parameter passed to the Command event along with the associated CommandName.
@method
@returns An optional parameter passed to the Command event along with the associated CommandName.
*/
get_commandArgument(): string;
        /**
Gets the command name associated with the RadButton control that is passed to the Command event.
@method
@returns The command name associated with the RadButton control that is passed to the Command event
*/
get_commandName(): string;
        /**
Gets a bool value indicating whether the RadButton control will be immediately disabled after the user has clicks it. (i.e. enables/disables "Single Click" functionality)
@method
@returns 
*/
get_singleClick(): void;
        /**
Gets the text displayed in the RadButton control after the button is being clicked and disabled. (i.e. the text used for the "Single Click" functionality)
@method
@returns The text displayed in the RadButton control after the button is being clicked and disabled. (i.e. the text used for the "Single Click" functionality)
*/
get_singleClickText(): string;
        /**
Gets the name of ValidationGroup that the button is assigned to.
@method
@returns the name of ValidationGroup that the button is assigned to.
*/
get_validationGroup(): string;
        /**
Gets a bool value indicating whether the button is a submit button
@method
@returns ### set_autoPostBackSets or sets a bool value indicating whether the RadButton control automatically posts back to the server when clicked.
*/
IsInputTypeSubmit(): void;
        /**
Sets an optional parameter passed to the Command event along with the associated CommandName.
@method
@param value - An optional parameter passed to the Command event along with the associated CommandName.
@returns 
*/
set_commandArgument(value: string): void;
        /**
Sets the command name associated with the RadButton control that is passed to the Command event.
@method
@param value - The command name associated with the RadButton control that is passed to the Command event.
@returns 
*/
set_commandName(value: string): void;
        /**
Sets the validation group to which RadButton should be assigned.
@method
@param value - The name of the validation group to which RadButton should be assigned.
@returns 
*/
set_validationGroup(value: string): void;
    }


    class RadButtonBase  extends Telerik.Web.UI.RadWebControl {
        /**
Executes programmatic button click.
@method
@param raiseClicking? - Bool value indicating whether the
@returns 
*/
click(raiseClicking?: boolean): void;
        /**
Gets the Cascading Style Sheet (CSS) class rendered by the RadButton control on the client.
@method
@returns The Cascading Style Sheet
*/
get_cssClass(): string;
        /**
Gets the CSS class applied when the control is disabled.
@method
@returns The CSS class applied when the control is disabled.
*/
get_disabledCssClass(): string;
        /**
Returns a value, indicating whether the button control is enabled.
@method
@returns The value of the Enabled property.
*/
get_enabled(): boolean;
        /**
Gets the height of the RadButton control.
@method
@returns The height of the RadButton control.
*/
get_height(): number;
        /**
Gets the CSS class applied to the RadButton control when the mouse pointer is over the control.
@method
@returns The CSS class applied to the RadButton control when the mouse pointer is over the control.
*/
get_hoveredCssClass(): string;
        /**
Gets the CSS class applied to the RadButton control when the control is pressed.
@method
@returns The CSS class applied to the RadButton control when the control is pressed.
*/
get_pressedCssClass(): string;
        /**
Gets the text displayed in the RadButton control.
@method
@returns The text displayed in the RadButton control.
*/
get_text(): string;
        /**
Gets the text displayed when the mouse pointer hovers over the RadButton control.
@method
@returns The text displayed when the mouse pointer hovers over the RadButton control.
*/
get_toolTip(): string;
        /**
Gets the unique, hierarchically qualified identifier for the RadButton control.
@method
@returns The unique
*/
get_uniqueID(): string;
        /**
Gets the Value property of the RadButton control.
@method
@returns The Value property of the RadButton control.
*/
get_value(): string;
        /**
Gets the width of the RadButton control.
@method
@returns The width of the RadButton control.
*/
get_width(): number;
        /**
Sets whether the button is enabled.
@method
@param value - The new value for the Enabled property.
@returns 
*/
set_enabled(value: boolean): void;
        /**
Sets the text displayed in the RadButton control.
@method
@param value - The text that will be displayed in the RadButton control.
@returns 
*/
set_text(value: string): void;
        /**
Sets the text displayed when the mouse pointer hovers over the RadButton control.
@method
@param value - The text that will be displayed on hover.
@returns 
*/
set_toolTip(value: string): void;
        /**
Sets the Value property of the RadButton control.
@method
@param value - The Value property of the RadButton control.
@returns 
*/
set_value(value: string): void;
        /**
The clicked event is subsequent to the clicking event, and occurs when the RadButton control is clicked.
*/
add_clicked(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonEventArgs) => void): void;

remove_clicked(handler: Function): void;
        /**
The clicking event occurs when the RadButton control is clicked, immediately after the mouse button is released.
*/
add_clicking(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonCancelEventArgs) => void): void;

remove_clicking(handler: Function): void;
        /**
The load event occurs when the RadButton control loaded on the page.
*/
add_load(handler: (sender: Telerik.Web.UI.RadButton, eventArgs: Sys.EventArgs) => void): void;

remove_load(handler: Function): void;
        /**
The mouseOut event is fired when the user moves the mouse pointer over the control.
*/
add_mouseOut(handler: (sender: Telerik.Web.UI.RadButton, args: Telerik.Web.UI.ButtonEventArgs) => void): void;

remove_mouseOut(handler: Function): void;
    }


}
declare module Telerik.Web.UI.Editor {
    enum CommandStates {
         Disabled = -1,
         Off = 0,
         On = 1
    }
    enum EditorToolBarAnimationType {
         None = 0,
         Fade = 2
    }
    enum FindReplaceMode {
         Find = 0,
         FindAndReplace = 1
    }
    enum Orientation {
         Portrait = 1,
         LandScape = 2
    }
}
declare module Telerik.Web.UI.DateParsing {
    class DateTimeFormatInfo   {
        /**

@method
@returns 
*/
FormatDate(): void;
        /**

@method
@returns 
*/
LeadZero(): void;
    }


}
declare module Telerik.Web.UI.Calendar {
    class DateTimeFormatInfo   {
        /**
Formats a date, using the specified date and format string.
@method
@param date - An array of triplet that represent date
@param format - 
@returns 
*/
FormatDate(date: any, format: string): string;
        /**
Formats the integer, adding a leading zero if necessary so that the integer is a minimum of two digits.
@method
@param value - 
@returns 
*/
LeadZero(value: number): string;
    }


    class MonthYearFastNavigation   {
        /**
Add cell for the specified month.
@method
@param row - The TR element to wchich the cell will be added.
@param monthIndex - The index of the month in which the cell will be added.
@returns 
*/
AddMonthCell(row: HTMLElement, monthIndex: number): void;
        /**
Creates a button with specified elementId, text, onClick event handler and append it to the parentNode element.
@method
@param elementId - The ID to be used for the input.
@param parentNode - The parent element to which the input will be attached.
@param text - The text that will be set as a value to the input element.
@param onclickFunc - The event handler for the OnClick function.
@returns 
*/
CreateButton(elementId: string, parentNode: HTMLElement, text: string, onclickFunc: Function): void;
        /**
Creates the base layout for RadCalendar.
@method
@param style - The style to be used for the table.
@returns 
*/
CreateLayout(style: string): void;
        /**
Fill the available years in the fast navigation section.
@method
@returns 
*/
FillYears(): void;
        /**
Returns the current month.
@method
@returns DateTime object that represents the current month.
*/
GetMonth(): Date;
        /**
Returns the current year.
@method
@returns DateTime object that represents the current year.
*/
GetYear(): Date;
        /**
Scrolls to the specified year.
@method
@param step - How many years should be added to the current one.
@returns 
*/
ScrollYears(step: number): void;
        /**
Selects or deselects the specified cell.
@method
@param cell - The element to be selected
@param selected - Boolean value to indicate whether the cell should be selected or not.
@returns 
*/
SelectCell(cell: HTMLElement, selected: boolean): void;
        /**
Selects the specified month.
@method
@param month - The month to be selected.
@returns 
*/
SelectMonth(month: Date): void;
        /**
Selects the specified year.
@method
@param year - 
@returns 
*/
SelectYear(year: Date): void;
        /**
set the navigation cells.
@method
@returns 
*/
SetNavCells(): void;
        /**
Shows the pop up window.
@method
@param popup - The window that will hold the content of the pop up.
@param x - The X coordinate of the window.
@param y - The Y coordinate of the window.
@param month - 
@param year - The year to be displayed.
@param exitFunc - Function that should be executed on exit.
@param style - String containing the style attributes that will be applied to the table element.
@returns 
*/
Show(popup: any, x: number, y: number, month: Date, year: Date, exitFunc: Function, style: string): void;
        /**
Displays the month-year view.
@method
@param popup - The window that will hold the content of the pop up.
@param x - The X coordinate of the window.
@param y - The Y coordinate of the window.
@param month - The month to be displayed.
@param year - The year to be displayed.
@param exitFunc - Function that should be executed on exit.
@param style - String containing the style attributes that will be applied to the table element.
@param ownerId - The ID fo of the wrapper element.
@returns 
*/
ShowMonthYearView(popup: any, x: number, y: number, month: Date, year: Date, exitFunc: Function, style: string, ownerId: string): void;
    }


    class RenderDay   {
        /**
Indicates the recurrence patterns that include the day. The value is one of the following: 1: DayInMonth, 2: DayAndMonth, 4: Week, 8: WeekAndMonth, 16: Today, 32: None
@method
@param compareDate - 
@param calendarView - 
@returns 
*/
IsRecurring(compareDate: any, calendarView: number): void;
        /**
Returns the triplet for the day represented by the render day object.
@method
@returns 
*/
get_date(): any;
        /**
Returns true if the day can be selected.
@method
@returns 
*/
get_isSelectable(): boolean;
        /**
returns true if the day is selected.
@method
@returns 
*/
get_isSelected(): boolean;
        /**
Returns true if the day has today's date
@method
@returns 
*/
get_isToday(): boolean;
        /**
Returns true if the day falls on a weekend.
@method
@returns 
*/
get_isWeekend(): boolean;
        /**
Sets the date of the render day object to the date encoded by the triplet.
@method
@param value - 
@returns 
*/
set_date(value: any): void;
    }


}
declare module Telerik.Web.UI.RadAutoCompleteBox {
    class DropDownItem   {
    }


}
declare module Telerik.Web.UI.FileExplorer {
    class FileDataItem   {
    }


    class FileList  extends Sys.Component {
        /**
Attach/detach the event handlers
@method
@param toAttach - 
@returns 
*/
attachEventHandlers(toAttach: boolean): void;
        /**
Shortcut method for set_dataSource(data); dataBind().
@method
@param data - The array of elements to bind to
@returns 
*/
bindToData(data: any): void;
        /**
Bind the data to the underlying bindable control
@method
@param serverData - The data provided by the server callback or from cached location. Should follow the format of the Telerik.Web.UI.FileExplorer.ServerData
@param pageIndex - The page
@returns 
*/
bindToServerData(serverData: any, pageIndex: number): void;
        /**
Chooses the view with the specified name. The view is displayed and the currently displayed one is hidden
@method
@param name - The name of the view to display.
@returns 
*/
chooseFileListView(name: string): void;
        /**
Clears the filtering by reseting the filter and clearing the filter text box
@method
@returns 
*/
clearFilter(): void;
        /**
Clears the caching of the specified folder, forcing a reload the next time this folder's content is loaded
@method
@param path - The path to the folder
@returns 
*/
clearFolderCache(path: string): void;
        /**
Clear any item selection in the file list
@method
@returns 
*/
clearSelection(): void;
        /**
Filter the file list on the client only. Note that only the items displayed items will be filtered, i.e. paged content will filter only the current page
@method
@param keyWord - Filter keyword
@returns 
*/
clientFilter(keyWord: string): void;
        /**
Bind the already provided data(use set_dataSource(data)) to the underlying bindable control
@method
@returns 
*/
dataBind(): void;
        /**
Filter the file list by the provided keyword. This method does not raise a filter event
@method
@param keyWord - Filter keyword
@returns 
*/
doFiltering(keyWord: string): void;
        /**
Filter the file list by the provided keyword. This method raises a filter event
@method
@param keyWord - Filter keyword
@returns 
*/
filterList(keyWord: string): void;
        /**
Find a file by its name
@method
@param fileName - Name of a file
@returns Searched Item
*/
findFileByName(fileName: string): Telerik.Web.UI.FileExplorer.FileDataItem;
        /**
Find a file by its path
@method
@param path - Path to a file
@returns Searched Item
*/
findFileByPath(path: string): Telerik.Web.UI.FileExplorer.FileDataItem;
        /**
Focus the underlying control's DOM element
@method
@returns 
*/
focus(): void;
        /**
Focus the paging control of the file list
@method
@returns 
*/
focusPagerControl(): void;
        /**
Get a reference to the context menu that is utilized by the file list
@method
@returns 
*/
get_contextMenu(): Telerik.Web.UI.RadMenu;
        /**
Get a reference to the underlying file list view
@method
@returns 
*/
get_control(): Telerik.Web.UI.FileExplorer.IFileListView;
        /**
Get the data source provided to the control
@method
@returns The data object provided to the control
*/
get_dataSource(): any;
        /**
Gets the DOM element, where the file list resides.
@method
@returns The DOM element of the underlying control
*/
get_element(): HTMLElement;
        /**
Get a reference to the RadFileExplorer that used this instance of FileList
@method
@returns 
*/
get_fileExplorer(): Telerik.Web.UI.RadFileExplorer;
        /**
Gets a reference to the filter text box DOM element that resides in the current file list view
@method
@param view - The view where to look for the filter text box. If the view is not provided
@returns The input element of the filter text box
*/
get_filterTextBox(view: Telerik.Web.UI.FileExplorer.IFileListView): any;
        /**
Get a reference to the grid control that displays the list of files if such is being used to display the items
@method
@returns The RadGrid managing the file list
*/
get_grid(): Telerik.Web.UI.RadGrid;
        /**
Get the items displayed in the file list.
@method
@returns All items array
*/
get_items(): any;
        /**
Get a reference to the list view control that displays the list of files if such is being used to display the items
@method
@returns The RadListView managing the file list
*/
get_listView(): Telerik.Web.UI.RadListView;
        /**
Get the page size as maximum number of items per page
@method
@returns The page size
*/
get_pageSize(): number;
        /**
Get the first selected item from the file list
@method
@returns Selected item
*/
get_selectedItem(): Telerik.Web.UI.FileExplorer.FileDataItem;
        /**
Get the selected items from the file list
@method
@returns Selected items array
*/
get_selectedItems(): any;
        /**
Get a reference to the underlying file list view
@method
@returns 
*/
get_view(): Telerik.Web.UI.FileExplorer.IFileListView;
        /**
Get the selected files(Telerik.Web.UI.FileExplorerItem) from the file list
@method
@returns Selected files
*/
getSelectedFiles(): any;
        /**
Open the corresponding file item. If directory, the explorer navigates to it and displays its content
@method
@param item - The item to open. Can be either Telerik.Web.UI.FileExlorerItem
@returns 
*/
open(item: Telerik.Web.UI.FileExplorerItem): void;
        /**
Force a server call to collect the content of the folder
@method
@param folderPath - The path to the folder
@returns 
*/
refreshFileList(folderPath: string): void;
        /**
Registers a view in the file list container. This is the way to make it available later as an chosen/active file list view
@method
@param view - The view to be registered for use. Can be chosen later by name.
@returns 
*/
registerFileListView(view: Telerik.Web.UI.FileExplorer.IFileListView): void;
        /**
Try to select a default item from the file list. Usually this is the first item, or none if list is empty
@method
@returns 
*/
selectDefaultFile(): void;
        /**
Select an item from the file list
@method
@param file - The file could be either Telerik.Web.UI.FileDataItem
@returns 
*/
selectFile(file: Telerik.Web.UI.FileExplorer.FileDataItem): void;
        /**
Select a file item from the file list by the provided name
@method
@param fileName - The name of the file to select
@returns 
*/
selectFileByName(fileName: string): void;
        /**
Select a list of files by their names
@method
@param fileNames - An array of file names to select
@returns 
*/
selectFileList(fileNames: any): void;
        /**
Force the server to do the filtering.
@method
@param keyWord - Filter keyword
@returns 
*/
serverFilter(keyWord: string): void;
        /**
Set the data needed for the data bindable control
@method
@param data - Sets the data for the underlying data bindable control
@returns 
*/
set_dataSource(data: any): void;
        /**
Set the height of the FileList. This will call set_height of all the FileListViews
@method
@param height - The height to be set.
@returns 
*/
set_height(height: string): void;
        /**
Set the size of the page, i.e. the maximum number of items per page
@method
@param value - New page size
@returns 
*/
set_pageSize(value: number): void;
        /**
Show the content of a folder. This method takes advantage of a cached folder content, if the folder has already been loaded
@method
@param folderPath - The path to the folder
@returns 
*/
showFolderFileList(folderPath: string): void;
        /**
Show the content of a particular page
@method
@param startIndex - The index
@param pageSize - A custom page size. Default behavior is to use the page size of the file list
@returns 
*/
showPageContent(startIndex: number, pageSize: number): void;
        /**
Sort the file list
@method
@param sortExpression - Sorting expression. E.g.
@returns 
*/
sort(sortExpression: string): void;
    }


    class FileListItemCancelableEventArgs  extends Sys.CancelEventArgs {
        /**
Getter for the item, for which the event has been raised
@method
@returns An object resembling the Telerik.Web.UI.FileExplorer.FileDataItem
*/
get_item(): any;
    }


    class FileListItemDraggingEventArgs  extends Sys.EventArgs {
        /**
Getter for the DOM event associated with the custom event
@method
@returns DOM event
*/
get_domEvent(): Sys.UI.DomEvent;
    }


    class FileListItemEventArgs  extends Sys.EventArgs {
        /**
Getter for the item, for which the event has been raised
@method
@returns An object resembling the Telerik.Web.UI.FileExplorer.FileDataItem
*/
get_item(): any;
    }


    class FileListItemsCancelableEventArgs  extends Sys.CancelEventArgs {
        /**
Getter for the DOM event associated with the custom event
@method
@returns DOM event
*/
get_domEvent(): Sys.UI.DomEvent;
        /**
Getter for the items, for which the event has been raised
@method
@returns An array of items resembling the Telerik.Web.UI.FileExplorer.FileDataItem
*/
get_items(): any;
    }


    class FileListPageEventArgs  extends Sys.EventArgs {
        /**
Getter for size of the page
@method
@returns The size of the page
*/
get_pageSize(): number;
        /**
Getter for index, from which the page starts
@method
@returns The index
*/
get_startIndex(): number;
    }


    class FileListSortEventArgs  extends Sys.EventArgs {
        /**
Gets the sorting expression used in the sorting event
@method
@returns 
*/
get_sortExpression(): void;
    }


    class FilePathEventArgs  extends Sys.EventArgs {
        /**
Getter for the path
@method
@returns The file system path
*/
get_path(): string;
    }


    class IFileListView   {
        /**
Attach/detach the event handlers
@method
@param toAttach - 
@returns 
*/
attachEventHandlers(toAttach: boolean): void;
        /**
Bind the data to the underlying bindable control
@method
@param serverData - The data provided by the server callback or from cached location. Should follow the format of the Telerik.Web.UI.FileExplorer.ServerData
@param pageIndex - The page
@returns 
*/
bindToServerData(serverData: any, pageIndex: number): void;
        /**
Clear any item selection in the file list
@method
@returns 
*/
clearSelection(): void;
        /**
Bind the already provided data(use set_dataSource(data)) to the underlying bindable control
@method
@returns 
*/
dataBind(): void;
        /**
Filter the list by the provided keyword using the filtering capacities of the underlying control
@method
@param keyWord - Filter keyword
@returns 
*/
filter(keyWord: string): void;
        /**
Focus the paging control
@method
@returns 
*/
focusPagerControl(): void;
        /**
Gets the DOM element that wraps the file list view. The container may be different from the element in more complex views
@method
@returns Gets the DOM element that wraps the file list view
*/
get_container(): any;
        /**
Get the data source provided to the control
@method
@returns The data object provided to the control
*/
get_dataSource(): any;
        /**
Gets the DOM element of the underlying control.
@method
@returns The DOM element of the underlying control
*/
get_element(): HTMLElement;
        /**
gets the id of the underlying control
@method
@returns 
*/
get_id(): void;
        /**
Get the items displayed in the file list.
@method
@returns All items array
*/
get_items(): any;
        /**
Get the number of items in the file explorer view. This number may differ from the displayed items count when paging is allowed.
@method
@returns The number of items
*/
get_itemsCount(): number;
        /**
Gets the name of the corresponding view. The name should be unique in a collection of views as this is the identification field
@method
@returns the name of the corresponding view
*/
get_name(): string;
        /**
Get the number of pages in the control
@method
@returns The number of pages
*/
get_pageCount(): number;
        /**
Get the page size as maximum number of items per page
@method
@returns The page size
*/
get_pageIndex(): number;
        /**
Get the page current page index
@method
@returns The page index
*/
get_pageSize(): number;
        /**
Get the selected items from the file list
@method
@returns Selected items array
*/
get_selectedItems(): any;
        /**
Get an item by its name if such exists
@method
@param name - Name of the item
@returns 
*/
getItemByName(name: string): void;
        /**
Get an item by its path if such exists
@method
@param path - File path to the item
@returns 
*/
getItemByPath(path: string): void;
        /**
Try to select a default item from the file list. Usually this is the first item, or none if list is empty
@method
@returns 
*/
selectDefaultItem(): void;
        /**
Selects an item by name
@method
@param name - The name of the item to select
@returns 
*/
selectItemByName(name: string): void;
        /**
This method should provide the fastest possible implementation for finding and selecting items by name.
@method
@param items - A list of item names that the control should select.
@returns 
*/
selectItemsByName_Fast(items: any): void;
        /**
Set the data needed for the data bindable control
@method
@param data - Sets the data for the underlying data bindable control
@returns 
*/
set_dataSource(data: any): void;
        /**
Set the height of the FileListView
@method
@param height - The height to be set.
@returns 
*/
set_height(height: string): void;
        /**
Set the current page to display
@method
@param value - New page index
@param suppressPageEvent - Suppress the page event in order to escape irrelevant callbacks or page event handling
@returns 
*/
set_pageIndex(value: number, suppressPageEvent: boolean): void;
        /**
Set the size of the page, i.e. the maximum number of items per page
@method
@param value - New page size
@returns 
*/
set_pageSize(value: number): void;
        /**
Occurs when an FileListView is opened.
*/
add_open(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Telerik.Web.UI.FileExplorer.FileListPageEventArgs) => void): void;

remove_open(handler: Function): void;
        /**
Occurs when an item from the Grid is successfully dropped on the TreeView.
*/
add_itemDropComplete(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Sys.EventArgs) => void): void;

remove_itemDropComplete(handler: Function): void;
        /**
Occurs when an item in the Grid is selected.
*/
add_itemSelect(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Sys.EventArgs) => void): void;

remove_itemSelect(handler: Function): void;
        /**
Occurs when the context item of the Grid is shown.
*/
add_contextMenu(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Sys.EventArgs) => void): void;

remove_contextMenu(handler: Function): void;
        /**
Occurs when the context menu gets hidden.
#### Event Data
*/
add_hideContextMenu(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Sys.EventArgs) => void): void;

remove_hideContextMenu(handler: Function): void;
        /**
Occurs when the curent page index is changed.
*/
add_page(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Telerik.Web.UI.FileExplorer.FileListPageEventArgs) => void): void;

remove_page(handler: Function): void;
        /**
Occurs when the file items are sorted.
*/
add_sort(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Telerik.Web.UI.FileExplorer.FileListSortEventArgs) => void): void;

remove_sort(handler: Function): void;
        /**
Occurs when the item is about to be dragged. The event can be cancelled.
*/
add_itemDragStart(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Telerik.Web.UI.FileExplorer.FileListItemCancelableEventArgs) => void): void;

remove_itemDragStart(handler: Function): void;
        /**
Occurs when the item is being dragged.
*/
add_itemDragging(handler: (sender: Telerik.Web.UI.FileExplorer.IFileListView, args: Telerik.Web.UI.FileExplorer.FileListItemDraggingEventArgs) => void): void;

remove_itemDragging(handler: Function): void;
    }


}
declare module Telerik.Web.UI.ImageEditor {
    enum FlipDirection {
         None = 0,
         Vertical = 1,
         Horizontal = 2,
         Both = 3
    }
    enum Rotation {
         None = 0,
         Rotate90 = 1,
         Rotate180 = 2,
         Rotate270 = 3
    }
    enum ToolBarMode {
         Default = 0,
         Docked = 1
    }
    enum ToolBarPosition {
         Top = 0,
         Right = 1,
         Bottom = 2,
         Left = 3
    }
}
declare module Telerik.Web.UI.Spell {
    class HtmlElementTextSource  extends Sys.UI.Control {
        /**
Gets the HTML element of the TextSource object.
@method
@returns The HTML element of the TextSource object.
*/
get_element(): HTMLElement;
        /**
Gets the text of the (Telerik.Web.UI.Spell.HtmlElementTextSource) TextSource object.
@method
@returns The text of the TextSource object.
*/
get_text(): string;
        /**
Sets a text to the (Telerik.Web.UI.Spell.HtmlElementTextSource) TextSource object.
@method
@param text - The text to be set.
@returns 
*/
set_text(text: string): void;
    }


    class HtmlTextSourceBase  extends Sys.Component {
        /**

@method
@returns 
*/
get_checkTextAsHtml(): void;
        /**

@method
@returns 
*/
get_element(): HTMLElement;
        /**

@method
@returns 
*/
get_text(): string;
        /**

@method
@returns 
*/
set_checkTextAsHtml(): void;
        /**

@method
@returns 
*/
set_element(): void;
        /**

@method
@returns 
*/
set_text(): void;
    }


    class MultipleHtmlElementsSource  extends Sys.UI.Control {
        /**
Gets an array containg the HTML elements of the multiple TextSource objects.
@method
@returns An array containg the HTML elements of the multiple TextSource objects.
*/
get_elements(): any;
        /**
Gets the text of the (Telerik.Web.UI.Spell.MultipleHtmlElementsSource) multiple TextSource objects.
@method
@returns The text of the TextSource object.
*/
get_text(): string;
        /**
Sets a text to the (Telerik.Web.UI.Spell.MultipleHtmlElementsSource) multiple TextSource objects.
@method
@param text - The text to be set.
@returns 
*/
set_text(text: string): void;
    }


}
declare module Telerik.Web.UI.ImageEditor.Filters {
    class IPixelFilter   {
        /**
Executes the filter agains the provided image data
@method
@param pixelData - The image data to be processed
@returns 
*/
execute(pixelData: any): void;
        /**
Gets the name of the corresponding filter. This usually is the enough information to distinguish between filters
@method
@returns The name of the filter
*/
get_name(): string;
    }


}
declare module Telerik.Web.UI.Editor.Modules {
    class ModuleBase   {
        /**
Attaches an event handler to an RadEditor's event.
@method
@param eventName - Event name.
@param eventHandler - The handler function.
@returns 
*/
attachEventHandler(eventName: string, eventHandler: Function): void;
        /**
Returns object literal representing the module's attributes.
@method
@returns 
*/
get_attributes(): any;
        /**
Returns the RadEditor instance.
@method
@returns 
*/
get_editor(): Telerik.Web.UI.RadEditor;
        /**
Returns the name of the module.
@method
@returns 
*/
get_name(): string;
        /**
Gets the path to the script file.
@method
@returns 
*/
get_scriptFile(): string;
        /**
Returns the title of the module.
@method
@returns 
*/
get_title(): string;
        /**
Indicates whether the module is visible or not.
@method
@returns 
*/
get_visible(): boolean;
        /**
Renders the module.
@method
@returns 
*/
render(): void;
        /**
Sets an object literal to represent the module's attributes.
@method
@param attributes - 
@returns 
*/
set_attributes(attributes: any): void;
        /**
Sets the name of the module.
@method
@param value - 
@returns 
*/
set_name(value: string): void;
        /**
Sets the path to the script file.
@method
@param value - 
@returns 
*/
set_scriptFile(value: string): void;
        /**
Sets the title of the module.
@method
@param value - 
@returns 
*/
set_title(value: string): void;
        /**
Overrides the visible state of the module.
@method
@param value - Indicates whether the module to be shown or hidden.
@returns 
*/
set_visible(value: boolean): void;
        /**
Toggles the visibility state of the module.
@method
@returns 
*/
toggleVisibility(): void;
    }


}
declare module Telerik.Web.UI.Tile {
    class PeekAnimationManager   {
        /**

@method
@returns 
*/
get_animationStrategy(): void;
        /**

@method
@returns 
*/
get_contentElement(): void;
        /**

@method
@returns 
*/
get_peekElement(): void;
        /**

@method
@returns 
*/
hide(): void;
        /**

@method
@returns 
*/
set_animationStrategy(): void;
        /**

@method
@returns 
*/
set_animationType(): void;
        /**

@method
@returns 
*/
set_contentElement(): void;
        /**

@method
@returns 
*/
set_peekElement(): void;
        /**

@method
@returns 
*/
show(): void;
        /**
Occurs when the hide animation has ended.
*/
add_hideAnimationEnd(handler: (sender: Telerik.Web.UI.Tile.PeekAnimationManager, args: Sys.EventArgs) => void): void;

remove_hideAnimationEnd(handler: Function): void;
        /**
Occurs when the hide animation has started.
*/
add_hideAnimationStart(handler: (sender: Telerik.Web.UI.Tile.PeekAnimationManager, args: Sys.EventArgs) => void): void;

remove_hideAnimationStart(handler: Function): void;
        /**
Occurs when the show animation has ended.
*/
add_showAnimationEnd(handler: (sender: Telerik.Web.UI.Tile.PeekAnimationManager, args: Sys.EventArgs) => void): void;

remove_showAnimationEnd(handler: Function): void;
        /**
Occurs when the show animation has started.
*/
add_showAnimationStart(handler: (sender: Telerik.Web.UI.Tile.PeekAnimationManager, args: Sys.EventArgs) => void): void;

remove_showAnimationStart(handler: Function): void;
    }


}
declare module Telerik.Web.UI.Widgets {
    class Polling   {
    }


}
declare module Telerik.Web.UI.TileList {
    class TileCollection   {
        /**
Returns the number of tiles in the collection.
@method
@returns 
*/
get_count(): any;
        /**
Returns the index in the collection of the tile passed as an argument.
@method
@param tile - 
@returns 
*/
indexOf(tile: Telerik.Web.UI.RadBaseTile): any;
    }


    class TileGroup   {
        /**
Returns the tiles in the given group.
@method
@returns 
*/
get_tiles(): any;
    }


    class TileGroupCollection   {
        /**
Returns group at the passed index in the collectoin returned by the get_groups RadTileList method.
@method
@param index - 
@returns 
*/
getItem(index: any): any;
        /**
Returns the number of tile groups in the RadTileList
@method
@returns 
*/
get_count(): any;
        /**
Returns the index of the group passed as a parameter. Returns -1 if there is no match.
@method
@param item - 
@returns 
*/
indexOf(item: any): any;
    }


}
declare module Telerik.Web.UI.DataSourceSettings {
    class WebServiceDataSourceSettings   {
        /**

@method
@returns 
*/
get_baseUrl(): void;
        /**

@method
@returns 
*/
set_baseUrl(): void;
    }


}

declare class $telerik extends Telerik.Web.CommonScripts { }